(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ae4049dc-c228-476f-ae23-8fbddffe4419");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ae4049dc-c228-476f-ae23-8fbddffe4419' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0c4f8cd2-2cae-4507-9535-97151612e4f7":{"roots":{"references":[{"attributes":{},"id":"782d2441-bf38-40a4-b7e2-b15f31115efd","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c1e4f602-9482-49fe-acfa-2f5012046da7","type":"PanTool"},{"id":"6ddaa419-ce09-4c84-af59-93f91c92b13b","type":"WheelZoomTool"},{"id":"0ccf0e0a-0720-446d-a2d2-838bfa84bccc","type":"BoxZoomTool"},{"id":"67b4c88a-2d2e-4c1b-8a45-666ed996aca8","type":"SaveTool"},{"id":"f2eb505b-5597-4a57-95e3-58f5d37e5fc3","type":"ResetTool"},{"id":"77e8941f-4145-44f8-90e0-316c43215c13","type":"HelpTool"}]},"id":"6ddd1615-af9c-481d-97f3-7b68bfc7963f","type":"Toolbar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ec2303dd-7077-4872-9b46-c0a99cc3f6ee","type":"Line"},{"attributes":{},"id":"746b4a6f-30d6-4111-9fdc-20a0de9d078b","type":"BasicTicker"},{"attributes":{},"id":"9f8d06e7-f2e6-4010-b8f8-9d9d6c30ffc5","type":"BasicTickFormatter"},{"attributes":{},"id":"77e8941f-4145-44f8-90e0-316c43215c13","type":"HelpTool"},{"attributes":{"overlay":{"id":"e2d3d404-deee-4508-8a58-16c74780cef4","type":"BoxAnnotation"}},"id":"0ccf0e0a-0720-446d-a2d2-838bfa84bccc","type":"BoxZoomTool"},{"attributes":{},"id":"67b4c88a-2d2e-4c1b-8a45-666ed996aca8","type":"SaveTool"},{"attributes":{"formatter":{"id":"9f8d06e7-f2e6-4010-b8f8-9d9d6c30ffc5","type":"BasicTickFormatter"},"plot":{"id":"e5560f73-b90c-470f-98f1-68fa176c12a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"746b4a6f-30d6-4111-9fdc-20a0de9d078b","type":"BasicTicker"}},"id":"bb04a430-096a-434b-8c4d-82b0d11bd1ae","type":"LinearAxis"},{"attributes":{},"id":"c1e4f602-9482-49fe-acfa-2f5012046da7","type":"PanTool"},{"attributes":{"below":[{"id":"7841800e-0d07-414d-b154-e62735949c89","type":"LinearAxis"}],"left":[{"id":"bb04a430-096a-434b-8c4d-82b0d11bd1ae","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7841800e-0d07-414d-b154-e62735949c89","type":"LinearAxis"},{"id":"1a45c0d4-6cfc-4270-8cdb-ed82844a12d6","type":"Grid"},{"id":"bb04a430-096a-434b-8c4d-82b0d11bd1ae","type":"LinearAxis"},{"id":"8d398705-6bc8-4729-8d88-e18b439ff39f","type":"Grid"},{"id":"e2d3d404-deee-4508-8a58-16c74780cef4","type":"BoxAnnotation"},{"id":"c94eb8ea-2f91-4eb9-b943-ad5f2d7ddac0","type":"GlyphRenderer"}],"title":{"id":"32c2980e-0f5d-4896-b809-0270f1ab0e5d","type":"Title"},"toolbar":{"id":"6ddd1615-af9c-481d-97f3-7b68bfc7963f","type":"Toolbar"},"x_range":{"id":"82cdd4c6-b633-4e3f-b71f-65e6be5dad68","type":"DataRange1d"},"x_scale":{"id":"9ead7198-4437-40b9-b813-5f32716d1899","type":"LinearScale"},"y_range":{"id":"1e3eb60d-2c65-4731-8f9e-7eff04fe5711","type":"DataRange1d"},"y_scale":{"id":"034ae5d5-3406-4274-9581-d13d951d7bbe","type":"LinearScale"}},"id":"e5560f73-b90c-470f-98f1-68fa176c12a9","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"e5560f73-b90c-470f-98f1-68fa176c12a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"746b4a6f-30d6-4111-9fdc-20a0de9d078b","type":"BasicTicker"}},"id":"8d398705-6bc8-4729-8d88-e18b439ff39f","type":"Grid"},{"attributes":{"data_source":{"id":"c575fd4e-6a15-4d8c-91bc-dd1165cf27b8","type":"ColumnDataSource"},"glyph":{"id":"f777dbb6-0105-4209-88cd-cc40201f7001","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ec2303dd-7077-4872-9b46-c0a99cc3f6ee","type":"Line"},"selection_glyph":null,"view":{"id":"eb2c9911-30e4-4965-b74a-0944f1b0b436","type":"CDSView"}},"id":"c94eb8ea-2f91-4eb9-b943-ad5f2d7ddac0","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"32c2980e-0f5d-4896-b809-0270f1ab0e5d","type":"Title"},{"attributes":{"plot":{"id":"e5560f73-b90c-470f-98f1-68fa176c12a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"782d2441-bf38-40a4-b7e2-b15f31115efd","type":"BasicTicker"}},"id":"1a45c0d4-6cfc-4270-8cdb-ed82844a12d6","type":"Grid"},{"attributes":{},"id":"f2eb505b-5597-4a57-95e3-58f5d37e5fc3","type":"ResetTool"},{"attributes":{"callback":null},"id":"82cdd4c6-b633-4e3f-b71f-65e6be5dad68","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5],"y":[6,7,2,4,4,5]}},"id":"c575fd4e-6a15-4d8c-91bc-dd1165cf27b8","type":"ColumnDataSource"},{"attributes":{"source":{"id":"c575fd4e-6a15-4d8c-91bc-dd1165cf27b8","type":"ColumnDataSource"}},"id":"eb2c9911-30e4-4965-b74a-0944f1b0b436","type":"CDSView"},{"attributes":{},"id":"034ae5d5-3406-4274-9581-d13d951d7bbe","type":"LinearScale"},{"attributes":{},"id":"9ead7198-4437-40b9-b813-5f32716d1899","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e2d3d404-deee-4508-8a58-16c74780cef4","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"1e3eb60d-2c65-4731-8f9e-7eff04fe5711","type":"DataRange1d"},{"attributes":{},"id":"6ddaa419-ce09-4c84-af59-93f91c92b13b","type":"WheelZoomTool"},{"attributes":{},"id":"e986c377-486e-42d3-88e6-65a8f8df2f2d","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e986c377-486e-42d3-88e6-65a8f8df2f2d","type":"BasicTickFormatter"},"plot":{"id":"e5560f73-b90c-470f-98f1-68fa176c12a9","subtype":"Figure","type":"Plot"},"ticker":{"id":"782d2441-bf38-40a4-b7e2-b15f31115efd","type":"BasicTicker"}},"id":"7841800e-0d07-414d-b154-e62735949c89","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"f777dbb6-0105-4209-88cd-cc40201f7001","type":"Line"}],"root_ids":["e5560f73-b90c-470f-98f1-68fa176c12a9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0c4f8cd2-2cae-4507-9535-97151612e4f7","elementid":"ae4049dc-c228-476f-ae23-8fbddffe4419","modelid":"e5560f73-b90c-470f-98f1-68fa176c12a9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
