(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c08685eb-5ed0-448f-9ed0-900d4627d704");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c08685eb-5ed0-448f-9ed0-900d4627d704' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f4a424a1-0e10-49a8-a56e-d177238be65e":{"roots":{"references":[{"attributes":{"callback":null,"start":0},"id":"5adfbc9b-9284-477f-b48b-26f30de57b1d","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"95d077b6-8751-4503-87a9-ebd2d2710104","type":"VBar"},{"attributes":{},"id":"83a3c736-990f-4f6c-bb67-137b240dfa00","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"850edf0d-4422-489e-a121-33dd979f449b","type":"ColumnDataSource"},{"attributes":{"source":{"id":"9277b18f-06c5-4595-bcb5-12bfc3153b69","type":"ColumnDataSource"}},"id":"70ef7dd7-0f9d-4477-b6c6-a36defe1f708","type":"CDSView"},{"attributes":{"data_source":{"id":"9277b18f-06c5-4595-bcb5-12bfc3153b69","type":"ColumnDataSource"},"glyph":{"id":"742fbe7a-b520-4f98-98e0-80c08090fa90","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5a83bb21-ca14-4d18-b866-17a0f40f68ce","type":"Line"},"selection_glyph":null,"view":{"id":"70ef7dd7-0f9d-4477-b6c6-a36defe1f708","type":"CDSView"}},"id":"f09729e6-50fc-49a0-800b-e90e31409142","type":"GlyphRenderer"},{"attributes":{},"id":"1e8dfba4-8ac8-40f2-a9e2-d0924416db51","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"29717ed2-70f5-43c5-bee5-9a947867c7f7","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ce0f79e1-a5ff-4547-86a9-123a45c8224e","type":"Toolbar"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"742fbe7a-b520-4f98-98e0-80c08090fa90","type":"Line"},{"attributes":{},"id":"749abd73-5e9b-4e03-81a0-10e594949d1e","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"50b3dc47-7b20-4812-9c79-16b4383f9bd3","type":"FactorRange"},{"attributes":{"formatter":{"id":"1e8dfba4-8ac8-40f2-a9e2-d0924416db51","type":"BasicTickFormatter"},"plot":{"id":"fbbdf240-470f-4f9f-b686-754ec354eb7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"d515949c-cebe-4e35-a665-b970bbdc031d","type":"BasicTicker"}},"id":"2c7b3506-9731-41a1-ab5e-73bd93dbf18c","type":"LinearAxis"},{"attributes":{},"id":"6c2ddec2-3481-45bf-9cf8-92c95d81f6aa","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"749abd73-5e9b-4e03-81a0-10e594949d1e","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"fbbdf240-470f-4f9f-b686-754ec354eb7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c2ddec2-3481-45bf-9cf8-92c95d81f6aa","type":"CategoricalTicker"}},"id":"94dd1950-f6b9-44ad-bd65-1cab8e67140d","type":"CategoricalAxis"},{"attributes":{},"id":"d515949c-cebe-4e35-a665-b970bbdc031d","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"5f0133e6-7650-46f3-a092-fe285b4c9d24","type":"VBar"},{"attributes":{"data_source":{"id":"850edf0d-4422-489e-a121-33dd979f449b","type":"ColumnDataSource"},"glyph":{"id":"95d077b6-8751-4503-87a9-ebd2d2710104","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5f0133e6-7650-46f3-a092-fe285b4c9d24","type":"VBar"},"selection_glyph":null,"view":{"id":"5dcfe6ab-8269-41b6-8ff0-aa68c17a4218","type":"CDSView"}},"id":"3a387c25-37a0-492b-a561-e891cb3c6b3f","type":"GlyphRenderer"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"fbbdf240-470f-4f9f-b686-754ec354eb7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"6c2ddec2-3481-45bf-9cf8-92c95d81f6aa","type":"CategoricalTicker"}},"id":"6965c02e-1bf8-4d6c-b6c7-f6b4a75a611c","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"fbbdf240-470f-4f9f-b686-754ec354eb7c","subtype":"Figure","type":"Plot"},"ticker":{"id":"d515949c-cebe-4e35-a665-b970bbdc031d","type":"BasicTicker"}},"id":"f8ce3189-0008-4673-b471-4800dd14017c","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"9277b18f-06c5-4595-bcb5-12bfc3153b69","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"5a83bb21-ca14-4d18-b866-17a0f40f68ce","type":"Line"},{"attributes":{},"id":"dbb1b4f4-07b5-41c7-add7-ce2617acb81e","type":"CategoricalScale"},{"attributes":{"below":[{"id":"94dd1950-f6b9-44ad-bd65-1cab8e67140d","type":"CategoricalAxis"}],"left":[{"id":"2c7b3506-9731-41a1-ab5e-73bd93dbf18c","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"94dd1950-f6b9-44ad-bd65-1cab8e67140d","type":"CategoricalAxis"},{"id":"6965c02e-1bf8-4d6c-b6c7-f6b4a75a611c","type":"Grid"},{"id":"2c7b3506-9731-41a1-ab5e-73bd93dbf18c","type":"LinearAxis"},{"id":"f8ce3189-0008-4673-b471-4800dd14017c","type":"Grid"},{"id":"3a387c25-37a0-492b-a561-e891cb3c6b3f","type":"GlyphRenderer"},{"id":"f09729e6-50fc-49a0-800b-e90e31409142","type":"GlyphRenderer"}],"title":{"id":"29717ed2-70f5-43c5-bee5-9a947867c7f7","type":"Title"},"toolbar":{"id":"ce0f79e1-a5ff-4547-86a9-123a45c8224e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"50b3dc47-7b20-4812-9c79-16b4383f9bd3","type":"FactorRange"},"x_scale":{"id":"dbb1b4f4-07b5-41c7-add7-ce2617acb81e","type":"CategoricalScale"},"y_range":{"id":"5adfbc9b-9284-477f-b48b-26f30de57b1d","type":"DataRange1d"},"y_scale":{"id":"83a3c736-990f-4f6c-bb67-137b240dfa00","type":"LinearScale"}},"id":"fbbdf240-470f-4f9f-b686-754ec354eb7c","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"850edf0d-4422-489e-a121-33dd979f449b","type":"ColumnDataSource"}},"id":"5dcfe6ab-8269-41b6-8ff0-aa68c17a4218","type":"CDSView"}],"root_ids":["fbbdf240-470f-4f9f-b686-754ec354eb7c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f4a424a1-0e10-49a8-a56e-d177238be65e","elementid":"c08685eb-5ed0-448f-9ed0-900d4627d704","modelid":"fbbdf240-470f-4f9f-b686-754ec354eb7c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
