(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("446d28d4-add0-444b-8f82-aadf5a2b9b51");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '446d28d4-add0-444b-8f82-aadf5a2b9b51' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6e9d1409-7415-4099-9f82-d4cd9ad4d504":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"8d98b074-f0c9-45a4-921e-2f7caf7decb8","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"b92595c6-9d24-4617-9b35-d14cc784be2c","type":"BoxAnnotation"}},"id":"67342017-24d5-482b-8780-50264473b2f8","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"f12cf3d1-7c08-4b8a-a794-ba24cf672616","type":"LinearAxis"}],"left":[{"id":"7de25e13-49e8-4b4b-9c4d-13f6410dc86b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f12cf3d1-7c08-4b8a-a794-ba24cf672616","type":"LinearAxis"},{"id":"0bff651d-b2a0-44c1-a845-4ef7d782c939","type":"Grid"},{"id":"7de25e13-49e8-4b4b-9c4d-13f6410dc86b","type":"LinearAxis"},{"id":"f60a0718-8150-45ca-9177-f1d016114ed2","type":"Grid"},{"id":"b92595c6-9d24-4617-9b35-d14cc784be2c","type":"BoxAnnotation"},{"id":"6851f37c-1d65-408d-92c3-07a582eb68a2","type":"GlyphRenderer"}],"title":{"id":"b8fe11ed-40c3-4d82-824c-043f9626e9a8","type":"Title"},"toolbar":{"id":"200f9def-2f30-4b85-a499-fbb16d194dc8","type":"Toolbar"},"x_range":{"id":"df8c66af-5a8a-4ed4-8310-3422fd7f4579","type":"DataRange1d"},"x_scale":{"id":"89132d92-cf1c-4f35-8338-1c20aabffd04","type":"LinearScale"},"y_range":{"id":"4b04971b-42cb-4535-9aaa-1ca1bf70454e","type":"DataRange1d"},"y_scale":{"id":"b1495b18-66c3-48e7-adf8-defafec671fa","type":"LinearScale"}},"id":"3a27e5c4-61b9-4634-bc5b-9c7353a945a0","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b92595c6-9d24-4617-9b35-d14cc784be2c","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"3a27e5c4-61b9-4634-bc5b-9c7353a945a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"0d0642ab-6e0b-4243-8d47-bfe0d12c5f9c","type":"BasicTicker"}},"id":"f60a0718-8150-45ca-9177-f1d016114ed2","type":"Grid"},{"attributes":{},"id":"35436914-8b01-4428-bad5-be6b47513e35","type":"BasicTicker"},{"attributes":{"formatter":{"id":"1d098118-9aa6-40d2-8d29-afa0c7e67371","type":"PrintfTickFormatter"},"plot":{"id":"3a27e5c4-61b9-4634-bc5b-9c7353a945a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"35436914-8b01-4428-bad5-be6b47513e35","type":"BasicTicker"}},"id":"f12cf3d1-7c08-4b8a-a794-ba24cf672616","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"b8fe11ed-40c3-4d82-824c-043f9626e9a8","type":"Title"},{"attributes":{"format":"%4.1e"},"id":"1d098118-9aa6-40d2-8d29-afa0c7e67371","type":"PrintfTickFormatter"},{"attributes":{"data_source":{"id":"8d98b074-f0c9-45a4-921e-2f7caf7decb8","type":"ColumnDataSource"},"glyph":{"id":"aa6bb874-820b-457e-9eda-6800f944594b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3b9c2f23-8db9-4785-8c12-43e7dbecc519","type":"Circle"},"selection_glyph":null,"view":{"id":"0da0f93d-5345-474d-9e14-4e3c6ea8f4f0","type":"CDSView"}},"id":"6851f37c-1d65-408d-92c3-07a582eb68a2","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"77db20ef-522b-43c7-9264-bfad217f5cc9","type":"PrintfTickFormatter"},"plot":{"id":"3a27e5c4-61b9-4634-bc5b-9c7353a945a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"0d0642ab-6e0b-4243-8d47-bfe0d12c5f9c","type":"BasicTicker"}},"id":"7de25e13-49e8-4b4b-9c4d-13f6410dc86b","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5a6ebdf7-125f-499b-b143-63971fb5f6eb","type":"PanTool"},{"id":"6056cb6b-0c73-4005-aa53-cfd255d26297","type":"WheelZoomTool"},{"id":"67342017-24d5-482b-8780-50264473b2f8","type":"BoxZoomTool"},{"id":"166cc51e-7343-4fec-b96f-dd0485a24004","type":"SaveTool"},{"id":"d1094703-0ab3-4e76-b521-806dcebd4b6e","type":"ResetTool"},{"id":"5ff91924-987d-44e7-8c07-d41c5c9dd373","type":"HelpTool"}]},"id":"200f9def-2f30-4b85-a499-fbb16d194dc8","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"aa6bb874-820b-457e-9eda-6800f944594b","type":"Circle"},{"attributes":{},"id":"89132d92-cf1c-4f35-8338-1c20aabffd04","type":"LinearScale"},{"attributes":{},"id":"6056cb6b-0c73-4005-aa53-cfd255d26297","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3b9c2f23-8db9-4785-8c12-43e7dbecc519","type":"Circle"},{"attributes":{"callback":null},"id":"4b04971b-42cb-4535-9aaa-1ca1bf70454e","type":"DataRange1d"},{"attributes":{"format":"%5.3f mu"},"id":"77db20ef-522b-43c7-9264-bfad217f5cc9","type":"PrintfTickFormatter"},{"attributes":{},"id":"0d0642ab-6e0b-4243-8d47-bfe0d12c5f9c","type":"BasicTicker"},{"attributes":{},"id":"b1495b18-66c3-48e7-adf8-defafec671fa","type":"LinearScale"},{"attributes":{"callback":null},"id":"df8c66af-5a8a-4ed4-8310-3422fd7f4579","type":"DataRange1d"},{"attributes":{},"id":"5ff91924-987d-44e7-8c07-d41c5c9dd373","type":"HelpTool"},{"attributes":{"plot":{"id":"3a27e5c4-61b9-4634-bc5b-9c7353a945a0","subtype":"Figure","type":"Plot"},"ticker":{"id":"35436914-8b01-4428-bad5-be6b47513e35","type":"BasicTicker"}},"id":"0bff651d-b2a0-44c1-a845-4ef7d782c939","type":"Grid"},{"attributes":{},"id":"d1094703-0ab3-4e76-b521-806dcebd4b6e","type":"ResetTool"},{"attributes":{"source":{"id":"8d98b074-f0c9-45a4-921e-2f7caf7decb8","type":"ColumnDataSource"}},"id":"0da0f93d-5345-474d-9e14-4e3c6ea8f4f0","type":"CDSView"},{"attributes":{},"id":"5a6ebdf7-125f-499b-b143-63971fb5f6eb","type":"PanTool"},{"attributes":{},"id":"166cc51e-7343-4fec-b96f-dd0485a24004","type":"SaveTool"}],"root_ids":["3a27e5c4-61b9-4634-bc5b-9c7353a945a0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6e9d1409-7415-4099-9f82-d4cd9ad4d504","elementid":"446d28d4-add0-444b-8f82-aadf5a2b9b51","modelid":"3a27e5c4-61b9-4634-bc5b-9c7353a945a0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
