(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b5a482cd-f89d-43a8-8663-7dcd828d98ff");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b5a482cd-f89d-43a8-8663-7dcd828d98ff' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"58a49367-882b-4e59-85fe-8d9684a95f3f":{"roots":{"references":[{"attributes":{"formatter":{"id":"d9321845-7499-41af-9330-004561bea256","type":"BasicTickFormatter"},"plot":{"id":"148d9e6b-ac6d-45e7-b0f8-09615e83e045","subtype":"Figure","type":"Plot"},"ticker":{"id":"e82ea17b-bbbd-4169-8ec0-9332461cffe6","type":"BasicTicker"}},"id":"a36e8b4d-fab9-4940-a944-7b8a4f71f31c","type":"LinearAxis"},{"attributes":{"below":[{"id":"dca15484-1c92-40ea-b0f0-586b9bf9666c","type":"CategoricalAxis"}],"left":[{"id":"a36e8b4d-fab9-4940-a944-7b8a4f71f31c","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"dca15484-1c92-40ea-b0f0-586b9bf9666c","type":"CategoricalAxis"},{"id":"bec64815-2945-42a5-b5e2-8c6d69ad35f5","type":"Grid"},{"id":"a36e8b4d-fab9-4940-a944-7b8a4f71f31c","type":"LinearAxis"},{"id":"d11dfc1b-6cec-4c6a-85bd-df1bf6613de5","type":"Grid"},{"id":"ca57108d-35bc-4e9b-abe6-9ae490c91abb","type":"BoxAnnotation"},{"id":"c8c539de-f93b-4b76-af17-579396ab03d9","type":"Legend"},{"id":"0ca08c4c-6793-4f92-97f3-8c56e37e0c4f","type":"GlyphRenderer"}],"title":{"id":"68428b5d-156a-4abe-bb58-1aa8221b6094","type":"Title"},"toolbar":{"id":"3edb1bcd-cc09-46b7-84d3-bd65970f0ad2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8ccd0039-fd38-4e53-a2c0-4be05de0392e","type":"FactorRange"},"x_scale":{"id":"b5c6167a-fd4f-43b3-9962-9fd900747590","type":"CategoricalScale"},"y_range":{"id":"5261b715-39ca-426d-a91c-07aa18a01eee","type":"DataRange1d"},"y_scale":{"id":"8c190744-b189-4eaf-9dde-a2dfe1879fbf","type":"LinearScale"}},"id":"148d9e6b-ac6d-45e7-b0f8-09615e83e045","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"88f88d3f-23bb-4beb-9e3f-4fc5df63885f","type":"CategoricalTicker"},{"attributes":{"source":{"id":"53476cc1-fa43-4d6f-a412-713d21aa5dbc","type":"ColumnDataSource"}},"id":"87259a12-0fde-4526-9b72-98241ac98fc8","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"148d9e6b-ac6d-45e7-b0f8-09615e83e045","subtype":"Figure","type":"Plot"},"ticker":{"id":"e82ea17b-bbbd-4169-8ec0-9332461cffe6","type":"BasicTicker"}},"id":"d11dfc1b-6cec-4c6a-85bd-df1bf6613de5","type":"Grid"},{"attributes":{},"id":"8c190744-b189-4eaf-9dde-a2dfe1879fbf","type":"LinearScale"},{"attributes":{},"id":"c354f6f2-0622-40a5-9e4b-68bd4951b06a","type":"CategoricalTickFormatter"},{"attributes":{},"id":"2c49e63b-bb4e-433b-9f9d-b411af8f3470","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c77768a9-aece-4eda-89c2-8f1ead2215ea","type":"PanTool"},{"id":"be12710c-862e-4780-8f61-49de0e8c8e09","type":"WheelZoomTool"},{"id":"bf6b2e79-fafc-4309-8a65-21d9cd78e84c","type":"BoxZoomTool"},{"id":"c55eb381-9966-4aee-a03f-e0eb3cdf5fa8","type":"SaveTool"},{"id":"44b1e574-10f6-42c4-9758-d57726089e98","type":"ResetTool"},{"id":"2c49e63b-bb4e-433b-9f9d-b411af8f3470","type":"HelpTool"}]},"id":"3edb1bcd-cc09-46b7-84d3-bd65970f0ad2","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ca57108d-35bc-4e9b-abe6-9ae490c91abb","type":"BoxAnnotation"},{"attributes":{},"id":"c55eb381-9966-4aee-a03f-e0eb3cdf5fa8","type":"SaveTool"},{"attributes":{"data_source":{"id":"53476cc1-fa43-4d6f-a412-713d21aa5dbc","type":"ColumnDataSource"},"glyph":{"id":"499b6feb-8727-4b1c-ab2f-a4a8e47534e1","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ef046767-f64e-491d-9552-8b109ba0f4d0","type":"VBar"},"selection_glyph":null,"view":{"id":"87259a12-0fde-4526-9b72-98241ac98fc8","type":"CDSView"}},"id":"0ca08c4c-6793-4f92-97f3-8c56e37e0c4f","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"c354f6f2-0622-40a5-9e4b-68bd4951b06a","type":"CategoricalTickFormatter"},"plot":{"id":"148d9e6b-ac6d-45e7-b0f8-09615e83e045","subtype":"Figure","type":"Plot"},"ticker":{"id":"88f88d3f-23bb-4beb-9e3f-4fc5df63885f","type":"CategoricalTicker"}},"id":"dca15484-1c92-40ea-b0f0-586b9bf9666c","type":"CategoricalAxis"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"8ccd0039-fd38-4e53-a2c0-4be05de0392e","type":"FactorRange"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"0ca08c4c-6793-4f92-97f3-8c56e37e0c4f","type":"GlyphRenderer"}]},"id":"0bff5f96-bf83-40c5-a6a2-ffc207da3366","type":"LegendItem"},{"attributes":{},"id":"44b1e574-10f6-42c4-9758-d57726089e98","type":"ResetTool"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"c03b5698-9969-48f6-b876-0109dc7da0ef","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"499b6feb-8727-4b1c-ab2f-a4a8e47534e1","type":"VBar"},{"attributes":{"overlay":{"id":"ca57108d-35bc-4e9b-abe6-9ae490c91abb","type":"BoxAnnotation"}},"id":"bf6b2e79-fafc-4309-8a65-21d9cd78e84c","type":"BoxZoomTool"},{"attributes":{},"id":"c77768a9-aece-4eda-89c2-8f1ead2215ea","type":"PanTool"},{"attributes":{},"id":"be12710c-862e-4780-8f61-49de0e8c8e09","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"68428b5d-156a-4abe-bb58-1aa8221b6094","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"ef046767-f64e-491d-9552-8b109ba0f4d0","type":"VBar"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"53476cc1-fa43-4d6f-a412-713d21aa5dbc","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"148d9e6b-ac6d-45e7-b0f8-09615e83e045","subtype":"Figure","type":"Plot"},"ticker":{"id":"88f88d3f-23bb-4beb-9e3f-4fc5df63885f","type":"CategoricalTicker"}},"id":"bec64815-2945-42a5-b5e2-8c6d69ad35f5","type":"Grid"},{"attributes":{},"id":"b5c6167a-fd4f-43b3-9962-9fd900747590","type":"CategoricalScale"},{"attributes":{"items":[{"id":"0bff5f96-bf83-40c5-a6a2-ffc207da3366","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"148d9e6b-ac6d-45e7-b0f8-09615e83e045","subtype":"Figure","type":"Plot"}},"id":"c8c539de-f93b-4b76-af17-579396ab03d9","type":"Legend"},{"attributes":{},"id":"d9321845-7499-41af-9330-004561bea256","type":"BasicTickFormatter"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"c03b5698-9969-48f6-b876-0109dc7da0ef","type":"CategoricalColorMapper"},{"attributes":{},"id":"e82ea17b-bbbd-4169-8ec0-9332461cffe6","type":"BasicTicker"},{"attributes":{"callback":null,"end":9,"start":0},"id":"5261b715-39ca-426d-a91c-07aa18a01eee","type":"DataRange1d"}],"root_ids":["148d9e6b-ac6d-45e7-b0f8-09615e83e045"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"58a49367-882b-4e59-85fe-8d9684a95f3f","elementid":"b5a482cd-f89d-43a8-8663-7dcd828d98ff","modelid":"148d9e6b-ac6d-45e7-b0f8-09615e83e045"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
