(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9e5df927-50ff-4908-8cf4-dfb6c9cbb582");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9e5df927-50ff-4908-8cf4-dfb6c9cbb582' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d3f5ea36-5343-4a62-9b70-6efd827c701f":{"roots":{"references":[{"attributes":{},"id":"c44856a1-147d-48b8-ac30-a33b53211cd3","type":"LinearScale"},{"attributes":{"data_source":{"id":"0a52a06f-7765-4a24-8d32-a9e5e71cee9d","type":"ColumnDataSource"},"glyph":{"id":"4c09394c-454b-4a5e-b1bc-b7a72478a14c","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"83e0c38e-fb05-411f-bfa6-e29fd8a9499f","type":"VBar"},"selection_glyph":null,"view":{"id":"37ebcf26-7a6b-4c1a-8e90-d85d31ad7d74","type":"CDSView"}},"id":"7f7bc674-8e23-4905-9ac5-fa08380bd50f","type":"GlyphRenderer"},{"attributes":{},"id":"b1389408-e38d-48c9-9a4e-3ec15a8f5341","type":"CategoricalScale"},{"attributes":{"plot":null,"text":""},"id":"5e695491-0245-4dc1-a9f3-282eeee7e3c7","type":"Title"},{"attributes":{},"id":"81eb363f-9c75-4b51-adba-6d7913b074e5","type":"BasicTicker"},{"attributes":{"source":{"id":"152d778d-4d8a-4d02-b6c6-4720920ee366","type":"ColumnDataSource"}},"id":"ce5378db-43bb-4646-9423-7cae31467e93","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"83e0c38e-fb05-411f-bfa6-e29fd8a9499f","type":"VBar"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cfd3d342-fa7f-4903-a524-437ec06ff267","type":"Line"},{"attributes":{},"id":"b7be1cb3-08c3-4c09-a8ba-8438c3333afa","type":"CategoricalTicker"},{"attributes":{"callback":null,"start":0},"id":"85e28764-b498-4dbb-b7ab-0cc71e82938b","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"0a52a06f-7765-4a24-8d32-a9e5e71cee9d","type":"ColumnDataSource"},{"attributes":{},"id":"f58eb1a4-fcc9-49f9-977d-ebd3e0ed3f01","type":"CategoricalTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"63069e4a-bc91-49dd-b201-4efd77d64a42","subtype":"Figure","type":"Plot"},"ticker":{"id":"81eb363f-9c75-4b51-adba-6d7913b074e5","type":"BasicTicker"}},"id":"0fe6ec6a-70cd-47a6-8b8b-07de73ad9f45","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"23067fa1-fa26-4bf9-82f4-9d8045433cff","type":"Toolbar"},{"attributes":{},"id":"84fcd95f-247e-47b6-8fbd-dc7bab4fc614","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"0a52a06f-7765-4a24-8d32-a9e5e71cee9d","type":"ColumnDataSource"}},"id":"37ebcf26-7a6b-4c1a-8e90-d85d31ad7d74","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c6b7f21a-be3d-4124-8e19-61c242ec59a7","type":"Line"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"8aea609d-9a7a-4ffd-ae53-e7c1dbe491ba","type":"FactorRange"},{"attributes":{"below":[{"id":"3ce51fec-1bf2-44a8-aed4-74fb3eab67c6","type":"CategoricalAxis"}],"left":[{"id":"575c1dea-a37a-496d-b17b-c58a4c59db2b","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"3ce51fec-1bf2-44a8-aed4-74fb3eab67c6","type":"CategoricalAxis"},{"id":"ff77c152-027e-49d9-be12-7bf7c794a90e","type":"Grid"},{"id":"575c1dea-a37a-496d-b17b-c58a4c59db2b","type":"LinearAxis"},{"id":"0fe6ec6a-70cd-47a6-8b8b-07de73ad9f45","type":"Grid"},{"id":"7f7bc674-8e23-4905-9ac5-fa08380bd50f","type":"GlyphRenderer"},{"id":"024dedf8-d823-4024-899a-d438764a38b4","type":"GlyphRenderer"}],"title":{"id":"5e695491-0245-4dc1-a9f3-282eeee7e3c7","type":"Title"},"toolbar":{"id":"23067fa1-fa26-4bf9-82f4-9d8045433cff","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8aea609d-9a7a-4ffd-ae53-e7c1dbe491ba","type":"FactorRange"},"x_scale":{"id":"b1389408-e38d-48c9-9a4e-3ec15a8f5341","type":"CategoricalScale"},"y_range":{"id":"85e28764-b498-4dbb-b7ab-0cc71e82938b","type":"DataRange1d"},"y_scale":{"id":"c44856a1-147d-48b8-ac30-a33b53211cd3","type":"LinearScale"}},"id":"63069e4a-bc91-49dd-b201-4efd77d64a42","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"4c09394c-454b-4a5e-b1bc-b7a72478a14c","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"63069e4a-bc91-49dd-b201-4efd77d64a42","subtype":"Figure","type":"Plot"},"ticker":{"id":"b7be1cb3-08c3-4c09-a8ba-8438c3333afa","type":"CategoricalTicker"}},"id":"ff77c152-027e-49d9-be12-7bf7c794a90e","type":"Grid"},{"attributes":{"formatter":{"id":"f58eb1a4-fcc9-49f9-977d-ebd3e0ed3f01","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"63069e4a-bc91-49dd-b201-4efd77d64a42","subtype":"Figure","type":"Plot"},"ticker":{"id":"b7be1cb3-08c3-4c09-a8ba-8438c3333afa","type":"CategoricalTicker"}},"id":"3ce51fec-1bf2-44a8-aed4-74fb3eab67c6","type":"CategoricalAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"152d778d-4d8a-4d02-b6c6-4720920ee366","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"84fcd95f-247e-47b6-8fbd-dc7bab4fc614","type":"BasicTickFormatter"},"plot":{"id":"63069e4a-bc91-49dd-b201-4efd77d64a42","subtype":"Figure","type":"Plot"},"ticker":{"id":"81eb363f-9c75-4b51-adba-6d7913b074e5","type":"BasicTicker"}},"id":"575c1dea-a37a-496d-b17b-c58a4c59db2b","type":"LinearAxis"},{"attributes":{"data_source":{"id":"152d778d-4d8a-4d02-b6c6-4720920ee366","type":"ColumnDataSource"},"glyph":{"id":"cfd3d342-fa7f-4903-a524-437ec06ff267","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c6b7f21a-be3d-4124-8e19-61c242ec59a7","type":"Line"},"selection_glyph":null,"view":{"id":"ce5378db-43bb-4646-9423-7cae31467e93","type":"CDSView"}},"id":"024dedf8-d823-4024-899a-d438764a38b4","type":"GlyphRenderer"}],"root_ids":["63069e4a-bc91-49dd-b201-4efd77d64a42"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d3f5ea36-5343-4a62-9b70-6efd827c701f","elementid":"9e5df927-50ff-4908-8cf4-dfb6c9cbb582","modelid":"63069e4a-bc91-49dd-b201-4efd77d64a42"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
