(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fe685b78-d05f-40cf-9969-1441f94d6c56");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fe685b78-d05f-40cf-9969-1441f94d6c56' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1cfdcbe9-bb6a-4098-b511-f419d0f841c0":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"be6fe27d-6f8b-445b-a2e4-4dcc59a1502a","type":"Circle"},{"attributes":{"plot":{"id":"a35410fd-1a58-4ca0-91af-d766b818c58c","subtype":"Figure","type":"Plot"},"ticker":{"id":"37f9bf23-94b6-47f4-8b20-cd3193d41fd4","type":"BasicTicker"}},"id":"8b089974-ecc4-46bb-bc62-829b8f06dbc9","type":"Grid"},{"attributes":{"below":[{"id":"b6c1118f-015f-42b1-8ff8-63b4391c68b0","type":"LinearAxis"}],"left":[{"id":"804b6164-66c4-4a0e-a352-30b2ef223e31","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b6c1118f-015f-42b1-8ff8-63b4391c68b0","type":"LinearAxis"},{"id":"78c2b83c-76df-408b-b1ef-c22fc686f191","type":"Grid"},{"id":"804b6164-66c4-4a0e-a352-30b2ef223e31","type":"LinearAxis"},{"id":"a05f44e6-85a6-4a9c-88fd-c2b57a1fbbf5","type":"Grid"},{"id":"ceafb1c4-683b-4a7e-8948-77ff93bb8452","type":"BoxAnnotation"},{"id":"4e3043d2-e383-45c6-a82f-49051f116260","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"0dd5c545-2dd4-4729-86cc-d97529ff2ab7","type":"Toolbar"},"x_range":{"id":"2d067266-9e44-4172-93e7-b3d0aa036497","type":"DataRange1d"},"x_scale":{"id":"e1d26a11-fdec-455c-b45d-2ba1c6c579bf","type":"LinearScale"},"y_range":{"id":"443d50a9-1090-45b8-93a5-02fb1f67ade0","type":"DataRange1d"},"y_scale":{"id":"904a1353-adb5-4768-828b-f5e44dc3fdce","type":"LinearScale"}},"id":"6da7ac16-38cb-4d7f-bb86-e770aeba1167","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"bc261c3a-27c2-4625-a074-5c8053f317d2","type":"BasicTickFormatter"},"plot":{"id":"6da7ac16-38cb-4d7f-bb86-e770aeba1167","subtype":"Figure","type":"Plot"},"ticker":{"id":"072b2470-30b1-4a97-b76d-ccf2c1339409","type":"BasicTicker"}},"id":"b6c1118f-015f-42b1-8ff8-63b4391c68b0","type":"LinearAxis"},{"attributes":{},"id":"e3c67ea3-d709-4729-8c21-8cfb5f0732d0","type":"PanTool"},{"attributes":{"data_source":{"id":"e5be197c-668e-441e-a766-6264f9ec419c","type":"ColumnDataSource"},"glyph":{"id":"0c8d8b68-75fa-4e7c-b620-35e6d7ef0887","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"48ef8559-6e2a-4cd0-bf3a-58044f2c9889","type":"Square"},"selection_glyph":null,"view":{"id":"70ef3702-a84e-4b0f-82e0-e5a68ef8603a","type":"CDSView"}},"id":"d6e9d3fb-cc2c-4a46-be7d-0f89a0e0c23b","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"5d51a422-5cb3-481b-8718-26001c3d464f","type":"LinearAxis"}],"left":[{"id":"313d95db-89b4-4918-a61c-993a3e3677de","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"5d51a422-5cb3-481b-8718-26001c3d464f","type":"LinearAxis"},{"id":"8b089974-ecc4-46bb-bc62-829b8f06dbc9","type":"Grid"},{"id":"313d95db-89b4-4918-a61c-993a3e3677de","type":"LinearAxis"},{"id":"ca6cc9b3-6a65-4ab6-81c5-66c3f771665d","type":"Grid"},{"id":"c12e217d-4353-4929-99a2-3512702ed08c","type":"BoxAnnotation"},{"id":"d6e9d3fb-cc2c-4a46-be7d-0f89a0e0c23b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"833ccbaf-51ac-4f60-a4ab-901e736f5f53","type":"Toolbar"},"x_range":{"id":"8f63a88d-9ff9-4f96-81b4-c5ecf6896b8a","type":"DataRange1d"},"x_scale":{"id":"ebcc8c44-5716-4454-aabf-e4b65ee6b512","type":"LinearScale"},"y_range":{"id":"14e538a4-d0bf-43da-be24-be0d31767346","type":"DataRange1d"},"y_scale":{"id":"0bde3e81-c3b5-406c-b154-341ccd45a69f","type":"LinearScale"}},"id":"a35410fd-1a58-4ca0-91af-d766b818c58c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"dd07d994-88e1-4aee-ac2b-96d3e9c74c61","type":"BasicTickFormatter"},{"attributes":{},"id":"a5fcf183-013a-48e6-a752-5880d7af8bf8","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"e5be197c-668e-441e-a766-6264f9ec419c","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"9318dfd1-a755-4298-97a6-a6a82d82350c","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"6cb2b32e-60fb-4cea-8abe-c174aa46519b","type":"ColumnDataSource"},"glyph":{"id":"9a76a0a3-16b7-43bd-8ce6-2ed8108d1df3","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1eef31dc-3ea7-498e-9345-d25ee4f396fe","type":"Triangle"},"selection_glyph":null,"view":{"id":"6da1f517-ca0e-4c06-95ec-611201ac4c32","type":"CDSView"}},"id":"4e3043d2-e383-45c6-a82f-49051f116260","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"46dfae3d-4f8c-4cb9-bd52-0828b8cdcf6f","type":"BasicTickFormatter"},"plot":{"id":"a35410fd-1a58-4ca0-91af-d766b818c58c","subtype":"Figure","type":"Plot"},"ticker":{"id":"7aeff2cd-5ac6-4d00-9777-2897df53cbd6","type":"BasicTicker"}},"id":"313d95db-89b4-4918-a61c-993a3e3677de","type":"LinearAxis"},{"attributes":{},"id":"ebcc8c44-5716-4454-aabf-e4b65ee6b512","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ceafb1c4-683b-4a7e-8948-77ff93bb8452","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"ceafb1c4-683b-4a7e-8948-77ff93bb8452","type":"BoxAnnotation"}},"id":"51dda2b3-2412-4e04-b861-3e8e1d1d108a","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"6cb2b32e-60fb-4cea-8abe-c174aa46519b","type":"ColumnDataSource"},{"attributes":{},"id":"bc261c3a-27c2-4625-a074-5c8053f317d2","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"578cbc9e-4c2f-4bba-b737-1033c02d7295","type":"PanTool"},{"id":"91b7c7d2-8761-47af-a113-60782b0f1edb","type":"WheelZoomTool"},{"id":"d10f1148-7ab5-4def-8341-f57190d469de","type":"BoxZoomTool"},{"id":"3b8c409e-087f-4d50-a557-7f64cd77a881","type":"SaveTool"},{"id":"14abe303-ed7e-40d3-8cbe-8743dd7c4763","type":"ResetTool"},{"id":"68824f0e-5f38-48fb-8c49-0081bd795cb2","type":"HelpTool"}]},"id":"833ccbaf-51ac-4f60-a4ab-901e736f5f53","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c12e217d-4353-4929-99a2-3512702ed08c","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"6faf54e3-7c80-4897-ad2a-2483f7393322","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d5ac7ef-0deb-4f06-b0a4-6499c7b40561","type":"BasicTicker"}},"id":"f63fdb43-9d15-40e0-a0a6-88fc853959fd","type":"Grid"},{"attributes":{},"id":"cf546814-5afa-40ac-b380-bd71f4a1ddc7","type":"LinearScale"},{"attributes":{},"id":"d091de62-20e2-4162-8432-feb207c86700","type":"PanTool"},{"attributes":{},"id":"0bde3e81-c3b5-406c-b154-341ccd45a69f","type":"LinearScale"},{"attributes":{},"id":"14abe303-ed7e-40d3-8cbe-8743dd7c4763","type":"ResetTool"},{"attributes":{},"id":"072b2470-30b1-4a97-b76d-ccf2c1339409","type":"BasicTicker"},{"attributes":{},"id":"3b8c409e-087f-4d50-a557-7f64cd77a881","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0c8d8b68-75fa-4e7c-b620-35e6d7ef0887","type":"Square"},{"attributes":{"overlay":{"id":"c12e217d-4353-4929-99a2-3512702ed08c","type":"BoxAnnotation"}},"id":"d10f1148-7ab5-4def-8341-f57190d469de","type":"BoxZoomTool"},{"attributes":{},"id":"48ff6854-9db1-4c41-8eea-733749d79593","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"48ef8559-6e2a-4cd0-bf3a-58044f2c9889","type":"Square"},{"attributes":{"callback":null},"id":"8f63a88d-9ff9-4f96-81b4-c5ecf6896b8a","type":"DataRange1d"},{"attributes":{"callback":null},"id":"b146ed76-7ae7-45be-bb7b-b42b7fb0e6ff","type":"DataRange1d"},{"attributes":{"formatter":{"id":"bb17a4a1-569a-44b5-9a0c-e05db36d416c","type":"BasicTickFormatter"},"plot":{"id":"6faf54e3-7c80-4897-ad2a-2483f7393322","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8915444-1f19-437c-b554-8fdc7f7f9a92","type":"BasicTicker"}},"id":"624a248b-bf55-4850-b552-df66ae1205c3","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d091de62-20e2-4162-8432-feb207c86700","type":"PanTool"},{"id":"5229a278-5dea-4ba1-83aa-f9bb49825f9f","type":"WheelZoomTool"},{"id":"51dda2b3-2412-4e04-b861-3e8e1d1d108a","type":"BoxZoomTool"},{"id":"d26262b2-ace4-4a3e-8942-792ae15312d2","type":"SaveTool"},{"id":"a5fcf183-013a-48e6-a752-5880d7af8bf8","type":"ResetTool"},{"id":"e1fcffcc-80bf-4527-afaf-809975565d27","type":"HelpTool"}]},"id":"0dd5c545-2dd4-4729-86cc-d97529ff2ab7","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a35410fd-1a58-4ca0-91af-d766b818c58c","subtype":"Figure","type":"Plot"},"ticker":{"id":"7aeff2cd-5ac6-4d00-9777-2897df53cbd6","type":"BasicTicker"}},"id":"ca6cc9b3-6a65-4ab6-81c5-66c3f771665d","type":"Grid"},{"attributes":{},"id":"46dfae3d-4f8c-4cb9-bd52-0828b8cdcf6f","type":"BasicTickFormatter"},{"attributes":{},"id":"5d5ac7ef-0deb-4f06-b0a4-6499c7b40561","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e3c67ea3-d709-4729-8c21-8cfb5f0732d0","type":"PanTool"},{"id":"9130a5a2-0637-4e4f-8497-37da8c334e6e","type":"WheelZoomTool"},{"id":"4e765486-b1cb-4de5-927a-44903ccfb652","type":"BoxZoomTool"},{"id":"afe89666-b7eb-4278-a8d6-07bb03b5e6f5","type":"SaveTool"},{"id":"f2fb876e-37e2-41e7-ab18-b40d3d46cacb","type":"ResetTool"},{"id":"c82d4efb-6c16-4f1d-8557-ec57dacf16f0","type":"HelpTool"}]},"id":"27beb751-19f0-4fe0-91ca-a1ba52b430c8","type":"Toolbar"},{"attributes":{},"id":"5229a278-5dea-4ba1-83aa-f9bb49825f9f","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"76eb33a7-c5dc-4080-b076-5aaf56a69fa0","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"dd07d994-88e1-4aee-ac2b-96d3e9c74c61","type":"BasicTickFormatter"},"plot":{"id":"6faf54e3-7c80-4897-ad2a-2483f7393322","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d5ac7ef-0deb-4f06-b0a4-6499c7b40561","type":"BasicTicker"}},"id":"62db9f9c-301e-4b91-a16f-98cdc287dfd0","type":"LinearAxis"},{"attributes":{},"id":"578cbc9e-4c2f-4bba-b737-1033c02d7295","type":"PanTool"},{"attributes":{"source":{"id":"e5be197c-668e-441e-a766-6264f9ec419c","type":"ColumnDataSource"}},"id":"70ef3702-a84e-4b0f-82e0-e5a68ef8603a","type":"CDSView"},{"attributes":{},"id":"7899a09a-a968-49ce-803e-41a34aec2398","type":"LinearScale"},{"attributes":{},"id":"bb17a4a1-569a-44b5-9a0c-e05db36d416c","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"62db9f9c-301e-4b91-a16f-98cdc287dfd0","type":"LinearAxis"}],"left":[{"id":"624a248b-bf55-4850-b552-df66ae1205c3","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"62db9f9c-301e-4b91-a16f-98cdc287dfd0","type":"LinearAxis"},{"id":"f63fdb43-9d15-40e0-a0a6-88fc853959fd","type":"Grid"},{"id":"624a248b-bf55-4850-b552-df66ae1205c3","type":"LinearAxis"},{"id":"cdfb14e6-7d17-4604-be63-ae80b6773285","type":"Grid"},{"id":"76eb33a7-c5dc-4080-b076-5aaf56a69fa0","type":"BoxAnnotation"},{"id":"73b9f80d-7a58-4fdf-8c00-02a1399343a6","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"27beb751-19f0-4fe0-91ca-a1ba52b430c8","type":"Toolbar"},"x_range":{"id":"b146ed76-7ae7-45be-bb7b-b42b7fb0e6ff","type":"DataRange1d"},"x_scale":{"id":"7899a09a-a968-49ce-803e-41a34aec2398","type":"LinearScale"},"y_range":{"id":"d8094751-550c-4e52-92c1-5d0339899eb2","type":"DataRange1d"},"y_scale":{"id":"cf546814-5afa-40ac-b380-bd71f4a1ddc7","type":"LinearScale"}},"id":"6faf54e3-7c80-4897-ad2a-2483f7393322","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"904a1353-adb5-4768-828b-f5e44dc3fdce","type":"LinearScale"},{"attributes":{"callback":null},"id":"2d067266-9e44-4172-93e7-b3d0aa036497","type":"DataRange1d"},{"attributes":{"children":[{"id":"6faf54e3-7c80-4897-ad2a-2483f7393322","subtype":"Figure","type":"Plot"},{"id":"6da7ac16-38cb-4d7f-bb86-e770aeba1167","subtype":"Figure","type":"Plot"},{"id":"a35410fd-1a58-4ca0-91af-d766b818c58c","subtype":"Figure","type":"Plot"}]},"id":"da0ebc67-3387-467e-a396-193ff3b7c9aa","type":"Row"},{"attributes":{},"id":"f8915444-1f19-437c-b554-8fdc7f7f9a92","type":"BasicTicker"},{"attributes":{"formatter":{"id":"48ff6854-9db1-4c41-8eea-733749d79593","type":"BasicTickFormatter"},"plot":{"id":"a35410fd-1a58-4ca0-91af-d766b818c58c","subtype":"Figure","type":"Plot"},"ticker":{"id":"37f9bf23-94b6-47f4-8b20-cd3193d41fd4","type":"BasicTicker"}},"id":"5d51a422-5cb3-481b-8718-26001c3d464f","type":"LinearAxis"},{"attributes":{},"id":"9130a5a2-0637-4e4f-8497-37da8c334e6e","type":"WheelZoomTool"},{"attributes":{},"id":"c82d4efb-6c16-4f1d-8557-ec57dacf16f0","type":"HelpTool"},{"attributes":{},"id":"37f9bf23-94b6-47f4-8b20-cd3193d41fd4","type":"BasicTicker"},{"attributes":{},"id":"68824f0e-5f38-48fb-8c49-0081bd795cb2","type":"HelpTool"},{"attributes":{"formatter":{"id":"6812db21-a5bb-4cc2-bdb4-d71db71dd956","type":"BasicTickFormatter"},"plot":{"id":"6da7ac16-38cb-4d7f-bb86-e770aeba1167","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3c82f9c-663e-4326-8e5b-8e38a0bff1ab","type":"BasicTicker"}},"id":"804b6164-66c4-4a0e-a352-30b2ef223e31","type":"LinearAxis"},{"attributes":{},"id":"f2fb876e-37e2-41e7-ab18-b40d3d46cacb","type":"ResetTool"},{"attributes":{},"id":"d26262b2-ace4-4a3e-8942-792ae15312d2","type":"SaveTool"},{"attributes":{"plot":{"id":"6da7ac16-38cb-4d7f-bb86-e770aeba1167","subtype":"Figure","type":"Plot"},"ticker":{"id":"072b2470-30b1-4a97-b76d-ccf2c1339409","type":"BasicTicker"}},"id":"78c2b83c-76df-408b-b1ef-c22fc686f191","type":"Grid"},{"attributes":{"source":{"id":"9318dfd1-a755-4298-97a6-a6a82d82350c","type":"ColumnDataSource"}},"id":"b9813e2a-ba2a-4e74-b652-b73d604b96ee","type":"CDSView"},{"attributes":{},"id":"7aeff2cd-5ac6-4d00-9777-2897df53cbd6","type":"BasicTicker"},{"attributes":{},"id":"91b7c7d2-8761-47af-a113-60782b0f1edb","type":"WheelZoomTool"},{"attributes":{},"id":"6812db21-a5bb-4cc2-bdb4-d71db71dd956","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"9318dfd1-a755-4298-97a6-a6a82d82350c","type":"ColumnDataSource"},"glyph":{"id":"3cba226c-a169-4ce1-9dd7-97ed63cd82d6","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"be6fe27d-6f8b-445b-a2e4-4dcc59a1502a","type":"Circle"},"selection_glyph":null,"view":{"id":"b9813e2a-ba2a-4e74-b652-b73d604b96ee","type":"CDSView"}},"id":"73b9f80d-7a58-4fdf-8c00-02a1399343a6","type":"GlyphRenderer"},{"attributes":{},"id":"afe89666-b7eb-4278-a8d6-07bb03b5e6f5","type":"SaveTool"},{"attributes":{},"id":"e1fcffcc-80bf-4527-afaf-809975565d27","type":"HelpTool"},{"attributes":{"callback":null},"id":"14e538a4-d0bf-43da-be24-be0d31767346","type":"DataRange1d"},{"attributes":{"overlay":{"id":"76eb33a7-c5dc-4080-b076-5aaf56a69fa0","type":"BoxAnnotation"}},"id":"4e765486-b1cb-4de5-927a-44903ccfb652","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"6faf54e3-7c80-4897-ad2a-2483f7393322","subtype":"Figure","type":"Plot"},"ticker":{"id":"f8915444-1f19-437c-b554-8fdc7f7f9a92","type":"BasicTicker"}},"id":"cdfb14e6-7d17-4604-be63-ae80b6773285","type":"Grid"},{"attributes":{"callback":null},"id":"443d50a9-1090-45b8-93a5-02fb1f67ade0","type":"DataRange1d"},{"attributes":{"callback":null},"id":"d8094751-550c-4e52-92c1-5d0339899eb2","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"6da7ac16-38cb-4d7f-bb86-e770aeba1167","subtype":"Figure","type":"Plot"},"ticker":{"id":"c3c82f9c-663e-4326-8e5b-8e38a0bff1ab","type":"BasicTicker"}},"id":"a05f44e6-85a6-4a9c-88fd-c2b57a1fbbf5","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1eef31dc-3ea7-498e-9345-d25ee4f396fe","type":"Triangle"},{"attributes":{},"id":"e1d26a11-fdec-455c-b45d-2ba1c6c579bf","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9a76a0a3-16b7-43bd-8ce6-2ed8108d1df3","type":"Triangle"},{"attributes":{"source":{"id":"6cb2b32e-60fb-4cea-8abe-c174aa46519b","type":"ColumnDataSource"}},"id":"6da1f517-ca0e-4c06-95ec-611201ac4c32","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3cba226c-a169-4ce1-9dd7-97ed63cd82d6","type":"Circle"},{"attributes":{},"id":"c3c82f9c-663e-4326-8e5b-8e38a0bff1ab","type":"BasicTicker"}],"root_ids":["da0ebc67-3387-467e-a396-193ff3b7c9aa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1cfdcbe9-bb6a-4098-b511-f419d0f841c0","elementid":"fe685b78-d05f-40cf-9969-1441f94d6c56","modelid":"da0ebc67-3387-467e-a396-193ff3b7c9aa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
