(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("09ad3546-59d9-4489-8779-dc20cd020213");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '09ad3546-59d9-4489-8779-dc20cd020213' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1a5d9635-e194-4a3f-aaee-f633f3ca3ba8":{"roots":{"references":[{"attributes":{},"id":"e938a4e5-4f6d-4973-bc96-bd6630139461","type":"PanTool"},{"attributes":{},"id":"9c6237e7-5e40-4302-8b17-4b676f9b184e","type":"LinearScale"},{"attributes":{},"id":"804ab0d4-1e53-4df9-9e0c-11241b983411","type":"BasicTicker"},{"attributes":{"source":{"id":"dfef5bbc-3149-4276-8043-27586602d691","type":"ColumnDataSource"}},"id":"1b702423-381b-496a-a8ee-f1c658bcabf8","type":"CDSView"},{"attributes":{"formatter":{"id":"b56d7f59-9e8b-4b42-8f09-4c0f1ae9e92a","type":"BasicTickFormatter"},"plot":{"id":"149e3bad-1b81-4d71-8da8-b93f17d21d11","subtype":"Figure","type":"Plot"},"ticker":{"id":"70717f92-d3c1-4e82-950f-a1df4f336d4d","type":"BasicTicker"}},"id":"a631b6a8-d1e4-4951-abc3-4d7d465b648e","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b8a5af9e-0203-4a68-a921-084a9427d094","type":"Square"},{"attributes":{"plot":{"id":"149e3bad-1b81-4d71-8da8-b93f17d21d11","subtype":"Figure","type":"Plot"},"ticker":{"id":"70717f92-d3c1-4e82-950f-a1df4f336d4d","type":"BasicTicker"}},"id":"28e899e2-bff8-473d-beac-6e38821ea1a8","type":"Grid"},{"attributes":{"overlay":{"id":"42fc8eec-2c87-4d7f-8545-bb34f7f6aa16","type":"BoxAnnotation"}},"id":"3c52b3cf-7567-4350-8ab8-98a3b6425087","type":"BoxZoomTool"},{"attributes":{},"id":"b5c99610-18e8-42ad-9b10-9a17720ab0f1","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e938a4e5-4f6d-4973-bc96-bd6630139461","type":"PanTool"},{"id":"6eb595db-d574-4263-b6f1-84eedabfdd61","type":"WheelZoomTool"},{"id":"3c52b3cf-7567-4350-8ab8-98a3b6425087","type":"BoxZoomTool"},{"id":"4a50cc5d-603b-4a6f-b29b-b96e2fe2ba10","type":"SaveTool"},{"id":"8b342d9f-f673-40a7-b467-1456cfb54a44","type":"ResetTool"},{"id":"b5c99610-18e8-42ad-9b10-9a17720ab0f1","type":"HelpTool"}]},"id":"69db8f9c-9aaa-480e-afa7-3c4652ccabf5","type":"Toolbar"},{"attributes":{"formatter":{"id":"ba4bcd16-c49f-4f04-8ade-7826b8d2758c","type":"BasicTickFormatter"},"plot":{"id":"149e3bad-1b81-4d71-8da8-b93f17d21d11","subtype":"Figure","type":"Plot"},"ticker":{"id":"804ab0d4-1e53-4df9-9e0c-11241b983411","type":"BasicTicker"}},"id":"b3691f19-6d92-44d6-b9ba-a03f435a13cc","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"5e94a888-9a37-462c-9895-4363783cc0c0","type":"Title"},{"attributes":{},"id":"ba4bcd16-c49f-4f04-8ade-7826b8d2758c","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"2f55c90e-8371-4147-844f-e13fd9c4d90e","type":"DataRange1d"},{"attributes":{"below":[{"id":"a631b6a8-d1e4-4951-abc3-4d7d465b648e","type":"LinearAxis"}],"left":[{"id":"b3691f19-6d92-44d6-b9ba-a03f435a13cc","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a631b6a8-d1e4-4951-abc3-4d7d465b648e","type":"LinearAxis"},{"id":"28e899e2-bff8-473d-beac-6e38821ea1a8","type":"Grid"},{"id":"b3691f19-6d92-44d6-b9ba-a03f435a13cc","type":"LinearAxis"},{"id":"cdc13a53-e25c-4dc1-9d2d-588870e3240b","type":"Grid"},{"id":"42fc8eec-2c87-4d7f-8545-bb34f7f6aa16","type":"BoxAnnotation"},{"id":"c84785e9-3a6e-4ba8-9869-1cd33a0fd99b","type":"GlyphRenderer"}],"title":{"id":"5e94a888-9a37-462c-9895-4363783cc0c0","type":"Title"},"toolbar":{"id":"69db8f9c-9aaa-480e-afa7-3c4652ccabf5","type":"Toolbar"},"x_range":{"id":"9c4d9677-d324-4012-b448-7624851cfa35","type":"DataRange1d"},"x_scale":{"id":"17bb0d42-b1a5-464e-a2c4-2def69974fed","type":"LinearScale"},"y_range":{"id":"2f55c90e-8371-4147-844f-e13fd9c4d90e","type":"DataRange1d"},"y_scale":{"id":"9c6237e7-5e40-4302-8b17-4b676f9b184e","type":"LinearScale"}},"id":"149e3bad-1b81-4d71-8da8-b93f17d21d11","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"9c4d9677-d324-4012-b448-7624851cfa35","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"a877962f-3057-43da-ab41-ec4ce9d72282","type":"Square"},{"attributes":{},"id":"70717f92-d3c1-4e82-950f-a1df4f336d4d","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"42fc8eec-2c87-4d7f-8545-bb34f7f6aa16","type":"BoxAnnotation"},{"attributes":{},"id":"17bb0d42-b1a5-464e-a2c4-2def69974fed","type":"LinearScale"},{"attributes":{"data_source":{"id":"dfef5bbc-3149-4276-8043-27586602d691","type":"ColumnDataSource"},"glyph":{"id":"b8a5af9e-0203-4a68-a921-084a9427d094","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a877962f-3057-43da-ab41-ec4ce9d72282","type":"Square"},"selection_glyph":null,"view":{"id":"1b702423-381b-496a-a8ee-f1c658bcabf8","type":"CDSView"}},"id":"c84785e9-3a6e-4ba8-9869-1cd33a0fd99b","type":"GlyphRenderer"},{"attributes":{},"id":"8b342d9f-f673-40a7-b467-1456cfb54a44","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"149e3bad-1b81-4d71-8da8-b93f17d21d11","subtype":"Figure","type":"Plot"},"ticker":{"id":"804ab0d4-1e53-4df9-9e0c-11241b983411","type":"BasicTicker"}},"id":"cdc13a53-e25c-4dc1-9d2d-588870e3240b","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"dfef5bbc-3149-4276-8043-27586602d691","type":"ColumnDataSource"},{"attributes":{},"id":"b56d7f59-9e8b-4b42-8f09-4c0f1ae9e92a","type":"BasicTickFormatter"},{"attributes":{},"id":"6eb595db-d574-4263-b6f1-84eedabfdd61","type":"WheelZoomTool"},{"attributes":{},"id":"4a50cc5d-603b-4a6f-b29b-b96e2fe2ba10","type":"SaveTool"}],"root_ids":["149e3bad-1b81-4d71-8da8-b93f17d21d11"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1a5d9635-e194-4a3f-aaee-f633f3ca3ba8","elementid":"09ad3546-59d9-4489-8779-dc20cd020213","modelid":"149e3bad-1b81-4d71-8da8-b93f17d21d11"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
