(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6aa55788-98a4-4c20-9d4f-42ce4df42cf3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6aa55788-98a4-4c20-9d4f-42ce4df42cf3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d646b048-1a48-4da7-b24b-115d9e762259":{"roots":{"references":[{"attributes":{},"id":"9f8fd91d-c6c1-46e4-b28f-65bc976a4d91","type":"BasicTicker"},{"attributes":{},"id":"65f7da4b-d0cb-4b40-995d-9f7f7a2f9618","type":"WheelZoomTool"},{"attributes":{},"id":"00ccf76d-ff2a-41e1-878d-7045254f359b","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"e8459ce1-a9cf-41f9-baa5-cd6128673bd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"9f8fd91d-c6c1-46e4-b28f-65bc976a4d91","type":"BasicTicker"}},"id":"ef9523d7-93a9-4bf7-9b85-6b76824c845a","type":"Grid"},{"attributes":{},"id":"f700f9ab-cce1-47d1-9d66-62095fb74eda","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"2f54a0bb-52f8-49c6-b390-4abef3e32c00","type":"Circle"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"fd079daf-6ddc-40e5-b5e9-5e8b5050495f","type":"Line"},{"attributes":{"callback":null},"id":"6b75614c-56e9-4dc7-b063-f4c12f1a7be4","type":"DataRange1d"},{"attributes":{"data_source":{"id":"0ea75137-08ef-4434-adad-3b410ee272f5","type":"ColumnDataSource"},"glyph":{"id":"fd079daf-6ddc-40e5-b5e9-5e8b5050495f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6e8f8b06-fd2a-432d-83dd-bd882064a253","type":"Line"},"selection_glyph":null,"view":{"id":"87add9ce-7ce3-4ff8-81b1-3bbb369ef83a","type":"CDSView"}},"id":"be3bd763-d643-4951-aaed-1e105fa1b8e5","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"082c215e-dcdb-4a71-a5e3-99107b9832b1","type":"ColumnDataSource"},"glyph":{"id":"2f54a0bb-52f8-49c6-b390-4abef3e32c00","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e2de741f-8088-4160-9906-8979a89b6343","type":"Circle"},"selection_glyph":null,"view":{"id":"8e543f7e-e6e5-46d8-9670-0697bd316852","type":"CDSView"}},"id":"e61fe506-229b-4738-8ff4-453181fa235b","type":"GlyphRenderer"},{"attributes":{},"id":"66929509-107a-40aa-b618-8b5c3dd9d54c","type":"SaveTool"},{"attributes":{},"id":"3d120e94-a379-4c08-8d2f-4c4e55f22b55","type":"HelpTool"},{"attributes":{},"id":"a7f4572c-e17b-406c-8c83-b27e92829623","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"0ea75137-08ef-4434-adad-3b410ee272f5","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"27a28eec-53f7-4fc7-8219-29959b9a3fa6","type":"BoxAnnotation"}},"id":"ca5b1fa2-54b0-443b-8947-ae068e21c6ce","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"e2de741f-8088-4160-9906-8979a89b6343","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"00ccf76d-ff2a-41e1-878d-7045254f359b","type":"PanTool"},{"id":"65f7da4b-d0cb-4b40-995d-9f7f7a2f9618","type":"WheelZoomTool"},{"id":"ca5b1fa2-54b0-443b-8947-ae068e21c6ce","type":"BoxZoomTool"},{"id":"66929509-107a-40aa-b618-8b5c3dd9d54c","type":"SaveTool"},{"id":"93b74687-67f3-41d2-a569-66dbe1fc1d9d","type":"ResetTool"},{"id":"3d120e94-a379-4c08-8d2f-4c4e55f22b55","type":"HelpTool"}]},"id":"7d381ecd-4ec7-43ac-8b30-37a5434a7e07","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"9251fa6e-86f8-4a81-82dc-b8e5769b9cdc","type":"Title"},{"attributes":{"formatter":{"id":"fcd38b96-d7cd-4274-b7e3-d89800f55c31","type":"BasicTickFormatter"},"plot":{"id":"e8459ce1-a9cf-41f9-baa5-cd6128673bd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"02bb2da0-ed28-419c-9ac6-fda47ce842bc","type":"BasicTicker"}},"id":"53013281-6bda-47a2-b721-1cd79861de7a","type":"LinearAxis"},{"attributes":{"formatter":{"id":"f700f9ab-cce1-47d1-9d66-62095fb74eda","type":"BasicTickFormatter"},"plot":{"id":"e8459ce1-a9cf-41f9-baa5-cd6128673bd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"9f8fd91d-c6c1-46e4-b28f-65bc976a4d91","type":"BasicTicker"}},"id":"4b19e48c-6092-4246-8368-27ef044a083a","type":"LinearAxis"},{"attributes":{"plot":{"id":"e8459ce1-a9cf-41f9-baa5-cd6128673bd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"02bb2da0-ed28-419c-9ac6-fda47ce842bc","type":"BasicTicker"}},"id":"554acc1e-87b4-461c-951d-c51702f0047e","type":"Grid"},{"attributes":{},"id":"93b74687-67f3-41d2-a569-66dbe1fc1d9d","type":"ResetTool"},{"attributes":{"callback":null},"id":"9194669f-b2fe-4da7-a334-7da38a0cef93","type":"DataRange1d"},{"attributes":{"source":{"id":"082c215e-dcdb-4a71-a5e3-99107b9832b1","type":"ColumnDataSource"}},"id":"8e543f7e-e6e5-46d8-9670-0697bd316852","type":"CDSView"},{"attributes":{},"id":"02bb2da0-ed28-419c-9ac6-fda47ce842bc","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"082c215e-dcdb-4a71-a5e3-99107b9832b1","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"27a28eec-53f7-4fc7-8219-29959b9a3fa6","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"53013281-6bda-47a2-b721-1cd79861de7a","type":"LinearAxis"}],"left":[{"id":"4b19e48c-6092-4246-8368-27ef044a083a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"53013281-6bda-47a2-b721-1cd79861de7a","type":"LinearAxis"},{"id":"554acc1e-87b4-461c-951d-c51702f0047e","type":"Grid"},{"id":"4b19e48c-6092-4246-8368-27ef044a083a","type":"LinearAxis"},{"id":"ef9523d7-93a9-4bf7-9b85-6b76824c845a","type":"Grid"},{"id":"27a28eec-53f7-4fc7-8219-29959b9a3fa6","type":"BoxAnnotation"},{"id":"be3bd763-d643-4951-aaed-1e105fa1b8e5","type":"GlyphRenderer"},{"id":"e61fe506-229b-4738-8ff4-453181fa235b","type":"GlyphRenderer"}],"title":{"id":"9251fa6e-86f8-4a81-82dc-b8e5769b9cdc","type":"Title"},"toolbar":{"id":"7d381ecd-4ec7-43ac-8b30-37a5434a7e07","type":"Toolbar"},"x_range":{"id":"6b75614c-56e9-4dc7-b063-f4c12f1a7be4","type":"DataRange1d"},"x_scale":{"id":"a7f4572c-e17b-406c-8c83-b27e92829623","type":"LinearScale"},"y_range":{"id":"9194669f-b2fe-4da7-a334-7da38a0cef93","type":"DataRange1d"},"y_scale":{"id":"8926aff7-97a5-4e3c-9e65-eb25cbd0b475","type":"LinearScale"}},"id":"e8459ce1-a9cf-41f9-baa5-cd6128673bd8","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8926aff7-97a5-4e3c-9e65-eb25cbd0b475","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6e8f8b06-fd2a-432d-83dd-bd882064a253","type":"Line"},{"attributes":{"source":{"id":"0ea75137-08ef-4434-adad-3b410ee272f5","type":"ColumnDataSource"}},"id":"87add9ce-7ce3-4ff8-81b1-3bbb369ef83a","type":"CDSView"},{"attributes":{},"id":"fcd38b96-d7cd-4274-b7e3-d89800f55c31","type":"BasicTickFormatter"}],"root_ids":["e8459ce1-a9cf-41f9-baa5-cd6128673bd8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d646b048-1a48-4da7-b24b-115d9e762259","elementid":"6aa55788-98a4-4c20-9d4f-42ce4df42cf3","modelid":"e8459ce1-a9cf-41f9-baa5-cd6128673bd8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
