(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c2943cea-7563-4fdd-b8d2-862e33763c5b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c2943cea-7563-4fdd-b8d2-862e33763c5b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2fd8f791-1feb-48fe-abe3-bd09830c0f8c":{"roots":{"references":[{"attributes":{},"id":"993fb3da-e97f-41ce-929f-cbc423c8fb37","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"28c86ea4-2f0a-4987-8ecb-956e06d3fbec","subtype":"Figure","type":"Plot"},"ticker":{"id":"5e7d85c4-4314-4e96-a7c2-b5756eb5500b","type":"BasicTicker"}},"id":"702c94cf-2d32-4f05-9cae-68154124da91","type":"Grid"},{"attributes":{"callback":null},"id":"6bf6792f-4d31-4212-8396-6f5a5a8ab771","type":"DataRange1d"},{"attributes":{},"id":"9bb950ed-8a71-4010-b1bf-1a91dbbf0a54","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"55253c05-99a6-4b4a-955e-b65271cb95ac","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"615c03cf-5138-4551-a957-2478ae9ecbab","type":"ColumnDataSource"},{"attributes":{},"id":"27a48e79-35f0-4cb2-a618-ab4234c48422","type":"ResetTool"},{"attributes":{"data_source":{"id":"615c03cf-5138-4551-a957-2478ae9ecbab","type":"ColumnDataSource"},"glyph":{"id":"8e72cdb8-ef63-4ed0-bfa5-c8f376472862","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b799708d-e7ec-4346-a0dd-3777d875e2c7","type":"Oval"},"selection_glyph":null,"view":{"id":"fe5ace48-fad7-4684-bcf2-165c126b0685","type":"CDSView"}},"id":"5bab7c13-6205-4786-9b44-14be292720b8","type":"GlyphRenderer"},{"attributes":{},"id":"5b704287-7a40-41b4-a4fb-ad7e84d17af4","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"f23bb6fa-ffd2-477e-9a98-7ff90a9c90ef","type":"Title"},{"attributes":{},"id":"5e7d85c4-4314-4e96-a7c2-b5756eb5500b","type":"BasicTicker"},{"attributes":{},"id":"1a09e383-36c0-47a7-ba89-020fefd65ec9","type":"HelpTool"},{"attributes":{"formatter":{"id":"9ef1418e-acac-4a41-b362-c6a7d4c65f12","type":"BasicTickFormatter"},"plot":{"id":"28c86ea4-2f0a-4987-8ecb-956e06d3fbec","subtype":"Figure","type":"Plot"},"ticker":{"id":"5e7d85c4-4314-4e96-a7c2-b5756eb5500b","type":"BasicTicker"}},"id":"750e1875-7e18-499b-9bbe-87aeace944be","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"8e72cdb8-ef63-4ed0-bfa5-c8f376472862","type":"Oval"},{"attributes":{"overlay":{"id":"f4d5b207-6f2a-4527-950c-791b4804501f","type":"BoxAnnotation"}},"id":"e463eba8-2255-4a9f-add9-8d00d8a14f48","type":"BoxZoomTool"},{"attributes":{},"id":"b014ee1d-1635-4408-94a1-3323fa3e99d6","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5b704287-7a40-41b4-a4fb-ad7e84d17af4","type":"PanTool"},{"id":"993fb3da-e97f-41ce-929f-cbc423c8fb37","type":"WheelZoomTool"},{"id":"e463eba8-2255-4a9f-add9-8d00d8a14f48","type":"BoxZoomTool"},{"id":"0ff3de66-b0e5-4dc0-81e8-a065b756f152","type":"SaveTool"},{"id":"27a48e79-35f0-4cb2-a618-ab4234c48422","type":"ResetTool"},{"id":"1a09e383-36c0-47a7-ba89-020fefd65ec9","type":"HelpTool"}]},"id":"2e16f475-a240-4302-a59e-3fb2985373a5","type":"Toolbar"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"b799708d-e7ec-4346-a0dd-3777d875e2c7","type":"Oval"},{"attributes":{"plot":{"id":"28c86ea4-2f0a-4987-8ecb-956e06d3fbec","subtype":"Figure","type":"Plot"},"ticker":{"id":"5802260f-930c-4f20-927f-31e814ed171b","type":"BasicTicker"}},"id":"de3a4055-e3b2-4c3d-a8f9-9f0c0746ad67","type":"Grid"},{"attributes":{},"id":"0ff3de66-b0e5-4dc0-81e8-a065b756f152","type":"SaveTool"},{"attributes":{},"id":"9ef1418e-acac-4a41-b362-c6a7d4c65f12","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"9bb950ed-8a71-4010-b1bf-1a91dbbf0a54","type":"BasicTickFormatter"},"plot":{"id":"28c86ea4-2f0a-4987-8ecb-956e06d3fbec","subtype":"Figure","type":"Plot"},"ticker":{"id":"5802260f-930c-4f20-927f-31e814ed171b","type":"BasicTicker"}},"id":"b0ad24a0-12f3-4f44-9875-d308cef1f8c6","type":"LinearAxis"},{"attributes":{"below":[{"id":"b0ad24a0-12f3-4f44-9875-d308cef1f8c6","type":"LinearAxis"}],"left":[{"id":"750e1875-7e18-499b-9bbe-87aeace944be","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b0ad24a0-12f3-4f44-9875-d308cef1f8c6","type":"LinearAxis"},{"id":"de3a4055-e3b2-4c3d-a8f9-9f0c0746ad67","type":"Grid"},{"id":"750e1875-7e18-499b-9bbe-87aeace944be","type":"LinearAxis"},{"id":"702c94cf-2d32-4f05-9cae-68154124da91","type":"Grid"},{"id":"f4d5b207-6f2a-4527-950c-791b4804501f","type":"BoxAnnotation"},{"id":"5bab7c13-6205-4786-9b44-14be292720b8","type":"GlyphRenderer"}],"title":{"id":"f23bb6fa-ffd2-477e-9a98-7ff90a9c90ef","type":"Title"},"toolbar":{"id":"2e16f475-a240-4302-a59e-3fb2985373a5","type":"Toolbar"},"x_range":{"id":"6bf6792f-4d31-4212-8396-6f5a5a8ab771","type":"DataRange1d"},"x_scale":{"id":"b014ee1d-1635-4408-94a1-3323fa3e99d6","type":"LinearScale"},"y_range":{"id":"55253c05-99a6-4b4a-955e-b65271cb95ac","type":"DataRange1d"},"y_scale":{"id":"2ba05740-6735-41e4-a46a-a91d7c8affb1","type":"LinearScale"}},"id":"28c86ea4-2f0a-4987-8ecb-956e06d3fbec","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"615c03cf-5138-4551-a957-2478ae9ecbab","type":"ColumnDataSource"}},"id":"fe5ace48-fad7-4684-bcf2-165c126b0685","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f4d5b207-6f2a-4527-950c-791b4804501f","type":"BoxAnnotation"},{"attributes":{},"id":"2ba05740-6735-41e4-a46a-a91d7c8affb1","type":"LinearScale"},{"attributes":{},"id":"5802260f-930c-4f20-927f-31e814ed171b","type":"BasicTicker"}],"root_ids":["28c86ea4-2f0a-4987-8ecb-956e06d3fbec"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2fd8f791-1feb-48fe-abe3-bd09830c0f8c","elementid":"c2943cea-7563-4fdd-b8d2-862e33763c5b","modelid":"28c86ea4-2f0a-4987-8ecb-956e06d3fbec"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
