(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("72401253-5e59-493d-8e3b-ae9890d2fbaa");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '72401253-5e59-493d-8e3b-ae9890d2fbaa' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2ab2e720-d517-4dad-8988-844459cb89d0":{"roots":{"references":[{"attributes":{"below":[{"id":"03c2eeaf-4329-433e-85b6-d2ebbcf55ea3","type":"CategoricalAxis"}],"left":[{"id":"5f504a99-fdf1-458e-905d-acc0d0e9ed26","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"03c2eeaf-4329-433e-85b6-d2ebbcf55ea3","type":"CategoricalAxis"},{"id":"51db83b2-f928-4963-b7f1-9a064a431bb2","type":"Grid"},{"id":"5f504a99-fdf1-458e-905d-acc0d0e9ed26","type":"LinearAxis"},{"id":"09467d40-5d05-4089-a170-ea4cda09726c","type":"Grid"},{"id":"82c2fe15-0e63-4629-951b-dc5133111f4b","type":"BoxAnnotation"},{"id":"89fe9ee4-e2cd-4206-9b42-4b0c5c9219c5","type":"Legend"},{"id":"d9bd655e-71ad-46c3-8270-ee62bf8a001d","type":"GlyphRenderer"}],"title":{"id":"887d0f2d-c77c-41e3-bd3b-9980e73783b9","type":"Title"},"toolbar":{"id":"12ddcc1d-3b6c-4683-b80b-fba4b9393eee","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"eb16d426-4a23-42ba-88b5-067142b4ef63","type":"FactorRange"},"x_scale":{"id":"425251bb-28f5-43b0-8ce4-661de65b9d81","type":"CategoricalScale"},"y_range":{"id":"3a10493a-b870-49fa-85c7-34abf8ccc7f3","type":"DataRange1d"},"y_scale":{"id":"de0c3360-4dcd-4e38-ab10-edb20cff82bc","type":"LinearScale"}},"id":"3d982772-751d-42e4-b6a7-5f400ffb08d5","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"3d982772-751d-42e4-b6a7-5f400ffb08d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"ac424afa-76c2-4d95-b57b-b75da6a88fb5","type":"BasicTicker"}},"id":"09467d40-5d05-4089-a170-ea4cda09726c","type":"Grid"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"3d982772-751d-42e4-b6a7-5f400ffb08d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe4d1da2-a460-4ae2-b3cf-c7a1e9e8a3f4","type":"CategoricalTicker"}},"id":"51db83b2-f928-4963-b7f1-9a064a431bb2","type":"Grid"},{"attributes":{"source":{"id":"8a0b2dea-b0ad-4cc7-a577-a8c0da771196","type":"ColumnDataSource"}},"id":"49a30e97-d03f-491a-87e9-6b08142bfa78","type":"CDSView"},{"attributes":{"overlay":{"id":"82c2fe15-0e63-4629-951b-dc5133111f4b","type":"BoxAnnotation"}},"id":"042ce431-badb-4e27-83ed-3cc1b19b851a","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"8a0b2dea-b0ad-4cc7-a577-a8c0da771196","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"887d0f2d-c77c-41e3-bd3b-9980e73783b9","type":"Title"},{"attributes":{},"id":"1d7f534b-dc15-4389-b3df-4409182faa0f","type":"WheelZoomTool"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"eb16d426-4a23-42ba-88b5-067142b4ef63","type":"FactorRange"},{"attributes":{},"id":"5e4425a9-8ec9-4cd8-a455-af604f9cbfed","type":"CategoricalTickFormatter"},{"attributes":{},"id":"fe4d1da2-a460-4ae2-b3cf-c7a1e9e8a3f4","type":"CategoricalTicker"},{"attributes":{},"id":"9a0df19c-ca22-43e6-9b9c-e46df36d40b4","type":"HelpTool"},{"attributes":{},"id":"de0c3360-4dcd-4e38-ab10-edb20cff82bc","type":"LinearScale"},{"attributes":{"callback":null,"end":9,"start":0},"id":"3a10493a-b870-49fa-85c7-34abf8ccc7f3","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"565d2524-fa2a-4bb6-b10c-740f086ecb68","type":"VBar"},{"attributes":{"data_source":{"id":"8a0b2dea-b0ad-4cc7-a577-a8c0da771196","type":"ColumnDataSource"},"glyph":{"id":"05d8fe5f-aaab-4c1b-86d3-7fb239421040","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"565d2524-fa2a-4bb6-b10c-740f086ecb68","type":"VBar"},"selection_glyph":null,"view":{"id":"49a30e97-d03f-491a-87e9-6b08142bfa78","type":"CDSView"}},"id":"d9bd655e-71ad-46c3-8270-ee62bf8a001d","type":"GlyphRenderer"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"1fe400fd-7a6a-4956-8581-00e8ea3eb472","type":"CategoricalColorMapper"},{"attributes":{},"id":"68a3d05b-58b7-41df-b896-797a40f0777f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"68a3d05b-58b7-41df-b896-797a40f0777f","type":"BasicTickFormatter"},"plot":{"id":"3d982772-751d-42e4-b6a7-5f400ffb08d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"ac424afa-76c2-4d95-b57b-b75da6a88fb5","type":"BasicTicker"}},"id":"5f504a99-fdf1-458e-905d-acc0d0e9ed26","type":"LinearAxis"},{"attributes":{},"id":"ac424afa-76c2-4d95-b57b-b75da6a88fb5","type":"BasicTicker"},{"attributes":{},"id":"0efbd1d2-8bc7-4d4b-aa94-78acca5a7fe9","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0efbd1d2-8bc7-4d4b-aa94-78acca5a7fe9","type":"PanTool"},{"id":"1d7f534b-dc15-4389-b3df-4409182faa0f","type":"WheelZoomTool"},{"id":"042ce431-badb-4e27-83ed-3cc1b19b851a","type":"BoxZoomTool"},{"id":"42e0a57f-e9af-4d08-98c3-7783e633af5f","type":"SaveTool"},{"id":"f66a01f4-c83b-4100-bbc3-1dbf5e884cc3","type":"ResetTool"},{"id":"9a0df19c-ca22-43e6-9b9c-e46df36d40b4","type":"HelpTool"}]},"id":"12ddcc1d-3b6c-4683-b80b-fba4b9393eee","type":"Toolbar"},{"attributes":{"items":[{"id":"eb7734be-4ba4-446f-b78c-764ff0a7ea2d","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"3d982772-751d-42e4-b6a7-5f400ffb08d5","subtype":"Figure","type":"Plot"}},"id":"89fe9ee4-e2cd-4206-9b42-4b0c5c9219c5","type":"Legend"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"1fe400fd-7a6a-4956-8581-00e8ea3eb472","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"05d8fe5f-aaab-4c1b-86d3-7fb239421040","type":"VBar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"82c2fe15-0e63-4629-951b-dc5133111f4b","type":"BoxAnnotation"},{"attributes":{},"id":"42e0a57f-e9af-4d08-98c3-7783e633af5f","type":"SaveTool"},{"attributes":{},"id":"425251bb-28f5-43b0-8ce4-661de65b9d81","type":"CategoricalScale"},{"attributes":{},"id":"f66a01f4-c83b-4100-bbc3-1dbf5e884cc3","type":"ResetTool"},{"attributes":{"formatter":{"id":"5e4425a9-8ec9-4cd8-a455-af604f9cbfed","type":"CategoricalTickFormatter"},"plot":{"id":"3d982772-751d-42e4-b6a7-5f400ffb08d5","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe4d1da2-a460-4ae2-b3cf-c7a1e9e8a3f4","type":"CategoricalTicker"}},"id":"03c2eeaf-4329-433e-85b6-d2ebbcf55ea3","type":"CategoricalAxis"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"d9bd655e-71ad-46c3-8270-ee62bf8a001d","type":"GlyphRenderer"}]},"id":"eb7734be-4ba4-446f-b78c-764ff0a7ea2d","type":"LegendItem"}],"root_ids":["3d982772-751d-42e4-b6a7-5f400ffb08d5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2ab2e720-d517-4dad-8988-844459cb89d0","elementid":"72401253-5e59-493d-8e3b-ae9890d2fbaa","modelid":"3d982772-751d-42e4-b6a7-5f400ffb08d5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
