(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1be0cdb2-8e76-460b-a43c-2fa66a51b9d4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1be0cdb2-8e76-460b-a43c-2fa66a51b9d4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3695870f-3240-410c-b992-2b3f3f85bf62":{"roots":{"references":[{"attributes":{},"id":"8b5c2186-3ef5-4807-a435-c2564bf72414","type":"BasicTicker"},{"attributes":{},"id":"caac25b2-d56f-4362-9f80-676f76e1b968","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9964592e-0995-429d-bd0f-deeac7b5d5e6","type":"TapTool"}]},"id":"931da8a9-3709-4bac-bfec-0dafdb1db575","type":"Toolbar"},{"attributes":{"data_source":{"id":"d9d56ecc-ffe5-4e24-a2c2-f084820e0698","type":"ColumnDataSource"},"glyph":{"id":"11e6eae5-bca6-41e4-a6f7-45e50846fb58","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"21f4ab28-c089-45af-93b8-d191d5eae4ff","type":"Circle"},"selection_glyph":{"id":"48a3daa2-c1f0-4b53-9f9b-6cdf810b50c9","type":"Circle"},"view":{"id":"83698ee1-7b89-49db-84f0-25e4bf0be5fa","type":"CDSView"}},"id":"1205a29e-bfdd-4572-aad0-0f008a2acf6f","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"a9ef00ff-bbbe-4bec-8560-f09c3f3f107c","type":"LinearAxis"}],"left":[{"id":"d37b7359-a3bc-4083-bd77-4cd3a3e3751c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a9ef00ff-bbbe-4bec-8560-f09c3f3f107c","type":"LinearAxis"},{"id":"4b92a61e-b00a-4627-99df-fea4e3ca047d","type":"Grid"},{"id":"d37b7359-a3bc-4083-bd77-4cd3a3e3751c","type":"LinearAxis"},{"id":"95d2b0b1-3f1c-4924-8c6f-4338b6937a68","type":"Grid"},{"id":"1205a29e-bfdd-4572-aad0-0f008a2acf6f","type":"GlyphRenderer"}],"title":{"id":"e2d91465-5214-4899-8edf-21d76724c999","type":"Title"},"toolbar":{"id":"931da8a9-3709-4bac-bfec-0dafdb1db575","type":"Toolbar"},"x_range":{"id":"a2efdb4d-5087-49f0-a211-c3f886fc1b51","type":"DataRange1d"},"x_scale":{"id":"ea39a849-914b-42a0-ba25-9190ec9800f3","type":"LinearScale"},"y_range":{"id":"46c3dc5c-c193-425f-b777-e70eedf08462","type":"DataRange1d"},"y_scale":{"id":"caac25b2-d56f-4362-9f80-676f76e1b968","type":"LinearScale"}},"id":"4e924ae9-c498-4bee-8d80-a5ed5cfdc46f","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"9964592e-0995-429d-bd0f-deeac7b5d5e6","type":"TapTool"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"e2d91465-5214-4899-8edf-21d76724c999","type":"Title"},{"attributes":{"callback":null},"id":"46c3dc5c-c193-425f-b777-e70eedf08462","type":"DataRange1d"},{"attributes":{},"id":"ea39a849-914b-42a0-ba25-9190ec9800f3","type":"LinearScale"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"48a3daa2-c1f0-4b53-9f9b-6cdf810b50c9","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"21f4ab28-c089-45af-93b8-d191d5eae4ff","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"4e924ae9-c498-4bee-8d80-a5ed5cfdc46f","subtype":"Figure","type":"Plot"},"ticker":{"id":"27563d06-eafc-4f34-98d6-6e938f703cf3","type":"BasicTicker"}},"id":"95d2b0b1-3f1c-4924-8c6f-4338b6937a68","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"11e6eae5-bca6-41e4-a6f7-45e50846fb58","type":"Circle"},{"attributes":{},"id":"27563d06-eafc-4f34-98d6-6e938f703cf3","type":"BasicTicker"},{"attributes":{"callback":null},"id":"a2efdb4d-5087-49f0-a211-c3f886fc1b51","type":"DataRange1d"},{"attributes":{},"id":"4271d8c0-51a7-4004-8e29-b4243ab5caa1","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"d9d56ecc-ffe5-4e24-a2c2-f084820e0698","type":"ColumnDataSource"}},"id":"83698ee1-7b89-49db-84f0-25e4bf0be5fa","type":"CDSView"},{"attributes":{"formatter":{"id":"4271d8c0-51a7-4004-8e29-b4243ab5caa1","type":"BasicTickFormatter"},"plot":{"id":"4e924ae9-c498-4bee-8d80-a5ed5cfdc46f","subtype":"Figure","type":"Plot"},"ticker":{"id":"27563d06-eafc-4f34-98d6-6e938f703cf3","type":"BasicTicker"}},"id":"d37b7359-a3bc-4083-bd77-4cd3a3e3751c","type":"LinearAxis"},{"attributes":{"plot":{"id":"4e924ae9-c498-4bee-8d80-a5ed5cfdc46f","subtype":"Figure","type":"Plot"},"ticker":{"id":"8b5c2186-3ef5-4807-a435-c2564bf72414","type":"BasicTicker"}},"id":"4b92a61e-b00a-4627-99df-fea4e3ca047d","type":"Grid"},{"attributes":{},"id":"b7ca6352-0f9b-4397-b102-caa85beaebd2","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b7ca6352-0f9b-4397-b102-caa85beaebd2","type":"BasicTickFormatter"},"plot":{"id":"4e924ae9-c498-4bee-8d80-a5ed5cfdc46f","subtype":"Figure","type":"Plot"},"ticker":{"id":"8b5c2186-3ef5-4807-a435-c2564bf72414","type":"BasicTicker"}},"id":"a9ef00ff-bbbe-4bec-8560-f09c3f3f107c","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"d9d56ecc-ffe5-4e24-a2c2-f084820e0698","type":"ColumnDataSource"}],"root_ids":["4e924ae9-c498-4bee-8d80-a5ed5cfdc46f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3695870f-3240-410c-b992-2b3f3f85bf62","elementid":"1be0cdb2-8e76-460b-a43c-2fa66a51b9d4","modelid":"4e924ae9-c498-4bee-8d80-a5ed5cfdc46f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
