(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ef6aeeb6-7d30-4024-85d2-d4f8f63b0d85");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ef6aeeb6-7d30-4024-85d2-d4f8f63b0d85' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5cc164ee-59f8-4713-a1e4-91e35b33995c":{"roots":{"references":[{"attributes":{"formatter":{"id":"0ed21080-e4bd-43b3-b7f8-2f9213120b5f","type":"CategoricalTickFormatter"},"plot":{"id":"7c96da49-23ff-4c83-a688-4d8bd8eef406","subtype":"Figure","type":"Plot"},"ticker":{"id":"0ca70c1d-effb-4411-a132-eafcf5f28d88","type":"CategoricalTicker"}},"id":"c85676ad-6747-4322-b6b8-c41b841ac839","type":"CategoricalAxis"},{"attributes":{},"id":"2e27c61a-a5a4-42f2-a64a-42012f5ee27a","type":"CategoricalTickFormatter"},{"attributes":{"callback":null},"id":"7a603ca2-4911-4bb2-a9bb-7d6b5ebbfd17","type":"HoverTool"},{"attributes":{"source":{"id":"758a34b1-7d45-4d71-92e7-c172b379128c","type":"ColumnDataSource"}},"id":"58223672-9423-4c10-b0a7-2092e669abc9","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"cbd2c9af-3f2f-4039-a9f8-51ffdc5afcf0","type":"Toolbar"},{"attributes":{},"id":"94738880-0aae-4a48-b80c-cae519f7a75d","type":"LinearScale"},{"attributes":{},"id":"35ab5f2d-453a-4403-9074-9fa32d022683","type":"BasicTickFormatter"},{"attributes":{},"id":"7061eef0-60ab-4748-babd-ada583026d07","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"8cf8e8ec-bf7e-45c7-b10f-e705e5b7b579","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"eb985c57-be75-4c83-8308-2b942bbb2d0d","type":"ColumnDataSource"},"glyph":{"id":"07e0fe33-6ec9-4c2a-9a5e-816c02beebaf","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fa2702dd-9f75-4cba-b573-03204e44f573","type":"Segment"},"selection_glyph":null,"view":{"id":"9b40eaed-d6ae-47b0-98b7-6b01df3de3dd","type":"CDSView"}},"id":"c7464ef1-c3c1-467c-933b-6cc027e2ea6a","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":100},"id":"8850f0d9-6216-48cf-a594-b0de99f28a12","type":"Range1d"},{"attributes":{"callback":null,"column_names":["y1","y0","x1"],"data":{"x1":[50,40,65,10,25,37,80,60],"y0":["a","b","c","d","e","f","g","h"],"y1":["a","b","c","d","e","f","g","h"]}},"id":"eb985c57-be75-4c83-8308-2b942bbb2d0d","type":"ColumnDataSource"},{"attributes":{},"id":"0ca70c1d-effb-4411-a132-eafcf5f28d88","type":"CategoricalTicker"},{"attributes":{"children":[{"id":"7c96da49-23ff-4c83-a688-4d8bd8eef406","subtype":"Figure","type":"Plot"},{"id":"605b3549-438e-40d7-b35b-e264611d32a2","subtype":"Figure","type":"Plot"}],"sizing_mode":"scale_width"},"id":"82f37f70-e73d-46ce-912e-c21c50883905","type":"Row"},{"attributes":{},"id":"838e6204-057d-4498-91c6-030f695f3b5c","type":"CategoricalScale"},{"attributes":{"plot":null,"text":"Categorical Dot Plot"},"id":"4361b489-fd95-460f-b338-eb2686e9c5ec","type":"Title"},{"attributes":{},"id":"a8b7fe53-048b-4937-a445-d4b432abeb64","type":"CategoricalTickFormatter"},{"attributes":{},"id":"e72cc75b-4822-46d7-bc6f-3baaeb81a420","type":"CategoricalTicker"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"07e0fe33-6ec9-4c2a-9a5e-816c02beebaf","type":"Segment"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"fa2702dd-9f75-4cba-b573-03204e44f573","type":"Segment"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7a603ca2-4911-4bb2-a9bb-7d6b5ebbfd17","type":"HoverTool"}]},"id":"ff726e6a-013e-4e23-8e6f-c05a11892d65","type":"Toolbar"},{"attributes":{"below":[{"id":"c85676ad-6747-4322-b6b8-c41b841ac839","type":"CategoricalAxis"}],"left":[{"id":"85e824fb-e0a6-4b73-beef-62b272936e0b","type":"CategoricalAxis"}],"renderers":[{"id":"c85676ad-6747-4322-b6b8-c41b841ac839","type":"CategoricalAxis"},{"id":"325d1186-7895-4440-a2d4-8c4fbc4a3fa6","type":"Grid"},{"id":"85e824fb-e0a6-4b73-beef-62b272936e0b","type":"CategoricalAxis"},{"id":"68633a35-012e-4941-9398-fc5aa566a8e8","type":"Grid"},{"id":"e4a628ea-7e10-480d-b02a-8a50cc75baf6","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"b62c8c14-0304-4f90-8904-305f76898fc1","type":"Title"},"toolbar":{"id":"ff726e6a-013e-4e23-8e6f-c05a11892d65","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"29b33dcf-3d02-4e3a-bd7a-6ee13c25f3ed","type":"FactorRange"},"x_scale":{"id":"838e6204-057d-4498-91c6-030f695f3b5c","type":"CategoricalScale"},"y_range":{"id":"e676b855-d11e-4af5-8c32-77b276e72107","type":"FactorRange"},"y_scale":{"id":"8fb19e83-b09a-4c19-9052-444213508094","type":"CategoricalScale"}},"id":"7c96da49-23ff-4c83-a688-4d8bd8eef406","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"06991f91-c4c9-45d6-8665-b1f6d7ccece2","type":"LinearAxis"}],"left":[{"id":"77178265-094e-40c4-8208-d8edd375f0f9","type":"CategoricalAxis"}],"renderers":[{"id":"06991f91-c4c9-45d6-8665-b1f6d7ccece2","type":"LinearAxis"},{"id":"06870b6d-ea38-4c14-91de-d8f9dd3aa319","type":"Grid"},{"id":"77178265-094e-40c4-8208-d8edd375f0f9","type":"CategoricalAxis"},{"id":"c4dfdd6b-12bd-4760-bbc0-12618ba9ffdb","type":"Grid"},{"id":"c7464ef1-c3c1-467c-933b-6cc027e2ea6a","type":"GlyphRenderer"},{"id":"862f11b9-7e4b-4091-b90c-cfd523edcd8f","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"4361b489-fd95-460f-b338-eb2686e9c5ec","type":"Title"},"toolbar":{"id":"cbd2c9af-3f2f-4039-a9f8-51ffdc5afcf0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8850f0d9-6216-48cf-a594-b0de99f28a12","type":"Range1d"},"x_scale":{"id":"94738880-0aae-4a48-b80c-cae519f7a75d","type":"LinearScale"},"y_range":{"id":"111bcdfa-f566-41ed-b274-996cf43299e9","type":"FactorRange"},"y_scale":{"id":"2f2a1b18-dcaa-4aaf-ac8a-b4809a411f69","type":"CategoricalScale"}},"id":"605b3549-438e-40d7-b35b-e264611d32a2","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"29b33dcf-3d02-4e3a-bd7a-6ee13c25f3ed","type":"FactorRange"},{"attributes":{"plot":{"id":"605b3549-438e-40d7-b35b-e264611d32a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"7061eef0-60ab-4748-babd-ada583026d07","type":"BasicTicker"}},"id":"06870b6d-ea38-4c14-91de-d8f9dd3aa319","type":"Grid"},{"attributes":{"plot":{"id":"7c96da49-23ff-4c83-a688-4d8bd8eef406","subtype":"Figure","type":"Plot"},"ticker":{"id":"0ca70c1d-effb-4411-a132-eafcf5f28d88","type":"CategoricalTicker"}},"id":"325d1186-7895-4440-a2d4-8c4fbc4a3fa6","type":"Grid"},{"attributes":{"source":{"id":"8cf8e8ec-bf7e-45c7-b10f-e705e5b7b579","type":"ColumnDataSource"}},"id":"e98b296a-fc02-4a1f-b3d8-9e277e5850e4","type":"CDSView"},{"attributes":{"data_source":{"id":"758a34b1-7d45-4d71-92e7-c172b379128c","type":"ColumnDataSource"},"glyph":{"id":"949a0486-3417-439b-8322-0b56a61a6159","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b30bc172-48f1-4059-b847-b711153df47c","type":"Rect"},"selection_glyph":null,"view":{"id":"58223672-9423-4c10-b0a7-2092e669abc9","type":"CDSView"}},"id":"e4a628ea-7e10-480d-b02a-8a50cc75baf6","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"605b3549-438e-40d7-b35b-e264611d32a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"e72cc75b-4822-46d7-bc6f-3baaeb81a420","type":"CategoricalTicker"}},"id":"c4dfdd6b-12bd-4760-bbc0-12618ba9ffdb","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"7c96da49-23ff-4c83-a688-4d8bd8eef406","subtype":"Figure","type":"Plot"},"ticker":{"id":"b6594439-5117-430b-8d5a-27cefa53a741","type":"CategoricalTicker"}},"id":"68633a35-012e-4941-9398-fc5aa566a8e8","type":"Grid"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"111bcdfa-f566-41ed-b274-996cf43299e9","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"b30bc172-48f1-4059-b847-b711153df47c","type":"Rect"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"4637070c-bd07-4c9c-be63-f08eb06b7f1b","type":"Circle"},{"attributes":{},"id":"2f2a1b18-dcaa-4aaf-ac8a-b4809a411f69","type":"CategoricalScale"},{"attributes":{},"id":"8fb19e83-b09a-4c19-9052-444213508094","type":"CategoricalScale"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":1},"line_color":{"field":"line_color"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"949a0486-3417-439b-8322-0b56a61a6159","type":"Rect"},{"attributes":{"source":{"id":"eb985c57-be75-4c83-8308-2b942bbb2d0d","type":"ColumnDataSource"}},"id":"9b40eaed-d6ae-47b0-98b7-6b01df3de3dd","type":"CDSView"},{"attributes":{"formatter":{"id":"2e27c61a-a5a4-42f2-a64a-42012f5ee27a","type":"CategoricalTickFormatter"},"plot":{"id":"605b3549-438e-40d7-b35b-e264611d32a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"e72cc75b-4822-46d7-bc6f-3baaeb81a420","type":"CategoricalTicker"}},"id":"77178265-094e-40c4-8208-d8edd375f0f9","type":"CategoricalAxis"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"e120f7e3-1de9-414c-948a-9f5101d17540","type":"Circle"},{"attributes":{"data_source":{"id":"8cf8e8ec-bf7e-45c7-b10f-e705e5b7b579","type":"ColumnDataSource"},"glyph":{"id":"e120f7e3-1de9-414c-948a-9f5101d17540","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4637070c-bd07-4c9c-be63-f08eb06b7f1b","type":"Circle"},"selection_glyph":null,"view":{"id":"e98b296a-fc02-4a1f-b3d8-9e277e5850e4","type":"CDSView"}},"id":"862f11b9-7e4b-4091-b90c-cfd523edcd8f","type":"GlyphRenderer"},{"attributes":{},"id":"b6594439-5117-430b-8d5a-27cefa53a741","type":"CategoricalTicker"},{"attributes":{"plot":null,"text":"Categorical Heatmap"},"id":"b62c8c14-0304-4f90-8904-305f76898fc1","type":"Title"},{"attributes":{"formatter":{"id":"35ab5f2d-453a-4403-9074-9fa32d022683","type":"BasicTickFormatter"},"plot":{"id":"605b3549-438e-40d7-b35b-e264611d32a2","subtype":"Figure","type":"Plot"},"ticker":{"id":"7061eef0-60ab-4748-babd-ada583026d07","type":"BasicTicker"}},"id":"06991f91-c4c9-45d6-8665-b1f6d7ccece2","type":"LinearAxis"},{"attributes":{},"id":"0ed21080-e4bd-43b3-b7f8-2f9213120b5f","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"a8b7fe53-048b-4937-a445-d4b432abeb64","type":"CategoricalTickFormatter"},"plot":{"id":"7c96da49-23ff-4c83-a688-4d8bd8eef406","subtype":"Figure","type":"Plot"},"ticker":{"id":"b6594439-5117-430b-8d5a-27cefa53a741","type":"CategoricalTicker"}},"id":"85e824fb-e0a6-4b73-beef-62b272936e0b","type":"CategoricalAxis"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"e676b855-d11e-4af5-8c32-77b276e72107","type":"FactorRange"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"line_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"x":["foo 123","foo 123","foo 123","bar:0.2","bar:0.2","bar:0.2","baz-10","baz-10","baz-10"],"y":["foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10"]}},"id":"758a34b1-7d45-4d71-92e7-c172b379128c","type":"ColumnDataSource"}],"root_ids":["82f37f70-e73d-46ce-912e-c21c50883905"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5cc164ee-59f8-4713-a1e4-91e35b33995c","elementid":"ef6aeeb6-7d30-4024-85d2-d4f8f63b0d85","modelid":"82f37f70-e73d-46ce-912e-c21c50883905"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
