(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fe81a7c0-310c-4407-8ada-d57a5393565e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fe81a7c0-310c-4407-8ada-d57a5393565e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8e02dbfa-e2fb-4014-800b-07cbff84c2ea":{"roots":{"references":[{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"7d861f1e-2cb5-49ec-be41-dcd71c882037","type":"GlyphRenderer"}]},"id":"4b30d148-f8e7-4ccc-8add-c48d74ca6041","type":"LegendItem"},{"attributes":{"data_source":{"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"},"glyph":{"id":"ec21cb59-e5bd-4a0c-8b25-f503e208702f","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3f960524-4079-472b-b98f-1c7404d22704","type":"VBar"},"selection_glyph":null,"view":{"id":"e81826af-7939-4936-b8c4-2ccf1acb6250","type":"CDSView"}},"id":"7b90205e-62ef-4e1b-a4aa-6208938e7ef7","type":"GlyphRenderer"},{"attributes":{},"id":"347885dc-9d5e-46dd-8075-8f62af20645f","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"},"glyph":{"id":"93bf69d8-7e76-4fcf-8312-8fe5268f7d51","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"66eae2fc-ae1f-4205-a188-2a3b90f8f990","type":"VBar"},"selection_glyph":null,"view":{"id":"c6114992-4f10-43c4-b2b6-f9f31a03af28","type":"CDSView"}},"id":"94892a35-6172-4762-aa38-eeab695994d4","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"99616d94-8064-4a76-a8a5-a04979ece9e7","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c87f718-3677-470f-886e-92bd7598a571","type":"BasicTicker"}},"id":"5175604f-267c-476d-984b-639c81c98fda","type":"Grid"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"a9abd2fa-bfe8-4881-80c7-e312c7fa4b1b","type":"Dodge"}}},"id":"93bf69d8-7e76-4fcf-8312-8fe5268f7d51","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"238a6a62-2cbc-4735-b524-b8ccc0b7bfc5","type":"CategoricalTicker"}},"id":"a848c662-c07b-4283-8de9-b9fc863ab4d5","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"b820ecb6-ca5e-40a2-9f9f-f1b43d33577f","type":"Dodge"}}},"id":"3f960524-4079-472b-b98f-1c7404d22704","type":"VBar"},{"attributes":{"source":{"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"}},"id":"c6114992-4f10-43c4-b2b6-f9f31a03af28","type":"CDSView"},{"attributes":{"formatter":{"id":"ffda5387-fc84-4727-a6d9-5d3764d103b2","type":"CategoricalTickFormatter"},"plot":{"id":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"238a6a62-2cbc-4735-b524-b8ccc0b7bfc5","type":"CategoricalTicker"}},"id":"48964fc7-262c-4a65-b55d-29e7852c767b","type":"CategoricalAxis"},{"attributes":{"range":{"id":"f6e0a036-c39d-4296-90df-30de5faa097a","type":"FactorRange"}},"id":"b820ecb6-ca5e-40a2-9f9f-f1b43d33577f","type":"Dodge"},{"attributes":{"items":[{"id":"4b30d148-f8e7-4ccc-8add-c48d74ca6041","type":"LegendItem"},{"id":"04fd78f7-c782-44b3-ad76-3e7185d83764","type":"LegendItem"},{"id":"affb1605-b7d2-4929-b2ef-12941618caa4","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b","subtype":"Figure","type":"Plot"}},"id":"4929854f-b80f-490c-9bb7-8d0368818808","type":"Legend"},{"attributes":{"callback":null,"end":10},"id":"1a6f9c6b-9110-4935-a45c-5a6858d0e614","type":"Range1d"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"7b90205e-62ef-4e1b-a4aa-6208938e7ef7","type":"GlyphRenderer"}]},"id":"04fd78f7-c782-44b3-ad76-3e7185d83764","type":"LegendItem"},{"attributes":{"source":{"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"}},"id":"111931c0-1dc0-4176-b2e7-f328693fbb17","type":"CDSView"},{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"3a8a0306-8353-427d-90f7-ceec189c1f1f","type":"Dodge"}}},"id":"9d9109f6-084e-4ee0-ad71-7561442ef75e","type":"VBar"},{"attributes":{"range":{"id":"f6e0a036-c39d-4296-90df-30de5faa097a","type":"FactorRange"},"value":0.25},"id":"a9abd2fa-bfe8-4881-80c7-e312c7fa4b1b","type":"Dodge"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"94892a35-6172-4762-aa38-eeab695994d4","type":"GlyphRenderer"}]},"id":"affb1605-b7d2-4929-b2ef-12941618caa4","type":"LegendItem"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"f6e0a036-c39d-4296-90df-30de5faa097a","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"3a8a0306-8353-427d-90f7-ceec189c1f1f","type":"Dodge"}}},"id":"82d0c9b5-920f-46d5-9c1f-aedaf397fcd5","type":"VBar"},{"attributes":{},"id":"238a6a62-2cbc-4735-b524-b8ccc0b7bfc5","type":"CategoricalTicker"},{"attributes":{"below":[{"id":"48964fc7-262c-4a65-b55d-29e7852c767b","type":"CategoricalAxis"}],"left":[{"id":"e665a6ef-019d-429e-870b-a5fd24c2d368","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"48964fc7-262c-4a65-b55d-29e7852c767b","type":"CategoricalAxis"},{"id":"a848c662-c07b-4283-8de9-b9fc863ab4d5","type":"Grid"},{"id":"e665a6ef-019d-429e-870b-a5fd24c2d368","type":"LinearAxis"},{"id":"5175604f-267c-476d-984b-639c81c98fda","type":"Grid"},{"id":"4929854f-b80f-490c-9bb7-8d0368818808","type":"Legend"},{"id":"7d861f1e-2cb5-49ec-be41-dcd71c882037","type":"GlyphRenderer"},{"id":"7b90205e-62ef-4e1b-a4aa-6208938e7ef7","type":"GlyphRenderer"},{"id":"94892a35-6172-4762-aa38-eeab695994d4","type":"GlyphRenderer"}],"title":{"id":"703efacb-38a0-4dfd-ac49-8b9089258cd7","type":"Title"},"toolbar":{"id":"99616d94-8064-4a76-a8a5-a04979ece9e7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f6e0a036-c39d-4296-90df-30de5faa097a","type":"FactorRange"},"x_scale":{"id":"492558d7-f396-4c55-bb4e-01257e6d9312","type":"CategoricalScale"},"y_range":{"id":"1a6f9c6b-9110-4935-a45c-5a6858d0e614","type":"Range1d"},"y_scale":{"id":"684947ec-0d36-46dc-ae2b-c0531bd5bd84","type":"LinearScale"}},"id":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"492558d7-f396-4c55-bb4e-01257e6d9312","type":"CategoricalScale"},{"attributes":{"formatter":{"id":"347885dc-9d5e-46dd-8075-8f62af20645f","type":"BasicTickFormatter"},"plot":{"id":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c87f718-3677-470f-886e-92bd7598a571","type":"BasicTicker"}},"id":"e665a6ef-019d-429e-870b-a5fd24c2d368","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"703efacb-38a0-4dfd-ac49-8b9089258cd7","type":"Title"},{"attributes":{},"id":"ffda5387-fc84-4727-a6d9-5d3764d103b2","type":"CategoricalTickFormatter"},{"attributes":{},"id":"4c87f718-3677-470f-886e-92bd7598a571","type":"BasicTicker"},{"attributes":{},"id":"684947ec-0d36-46dc-ae2b-c0531bd5bd84","type":"LinearScale"},{"attributes":{"range":{"id":"f6e0a036-c39d-4296-90df-30de5faa097a","type":"FactorRange"},"value":-0.25},"id":"3a8a0306-8353-427d-90f7-ceec189c1f1f","type":"Dodge"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"a9abd2fa-bfe8-4881-80c7-e312c7fa4b1b","type":"Dodge"}}},"id":"66eae2fc-ae1f-4205-a188-2a3b90f8f990","type":"VBar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"},{"attributes":{"source":{"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"}},"id":"e81826af-7939-4936-b8c4-2ccf1acb6250","type":"CDSView"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"b820ecb6-ca5e-40a2-9f9f-f1b43d33577f","type":"Dodge"}}},"id":"ec21cb59-e5bd-4a0c-8b25-f503e208702f","type":"VBar"},{"attributes":{"data_source":{"id":"bc2b591a-ec62-429d-853c-5b88d7b23718","type":"ColumnDataSource"},"glyph":{"id":"9d9109f6-084e-4ee0-ad71-7561442ef75e","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"82d0c9b5-920f-46d5-9c1f-aedaf397fcd5","type":"VBar"},"selection_glyph":null,"view":{"id":"111931c0-1dc0-4176-b2e7-f328693fbb17","type":"CDSView"}},"id":"7d861f1e-2cb5-49ec-be41-dcd71c882037","type":"GlyphRenderer"}],"root_ids":["ea01b7a8-e9c4-49a4-8268-fd99cd37db7b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8e02dbfa-e2fb-4014-800b-07cbff84c2ea","elementid":"fe81a7c0-310c-4407-8ada-d57a5393565e","modelid":"ea01b7a8-e9c4-49a4-8268-fd99cd37db7b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
