(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("23d686b4-810e-4fc5-af8b-8c1454aef5a3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '23d686b4-810e-4fc5-af8b-8c1454aef5a3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bbb78c6d-b80a-4bdd-98f2-bab1da9295ba":{"roots":{"references":[{"attributes":{"formatter":{"id":"28cf5705-108d-432d-9f7f-94bab2bcfe5f","type":"BasicTickFormatter"},"major_label_orientation":"vertical","plot":{"id":"27901109-fe53-4140-87a5-f08f49ae6b22","subtype":"Figure","type":"Plot"},"ticker":{"id":"825ee506-5f30-4389-81bf-afb8c9ae52e8","type":"BasicTicker"}},"id":"8cbbd5be-d96e-4be4-8ecf-b1c756675261","type":"LinearAxis"},{"attributes":{},"id":"88a9cf0f-88c8-4f11-9a05-3bc483b5639d","type":"LinearScale"},{"attributes":{},"id":"9c0da683-0f52-4f14-a58d-1817afd3ffb3","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"0182b047-a629-4871-ac14-b40037227289","type":"BoxAnnotation"}},"id":"f6507c73-6433-4327-9324-2150d17319be","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"55395e5c-a25b-4c03-9ddd-94e244ad60e3","type":"PanTool"},{"id":"3056211b-1291-423d-8760-273e6e53ee0e","type":"WheelZoomTool"},{"id":"f6507c73-6433-4327-9324-2150d17319be","type":"BoxZoomTool"},{"id":"ea008fa6-fa84-4aa0-922e-fb0d71c1c5be","type":"SaveTool"},{"id":"98fa4629-7858-42a5-bb07-eb2524deb3cc","type":"ResetTool"},{"id":"5c1f87be-7f8c-4db9-84a6-7009ecaa754e","type":"HelpTool"}]},"id":"a0836ce3-3d84-43c1-8dbf-3515bac71b84","type":"Toolbar"},{"attributes":{},"id":"98fa4629-7858-42a5-bb07-eb2524deb3cc","type":"ResetTool"},{"attributes":{},"id":"3056211b-1291-423d-8760-273e6e53ee0e","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"27901109-fe53-4140-87a5-f08f49ae6b22","subtype":"Figure","type":"Plot"},"ticker":{"id":"825ee506-5f30-4389-81bf-afb8c9ae52e8","type":"BasicTicker"}},"id":"83873fc2-7441-4e2a-a594-a5609ee0cb97","type":"Grid"},{"attributes":{"below":[{"id":"ce40281b-07f5-4279-9fd2-0e05ea6fdfcf","type":"LinearAxis"}],"left":[{"id":"8cbbd5be-d96e-4be4-8ecf-b1c756675261","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ce40281b-07f5-4279-9fd2-0e05ea6fdfcf","type":"LinearAxis"},{"id":"24455366-d92c-4214-8634-bf36261d8fc9","type":"Grid"},{"id":"8cbbd5be-d96e-4be4-8ecf-b1c756675261","type":"LinearAxis"},{"id":"83873fc2-7441-4e2a-a594-a5609ee0cb97","type":"Grid"},{"id":"0182b047-a629-4871-ac14-b40037227289","type":"BoxAnnotation"},{"id":"cff6f714-3bdd-414b-bae6-2f257a4195aa","type":"GlyphRenderer"}],"title":{"id":"417ea872-aaa5-4442-88c8-bcaca256dbfc","type":"Title"},"toolbar":{"id":"a0836ce3-3d84-43c1-8dbf-3515bac71b84","type":"Toolbar"},"x_range":{"id":"319e62bd-cfaa-4b7c-adf7-7eb1c9249740","type":"DataRange1d"},"x_scale":{"id":"1c79a16d-9d64-431f-be32-94c2dcea058b","type":"LinearScale"},"y_range":{"id":"07b879e9-4faf-4ab4-8928-4e1dbcd3c756","type":"DataRange1d"},"y_scale":{"id":"88a9cf0f-88c8-4f11-9a05-3bc483b5639d","type":"LinearScale"}},"id":"27901109-fe53-4140-87a5-f08f49ae6b22","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"55395e5c-a25b-4c03-9ddd-94e244ad60e3","type":"PanTool"},{"attributes":{"plot":{"id":"27901109-fe53-4140-87a5-f08f49ae6b22","subtype":"Figure","type":"Plot"},"ticker":{"id":"0930102f-2d11-4038-b2b2-ec5d447b3b8d","type":"BasicTicker"}},"id":"24455366-d92c-4214-8634-bf36261d8fc9","type":"Grid"},{"attributes":{"source":{"id":"f5974f4b-b814-4844-860e-7d1986e6f2d2","type":"ColumnDataSource"}},"id":"daf45d24-a547-49a0-946c-a85959e05112","type":"CDSView"},{"attributes":{},"id":"28cf5705-108d-432d-9f7f-94bab2bcfe5f","type":"BasicTickFormatter"},{"attributes":{},"id":"0930102f-2d11-4038-b2b2-ec5d447b3b8d","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"417ea872-aaa5-4442-88c8-bcaca256dbfc","type":"Title"},{"attributes":{"callback":null},"id":"319e62bd-cfaa-4b7c-adf7-7eb1c9249740","type":"DataRange1d"},{"attributes":{"formatter":{"id":"9c0da683-0f52-4f14-a58d-1817afd3ffb3","type":"BasicTickFormatter"},"major_label_orientation":0.7853981633974483,"plot":{"id":"27901109-fe53-4140-87a5-f08f49ae6b22","subtype":"Figure","type":"Plot"},"ticker":{"id":"0930102f-2d11-4038-b2b2-ec5d447b3b8d","type":"BasicTicker"}},"id":"ce40281b-07f5-4279-9fd2-0e05ea6fdfcf","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0c68a59-d07e-46b7-8bd4-4484d43395ee","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0182b047-a629-4871-ac14-b40037227289","type":"BoxAnnotation"},{"attributes":{},"id":"825ee506-5f30-4389-81bf-afb8c9ae52e8","type":"BasicTicker"},{"attributes":{},"id":"5c1f87be-7f8c-4db9-84a6-7009ecaa754e","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"f5974f4b-b814-4844-860e-7d1986e6f2d2","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5622d8a5-249e-45c0-8aa0-53c110ae534d","type":"Circle"},{"attributes":{"data_source":{"id":"f5974f4b-b814-4844-860e-7d1986e6f2d2","type":"ColumnDataSource"},"glyph":{"id":"b0c68a59-d07e-46b7-8bd4-4484d43395ee","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5622d8a5-249e-45c0-8aa0-53c110ae534d","type":"Circle"},"selection_glyph":null,"view":{"id":"daf45d24-a547-49a0-946c-a85959e05112","type":"CDSView"}},"id":"cff6f714-3bdd-414b-bae6-2f257a4195aa","type":"GlyphRenderer"},{"attributes":{},"id":"1c79a16d-9d64-431f-be32-94c2dcea058b","type":"LinearScale"},{"attributes":{},"id":"ea008fa6-fa84-4aa0-922e-fb0d71c1c5be","type":"SaveTool"},{"attributes":{"callback":null},"id":"07b879e9-4faf-4ab4-8928-4e1dbcd3c756","type":"DataRange1d"}],"root_ids":["27901109-fe53-4140-87a5-f08f49ae6b22"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bbb78c6d-b80a-4bdd-98f2-bab1da9295ba","elementid":"23d686b4-810e-4fc5-af8b-8c1454aef5a3","modelid":"27901109-fe53-4140-87a5-f08f49ae6b22"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
