(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f3505288-1c8b-4f7e-9a92-13c8803b2a3a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f3505288-1c8b-4f7e-9a92-13c8803b2a3a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"04b41a26-2909-439c-99df-db34ffdca41d":{"roots":{"references":[{"attributes":{},"id":"f9c72b31-4924-44cd-8df3-793da2cf8775","type":"BasicTicker"},{"attributes":{},"id":"978ef91a-8885-4632-8820-36cf3d269e83","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"320a7878-1f6d-4d9e-89c3-c3e8d477b0dd","type":"BasicTicker"}},"id":"a94dde2a-8e5a-440a-9709-9bff60677044","type":"Grid"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_color":{"value":"navy"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"e57c0072-5364-4e0a-94e9-2cdcf512f361","type":"Arc"},{"attributes":{"formatter":{"id":"aaa260c5-6518-4c9b-a8b3-4929ea4b258b","type":"BasicTickFormatter"},"plot":{"id":"f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9c72b31-4924-44cd-8df3-793da2cf8775","type":"BasicTicker"}},"id":"297fd95e-c4a4-401d-94ad-78c3d2824a8d","type":"LinearAxis"},{"attributes":{},"id":"c080f0eb-6d97-41a5-b8c9-ccf6e543ca72","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"0c5ecc71-4eeb-4978-84c6-5e8fe2452a8b","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"0c5ecc71-4eeb-4978-84c6-5e8fe2452a8b","type":"ColumnDataSource"},"glyph":{"id":"e57c0072-5364-4e0a-94e9-2cdcf512f361","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9c209a0b-f5f8-4802-b03b-ad303fae9963","type":"Arc"},"selection_glyph":null,"view":{"id":"8070158e-5c95-450f-8b76-dcef8e3c8f77","type":"CDSView"}},"id":"73ebaaba-b159-463a-a40a-a70b7d80b0bc","type":"GlyphRenderer"},{"attributes":{},"id":"58a4cf18-ea12-43a4-9d8c-cd1f8ddf67ca","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"8cb58275-011e-46c0-8f5d-154ce237e914","type":"DataRange1d"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"9c209a0b-f5f8-4802-b03b-ad303fae9963","type":"Arc"},{"attributes":{},"id":"aaa260c5-6518-4c9b-a8b3-4929ea4b258b","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"5d88c61d-b301-4b27-917f-e9e56093b3bf","type":"BoxAnnotation"}},"id":"6ee69182-f1be-4b21-bc3d-c144021c0e79","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"fde65ae4-56ea-4ff1-be78-c6a04766a2ba","type":"Title"},{"attributes":{},"id":"1d8195fb-c1b0-419a-b864-77487cefaec3","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5d88c61d-b301-4b27-917f-e9e56093b3bf","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"e4daeeab-f1d3-4eb8-9575-5264d46b79d4","type":"DataRange1d"},{"attributes":{},"id":"46fb70b3-854a-49d9-964e-695063f9a744","type":"SaveTool"},{"attributes":{"formatter":{"id":"b28d0685-2c21-4961-8fcc-14b6a5375a8a","type":"BasicTickFormatter"},"plot":{"id":"f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"320a7878-1f6d-4d9e-89c3-c3e8d477b0dd","type":"BasicTicker"}},"id":"7f6adb30-d665-4936-bacf-69d6d9ce7385","type":"LinearAxis"},{"attributes":{},"id":"577e12fc-205e-40e5-af0d-073323498a69","type":"LinearScale"},{"attributes":{"plot":{"id":"f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a","subtype":"Figure","type":"Plot"},"ticker":{"id":"f9c72b31-4924-44cd-8df3-793da2cf8775","type":"BasicTicker"}},"id":"e72624da-19bb-4307-8469-b559a9bf0842","type":"Grid"},{"attributes":{"below":[{"id":"297fd95e-c4a4-401d-94ad-78c3d2824a8d","type":"LinearAxis"}],"left":[{"id":"7f6adb30-d665-4936-bacf-69d6d9ce7385","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"297fd95e-c4a4-401d-94ad-78c3d2824a8d","type":"LinearAxis"},{"id":"e72624da-19bb-4307-8469-b559a9bf0842","type":"Grid"},{"id":"7f6adb30-d665-4936-bacf-69d6d9ce7385","type":"LinearAxis"},{"id":"a94dde2a-8e5a-440a-9709-9bff60677044","type":"Grid"},{"id":"5d88c61d-b301-4b27-917f-e9e56093b3bf","type":"BoxAnnotation"},{"id":"73ebaaba-b159-463a-a40a-a70b7d80b0bc","type":"GlyphRenderer"}],"title":{"id":"fde65ae4-56ea-4ff1-be78-c6a04766a2ba","type":"Title"},"toolbar":{"id":"976214ed-16c8-4d87-9b5b-a76ba18818cb","type":"Toolbar"},"x_range":{"id":"e4daeeab-f1d3-4eb8-9575-5264d46b79d4","type":"DataRange1d"},"x_scale":{"id":"577e12fc-205e-40e5-af0d-073323498a69","type":"LinearScale"},"y_range":{"id":"8cb58275-011e-46c0-8f5d-154ce237e914","type":"DataRange1d"},"y_scale":{"id":"ff2efc9d-a56f-4c6f-b4be-7069addea5bb","type":"LinearScale"}},"id":"f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1d8195fb-c1b0-419a-b864-77487cefaec3","type":"PanTool"},{"id":"58a4cf18-ea12-43a4-9d8c-cd1f8ddf67ca","type":"WheelZoomTool"},{"id":"6ee69182-f1be-4b21-bc3d-c144021c0e79","type":"BoxZoomTool"},{"id":"46fb70b3-854a-49d9-964e-695063f9a744","type":"SaveTool"},{"id":"c080f0eb-6d97-41a5-b8c9-ccf6e543ca72","type":"ResetTool"},{"id":"978ef91a-8885-4632-8820-36cf3d269e83","type":"HelpTool"}]},"id":"976214ed-16c8-4d87-9b5b-a76ba18818cb","type":"Toolbar"},{"attributes":{"source":{"id":"0c5ecc71-4eeb-4978-84c6-5e8fe2452a8b","type":"ColumnDataSource"}},"id":"8070158e-5c95-450f-8b76-dcef8e3c8f77","type":"CDSView"},{"attributes":{},"id":"b28d0685-2c21-4961-8fcc-14b6a5375a8a","type":"BasicTickFormatter"},{"attributes":{},"id":"320a7878-1f6d-4d9e-89c3-c3e8d477b0dd","type":"BasicTicker"},{"attributes":{},"id":"ff2efc9d-a56f-4c6f-b4be-7069addea5bb","type":"LinearScale"}],"root_ids":["f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"04b41a26-2909-439c-99df-db34ffdca41d","elementid":"f3505288-1c8b-4f7e-9a92-13c8803b2a3a","modelid":"f14e8c3b-a5c3-4f25-9e14-f3da8af21b5a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
