(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e3d38f59-b3d8-4b03-b9e4-103e005e10db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e3d38f59-b3d8-4b03-b9e4-103e005e10db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d8ad203a-dbdc-4023-97a4-f31783be2281":{"roots":{"references":[{"attributes":{"formatter":{"id":"2111ad68-826e-42cd-ae2d-0d6bf69f59cf","type":"BasicTickFormatter"},"plot":{"id":"6d8ac656-b198-42b0-8509-1e3f9aa19d1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"22caa6a6-f1f6-4057-ae57-7e9326f30e11","type":"BasicTicker"}},"id":"60a26c2c-8a1b-41ab-b226-aeaad21b91dc","type":"LinearAxis"},{"attributes":{"callback":null},"id":"60fcd075-437f-4d81-b862-c20bbf3a08e6","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"6d8ac656-b198-42b0-8509-1e3f9aa19d1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc2cd53d-b499-4e40-a81a-d54d7c143953","type":"BasicTicker"}},"id":"cc6c6ed0-a5ca-41cc-acd1-02be60a4838e","type":"Grid"},{"attributes":{"fill_color":{"value":"olive"},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"3f6d4023-bc7b-4a76-b7bf-c4b37ee36240","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"d8c2b730-18ad-4e14-81c4-ad66621a100f","type":"Circle"},{"attributes":{},"id":"0be539d9-5a11-4f69-9e3a-f47a0393802f","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d91524e7-5140-4116-8f2c-e2e522308d1f","type":"HoverTool"}]},"id":"6049d646-b471-4cd3-ae86-5623d958d5fd","type":"Toolbar"},{"attributes":{},"id":"bc2cd53d-b499-4e40-a81a-d54d7c143953","type":"BasicTicker"},{"attributes":{"data_source":{"id":"607a6fa0-e99d-48c9-8fb2-65914aab2559","type":"ColumnDataSource"},"glyph":{"id":"b176ecb9-e602-4b14-ba34-5d4cf5292673","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c377a53b-376e-4046-aeda-bc57dd3f3a0d","type":"Segment"},"selection_glyph":null,"view":{"id":"b2332a86-c829-4861-8a71-8b38d367e0d7","type":"CDSView"}},"id":"ec4f2502-0624-4bfc-95c7-de403c808084","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[2,3,5,6,8,7],"y":[6,4,3,8,7,5]}},"id":"1fe57af9-0038-4e68-aa9b-0cc841897c79","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"fc00313a-b661-4862-875a-aff5c87ca536","type":"DataRange1d"},{"attributes":{},"id":"2111ad68-826e-42cd-ae2d-0d6bf69f59cf","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"6d8ac656-b198-42b0-8509-1e3f9aa19d1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"22caa6a6-f1f6-4057-ae57-7e9326f30e11","type":"BasicTicker"}},"id":"4e944bab-a8aa-465f-9dc6-edf630caba2f","type":"Grid"},{"attributes":{"callback":{"id":"8c11fae6-e1a8-450a-b9f7-265cf82b6993","type":"CustomJS"},"renderers":[{"id":"51ed9406-f9c5-4e66-9184-c2fe4098ad30","type":"GlyphRenderer"}],"tooltips":null},"id":"d91524e7-5140-4116-8f2c-e2e522308d1f","type":"HoverTool"},{"attributes":{},"id":"9ca9a106-4c6e-4b23-b4cc-64156e0e72f5","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[],"x1":[],"y0":[],"y1":[]}},"id":"607a6fa0-e99d-48c9-8fb2-65914aab2559","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"olive"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"b176ecb9-e602-4b14-ba34-5d4cf5292673","type":"Segment"},{"attributes":{"source":{"id":"607a6fa0-e99d-48c9-8fb2-65914aab2559","type":"ColumnDataSource"}},"id":"b2332a86-c829-4861-8a71-8b38d367e0d7","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"value":"olive"},"line_alpha":{"value":0.4},"line_color":{"value":"olive"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"ed5e7141-e22d-42a8-beba-0f13d48f87a1","type":"Circle"},{"attributes":{},"id":"22caa6a6-f1f6-4057-ae57-7e9326f30e11","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Hover over points"},"id":"401e6a2a-86e8-4fb4-acc9-960ae8dc02d4","type":"Title"},{"attributes":{"below":[{"id":"60a26c2c-8a1b-41ab-b226-aeaad21b91dc","type":"LinearAxis"}],"left":[{"id":"3debdbce-7181-446c-bf9b-da610bff6bc5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"60a26c2c-8a1b-41ab-b226-aeaad21b91dc","type":"LinearAxis"},{"id":"4e944bab-a8aa-465f-9dc6-edf630caba2f","type":"Grid"},{"id":"3debdbce-7181-446c-bf9b-da610bff6bc5","type":"LinearAxis"},{"id":"cc6c6ed0-a5ca-41cc-acd1-02be60a4838e","type":"Grid"},{"id":"ec4f2502-0624-4bfc-95c7-de403c808084","type":"GlyphRenderer"},{"id":"51ed9406-f9c5-4e66-9184-c2fe4098ad30","type":"GlyphRenderer"}],"title":{"id":"401e6a2a-86e8-4fb4-acc9-960ae8dc02d4","type":"Title"},"toolbar":{"id":"6049d646-b471-4cd3-ae86-5623d958d5fd","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"fc00313a-b661-4862-875a-aff5c87ca536","type":"DataRange1d"},"x_scale":{"id":"9ca9a106-4c6e-4b23-b4cc-64156e0e72f5","type":"LinearScale"},"y_range":{"id":"60fcd075-437f-4d81-b862-c20bbf3a08e6","type":"DataRange1d"},"y_scale":{"id":"82b4cad0-24e6-4d46-ba93-d8c41504806e","type":"LinearScale"}},"id":"6d8ac656-b198-42b0-8509-1e3f9aa19d1f","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"0be539d9-5a11-4f69-9e3a-f47a0393802f","type":"BasicTickFormatter"},"plot":{"id":"6d8ac656-b198-42b0-8509-1e3f9aa19d1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc2cd53d-b499-4e40-a81a-d54d7c143953","type":"BasicTicker"}},"id":"3debdbce-7181-446c-bf9b-da610bff6bc5","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"c377a53b-376e-4046-aeda-bc57dd3f3a0d","type":"Segment"},{"attributes":{},"id":"82b4cad0-24e6-4d46-ba93-d8c41504806e","type":"LinearScale"},{"attributes":{"args":{"circle":{"id":"1fe57af9-0038-4e68-aa9b-0cc841897c79","type":"ColumnDataSource"},"segment":{"id":"607a6fa0-e99d-48c9-8fb2-65914aab2559","type":"ColumnDataSource"}},"code":"\nvar links = {0: [1, 2], 1: [0, 3, 4], 2: [0, 5], 3: [1, 4], 4: [1, 3], 5: [2, 3, 4]};\nvar data = {'x0': [], 'y0': [], 'x1': [], 'y1': []};\nvar cdata = circle.data;\nvar indices = cb_data.index['1d'].indices;\nfor (i=0; i < indices.length; i++) {\n    ind0 = indices[i]\n    for (j=0; j < links[ind0].length; j++) {\n        ind1 = links[ind0][j];\n        data['x0'].push(cdata.x[ind0]);\n        data['y0'].push(cdata.y[ind0]);\n        data['x1'].push(cdata.x[ind1]);\n        data['y1'].push(cdata.y[ind1]);\n    }\n}\nsegment.data = data;\n"},"id":"8c11fae6-e1a8-450a-b9f7-265cf82b6993","type":"CustomJS"},{"attributes":{"data_source":{"id":"1fe57af9-0038-4e68-aa9b-0cc841897c79","type":"ColumnDataSource"},"glyph":{"id":"ed5e7141-e22d-42a8-beba-0f13d48f87a1","type":"Circle"},"hover_glyph":{"id":"3f6d4023-bc7b-4a76-b7bf-c4b37ee36240","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"d8c2b730-18ad-4e14-81c4-ad66621a100f","type":"Circle"},"selection_glyph":null,"view":{"id":"deb4f34d-dc13-49c1-9bbd-06522642dfdd","type":"CDSView"}},"id":"51ed9406-f9c5-4e66-9184-c2fe4098ad30","type":"GlyphRenderer"},{"attributes":{"source":{"id":"1fe57af9-0038-4e68-aa9b-0cc841897c79","type":"ColumnDataSource"}},"id":"deb4f34d-dc13-49c1-9bbd-06522642dfdd","type":"CDSView"}],"root_ids":["6d8ac656-b198-42b0-8509-1e3f9aa19d1f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d8ad203a-dbdc-4023-97a4-f31783be2281","elementid":"e3d38f59-b3d8-4b03-b9e4-103e005e10db","modelid":"6d8ac656-b198-42b0-8509-1e3f9aa19d1f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
