(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6a5a35f5-db65-4da8-81ce-d3163c473595");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6a5a35f5-db65-4da8-81ce-d3163c473595' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e0f4707f-a951-402a-89f1-98eb84481bbb":{"roots":{"references":[{"attributes":{"source":{"id":"25594082-957c-4d92-87ae-72660ad943bf","type":"ColumnDataSource"}},"id":"72cb9218-df40-4685-af60-160e73b82780","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4d6bc32d-ce9e-4ca4-8059-b84b8deead1f","type":"Circle"},{"attributes":{},"id":"69be08c1-5ef5-47fb-b147-081e8a2ed91d","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"cf7d55e5-20ea-4703-a5bc-72d0e8c347fc","type":"Circle"},{"attributes":{"formatter":{"id":"593b7b4a-943f-454b-8a72-c47068427486","type":"BasicTickFormatter"},"plot":{"id":"ed207784-b88a-4c61-a348-f633d3bbe59b","subtype":"Figure","type":"Plot"},"ticker":{"id":"31ee26d7-2550-49e7-81ce-04057a9d5381","type":"BasicTicker"}},"id":"9af5ab7d-6807-4a9c-99c1-abed8f711e45","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4be3fa07-2118-4014-b78c-5071bba8a132","type":"Circle"},{"attributes":{"plot":null,"text":"Select Here"},"id":"3cda91c6-e231-4f88-8701-c006ceb55af4","type":"Title"},{"attributes":{"args":{"s2":{"id":"65b3bad2-a261-4126-9146-b9ed09228213","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d1 = cb_obj.data;\n        var d2 = s2.data;\n        d2['x'] = []\n        d2['y'] = []\n        for (i = 0; i < inds.length; i++) {\n            d2['x'].push(d1['x'][inds[i]])\n            d2['y'].push(d1['y'][inds[i]])\n        }\n        s2.change.emit();\n    "},"id":"6b9e6e68-967b-470e-9421-77f80c2ca7d8","type":"CustomJS"},{"attributes":{"formatter":{"id":"aa80487a-9591-44fa-97f7-85d42e993586","type":"BasicTickFormatter"},"plot":{"id":"28136916-d6c5-4267-b9b0-be10a26af15a","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4b92249-7ac0-4408-ae08-346c7fc7369d","type":"BasicTicker"}},"id":"865705a5-7634-4e4b-b3bb-c631a5d88694","type":"LinearAxis"},{"attributes":{"plot":{"id":"ed207784-b88a-4c61-a348-f633d3bbe59b","subtype":"Figure","type":"Plot"},"ticker":{"id":"31ee26d7-2550-49e7-81ce-04057a9d5381","type":"BasicTicker"}},"id":"92416fcd-45b1-452a-ad4b-e174852f32cb","type":"Grid"},{"attributes":{"formatter":{"id":"7a007e3e-641b-48ea-b2c3-57d6fd6d6083","type":"BasicTickFormatter"},"plot":{"id":"28136916-d6c5-4267-b9b0-be10a26af15a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fe98687-bb17-4a9b-8ad1-60b28dc0b0cc","type":"BasicTicker"}},"id":"0984f7d4-84ac-473d-952f-896329f9993f","type":"LinearAxis"},{"attributes":{"plot":{"id":"28136916-d6c5-4267-b9b0-be10a26af15a","subtype":"Figure","type":"Plot"},"ticker":{"id":"b4b92249-7ac0-4408-ae08-346c7fc7369d","type":"BasicTicker"}},"id":"31a32293-6529-4d93-b38b-7093d5f83b75","type":"Grid"},{"attributes":{"plot":null,"text":"Watch Here"},"id":"acaedec8-2fa5-4faa-b431-e061bbb7fbd0","type":"Title"},{"attributes":{"callback":null},"id":"bf5989bc-557f-4422-8f44-4bd804160107","type":"DataRange1d"},{"attributes":{"children":[{"id":"ed207784-b88a-4c61-a348-f633d3bbe59b","subtype":"Figure","type":"Plot"},{"id":"28136916-d6c5-4267-b9b0-be10a26af15a","subtype":"Figure","type":"Plot"}]},"id":"459d4b1c-624b-4533-a08c-67c13dea3d23","type":"Row"},{"attributes":{"data_source":{"id":"25594082-957c-4d92-87ae-72660ad943bf","type":"ColumnDataSource"},"glyph":{"id":"82d12aea-ac04-4464-8131-c28d8ae4ef1a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4d6bc32d-ce9e-4ca4-8059-b84b8deead1f","type":"Circle"},"selection_glyph":null,"view":{"id":"72cb9218-df40-4685-af60-160e73b82780","type":"CDSView"}},"id":"192c6138-a5f9-4c9d-addb-1a180eb374d0","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[],"y":[]}},"id":"65b3bad2-a261-4126-9146-b9ed09228213","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"60c8687d-14a3-4b79-b338-8559e2b62694","type":"Range1d"},{"attributes":{"dimension":1,"plot":{"id":"ed207784-b88a-4c61-a348-f633d3bbe59b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f88be8f-54c6-4111-85ad-d3babb200e89","type":"BasicTicker"}},"id":"d5261b40-b143-4d15-96fc-7cb18484f284","type":"Grid"},{"attributes":{},"id":"593b7b4a-943f-454b-8a72-c47068427486","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"82d12aea-ac04-4464-8131-c28d8ae4ef1a","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"aef69bb8-5e59-46e7-9064-be41339ce2e5","type":"Toolbar"},{"attributes":{},"id":"7a007e3e-641b-48ea-b2c3-57d6fd6d6083","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ed4fc4c2-516b-4431-905e-0478e1eb5101","type":"LassoSelectTool"}]},"id":"95afe69e-61da-40a4-a6d1-fccd1372c28f","type":"Toolbar"},{"attributes":{"below":[{"id":"9af5ab7d-6807-4a9c-99c1-abed8f711e45","type":"LinearAxis"}],"left":[{"id":"282b52ef-e20c-441c-aa33-5158b846952b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9af5ab7d-6807-4a9c-99c1-abed8f711e45","type":"LinearAxis"},{"id":"92416fcd-45b1-452a-ad4b-e174852f32cb","type":"Grid"},{"id":"282b52ef-e20c-441c-aa33-5158b846952b","type":"LinearAxis"},{"id":"d5261b40-b143-4d15-96fc-7cb18484f284","type":"Grid"},{"id":"417d0cc6-d5cf-43b7-911d-ebb6c29118c2","type":"PolyAnnotation"},{"id":"192c6138-a5f9-4c9d-addb-1a180eb374d0","type":"GlyphRenderer"}],"title":{"id":"3cda91c6-e231-4f88-8701-c006ceb55af4","type":"Title"},"toolbar":{"id":"95afe69e-61da-40a4-a6d1-fccd1372c28f","type":"Toolbar"},"x_range":{"id":"bf5989bc-557f-4422-8f44-4bd804160107","type":"DataRange1d"},"x_scale":{"id":"33801597-51e2-4fc8-a9c8-ca1001c3d9a3","type":"LinearScale"},"y_range":{"id":"e54e9f07-8ea4-4793-aa39-2ab64f775373","type":"DataRange1d"},"y_scale":{"id":"b2a4d192-72f5-4c3b-a7f0-6c72288828ee","type":"LinearScale"}},"id":"ed207784-b88a-4c61-a348-f633d3bbe59b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"aa80487a-9591-44fa-97f7-85d42e993586","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e8e199c8-c691-49eb-8881-aff19c142011","type":"BasicTickFormatter"},"plot":{"id":"ed207784-b88a-4c61-a348-f633d3bbe59b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f88be8f-54c6-4111-85ad-d3babb200e89","type":"BasicTicker"}},"id":"282b52ef-e20c-441c-aa33-5158b846952b","type":"LinearAxis"},{"attributes":{},"id":"e8e199c8-c691-49eb-8881-aff19c142011","type":"BasicTickFormatter"},{"attributes":{},"id":"b2a4d192-72f5-4c3b-a7f0-6c72288828ee","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"417d0cc6-d5cf-43b7-911d-ebb6c29118c2","type":"PolyAnnotation"},{"attributes":{},"id":"b4b92249-7ac0-4408-ae08-346c7fc7369d","type":"BasicTicker"},{"attributes":{},"id":"6f88be8f-54c6-4111-85ad-d3babb200e89","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"28136916-d6c5-4267-b9b0-be10a26af15a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8fe98687-bb17-4a9b-8ad1-60b28dc0b0cc","type":"BasicTicker"}},"id":"c2eccd88-ebf0-42e2-b2f1-2d5795792223","type":"Grid"},{"attributes":{"callback":null},"id":"e54e9f07-8ea4-4793-aa39-2ab64f775373","type":"DataRange1d"},{"attributes":{},"id":"33801597-51e2-4fc8-a9c8-ca1001c3d9a3","type":"LinearScale"},{"attributes":{"callback":{"id":"6b9e6e68-967b-470e-9421-77f80c2ca7d8","type":"CustomJS"},"column_names":["y","x"],"data":{"x":[0.5319424536448126,0.34292136603405676,0.6109790350983285,0.5962857008546608,0.4879653329342968,0.44746622344171616,0.69048692937657,0.4317988576661781,0.6356786773650428,0.9201337018340356,0.25170706447848434,0.6475849370436666,0.690796036801838,0.06845614601374284,0.5859232031123726,0.150177355889066,0.03866884744672583,0.9547291607959513,0.9599703071409187,0.574967456947734,0.7846698861219176,0.6990162089961767,0.3959768722542166,0.276038278893044,0.9882685439536475,0.6621539150713167,0.923246443244975,0.988857687327584,0.38255914467624674,0.09703271575127614,0.3874706726655558,0.28921836877275675,0.6145203327828165,0.4767477813551151,0.6320041296730319,0.8436946190209407,0.2457881096928698,0.823287802044428,0.39095678699015346,0.6743541364809525,0.44535192073275764,0.9403128882155061,0.6154827087900971,0.7569252965958991,0.8291057447859401,0.6621459628448149,0.7584885087192669,0.9706344955243899,0.6934435786788536,0.5036400035555877,0.35734453739785865,0.3042260768349222,0.9337160208371657,0.6082350783631606,0.8798857929568698,0.5146348781142448,0.7797309067832477,0.4157375612722798,0.5353172426190864,0.03476915295312877,0.027249340821684176,0.7422113255735983,0.5020643322033126,0.5231126208580787,0.5437352027872193,0.14433383863730098,0.23341056881459055,0.23266428030095732,0.21716343329346033,0.0012832115573234715,0.8297904200650212,0.1742318974426369,0.7327507041576744,0.4622670960716361,0.4506918740802963,0.6350276093544968,0.7474384682450959,0.009368721771293553,0.02730897547715383,0.30891793372059284,0.7108715767532564,0.12359331325626799,0.3729277239678015,0.21167044877734975,0.500981269087399,0.40973858536783736,0.40389353311018195,0.6992545125852352,0.6522200280400217,0.8513396588051138,0.06463147798260116,0.17495183135537773,0.8408877538439598,0.06876034047273216,0.5990374724171743,0.8154014396074369,0.276329063504678,0.5000711238311699,0.8045516908605104,0.8155371565407613,0.040494967856649744,0.15965953744095052,0.2888210004170819,0.1757273676103578,0.6959110086075506,0.5246349949956389,0.7667674966144911,0.2566695708852613,0.6196693190262612,0.6115773816158938,0.5129047849779769,0.9294775808571606,0.7136490886723906,0.10943674746724896,0.27954806250521735,0.6762936789821223,0.5658762897456288,0.6091786456497441,0.24736999669299053,0.36078952350483795,0.9607637102899491,0.055918079395514075,0.7378595903567396,0.3768674027478892,0.24560156129758315,0.4686679799263438,0.3223928142562875,0.09247030660684386,0.45511334228565126,0.4987871373582312,0.6231138901834403,0.5176717764927469,0.7995878026581694,0.951512722588888,0.3971880283386464,0.44353686444080653,0.463752360684342,0.070161065990887,0.8057203429395354,0.6671726763087715,0.990203963821451,0.5680424771447654,0.16132139096884157,0.3720821551129122,0.3684350176736473,0.6273574458141694,0.8219400522120832,0.03588112276215494,0.34914934525020747,0.6175227992445861,0.9071172236144083,0.8776396874961875,0.9020909347232348,0.5733468904743017,0.05257201860638916,0.2870541011203901,0.9082029468740667,0.9174525334518389,0.49644020902603136,0.02436981951340811,0.8876713507875631,0.17601961517817777,0.6260880407708079,0.7111781132708974,0.9245281070916287,0.9415709165741625,0.31618324609049553,0.6037552713067842,0.6038850176686004,0.9528013893491304,0.6733717188074411,0.8562019349095349,0.9200373123078593,0.3753456552537747,0.07922590738995583,0.9291389190884433,0.5103361216363375,0.9543537408578173,0.3134168752472922,0.6342114194581,0.7275623767880017,0.8165231320712814,0.34960459006922917,0.22500064932543318,0.6781192349391025,0.912469297165012,0.22241360716030822,0.09933689303590942,0.8614039336646515,0.19886529683865262,0.8281656941840573,0.5488623910905707,0.6538306816235606,0.6304066223799949,0.8456340677776574,0.3834047571880622,0.5868358053878588,0.08336346833992958,0.8224963019842704,0.22826221131568658,0.21225902752379877,0.36657602282110613,0.19311128831799884,0.33438772225455227,0.686025170508992,0.13584154460306108,0.11339186094853182,0.9694313905700828,0.4480283983946066,0.47663131268590875,0.28824328916333586,0.42964255578005006,0.23156280222188508,0.8958802999373834,0.5798851645831083,0.3870235908788131,0.5480387533800599,0.81929838170796,0.6590514394019883,0.9724608166582486,0.1656280041854843,0.9442390885445026,0.08340471811338979,0.28567764893445224,0.6948729962068213,0.2637064338102494,0.6521872224359246,0.39691883295496755,0.41524009839975884,0.7286072239456046,0.604075805239609,0.29662633041762365,0.741151355650757,0.6369903684187675,0.14900793076403684,0.9958557669721029,0.47647851825849974,0.6758095615314492,0.6135027837475283,0.853350855442314,0.17959529920157769,0.5125190681420048,0.3514894867499123,0.7785655389419399,0.6493173116018877,0.924743583273818,0.37212617514068913,0.6671447046338992,0.6328564600331853,0.5119256857724208,0.8509404521962742,0.07327152613691479,0.6975576017032936,0.7346571001032312,0.14453794737610848,0.4853741352297185,0.09760644153862408,0.365018950519442,0.04101916247264692,0.563681768671545,0.5709527716422914,0.332630987231159,0.8378185078284054,0.6622021000305374,0.1915966941760734,0.39209349865582255,0.6316753445913094,0.7440881091937587,0.09421918026682508,0.21618871978437115,0.4576729749697892,0.012840066216539547,0.32217746169535233,0.7447779914607767,0.5898174110417788,0.24185939467496897,0.2227132660712553,0.2421451561054151,0.12366770160050289,0.09301389982543784,0.4178926365347633,0.3245774227077539,0.5839544824222229,0.3359169967893606,0.3252778159435542,0.6174977945638671,0.6294095009327139,0.6011532049971215,0.34411567988612524,0.21953892753844473,0.01347279733820439,0.3497041038643526,0.0641354124813629,0.6448192069616935,0.8412625903584766,0.6097125016700968,0.9686096547819175,0.5836976268236402,0.03917187436492897,0.1286475855164808,0.39892492552154346,0.9830211396399583,0.597217900770269,0.4020899484131175,0.5720834945551985,0.3620990996755481,0.4864538169117041,0.9339001292897875,0.49462150073684763,0.31490353337957255,0.8412078898933188,0.6423979135221092,0.4697341970882334,0.7507461056497771,0.0750796670072037,0.3391651430122131,0.8834368744980379,0.14594264551936909,0.10465462399783743,0.8908335140906606,0.6939664350516168,0.8250440161158071,0.9997773979539362,0.567352764110025,0.6222834825241099,0.31469682591519044,0.8721208074764126,0.8043324279636779,0.7781953549973162,0.48824942405384564,0.5525054117764009,0.8188697966712951,0.9799077668128816,0.20190091721759662,0.5523138809875605,0.4725566970322531,0.06181114298284718,0.9167064893645862,0.060430140538594856,0.14710930755468343,0.04217935484618529,0.3321858679109919,0.6580044785411654,0.3647433194005678,0.9334123117511545,0.5194485744350487,0.30571327446471275,0.5332828255290063,0.04343059539015093,0.5646628463399616,0.8276672425362296,0.8433659699385906,0.5331296811631268,0.7959652756813632,0.210096087536481,0.2247562212527785,0.8075260785041942,0.5909904259720882,0.9253858372117335,0.3475599823888875,0.23947503101418133,0.8906054652589704,0.39021810967008574,0.7036850207778245,0.42232114031322066,0.00559477785191731,0.583571020712514,0.7230079236272077,0.2932017146024819,0.011927587702156517,0.9074801724890408,0.9718395230650556,0.6261846255113518,0.02397502191948231,0.5288667397586302,0.9386793380319117,0.12749030214941381,0.13121116920233455,0.19975567317387022,0.3639999738715458,0.8562834521637506,0.49378245993843406,0.4304791048154589,0.9048990915400468,0.8950510773181278,0.5953170843856245,0.32958104403985233,0.4825392686138762,0.12802555781765157,0.17619877485740798,0.9488214829226395,0.9942205809212992,0.9428096041297155,0.851660940631913,0.05920014805555429,0.2955861052813509,0.409772652311732,0.6749894307935629,0.8937344363110036,0.6276330589620973,0.6975533054535384,0.688627877010066,0.30685638267698934,0.09725653959834424,0.8111739479964792,0.7108418948107539,0.710603094150971,0.9631109066401147,0.2397053573053063,0.4707936557222506,0.9624526799745761,0.2670056947917133,0.09149842287884735,0.5752085343672036,0.7627418879660864,0.29287230607171855,0.2952969020136823,0.41953117674765095,0.16154740243892618,0.5561827684100604,0.05035345141809355,0.31011196389480944,0.3463796739508568,0.3897974949272681,0.22637175802842835,0.3850583454248063,0.543360525257502,0.8860891963410188,0.8767695938723425,0.1598259890564636,0.02788807671265814,0.6740938118831901,0.5847602786259466,0.8460615088398408,0.675076934749045,0.5307927282210578,0.8583743946715815,0.5788518243010061,0.4412142291677903,0.23169120059801374,0.7463654802646765,0.3277106160543851,0.3779089691001897,0.18246130472253586,0.6932353163871735,0.596374387198592,0.6733486786096965,0.3176524236226602,0.07116028857422851,0.6154422409644443,0.474653140629524,0.15724797713270333,0.43022210242943326,0.03250808199018074,0.894776624861717,0.8682364334515438,0.5412572216093205,0.41699886339276815,0.8156396903000056,0.9928882724089481,0.7951955631290254,0.004068390008038825,0.062345831510833505,0.12083416720213469,0.941418596179411,0.14179712246824927,0.5796967650852012,0.26606619995033853,0.9133059615581861,0.8683032088740511,0.6789024560572855,0.4693470201346369,0.9692618622231876,0.3741590318074631,0.9331855622169526,0.03185425071209946,0.3192284067329261,0.5983910158403873,0.7254869680191733,0.11973687906849184,0.3491346462844439,0.5278098546063805,0.24113256757851098,0.4915543059445008,0.7935191514101626,0.8115724003504462,0.20702187318586773,0.8893866879091957,0.3396110726141258,0.4489618531177887,0.9410362127684174,0.45951026317942556,0.48745627604434527,0.9669357589308486,0.2667738453777073,0.3673066686849399,0.4254953497033658,0.8295584939772102,0.4207390989070624,0.5993727170216385],"y":[0.48517695775603287,0.15195480719880228,0.36271685416206323,0.8770183283424868,0.6950242189101312,0.22006284415647592,0.10722926349546014,0.2800885099629846,0.27391773059837055,0.03185325411522755,0.9696412711710446,0.30556398312447375,0.6912775595701176,0.7162682133561824,0.5342753769000671,0.8293116591736268,0.6040347139027421,0.9113518552356233,0.12621303996828692,0.7617521445984612,0.7763085582442878,0.16838559183837287,0.4013987794688375,0.506027864023058,0.2961749561567676,0.8424570215044463,0.13758524014325246,0.7143179961366001,0.4560740302835016,0.9762302106798356,0.4555805094306056,0.7725431518142107,0.6315807581200411,0.429287335695943,0.7803070218142413,0.3837231160676934,0.6055650241780272,0.9955961781806185,0.4565716497069552,0.9130052148518574,0.7557939849002321,0.04754360624500986,0.11796463607042151,0.3442008778282808,0.9834617364769925,0.29784653084187085,0.8250775598670184,0.05639219509411553,0.4981279016996709,0.21526851398068203,0.39469045746392417,0.3349078137752456,0.5542667223337007,0.351735210831044,0.5255258460594711,0.2602414313956778,0.1636970605745398,0.4593835704818291,0.3819410949119809,0.7692361247401849,0.9366665540563623,0.010811134356291885,0.996114939078384,0.384139397089554,0.9863105872056022,0.09817630035587477,0.8929473530097771,0.5154868104076213,0.16472690301287551,0.941142370858043,0.768264923252917,0.8001446135508211,0.775505623440652,0.07096589844182388,0.17701291017145593,0.17397978634649314,0.4196023439000368,0.0488534816144125,0.9394301737564593,0.7056987572134257,0.4018106524945789,0.6001937031936767,0.9733267677277788,0.04664497879135099,0.5190547326703626,0.7445782122517961,0.032609731335570546,0.9524313816997132,0.15793219449235074,0.05241404761380075,0.4295145149973686,0.012102683523864899,0.9871790472394331,0.3979030183653971,0.9250249296465276,0.2501683292624952,0.7534564371673806,0.6800843429236878,0.6878607106620024,0.4501715704757048,0.5604812712048051,0.5025794039551387,0.2252852038920301,0.9602046993307621,0.44622469911950013,0.992546305750491,0.8877574493546365,0.5708430643489963,0.4502055455276952,0.9069500570751662,0.3310532281165588,0.9892055096084165,0.9968124208508655,0.6822535325086687,0.13747657175055172,0.27901557024176304,0.23070799708118317,0.5038082691171941,0.6902550309872962,0.6820933216016194,0.7063097488561362,0.7600523948667094,0.36030927091620824,0.7723990448502991,0.06431237637983778,0.4415264334133102,0.587993671266408,0.5298814489002132,0.8754296344680804,0.9556233736167205,0.11355306605835103,0.09233882679147354,0.5156755916851071,0.4926315632234908,0.9064100411316188,0.9448185365320958,0.0683552445707567,0.9852919985648542,0.735234239505479,0.9193619588413762,0.359495433862985,0.07601662583094371,0.33324411992768965,0.6466477550916818,0.11034956925342987,0.7203700141353337,0.31210040001903416,0.9168170607837381,0.563159641094227,0.9941157507244877,0.28177935481658123,0.5533917203406287,0.16321007439411628,0.0756726471060295,0.6778486698203796,0.5982953535521164,0.42919220215671305,0.9607100018949224,0.9081676615500502,0.5575558195722872,0.15399924172280766,0.28385215014880727,0.974141699899439,0.18992443789699265,0.3925749435711745,0.6893082328869915,0.8248308599005632,0.40709611811314694,0.06378638817889604,0.7433562844701735,0.09684365339321244,0.3322727830073422,0.9996581770246936,0.21763769205193362,0.5366515775175492,0.497033102514288,0.06924665484707349,0.3032122738657743,0.11986136791193591,0.2998668906996741,0.9201149467274197,0.3454555488307468,0.6603589692869117,0.7188104571039353,0.9319987001943535,0.6383678039360694,0.5887151239303043,0.21013279463272705,0.7513545737399092,0.40115505937962703,0.3059481645988683,0.4608952058877145,0.863540585704249,0.715032183561618,0.5718049682831015,0.2725320980936181,0.8627216259114906,0.7124730325543646,0.871056611813993,0.715508879518206,0.4819763488609089,0.4342229432045356,0.5730878194088271,0.6218435441322362,0.39317693288564604,0.5694391375387783,0.2680720324251963,0.6379554172913019,0.4852424693872328,0.20881502943934216,0.7329174827946455,0.665793755522706,0.5925783887244734,0.43021084676656296,0.8615415410473121,0.39981079860142077,0.8049408556843524,0.025988050443075728,0.3263776258467592,0.9477416368644268,0.4488503436946185,0.24839468370824003,0.7781622865678999,0.3182401355593997,0.7120533444079429,0.5990472300946941,0.3639804349870106,0.7113679509380593,0.1078697481462727,0.9725996464574662,0.08373571199956165,0.31992462066453786,0.49935580729174434,0.8156034193594316,0.70272249682013,0.029889745583756566,0.7582379930788415,0.22214600326027667,0.32008364617263674,0.2581394127181703,0.8584228514983916,0.5308299596323843,0.8145322723138467,0.1544693943811165,0.31331669371965887,0.6178406641915307,0.7122076010353301,0.6057292977150548,0.2649214500312511,0.07283827901174122,0.33895323042482317,0.4971469556492043,0.9597646172928315,0.2161570812214073,0.2359236624433032,0.37663494319596613,0.351929265936625,0.10061208943559674,0.9923675241844312,0.8308838615128655,0.7810083149746091,0.42018794104225354,0.32540230857621777,0.8830355971314207,0.2785309914476868,0.5853402210041817,0.8434727518452606,0.6783907192967681,0.8461378324272891,0.6151566009538038,0.7331742368105346,0.4525928736204611,0.8126330469347747,0.028438961289497633,0.23329723716383943,0.7415373638382685,0.48099865661560315,0.0261104521691351,0.2495283386190984,0.4739756883954416,0.9897029073903748,0.49825005301854186,0.5199737922971618,0.9045168842223867,0.9580480312224448,0.5223276921826719,0.4496604556903122,0.4853155758794573,0.13366567020067832,0.7188633158349051,0.10460444096443167,0.430144610705408,0.42954144790559534,0.4768677135401804,0.21220454749711448,0.9173792463104258,0.5783934172753139,0.723389495494598,0.7241906710855173,0.5560924111051644,0.46574641029693753,0.0903835328196736,0.8151609018246245,0.6249167919905436,0.1065676955136996,0.14690012415450893,0.39061578110016204,0.474518206480697,0.7516091574804961,0.8659780426065298,0.6605618092991157,0.8729664951078506,0.5769779501131995,0.9428714012268974,0.7246568762575112,0.6330034904997168,0.17916572968982492,0.4990221722577719,0.5083028042938383,0.14960240135172043,0.7171113901821451,0.24274233689909352,0.5808975651008391,0.698713692904281,0.20177845959875607,0.5300262399851461,0.9361576266530806,0.67005757735957,0.60798084218778,0.05334509543737853,0.4012637774287605,0.7032852735325418,0.5242342017144358,0.08459665334241506,0.7541748053887737,0.6011376117526401,0.4929668124204136,0.4737243485442487,0.37869661662057763,0.8003208959561571,0.3737214986609254,0.540320827060483,0.8235467570662169,0.4286006189752516,0.8317705561102247,0.26551683516355307,0.01828086603778223,0.3676471326485612,0.4485465862372754,0.8692038185276968,0.4099439901133969,0.11121013971184246,0.6933411796618085,0.2395223340231123,0.31002197133312825,0.5913690075809022,0.08982819781551754,0.04788302970059899,0.12071281334893402,0.04169318685041423,0.09974280650481915,0.11247101126435066,0.4752404166120332,0.2912768882607423,0.6122604469003292,0.6421523097546935,0.2163719283348121,0.03413572473440196,0.46436522214596054,0.450711817067204,0.46936755550251374,0.4569425010651387,0.9874959157720467,0.11977404361294208,0.8330955342333425,0.8168015238835578,0.1865462662528128,0.5614444034869489,0.10966336156058065,0.8920463065542292,0.9529809254329009,0.969946909744377,0.11008532876735422,0.21835923709049276,0.44566283580476607,0.828135513145164,0.7877716897761886,0.14289790276125025,0.6126126758361679,0.6068547619430169,0.9557643641563963,0.5722210933570437,0.9049343711239013,0.11720145462944065,0.519559194807933,0.5566999094241302,0.11454078633812048,0.24675310439657627,0.7811078887317229,0.41343785688696566,0.04376000702088778,0.9215749623865919,0.5669791268659634,0.552212205642597,0.7328724890162333,0.7309619270119411,0.7801823496197778,0.2704892056816576,0.9848852639569639,0.14661444701916415,0.5893349595334662,0.2717086876001992,0.26745286286496517,0.11740268854452729,0.25986220349379796,0.6882521187192905,0.5940476607217593,0.864670761664901,0.2670055277810701,0.1512982943570187,0.5070590020994368,0.19202371601244717,0.1651671199198913,0.6962538134142612,0.5489951157991086,0.5107886367600448,0.17841284135722746,0.1390321147014827,0.9859529024479664,0.4843066312323625,0.24819199162796168,0.5953352653282971,0.6707944976459822,0.9726516510015079,0.34472580561512733,0.7315838463406417,0.9298729456488763,0.46676061464212404,0.9926158855511357,0.3466643158074053,0.7018463466984133,0.45781621615865287,0.9960379659380892,0.4371462594365414,0.3759836463703605,0.4786475354680606,0.2867292806411311,0.6648109328501338,0.1344212211644814,0.8168256481037722,0.8431505161796331,0.5669302763455785,0.7806060628311544,0.5949223284183988,0.47142046184083164,0.5528398976540214,0.5726313288490015,0.25206717628794484,0.5523053655011616,0.14945078022756886,0.3811039082409635,0.5058791412865012,0.04756083865707916,0.20787894718446243,0.5137349346372555,0.9410557498060255,0.43823288860467047,0.4827139058189647,0.9381376150582098,0.4405367293941962,0.8755871289208002,0.7762244729412157,0.5751176871905229,0.33732326077355046,0.3351873918781946,0.32568180936051405,0.3742875277170935,0.9643462883967023,0.44546397231431634,0.7772855200710039,0.11676167208245825,0.5443612038807036,0.9338588831775149,0.4117589836178658,0.8637453538957707,0.18850899380085306,0.6301143182229627,0.99049960931944,0.8518206313494527,0.5414517342907895,0.29027781955457843,0.5945081623362883,0.5450307354779813,0.02090868599512752,0.9523866178100665,0.4991489611900114,0.3684400055594179,0.21914683015635938,0.011867118758114525,0.1792308513254921]}},"id":"25594082-957c-4d92-87ae-72660ad943bf","type":"ColumnDataSource"},{"attributes":{},"id":"30e22e72-d40d-44c9-b98c-a69c373fb87d","type":"LinearScale"},{"attributes":{},"id":"31ee26d7-2550-49e7-81ce-04057a9d5381","type":"BasicTicker"},{"attributes":{"below":[{"id":"865705a5-7634-4e4b-b3bb-c631a5d88694","type":"LinearAxis"}],"left":[{"id":"0984f7d4-84ac-473d-952f-896329f9993f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"865705a5-7634-4e4b-b3bb-c631a5d88694","type":"LinearAxis"},{"id":"31a32293-6529-4d93-b38b-7093d5f83b75","type":"Grid"},{"id":"0984f7d4-84ac-473d-952f-896329f9993f","type":"LinearAxis"},{"id":"c2eccd88-ebf0-42e2-b2f1-2d5795792223","type":"Grid"},{"id":"504e47a7-8b4b-4db1-817f-a24a3ec97601","type":"GlyphRenderer"}],"title":{"id":"acaedec8-2fa5-4faa-b431-e061bbb7fbd0","type":"Title"},"toolbar":{"id":"aef69bb8-5e59-46e7-9064-be41339ce2e5","type":"Toolbar"},"x_range":{"id":"3a80efcd-0ebf-4150-b120-7a6adf7b7456","type":"Range1d"},"x_scale":{"id":"30e22e72-d40d-44c9-b98c-a69c373fb87d","type":"LinearScale"},"y_range":{"id":"60c8687d-14a3-4b79-b338-8559e2b62694","type":"Range1d"},"y_scale":{"id":"69be08c1-5ef5-47fb-b147-081e8a2ed91d","type":"LinearScale"}},"id":"28136916-d6c5-4267-b9b0-be10a26af15a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"overlay":{"id":"417d0cc6-d5cf-43b7-911d-ebb6c29118c2","type":"PolyAnnotation"}},"id":"ed4fc4c2-516b-4431-905e-0478e1eb5101","type":"LassoSelectTool"},{"attributes":{"source":{"id":"65b3bad2-a261-4126-9146-b9ed09228213","type":"ColumnDataSource"}},"id":"f230900c-c5b2-40db-9193-5e43fa0967f3","type":"CDSView"},{"attributes":{"callback":null},"id":"3a80efcd-0ebf-4150-b120-7a6adf7b7456","type":"Range1d"},{"attributes":{"data_source":{"id":"65b3bad2-a261-4126-9146-b9ed09228213","type":"ColumnDataSource"},"glyph":{"id":"4be3fa07-2118-4014-b78c-5071bba8a132","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cf7d55e5-20ea-4703-a5bc-72d0e8c347fc","type":"Circle"},"selection_glyph":null,"view":{"id":"f230900c-c5b2-40db-9193-5e43fa0967f3","type":"CDSView"}},"id":"504e47a7-8b4b-4db1-817f-a24a3ec97601","type":"GlyphRenderer"},{"attributes":{},"id":"8fe98687-bb17-4a9b-8ad1-60b28dc0b0cc","type":"BasicTicker"}],"root_ids":["459d4b1c-624b-4533-a08c-67c13dea3d23"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e0f4707f-a951-402a-89f1-98eb84481bbb","elementid":"6a5a35f5-db65-4da8-81ce-d3163c473595","modelid":"459d4b1c-624b-4533-a08c-67c13dea3d23"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
