(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3e8d301f-7df7-415e-bcf4-9a051a780d32");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3e8d301f-7df7-415e-bcf4-9a051a780d32' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5fbdbf30-9c18-4801-aeab-e77ff69c43f2":{"roots":{"references":[{"attributes":{},"id":"5672c32e-d75c-4e44-8646-eb2001364f70","type":"LinearScale"},{"attributes":{},"id":"bb7d2018-da2e-4d60-bcab-361db42f357d","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"711d5452-5f52-4247-95fd-0ae25c32f43a","type":"ColumnDataSource"},"glyph":{"id":"96f58744-d829-4058-9667-bb100a93dd47","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"14bc7ac4-95bf-4596-ad43-ee2049fc038d","type":"Patches"},"selection_glyph":null,"view":{"id":"3e1de678-76d1-4d5a-850e-983a68892d1f","type":"CDSView"}},"id":"dde23542-0db3-481d-8eb0-59f6c1051aec","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b0c964e9-995a-44dd-b5c1-984ed6ba6add","type":"PanTool"},{"id":"587594fd-e78a-43ee-acde-02aacb80cdc6","type":"WheelZoomTool"},{"id":"dba2277c-0499-4dbf-bd6a-3d7dd9587f5c","type":"BoxZoomTool"},{"id":"3c0a0367-cabe-4257-93fc-5ee610daf02d","type":"SaveTool"},{"id":"ea36ca2e-bec4-4123-9ae8-2ff818b89b36","type":"ResetTool"},{"id":"6fbec932-f48b-4033-bdce-b4bb8bd0222e","type":"HelpTool"}]},"id":"f8890297-770f-40be-a0a1-1cd52f185089","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"b00afa90-8e6b-47fb-9618-007db0b0ba30","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee7f162a-c46b-4adf-989c-1d2ad6adc607","type":"BasicTicker"}},"id":"d1d9aa11-5486-4921-ae93-74ff72cacd8e","type":"Grid"},{"attributes":{"fill_alpha":{"field":"fill_alpha"},"fill_color":{"field":"fill_color"},"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"96f58744-d829-4058-9667-bb100a93dd47","type":"Patches"},{"attributes":{"formatter":{"id":"7b63f680-bb8b-4c97-b062-5cec80973b3e","type":"BasicTickFormatter"},"plot":{"id":"b00afa90-8e6b-47fb-9618-007db0b0ba30","subtype":"Figure","type":"Plot"},"ticker":{"id":"7be4ae0f-eca2-4102-98cf-849155ae1353","type":"BasicTicker"}},"id":"29fd9a20-9043-4b18-87e9-fe0ee21f16a4","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0c53dd0b-0a65-4b9a-b63b-743886b93f39","type":"BoxAnnotation"},{"attributes":{},"id":"b0c964e9-995a-44dd-b5c1-984ed6ba6add","type":"PanTool"},{"attributes":{"callback":null},"id":"29202943-df60-4575-81d1-7db21de441b2","type":"DataRange1d"},{"attributes":{},"id":"6fbec932-f48b-4033-bdce-b4bb8bd0222e","type":"HelpTool"},{"attributes":{},"id":"3c0a0367-cabe-4257-93fc-5ee610daf02d","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"14bc7ac4-95bf-4596-ad43-ee2049fc038d","type":"Patches"},{"attributes":{},"id":"7be4ae0f-eca2-4102-98cf-849155ae1353","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha","fill_alpha","fill_color"],"data":{"fill_alpha":[0.8,0.3],"fill_color":["firebrick","navy"],"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"711d5452-5f52-4247-95fd-0ae25c32f43a","type":"ColumnDataSource"},{"attributes":{"source":{"id":"711d5452-5f52-4247-95fd-0ae25c32f43a","type":"ColumnDataSource"}},"id":"3e1de678-76d1-4d5a-850e-983a68892d1f","type":"CDSView"},{"attributes":{},"id":"587594fd-e78a-43ee-acde-02aacb80cdc6","type":"WheelZoomTool"},{"attributes":{},"id":"ea36ca2e-bec4-4123-9ae8-2ff818b89b36","type":"ResetTool"},{"attributes":{},"id":"ee7f162a-c46b-4adf-989c-1d2ad6adc607","type":"BasicTicker"},{"attributes":{"formatter":{"id":"bb7d2018-da2e-4d60-bcab-361db42f357d","type":"BasicTickFormatter"},"plot":{"id":"b00afa90-8e6b-47fb-9618-007db0b0ba30","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee7f162a-c46b-4adf-989c-1d2ad6adc607","type":"BasicTicker"}},"id":"5c9ec39d-4529-44e9-8e89-ab8e4b779186","type":"LinearAxis"},{"attributes":{},"id":"7b63f680-bb8b-4c97-b062-5cec80973b3e","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"035cffe3-244f-4603-8727-de016a0e90f0","type":"Title"},{"attributes":{"overlay":{"id":"0c53dd0b-0a65-4b9a-b63b-743886b93f39","type":"BoxAnnotation"}},"id":"dba2277c-0499-4dbf-bd6a-3d7dd9587f5c","type":"BoxZoomTool"},{"attributes":{},"id":"09d608ce-d4d5-42d0-bf24-7f291f45aa32","type":"LinearScale"},{"attributes":{"callback":null},"id":"6fdb91fb-c20e-4f46-b453-5555ffa896f6","type":"DataRange1d"},{"attributes":{"below":[{"id":"29fd9a20-9043-4b18-87e9-fe0ee21f16a4","type":"LinearAxis"}],"left":[{"id":"5c9ec39d-4529-44e9-8e89-ab8e4b779186","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"29fd9a20-9043-4b18-87e9-fe0ee21f16a4","type":"LinearAxis"},{"id":"301afd6b-dcc5-4f34-91f7-d7f3ca29b244","type":"Grid"},{"id":"5c9ec39d-4529-44e9-8e89-ab8e4b779186","type":"LinearAxis"},{"id":"d1d9aa11-5486-4921-ae93-74ff72cacd8e","type":"Grid"},{"id":"0c53dd0b-0a65-4b9a-b63b-743886b93f39","type":"BoxAnnotation"},{"id":"dde23542-0db3-481d-8eb0-59f6c1051aec","type":"GlyphRenderer"}],"title":{"id":"035cffe3-244f-4603-8727-de016a0e90f0","type":"Title"},"toolbar":{"id":"f8890297-770f-40be-a0a1-1cd52f185089","type":"Toolbar"},"x_range":{"id":"6fdb91fb-c20e-4f46-b453-5555ffa896f6","type":"DataRange1d"},"x_scale":{"id":"5672c32e-d75c-4e44-8646-eb2001364f70","type":"LinearScale"},"y_range":{"id":"29202943-df60-4575-81d1-7db21de441b2","type":"DataRange1d"},"y_scale":{"id":"09d608ce-d4d5-42d0-bf24-7f291f45aa32","type":"LinearScale"}},"id":"b00afa90-8e6b-47fb-9618-007db0b0ba30","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"b00afa90-8e6b-47fb-9618-007db0b0ba30","subtype":"Figure","type":"Plot"},"ticker":{"id":"7be4ae0f-eca2-4102-98cf-849155ae1353","type":"BasicTicker"}},"id":"301afd6b-dcc5-4f34-91f7-d7f3ca29b244","type":"Grid"}],"root_ids":["b00afa90-8e6b-47fb-9618-007db0b0ba30"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5fbdbf30-9c18-4801-aeab-e77ff69c43f2","elementid":"3e8d301f-7df7-415e-bcf4-9a051a780d32","modelid":"b00afa90-8e6b-47fb-9618-007db0b0ba30"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
