(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1070dea3-4235-4561-9b94-6fa798efbc9a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1070dea3-4235-4561-9b94-6fa798efbc9a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"12cf67df-3e15-462c-8929-03fc9cf9ed12":{"roots":{"references":[{"attributes":{},"id":"cc0fa9d0-5c97-452b-ba3a-3f1a30086d68","type":"ResetTool"},{"attributes":{"below":[{"id":"1df79c6b-8596-4ee9-903e-bfa3b965d879","type":"LinearAxis"}],"left":[{"id":"212c3587-66b5-46f8-aee4-725d33f5112f","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"1df79c6b-8596-4ee9-903e-bfa3b965d879","type":"LinearAxis"},{"id":"839c03d3-b971-4ec9-9eb6-3de830cda672","type":"Grid"},{"id":"212c3587-66b5-46f8-aee4-725d33f5112f","type":"LinearAxis"},{"id":"f62d456e-72cd-4f82-8981-930e90ce55ae","type":"Grid"},{"id":"01d26e19-5902-4496-8986-707c245284ec","type":"BoxAnnotation"},{"id":"1cca20d7-844f-49ce-89a8-99982d8003db","type":"GlyphRenderer"}],"title":{"id":"cac6beb2-fcb8-4e56-a94f-8b449af84b91","type":"Title"},"toolbar":{"id":"b42f304f-09fb-465f-be06-c7333330c907","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"001aa06c-af92-4329-b623-a3922fcbdac2","type":"DataRange1d"},"x_scale":{"id":"6457f70c-96e8-4a7b-9fdf-cb21f8c35723","type":"LinearScale"},"y_range":{"id":"100f0558-ed0e-48b3-b6bf-b87713e9b51a","type":"DataRange1d"},"y_scale":{"id":"094e2cc7-f5fd-47f3-aa7b-e40f6d8607e3","type":"LinearScale"}},"id":"e7fe05de-8cbb-4533-8de5-bda3fd545fae","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b99b194f-e233-4e40-a669-0ed50ff954fe","type":"SaveTool"},{"attributes":{},"id":"48a126db-1a50-4da9-bbf9-e4c16ffbecd8","type":"HelpTool"},{"attributes":{},"id":"8818c3f8-95bb-41b1-8712-25b01b771de2","type":"BasicTicker"},{"attributes":{"callback":null},"id":"100f0558-ed0e-48b3-b6bf-b87713e9b51a","type":"DataRange1d"},{"attributes":{},"id":"6457f70c-96e8-4a7b-9fdf-cb21f8c35723","type":"LinearScale"},{"attributes":{},"id":"4fd409ed-e68d-414e-80ca-ce2653d8799f","type":"PanTool"},{"attributes":{"overlay":{"id":"01d26e19-5902-4496-8986-707c245284ec","type":"BoxAnnotation"}},"id":"ab30e024-b28a-4c10-b7ac-9bf3b07dd579","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4fd409ed-e68d-414e-80ca-ce2653d8799f","type":"PanTool"},{"id":"92d16d6c-f66d-4f35-a23e-eb0352b77893","type":"WheelZoomTool"},{"id":"ab30e024-b28a-4c10-b7ac-9bf3b07dd579","type":"BoxZoomTool"},{"id":"b99b194f-e233-4e40-a669-0ed50ff954fe","type":"SaveTool"},{"id":"cc0fa9d0-5c97-452b-ba3a-3f1a30086d68","type":"ResetTool"},{"id":"48a126db-1a50-4da9-bbf9-e4c16ffbecd8","type":"HelpTool"}]},"id":"b42f304f-09fb-465f-be06-c7333330c907","type":"Toolbar"},{"attributes":{"data_source":{"id":"2e4680d4-1ba6-4fd3-a719-e1df51c2ece6","type":"ColumnDataSource"},"glyph":{"id":"94d080bb-a357-4f9e-bddb-683d936758e2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5cd022a0-234f-440b-adce-b1d20f461359","type":"Circle"},"selection_glyph":null,"view":{"id":"39bf6e85-2cac-4f89-8453-913a7a313337","type":"CDSView"}},"id":"1cca20d7-844f-49ce-89a8-99982d8003db","type":"GlyphRenderer"},{"attributes":{},"id":"92d16d6c-f66d-4f35-a23e-eb0352b77893","type":"WheelZoomTool"},{"attributes":{},"id":"bbf58749-3062-4eec-b36c-8066fc40cc40","type":"BasicTicker"},{"attributes":{},"id":"e3f99091-109f-4565-8a54-40323388b7c3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b1967885-ae42-43ff-a871-02838dee4728","type":"BasicTickFormatter"},"plot":{"id":"e7fe05de-8cbb-4533-8de5-bda3fd545fae","subtype":"Figure","type":"Plot"},"ticker":{"id":"bbf58749-3062-4eec-b36c-8066fc40cc40","type":"BasicTicker"}},"id":"212c3587-66b5-46f8-aee4-725d33f5112f","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"01d26e19-5902-4496-8986-707c245284ec","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":"Top Title with Toolbar"},"id":"cac6beb2-fcb8-4e56-a94f-8b449af84b91","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5cd022a0-234f-440b-adce-b1d20f461359","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"94d080bb-a357-4f9e-bddb-683d936758e2","type":"Circle"},{"attributes":{"formatter":{"id":"e3f99091-109f-4565-8a54-40323388b7c3","type":"BasicTickFormatter"},"plot":{"id":"e7fe05de-8cbb-4533-8de5-bda3fd545fae","subtype":"Figure","type":"Plot"},"ticker":{"id":"8818c3f8-95bb-41b1-8712-25b01b771de2","type":"BasicTicker"}},"id":"1df79c6b-8596-4ee9-903e-bfa3b965d879","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"2e4680d4-1ba6-4fd3-a719-e1df51c2ece6","type":"ColumnDataSource"},{"attributes":{},"id":"094e2cc7-f5fd-47f3-aa7b-e40f6d8607e3","type":"LinearScale"},{"attributes":{"plot":{"id":"e7fe05de-8cbb-4533-8de5-bda3fd545fae","subtype":"Figure","type":"Plot"},"ticker":{"id":"8818c3f8-95bb-41b1-8712-25b01b771de2","type":"BasicTicker"}},"id":"839c03d3-b971-4ec9-9eb6-3de830cda672","type":"Grid"},{"attributes":{},"id":"b1967885-ae42-43ff-a871-02838dee4728","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"e7fe05de-8cbb-4533-8de5-bda3fd545fae","subtype":"Figure","type":"Plot"},"ticker":{"id":"bbf58749-3062-4eec-b36c-8066fc40cc40","type":"BasicTicker"}},"id":"f62d456e-72cd-4f82-8981-930e90ce55ae","type":"Grid"},{"attributes":{"source":{"id":"2e4680d4-1ba6-4fd3-a719-e1df51c2ece6","type":"ColumnDataSource"}},"id":"39bf6e85-2cac-4f89-8453-913a7a313337","type":"CDSView"},{"attributes":{"callback":null},"id":"001aa06c-af92-4329-b623-a3922fcbdac2","type":"DataRange1d"}],"root_ids":["e7fe05de-8cbb-4533-8de5-bda3fd545fae"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"12cf67df-3e15-462c-8929-03fc9cf9ed12","elementid":"1070dea3-4235-4561-9b94-6fa798efbc9a","modelid":"e7fe05de-8cbb-4533-8de5-bda3fd545fae"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
