(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fbab2af2-3c5d-4a9b-a9e9-39555c3e2ab5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fbab2af2-3c5d-4a9b-a9e9-39555c3e2ab5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bf61e162-b02a-4278-8bfb-6404d2efb09d":{"roots":{"references":[{"attributes":{"source":{"id":"777b99f1-e866-4e20-9b62-a7df4efe2c0c","type":"ColumnDataSource"}},"id":"09b34672-ebae-4ae9-8d9a-d30b61e053ec","type":"CDSView"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"#c64737"},"inner_radius":{"units":"data","value":90},"line_color":{"value":"#c64737"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"75bec03b-036c-4f5a-83d2-237f4ad2b1d4","type":"AnnularWedge"},{"attributes":{"text_align":"center","text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"8pt"},"x":{"value":0},"y":{"field":"y"}},"id":"de942b29-c5cc-409f-97ed-4e3c4bc59fef","type":"Text"},{"attributes":{"callback":null,"column_names":["text","y"],"data":{"text":["0.001","0.01","0.1","1.0","10.0","100.0"],"y":{"__ndarray__":"AAAAAAAgckDHcwaqNPVtQDjj0CUzIWlABsmM1zIPZUCg0sRXLXlhQBRFOMxxdlxA","dtype":"float64","shape":[6]}}},"id":"520f577a-77e5-4437-be7b-1eba997beeee","type":"ColumnDataSource"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"field":"fill_color"},"inner_radius":{"units":"data","value":90},"line_color":{"field":"line_color"},"outer_radius":{"units":"data","value":290},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"4deec132-86c3-483b-aeaa-7101d3a47876","type":"AnnularWedge"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"FyEz4zyk8z8EPFU1uHTrP7hriEjtQd8/ln2Zmahpvj/urLv7GA3Qv6Lc7g5O2uO/yuL/nw+u7797dIiY6MD1v4/3EGHJqvu/Ub3MFFXKAMDc/hB5Rb8DwGZAVd01tAbA8IGZQSapCcB6w92lFp4MwAcFIgoHkw/ARyMzt/tDEcA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"pmlXNAGDYkDWwF0C/m1lQDjj0CUzIWlAZ+OHhpjCZECbzPtu2O9jQJvM+27Y72NAHRgJcjWcZkAdGAlyNZxmQAbJjNcyD2VAx3MGqjT1bUAGyYzXMg9lQIaiNChEiGtAOOPQJTMhaUDoDDhWBvtgQKDSxFcteWFASjEX/kFVYUA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"8DJENPjL8j+1X3fXLsTpPxqzzIza4Ns/Hpuqql3lsD+MZXe3K27Tv/G4zGzXiuW/jN/ufkyv8L+iYndHLZn2v7bl/w8Og/y/ZTREbHc2AcDwdYjQZysEwHq3zDRYIAfABPkQmUgVCsCOOlX9OAoNwBt8mWEp/w/A0d7u4gx6EcA=","dtype":"float64","shape":[16]}}},"id":"be20dd8b-0bd6-46a4-b130-6cc81cac1d6f","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y","line_color","fill_color"],"data":{"fill_color":["#aeaeb8","#e69584"],"line_color":["#aeaeb8","#e69584"],"x":[-40,-40],"y":[-370,-390]}},"id":"7cb29afd-e397-41bd-916f-b2b1b8197a9c","type":"ColumnDataSource"},{"attributes":{"angle":{"field":"angle","units":"rad"},"text_align":"center","text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"1d423d80-63af-4af0-bc1e-59e9af04a229","type":"Text"},{"attributes":{"callback":null,"end":420,"start":-420},"id":"df4e7de1-62dd-4c4d-9baa-7ede5215ad2f","type":"Range1d"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"b1db1f93-3409-4de0-b7be-25bed2ffc0a4","type":"AnnularWedge"},{"attributes":{"angle":{"field":"angle","units":"rad"},"text_align":"center","text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"03a0cdab-1dd9-453e-babd-8929cba6fec1","type":"Text"},{"attributes":{"source":{"id":"69d9ebea-8f2d-49a0-8b8f-4cf5b00887bb","type":"ColumnDataSource"}},"id":"49d93c8b-cda1-44fe-a5f8-287c1921cda8","type":"CDSView"},{"attributes":{"data_source":{"id":"64f8f060-f068-44d3-b772-d692fe309c56","type":"ColumnDataSource"},"glyph":{"id":"ce717498-7b66-4997-ac16-81e2c33edaa7","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e8854c5b-4c66-4787-8a3b-70a4400728f7","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"4fa01bed-e9f6-4209-8d7d-b1ea8835a270","type":"CDSView"}},"id":"a3fcd140-578a-4b87-80ff-dcf5ef082e60","type":"GlyphRenderer"},{"attributes":{},"id":"fbcba058-0175-4278-8634-860ed507f0bc","type":"LinearScale"},{"attributes":{},"id":"191b0c86-f208-44ec-9115-728c5c5ee02c","type":"SaveTool"},{"attributes":{"text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"37698139-e296-40eb-ade7-d007da56c3ae","type":"Text"},{"attributes":{"data_source":{"id":"520f577a-77e5-4437-be7b-1eba997beeee","type":"ColumnDataSource"},"glyph":{"id":"adcc8eb7-f8dc-46f0-8e74-a4104eb24385","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"de942b29-c5cc-409f-97ed-4e3c4bc59fef","type":"Text"},"selection_glyph":null,"view":{"id":"5dd6d02c-fff7-4e1c-b81f-92a282ead87d","type":"CDSView"}},"id":"769c1aef-009e-4dd3-9f43-92787cc61cb6","type":"GlyphRenderer"},{"attributes":{},"id":"f6745f30-efed-431d-b424-2eb3044a26ad","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","line_color","fill_color"],"data":{"end_angle":{"__ndarray__":"juv/7wot9j95aHcnKkPwP8nK3b2SsuQ/QImZWaK90T9QDCIig6e3v2iPqupjkd2/3E1mhnOc6r8EqruLGjjzvxgtRFT7Ifm/LLDMHNwL/7+hmapy3noCwCvb7tbObwXAtRwzO79kCMA/Xnefr1kLwMufuwOgTg7AqvD/M8ihEMA=","dtype":"float64","shape":[16]},"fill_color":["#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8"],"line_color":["#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#e69584","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8","#aeaeb8"],"start_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]}}},"id":"36aa0a0e-f4ad-4437-859f-1efe39b06621","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"5d5cb010-b51c-455c-962e-5e0c91e65689","type":"Title"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"black"},"inner_radius":{"units":"data","value":90},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"3f74cdd3-c0dd-4dfd-8e0c-10e5ac96f455","type":"AnnularWedge"},{"attributes":{"background_fill_color":{"value":"#f0e1d2"},"border_fill_color":{"value":"#f0e1d2"},"min_border":0,"outline_line_color":{"value":"black"},"plot_height":800,"plot_width":800,"renderers":[{"id":"803ff6f9-1ef2-45ec-9ac7-b5b9b696c9d0","type":"BoxAnnotation"},{"id":"71f78b6a-224a-4aef-ac12-a72bc07dac3d","type":"GlyphRenderer"},{"id":"a3fcd140-578a-4b87-80ff-dcf5ef082e60","type":"GlyphRenderer"},{"id":"cb509af1-56e9-4283-8a9f-91bfad69a0dc","type":"GlyphRenderer"},{"id":"c6049474-c007-47cc-a164-279b664d2578","type":"GlyphRenderer"},{"id":"fac0f740-08dc-49d8-a671-55fb70f4263d","type":"GlyphRenderer"},{"id":"769c1aef-009e-4dd3-9f43-92787cc61cb6","type":"GlyphRenderer"},{"id":"4d9ea859-caec-4e72-a867-452cc3cf3d23","type":"GlyphRenderer"},{"id":"de7409d6-1fa6-4cd7-b98a-7f2ed8e97793","type":"GlyphRenderer"},{"id":"d990d5df-1881-467d-9b80-2d2690aa1b1b","type":"GlyphRenderer"},{"id":"bf41207d-d379-4c9c-91cb-ef58cd9e5101","type":"GlyphRenderer"},{"id":"7262c24a-49a4-4acc-b1f2-db5a7fd9977e","type":"GlyphRenderer"},{"id":"52501f64-6309-49f9-8b4f-ccf98949913e","type":"GlyphRenderer"}],"title":{"id":"5d5cb010-b51c-455c-962e-5e0c91e65689","type":"Title"},"toolbar":{"id":"dca336fa-6488-4bb5-b586-756d52e23df8","type":"Toolbar"},"toolbar_sticky":false,"x_range":{"id":"df4e7de1-62dd-4c4d-9baa-7ede5215ad2f","type":"Range1d"},"x_scale":{"id":"e84e2b5c-26ff-4c0e-a820-6e5b3564f749","type":"LinearScale"},"y_range":{"id":"15219040-cb98-4a56-a401-14f0189c68cb","type":"Range1d"},"y_scale":{"id":"fbcba058-0175-4278-8634-860ed507f0bc","type":"LinearScale"}},"id":"b083227e-cdfe-4022-a3df-24167f86befb","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"field":"radius","units":"data"},"x":{"value":0},"y":{"value":0}},"id":"84abb805-4603-47a2-8f33-76c3f2746d65","type":"Circle"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":290},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"4950c1ed-11ce-4c77-9a8d-296c817bc96d","type":"AnnularWedge"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"black"},"inner_radius":{"units":"data","value":80},"outer_radius":{"units":"data","value":300},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"c7b7fae7-ec67-4b0b-b381-4d2e48d2d126","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"f045ad84-511d-47ab-a64a-e76d64dbdaad","type":"ColumnDataSource"},"glyph":{"id":"3f74cdd3-c0dd-4dfd-8e0c-10e5ac96f455","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b1db1f93-3409-4de0-b7be-25bed2ffc0a4","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"79efb4c7-60f2-4981-9e8c-247c6de79af5","type":"CDSView"}},"id":"c6049474-c007-47cc-a164-279b664d2578","type":"GlyphRenderer"},{"attributes":{"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"7pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"9d9b24c3-f7cc-4f64-8f9e-5c2dd1323063","type":"Text"},{"attributes":{"callback":null,"column_names":["text","y","x"],"data":{"text":["Gram-positive","Gram-negative"],"x":[-30,-30],"y":[-370,-390]}},"id":"4bda0e21-db8b-4e0c-ad19-91f0d8ff76ef","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":5},"x":{"field":"x"},"y":{"field":"y"}},"id":"31810180-9845-4f93-95eb-7fd15c96f0ee","type":"Circle"},{"attributes":{"source":{"id":"520f577a-77e5-4437-be7b-1eba997beeee","type":"ColumnDataSource"}},"id":"5dd6d02c-fff7-4e1c-b81f-92a282ead87d","type":"CDSView"},{"attributes":{"source":{"id":"f1f8b9a4-8da9-4e24-9a56-73deb2aa4d2c","type":"ColumnDataSource"}},"id":"b176981a-de25-4a05-aef1-e66cbd4cf7fe","type":"CDSView"},{"attributes":{"source":{"id":"be20dd8b-0bd6-46a4-b130-6cc81cac1d6f","type":"ColumnDataSource"}},"id":"0b1fceef-11f0-4cc3-b7ff-67c8e06525b5","type":"CDSView"},{"attributes":{"source":{"id":"36aa0a0e-f4ad-4437-859f-1efe39b06621","type":"ColumnDataSource"}},"id":"3749c34a-4adb-498d-8468-bc85ad6c9bc1","type":"CDSView"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_color":{"value":"#0d3362"},"inner_radius":{"units":"data","value":90},"line_color":{"value":"#0d3362"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"ce717498-7b66-4997-ac16-81e2c33edaa7","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"be20dd8b-0bd6-46a4-b130-6cc81cac1d6f","type":"ColumnDataSource"},"glyph":{"id":"75bec03b-036c-4f5a-83d2-237f4ad2b1d4","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5d51d37c-b54c-419d-a29c-356f1407f999","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"0b1fceef-11f0-4cc3-b7ff-67c8e06525b5","type":"CDSView"}},"id":"cb509af1-56e9-4283-8a9f-91bfad69a0dc","type":"GlyphRenderer"},{"attributes":{"text_alpha":{"value":0.1},"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"7pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"08ac4448-6920-4215-a4e8-f4cbf5d7e146","type":"Text"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle"],"data":{"end_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"eWh3JypD8D/Iyt29krLkPz+JmVmivdE/TAwiIoOnt79nj6rqY5Hdv95NZoZznOq/A6q7ixo4878ZLURU+yH5vy2wzBzcC/+/oJmqct56AsAr2+7Wzm8FwLUcMzu/ZAjAP153n69ZC8DJn7sDoE4OwKvw/zPIoRDAbxEiZkAcEsA=","dtype":"float64","shape":[16]}}},"id":"4a4bd04c-44f7-47d1-98e2-4161628194e1","type":"ColumnDataSource"},{"attributes":{"source":{"id":"4a4bd04c-44f7-47d1-98e2-4161628194e1","type":"ColumnDataSource"}},"id":"f1bcd885-b79a-438e-96b3-e296c8fd86f9","type":"CDSView"},{"attributes":{"callback":null,"column_names":["text","y","x"],"data":{"text":["Penicillin","Streptomycin","Neomycin"],"x":[-15,-15,-15],"y":[18,0,-18]}},"id":"777b99f1-e866-4e20-9b62-a7df4efe2c0c","type":"ColumnDataSource"},{"attributes":{"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":5},"x":{"field":"x"},"y":{"field":"y"}},"id":"0e133ec4-af65-4fd0-868f-9e58efdc3a69","type":"Circle"},{"attributes":{"data_source":{"id":"f1f8b9a4-8da9-4e24-9a56-73deb2aa4d2c","type":"ColumnDataSource"},"glyph":{"id":"03a0cdab-1dd9-453e-babd-8929cba6fec1","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1d423d80-63af-4af0-bc1e-59e9af04a229","type":"Text"},"selection_glyph":null,"view":{"id":"b176981a-de25-4a05-aef1-e66cbd4cf7fe","type":"CDSView"}},"id":"de7409d6-1fa6-4cd7-b98a-7f2ed8e97793","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":420,"start":-420},"id":"15219040-cb98-4a56-a401-14f0189c68cb","type":"Range1d"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"yERVhbPz8T9mg5l5pRPoP3v6ENHHf9g/KMXd3ZUIiz8rHjNzPs/Wv0CVqspgO+e/tM3dLZGH8b/KUGb2cXH3v97T7r5SW/2/eKu7w5miAcAD7f8nipcEwI0uRIx6jAfAF3CI8GqBCsChscxUW3YNwJd5iNylNRDAW5qqDh6wEcA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"m8z7btjvY0D9PDy5w1RpQDjj0CUzIWlABsmM1zIPZUChS31Y0mVsQB0YCXI1nGZAOOPQJTMhaUCyh+QAGnxuQM3Wg944S2RA/HdeznjObkA449AlMyFpQAAAAAAAIHJAAAAAAAAgckCg0sRXLXlhQFhbROgM+V5AoNLEVy15YUA=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"oVZm1m4b8T8Xp7sbHGPmP91BVRW1HtU/p1NmZnBGpL/J1u4uUTDav49xiCjq6+i/27vM3NVf8r/xPlWltkn4vwXC3W2XM/6/jCIzG7wOAsAXZHd/rAMFwKGlu+Oc+AfAK+f/R43tCsC1KESsfeINwCE1RAi3axDA5VVmOi/mEcA=","dtype":"float64","shape":[16]}}},"id":"f045ad84-511d-47ab-a64a-e76d64dbdaad","type":"ColumnDataSource"},{"attributes":{"text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"9pt"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6bf8ab12-f757-4e8a-aba6-6763b54cf153","type":"Text"},{"attributes":{"source":{"id":"f045ad84-511d-47ab-a64a-e76d64dbdaad","type":"ColumnDataSource"}},"id":"79efb4c7-60f2-4981-9e8c-247c6de79af5","type":"CDSView"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":13},"line_color":{"field":"line_color"},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"78b83c18-88b8-4c36-9987-dc95f5385b6c","type":"Rect"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0d3362","#c64737","black"],"line_color":["#0d3362","#c64737","black"],"x":[-40,-40,-40],"y":[18,0,-18]}},"id":"69d9ebea-8f2d-49a0-8b8f-4cf5b00887bb","type":"ColumnDataSource"},{"attributes":{},"id":"f68e666d-b63f-4d08-ab88-a2e960bbe6bd","type":"PanTool"},{"attributes":{"source":{"id":"64f8f060-f068-44d3-b772-d692fe309c56","type":"ColumnDataSource"}},"id":"4fa01bed-e9f6-4209-8d7d-b1ea8835a270","type":"CDSView"},{"attributes":{"callback":null,"column_names":["start_angle","end_angle","outer_radius"],"data":{"end_angle":{"__ndarray__":"Zv0QQcZU9T+i9BDxytXuP3ru/18JAuM/RKG7Ox+5zD9kd4gI55XCvwQkM1M7eeC/LCpE5PxM7L8smKo6XxD0v0AbMwNA+vm/U567yyDk/7+0ECLKAOcCwD5SZi7x2wXAyJOqkuHQCMBS1e720cULwN8WM1vCug7ANKy7X9nXEMA=","dtype":"float64","shape":[16]},"outer_radius":{"__ndarray__":"bLZfBPAOV0Cg0sRXLXlhQDLrDr5nTGNA1FIAQwHoVkAGyYzXMg9lQNRSAEMB6FZAFEU4zHF2XEAGyYzXMg9lQHi2fdUW2VZAAAAAAAAgckAGyYzXMg9lQIaiNChEiGtA/HdeznjObkAAAAAAACByQKYExgH2o29ApgTGAfajb0A=","dtype":"float64","shape":[16]},"start_angle":{"__ndarray__":"Pw8ikoF89D9UGDOTQSXtPysSIgKAUeE/CDBExPn2xT+g6P9/DFjJv1IAEbHEKeK/egYiQob97b9Thpnpo+j0v2cJIrKE0vq/PUZVvTJeAMDIh5khI1MDwFLJ3YUTSAbA3Aoi6gM9CcBmTGZO9DEMwPONqrLkJg/Avmd3i+oNEcA=","dtype":"float64","shape":[16]}}},"id":"64f8f060-f068-44d3-b772-d692fe309c56","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"803ff6f9-1ef2-45ec-9ac7-b5b9b696c9d0","type":"BoxAnnotation"}},"id":"5032740a-dd3e-43f0-9cde-0f36d9335409","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["radius"],"data":{"radius":{"__ndarray__":"AAAAAAAgckDHcwaqNPVtQDjj0CUzIWlABsmM1zIPZUCg0sRXLXlhQBRFOMxxdlxAAAAAAACAVkA=","dtype":"float64","shape":[7]}}},"id":"0775b497-9426-4f93-9748-148f2d98cc5d","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"36aa0a0e-f4ad-4437-859f-1efe39b06621","type":"ColumnDataSource"},"glyph":{"id":"4deec132-86c3-483b-aeaa-7101d3a47876","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4950c1ed-11ce-4c77-9a8d-296c817bc96d","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"3749c34a-4adb-498d-8468-bc85ad6c9bc1","type":"CDSView"}},"id":"71f78b6a-224a-4aef-ac12-a72bc07dac3d","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"4bda0e21-db8b-4e0c-ad19-91f0d8ff76ef","type":"ColumnDataSource"},"glyph":{"id":"9d9b24c3-f7cc-4f64-8f9e-5c2dd1323063","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"08ac4448-6920-4215-a4e8-f4cbf5d7e146","type":"Text"},"selection_glyph":null,"view":{"id":"f531dafb-bb88-40c9-8f99-fb1bb23481b1","type":"CDSView"}},"id":"bf41207d-d379-4c9c-91cb-ef58cd9e5101","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"0775b497-9426-4f93-9748-148f2d98cc5d","type":"ColumnDataSource"},"glyph":{"id":"3d45ca75-ae99-4890-880e-94c4987e5e88","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"84abb805-4603-47a2-8f33-76c3f2746d65","type":"Circle"},"selection_glyph":null,"view":{"id":"93721667-722c-49c9-b144-8fecd6272c2a","type":"CDSView"}},"id":"fac0f740-08dc-49d8-a671-55fb70f4263d","type":"GlyphRenderer"},{"attributes":{"text_align":"center","text_baseline":"middle","text_color":{"value":"black"},"text_font_size":{"value":"8pt"},"x":{"value":0},"y":{"field":"y"}},"id":"adcc8eb7-f8dc-46f0-8e74-a4104eb24385","type":"Text"},{"attributes":{"source":{"id":"0775b497-9426-4f93-9748-148f2d98cc5d","type":"ColumnDataSource"}},"id":"93721667-722c-49c9-b144-8fecd6272c2a","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":13},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"8ac81d5c-7bbc-4724-8547-19cf6affa401","type":"Rect"},{"attributes":{},"id":"e84e2b5c-26ff-4c0e-a820-6e5b3564f749","type":"LinearScale"},{"attributes":{"source":{"id":"7cb29afd-e397-41bd-916f-b2b1b8197a9c","type":"ColumnDataSource"}},"id":"7b4fa925-ea40-47eb-9e05-71ba04bd0bc7","type":"CDSView"},{"attributes":{"source":{"id":"4bda0e21-db8b-4e0c-ad19-91f0d8ff76ef","type":"ColumnDataSource"}},"id":"f531dafb-bb88-40c9-8f99-fb1bb23481b1","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f68e666d-b63f-4d08-ab88-a2e960bbe6bd","type":"PanTool"},{"id":"43730d3f-76d7-44b4-87ff-25d50072dc97","type":"WheelZoomTool"},{"id":"5032740a-dd3e-43f0-9cde-0f36d9335409","type":"BoxZoomTool"},{"id":"191b0c86-f208-44ec-9115-728c5c5ee02c","type":"SaveTool"},{"id":"f6745f30-efed-431d-b424-2eb3044a26ad","type":"ResetTool"},{"id":"024ae630-711d-4e22-b586-629e81bb9bf4","type":"HelpTool"}]},"id":"dca336fa-6488-4bb5-b586-756d52e23df8","type":"Toolbar"},{"attributes":{"data_source":{"id":"777b99f1-e866-4e20-9b62-a7df4efe2c0c","type":"ColumnDataSource"},"glyph":{"id":"6bf8ab12-f757-4e8a-aba6-6763b54cf153","type":"Text"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"37698139-e296-40eb-ade7-d007da56c3ae","type":"Text"},"selection_glyph":null,"view":{"id":"09b34672-ebae-4ae9-8d9a-d30b61e053ec","type":"CDSView"}},"id":"52501f64-6309-49f9-8b4f-ccf98949913e","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["angle","text","y","x"],"data":{"angle":{"__ndarray__":"BKq7ixo48z/dTWaGc5zqP2iPqupjkd0/WgwiIoOntz8+iZlZor3Rv8nK3b2SsuS/eGh3JypD8L+O6//vCi32v47r/+8KLfY/emh3JypD8D/Iyt29krLkP0CJmVmivdE/QAwiIoOnt79gj6rqY5Hdv+BNZoZznOq/BKq7ixo4878=","dtype":"float64","shape":[16]},"text":["Mycobacterium tuberculosis","Salmonella schottmuelleri","Proteus vulgaris","Klebsiella pneumoniae","Brucella abortus","Pseudomonas aeruginosa","Escherichia coli","Salmonella (Eberthella) typhosa","Aerobacter aerogenes","Brucella antracis","Streptococcus fecalis","Staphylococcus aureus","Staphylococcus albus","Streptococcus hemolyticus","Streptococcus viridans","Diplococcus pneumoniae"],"x":{"__ndarray__":"cGn7M6UwWkA0VkZE5WtoQKq2lcOOOXBAjuBL4jQMckDOGdT43m5xQMF6BpGZ7WxA7SBXXEoVY0AXTcs3yKRKQBJNyzfIpErA6CBXXEoVY8DBegaRme1swM4Z1PjebnHAj+BL4jQMcsCrtpXDjjlwwDJWRkTla2jAcWn7M6UwWsA=","dtype":"float64","shape":[16]},"y":{"__ndarray__":"aywf0KvmcEAmrFe0AMpqQKfycbJzKGBAv6EJxQDCOkC6LG9iL9dTwNZbjg1z2GXAdpVS2APSbsAYUkjE/tBxwBhSSMT+0HHAepVS2APSbsDWW44Nc9hlwL8sb2Iv11PAmaEJxQDCOkCi8nGycyhgQCasV7QAympAaywf0KvmcEA=","dtype":"float64","shape":[16]}}},"id":"f1f8b9a4-8da9-4e24-9a56-73deb2aa4d2c","type":"ColumnDataSource"},{"attributes":{},"id":"43730d3f-76d7-44b4-87ff-25d50072dc97","type":"WheelZoomTool"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"e8854c5b-4c66-4787-8a3b-70a4400728f7","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"7cb29afd-e397-41bd-916f-b2b1b8197a9c","type":"ColumnDataSource"},"glyph":{"id":"0e133ec4-af65-4fd0-868f-9e58efdc3a69","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"31810180-9845-4f93-95eb-7fd15c96f0ee","type":"Circle"},"selection_glyph":null,"view":{"id":"7b4fa925-ea40-47eb-9e05-71ba04bd0bc7","type":"CDSView"}},"id":"d990d5df-1881-467d-9b80-2d2690aa1b1b","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"white"},"radius":{"field":"radius","units":"data"},"x":{"value":0},"y":{"value":0}},"id":"3d45ca75-ae99-4890-880e-94c4987e5e88","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"803ff6f9-1ef2-45ec-9ac7-b5b9b696c9d0","type":"BoxAnnotation"},{"attributes":{},"id":"024ae630-711d-4e22-b586-629e81bb9bf4","type":"HelpTool"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":90},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"field":"outer_radius","units":"data"},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"5d51d37c-b54c-419d-a29c-356f1407f999","type":"AnnularWedge"},{"attributes":{"end_angle":{"field":"end_angle","units":"rad"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":80},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":300},"start_angle":{"field":"start_angle","units":"rad"},"x":{"value":0},"y":{"value":0}},"id":"eb14ff3a-6e4d-4068-8e58-18bc02b36f40","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"69d9ebea-8f2d-49a0-8b8f-4cf5b00887bb","type":"ColumnDataSource"},"glyph":{"id":"78b83c18-88b8-4c36-9987-dc95f5385b6c","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8ac81d5c-7bbc-4724-8547-19cf6affa401","type":"Rect"},"selection_glyph":null,"view":{"id":"49d93c8b-cda1-44fe-a5f8-287c1921cda8","type":"CDSView"}},"id":"7262c24a-49a4-4acc-b1f2-db5a7fd9977e","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"4a4bd04c-44f7-47d1-98e2-4161628194e1","type":"ColumnDataSource"},"glyph":{"id":"c7b7fae7-ec67-4b0b-b381-4d2e48d2d126","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"eb14ff3a-6e4d-4068-8e58-18bc02b36f40","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"f1bcd885-b79a-438e-96b3-e296c8fd86f9","type":"CDSView"}},"id":"4d9ea859-caec-4e72-a867-452cc3cf3d23","type":"GlyphRenderer"}],"root_ids":["b083227e-cdfe-4022-a3df-24167f86befb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bf61e162-b02a-4278-8bfb-6404d2efb09d","elementid":"fbab2af2-3c5d-4a9b-a9e9-39555c3e2ab5","modelid":"b083227e-cdfe-4022-a3df-24167f86befb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
