(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8b37c92c-22b6-409c-8b98-d3f33ad9883d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8b37c92c-22b6-409c-8b98-d3f33ad9883d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"65354bfe-7a96-4f52-a1d2-516beb8d1671":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"4a55bafb-4bbd-488f-a096-9c84a07df50e","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec6b667d-da22-4728-b417-f314caefd31d","type":"BasicTicker"}},"id":"dc0e13f6-b4a9-45a0-a4dc-4893a61a8582","type":"Grid"},{"attributes":{"formatter":{"id":"e23a19cc-24cf-4e23-b5ca-55dd3ac965ee","type":"BasicTickFormatter"},"plot":{"id":"4a55bafb-4bbd-488f-a096-9c84a07df50e","subtype":"Figure","type":"Plot"},"ticker":{"id":"89171cd6-ba6a-4928-83bd-b8e91a17d67c","type":"BasicTicker"}},"id":"a99f66fc-8004-40f2-9ed7-b93e318d893f","type":"LinearAxis"},{"attributes":{},"id":"d1e4e0ab-4d2a-4534-b041-6438bcd9de8f","type":"LinearScale"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6d50c312-381f-46a9-9023-773401add8b4","type":"Rect"},{"attributes":{"callback":null},"id":"969a5745-10b4-4302-bf51-ce45a558b54b","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"a702f3f8-268e-441a-b119-7c0f6b620e82","type":"ColumnDataSource"},{"attributes":{},"id":"15233f39-79d5-48a7-827b-0d644fe12be2","type":"WheelZoomTool"},{"attributes":{},"id":"141ddd62-44f5-4984-8121-9092e01c55a8","type":"ResetTool"},{"attributes":{},"id":"e59e8dbb-9220-4c7f-9c50-f72e344ac6c1","type":"LinearScale"},{"attributes":{},"id":"ec6b667d-da22-4728-b417-f314caefd31d","type":"BasicTicker"},{"attributes":{"data_source":{"id":"a702f3f8-268e-441a-b119-7c0f6b620e82","type":"ColumnDataSource"},"glyph":{"id":"6d50c312-381f-46a9-9023-773401add8b4","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"99fd7c9e-b217-49ac-9f04-86907a0cce6e","type":"Rect"},"selection_glyph":null,"view":{"id":"0483aa8b-1652-4b3e-8f34-ce76e8b2f0e5","type":"CDSView"}},"id":"b748d0c1-4f32-48bd-96a3-197a20dc9692","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"4a55bafb-4bbd-488f-a096-9c84a07df50e","subtype":"Figure","type":"Plot"},"ticker":{"id":"89171cd6-ba6a-4928-83bd-b8e91a17d67c","type":"BasicTicker"}},"id":"62720687-abee-4073-a99b-49c4f305ff96","type":"Grid"},{"attributes":{},"id":"ca90e966-e0f1-4c8b-b437-5ec9f301be74","type":"HelpTool"},{"attributes":{"callback":null},"id":"919c0875-612b-43ac-ba11-b3257d6dc3ac","type":"DataRange1d"},{"attributes":{},"id":"38db84f8-68d8-4516-9cc2-7d9f383e6213","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"a702f3f8-268e-441a-b119-7c0f6b620e82","type":"ColumnDataSource"}},"id":"0483aa8b-1652-4b3e-8f34-ce76e8b2f0e5","type":"CDSView"},{"attributes":{"formatter":{"id":"38db84f8-68d8-4516-9cc2-7d9f383e6213","type":"BasicTickFormatter"},"plot":{"id":"4a55bafb-4bbd-488f-a096-9c84a07df50e","subtype":"Figure","type":"Plot"},"ticker":{"id":"ec6b667d-da22-4728-b417-f314caefd31d","type":"BasicTicker"}},"id":"c697bd85-5bca-43c4-8b5b-a7be8d7a69bc","type":"LinearAxis"},{"attributes":{},"id":"67bb17a2-6826-4136-8510-0fc6d8ce92a4","type":"PanTool"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"99fd7c9e-b217-49ac-9f04-86907a0cce6e","type":"Rect"},{"attributes":{},"id":"d8aa7a4d-4c32-4ae0-9b07-150a746771b9","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"67bb17a2-6826-4136-8510-0fc6d8ce92a4","type":"PanTool"},{"id":"15233f39-79d5-48a7-827b-0d644fe12be2","type":"WheelZoomTool"},{"id":"01182558-7e9a-45e9-b813-0647c074d3e2","type":"BoxZoomTool"},{"id":"d8aa7a4d-4c32-4ae0-9b07-150a746771b9","type":"SaveTool"},{"id":"141ddd62-44f5-4984-8121-9092e01c55a8","type":"ResetTool"},{"id":"ca90e966-e0f1-4c8b-b437-5ec9f301be74","type":"HelpTool"}]},"id":"7d38a6df-071b-4bca-874d-3a868f29accb","type":"Toolbar"},{"attributes":{},"id":"89171cd6-ba6a-4928-83bd-b8e91a17d67c","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"f7be9e57-dc5c-4db4-9e11-cc027638f0ff","type":"Title"},{"attributes":{},"id":"e23a19cc-24cf-4e23-b5ca-55dd3ac965ee","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"c580fba7-60cb-476f-bb11-51db6ae66650","type":"BoxAnnotation"}},"id":"01182558-7e9a-45e9-b813-0647c074d3e2","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c580fba7-60cb-476f-bb11-51db6ae66650","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"a99f66fc-8004-40f2-9ed7-b93e318d893f","type":"LinearAxis"}],"left":[{"id":"c697bd85-5bca-43c4-8b5b-a7be8d7a69bc","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a99f66fc-8004-40f2-9ed7-b93e318d893f","type":"LinearAxis"},{"id":"62720687-abee-4073-a99b-49c4f305ff96","type":"Grid"},{"id":"c697bd85-5bca-43c4-8b5b-a7be8d7a69bc","type":"LinearAxis"},{"id":"dc0e13f6-b4a9-45a0-a4dc-4893a61a8582","type":"Grid"},{"id":"c580fba7-60cb-476f-bb11-51db6ae66650","type":"BoxAnnotation"},{"id":"b748d0c1-4f32-48bd-96a3-197a20dc9692","type":"GlyphRenderer"}],"title":{"id":"f7be9e57-dc5c-4db4-9e11-cc027638f0ff","type":"Title"},"toolbar":{"id":"7d38a6df-071b-4bca-874d-3a868f29accb","type":"Toolbar"},"x_range":{"id":"919c0875-612b-43ac-ba11-b3257d6dc3ac","type":"DataRange1d"},"x_scale":{"id":"e59e8dbb-9220-4c7f-9c50-f72e344ac6c1","type":"LinearScale"},"y_range":{"id":"969a5745-10b4-4302-bf51-ce45a558b54b","type":"DataRange1d"},"y_scale":{"id":"d1e4e0ab-4d2a-4534-b041-6438bcd9de8f","type":"LinearScale"}},"id":"4a55bafb-4bbd-488f-a096-9c84a07df50e","subtype":"Figure","type":"Plot"}],"root_ids":["4a55bafb-4bbd-488f-a096-9c84a07df50e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"65354bfe-7a96-4f52-a1d2-516beb8d1671","elementid":"8b37c92c-22b6-409c-8b98-d3f33ad9883d","modelid":"4a55bafb-4bbd-488f-a096-9c84a07df50e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
