(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ad67879e-4d29-461e-8d21-ba774a0e9b63");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ad67879e-4d29-461e-8d21-ba774a0e9b63' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"18f03850-9153-4b45-ac3a-21b398745dc0":{"roots":{"references":[{"attributes":{"source":{"id":"5cce3deb-fdb9-4c54-bd53-edffdeb440c1","type":"ColumnDataSource"}},"id":"c532ca23-a200-4753-a08f-bc3a42f08c28","type":"CDSView"},{"attributes":{},"id":"cb2dab80-2d1a-41bf-b2c8-dff61a7b43ca","type":"BasicTicker"},{"attributes":{},"id":"df01ca5c-b224-4d78-8286-43d98fe06116","type":"SaveTool"},{"attributes":{"formatter":{"id":"f118fad2-bd41-4e2c-96c4-f3cd1f6b359b","type":"BasicTickFormatter"},"plot":{"id":"141bec17-f54a-451f-b960-9062f91cc7cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"888d2c2b-508d-4a8c-b88e-eece954842bd","type":"BasicTicker"}},"id":"d6511562-33d0-4d22-b76e-9aaa5b0e682d","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"141bec17-f54a-451f-b960-9062f91cc7cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"cb2dab80-2d1a-41bf-b2c8-dff61a7b43ca","type":"BasicTicker"}},"id":"5837d115-5961-4ef7-9301-5e2695ba9b0f","type":"Grid"},{"attributes":{},"id":"41d2cb23-d8d3-489c-86ca-1f3b6a0d2370","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cc13397e-faa0-4d47-9110-51eb1b1ccda9","type":"PanTool"},{"id":"388740d5-16f2-4a6d-8338-2a0d2fdc7059","type":"WheelZoomTool"},{"id":"1636737d-59f3-4fec-bed9-76f105131c62","type":"BoxZoomTool"},{"id":"df01ca5c-b224-4d78-8286-43d98fe06116","type":"SaveTool"},{"id":"752074eb-e1f9-44dd-97d9-7bc12b359051","type":"ResetTool"},{"id":"41d2cb23-d8d3-489c-86ca-1f3b6a0d2370","type":"HelpTool"}]},"id":"39e88557-cfaf-4cdf-8161-40f054f26e43","type":"Toolbar"},{"attributes":{"below":[{"id":"d6511562-33d0-4d22-b76e-9aaa5b0e682d","type":"LinearAxis"}],"left":[{"id":"003baa97-c2fc-47ab-99fd-6af7da14e22a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d6511562-33d0-4d22-b76e-9aaa5b0e682d","type":"LinearAxis"},{"id":"6957c617-f3bd-4382-adfb-fb5f104a82fa","type":"Grid"},{"id":"003baa97-c2fc-47ab-99fd-6af7da14e22a","type":"LinearAxis"},{"id":"5837d115-5961-4ef7-9301-5e2695ba9b0f","type":"Grid"},{"id":"971afa43-dd61-47c7-91ac-1a3fd3447698","type":"BoxAnnotation"},{"id":"6b52d3e2-2bcf-4080-b374-3b2e244a93e7","type":"GlyphRenderer"}],"title":{"id":"8244f5b3-7f71-4c55-a0dc-80dc8f0a9e31","type":"Title"},"toolbar":{"id":"39e88557-cfaf-4cdf-8161-40f054f26e43","type":"Toolbar"},"x_range":{"id":"619934c3-b241-43e5-a613-e4b13a57b7ea","type":"DataRange1d"},"x_scale":{"id":"a0f6741a-6dee-4d1a-8c02-bf2e67028046","type":"LinearScale"},"y_range":{"id":"b0bd95f6-17c2-4a7b-ab65-de037db7aa3d","type":"DataRange1d"},"y_scale":{"id":"1440dd21-5cee-4ef8-a05a-c107731fa7bd","type":"LinearScale"}},"id":"141bec17-f54a-451f-b960-9062f91cc7cb","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd502f39-1748-4d4a-a0a5-295c187f32bd","type":"Circle"},{"attributes":{},"id":"f118fad2-bd41-4e2c-96c4-f3cd1f6b359b","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"971afa43-dd61-47c7-91ac-1a3fd3447698","type":"BoxAnnotation"}},"id":"1636737d-59f3-4fec-bed9-76f105131c62","type":"BoxZoomTool"},{"attributes":{},"id":"a0f6741a-6dee-4d1a-8c02-bf2e67028046","type":"LinearScale"},{"attributes":{},"id":"388740d5-16f2-4a6d-8338-2a0d2fdc7059","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"81046730-6d90-4dd4-a355-65dfbf7aac2b","type":"Circle"},{"attributes":{"formatter":{"id":"96e562ee-f232-4b81-a363-cc7531282003","type":"BasicTickFormatter"},"plot":{"id":"141bec17-f54a-451f-b960-9062f91cc7cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"cb2dab80-2d1a-41bf-b2c8-dff61a7b43ca","type":"BasicTicker"}},"id":"003baa97-c2fc-47ab-99fd-6af7da14e22a","type":"LinearAxis"},{"attributes":{},"id":"752074eb-e1f9-44dd-97d9-7bc12b359051","type":"ResetTool"},{"attributes":{},"id":"cc13397e-faa0-4d47-9110-51eb1b1ccda9","type":"PanTool"},{"attributes":{"callback":null},"id":"619934c3-b241-43e5-a613-e4b13a57b7ea","type":"DataRange1d"},{"attributes":{},"id":"96e562ee-f232-4b81-a363-cc7531282003","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"141bec17-f54a-451f-b960-9062f91cc7cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"888d2c2b-508d-4a8c-b88e-eece954842bd","type":"BasicTicker"}},"id":"6957c617-f3bd-4382-adfb-fb5f104a82fa","type":"Grid"},{"attributes":{},"id":"1440dd21-5cee-4ef8-a05a-c107731fa7bd","type":"LinearScale"},{"attributes":{"plot":null,"text":"Basic Title"},"id":"8244f5b3-7f71-4c55-a0dc-80dc8f0a9e31","type":"Title"},{"attributes":{"callback":null},"id":"b0bd95f6-17c2-4a7b-ab65-de037db7aa3d","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"971afa43-dd61-47c7-91ac-1a3fd3447698","type":"BoxAnnotation"},{"attributes":{},"id":"888d2c2b-508d-4a8c-b88e-eece954842bd","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"5cce3deb-fdb9-4c54-bd53-edffdeb440c1","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"5cce3deb-fdb9-4c54-bd53-edffdeb440c1","type":"ColumnDataSource"},"glyph":{"id":"81046730-6d90-4dd4-a355-65dfbf7aac2b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd502f39-1748-4d4a-a0a5-295c187f32bd","type":"Circle"},"selection_glyph":null,"view":{"id":"c532ca23-a200-4753-a08f-bc3a42f08c28","type":"CDSView"}},"id":"6b52d3e2-2bcf-4080-b374-3b2e244a93e7","type":"GlyphRenderer"}],"root_ids":["141bec17-f54a-451f-b960-9062f91cc7cb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"18f03850-9153-4b45-ac3a-21b398745dc0","elementid":"ad67879e-4d29-461e-8d21-ba774a0e9b63","modelid":"141bec17-f54a-451f-b960-9062f91cc7cb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
