(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f9b174e6-58e0-45f7-8822-a694167784cf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f9b174e6-58e0-45f7-8822-a694167784cf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"326c574a-c86e-4ef0-9b83-03a9ef762339":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"945f2047-5edd-42be-8c1e-019fcf4a9bbb","type":"Toolbar"},{"attributes":{},"id":"63fd6a98-7785-4930-844b-e97ab82b9d0a","type":"BasicTicker"},{"attributes":{"data_source":{"id":"d7a47187-7b6e-409f-a2c3-49068d364428","type":"ColumnDataSource"},"glyph":{"id":"d8567156-2143-4929-8219-54e4a30bd7e8","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a9b0ca8d-e75c-4d27-b3e1-fff9ead2ac93","type":"VBar"},"selection_glyph":null,"view":{"id":"99a9a320-a2a0-4e62-9e19-2b36df082893","type":"CDSView"}},"id":"0ba4de44-a855-4505-a937-8ddb6a72b707","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"1495f56f-bfb7-4647-a7b7-2831b04b6a57","type":"Title"},{"attributes":{"source":{"id":"d7a47187-7b6e-409f-a2c3-49068d364428","type":"ColumnDataSource"}},"id":"99a9a320-a2a0-4e62-9e19-2b36df082893","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"eab8cbf7-0ed3-4588-b91d-e5361d00d69a","subtype":"Figure","type":"Plot"},"ticker":{"id":"63fd6a98-7785-4930-844b-e97ab82b9d0a","type":"BasicTicker"}},"id":"6270247d-07ba-467f-8e58-124c7adb77c5","type":"Grid"},{"attributes":{},"id":"b272f73b-7c75-4b82-8a46-29735f1f4b16","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"d7a47187-7b6e-409f-a2c3-49068d364428","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b272f73b-7c75-4b82-8a46-29735f1f4b16","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"eab8cbf7-0ed3-4588-b91d-e5361d00d69a","subtype":"Figure","type":"Plot"},"ticker":{"id":"514a47f3-8d15-4f13-8d59-b9efbfcb5f85","type":"CategoricalTicker"}},"id":"20265e22-f156-4880-9cb6-320634d603a6","type":"CategoricalAxis"},{"attributes":{"formatter":{"id":"1a29d134-4270-4cc0-b7d9-b0d301a377a8","type":"BasicTickFormatter"},"plot":{"id":"eab8cbf7-0ed3-4588-b91d-e5361d00d69a","subtype":"Figure","type":"Plot"},"ticker":{"id":"63fd6a98-7785-4930-844b-e97ab82b9d0a","type":"BasicTicker"}},"id":"5d56e490-15c8-46c3-8b54-d60225ce2c81","type":"LinearAxis"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"f28a0245-5657-4c03-9804-c854579607e1","type":"CategoricalColorMapper"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"eab8cbf7-0ed3-4588-b91d-e5361d00d69a","subtype":"Figure","type":"Plot"},"ticker":{"id":"514a47f3-8d15-4f13-8d59-b9efbfcb5f85","type":"CategoricalTicker"}},"id":"50118ae6-e7c5-42ec-b697-130dbc78dc36","type":"Grid"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"f28a0245-5657-4c03-9804-c854579607e1","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"d8567156-2143-4929-8219-54e4a30bd7e8","type":"VBar"},{"attributes":{},"id":"514a47f3-8d15-4f13-8d59-b9efbfcb5f85","type":"CategoricalTicker"},{"attributes":{"callback":null,"start":0},"id":"368a9428-db62-46bd-aae9-8aaaf809508d","type":"DataRange1d"},{"attributes":{},"id":"08532996-ffc8-428c-811e-7c4e0b63914e","type":"LinearScale"},{"attributes":{},"id":"ce00898f-516a-409b-b869-6e34535c10d4","type":"CategoricalScale"},{"attributes":{"below":[{"id":"20265e22-f156-4880-9cb6-320634d603a6","type":"CategoricalAxis"}],"left":[{"id":"5d56e490-15c8-46c3-8b54-d60225ce2c81","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"20265e22-f156-4880-9cb6-320634d603a6","type":"CategoricalAxis"},{"id":"50118ae6-e7c5-42ec-b697-130dbc78dc36","type":"Grid"},{"id":"5d56e490-15c8-46c3-8b54-d60225ce2c81","type":"LinearAxis"},{"id":"6270247d-07ba-467f-8e58-124c7adb77c5","type":"Grid"},{"id":"0ba4de44-a855-4505-a937-8ddb6a72b707","type":"GlyphRenderer"}],"title":{"id":"1495f56f-bfb7-4647-a7b7-2831b04b6a57","type":"Title"},"toolbar":{"id":"945f2047-5edd-42be-8c1e-019fcf4a9bbb","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c226fcca-79bc-41c3-a2b1-497a229bab25","type":"FactorRange"},"x_scale":{"id":"ce00898f-516a-409b-b869-6e34535c10d4","type":"CategoricalScale"},"y_range":{"id":"368a9428-db62-46bd-aae9-8aaaf809508d","type":"DataRange1d"},"y_scale":{"id":"08532996-ffc8-428c-811e-7c4e0b63914e","type":"LinearScale"}},"id":"eab8cbf7-0ed3-4588-b91d-e5361d00d69a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1a29d134-4270-4cc0-b7d9-b0d301a377a8","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"a9b0ca8d-e75c-4d27-b3e1-fff9ead2ac93","type":"VBar"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"c226fcca-79bc-41c3-a2b1-497a229bab25","type":"FactorRange"}],"root_ids":["eab8cbf7-0ed3-4588-b91d-e5361d00d69a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"326c574a-c86e-4ef0-9b83-03a9ef762339","elementid":"f9b174e6-58e0-45f7-8822-a694167784cf","modelid":"eab8cbf7-0ed3-4588-b91d-e5361d00d69a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
