(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a005d087-97b8-4b26-91f9-e1ef34527a28");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a005d087-97b8-4b26-91f9-e1ef34527a28' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"985e9b59-d6eb-4fc5-ae81-b281347631c9":{"roots":{"references":[{"attributes":{"formatter":{"id":"f2a330cd-9aa4-4b4b-854d-ef6457184808","type":"BasicTickFormatter"},"plot":{"id":"79dfd66d-c03a-4c0a-9558-7d657979b488","subtype":"Figure","type":"Plot"},"ticker":{"id":"893c70b5-e5cb-45ca-aaa9-dc50a008b018","type":"BasicTicker"}},"id":"033af068-00ba-47f2-b962-936328071a86","type":"LinearAxis"},{"attributes":{},"id":"e1a94dde-47fc-4b4c-bed8-253dd1ec5f60","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b99de35f-b027-473a-9c9f-d66a54dca006","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"2db335fd-a674-41cc-b541-e2de8aa19685","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"35d241fb-4fa8-4081-aa25-11c610a0427f","type":"Circle"},{"attributes":{},"id":"feb33911-4d23-4a6d-a36f-1cb1cdf9c17a","type":"BasicTicker"},{"attributes":{},"id":"893c70b5-e5cb-45ca-aaa9-dc50a008b018","type":"BasicTicker"},{"attributes":{"below":[{"id":"2a226ca0-08d8-4452-b49c-c3c7175530b5","type":"LinearAxis"}],"left":[{"id":"033af068-00ba-47f2-b962-936328071a86","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2a226ca0-08d8-4452-b49c-c3c7175530b5","type":"LinearAxis"},{"id":"747eb870-b1a2-4743-9ed0-3f85535d342c","type":"Grid"},{"id":"033af068-00ba-47f2-b962-936328071a86","type":"LinearAxis"},{"id":"1ffdaa28-9b6c-439b-b531-6ccfbd315501","type":"Grid"},{"id":"b99de35f-b027-473a-9c9f-d66a54dca006","type":"BoxAnnotation"},{"id":"2897fe45-e66c-440e-a31c-ca649e2fdaa5","type":"GlyphRenderer"}],"title":{"id":"f6f8ae9f-46f7-4b9d-bf1d-091069d7b756","type":"Title"},"toolbar":{"id":"9d25231e-5754-4f02-821e-e153b886b4c2","type":"Toolbar"},"x_range":{"id":"2db335fd-a674-41cc-b541-e2de8aa19685","type":"DataRange1d"},"x_scale":{"id":"e1a94dde-47fc-4b4c-bed8-253dd1ec5f60","type":"LinearScale"},"y_range":{"id":"4145e245-60f4-485b-9653-6030a4a6c80c","type":"DataRange1d"},"y_scale":{"id":"aaba8ad9-ecad-4b01-9835-c6d0f0b52d30","type":"LinearScale"}},"id":"79dfd66d-c03a-4c0a-9558-7d657979b488","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"f6f8ae9f-46f7-4b9d-bf1d-091069d7b756","type":"Title"},{"attributes":{},"id":"72dd35da-3e66-4bfc-bbb0-766c7f67a1ac","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f31a823f-d6ea-4d36-821b-c6a556c7a69b","type":"PanTool"},{"id":"d89bbd80-49c7-45ed-9540-9c62e239ef9f","type":"WheelZoomTool"},{"id":"99029f50-c07e-47da-910d-3b6da0c6f134","type":"BoxZoomTool"},{"id":"6d995f43-ef66-40a0-ad2b-f1caa0e3e924","type":"SaveTool"},{"id":"c06ddc5d-24ac-423b-8b91-44d060778587","type":"ResetTool"},{"id":"f2c7abef-2fc2-4a23-8572-398754dfad69","type":"HelpTool"}]},"id":"9d25231e-5754-4f02-821e-e153b886b4c2","type":"Toolbar"},{"attributes":{},"id":"f2a330cd-9aa4-4b4b-854d-ef6457184808","type":"BasicTickFormatter"},{"attributes":{},"id":"aaba8ad9-ecad-4b01-9835-c6d0f0b52d30","type":"LinearScale"},{"attributes":{"data_source":{"id":"7779a743-5e50-4bb1-8e35-510032c8ac40","type":"ColumnDataSource"},"glyph":{"id":"4c2e9a87-22b3-4fac-9f4a-a9da710040fa","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"35d241fb-4fa8-4081-aa25-11c610a0427f","type":"Circle"},"selection_glyph":null,"view":{"id":"f9a7f378-ee42-4924-944f-8889fed31f10","type":"CDSView"}},"id":"2897fe45-e66c-440e-a31c-ca649e2fdaa5","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"4145e245-60f4-485b-9653-6030a4a6c80c","type":"DataRange1d"},{"attributes":{"source":{"id":"7779a743-5e50-4bb1-8e35-510032c8ac40","type":"ColumnDataSource"}},"id":"f9a7f378-ee42-4924-944f-8889fed31f10","type":"CDSView"},{"attributes":{},"id":"c06ddc5d-24ac-423b-8b91-44d060778587","type":"ResetTool"},{"attributes":{"plot":{"id":"79dfd66d-c03a-4c0a-9558-7d657979b488","subtype":"Figure","type":"Plot"},"ticker":{"id":"feb33911-4d23-4a6d-a36f-1cb1cdf9c17a","type":"BasicTicker"}},"id":"747eb870-b1a2-4743-9ed0-3f85535d342c","type":"Grid"},{"attributes":{"formatter":{"id":"72dd35da-3e66-4bfc-bbb0-766c7f67a1ac","type":"BasicTickFormatter"},"plot":{"id":"79dfd66d-c03a-4c0a-9558-7d657979b488","subtype":"Figure","type":"Plot"},"ticker":{"id":"feb33911-4d23-4a6d-a36f-1cb1cdf9c17a","type":"BasicTicker"}},"id":"2a226ca0-08d8-4452-b49c-c3c7175530b5","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"79dfd66d-c03a-4c0a-9558-7d657979b488","subtype":"Figure","type":"Plot"},"ticker":{"id":"893c70b5-e5cb-45ca-aaa9-dc50a008b018","type":"BasicTicker"}},"id":"1ffdaa28-9b6c-439b-b531-6ccfbd315501","type":"Grid"},{"attributes":{},"id":"f31a823f-d6ea-4d36-821b-c6a556c7a69b","type":"PanTool"},{"attributes":{},"id":"d89bbd80-49c7-45ed-9540-9c62e239ef9f","type":"WheelZoomTool"},{"attributes":{},"id":"f2c7abef-2fc2-4a23-8572-398754dfad69","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"line_color":{"value":"firebrick"},"line_dash":[6,3],"line_width":{"value":2},"size":{"units":"screen","value":60},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c2e9a87-22b3-4fac-9f4a-a9da710040fa","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"7779a743-5e50-4bb1-8e35-510032c8ac40","type":"ColumnDataSource"},{"attributes":{},"id":"6d995f43-ef66-40a0-ad2b-f1caa0e3e924","type":"SaveTool"},{"attributes":{"overlay":{"id":"b99de35f-b027-473a-9c9f-d66a54dca006","type":"BoxAnnotation"}},"id":"99029f50-c07e-47da-910d-3b6da0c6f134","type":"BoxZoomTool"}],"root_ids":["79dfd66d-c03a-4c0a-9558-7d657979b488"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"985e9b59-d6eb-4fc5-ae81-b281347631c9","elementid":"a005d087-97b8-4b26-91f9-e1ef34527a28","modelid":"79dfd66d-c03a-4c0a-9558-7d657979b488"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
