(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0f45ae58-f5c8-44b1-9240-6398d44df0b5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0f45ae58-f5c8-44b1-9240-6398d44df0b5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f7ec9240-04ad-4d9b-a0ff-c81b891a3f26":{"roots":{"references":[{"attributes":{"formatter":{"id":"f1018612-a708-40e0-8144-e76fd7793010","type":"BasicTickFormatter"},"plot":{"id":"3a4f03f4-a241-4298-b4d6-e720c35fdbd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb6faf76-6e33-4d46-b19d-12e8b8b9adb9","type":"BasicTicker"}},"id":"d5483f76-e671-450c-ab7d-9c388f8e8680","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7d429faf-eb89-4e47-b9f2-0d9f4b7edc35","type":"BoxAnnotation"},{"attributes":{},"id":"f1018612-a708-40e0-8144-e76fd7793010","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"4ab05b12-215c-44ab-9661-16a5446f1090","type":"ColumnDataSource"},{"attributes":{},"id":"34ecde66-ec5a-4704-879b-7d52b6f1fff0","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4e048701-e295-4997-8fa5-57a398911e90","type":"Circle"},{"attributes":{},"id":"0f63cdef-0361-482f-96ea-9100da7f589e","type":"SaveTool"},{"attributes":{},"id":"fb6faf76-6e33-4d46-b19d-12e8b8b9adb9","type":"BasicTicker"},{"attributes":{},"id":"5b4d1995-8200-4383-9062-a18394335658","type":"ResetTool"},{"attributes":{"callback":null},"id":"4f91daac-6347-4377-9060-83dcd22b78d4","type":"DataRange1d"},{"attributes":{"data_source":{"id":"4ab05b12-215c-44ab-9661-16a5446f1090","type":"ColumnDataSource"},"glyph":{"id":"4e048701-e295-4997-8fa5-57a398911e90","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a2dcbc5a-b31c-491a-8579-dfca91ecf77c","type":"Circle"},"selection_glyph":null,"view":{"id":"85c5a6e5-38a0-486d-9855-1c0871e3e360","type":"CDSView"}},"id":"463edfcf-6db6-4881-b61e-3a16ecd21623","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b57ea021-f55e-485b-a107-5e0e836876cf","type":"PanTool"},{"id":"7791d2cc-b9f1-4466-9f50-713e66c6fc64","type":"WheelZoomTool"},{"id":"cb97bedc-97e9-4864-8d96-b54a65ba6bb5","type":"BoxZoomTool"},{"id":"0f63cdef-0361-482f-96ea-9100da7f589e","type":"SaveTool"},{"id":"5b4d1995-8200-4383-9062-a18394335658","type":"ResetTool"},{"id":"810c47bf-84bf-4575-890b-83c266f6f070","type":"HelpTool"}]},"id":"81116632-7368-4b0a-8ccc-6e3661d53340","type":"Toolbar"},{"attributes":{"dimension":1,"minor_grid_line_alpha":{"value":0.1},"minor_grid_line_color":{"value":"navy"},"plot":{"id":"3a4f03f4-a241-4298-b4d6-e720c35fdbd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"fb6faf76-6e33-4d46-b19d-12e8b8b9adb9","type":"BasicTicker"}},"id":"fddf88e6-c569-40b8-926f-d1b408b1d1eb","type":"Grid"},{"attributes":{"plot":{"id":"3a4f03f4-a241-4298-b4d6-e720c35fdbd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"34ecde66-ec5a-4704-879b-7d52b6f1fff0","type":"BasicTicker"}},"id":"4cdc3703-13dd-4295-a1df-7f07a2547ff2","type":"Grid"},{"attributes":{},"id":"4bf723fa-2670-45ae-88f5-3874fe81cb39","type":"LinearScale"},{"attributes":{},"id":"b2b208ef-24c2-4acd-8990-00d7e1ef4a80","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"8ebb9ed4-6ce2-4f75-b0fa-bc5c76b62c0b","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a2dcbc5a-b31c-491a-8579-dfca91ecf77c","type":"Circle"},{"attributes":{"overlay":{"id":"7d429faf-eb89-4e47-b9f2-0d9f4b7edc35","type":"BoxAnnotation"}},"id":"cb97bedc-97e9-4864-8d96-b54a65ba6bb5","type":"BoxZoomTool"},{"attributes":{},"id":"b57ea021-f55e-485b-a107-5e0e836876cf","type":"PanTool"},{"attributes":{"formatter":{"id":"b2b208ef-24c2-4acd-8990-00d7e1ef4a80","type":"BasicTickFormatter"},"plot":{"id":"3a4f03f4-a241-4298-b4d6-e720c35fdbd1","subtype":"Figure","type":"Plot"},"ticker":{"id":"34ecde66-ec5a-4704-879b-7d52b6f1fff0","type":"BasicTicker"}},"id":"6aed5276-dac9-48ab-8c6a-20bd32667f77","type":"LinearAxis"},{"attributes":{"source":{"id":"4ab05b12-215c-44ab-9661-16a5446f1090","type":"ColumnDataSource"}},"id":"85c5a6e5-38a0-486d-9855-1c0871e3e360","type":"CDSView"},{"attributes":{},"id":"810c47bf-84bf-4575-890b-83c266f6f070","type":"HelpTool"},{"attributes":{},"id":"cda98aa8-a792-49bf-8fad-2777d9bdec9d","type":"LinearScale"},{"attributes":{"below":[{"id":"6aed5276-dac9-48ab-8c6a-20bd32667f77","type":"LinearAxis"}],"left":[{"id":"d5483f76-e671-450c-ab7d-9c388f8e8680","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6aed5276-dac9-48ab-8c6a-20bd32667f77","type":"LinearAxis"},{"id":"4cdc3703-13dd-4295-a1df-7f07a2547ff2","type":"Grid"},{"id":"d5483f76-e671-450c-ab7d-9c388f8e8680","type":"LinearAxis"},{"id":"fddf88e6-c569-40b8-926f-d1b408b1d1eb","type":"Grid"},{"id":"7d429faf-eb89-4e47-b9f2-0d9f4b7edc35","type":"BoxAnnotation"},{"id":"463edfcf-6db6-4881-b61e-3a16ecd21623","type":"GlyphRenderer"}],"title":{"id":"8ebb9ed4-6ce2-4f75-b0fa-bc5c76b62c0b","type":"Title"},"toolbar":{"id":"81116632-7368-4b0a-8ccc-6e3661d53340","type":"Toolbar"},"x_range":{"id":"4f91daac-6347-4377-9060-83dcd22b78d4","type":"DataRange1d"},"x_scale":{"id":"4bf723fa-2670-45ae-88f5-3874fe81cb39","type":"LinearScale"},"y_range":{"id":"6cf16b26-c5f4-4bf2-8342-08d0ed430e61","type":"DataRange1d"},"y_scale":{"id":"cda98aa8-a792-49bf-8fad-2777d9bdec9d","type":"LinearScale"}},"id":"3a4f03f4-a241-4298-b4d6-e720c35fdbd1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7791d2cc-b9f1-4466-9f50-713e66c6fc64","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"6cf16b26-c5f4-4bf2-8342-08d0ed430e61","type":"DataRange1d"}],"root_ids":["3a4f03f4-a241-4298-b4d6-e720c35fdbd1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f7ec9240-04ad-4d9b-a0ff-c81b891a3f26","elementid":"0f45ae58-f5c8-44b1-9240-6398d44df0b5","modelid":"3a4f03f4-a241-4298-b4d6-e720c35fdbd1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
