(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("11aff87c-fce2-4add-b3ef-868f26193d70");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '11aff87c-fce2-4add-b3ef-868f26193d70' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"703082c1-b261-468a-8b9d-d905233e6135":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ed6a443d-facb-4a47-a252-dafb5ac30d42","type":"PanTool"},{"id":"829e5abf-2cce-420b-9360-a5aa706da5e2","type":"WheelZoomTool"},{"id":"5a757705-bce6-46bd-a725-c125c34da466","type":"BoxZoomTool"},{"id":"a55b1163-59ed-4609-a774-494b4ddeb75a","type":"SaveTool"},{"id":"7ed8622a-a645-4392-b810-6dc65e85fbfa","type":"ResetTool"},{"id":"0490052e-41a8-4c04-b1c4-e28503e8f21a","type":"HelpTool"}]},"id":"62dac18c-9139-4d7b-b105-bf5d2b41c40f","type":"Toolbar"},{"attributes":{"below":[{"id":"575d7c2f-4f1e-40b2-be62-eb10901b2a19","type":"LinearAxis"}],"left":[{"id":"a231ba6d-18da-4208-828f-15d8d34e7e55","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"575d7c2f-4f1e-40b2-be62-eb10901b2a19","type":"LinearAxis"},{"id":"573783a1-2292-4812-b075-3d76a4410ac9","type":"Grid"},{"id":"a231ba6d-18da-4208-828f-15d8d34e7e55","type":"LinearAxis"},{"id":"3fead658-96c6-46df-ad59-72968d0afad5","type":"Grid"},{"id":"2712fcc7-b935-4858-8b6a-50c9666e7bc8","type":"BoxAnnotation"},{"id":"1c8e7972-9e4e-4802-9e02-d81656d14bde","type":"GlyphRenderer"}],"title":{"id":"7c705918-7f2c-46ba-9243-fedc35a20012","type":"Title"},"toolbar":{"id":"62dac18c-9139-4d7b-b105-bf5d2b41c40f","type":"Toolbar"},"x_range":{"id":"6155aabd-780f-423b-8fee-3e2a378f6f26","type":"DataRange1d"},"x_scale":{"id":"8e557824-4951-4961-9da1-ae57c2974c0f","type":"LinearScale"},"y_range":{"id":"f84f1cd5-8de4-4062-9e20-19d8ad2d2c0b","type":"DataRange1d"},"y_scale":{"id":"f624a6bf-fdbc-46cb-b0ec-d9e204c8956a","type":"LinearScale"}},"id":"7d7bdbf0-9aa6-4bf9-afac-ec8eb8cd58da","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"6155aabd-780f-423b-8fee-3e2a378f6f26","type":"DataRange1d"},{"attributes":{"children":[{"id":"c09add14-7442-4bea-9c56-33d7e59128d9","type":"Slider"}]},"id":"da3fdd39-9b9e-4892-a44e-54e04636db4d","type":"WidgetBox"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2712fcc7-b935-4858-8b6a-50c9666e7bc8","type":"BoxAnnotation"},{"attributes":{},"id":"7ed8622a-a645-4392-b810-6dc65e85fbfa","type":"ResetTool"},{"attributes":{"formatter":{"id":"e8b347d4-ff1f-4bc3-87c1-2d2a000fb2ae","type":"BasicTickFormatter"},"plot":{"id":"7d7bdbf0-9aa6-4bf9-afac-ec8eb8cd58da","subtype":"Figure","type":"Plot"},"ticker":{"id":"33d23f49-3da9-45df-9cda-25d134bdd834","type":"BasicTicker"}},"id":"a231ba6d-18da-4208-828f-15d8d34e7e55","type":"LinearAxis"},{"attributes":{},"id":"829e5abf-2cce-420b-9360-a5aa706da5e2","type":"WheelZoomTool"},{"attributes":{},"id":"e8b347d4-ff1f-4bc3-87c1-2d2a000fb2ae","type":"BasicTickFormatter"},{"attributes":{},"id":"dc176b2f-9d4a-4ea6-b9e7-f4a9afe38d02","type":"BasicTickFormatter"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"13ebf0cf-199e-4dbf-8315-93878cdb2802","type":"Line"},{"attributes":{"callback":null},"id":"f84f1cd5-8de4-4062-9e20-19d8ad2d2c0b","type":"DataRange1d"},{"attributes":{"overlay":{"id":"2712fcc7-b935-4858-8b6a-50c9666e7bc8","type":"BoxAnnotation"}},"id":"5a757705-bce6-46bd-a725-c125c34da466","type":"BoxZoomTool"},{"attributes":{"args":{"source":{"id":"08d55e8f-2a3d-46bc-b9e4-620d407819a2","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"84f49c97-1a46-4ecf-bd12-91fff7f65092","type":"CustomJS"},{"attributes":{"plot":{"id":"7d7bdbf0-9aa6-4bf9-afac-ec8eb8cd58da","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d70822a-2948-4555-a347-0bc348446268","type":"BasicTicker"}},"id":"573783a1-2292-4812-b075-3d76a4410ac9","type":"Grid"},{"attributes":{"formatter":{"id":"dc176b2f-9d4a-4ea6-b9e7-f4a9afe38d02","type":"BasicTickFormatter"},"plot":{"id":"7d7bdbf0-9aa6-4bf9-afac-ec8eb8cd58da","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d70822a-2948-4555-a347-0bc348446268","type":"BasicTicker"}},"id":"575d7c2f-4f1e-40b2-be62-eb10901b2a19","type":"LinearAxis"},{"attributes":{},"id":"33d23f49-3da9-45df-9cda-25d134bdd834","type":"BasicTicker"},{"attributes":{},"id":"0490052e-41a8-4c04-b1c4-e28503e8f21a","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"08d55e8f-2a3d-46bc-b9e4-620d407819a2","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"08d55e8f-2a3d-46bc-b9e4-620d407819a2","type":"ColumnDataSource"},"glyph":{"id":"13ebf0cf-199e-4dbf-8315-93878cdb2802","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a46dd9cf-a264-4071-9f10-c8be18c04d08","type":"Line"},"selection_glyph":null,"view":{"id":"485b0ddc-6fed-4570-bb6f-d7ac3865240e","type":"CDSView"}},"id":"1c8e7972-9e4e-4802-9e02-d81656d14bde","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"7d7bdbf0-9aa6-4bf9-afac-ec8eb8cd58da","subtype":"Figure","type":"Plot"},"ticker":{"id":"33d23f49-3da9-45df-9cda-25d134bdd834","type":"BasicTicker"}},"id":"3fead658-96c6-46df-ad59-72968d0afad5","type":"Grid"},{"attributes":{},"id":"ed6a443d-facb-4a47-a252-dafb5ac30d42","type":"PanTool"},{"attributes":{"source":{"id":"08d55e8f-2a3d-46bc-b9e4-620d407819a2","type":"ColumnDataSource"}},"id":"485b0ddc-6fed-4570-bb6f-d7ac3865240e","type":"CDSView"},{"attributes":{},"id":"a55b1163-59ed-4609-a774-494b4ddeb75a","type":"SaveTool"},{"attributes":{"children":[{"id":"da3fdd39-9b9e-4892-a44e-54e04636db4d","type":"WidgetBox"},{"id":"7d7bdbf0-9aa6-4bf9-afac-ec8eb8cd58da","subtype":"Figure","type":"Plot"}]},"id":"2b43b06b-2b09-4d86-88d9-7911994cff6b","type":"Column"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"a46dd9cf-a264-4071-9f10-c8be18c04d08","type":"Line"},{"attributes":{},"id":"8e557824-4951-4961-9da1-ae57c2974c0f","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"7c705918-7f2c-46ba-9243-fedc35a20012","type":"Title"},{"attributes":{},"id":"f624a6bf-fdbc-46cb-b0ec-d9e204c8956a","type":"LinearScale"},{"attributes":{"callback":{"id":"84f49c97-1a46-4ecf-bd12-91fff7f65092","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"c09add14-7442-4bea-9c56-33d7e59128d9","type":"Slider"},{"attributes":{},"id":"8d70822a-2948-4555-a347-0bc348446268","type":"BasicTicker"}],"root_ids":["2b43b06b-2b09-4d86-88d9-7911994cff6b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"703082c1-b261-468a-8b9d-d905233e6135","elementid":"11aff87c-fce2-4add-b3ef-868f26193d70","modelid":"2b43b06b-2b09-4d86-88d9-7911994cff6b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
