(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("13e8608e-b340-4040-aa58-733795403466");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '13e8608e-b340-4040-aa58-733795403466' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e2061cc7-f17a-4f21-b04a-edade423570e":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4d16104c-4b52-42fb-9e71-f189f34cbd49","type":"PanTool"},{"id":"c179fb08-4024-478c-8a80-15f2147dfa62","type":"WheelZoomTool"},{"id":"d6542c1f-8097-4868-9f73-94356cb3c9ea","type":"BoxZoomTool"},{"id":"42686594-aa01-4e1a-abe5-c2964b105eec","type":"SaveTool"},{"id":"109b973d-f5d9-45a2-9b17-410d534a3eca","type":"ResetTool"},{"id":"d816f8ff-5bc4-441b-9d87-74fc450b1be6","type":"HelpTool"}]},"id":"ee45adfe-ecba-4eff-bee3-58c65e73105f","type":"Toolbar"},{"attributes":{},"id":"30462a13-eed4-46da-9e27-cdfbd8ec74d8","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"42019ce2-cd93-4ff6-af40-36e0df1913c6","type":"BoxAnnotation"}},"id":"6699dc4a-afca-494d-8f31-35e683908ecc","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"c6380c75-18a7-4c42-9612-ffe5aa702bab","type":"ColumnDataSource"},{"attributes":{"children":[{"id":"b9e0c82b-319c-4c07-b9ef-f0ed8fc333ae","type":"Row"}]},"id":"85662deb-ff1e-46d6-a8d0-12efddf8b95a","type":"Column"},{"attributes":{"overlay":{"id":"2f3a7dd2-23d9-4346-98a2-8ee6bb7a9c8e","type":"BoxAnnotation"}},"id":"d6542c1f-8097-4868-9f73-94356cb3c9ea","type":"BoxZoomTool"},{"attributes":{},"id":"5bdf38aa-18f8-4de4-8d7a-434f6c43054f","type":"LinearScale"},{"attributes":{},"id":"68e7202d-15e5-4d33-b225-bee348e68bbf","type":"BasicTicker"},{"attributes":{"formatter":{"id":"167434db-e61d-4ef2-abb7-9a2070435cdf","type":"BasicTickFormatter"},"plot":{"id":"c679cf18-d5f4-43b7-b7b7-598cdec1b6c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"66c4e87d-ecf9-460b-87f1-a1d4efedeccc","type":"BasicTicker"}},"id":"3eb4c880-46cd-40e0-99f0-03a0575d8f0f","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5a787db2-680c-41d3-a52e-ef7ced1d2ae8","type":"Circle"},{"attributes":{"source":{"id":"c6380c75-18a7-4c42-9612-ffe5aa702bab","type":"ColumnDataSource"}},"id":"b1372169-d50d-407c-9519-0d5fea0997fc","type":"CDSView"},{"attributes":{},"id":"c5ed8f21-bae9-40c2-aab3-23247c0a0724","type":"LinearScale"},{"attributes":{},"id":"566e3c39-d022-468f-b936-ac035a981d85","type":"LinearScale"},{"attributes":{},"id":"c179fb08-4024-478c-8a80-15f2147dfa62","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"52460822-cae9-4118-8460-2a7ac906948b","type":"Square"},{"attributes":{},"id":"109b973d-f5d9-45a2-9b17-410d534a3eca","type":"ResetTool"},{"attributes":{"below":[{"id":"c70b586b-ce20-4c3a-ba3d-734cd3db96bd","type":"LinearAxis"}],"left":[{"id":"64d814e7-cc7e-407b-966f-a6e56d8a2167","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"c70b586b-ce20-4c3a-ba3d-734cd3db96bd","type":"LinearAxis"},{"id":"917d54b4-d4b7-4e6d-b4dc-169d362b3b9e","type":"Grid"},{"id":"64d814e7-cc7e-407b-966f-a6e56d8a2167","type":"LinearAxis"},{"id":"0dffb0cb-6645-48de-ad41-42814ae2e8d4","type":"Grid"},{"id":"3ad95ccc-ff4f-4a18-9b5a-f776899c80d6","type":"BoxAnnotation"},{"id":"15d4c9a3-aaea-43c7-8176-2aca2ac14c69","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"0008594a-7564-428b-a8e6-e33b5ec8a06a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b8506e0a-87ac-4d2b-91ce-58ea2d20a8e6","type":"DataRange1d"},"x_scale":{"id":"e234db99-bc59-4bf8-979c-97c3edeba32c","type":"LinearScale"},"y_range":{"id":"eed3fd34-928e-4776-ba76-b11e40e16a4b","type":"DataRange1d"},"y_scale":{"id":"a1915609-7e77-4152-9051-7b2f74a541b7","type":"LinearScale"}},"id":"5e837bcd-dab7-4020-9466-91bbee29be3b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a13d399a-b55f-4f07-8571-b4380813184a","type":"ResetTool"},{"attributes":{"formatter":{"id":"30462a13-eed4-46da-9e27-cdfbd8ec74d8","type":"BasicTickFormatter"},"plot":{"id":"5e837bcd-dab7-4020-9466-91bbee29be3b","subtype":"Figure","type":"Plot"},"ticker":{"id":"329c8281-48c8-4056-b90a-1fc9b3650b4d","type":"BasicTicker"}},"id":"64d814e7-cc7e-407b-966f-a6e56d8a2167","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"80261a56-dc69-46ff-8040-84985b2318e4","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"c679cf18-d5f4-43b7-b7b7-598cdec1b6c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"66c4e87d-ecf9-460b-87f1-a1d4efedeccc","type":"BasicTicker"}},"id":"b46490ff-e58d-41c8-93cb-9309226cd08e","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"1e92bc1c-f01d-4c4c-925a-105402ad42a2","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b8506e0a-87ac-4d2b-91ce-58ea2d20a8e6","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3ad95ccc-ff4f-4a18-9b5a-f776899c80d6","type":"BoxAnnotation"},{"attributes":{},"id":"58c7c9ec-73aa-44e5-9a43-0bc6f954c7aa","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2f3a7dd2-23d9-4346-98a2-8ee6bb7a9c8e","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"9604f818-42fc-417b-a088-b0b4537c8eb1","type":"BasicTickFormatter"},"plot":{"id":"18bdccd4-4861-4e46-86a4-3bd9f0b4e2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"f73fbdff-3927-48b8-996b-f6c4e4d7fc40","type":"BasicTicker"}},"id":"9781877e-d8dc-4f6b-8367-99cebd1fc8d8","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"394013b3-76a7-435e-8815-e45f08a0c67a","type":"PanTool"},{"id":"7a412fdf-96b3-4052-a5a8-b12903eb4ba0","type":"WheelZoomTool"},{"id":"fa0016a0-ec4d-43a9-8ff0-dd1aee17d6d1","type":"BoxZoomTool"},{"id":"28d14021-b8bc-4a64-a07b-561b1db30d1a","type":"SaveTool"},{"id":"a13d399a-b55f-4f07-8571-b4380813184a","type":"ResetTool"},{"id":"bfef229a-ac38-4c5b-9d57-9e97c84a1e26","type":"HelpTool"}]},"id":"0008594a-7564-428b-a8e6-e33b5ec8a06a","type":"Toolbar"},{"attributes":{},"id":"d816f8ff-5bc4-441b-9d87-74fc450b1be6","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"18bdccd4-4861-4e46-86a4-3bd9f0b4e2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"f73fbdff-3927-48b8-996b-f6c4e4d7fc40","type":"BasicTicker"}},"id":"62b3c1a9-8b9a-4997-b0df-3e34fe2e4417","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cfba95c2-d181-4f5a-8e21-9b77da761262","type":"PanTool"},{"id":"f1d9502e-66a9-413d-bb5b-97883cbd874f","type":"WheelZoomTool"},{"id":"6699dc4a-afca-494d-8f31-35e683908ecc","type":"BoxZoomTool"},{"id":"58c7c9ec-73aa-44e5-9a43-0bc6f954c7aa","type":"SaveTool"},{"id":"4a843698-baf8-421d-bc79-c7de1b4da0ce","type":"ResetTool"},{"id":"e4b7e4c8-3a7e-4896-be63-2ef0df4e01e3","type":"HelpTool"}]},"id":"2ce0912b-6243-4b5d-86af-86fcef33eab4","type":"Toolbar"},{"attributes":{"below":[{"id":"486b9487-653d-47bf-b691-04963eb25643","type":"LinearAxis"}],"left":[{"id":"9781877e-d8dc-4f6b-8367-99cebd1fc8d8","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"486b9487-653d-47bf-b691-04963eb25643","type":"LinearAxis"},{"id":"e5a634c6-3c03-46bd-b6d9-7c2852bb0793","type":"Grid"},{"id":"9781877e-d8dc-4f6b-8367-99cebd1fc8d8","type":"LinearAxis"},{"id":"62b3c1a9-8b9a-4997-b0df-3e34fe2e4417","type":"Grid"},{"id":"2f3a7dd2-23d9-4346-98a2-8ee6bb7a9c8e","type":"BoxAnnotation"},{"id":"08b6b350-813d-42ed-a168-61f6a2133db9","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"ee45adfe-ecba-4eff-bee3-58c65e73105f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b8506e0a-87ac-4d2b-91ce-58ea2d20a8e6","type":"DataRange1d"},"x_scale":{"id":"5bdf38aa-18f8-4de4-8d7a-434f6c43054f","type":"LinearScale"},"y_range":{"id":"70cdd5ed-8a92-4205-a88f-d8bbc6305b9b","type":"DataRange1d"},"y_scale":{"id":"c5ed8f21-bae9-40c2-aab3-23247c0a0724","type":"LinearScale"}},"id":"18bdccd4-4861-4e46-86a4-3bd9f0b4e2ee","subtype":"Figure","type":"Plot"},{"attributes":{"below":[{"id":"3eb4c880-46cd-40e0-99f0-03a0575d8f0f","type":"LinearAxis"}],"left":[{"id":"82ee6d9a-be27-47ce-b4e2-fe4e3ce8a92c","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"3eb4c880-46cd-40e0-99f0-03a0575d8f0f","type":"LinearAxis"},{"id":"b46490ff-e58d-41c8-93cb-9309226cd08e","type":"Grid"},{"id":"82ee6d9a-be27-47ce-b4e2-fe4e3ce8a92c","type":"LinearAxis"},{"id":"946f98ae-ca49-4bbb-af02-93f88f6494e3","type":"Grid"},{"id":"42019ce2-cd93-4ff6-af40-36e0df1913c6","type":"BoxAnnotation"},{"id":"5be162d4-0333-4047-a355-ba40107b3a4b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"2ce0912b-6243-4b5d-86af-86fcef33eab4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b8506e0a-87ac-4d2b-91ce-58ea2d20a8e6","type":"DataRange1d"},"x_scale":{"id":"566e3c39-d022-468f-b936-ac035a981d85","type":"LinearScale"},"y_range":{"id":"eed3fd34-928e-4776-ba76-b11e40e16a4b","type":"DataRange1d"},"y_scale":{"id":"fa3f2927-31ed-45fb-b2bd-c5535f4053bb","type":"LinearScale"}},"id":"c679cf18-d5f4-43b7-b7b7-598cdec1b6c1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7a412fdf-96b3-4052-a5a8-b12903eb4ba0","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4dfdcb67-310d-4838-b63d-591392c3b119","type":"Square"},{"attributes":{},"id":"f73fbdff-3927-48b8-996b-f6c4e4d7fc40","type":"BasicTicker"},{"attributes":{"callback":null},"id":"eed3fd34-928e-4776-ba76-b11e40e16a4b","type":"DataRange1d"},{"attributes":{"formatter":{"id":"163121b8-2bff-4a8f-a2ff-7c9d55f67158","type":"BasicTickFormatter"},"plot":{"id":"18bdccd4-4861-4e46-86a4-3bd9f0b4e2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c002711-8c4e-4e76-b84e-061555c0908f","type":"BasicTicker"}},"id":"486b9487-653d-47bf-b691-04963eb25643","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"42019ce2-cd93-4ff6-af40-36e0df1913c6","type":"BoxAnnotation"},{"attributes":{},"id":"163121b8-2bff-4a8f-a2ff-7c9d55f67158","type":"BasicTickFormatter"},{"attributes":{},"id":"9c002711-8c4e-4e76-b84e-061555c0908f","type":"BasicTicker"},{"attributes":{},"id":"28d14021-b8bc-4a64-a07b-561b1db30d1a","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"cf3631eb-2812-4995-a88e-af79db9de4bf","type":"Circle"},{"attributes":{},"id":"9604f818-42fc-417b-a088-b0b4537c8eb1","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"3ad95ccc-ff4f-4a18-9b5a-f776899c80d6","type":"BoxAnnotation"}},"id":"fa0016a0-ec4d-43a9-8ff0-dd1aee17d6d1","type":"BoxZoomTool"},{"attributes":{},"id":"e4b7e4c8-3a7e-4896-be63-2ef0df4e01e3","type":"HelpTool"},{"attributes":{"data_source":{"id":"80261a56-dc69-46ff-8040-84985b2318e4","type":"ColumnDataSource"},"glyph":{"id":"5a787db2-680c-41d3-a52e-ef7ced1d2ae8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cf3631eb-2812-4995-a88e-af79db9de4bf","type":"Circle"},"selection_glyph":null,"view":{"id":"5f4a6d66-f53c-4736-973a-2961b04ef4d8","type":"CDSView"}},"id":"15d4c9a3-aaea-43c7-8176-2aca2ac14c69","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"18bdccd4-4861-4e46-86a4-3bd9f0b4e2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"9c002711-8c4e-4e76-b84e-061555c0908f","type":"BasicTicker"}},"id":"e5a634c6-3c03-46bd-b6d9-7c2852bb0793","type":"Grid"},{"attributes":{"formatter":{"id":"a58a52f8-414c-4ed6-9ca2-50b0c7a83f87","type":"BasicTickFormatter"},"plot":{"id":"5e837bcd-dab7-4020-9466-91bbee29be3b","subtype":"Figure","type":"Plot"},"ticker":{"id":"68e7202d-15e5-4d33-b225-bee348e68bbf","type":"BasicTicker"}},"id":"c70b586b-ce20-4c3a-ba3d-734cd3db96bd","type":"LinearAxis"},{"attributes":{},"id":"4a843698-baf8-421d-bc79-c7de1b4da0ce","type":"ResetTool"},{"attributes":{},"id":"4d16104c-4b52-42fb-9e71-f189f34cbd49","type":"PanTool"},{"attributes":{},"id":"a1915609-7e77-4152-9051-7b2f74a541b7","type":"LinearScale"},{"attributes":{"data_source":{"id":"1e92bc1c-f01d-4c4c-925a-105402ad42a2","type":"ColumnDataSource"},"glyph":{"id":"52460822-cae9-4118-8460-2a7ac906948b","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4dfdcb67-310d-4838-b63d-591392c3b119","type":"Square"},"selection_glyph":null,"view":{"id":"be05b0da-bd15-4e46-b112-96004aef0398","type":"CDSView"}},"id":"08b6b350-813d-42ed-a168-61f6a2133db9","type":"GlyphRenderer"},{"attributes":{},"id":"cfba95c2-d181-4f5a-8e21-9b77da761262","type":"PanTool"},{"attributes":{},"id":"a58a52f8-414c-4ed6-9ca2-50b0c7a83f87","type":"BasicTickFormatter"},{"attributes":{},"id":"167434db-e61d-4ef2-abb7-9a2070435cdf","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"c679cf18-d5f4-43b7-b7b7-598cdec1b6c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"78bc7959-6c8b-4012-8d02-fb84e3f499dd","type":"BasicTicker"}},"id":"946f98ae-ca49-4bbb-af02-93f88f6494e3","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7e995d5c-e768-4d73-b45f-feb27fecfed6","type":"Triangle"},{"attributes":{},"id":"394013b3-76a7-435e-8815-e45f08a0c67a","type":"PanTool"},{"attributes":{},"id":"329c8281-48c8-4056-b90a-1fc9b3650b4d","type":"BasicTicker"},{"attributes":{"callback":null},"id":"70cdd5ed-8a92-4205-a88f-d8bbc6305b9b","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"51634dd1-cd5f-40f2-9387-9a9ae7827a3e","type":"Triangle"},{"attributes":{},"id":"e234db99-bc59-4bf8-979c-97c3edeba32c","type":"LinearScale"},{"attributes":{},"id":"4eaea55b-7c8b-4318-b08c-9b28d916c6b5","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"5e837bcd-dab7-4020-9466-91bbee29be3b","subtype":"Figure","type":"Plot"},{"id":"c679cf18-d5f4-43b7-b7b7-598cdec1b6c1","subtype":"Figure","type":"Plot"},{"id":"18bdccd4-4861-4e46-86a4-3bd9f0b4e2ee","subtype":"Figure","type":"Plot"}]},"id":"b9e0c82b-319c-4c07-b9ef-f0ed8fc333ae","type":"Row"},{"attributes":{"dimension":1,"plot":{"id":"5e837bcd-dab7-4020-9466-91bbee29be3b","subtype":"Figure","type":"Plot"},"ticker":{"id":"329c8281-48c8-4056-b90a-1fc9b3650b4d","type":"BasicTicker"}},"id":"0dffb0cb-6645-48de-ad41-42814ae2e8d4","type":"Grid"},{"attributes":{"formatter":{"id":"4eaea55b-7c8b-4318-b08c-9b28d916c6b5","type":"BasicTickFormatter"},"plot":{"id":"c679cf18-d5f4-43b7-b7b7-598cdec1b6c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"78bc7959-6c8b-4012-8d02-fb84e3f499dd","type":"BasicTicker"}},"id":"82ee6d9a-be27-47ce-b4e2-fe4e3ce8a92c","type":"LinearAxis"},{"attributes":{},"id":"f1d9502e-66a9-413d-bb5b-97883cbd874f","type":"WheelZoomTool"},{"attributes":{},"id":"bfef229a-ac38-4c5b-9d57-9e97c84a1e26","type":"HelpTool"},{"attributes":{"data_source":{"id":"c6380c75-18a7-4c42-9612-ffe5aa702bab","type":"ColumnDataSource"},"glyph":{"id":"7e995d5c-e768-4d73-b45f-feb27fecfed6","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"51634dd1-cd5f-40f2-9387-9a9ae7827a3e","type":"Triangle"},"selection_glyph":null,"view":{"id":"b1372169-d50d-407c-9519-0d5fea0997fc","type":"CDSView"}},"id":"5be162d4-0333-4047-a355-ba40107b3a4b","type":"GlyphRenderer"},{"attributes":{},"id":"fa3f2927-31ed-45fb-b2bd-c5535f4053bb","type":"LinearScale"},{"attributes":{"source":{"id":"1e92bc1c-f01d-4c4c-925a-105402ad42a2","type":"ColumnDataSource"}},"id":"be05b0da-bd15-4e46-b112-96004aef0398","type":"CDSView"},{"attributes":{"source":{"id":"80261a56-dc69-46ff-8040-84985b2318e4","type":"ColumnDataSource"}},"id":"5f4a6d66-f53c-4736-973a-2961b04ef4d8","type":"CDSView"},{"attributes":{},"id":"78bc7959-6c8b-4012-8d02-fb84e3f499dd","type":"BasicTicker"},{"attributes":{},"id":"42686594-aa01-4e1a-abe5-c2964b105eec","type":"SaveTool"},{"attributes":{},"id":"66c4e87d-ecf9-460b-87f1-a1d4efedeccc","type":"BasicTicker"},{"attributes":{"plot":{"id":"5e837bcd-dab7-4020-9466-91bbee29be3b","subtype":"Figure","type":"Plot"},"ticker":{"id":"68e7202d-15e5-4d33-b225-bee348e68bbf","type":"BasicTicker"}},"id":"917d54b4-d4b7-4e6d-b4dc-169d362b3b9e","type":"Grid"}],"root_ids":["85662deb-ff1e-46d6-a8d0-12efddf8b95a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e2061cc7-f17a-4f21-b04a-edade423570e","elementid":"13e8608e-b340-4040-aa58-733795403466","modelid":"85662deb-ff1e-46d6-a8d0-12efddf8b95a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
