(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a05d6312-48ea-4463-ba47-3d083074be13");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a05d6312-48ea-4463-ba47-3d083074be13' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c78e7069-8434-4bd0-a140-c0ccf2af3eae":{"roots":{"references":[{"attributes":{},"id":"b896a547-c38c-498b-aa75-ecd1fb0252cf","type":"CategoricalTicker"},{"attributes":{"plot":{"id":"bc5b6420-e949-41f0-9ac5-4d9de0199cac","subtype":"Figure","type":"Plot"},"ticker":{"id":"8402e796-f3b5-4801-ab65-e5cf42284df0","type":"BasicTicker"}},"id":"58541450-d9b4-4f66-b005-8019412be43a","type":"Grid"},{"attributes":{"formatter":{"id":"ffe05ff4-5500-46a7-a4c6-5cc807dbc059","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"bc5b6420-e949-41f0-9ac5-4d9de0199cac","subtype":"Figure","type":"Plot"},"ticker":{"id":"b896a547-c38c-498b-aa75-ecd1fb0252cf","type":"CategoricalTicker"}},"id":"a7b4631a-57d0-48f5-8101-c46213907171","type":"CategoricalAxis"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"bc5b6420-e949-41f0-9ac5-4d9de0199cac","subtype":"Figure","type":"Plot"},"ticker":{"id":"b896a547-c38c-498b-aa75-ecd1fb0252cf","type":"CategoricalTicker"}},"id":"3f1d76fb-8d01-4eca-9077-22740787b802","type":"Grid"},{"attributes":{"fields":["2015"]},"id":"e6d7477d-65df-4aae-8e4d-afc066f65430","type":"Stack"},{"attributes":{},"id":"1a5cfb6b-2aa1-4cfa-9aab-f586ea62b341","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"46a0f730-19bb-4b57-99d7-8a0c8dc4ee0d","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"de4a3fee-aff1-429d-8812-08294a0c3e54","type":"Stack"}},"y":{"field":"fruits"}},"id":"75d57889-ccd5-46ee-9d56-80a8fd029e75","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"3e3c9a15-fb33-4569-b963-da2f160b401f","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"c5210681-07e5-4efc-8a35-787203ee55cf","type":"Stack"}},"y":{"field":"fruits"}},"id":"e85e4584-85a4-44b9-af38-753e1b2a1e39","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"46a0f730-19bb-4b57-99d7-8a0c8dc4ee0d","type":"Stack"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"7783aa89-d4a7-48df-b8ac-dee97e55985e","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"7d814b1b-ec00-4c7d-9a01-0bafe69f071f","type":"Stack"}},"y":{"field":"fruits"}},"id":"bf000804-f345-4af4-a4f7-7d7dd31cc38f","type":"HBar"},{"attributes":{},"id":"eada7e11-ff04-44d0-bd57-b8669dfc3df9","type":"CategoricalScale"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"29330c03-5439-4336-b89c-0904f5733fd8","type":"GlyphRenderer"}]},"id":"f0e5b22b-7096-45a5-a2f3-c55f5231db3b","type":"LegendItem"},{"attributes":{"fields":["2015","2016"]},"id":"eafdb2a4-4973-45b8-b116-4a6febf537cf","type":"Stack"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"21fa0fcc-73b5-4a38-b6a5-3f234b066c50","type":"FactorRange"},{"attributes":{"fields":[]},"id":"3e3c9a15-fb33-4569-b963-da2f160b401f","type":"Stack"},{"attributes":{},"id":"8402e796-f3b5-4801-ab65-e5cf42284df0","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"6df94e20-5334-403a-97e4-06fae2e818dc","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"da61f1a1-3a6b-4ce3-ae5f-7649a7b36b76","type":"Stack"}},"y":{"field":"fruits"}},"id":"674b2036-6565-4cee-984e-a5d67d02a8a1","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"7783aa89-d4a7-48df-b8ac-dee97e55985e","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"7d814b1b-ec00-4c7d-9a01-0bafe69f071f","type":"Stack"}},"y":{"field":"fruits"}},"id":"7b528dc5-f56b-483b-937e-6fd7436d7885","type":"HBar"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"},{"attributes":{},"id":"70a664b4-37fb-416f-9b03-e63a8dd04602","type":"PanTool"},{"attributes":{"source":{"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"}},"id":"9aa7de22-40e2-4c40-9992-3024b9ae34b6","type":"CDSView"},{"attributes":{},"id":"01cb1230-f670-491f-b5c9-f7fe8836fc7c","type":"LinearScale"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"c034fe6c-6e2d-436a-bebd-8c33968cb5f5","type":"Range1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"c60656bd-1e45-43ec-9219-0f5338d7b845","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"41159b74-9c3b-48d4-bd64-57675b3b6d7d","type":"Stack"}},"y":{"field":"fruits"}},"id":"20cfc852-f194-492b-b930-be27042d63f7","type":"HBar"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"2d7316ad-0946-4759-abb0-eda63c08ef55","type":"GlyphRenderer"}]},"id":"123ca423-d2d7-4fa1-8f60-f76403de8633","type":"LegendItem"},{"attributes":{"source":{"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"}},"id":"25befb82-79cf-41bf-93ba-0c3ddd412df1","type":"CDSView"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"c60656bd-1e45-43ec-9219-0f5338d7b845","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"41159b74-9c3b-48d4-bd64-57675b3b6d7d","type":"Stack"}},"y":{"field":"fruits"}},"id":"dc43c966-e460-40b6-a773-4606d1b13fbd","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"6df94e20-5334-403a-97e4-06fae2e818dc","type":"Stack"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"e6d7477d-65df-4aae-8e4d-afc066f65430","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"eafdb2a4-4973-45b8-b116-4a6febf537cf","type":"Stack"}},"y":{"field":"fruits"}},"id":"e2b661ee-8bb5-481d-aaef-a73640308851","type":"HBar"},{"attributes":{"data_source":{"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"},"glyph":{"id":"1899b3b1-d32d-401f-a2d2-e2b5c5e3e01a","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e85e4584-85a4-44b9-af38-753e1b2a1e39","type":"HBar"},"selection_glyph":null,"view":{"id":"bd1cdaf5-c8d2-45ce-9d5a-215369031bf8","type":"CDSView"}},"id":"7179ef87-f302-43b9-b633-32acb22b6a37","type":"GlyphRenderer"},{"attributes":{},"id":"013028a7-61fa-449a-8ae9-7f5f7b75fb07","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"6df94e20-5334-403a-97e4-06fae2e818dc","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"da61f1a1-3a6b-4ce3-ae5f-7649a7b36b76","type":"Stack"}},"y":{"field":"fruits"}},"id":"826c3fc0-1bcb-4fb0-8975-f27edaf46b89","type":"HBar"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"b0be3400-3ecf-4995-aa48-a7247c0418ca","type":"Title"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"033d3639-d3d8-4a11-9007-7eb33baf98c5","type":"GlyphRenderer"}]},"id":"e9db9072-c1f4-42e1-a31b-1bcec9b0a26b","type":"LegendItem"},{"attributes":{"source":{"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"}},"id":"bd1cdaf5-c8d2-45ce-9d5a-215369031bf8","type":"CDSView"},{"attributes":{"source":{"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"}},"id":"96328341-8e11-494f-a73e-5db0d2ac71eb","type":"CDSView"},{"attributes":{"fields":["2015","2016"]},"id":"da61f1a1-3a6b-4ce3-ae5f-7649a7b36b76","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"e6d7477d-65df-4aae-8e4d-afc066f65430","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"eafdb2a4-4973-45b8-b116-4a6febf537cf","type":"Stack"}},"y":{"field":"fruits"}},"id":"f9b690e8-f975-4701-a5b2-54424c06a9c2","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"46a0f730-19bb-4b57-99d7-8a0c8dc4ee0d","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"de4a3fee-aff1-429d-8812-08294a0c3e54","type":"Stack"}},"y":{"field":"fruits"}},"id":"c1c202fa-e30f-43b3-b0c2-99fc35ac0e3c","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"7d814b1b-ec00-4c7d-9a01-0bafe69f071f","type":"Stack"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"71f5d9ea-ce1d-45a8-b723-c61132b84f4a","type":"BoxAnnotation"},{"attributes":{"fields":["2015"]},"id":"c5210681-07e5-4efc-8a35-787203ee55cf","type":"Stack"},{"attributes":{"formatter":{"id":"a49f2ddd-841e-45ee-bcee-27ac1b53adf6","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"bc5b6420-e949-41f0-9ac5-4d9de0199cac","subtype":"Figure","type":"Plot"},"ticker":{"id":"8402e796-f3b5-4801-ab65-e5cf42284df0","type":"BasicTicker"}},"id":"4d8bb2ea-bb25-4841-ae0e-5493e5e6f45a","type":"LinearAxis"},{"attributes":{"data_source":{"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"},"glyph":{"id":"75d57889-ccd5-46ee-9d56-80a8fd029e75","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c1c202fa-e30f-43b3-b0c2-99fc35ac0e3c","type":"HBar"},"selection_glyph":null,"view":{"id":"9aa7de22-40e2-4c40-9992-3024b9ae34b6","type":"CDSView"}},"id":"e1499ed8-571f-466e-ad97-7a17ccae704d","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"70a664b4-37fb-416f-9b03-e63a8dd04602","type":"PanTool"},{"id":"013028a7-61fa-449a-8ae9-7f5f7b75fb07","type":"WheelZoomTool"},{"id":"d04ebbca-f90e-43fb-936d-10fa2c976181","type":"BoxZoomTool"},{"id":"943f93be-f2b4-4ea9-a9e8-d357af8c90f0","type":"SaveTool"},{"id":"3d380ee9-91d3-4df9-8d2f-75797d7181d8","type":"ResetTool"},{"id":"1a5cfb6b-2aa1-4cfa-9aab-f586ea62b341","type":"HelpTool"}]},"id":"4ce936f3-a99c-43fe-9f76-56632d122889","type":"Toolbar"},{"attributes":{"overlay":{"id":"71f5d9ea-ce1d-45a8-b723-c61132b84f4a","type":"BoxAnnotation"}},"id":"d04ebbca-f90e-43fb-936d-10fa2c976181","type":"BoxZoomTool"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"3e3c9a15-fb33-4569-b963-da2f160b401f","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"c5210681-07e5-4efc-8a35-787203ee55cf","type":"Stack"}},"y":{"field":"fruits"}},"id":"1899b3b1-d32d-401f-a2d2-e2b5c5e3e01a","type":"HBar"},{"attributes":{},"id":"943f93be-f2b4-4ea9-a9e8-d357af8c90f0","type":"SaveTool"},{"attributes":{"source":{"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"}},"id":"5fcc720a-a906-4e56-b4c4-9cd8decef975","type":"CDSView"},{"attributes":{"data_source":{"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"},"glyph":{"id":"dc43c966-e460-40b6-a773-4606d1b13fbd","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"20cfc852-f194-492b-b930-be27042d63f7","type":"HBar"},"selection_glyph":null,"view":{"id":"c70c1fca-b8ea-4968-a4b2-555897a59da8","type":"CDSView"}},"id":"29330c03-5439-4336-b89c-0904f5733fd8","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"},"glyph":{"id":"bf000804-f345-4af4-a4f7-7d7dd31cc38f","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7b528dc5-f56b-483b-937e-6fd7436d7885","type":"HBar"},"selection_glyph":null,"view":{"id":"25befb82-79cf-41bf-93ba-0c3ddd412df1","type":"CDSView"}},"id":"2d7316ad-0946-4759-abb0-eda63c08ef55","type":"GlyphRenderer"},{"attributes":{"fields":["2015","2016","2017"]},"id":"41159b74-9c3b-48d4-bd64-57675b3b6d7d","type":"Stack"},{"attributes":{"items":[{"id":"df968d5a-6d12-4c87-9627-e7af9614cb6c","type":"LegendItem"},{"id":"a5018ebd-8ff3-4950-84a7-d85438778706","type":"LegendItem"},{"id":"f0e5b22b-7096-45a5-a2f3-c55f5231db3b","type":"LegendItem"},{"id":"123ca423-d2d7-4fa1-8f60-f76403de8633","type":"LegendItem"},{"id":"e9db9072-c1f4-42e1-a31b-1bcec9b0a26b","type":"LegendItem"},{"id":"859a15ff-4df2-4ae9-a82a-b0a30a304de2","type":"LegendItem"}],"location":"top_left","plot":{"id":"bc5b6420-e949-41f0-9ac5-4d9de0199cac","subtype":"Figure","type":"Plot"}},"id":"272d7adb-02cb-464f-807b-709043e0d7ef","type":"Legend"},{"attributes":{},"id":"a49f2ddd-841e-45ee-bcee-27ac1b53adf6","type":"BasicTickFormatter"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"e1499ed8-571f-466e-ad97-7a17ccae704d","type":"GlyphRenderer"}]},"id":"859a15ff-4df2-4ae9-a82a-b0a30a304de2","type":"LegendItem"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"5e7f9ee4-585a-4c77-8d8d-c59151445690","type":"GlyphRenderer"}]},"id":"a5018ebd-8ff3-4950-84a7-d85438778706","type":"LegendItem"},{"attributes":{"fields":["2015","2016","2017"]},"id":"de4a3fee-aff1-429d-8812-08294a0c3e54","type":"Stack"},{"attributes":{},"id":"3d380ee9-91d3-4df9-8d2f-75797d7181d8","type":"ResetTool"},{"attributes":{"data_source":{"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"},"glyph":{"id":"826c3fc0-1bcb-4fb0-8975-f27edaf46b89","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"674b2036-6565-4cee-984e-a5d67d02a8a1","type":"HBar"},"selection_glyph":null,"view":{"id":"5fcc720a-a906-4e56-b4c4-9cd8decef975","type":"CDSView"}},"id":"5e7f9ee4-585a-4c77-8d8d-c59151445690","type":"GlyphRenderer"},{"attributes":{"fields":[]},"id":"7783aa89-d4a7-48df-b8ac-dee97e55985e","type":"Stack"},{"attributes":{"source":{"id":"e161dc0e-1f6e-4092-bb94-3e3774fb9227","type":"ColumnDataSource"}},"id":"c70c1fca-b8ea-4968-a4b2-555897a59da8","type":"CDSView"},{"attributes":{"below":[{"id":"4d8bb2ea-bb25-4841-ae0e-5493e5e6f45a","type":"LinearAxis"}],"left":[{"id":"a7b4631a-57d0-48f5-8101-c46213907171","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":350,"renderers":[{"id":"4d8bb2ea-bb25-4841-ae0e-5493e5e6f45a","type":"LinearAxis"},{"id":"58541450-d9b4-4f66-b005-8019412be43a","type":"Grid"},{"id":"a7b4631a-57d0-48f5-8101-c46213907171","type":"CategoricalAxis"},{"id":"3f1d76fb-8d01-4eca-9077-22740787b802","type":"Grid"},{"id":"71f5d9ea-ce1d-45a8-b723-c61132b84f4a","type":"BoxAnnotation"},{"id":"272d7adb-02cb-464f-807b-709043e0d7ef","type":"Legend"},{"id":"7179ef87-f302-43b9-b633-32acb22b6a37","type":"GlyphRenderer"},{"id":"5e7f9ee4-585a-4c77-8d8d-c59151445690","type":"GlyphRenderer"},{"id":"29330c03-5439-4336-b89c-0904f5733fd8","type":"GlyphRenderer"},{"id":"2d7316ad-0946-4759-abb0-eda63c08ef55","type":"GlyphRenderer"},{"id":"033d3639-d3d8-4a11-9007-7eb33baf98c5","type":"GlyphRenderer"},{"id":"e1499ed8-571f-466e-ad97-7a17ccae704d","type":"GlyphRenderer"}],"title":{"id":"b0be3400-3ecf-4995-aa48-a7247c0418ca","type":"Title"},"toolbar":{"id":"4ce936f3-a99c-43fe-9f76-56632d122889","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c034fe6c-6e2d-436a-bebd-8c33968cb5f5","type":"Range1d"},"x_scale":{"id":"01cb1230-f670-491f-b5c9-f7fe8836fc7c","type":"LinearScale"},"y_range":{"id":"21fa0fcc-73b5-4a38-b6a5-3f234b066c50","type":"FactorRange"},"y_scale":{"id":"eada7e11-ff04-44d0-bd57-b8669dfc3df9","type":"CategoricalScale"}},"id":"bc5b6420-e949-41f0-9ac5-4d9de0199cac","subtype":"Figure","type":"Plot"},{"attributes":{"fields":["2015","2016"]},"id":"c60656bd-1e45-43ec-9219-0f5338d7b845","type":"Stack"},{"attributes":{},"id":"ffe05ff4-5500-46a7-a4c6-5cc807dbc059","type":"CategoricalTickFormatter"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"7179ef87-f302-43b9-b633-32acb22b6a37","type":"GlyphRenderer"}]},"id":"df968d5a-6d12-4c87-9627-e7af9614cb6c","type":"LegendItem"},{"attributes":{"data_source":{"id":"14045cae-6879-4817-85c8-28ed345882b0","type":"ColumnDataSource"},"glyph":{"id":"e2b661ee-8bb5-481d-aaef-a73640308851","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f9b690e8-f975-4701-a5b2-54424c06a9c2","type":"HBar"},"selection_glyph":null,"view":{"id":"96328341-8e11-494f-a73e-5db0d2ac71eb","type":"CDSView"}},"id":"033d3639-d3d8-4a11-9007-7eb33baf98c5","type":"GlyphRenderer"}],"root_ids":["bc5b6420-e949-41f0-9ac5-4d9de0199cac"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c78e7069-8434-4bd0-a140-c0ccf2af3eae","elementid":"a05d6312-48ea-4463-ba47-3d083074be13","modelid":"bc5b6420-e949-41f0-9ac5-4d9de0199cac"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
