(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("837d540c-89d4-46a2-a0fb-78e88ac6c0a8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '837d540c-89d4-46a2-a0fb-78e88ac6c0a8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e0fef175-b9ad-4016-a7b5-cc11449db941":{"roots":{"references":[{"attributes":{},"id":"d43d98b0-3c29-483d-8e7f-bb1bc762582c","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"26614532-ef03-49ea-8e3b-69b3a54ead72","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a611b33-e1ac-454a-8d37-ec20a8fd1c17","type":"BasicTicker"}},"id":"b6d34e98-7fbd-412f-b1ea-e60f38692900","type":"Grid"},{"attributes":{"data_source":{"id":"c601e41f-9d67-44eb-93a1-cdf69a09fd43","type":"ColumnDataSource"},"glyph":{"id":"f90cad16-ecd5-4f75-b3f9-07b7f825c7ed","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9bf932f1-64c4-456c-bdc5-f3c41d3321ea","type":"Segment"},"selection_glyph":null,"view":{"id":"2d314e08-2276-4145-808a-41f8e2fcbe0f","type":"CDSView"}},"id":"fb3b486e-e64b-486c-a15d-33153aa77620","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"9bf932f1-64c4-456c-bdc5-f3c41d3321ea","type":"Segment"},{"attributes":{"formatter":{"id":"fddc3800-fd7b-4d8b-b9e0-4d9058da9c54","type":"BasicTickFormatter"},"plot":{"id":"26614532-ef03-49ea-8e3b-69b3a54ead72","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a611b33-e1ac-454a-8d37-ec20a8fd1c17","type":"BasicTicker"}},"id":"f875fca3-1df8-4805-8e9e-92cad0c822ec","type":"LinearAxis"},{"attributes":{"overlay":{"id":"78c391ae-d2a1-414d-9653-a5dd1a987105","type":"BoxAnnotation"}},"id":"4e31dc07-a48e-41dd-bf9e-0689327465cf","type":"BoxZoomTool"},{"attributes":{},"id":"ba957c28-caf4-4b9f-be78-52c4b73df1d3","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"78c391ae-d2a1-414d-9653-a5dd1a987105","type":"BoxAnnotation"},{"attributes":{},"id":"85a8b566-230a-4ee7-83ca-069645054c8a","type":"LinearScale"},{"attributes":{},"id":"ac0d4091-0386-4b85-bf5e-32c98ea36e73","type":"SaveTool"},{"attributes":{},"id":"b649510f-1247-4fa7-aaa6-a3cf512b0935","type":"ResetTool"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"f90cad16-ecd5-4f75-b3f9-07b7f825c7ed","type":"Segment"},{"attributes":{},"id":"d35b2089-bd9d-47ab-8d71-da3b6ca34e10","type":"PanTool"},{"attributes":{},"id":"52917450-62d6-4cee-8935-85c09a89058a","type":"BasicTicker"},{"attributes":{"plot":{"id":"26614532-ef03-49ea-8e3b-69b3a54ead72","subtype":"Figure","type":"Plot"},"ticker":{"id":"52917450-62d6-4cee-8935-85c09a89058a","type":"BasicTicker"}},"id":"972c782b-7475-4d50-aea8-9f7a1b58b22d","type":"Grid"},{"attributes":{"callback":null},"id":"707ca59b-9bc1-4cb5-8c49-9f993bfdaa7b","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d35b2089-bd9d-47ab-8d71-da3b6ca34e10","type":"PanTool"},{"id":"d43d98b0-3c29-483d-8e7f-bb1bc762582c","type":"WheelZoomTool"},{"id":"4e31dc07-a48e-41dd-bf9e-0689327465cf","type":"BoxZoomTool"},{"id":"ac0d4091-0386-4b85-bf5e-32c98ea36e73","type":"SaveTool"},{"id":"b649510f-1247-4fa7-aaa6-a3cf512b0935","type":"ResetTool"},{"id":"7be71e68-175e-489d-b922-7799869aaaa5","type":"HelpTool"}]},"id":"0a870ebb-66eb-4f89-97cf-9c2ed2856076","type":"Toolbar"},{"attributes":{},"id":"fddc3800-fd7b-4d8b-b9e0-4d9058da9c54","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1.2,2.4,3.1],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"c601e41f-9d67-44eb-93a1-cdf69a09fd43","type":"ColumnDataSource"},{"attributes":{},"id":"b2986e3a-9bdc-4ee7-925c-80e89fc8badd","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"b8f45e43-35d2-494b-bde6-ffe9d5925ef6","type":"Title"},{"attributes":{"source":{"id":"c601e41f-9d67-44eb-93a1-cdf69a09fd43","type":"ColumnDataSource"}},"id":"2d314e08-2276-4145-808a-41f8e2fcbe0f","type":"CDSView"},{"attributes":{},"id":"2a611b33-e1ac-454a-8d37-ec20a8fd1c17","type":"BasicTicker"},{"attributes":{"callback":null},"id":"4aa1f921-d692-448a-b002-6107d212290e","type":"DataRange1d"},{"attributes":{},"id":"7be71e68-175e-489d-b922-7799869aaaa5","type":"HelpTool"},{"attributes":{"below":[{"id":"ca2cf54c-3e73-4535-838a-89ed346b2f76","type":"LinearAxis"}],"left":[{"id":"f875fca3-1df8-4805-8e9e-92cad0c822ec","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ca2cf54c-3e73-4535-838a-89ed346b2f76","type":"LinearAxis"},{"id":"972c782b-7475-4d50-aea8-9f7a1b58b22d","type":"Grid"},{"id":"f875fca3-1df8-4805-8e9e-92cad0c822ec","type":"LinearAxis"},{"id":"b6d34e98-7fbd-412f-b1ea-e60f38692900","type":"Grid"},{"id":"78c391ae-d2a1-414d-9653-a5dd1a987105","type":"BoxAnnotation"},{"id":"fb3b486e-e64b-486c-a15d-33153aa77620","type":"GlyphRenderer"}],"title":{"id":"b8f45e43-35d2-494b-bde6-ffe9d5925ef6","type":"Title"},"toolbar":{"id":"0a870ebb-66eb-4f89-97cf-9c2ed2856076","type":"Toolbar"},"x_range":{"id":"707ca59b-9bc1-4cb5-8c49-9f993bfdaa7b","type":"DataRange1d"},"x_scale":{"id":"b2986e3a-9bdc-4ee7-925c-80e89fc8badd","type":"LinearScale"},"y_range":{"id":"4aa1f921-d692-448a-b002-6107d212290e","type":"DataRange1d"},"y_scale":{"id":"85a8b566-230a-4ee7-83ca-069645054c8a","type":"LinearScale"}},"id":"26614532-ef03-49ea-8e3b-69b3a54ead72","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"ba957c28-caf4-4b9f-be78-52c4b73df1d3","type":"BasicTickFormatter"},"plot":{"id":"26614532-ef03-49ea-8e3b-69b3a54ead72","subtype":"Figure","type":"Plot"},"ticker":{"id":"52917450-62d6-4cee-8935-85c09a89058a","type":"BasicTicker"}},"id":"ca2cf54c-3e73-4535-838a-89ed346b2f76","type":"LinearAxis"}],"root_ids":["26614532-ef03-49ea-8e3b-69b3a54ead72"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e0fef175-b9ad-4016-a7b5-cc11449db941","elementid":"837d540c-89d4-46a2-a0fb-78e88ac6c0a8","modelid":"26614532-ef03-49ea-8e3b-69b3a54ead72"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
