(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f6b21542-c472-47c4-a498-9a696167be81");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f6b21542-c472-47c4-a498-9a696167be81' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8a2bd13b-488c-4a68-9187-e2446ec00a0c":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"},"glyph":{"id":"b3ff44c7-c2d8-4d7c-914b-be5ad436ee8d","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8efa2c1e-7bcf-4108-8e6a-a43498a36fb2","type":"HBar"},"selection_glyph":null,"view":{"id":"c051939c-965a-400d-a0ef-0e00ae992ff8","type":"CDSView"}},"id":"f8035ccf-f1c1-4801-876d-37b8306bb9d3","type":"GlyphRenderer"},{"attributes":{},"id":"8cbf6f0a-a7f9-4e3f-a4e9-0034d31d711b","type":"CategoricalTickFormatter"},{"attributes":{"source":{"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"}},"id":"eefb4360-3704-4030-9bc6-7305670f2667","type":"CDSView"},{"attributes":{"fields":["2015","2016"]},"id":"89ec4cec-cea9-4e4e-aa46-a6c83fd26f30","type":"Stack"},{"attributes":{},"id":"385e4b38-7ce8-42be-a30a-8366f4317a24","type":"CategoricalTicker"},{"attributes":{},"id":"d7c9b5f0-1e01-4928-8feb-ccd26d7dd90d","type":"CategoricalScale"},{"attributes":{"source":{"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"}},"id":"8db487e6-af4d-4023-9991-2dd062ddfeb8","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"2b792447-8d35-4593-8299-f60208c3f4cc","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"ea8c5ed6-676e-4a33-b8f4-833a6aee23d3","type":"Stack"}},"y":{"field":"fruits"}},"id":"5e4e6bc1-6dc1-41ee-95e2-2d5f7e681788","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"22e31d4a-348b-4582-9560-25a2c6e76490","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"18cac714-7867-40f2-ba82-b63a3f625b3d","type":"Stack"}},"y":{"field":"fruits"}},"id":"728baf3e-a640-4aaa-b28e-4360ebab8d43","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"de1c6640-d7a1-479f-a0a7-a747bc05236e","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"af142961-4f0d-4b02-b188-453cee942494","type":"Stack"}},"y":{"field":"fruits"}},"id":"dd2edeca-af7e-41aa-be2e-fb7c74abf220","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"89ec4cec-cea9-4e4e-aa46-a6c83fd26f30","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"da34f906-83c6-4bd8-8cbb-18ea3b3775b0","type":"Stack"}},"y":{"field":"fruits"}},"id":"8efa2c1e-7bcf-4108-8e6a-a43498a36fb2","type":"HBar"},{"attributes":{"below":[{"id":"02bec0c4-6735-4c26-8b28-9f60b060f354","type":"LinearAxis"}],"left":[{"id":"28a7586a-f403-4f87-abaa-311bb9cd910c","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"02bec0c4-6735-4c26-8b28-9f60b060f354","type":"LinearAxis"},{"id":"6fc63b20-425c-4308-89ae-ed88a6afa3d9","type":"Grid"},{"id":"28a7586a-f403-4f87-abaa-311bb9cd910c","type":"CategoricalAxis"},{"id":"734f0f75-259a-4e1c-b79c-205fa24993ae","type":"Grid"},{"id":"3da7e4ac-1749-49f1-ba57-51d0b291f373","type":"BoxAnnotation"},{"id":"53e01723-d044-4393-87f0-44833453a0ce","type":"Legend"},{"id":"472a0080-6494-4886-9b61-5fcc44439e3c","type":"GlyphRenderer"},{"id":"4f63e00c-3168-4e89-971f-4bbd11bcc2bd","type":"GlyphRenderer"},{"id":"ae08fa13-bf0d-4594-817a-4582e2a634eb","type":"GlyphRenderer"},{"id":"3dfb2d10-e121-4892-972a-453d01579a2e","type":"GlyphRenderer"},{"id":"2ebb1f3a-8ef9-49f6-bdfe-01188753f79b","type":"GlyphRenderer"},{"id":"f8035ccf-f1c1-4801-876d-37b8306bb9d3","type":"GlyphRenderer"}],"title":{"id":"40a1e0a4-b696-4f56-8276-a7f9f563f323","type":"Title"},"toolbar":{"id":"83afae86-9d1e-49e3-9b4c-be277f43cfea","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"aa194666-7c48-4f50-8865-5a1a8a95fcc9","type":"Range1d"},"x_scale":{"id":"2a82c52f-6463-42d4-a6b1-d5905138ffb5","type":"LinearScale"},"y_range":{"id":"1e44e017-7e66-4852-818f-b8f3d87096c7","type":"FactorRange"},"y_scale":{"id":"d7c9b5f0-1e01-4928-8feb-ccd26d7dd90d","type":"CategoricalScale"}},"id":"6e080397-1077-44d0-95b4-ddf181ec34c9","subtype":"Figure","type":"Plot"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"f8035ccf-f1c1-4801-876d-37b8306bb9d3","type":"GlyphRenderer"}]},"id":"3c9bad30-bc79-44f4-a082-c8c8f31bb2b4","type":"LegendItem"},{"attributes":{"fields":["2015"]},"id":"0b5ef1e9-9d4e-46b3-a567-4479b716c8f8","type":"Stack"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"89ec4cec-cea9-4e4e-aa46-a6c83fd26f30","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"da34f906-83c6-4bd8-8cbb-18ea3b3775b0","type":"Stack"}},"y":{"field":"fruits"}},"id":"b3ff44c7-c2d8-4d7c-914b-be5ad436ee8d","type":"HBar"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"041c0e4f-c51d-483f-84f0-37d8cf45bb80","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"c919f06d-8c98-4d61-8ba7-f7a730df0a7e","type":"Stack"}},"y":{"field":"fruits"}},"id":"27534e55-475b-4c81-aeaf-0ba9cff8ab4a","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"de1c6640-d7a1-479f-a0a7-a747bc05236e","type":"Stack"},{"attributes":{"source":{"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"}},"id":"1a717df6-d0fe-4c0c-8930-929af8468ced","type":"CDSView"},{"attributes":{"fields":["2015","2016"]},"id":"041c0e4f-c51d-483f-84f0-37d8cf45bb80","type":"Stack"},{"attributes":{},"id":"d91d614a-a07d-4316-a13a-1c3aa5f98aca","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"6e080397-1077-44d0-95b4-ddf181ec34c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"385e4b38-7ce8-42be-a30a-8366f4317a24","type":"CategoricalTicker"}},"id":"734f0f75-259a-4e1c-b79c-205fa24993ae","type":"Grid"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"4f63e00c-3168-4e89-971f-4bbd11bcc2bd","type":"GlyphRenderer"}]},"id":"b92274dc-1e6e-40d6-8e7e-df053a6abec1","type":"LegendItem"},{"attributes":{},"id":"74da9829-b3c4-410e-ac16-782ef31efa00","type":"WheelZoomTool"},{"attributes":{"source":{"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"}},"id":"c051939c-965a-400d-a0ef-0e00ae992ff8","type":"CDSView"},{"attributes":{"source":{"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"}},"id":"45b31512-1cc6-43b4-aa1f-9a1ee0f086c5","type":"CDSView"},{"attributes":{"formatter":{"id":"8cbf6f0a-a7f9-4e3f-a4e9-0034d31d711b","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"6e080397-1077-44d0-95b4-ddf181ec34c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"385e4b38-7ce8-42be-a30a-8366f4317a24","type":"CategoricalTicker"}},"id":"28a7586a-f403-4f87-abaa-311bb9cd910c","type":"CategoricalAxis"},{"attributes":{"formatter":{"id":"d91d614a-a07d-4316-a13a-1c3aa5f98aca","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"6e080397-1077-44d0-95b4-ddf181ec34c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"5ca1ef67-6276-4c6d-b7a0-d1d1aef4f2fd","type":"BasicTicker"}},"id":"02bec0c4-6735-4c26-8b28-9f60b060f354","type":"LinearAxis"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"ae08fa13-bf0d-4594-817a-4582e2a634eb","type":"GlyphRenderer"}]},"id":"eae7e015-8846-46f8-85d0-a5490489d26c","type":"LegendItem"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"40a1e0a4-b696-4f56-8276-a7f9f563f323","type":"Title"},{"attributes":{"fields":["2015","2016"]},"id":"18cac714-7867-40f2-ba82-b63a3f625b3d","type":"Stack"},{"attributes":{"fields":["2015"]},"id":"ea8c5ed6-676e-4a33-b8f4-833a6aee23d3","type":"Stack"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"63a52036-7e6e-4902-8d47-999909b3c4d9","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"0b5ef1e9-9d4e-46b3-a567-4479b716c8f8","type":"Stack"}},"y":{"field":"fruits"}},"id":"f9da3e2a-e8a5-4e8b-a094-523e1fa57c09","type":"HBar"},{"attributes":{"fields":[]},"id":"63a52036-7e6e-4902-8d47-999909b3c4d9","type":"Stack"},{"attributes":{},"id":"2a82c52f-6463-42d4-a6b1-d5905138ffb5","type":"LinearScale"},{"attributes":{},"id":"7d7509f0-96bf-4a24-b586-cd57b95380c9","type":"SaveTool"},{"attributes":{"fields":[]},"id":"2b792447-8d35-4593-8299-f60208c3f4cc","type":"Stack"},{"attributes":{},"id":"2a0e0bfc-8a83-43cd-af0c-7d832bb237ee","type":"ResetTool"},{"attributes":{"data_source":{"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"},"glyph":{"id":"27534e55-475b-4c81-aeaf-0ba9cff8ab4a","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"40e1e51e-9548-4f72-b1bb-39de82d9dfe1","type":"HBar"},"selection_glyph":null,"view":{"id":"eefb4360-3704-4030-9bc6-7305670f2667","type":"CDSView"}},"id":"ae08fa13-bf0d-4594-817a-4582e2a634eb","type":"GlyphRenderer"},{"attributes":{},"id":"d15aa737-26e6-4b41-bf67-2eb5502ef0df","type":"PanTool"},{"attributes":{"items":[{"id":"16dc5611-6c14-4d84-851e-51fcd1fb6ea2","type":"LegendItem"},{"id":"b92274dc-1e6e-40d6-8e7e-df053a6abec1","type":"LegendItem"},{"id":"eae7e015-8846-46f8-85d0-a5490489d26c","type":"LegendItem"},{"id":"1a71f2ec-351b-4e05-bf2a-ee5613915b10","type":"LegendItem"},{"id":"a087193b-03de-4c9d-97eb-ada89c112ea8","type":"LegendItem"},{"id":"3c9bad30-bc79-44f4-a082-c8c8f31bb2b4","type":"LegendItem"}],"location":"top_left","plot":{"id":"6e080397-1077-44d0-95b4-ddf181ec34c9","subtype":"Figure","type":"Plot"}},"id":"53e01723-d044-4393-87f0-44833453a0ce","type":"Legend"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"de1c6640-d7a1-479f-a0a7-a747bc05236e","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"af142961-4f0d-4b02-b188-453cee942494","type":"Stack"}},"y":{"field":"fruits"}},"id":"9084abad-a15a-4b04-8492-06ec6d60e4a1","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"041c0e4f-c51d-483f-84f0-37d8cf45bb80","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"c919f06d-8c98-4d61-8ba7-f7a730df0a7e","type":"Stack"}},"y":{"field":"fruits"}},"id":"40e1e51e-9548-4f72-b1bb-39de82d9dfe1","type":"HBar"},{"attributes":{},"id":"98f9e153-395e-46bf-847b-8a403bd829ef","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"63a52036-7e6e-4902-8d47-999909b3c4d9","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"0b5ef1e9-9d4e-46b3-a567-4479b716c8f8","type":"Stack"}},"y":{"field":"fruits"}},"id":"136ea4f6-cb95-486f-a085-af8bb0e864eb","type":"HBar"},{"attributes":{"fields":["2015","2016"]},"id":"af142961-4f0d-4b02-b188-453cee942494","type":"Stack"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"1e44e017-7e66-4852-818f-b8f3d87096c7","type":"FactorRange"},{"attributes":{"overlay":{"id":"3da7e4ac-1749-49f1-ba57-51d0b291f373","type":"BoxAnnotation"}},"id":"438d3e2b-0a48-4ca2-8480-608080f7204c","type":"BoxZoomTool"},{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"3dfb2d10-e121-4892-972a-453d01579a2e","type":"GlyphRenderer"}]},"id":"1a71f2ec-351b-4e05-bf2a-ee5613915b10","type":"LegendItem"},{"attributes":{"source":{"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"}},"id":"fdd83342-91d6-4908-9f84-8719bb8921c2","type":"CDSView"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"aa194666-7c48-4f50-8865-5a1a8a95fcc9","type":"Range1d"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"},{"attributes":{"fields":["2015"]},"id":"22e31d4a-348b-4582-9560-25a2c6e76490","type":"Stack"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"472a0080-6494-4886-9b61-5fcc44439e3c","type":"GlyphRenderer"}]},"id":"16dc5611-6c14-4d84-851e-51fcd1fb6ea2","type":"LegendItem"},{"attributes":{"data_source":{"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"},"glyph":{"id":"e127c1d4-9a5a-4746-b98f-b74f96d4b0d9","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"728baf3e-a640-4aaa-b28e-4360ebab8d43","type":"HBar"},"selection_glyph":null,"view":{"id":"fdd83342-91d6-4908-9f84-8719bb8921c2","type":"CDSView"}},"id":"2ebb1f3a-8ef9-49f6-bdfe-01188753f79b","type":"GlyphRenderer"},{"attributes":{"fields":["2015","2016","2017"]},"id":"da34f906-83c6-4bd8-8cbb-18ea3b3775b0","type":"Stack"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"22e31d4a-348b-4582-9560-25a2c6e76490","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"18cac714-7867-40f2-ba82-b63a3f625b3d","type":"Stack"}},"y":{"field":"fruits"}},"id":"e127c1d4-9a5a-4746-b98f-b74f96d4b0d9","type":"HBar"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"2b792447-8d35-4593-8299-f60208c3f4cc","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"ea8c5ed6-676e-4a33-b8f4-833a6aee23d3","type":"Stack"}},"y":{"field":"fruits"}},"id":"ec2f250b-cb18-41aa-85a2-01e7744e30a1","type":"HBar"},{"attributes":{},"id":"5ca1ef67-6276-4c6d-b7a0-d1d1aef4f2fd","type":"BasicTicker"},{"attributes":{"data_source":{"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"},"glyph":{"id":"9084abad-a15a-4b04-8492-06ec6d60e4a1","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dd2edeca-af7e-41aa-be2e-fb7c74abf220","type":"HBar"},"selection_glyph":null,"view":{"id":"8db487e6-af4d-4023-9991-2dd062ddfeb8","type":"CDSView"}},"id":"4f63e00c-3168-4e89-971f-4bbd11bcc2bd","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"6e080397-1077-44d0-95b4-ddf181ec34c9","subtype":"Figure","type":"Plot"},"ticker":{"id":"5ca1ef67-6276-4c6d-b7a0-d1d1aef4f2fd","type":"BasicTicker"}},"id":"6fc63b20-425c-4308-89ae-ed88a6afa3d9","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3da7e4ac-1749-49f1-ba57-51d0b291f373","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"56e98614-6eab-476a-b5ac-58c2a6a8cc23","type":"ColumnDataSource"},"glyph":{"id":"ec2f250b-cb18-41aa-85a2-01e7744e30a1","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5e4e6bc1-6dc1-41ee-95e2-2d5f7e681788","type":"HBar"},"selection_glyph":null,"view":{"id":"1a717df6-d0fe-4c0c-8930-929af8468ced","type":"CDSView"}},"id":"472a0080-6494-4886-9b61-5fcc44439e3c","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d15aa737-26e6-4b41-bf67-2eb5502ef0df","type":"PanTool"},{"id":"74da9829-b3c4-410e-ac16-782ef31efa00","type":"WheelZoomTool"},{"id":"438d3e2b-0a48-4ca2-8480-608080f7204c","type":"BoxZoomTool"},{"id":"7d7509f0-96bf-4a24-b586-cd57b95380c9","type":"SaveTool"},{"id":"2a0e0bfc-8a83-43cd-af0c-7d832bb237ee","type":"ResetTool"},{"id":"98f9e153-395e-46bf-847b-8a403bd829ef","type":"HelpTool"}]},"id":"83afae86-9d1e-49e3-9b4c-be277f43cfea","type":"Toolbar"},{"attributes":{"fields":["2015","2016","2017"]},"id":"c919f06d-8c98-4d61-8ba7-f7a730df0a7e","type":"Stack"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"2ebb1f3a-8ef9-49f6-bdfe-01188753f79b","type":"GlyphRenderer"}]},"id":"a087193b-03de-4c9d-97eb-ada89c112ea8","type":"LegendItem"},{"attributes":{"data_source":{"id":"18d56a15-c091-4e00-a4fc-42eb7c192e82","type":"ColumnDataSource"},"glyph":{"id":"f9da3e2a-e8a5-4e8b-a094-523e1fa57c09","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"136ea4f6-cb95-486f-a085-af8bb0e864eb","type":"HBar"},"selection_glyph":null,"view":{"id":"45b31512-1cc6-43b4-aa1f-9a1ee0f086c5","type":"CDSView"}},"id":"3dfb2d10-e121-4892-972a-453d01579a2e","type":"GlyphRenderer"}],"root_ids":["6e080397-1077-44d0-95b4-ddf181ec34c9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8a2bd13b-488c-4a68-9187-e2446ec00a0c","elementid":"f6b21542-c472-47c4-a498-9a696167be81","modelid":"6e080397-1077-44d0-95b4-ddf181ec34c9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
