(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e1f1f5a5-88ad-4069-9ad3-e30c9d9e1f03");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e1f1f5a5-88ad-4069-9ad3-e30c9d9e1f03' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"238d8736-1e8e-4ec8-9e3a-0fcba54dadf0":{"roots":{"references":[{"attributes":{"overlay":{"id":"09f60e95-f287-4ee2-95f5-5947c1565d6a","type":"BoxAnnotation"}},"id":"47bc4177-07a1-481a-81f8-ef9a7cea1e3e","type":"BoxZoomTool"},{"attributes":{},"id":"194ed045-ca4b-4476-916d-fd121f4c4abb","type":"BasicTickFormatter"},{"attributes":{},"id":"e924a88c-cab8-43a0-98c4-94d5ade9d6c2","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"5fbd1170-ca3c-4147-bbbe-fc4418312f02","type":"Title"},{"attributes":{},"id":"b257cb51-0b18-4c26-ba98-03f2239162d1","type":"ResetTool"},{"attributes":{},"id":"b37fd87e-fc91-43f0-97fd-3521d401bc1c","type":"SaveTool"},{"attributes":{},"id":"1a7e7a0c-350b-4d0f-a919-6cd3d5ede4a3","type":"LinearScale"},{"attributes":{},"id":"00ab3690-623f-479d-af65-05d986a9097b","type":"HelpTool"},{"attributes":{"plot":{"id":"fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b6e999d-ad48-4177-b969-e20110b394ff","type":"BasicTicker"}},"id":"efa72d6f-52b2-440a-b64e-8b53f84a8e30","type":"Grid"},{"attributes":{},"id":"9b6e999d-ad48-4177-b969-e20110b394ff","type":"BasicTicker"},{"attributes":{"below":[{"id":"8fc72d7b-c241-4ac0-9184-0c8a18989c27","type":"LinearAxis"}],"left":[{"id":"d0cc87bf-65a0-41c1-b219-61904272a922","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8fc72d7b-c241-4ac0-9184-0c8a18989c27","type":"LinearAxis"},{"id":"efa72d6f-52b2-440a-b64e-8b53f84a8e30","type":"Grid"},{"id":"d0cc87bf-65a0-41c1-b219-61904272a922","type":"LinearAxis"},{"id":"2effe16d-fa6a-4aab-98b6-8df25d6eb976","type":"Grid"},{"id":"09f60e95-f287-4ee2-95f5-5947c1565d6a","type":"BoxAnnotation"},{"id":"9f8b29b8-b232-44b9-bf7b-587832670c82","type":"GlyphRenderer"}],"title":{"id":"5fbd1170-ca3c-4147-bbbe-fc4418312f02","type":"Title"},"toolbar":{"id":"3ae15ab7-403f-47d2-82e9-5232773db601","type":"Toolbar"},"x_range":{"id":"9a804118-d369-403f-a37a-1b3473dc0bd6","type":"DataRange1d"},"x_scale":{"id":"e924a88c-cab8-43a0-98c4-94d5ade9d6c2","type":"LinearScale"},"y_range":{"id":"82465cd0-5499-42af-b62d-9936163f2275","type":"DataRange1d"},"y_scale":{"id":"1a7e7a0c-350b-4d0f-a919-6cd3d5ede4a3","type":"LinearScale"}},"id":"fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"aea84deb-8408-483c-b403-fa5d609d8e1a","type":"WheelZoomTool"},{"attributes":{"axis_label":"Pressure","formatter":{"id":"194ed045-ca4b-4476-916d-fd121f4c4abb","type":"BasicTickFormatter"},"major_label_orientation":"vertical","major_label_text_color":{"value":"orange"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a50fc60-b442-4a25-9a37-d9f0c17698bb","type":"BasicTicker"}},"id":"d0cc87bf-65a0-41c1-b219-61904272a922","type":"LinearAxis"},{"attributes":{"callback":null},"id":"9a804118-d369-403f-a37a-1b3473dc0bd6","type":"DataRange1d"},{"attributes":{},"id":"e154fcf7-c4ae-4afc-ac55-1997572a70f6","type":"BasicTickFormatter"},{"attributes":{"axis_label":"Temp","axis_line_color":{"value":"red"},"axis_line_width":{"value":3},"formatter":{"id":"e154fcf7-c4ae-4afc-ac55-1997572a70f6","type":"BasicTickFormatter"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b6e999d-ad48-4177-b969-e20110b394ff","type":"BasicTicker"}},"id":"8fc72d7b-c241-4ac0-9184-0c8a18989c27","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"09f60e95-f287-4ee2-95f5-5947c1565d6a","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a50fc60-b442-4a25-9a37-d9f0c17698bb","type":"BasicTicker"}},"id":"2effe16d-fa6a-4aab-98b6-8df25d6eb976","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"a3bf0b8b-a63f-4e09-9b21-8560fcfb9df4","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f18fd2ad-f398-4591-a829-63a87de7855d","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dcf62610-8037-4f9d-b25f-b363edd333cc","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c20400b1-c50e-4ce0-89ea-13e892f3b525","type":"PanTool"},{"id":"aea84deb-8408-483c-b403-fa5d609d8e1a","type":"WheelZoomTool"},{"id":"47bc4177-07a1-481a-81f8-ef9a7cea1e3e","type":"BoxZoomTool"},{"id":"b37fd87e-fc91-43f0-97fd-3521d401bc1c","type":"SaveTool"},{"id":"b257cb51-0b18-4c26-ba98-03f2239162d1","type":"ResetTool"},{"id":"00ab3690-623f-479d-af65-05d986a9097b","type":"HelpTool"}]},"id":"3ae15ab7-403f-47d2-82e9-5232773db601","type":"Toolbar"},{"attributes":{"source":{"id":"a3bf0b8b-a63f-4e09-9b21-8560fcfb9df4","type":"ColumnDataSource"}},"id":"c46da1dc-3f6b-43eb-a0ba-5f7ef40a02af","type":"CDSView"},{"attributes":{"callback":null},"id":"82465cd0-5499-42af-b62d-9936163f2275","type":"DataRange1d"},{"attributes":{},"id":"c20400b1-c50e-4ce0-89ea-13e892f3b525","type":"PanTool"},{"attributes":{"data_source":{"id":"a3bf0b8b-a63f-4e09-9b21-8560fcfb9df4","type":"ColumnDataSource"},"glyph":{"id":"dcf62610-8037-4f9d-b25f-b363edd333cc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f18fd2ad-f398-4591-a829-63a87de7855d","type":"Circle"},"selection_glyph":null,"view":{"id":"c46da1dc-3f6b-43eb-a0ba-5f7ef40a02af","type":"CDSView"}},"id":"9f8b29b8-b232-44b9-bf7b-587832670c82","type":"GlyphRenderer"},{"attributes":{},"id":"9a50fc60-b442-4a25-9a37-d9f0c17698bb","type":"BasicTicker"}],"root_ids":["fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"238d8736-1e8e-4ec8-9e3a-0fcba54dadf0","elementid":"e1f1f5a5-88ad-4069-9ad3-e30c9d9e1f03","modelid":"fe1b8c79-8d5a-41ed-920f-a8ad6865b3f6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
