(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("973a0439-a29e-4a04-ad80-60c63fade365");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '973a0439-a29e-4a04-ad80-60c63fade365' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"49818e85-aa71-4980-b245-59085b1b66a3":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b5eeb637-2545-4bed-b648-aadb4da45279","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"97a29576-0ca4-4afd-bbe6-efdd3f328041","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"405d776f-d549-4da6-8cd3-40a4da3f48dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c32f820-4189-4f2e-9617-6b9d1c863f90","type":"BasicTicker"}},"id":"64f242bd-ba8c-4aca-bef1-7d7a330de81b","type":"Grid"},{"attributes":{"below":[{"id":"7724ed63-c735-4d78-9b06-ff6477a1af3b","type":"CategoricalAxis"}],"left":[{"id":"c8135842-e420-4e96-962b-09b76afeb8b8","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"7724ed63-c735-4d78-9b06-ff6477a1af3b","type":"CategoricalAxis"},{"id":"1006d78d-1e22-435a-8f7a-5ea3344e8b5e","type":"Grid"},{"id":"c8135842-e420-4e96-962b-09b76afeb8b8","type":"LinearAxis"},{"id":"64f242bd-ba8c-4aca-bef1-7d7a330de81b","type":"Grid"},{"id":"3dc8b40b-f51f-45b4-87f6-40a490f200ae","type":"GlyphRenderer"}],"title":{"id":"07e34ea6-ba84-4940-9b75-2d578cf20019","type":"Title"},"toolbar":{"id":"b5eeb637-2545-4bed-b648-aadb4da45279","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2179a0f7-e0d0-4b65-8db2-a12f62266adf","type":"FactorRange"},"x_scale":{"id":"6050728a-2a3d-478a-8e06-73612ef34fa9","type":"CategoricalScale"},"y_range":{"id":"19eae35a-a02e-4065-a13e-86e5c41cca08","type":"DataRange1d"},"y_scale":{"id":"17280f24-5a7d-473d-8868-378dcc280009","type":"LinearScale"}},"id":"405d776f-d549-4da6-8cd3-40a4da3f48dc","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5c32f820-4189-4f2e-9617-6b9d1c863f90","type":"BasicTicker"},{"attributes":{"formatter":{"id":"23a00cf0-3c1f-42c1-8738-5430dad90515","type":"CategoricalTickFormatter"},"plot":{"id":"405d776f-d549-4da6-8cd3-40a4da3f48dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f978aae-b293-4b4d-8f50-30fff2f91594","type":"CategoricalTicker"}},"id":"7724ed63-c735-4d78-9b06-ff6477a1af3b","type":"CategoricalAxis"},{"attributes":{"source":{"id":"bb9c57ba-a17f-4282-b75b-60fec704c6d5","type":"ColumnDataSource"}},"id":"aee38d19-f622-4213-9e2a-217bef4f1cfa","type":"CDSView"},{"attributes":{"data_source":{"id":"bb9c57ba-a17f-4282-b75b-60fec704c6d5","type":"ColumnDataSource"},"glyph":{"id":"97a29576-0ca4-4afd-bbe6-efdd3f328041","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"318699f8-d511-4f07-90be-d1fa9696a793","type":"VBar"},"selection_glyph":null,"view":{"id":"aee38d19-f622-4213-9e2a-217bef4f1cfa","type":"CDSView"}},"id":"3dc8b40b-f51f-45b4-87f6-40a490f200ae","type":"GlyphRenderer"},{"attributes":{},"id":"6050728a-2a3d-478a-8e06-73612ef34fa9","type":"CategoricalScale"},{"attributes":{},"id":"17280f24-5a7d-473d-8868-378dcc280009","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":[["Apples",-0.5],["Pears",-0.2],["Nectarines",0.0],["Plums",0.3],["Grapes",0.1],["Strawberries",0.3]]}},"id":"bb9c57ba-a17f-4282-b75b-60fec704c6d5","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"07e34ea6-ba84-4940-9b75-2d578cf20019","type":"Title"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"2179a0f7-e0d0-4b65-8db2-a12f62266adf","type":"FactorRange"},{"attributes":{},"id":"3f978aae-b293-4b4d-8f50-30fff2f91594","type":"CategoricalTicker"},{"attributes":{},"id":"69223158-5a4a-40cf-8a21-e3dfbcc2584d","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"318699f8-d511-4f07-90be-d1fa9696a793","type":"VBar"},{"attributes":{},"id":"23a00cf0-3c1f-42c1-8738-5430dad90515","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"69223158-5a4a-40cf-8a21-e3dfbcc2584d","type":"BasicTickFormatter"},"plot":{"id":"405d776f-d549-4da6-8cd3-40a4da3f48dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c32f820-4189-4f2e-9617-6b9d1c863f90","type":"BasicTicker"}},"id":"c8135842-e420-4e96-962b-09b76afeb8b8","type":"LinearAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"405d776f-d549-4da6-8cd3-40a4da3f48dc","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f978aae-b293-4b4d-8f50-30fff2f91594","type":"CategoricalTicker"}},"id":"1006d78d-1e22-435a-8f7a-5ea3344e8b5e","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"19eae35a-a02e-4065-a13e-86e5c41cca08","type":"DataRange1d"}],"root_ids":["405d776f-d549-4da6-8cd3-40a4da3f48dc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"49818e85-aa71-4980-b245-59085b1b66a3","elementid":"973a0439-a29e-4a04-ad80-60c63fade365","modelid":"405d776f-d549-4da6-8cd3-40a4da3f48dc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
