(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("02d3f720-5a65-4670-8d99-fba5fb0afc7e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '02d3f720-5a65-4670-8d99-fba5fb0afc7e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"63786b77-5c69-4384-bf97-ec13641b3091":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"8e1847ee-6175-4bf3-a79f-080aa50382ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"112c8de1-0b01-43d7-8490-4aabc6cda706","type":"BasicTicker"}},"id":"ab330d07-13f7-4398-97dd-c86a1044652a","type":"Grid"},{"attributes":{},"id":"f89f41a8-8929-4760-be27-9996aac63512","type":"BasicTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"8e1847ee-6175-4bf3-a79f-080aa50382ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b86f53f-fc9a-4f19-87d0-043b58dbe858","type":"CategoricalTicker"}},"id":"a87b216a-001c-47a0-a73a-a472d1e54fe2","type":"Grid"},{"attributes":{"formatter":{"id":"f89f41a8-8929-4760-be27-9996aac63512","type":"BasicTickFormatter"},"plot":{"id":"8e1847ee-6175-4bf3-a79f-080aa50382ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"112c8de1-0b01-43d7-8490-4aabc6cda706","type":"BasicTicker"}},"id":"03fec993-b6e6-4255-8cf3-9226bbc40697","type":"LinearAxis"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"9216ac2f-f563-4e1d-8e9a-725de94f538c","type":"GlyphRenderer"}]},"id":"bb72cc3b-99f8-476b-b01b-c26d9bd0ac89","type":"LegendItem"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"d527083e-ae55-4bb4-9001-c0074dcb4dce","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"c66956fd-c821-4fb6-ad7e-32e4191c5d90","type":"VBar"},{"attributes":{},"id":"9beccc63-8198-4d0d-ba8f-8dbcb0abe30e","type":"CategoricalScale"},{"attributes":{},"id":"3b86f53f-fc9a-4f19-87d0-043b58dbe858","type":"CategoricalTicker"},{"attributes":{},"id":"112c8de1-0b01-43d7-8490-4aabc6cda706","type":"BasicTicker"},{"attributes":{"formatter":{"id":"f517248f-f8b8-441d-a05f-733debe393e4","type":"CategoricalTickFormatter"},"plot":{"id":"8e1847ee-6175-4bf3-a79f-080aa50382ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"3b86f53f-fc9a-4f19-87d0-043b58dbe858","type":"CategoricalTicker"}},"id":"49bd37a5-4cca-4610-b95c-e5f6f9c8b983","type":"CategoricalAxis"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"afed41d3-40ad-4388-8e72-3f5a4473370b","type":"FactorRange"},{"attributes":{"items":[{"id":"bb72cc3b-99f8-476b-b01b-c26d9bd0ac89","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"8e1847ee-6175-4bf3-a79f-080aa50382ea","subtype":"Figure","type":"Plot"}},"id":"30224777-19b1-4ff7-bc5d-cd49446bd49a","type":"Legend"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"65620b36-7055-4872-976e-b2d8919454fa","type":"VBar"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"271ca44a-5f8f-4186-b32c-03cc624c562a","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"49bd37a5-4cca-4610-b95c-e5f6f9c8b983","type":"CategoricalAxis"}],"left":[{"id":"03fec993-b6e6-4255-8cf3-9226bbc40697","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"49bd37a5-4cca-4610-b95c-e5f6f9c8b983","type":"CategoricalAxis"},{"id":"a87b216a-001c-47a0-a73a-a472d1e54fe2","type":"Grid"},{"id":"03fec993-b6e6-4255-8cf3-9226bbc40697","type":"LinearAxis"},{"id":"ab330d07-13f7-4398-97dd-c86a1044652a","type":"Grid"},{"id":"30224777-19b1-4ff7-bc5d-cd49446bd49a","type":"Legend"},{"id":"9216ac2f-f563-4e1d-8e9a-725de94f538c","type":"GlyphRenderer"}],"title":{"id":"d527083e-ae55-4bb4-9001-c0074dcb4dce","type":"Title"},"toolbar":{"id":"e29f8ced-d2e5-49d5-932d-e70cccdb6aca","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"afed41d3-40ad-4388-8e72-3f5a4473370b","type":"FactorRange"},"x_scale":{"id":"9beccc63-8198-4d0d-ba8f-8dbcb0abe30e","type":"CategoricalScale"},"y_range":{"id":"26ab3c0f-e0be-4fe9-be4f-335584e1b4b7","type":"Range1d"},"y_scale":{"id":"1cf2e247-82ec-4bad-9a42-5584a206fd26","type":"LinearScale"}},"id":"8e1847ee-6175-4bf3-a79f-080aa50382ea","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"end":9},"id":"26ab3c0f-e0be-4fe9-be4f-335584e1b4b7","type":"Range1d"},{"attributes":{"source":{"id":"271ca44a-5f8f-4186-b32c-03cc624c562a","type":"ColumnDataSource"}},"id":"14a480b0-02ad-4c5a-8ba6-a9d761800ee4","type":"CDSView"},{"attributes":{},"id":"1cf2e247-82ec-4bad-9a42-5584a206fd26","type":"LinearScale"},{"attributes":{},"id":"f517248f-f8b8-441d-a05f-733debe393e4","type":"CategoricalTickFormatter"},{"attributes":{"data_source":{"id":"271ca44a-5f8f-4186-b32c-03cc624c562a","type":"ColumnDataSource"},"glyph":{"id":"65620b36-7055-4872-976e-b2d8919454fa","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c66956fd-c821-4fb6-ad7e-32e4191c5d90","type":"VBar"},"selection_glyph":null,"view":{"id":"14a480b0-02ad-4c5a-8ba6-a9d761800ee4","type":"CDSView"}},"id":"9216ac2f-f563-4e1d-8e9a-725de94f538c","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e29f8ced-d2e5-49d5-932d-e70cccdb6aca","type":"Toolbar"}],"root_ids":["8e1847ee-6175-4bf3-a79f-080aa50382ea"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"63786b77-5c69-4384-bf97-ec13641b3091","elementid":"02d3f720-5a65-4670-8d99-fba5fb0afc7e","modelid":"8e1847ee-6175-4bf3-a79f-080aa50382ea"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
