(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a90170cd-bf65-4b97-8d4f-9372f2ee7356");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a90170cd-bf65-4b97-8d4f-9372f2ee7356' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"aeb92f4d-4eb1-4a81-aa1c-cab7039b3368":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7dc08833-ae03-453a-99ba-fbd12e83e9bb","type":"BoxAnnotation"},{"attributes":{},"id":"cdda6379-9be1-4c68-9bbb-a87d8666b902","type":"HelpTool"},{"attributes":{},"id":"1517c126-d9ec-4f96-bf98-d49b88908a49","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"1517c126-d9ec-4f96-bf98-d49b88908a49","type":"BasicTickFormatter"},"plot":{"id":"f995a67c-54bf-4272-aa48-ec6ec9dfa995","subtype":"Figure","type":"Plot"},"ticker":{"id":"6567593e-fc51-44e0-8657-22dba1a11e63","type":"BasicTicker"}},"id":"73b9da89-81a8-4009-8831-9363415f097b","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7f22d480-097c-49ce-9d08-e77716a122f2","type":"Circle"},{"attributes":{},"id":"41f252e2-cbcf-472c-b2be-69959e73f59b","type":"BasicTicker"},{"attributes":{"source":{"id":"b0b1f83b-993e-4c5f-b7dc-5b15deae6445","type":"ColumnDataSource"}},"id":"151a5380-4e09-4303-9cab-9b68684f8f46","type":"CDSView"},{"attributes":{},"id":"902dcba9-17b1-4918-aafc-df1e5f30025f","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"fc0733d9-3cbb-42fd-8e10-9c212900cd43","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"f995a67c-54bf-4272-aa48-ec6ec9dfa995","subtype":"Figure","type":"Plot"},"ticker":{"id":"41f252e2-cbcf-472c-b2be-69959e73f59b","type":"BasicTicker"}},"id":"de2b9dbd-73eb-4430-9a64-562c4f1d7efc","type":"Grid"},{"attributes":{"overlay":{"id":"7dc08833-ae03-453a-99ba-fbd12e83e9bb","type":"BoxAnnotation"}},"id":"b68da58b-b50b-4457-b130-f247fcb3aec0","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"b0b1f83b-993e-4c5f-b7dc-5b15deae6445","type":"ColumnDataSource"},"glyph":{"id":"9964b26f-98ff-49b1-8552-bfb69de36684","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7f22d480-097c-49ce-9d08-e77716a122f2","type":"Circle"},"selection_glyph":null,"view":{"id":"151a5380-4e09-4303-9cab-9b68684f8f46","type":"CDSView"}},"id":"49ae9084-ea6b-4915-8a3a-af93875ad53f","type":"GlyphRenderer"},{"attributes":{},"id":"7878db4a-8cf3-420b-86d1-33593f6e100a","type":"WheelZoomTool"},{"attributes":{},"id":"6567593e-fc51-44e0-8657-22dba1a11e63","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9964b26f-98ff-49b1-8552-bfb69de36684","type":"Circle"},{"attributes":{},"id":"c030f7f1-116e-44fa-9024-da3e7ff560a4","type":"LinearScale"},{"attributes":{},"id":"2183674c-f7ca-4fa6-9a8c-2e045d49646c","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"ef476bb1-a370-4e3d-b7e6-d7aaf546b23a","type":"Title"},{"attributes":{"plot":{"id":"f995a67c-54bf-4272-aa48-ec6ec9dfa995","subtype":"Figure","type":"Plot"},"ticker":{"id":"6567593e-fc51-44e0-8657-22dba1a11e63","type":"BasicTicker"}},"id":"66068686-cd41-4edb-9ac4-3bfb37bc9ed0","type":"Grid"},{"attributes":{},"id":"511f3daf-abde-4da1-a3ee-499678fa062f","type":"LinearScale"},{"attributes":{"formatter":{"id":"902dcba9-17b1-4918-aafc-df1e5f30025f","type":"BasicTickFormatter"},"plot":{"id":"f995a67c-54bf-4272-aa48-ec6ec9dfa995","subtype":"Figure","type":"Plot"},"ticker":{"id":"41f252e2-cbcf-472c-b2be-69959e73f59b","type":"BasicTicker"}},"id":"ad1890b0-e17f-4b66-a711-25e7fe4aa074","type":"LinearAxis"},{"attributes":{"callback":null},"id":"b0849561-4145-4025-8091-6a4e09497039","type":"DataRange1d"},{"attributes":{},"id":"48c9d7d2-e4ec-4ce3-9208-46752e5be744","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b0b1f83b-993e-4c5f-b7dc-5b15deae6445","type":"ColumnDataSource"},{"attributes":{"background_fill_alpha":{"value":0.5},"background_fill_color":{"value":"beige"},"below":[{"id":"73b9da89-81a8-4009-8831-9363415f097b","type":"LinearAxis"}],"left":[{"id":"ad1890b0-e17f-4b66-a711-25e7fe4aa074","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"73b9da89-81a8-4009-8831-9363415f097b","type":"LinearAxis"},{"id":"66068686-cd41-4edb-9ac4-3bfb37bc9ed0","type":"Grid"},{"id":"ad1890b0-e17f-4b66-a711-25e7fe4aa074","type":"LinearAxis"},{"id":"de2b9dbd-73eb-4430-9a64-562c4f1d7efc","type":"Grid"},{"id":"7dc08833-ae03-453a-99ba-fbd12e83e9bb","type":"BoxAnnotation"},{"id":"49ae9084-ea6b-4915-8a3a-af93875ad53f","type":"GlyphRenderer"}],"title":{"id":"ef476bb1-a370-4e3d-b7e6-d7aaf546b23a","type":"Title"},"toolbar":{"id":"5e73fd78-0087-4fb5-8239-e379c8148388","type":"Toolbar"},"x_range":{"id":"b0849561-4145-4025-8091-6a4e09497039","type":"DataRange1d"},"x_scale":{"id":"c030f7f1-116e-44fa-9024-da3e7ff560a4","type":"LinearScale"},"y_range":{"id":"fc0733d9-3cbb-42fd-8e10-9c212900cd43","type":"DataRange1d"},"y_scale":{"id":"511f3daf-abde-4da1-a3ee-499678fa062f","type":"LinearScale"}},"id":"f995a67c-54bf-4272-aa48-ec6ec9dfa995","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fd1fe7f1-69f0-4fef-b56c-2256f2eb864e","type":"PanTool"},{"id":"7878db4a-8cf3-420b-86d1-33593f6e100a","type":"WheelZoomTool"},{"id":"b68da58b-b50b-4457-b130-f247fcb3aec0","type":"BoxZoomTool"},{"id":"2183674c-f7ca-4fa6-9a8c-2e045d49646c","type":"SaveTool"},{"id":"48c9d7d2-e4ec-4ce3-9208-46752e5be744","type":"ResetTool"},{"id":"cdda6379-9be1-4c68-9bbb-a87d8666b902","type":"HelpTool"}]},"id":"5e73fd78-0087-4fb5-8239-e379c8148388","type":"Toolbar"},{"attributes":{},"id":"fd1fe7f1-69f0-4fef-b56c-2256f2eb864e","type":"PanTool"}],"root_ids":["f995a67c-54bf-4272-aa48-ec6ec9dfa995"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"aeb92f4d-4eb1-4a81-aa1c-cab7039b3368","elementid":"a90170cd-bf65-4b97-8d4f-9372f2ee7356","modelid":"f995a67c-54bf-4272-aa48-ec6ec9dfa995"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
