(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("556b6e35-fb18-4d07-b640-5db4cd2fa6e6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '556b6e35-fb18-4d07-b640-5db4cd2fa6e6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c08e4747-6b7f-403e-8e4d-c38d8e784366":{"roots":{"references":[{"attributes":{},"id":"341f2a40-907a-4e0b-8aad-cc1f705e19a6","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e230fde2-e22e-4be5-9c11-6d445a102586","type":"Circle"},{"attributes":{"callback":null},"id":"da75dd2d-879e-482a-8250-cd613e07bf63","type":"DataRange1d"},{"attributes":{},"id":"6f81ccc9-383b-4c63-997b-c84a856af29f","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"3cab3f14-0f06-4ded-95b8-6bd6d68b8eed","type":"ColumnDataSource"},{"attributes":{},"id":"7d792ef1-e75c-4da0-a803-ec8648f083b4","type":"HelpTool"},{"attributes":{"callback":null},"id":"891731ba-572a-4823-8dd2-d38079284538","type":"DataRange1d"},{"attributes":{},"id":"9d4fa7fa-59b7-47cb-a8cb-1490dc62cb2e","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"aed1107f-ea0f-4e85-bb04-62689c3fe1d3","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"88ae00ea-ce12-4f5f-9acd-229f260decc3","type":"Circle"},{"attributes":{"overlay":{"id":"bf47ee1f-354b-46e5-bd32-5de9302d31d5","type":"BoxAnnotation"}},"id":"9ac3642a-d34a-4876-a072-66c399666ccd","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"6f81ccc9-383b-4c63-997b-c84a856af29f","type":"BasicTickFormatter"},"major_tick_line_color":{"value":"firebrick"},"major_tick_line_width":{"value":3},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":"orange"},"minor_tick_out":8,"plot":{"id":"6870d8bd-be85-4e2f-8ac4-82dd519870cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"a42471b7-a3f0-472e-84ac-93db0f38ef9a","type":"BasicTicker"}},"id":"7c94facd-2740-49b4-88f3-370316fc3763","type":"LinearAxis"},{"attributes":{},"id":"a42471b7-a3f0-472e-84ac-93db0f38ef9a","type":"BasicTicker"},{"attributes":{"data_source":{"id":"3cab3f14-0f06-4ded-95b8-6bd6d68b8eed","type":"ColumnDataSource"},"glyph":{"id":"88ae00ea-ce12-4f5f-9acd-229f260decc3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e230fde2-e22e-4be5-9c11-6d445a102586","type":"Circle"},"selection_glyph":null,"view":{"id":"23ab9fd0-7ad0-46c6-a575-5959ba67a187","type":"CDSView"}},"id":"dac99326-ef68-46c3-b9d4-30d4ba438bae","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"db8e5c52-cf8e-41c1-a69b-af1786b5a783","type":"PanTool"},{"id":"173efd33-0fec-49b4-aab9-9c735a6944db","type":"WheelZoomTool"},{"id":"9ac3642a-d34a-4876-a072-66c399666ccd","type":"BoxZoomTool"},{"id":"70485e84-6b43-4dd7-b79a-f908108f284b","type":"SaveTool"},{"id":"2ce5eadb-3946-4a93-8bd6-5d94fac13baa","type":"ResetTool"},{"id":"7d792ef1-e75c-4da0-a803-ec8648f083b4","type":"HelpTool"}]},"id":"67764589-5610-4ac8-af0a-453b6a199f90","type":"Toolbar"},{"attributes":{},"id":"6b3bcba6-6cf0-4ba0-84bb-8ba51ce126c9","type":"LinearScale"},{"attributes":{},"id":"70485e84-6b43-4dd7-b79a-f908108f284b","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"6870d8bd-be85-4e2f-8ac4-82dd519870cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"341f2a40-907a-4e0b-8aad-cc1f705e19a6","type":"BasicTicker"}},"id":"ab70804a-bed7-4251-acbc-e6866104bfa6","type":"Grid"},{"attributes":{"source":{"id":"3cab3f14-0f06-4ded-95b8-6bd6d68b8eed","type":"ColumnDataSource"}},"id":"23ab9fd0-7ad0-46c6-a575-5959ba67a187","type":"CDSView"},{"attributes":{"formatter":{"id":"9d4fa7fa-59b7-47cb-a8cb-1490dc62cb2e","type":"BasicTickFormatter"},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":null},"minor_tick_out":8,"plot":{"id":"6870d8bd-be85-4e2f-8ac4-82dd519870cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"341f2a40-907a-4e0b-8aad-cc1f705e19a6","type":"BasicTicker"}},"id":"7ed6bdda-1694-47e3-b75a-8a98a869e6ce","type":"LinearAxis"},{"attributes":{"below":[{"id":"7c94facd-2740-49b4-88f3-370316fc3763","type":"LinearAxis"}],"left":[{"id":"7ed6bdda-1694-47e3-b75a-8a98a869e6ce","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7c94facd-2740-49b4-88f3-370316fc3763","type":"LinearAxis"},{"id":"d8b6ceaf-c4d2-4167-a6ab-bed6c25f5a84","type":"Grid"},{"id":"7ed6bdda-1694-47e3-b75a-8a98a869e6ce","type":"LinearAxis"},{"id":"ab70804a-bed7-4251-acbc-e6866104bfa6","type":"Grid"},{"id":"bf47ee1f-354b-46e5-bd32-5de9302d31d5","type":"BoxAnnotation"},{"id":"dac99326-ef68-46c3-b9d4-30d4ba438bae","type":"GlyphRenderer"}],"title":{"id":"aed1107f-ea0f-4e85-bb04-62689c3fe1d3","type":"Title"},"toolbar":{"id":"67764589-5610-4ac8-af0a-453b6a199f90","type":"Toolbar"},"x_range":{"id":"891731ba-572a-4823-8dd2-d38079284538","type":"DataRange1d"},"x_scale":{"id":"6b3bcba6-6cf0-4ba0-84bb-8ba51ce126c9","type":"LinearScale"},"y_range":{"id":"da75dd2d-879e-482a-8250-cd613e07bf63","type":"DataRange1d"},"y_scale":{"id":"aad1bcde-8057-4e2c-afbc-bd9e0065eef0","type":"LinearScale"}},"id":"6870d8bd-be85-4e2f-8ac4-82dd519870cb","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"aad1bcde-8057-4e2c-afbc-bd9e0065eef0","type":"LinearScale"},{"attributes":{},"id":"db8e5c52-cf8e-41c1-a69b-af1786b5a783","type":"PanTool"},{"attributes":{},"id":"173efd33-0fec-49b4-aab9-9c735a6944db","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"6870d8bd-be85-4e2f-8ac4-82dd519870cb","subtype":"Figure","type":"Plot"},"ticker":{"id":"a42471b7-a3f0-472e-84ac-93db0f38ef9a","type":"BasicTicker"}},"id":"d8b6ceaf-c4d2-4167-a6ab-bed6c25f5a84","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bf47ee1f-354b-46e5-bd32-5de9302d31d5","type":"BoxAnnotation"},{"attributes":{},"id":"2ce5eadb-3946-4a93-8bd6-5d94fac13baa","type":"ResetTool"}],"root_ids":["6870d8bd-be85-4e2f-8ac4-82dd519870cb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c08e4747-6b7f-403e-8e4d-c38d8e784366","elementid":"556b6e35-fb18-4d07-b640-5db4cd2fa6e6","modelid":"6870d8bd-be85-4e2f-8ac4-82dd519870cb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
