(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("acfdfce0-72cd-4582-a8dd-3637b9cae13f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'acfdfce0-72cd-4582-a8dd-3637b9cae13f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"454ccc77-1e30-4818-a025-a1b1b28ef48c":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"f86aae97-797d-4dc8-ac18-060c057dc20b","type":"Title"},{"attributes":{"axis_label":"Lot Number","axis_label_standoff":30,"axis_label_text_color":{"value":"#aa6666"},"formatter":{"id":"c1002e92-30d2-4469-885e-f559d1dbbf98","type":"BasicTickFormatter"},"plot":{"id":"507031c3-4460-411f-8943-e0c902fe9dce","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7e05125-79ba-438d-bc4a-e00baadfcb25","type":"BasicTicker"}},"id":"085d9bfc-6895-4104-887b-f78891f171a1","type":"LinearAxis"},{"attributes":{"callback":null},"id":"6dea9dbe-b0b8-4f25-bcf9-c3b24bd8d5fb","type":"DataRange1d"},{"attributes":{"callback":null},"id":"124d4fcb-879f-4433-b417-7edecccc6bc6","type":"DataRange1d"},{"attributes":{},"id":"78d15bb7-9d48-4eb6-b3bc-3bfa012ff29d","type":"SaveTool"},{"attributes":{},"id":"6ec9c941-35b8-4e46-a0cc-83ee4e6745e1","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"759cfa91-8257-419f-82b9-f628cff4bd6a","type":"Circle"},{"attributes":{},"id":"adccdd91-3c91-4c0f-8c6d-ca7ef82ae3b9","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"08741586-1f27-4050-9f2e-1cf361e70284","type":"PanTool"},{"id":"6234e98d-0b89-4e55-b6e5-5210c9079f09","type":"WheelZoomTool"},{"id":"5638a31e-1cd6-42dd-bcfb-795dc9184b22","type":"BoxZoomTool"},{"id":"78d15bb7-9d48-4eb6-b3bc-3bfa012ff29d","type":"SaveTool"},{"id":"adccdd91-3c91-4c0f-8c6d-ca7ef82ae3b9","type":"ResetTool"},{"id":"b54181f6-7bfb-41c1-8e1b-fa3a99ae903d","type":"HelpTool"}]},"id":"932b9d9a-d416-4c30-a3fd-f66f9b8d0a48","type":"Toolbar"},{"attributes":{"below":[{"id":"085d9bfc-6895-4104-887b-f78891f171a1","type":"LinearAxis"}],"left":[{"id":"2bb57101-8870-4cdc-86a9-f015885f5b3e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"085d9bfc-6895-4104-887b-f78891f171a1","type":"LinearAxis"},{"id":"241751ad-9a1d-4fef-b7ea-a7ed3e3f290f","type":"Grid"},{"id":"2bb57101-8870-4cdc-86a9-f015885f5b3e","type":"LinearAxis"},{"id":"377847a9-4276-4eec-8e9f-bdf8ea80b2c0","type":"Grid"},{"id":"82bb2271-055a-48de-9183-62d3a94e7607","type":"BoxAnnotation"},{"id":"f0a1b83d-b054-40e8-a9f9-b1790ae053cc","type":"GlyphRenderer"}],"title":{"id":"f86aae97-797d-4dc8-ac18-060c057dc20b","type":"Title"},"toolbar":{"id":"932b9d9a-d416-4c30-a3fd-f66f9b8d0a48","type":"Toolbar"},"x_range":{"id":"6dea9dbe-b0b8-4f25-bcf9-c3b24bd8d5fb","type":"DataRange1d"},"x_scale":{"id":"ad05c0a7-340d-4b89-8d9a-f733dcb96389","type":"LinearScale"},"y_range":{"id":"124d4fcb-879f-4433-b417-7edecccc6bc6","type":"DataRange1d"},"y_scale":{"id":"6ec9c941-35b8-4e46-a0cc-83ee4e6745e1","type":"LinearScale"}},"id":"507031c3-4460-411f-8943-e0c902fe9dce","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b54181f6-7bfb-41c1-8e1b-fa3a99ae903d","type":"HelpTool"},{"attributes":{"axis_label":"Bin Count","formatter":{"id":"8716760f-deef-4a5a-910d-ad982e4a81c6","type":"BasicTickFormatter"},"plot":{"id":"507031c3-4460-411f-8943-e0c902fe9dce","subtype":"Figure","type":"Plot"},"ticker":{"id":"facb527a-a505-4c5d-a33d-d07ce2659703","type":"BasicTicker"}},"id":"2bb57101-8870-4cdc-86a9-f015885f5b3e","type":"LinearAxis"},{"attributes":{},"id":"8716760f-deef-4a5a-910d-ad982e4a81c6","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"82bb2271-055a-48de-9183-62d3a94e7607","type":"BoxAnnotation"}},"id":"5638a31e-1cd6-42dd-bcfb-795dc9184b22","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a2eb8457-1ee8-4264-bc71-9435e60d51c7","type":"Circle"},{"attributes":{},"id":"e7e05125-79ba-438d-bc4a-e00baadfcb25","type":"BasicTicker"},{"attributes":{"source":{"id":"ac169c6b-ef72-4cbc-84d6-ed756fe6dd0f","type":"ColumnDataSource"}},"id":"3f784b89-9b4d-4e22-ba80-0f9a9dbf97f7","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"82bb2271-055a-48de-9183-62d3a94e7607","type":"BoxAnnotation"},{"attributes":{},"id":"facb527a-a505-4c5d-a33d-d07ce2659703","type":"BasicTicker"},{"attributes":{"data_source":{"id":"ac169c6b-ef72-4cbc-84d6-ed756fe6dd0f","type":"ColumnDataSource"},"glyph":{"id":"759cfa91-8257-419f-82b9-f628cff4bd6a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a2eb8457-1ee8-4264-bc71-9435e60d51c7","type":"Circle"},"selection_glyph":null,"view":{"id":"3f784b89-9b4d-4e22-ba80-0f9a9dbf97f7","type":"CDSView"}},"id":"f0a1b83d-b054-40e8-a9f9-b1790ae053cc","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"507031c3-4460-411f-8943-e0c902fe9dce","subtype":"Figure","type":"Plot"},"ticker":{"id":"facb527a-a505-4c5d-a33d-d07ce2659703","type":"BasicTicker"}},"id":"377847a9-4276-4eec-8e9f-bdf8ea80b2c0","type":"Grid"},{"attributes":{},"id":"6234e98d-0b89-4e55-b6e5-5210c9079f09","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"507031c3-4460-411f-8943-e0c902fe9dce","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7e05125-79ba-438d-bc4a-e00baadfcb25","type":"BasicTicker"}},"id":"241751ad-9a1d-4fef-b7ea-a7ed3e3f290f","type":"Grid"},{"attributes":{},"id":"08741586-1f27-4050-9f2e-1cf361e70284","type":"PanTool"},{"attributes":{},"id":"c1002e92-30d2-4469-885e-f559d1dbbf98","type":"BasicTickFormatter"},{"attributes":{},"id":"ad05c0a7-340d-4b89-8d9a-f733dcb96389","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"ac169c6b-ef72-4cbc-84d6-ed756fe6dd0f","type":"ColumnDataSource"}],"root_ids":["507031c3-4460-411f-8943-e0c902fe9dce"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"454ccc77-1e30-4818-a025-a1b1b28ef48c","elementid":"acfdfce0-72cd-4582-a8dd-3637b9cae13f","modelid":"507031c3-4460-411f-8943-e0c902fe9dce"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
