(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1acaf075-ef8c-4520-a199-768de7a65df4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1acaf075-ef8c-4520-a199-768de7a65df4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"479e08ce-1d35-4a05-955e-e6da96d3f620":{"roots":{"references":[{"attributes":{},"id":"12b3d522-810b-419f-9fea-752c163b474d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"2402508c-8383-4728-ba93-663b58a01996","type":"BasicTickFormatter"},"plot":{"id":"c3cc5af1-19d7-404b-b658-adb8e045309b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4fc9b9d1-e3d9-4e89-8882-c7938c50983a","type":"BasicTicker"}},"id":"13ba541c-edd9-41a8-a74b-e5cbe4b64f0b","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"a1e4e5e3-3fb7-49ad-aec7-47b182d2a17d","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"f6d2e918-8fbd-4db7-a24c-27b45474a131","type":"BoxAnnotation"}},"id":"2c199422-f6f5-4db9-b475-3aea7379087b","type":"BoxZoomTool"},{"attributes":{},"id":"983fe394-9316-407e-a422-8b920f23182e","type":"LinearScale"},{"attributes":{"below":[{"id":"420b752d-5043-49a7-b683-f7a58cda517c","type":"LinearAxis"}],"left":[{"id":"13ba541c-edd9-41a8-a74b-e5cbe4b64f0b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"420b752d-5043-49a7-b683-f7a58cda517c","type":"LinearAxis"},{"id":"00854d1b-8a0d-438c-b3d6-624938d62deb","type":"Grid"},{"id":"13ba541c-edd9-41a8-a74b-e5cbe4b64f0b","type":"LinearAxis"},{"id":"11a50e3b-8f93-452f-b337-dfc443c43c52","type":"Grid"},{"id":"f6d2e918-8fbd-4db7-a24c-27b45474a131","type":"BoxAnnotation"},{"id":"6ba6daac-f93a-4b8a-8214-3dd77a667eaf","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"474808a1-c858-4bd3-8f99-83ebaa40acbb","type":"Toolbar"},"toolbar_location":"below","toolbar_sticky":false,"x_range":{"id":"97458258-8bb3-4c7c-8ebe-2dc6831d0507","type":"DataRange1d"},"x_scale":{"id":"983fe394-9316-407e-a422-8b920f23182e","type":"LinearScale"},"y_range":{"id":"c0284e3d-4fc6-4347-a800-05fa1a0c2ba4","type":"DataRange1d"},"y_scale":{"id":"10434541-6229-4e91-b0aa-1ca36f1ee598","type":"LinearScale"}},"id":"c3cc5af1-19d7-404b-b658-adb8e045309b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"c0284e3d-4fc6-4347-a800-05fa1a0c2ba4","type":"DataRange1d"},{"attributes":{},"id":"75b69c4d-4c7c-4889-b884-4b5dcab9f74b","type":"PanTool"},{"attributes":{},"id":"10434541-6229-4e91-b0aa-1ca36f1ee598","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"75b69c4d-4c7c-4889-b884-4b5dcab9f74b","type":"PanTool"},{"id":"b317d39b-2ce0-44bb-8560-86b2e39cf6f0","type":"WheelZoomTool"},{"id":"2c199422-f6f5-4db9-b475-3aea7379087b","type":"BoxZoomTool"},{"id":"7ba0e367-96e9-46aa-a6c1-f0e853f677b5","type":"SaveTool"},{"id":"83a0a776-a628-4509-b2d3-c9192a18d8e3","type":"ResetTool"},{"id":"4708fd65-4655-4348-b73e-7a3837d76cc6","type":"HelpTool"}]},"id":"474808a1-c858-4bd3-8f99-83ebaa40acbb","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f6d2e918-8fbd-4db7-a24c-27b45474a131","type":"BoxAnnotation"},{"attributes":{},"id":"4708fd65-4655-4348-b73e-7a3837d76cc6","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"c3cc5af1-19d7-404b-b658-adb8e045309b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4fc9b9d1-e3d9-4e89-8882-c7938c50983a","type":"BasicTicker"}},"id":"11a50e3b-8f93-452f-b337-dfc443c43c52","type":"Grid"},{"attributes":{"callback":null},"id":"97458258-8bb3-4c7c-8ebe-2dc6831d0507","type":"DataRange1d"},{"attributes":{"plot":{"id":"c3cc5af1-19d7-404b-b658-adb8e045309b","subtype":"Figure","type":"Plot"},"ticker":{"id":"12b3d522-810b-419f-9fea-752c163b474d","type":"BasicTicker"}},"id":"00854d1b-8a0d-438c-b3d6-624938d62deb","type":"Grid"},{"attributes":{},"id":"b317d39b-2ce0-44bb-8560-86b2e39cf6f0","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"36e77a22-670e-420c-8c1c-7914039e19e9","type":"Circle"},{"attributes":{},"id":"5164cb0f-131e-4541-8b35-64a893434707","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"dc04547d-f68b-489c-9d14-12bedb9a7fae","type":"Circle"},{"attributes":{},"id":"83a0a776-a628-4509-b2d3-c9192a18d8e3","type":"ResetTool"},{"attributes":{},"id":"7ba0e367-96e9-46aa-a6c1-f0e853f677b5","type":"SaveTool"},{"attributes":{},"id":"2402508c-8383-4728-ba93-663b58a01996","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"a1e4e5e3-3fb7-49ad-aec7-47b182d2a17d","type":"ColumnDataSource"},"glyph":{"id":"36e77a22-670e-420c-8c1c-7914039e19e9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dc04547d-f68b-489c-9d14-12bedb9a7fae","type":"Circle"},"selection_glyph":null,"view":{"id":"e11279d3-c506-4841-a62b-7b5b029bbd6c","type":"CDSView"}},"id":"6ba6daac-f93a-4b8a-8214-3dd77a667eaf","type":"GlyphRenderer"},{"attributes":{"source":{"id":"a1e4e5e3-3fb7-49ad-aec7-47b182d2a17d","type":"ColumnDataSource"}},"id":"e11279d3-c506-4841-a62b-7b5b029bbd6c","type":"CDSView"},{"attributes":{},"id":"4fc9b9d1-e3d9-4e89-8882-c7938c50983a","type":"BasicTicker"},{"attributes":{"formatter":{"id":"5164cb0f-131e-4541-8b35-64a893434707","type":"BasicTickFormatter"},"plot":{"id":"c3cc5af1-19d7-404b-b658-adb8e045309b","subtype":"Figure","type":"Plot"},"ticker":{"id":"12b3d522-810b-419f-9fea-752c163b474d","type":"BasicTicker"}},"id":"420b752d-5043-49a7-b683-f7a58cda517c","type":"LinearAxis"}],"root_ids":["c3cc5af1-19d7-404b-b658-adb8e045309b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"479e08ce-1d35-4a05-955e-e6da96d3f620","elementid":"1acaf075-ef8c-4520-a199-768de7a65df4","modelid":"c3cc5af1-19d7-404b-b658-adb8e045309b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
