(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5f24a704-dc6f-4104-822c-b7d0fcfd840f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5f24a704-dc6f-4104-822c-b7d0fcfd840f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c30fca5e-e0d4-4f32-92fa-9f72d236a12c":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"201b381b-921a-4cd0-bfa9-da66525ba322","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"056e9157-3082-403f-9c88-e1e543a76795","type":"BasicTickFormatter"},"plot":{"id":"47ac242e-5651-4cf4-ae6a-55dd5bf6ced8","subtype":"Figure","type":"Plot"},"ticker":{"id":"8521cfc7-412a-455e-8fcf-6326e610c8ed","type":"BasicTicker"}},"id":"2ba2e795-babe-4d0e-9b94-cff35a0b4c9f","type":"LinearAxis"},{"attributes":{"source":{"id":"d502d755-64a9-45cc-920a-c0930fe53d39","type":"ColumnDataSource"}},"id":"d8382c85-ceff-439c-8645-d32c5ea87410","type":"CDSView"},{"attributes":{"children":[{"id":"e0887e41-0c72-418f-981f-18811d987680","type":"WidgetBox"},{"id":"47ac242e-5651-4cf4-ae6a-55dd5bf6ced8","subtype":"Figure","type":"Plot"}]},"id":"c9dfb295-782e-40a9-8d6b-8c0a55a11aa0","type":"Column"},{"attributes":{"plot":null,"text":""},"id":"c622fbd0-dd42-4fa6-8d7e-27f84ffe15fe","type":"Title"},{"attributes":{"below":[{"id":"2ba2e795-babe-4d0e-9b94-cff35a0b4c9f","type":"LinearAxis"}],"left":[{"id":"9bcc1447-247f-4809-a104-8560a56f87c3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2ba2e795-babe-4d0e-9b94-cff35a0b4c9f","type":"LinearAxis"},{"id":"ee12bba0-95fc-4678-9ea1-4d9f0d0e0849","type":"Grid"},{"id":"9bcc1447-247f-4809-a104-8560a56f87c3","type":"LinearAxis"},{"id":"e28ffb56-e7db-485b-a1c2-95bce1308320","type":"Grid"},{"id":"201b381b-921a-4cd0-bfa9-da66525ba322","type":"BoxAnnotation"},{"id":"4d973411-034c-4d3b-9b25-b2eb3b4665de","type":"GlyphRenderer"}],"title":{"id":"c622fbd0-dd42-4fa6-8d7e-27f84ffe15fe","type":"Title"},"toolbar":{"id":"fcb20edc-7474-4612-8814-1891c64eba14","type":"Toolbar"},"x_range":{"id":"dee0a3d1-ee39-4f83-88cb-7a83f4cc08a0","type":"DataRange1d"},"x_scale":{"id":"ba915977-aacb-4d32-b82c-d3d8465962bb","type":"LinearScale"},"y_range":{"id":"e57bdd88-da5f-4107-81ec-9d4454642c85","type":"DataRange1d"},"y_scale":{"id":"536da9e5-4216-400b-b7e3-05f00c1f84d4","type":"LinearScale"}},"id":"47ac242e-5651-4cf4-ae6a-55dd5bf6ced8","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0ec7f976-19e3-4c4d-8062-1bfc9648c237","type":"WheelZoomTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"4fbd8b17-6214-469f-bb67-623842a5faaa","type":"Line"},{"attributes":{},"id":"eec83147-b48a-4e9f-bb8b-aa2da07f2e08","type":"PanTool"},{"attributes":{},"id":"ba915977-aacb-4d32-b82c-d3d8465962bb","type":"LinearScale"},{"attributes":{"data_source":{"id":"d502d755-64a9-45cc-920a-c0930fe53d39","type":"ColumnDataSource"},"glyph":{"id":"069a9f0a-4b23-448b-85ea-66d2727068b3","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4fbd8b17-6214-469f-bb67-623842a5faaa","type":"Line"},"selection_glyph":null,"view":{"id":"d8382c85-ceff-439c-8645-d32c5ea87410","type":"CDSView"}},"id":"4d973411-034c-4d3b-9b25-b2eb3b4665de","type":"GlyphRenderer"},{"attributes":{},"id":"d2b69071-31a0-424b-98f6-2a48a1e1964d","type":"BasicTickFormatter"},{"attributes":{"callback":{"id":"ee7ee7c5-2870-4e5a-a1c9-e56792dd35d9","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"b39dbb99-9a14-4e89-b5a4-d37a34c31b1e","type":"Slider"},{"attributes":{"formatter":{"id":"d2b69071-31a0-424b-98f6-2a48a1e1964d","type":"BasicTickFormatter"},"plot":{"id":"47ac242e-5651-4cf4-ae6a-55dd5bf6ced8","subtype":"Figure","type":"Plot"},"ticker":{"id":"07b7a112-f370-46e1-a414-3d29287dd199","type":"BasicTicker"}},"id":"9bcc1447-247f-4809-a104-8560a56f87c3","type":"LinearAxis"},{"attributes":{},"id":"bddcd661-c474-4443-850b-b9f29e048ef1","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"d502d755-64a9-45cc-920a-c0930fe53d39","type":"ColumnDataSource"},{"attributes":{"args":{"source":{"id":"d502d755-64a9-45cc-920a-c0930fe53d39","type":"ColumnDataSource"}},"code":"var _pyfunc_range = function (start, end, step) {\nvar i, res = [];\n    var val = start;\n    var n = (end - start) / step;\n    for (i=0; i<n; i++) {\n        res.push(val);\n        val += step;\n    }\n    return res;\n};\nvar cb;\ncb = function (source, window) {\n    var data, f, i, stub1_, x, y;\n    source = (source === undefined) ? source: source;\n    window = (window === undefined) ? null: window;\n    data = source.data;\n    f = cb_obj.value;\n    stub1_ = [data[\"x\"], data[\"y\"]];\n    x = stub1_[0];y = stub1_[1];\n    for (i = 0; i < x.length; i += 1) {\n        y[i] = window.Math.pow(x[i], f);\n    }\n    source.change.emit();\n    return null;\n};\ncb(source, window);\n"},"id":"ee7ee7c5-2870-4e5a-a1c9-e56792dd35d9","type":"CustomJS"},{"attributes":{"dimension":1,"plot":{"id":"47ac242e-5651-4cf4-ae6a-55dd5bf6ced8","subtype":"Figure","type":"Plot"},"ticker":{"id":"07b7a112-f370-46e1-a414-3d29287dd199","type":"BasicTicker"}},"id":"e28ffb56-e7db-485b-a1c2-95bce1308320","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"eec83147-b48a-4e9f-bb8b-aa2da07f2e08","type":"PanTool"},{"id":"0ec7f976-19e3-4c4d-8062-1bfc9648c237","type":"WheelZoomTool"},{"id":"70d64327-6b1d-46f0-8188-58e3cdc4eee9","type":"BoxZoomTool"},{"id":"9f5051d6-efb4-4548-943e-cd4084105a8e","type":"SaveTool"},{"id":"bddcd661-c474-4443-850b-b9f29e048ef1","type":"ResetTool"},{"id":"353852d5-1e3c-4aec-a71e-45eec73c9c57","type":"HelpTool"}]},"id":"fcb20edc-7474-4612-8814-1891c64eba14","type":"Toolbar"},{"attributes":{},"id":"8521cfc7-412a-455e-8fcf-6326e610c8ed","type":"BasicTicker"},{"attributes":{"callback":null},"id":"e57bdd88-da5f-4107-81ec-9d4454642c85","type":"DataRange1d"},{"attributes":{"overlay":{"id":"201b381b-921a-4cd0-bfa9-da66525ba322","type":"BoxAnnotation"}},"id":"70d64327-6b1d-46f0-8188-58e3cdc4eee9","type":"BoxZoomTool"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"069a9f0a-4b23-448b-85ea-66d2727068b3","type":"Line"},{"attributes":{},"id":"056e9157-3082-403f-9c88-e1e543a76795","type":"BasicTickFormatter"},{"attributes":{},"id":"536da9e5-4216-400b-b7e3-05f00c1f84d4","type":"LinearScale"},{"attributes":{"children":[{"id":"b39dbb99-9a14-4e89-b5a4-d37a34c31b1e","type":"Slider"}]},"id":"e0887e41-0c72-418f-981f-18811d987680","type":"WidgetBox"},{"attributes":{"plot":{"id":"47ac242e-5651-4cf4-ae6a-55dd5bf6ced8","subtype":"Figure","type":"Plot"},"ticker":{"id":"8521cfc7-412a-455e-8fcf-6326e610c8ed","type":"BasicTicker"}},"id":"ee12bba0-95fc-4678-9ea1-4d9f0d0e0849","type":"Grid"},{"attributes":{},"id":"353852d5-1e3c-4aec-a71e-45eec73c9c57","type":"HelpTool"},{"attributes":{},"id":"9f5051d6-efb4-4548-943e-cd4084105a8e","type":"SaveTool"},{"attributes":{"callback":null},"id":"dee0a3d1-ee39-4f83-88cb-7a83f4cc08a0","type":"DataRange1d"},{"attributes":{},"id":"07b7a112-f370-46e1-a414-3d29287dd199","type":"BasicTicker"}],"root_ids":["c9dfb295-782e-40a9-8d6b-8c0a55a11aa0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c30fca5e-e0d4-4f32-92fa-9f72d236a12c","elementid":"5f24a704-dc6f-4104-822c-b7d0fcfd840f","modelid":"c9dfb295-782e-40a9-8d6b-8c0a55a11aa0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
