(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d826dc39-f7da-4a43-b242-2888b446e840");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd826dc39-f7da-4a43-b242-2888b446e840' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"86265dbe-a5d3-4d0a-b6f8-05c61c5ec51a":{"roots":{"references":[{"attributes":{"callback":null},"id":"93de252b-404b-40cb-8593-1f5adccf7bb4","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e4f99f6e-74ce-4b7a-a565-22087454c52c","type":"BoxAnnotation"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"40fe73dc-7e3f-460b-9c75-20473fb56972","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"80ea2dd6-7fe4-4832-978f-02ab59e03200","type":"LinearAxis"}],"left":[{"id":"2170e983-cd14-45bc-ae9c-ed8c828d7694","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"80ea2dd6-7fe4-4832-978f-02ab59e03200","type":"LinearAxis"},{"id":"6c83d418-7ea1-4196-8843-47d8be111c6f","type":"Grid"},{"id":"2170e983-cd14-45bc-ae9c-ed8c828d7694","type":"LinearAxis"},{"id":"d31ca69b-0bd1-4793-83d3-e89432621ff6","type":"Grid"},{"id":"40fe73dc-7e3f-460b-9c75-20473fb56972","type":"BoxAnnotation"},{"id":"dfe56670-d6e9-4377-97f2-f5737ffc3cb6","type":"PolyAnnotation"},{"id":"7f76925c-0b08-41d8-9baf-d995b5351970","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"f4009868-8694-447e-b0f9-2414d4410ecf","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"93de252b-404b-40cb-8593-1f5adccf7bb4","type":"DataRange1d"},"x_scale":{"id":"e866fe7d-d3be-4251-9ac1-13f985add851","type":"LinearScale"},"y_range":{"id":"544e639e-eb80-4237-918e-b732045c01e0","type":"DataRange1d"},"y_scale":{"id":"dfe67fa4-820d-4d30-aa83-60e95971b2b5","type":"LinearScale"}},"id":"2205a63c-5a8f-46cd-8449-25916e598f0c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e866fe7d-d3be-4251-9ac1-13f985add851","type":"LinearScale"},{"attributes":{},"id":"68df2fed-13b7-4769-837b-a40fa9a4a12f","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"13de2b58-dcbc-432d-a2c7-9b6faffb7245","type":"PolyAnnotation"}},"id":"6cd99bf9-cdd1-468e-be43-340ebbdd380b","type":"LassoSelectTool"},{"attributes":{"dimension":1,"plot":{"id":"2205a63c-5a8f-46cd-8449-25916e598f0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"0343a7d6-740d-4cfc-8444-52caa1687bc0","type":"BasicTicker"}},"id":"d31ca69b-0bd1-4793-83d3-e89432621ff6","type":"Grid"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"d05ecc8e-9c03-4354-9fbc-7d6d69952830","type":"ColumnDataSource"},{"attributes":{},"id":"53303a60-dbc2-4a1e-ab2c-c3a0253d5cf8","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3050ab37-a789-4543-b870-80d5e62eb0a4","type":"BoxSelectTool"},{"id":"11211b73-fe41-4d72-870b-47d585549051","type":"LassoSelectTool"},{"id":"34461ecf-2b7c-4295-9aec-9d0956237ac4","type":"HelpTool"}]},"id":"f4009868-8694-447e-b0f9-2414d4410ecf","type":"Toolbar"},{"attributes":{"children":[{"id":"90690ada-6721-4d3d-8c16-f2e421fd1854","type":"Row"}]},"id":"1896b8e7-5309-4100-8ac3-be3e45da43fa","type":"Column"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"aaf7ccc7-0f39-4c8c-87ed-009939bbf4c7","type":"BoxSelectTool"},{"id":"6cd99bf9-cdd1-468e-be43-340ebbdd380b","type":"LassoSelectTool"},{"id":"dcf160f5-1e62-4453-a8a5-04ec83873281","type":"HelpTool"},{"id":"3050ab37-a789-4543-b870-80d5e62eb0a4","type":"BoxSelectTool"},{"id":"11211b73-fe41-4d72-870b-47d585549051","type":"LassoSelectTool"},{"id":"34461ecf-2b7c-4295-9aec-9d0956237ac4","type":"HelpTool"}]},"id":"d2b202ab-e7ed-4b47-8924-8b3a26a2035b","type":"ToolbarBox"},{"attributes":{"callback":null,"overlay":{"id":"e4f99f6e-74ce-4b7a-a565-22087454c52c","type":"BoxAnnotation"},"renderers":[{"id":"f07aa3f1-1fd3-490d-97b4-55fa5ed30560","type":"GlyphRenderer"}]},"id":"aaf7ccc7-0f39-4c8c-87ed-009939bbf4c7","type":"BoxSelectTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"13de2b58-dcbc-432d-a2c7-9b6faffb7245","type":"PolyAnnotation"},{"attributes":{"plot":{"id":"2205a63c-5a8f-46cd-8449-25916e598f0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"cb289512-08c5-4202-9361-31c6e5009541","type":"BasicTicker"}},"id":"6c83d418-7ea1-4196-8843-47d8be111c6f","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"4564654d-49dc-4793-9e85-f7dcd2286106","type":"Circle"},{"attributes":{},"id":"cb289512-08c5-4202-9361-31c6e5009541","type":"BasicTicker"},{"attributes":{},"id":"34461ecf-2b7c-4295-9aec-9d0956237ac4","type":"HelpTool"},{"attributes":{},"id":"b0c84f76-6453-4469-92af-4353c8d4aaf0","type":"LinearScale"},{"attributes":{},"id":"6aa03963-a1d0-44c5-bed8-0c144a783804","type":"BasicTicker"},{"attributes":{},"id":"62edd5ba-281a-4b7a-8822-917ae8fb7010","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"86b0c789-45f5-4434-b1aa-df7c6f78d30a","type":"BasicTickFormatter"},"plot":{"id":"2205a63c-5a8f-46cd-8449-25916e598f0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"0343a7d6-740d-4cfc-8444-52caa1687bc0","type":"BasicTicker"}},"id":"2170e983-cd14-45bc-ae9c-ed8c828d7694","type":"LinearAxis"},{"attributes":{"formatter":{"id":"7a422ada-6279-4257-b367-3420f6f47c42","type":"BasicTickFormatter"},"plot":{"id":"32e91a6f-20ef-4e23-bf3a-7017c3bfe7a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"53303a60-dbc2-4a1e-ab2c-c3a0253d5cf8","type":"BasicTicker"}},"id":"0c9dc256-2047-4904-be63-ceff8c7ce7c0","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"aaf7ccc7-0f39-4c8c-87ed-009939bbf4c7","type":"BoxSelectTool"},{"id":"6cd99bf9-cdd1-468e-be43-340ebbdd380b","type":"LassoSelectTool"},{"id":"dcf160f5-1e62-4453-a8a5-04ec83873281","type":"HelpTool"}]},"id":"4ca3e727-f027-42b5-a5c8-6d2e57c08b35","type":"Toolbar"},{"attributes":{},"id":"7a422ada-6279-4257-b367-3420f6f47c42","type":"BasicTickFormatter"},{"attributes":{},"id":"0343a7d6-740d-4cfc-8444-52caa1687bc0","type":"BasicTicker"},{"attributes":{"callback":null},"id":"bbd927e4-7847-4ba1-a7c2-269a6e8f7504","type":"DataRange1d"},{"attributes":{"formatter":{"id":"68df2fed-13b7-4769-837b-a40fa9a4a12f","type":"BasicTickFormatter"},"plot":{"id":"2205a63c-5a8f-46cd-8449-25916e598f0c","subtype":"Figure","type":"Plot"},"ticker":{"id":"cb289512-08c5-4202-9361-31c6e5009541","type":"BasicTicker"}},"id":"80ea2dd6-7fe4-4832-978f-02ab59e03200","type":"LinearAxis"},{"attributes":{"data_source":{"id":"d05ecc8e-9c03-4354-9fbc-7d6d69952830","type":"ColumnDataSource"},"glyph":{"id":"2a91d5ea-62c6-473c-9267-9fc5a6cba533","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3169d37f-0665-4a8f-8f7f-6cb5d3278590","type":"Circle"},"selection_glyph":null,"view":{"id":"79cec716-d46b-4203-8139-99051cca6959","type":"CDSView"}},"id":"f07aa3f1-1fd3-490d-97b4-55fa5ed30560","type":"GlyphRenderer"},{"attributes":{},"id":"dcf160f5-1e62-4453-a8a5-04ec83873281","type":"HelpTool"},{"attributes":{"children":[{"id":"32e91a6f-20ef-4e23-bf3a-7017c3bfe7a8","subtype":"Figure","type":"Plot"},{"id":"2205a63c-5a8f-46cd-8449-25916e598f0c","subtype":"Figure","type":"Plot"}]},"id":"90690ada-6721-4d3d-8c16-f2e421fd1854","type":"Row"},{"attributes":{"data_source":{"id":"d05ecc8e-9c03-4354-9fbc-7d6d69952830","type":"ColumnDataSource"},"glyph":{"id":"bebc91b4-f3ad-477b-a3b2-8d0e85fd37d8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4564654d-49dc-4793-9e85-f7dcd2286106","type":"Circle"},"selection_glyph":null,"view":{"id":"60abf95c-8f85-460e-88bb-b4d6bf5a5344","type":"CDSView"}},"id":"7f76925c-0b08-41d8-9baf-d995b5351970","type":"GlyphRenderer"},{"attributes":{"source":{"id":"d05ecc8e-9c03-4354-9fbc-7d6d69952830","type":"ColumnDataSource"}},"id":"79cec716-d46b-4203-8139-99051cca6959","type":"CDSView"},{"attributes":{"callback":null},"id":"544e639e-eb80-4237-918e-b732045c01e0","type":"DataRange1d"},{"attributes":{"callback":null},"id":"3e01254c-2294-4413-910a-4ded4b37eccf","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"3169d37f-0665-4a8f-8f7f-6cb5d3278590","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"bebc91b4-f3ad-477b-a3b2-8d0e85fd37d8","type":"Circle"},{"attributes":{"plot":{"id":"32e91a6f-20ef-4e23-bf3a-7017c3bfe7a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"6aa03963-a1d0-44c5-bed8-0c144a783804","type":"BasicTicker"}},"id":"9e5c9779-e40c-4dbd-b9d6-867e94aec5a5","type":"Grid"},{"attributes":{"formatter":{"id":"62edd5ba-281a-4b7a-8822-917ae8fb7010","type":"BasicTickFormatter"},"plot":{"id":"32e91a6f-20ef-4e23-bf3a-7017c3bfe7a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"6aa03963-a1d0-44c5-bed8-0c144a783804","type":"BasicTicker"}},"id":"0600953e-cd8b-49dc-893a-41aa86d61ac5","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"40fe73dc-7e3f-460b-9c75-20473fb56972","type":"BoxAnnotation"},"renderers":[{"id":"7f76925c-0b08-41d8-9baf-d995b5351970","type":"GlyphRenderer"}]},"id":"3050ab37-a789-4543-b870-80d5e62eb0a4","type":"BoxSelectTool"},{"attributes":{},"id":"c16c8539-d81b-457c-aa11-583b2ef5a518","type":"LinearScale"},{"attributes":{},"id":"86b0c789-45f5-4434-b1aa-df7c6f78d30a","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"dfe56670-d6e9-4377-97f2-f5737ffc3cb6","type":"PolyAnnotation"}},"id":"11211b73-fe41-4d72-870b-47d585549051","type":"LassoSelectTool"},{"attributes":{},"id":"dfe67fa4-820d-4d30-aa83-60e95971b2b5","type":"LinearScale"},{"attributes":{"children":[{"id":"d2b202ab-e7ed-4b47-8924-8b3a26a2035b","type":"ToolbarBox"},{"id":"1896b8e7-5309-4100-8ac3-be3e45da43fa","type":"Column"}]},"id":"00069ee8-4959-4171-bc5d-a7bef11f6cf7","type":"Column"},{"attributes":{"source":{"id":"d05ecc8e-9c03-4354-9fbc-7d6d69952830","type":"ColumnDataSource"}},"id":"60abf95c-8f85-460e-88bb-b4d6bf5a5344","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"dfe56670-d6e9-4377-97f2-f5737ffc3cb6","type":"PolyAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"32e91a6f-20ef-4e23-bf3a-7017c3bfe7a8","subtype":"Figure","type":"Plot"},"ticker":{"id":"53303a60-dbc2-4a1e-ab2c-c3a0253d5cf8","type":"BasicTicker"}},"id":"f5111612-81ec-4a91-95bf-12e8161ad1d5","type":"Grid"},{"attributes":{"below":[{"id":"0600953e-cd8b-49dc-893a-41aa86d61ac5","type":"LinearAxis"}],"left":[{"id":"0c9dc256-2047-4904-be63-ceff8c7ce7c0","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0600953e-cd8b-49dc-893a-41aa86d61ac5","type":"LinearAxis"},{"id":"9e5c9779-e40c-4dbd-b9d6-867e94aec5a5","type":"Grid"},{"id":"0c9dc256-2047-4904-be63-ceff8c7ce7c0","type":"LinearAxis"},{"id":"f5111612-81ec-4a91-95bf-12e8161ad1d5","type":"Grid"},{"id":"e4f99f6e-74ce-4b7a-a565-22087454c52c","type":"BoxAnnotation"},{"id":"13de2b58-dcbc-432d-a2c7-9b6faffb7245","type":"PolyAnnotation"},{"id":"f07aa3f1-1fd3-490d-97b4-55fa5ed30560","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"4ca3e727-f027-42b5-a5c8-6d2e57c08b35","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3e01254c-2294-4413-910a-4ded4b37eccf","type":"DataRange1d"},"x_scale":{"id":"b0c84f76-6453-4469-92af-4353c8d4aaf0","type":"LinearScale"},"y_range":{"id":"bbd927e4-7847-4ba1-a7c2-269a6e8f7504","type":"DataRange1d"},"y_scale":{"id":"c16c8539-d81b-457c-aa11-583b2ef5a518","type":"LinearScale"}},"id":"32e91a6f-20ef-4e23-bf3a-7017c3bfe7a8","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"2a91d5ea-62c6-473c-9267-9fc5a6cba533","type":"Circle"}],"root_ids":["00069ee8-4959-4171-bc5d-a7bef11f6cf7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"86265dbe-a5d3-4d0a-b6f8-05c61c5ec51a","elementid":"d826dc39-f7da-4a43-b242-2888b446e840","modelid":"00069ee8-4959-4171-bc5d-a7bef11f6cf7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
