(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a1834b91-83e6-4489-8614-76f61efec359");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a1834b91-83e6-4489-8614-76f61efec359' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9ce5784e-0ec0-4141-b8c0-456c3284c751":{"roots":{"references":[{"attributes":{},"id":"01364394-5c3f-4fdf-98e8-9966e29cc320","type":"ResetTool"},{"attributes":{"source":{"id":"81f2f4cf-6215-4f3d-ac8d-3a472a589891","type":"ColumnDataSource"}},"id":"cd173a2f-14b4-4156-a4cd-d34b5351af95","type":"CDSView"},{"attributes":{},"id":"7ece4706-a5d1-4bb0-b8b0-ca86e157faf3","type":"LinearScale"},{"attributes":{},"id":"b8738e24-6051-4228-8137-334f1af12cb8","type":"BasicTickFormatter"},{"attributes":{},"id":"84cfaa55-b793-49eb-8984-493c5b9df10f","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"89932941-f4bc-42ad-a41e-dcc2af3f99fa","subtype":"Figure","type":"Plot"},"ticker":{"id":"6cef0fc1-0acb-439e-9478-b8c09f6397df","type":"BasicTicker"}},"id":"14213bf5-f6e1-44ac-803c-07e685607c53","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"31d17545-fc74-4590-9d9e-f8403fc72765","type":"Circle"},{"attributes":{},"id":"6cef0fc1-0acb-439e-9478-b8c09f6397df","type":"BasicTicker"},{"attributes":{},"id":"f92b71d7-2f32-432b-9551-98a1c6268bf2","type":"PanTool"},{"attributes":{"callback":null},"id":"b8e14cf5-9ab0-4b92-bccd-218cd28b98fa","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"971e7761-f7e2-4c3f-bab8-bec99e565c5b","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"81f2f4cf-6215-4f3d-ac8d-3a472a589891","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"e733f457-6c3a-4b3d-8cb9-031659f5aea0","type":"DataRange1d"},{"attributes":{"data_source":{"id":"81f2f4cf-6215-4f3d-ac8d-3a472a589891","type":"ColumnDataSource"},"glyph":{"id":"31d17545-fc74-4590-9d9e-f8403fc72765","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5b5a0301-6fe7-4f65-b492-c150c94c9782","type":"Circle"},"selection_glyph":null,"view":{"id":"cd173a2f-14b4-4156-a4cd-d34b5351af95","type":"CDSView"}},"id":"076af103-4882-433e-b9c1-6ab9a38cf7e6","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5b5a0301-6fe7-4f65-b492-c150c94c9782","type":"Circle"},{"attributes":{"overlay":{"id":"ec20284e-1fc1-4468-bb7b-bbed364f93f2","type":"BoxAnnotation"}},"id":"ee8d6c72-87d0-44d9-845c-5a3fc17d1371","type":"BoxZoomTool"},{"attributes":{},"id":"90ddcab9-44fd-44ad-a32a-ea6d3cef344d","type":"BasicTickFormatter"},{"attributes":{},"id":"ed13d67c-aa2b-49ad-a8c1-690150820b4b","type":"BasicTicker"},{"attributes":{},"id":"d4bc8c24-7ffd-4a5a-8ea3-5b176cd19e61","type":"LinearScale"},{"attributes":{"formatter":{"id":"b8738e24-6051-4228-8137-334f1af12cb8","type":"BasicTickFormatter"},"plot":{"id":"89932941-f4bc-42ad-a41e-dcc2af3f99fa","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed13d67c-aa2b-49ad-a8c1-690150820b4b","type":"BasicTicker"}},"id":"9d6e16c9-52de-4e9f-ad8f-48a94176e126","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"89932941-f4bc-42ad-a41e-dcc2af3f99fa","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed13d67c-aa2b-49ad-a8c1-690150820b4b","type":"BasicTicker"}},"id":"5d132d6b-95a9-4ae9-a1d4-9fd2f837f371","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f92b71d7-2f32-432b-9551-98a1c6268bf2","type":"PanTool"},{"id":"84cfaa55-b793-49eb-8984-493c5b9df10f","type":"WheelZoomTool"},{"id":"ee8d6c72-87d0-44d9-845c-5a3fc17d1371","type":"BoxZoomTool"},{"id":"c4ba7eb8-7bcf-45bd-a5cd-998de5a9ef07","type":"SaveTool"},{"id":"01364394-5c3f-4fdf-98e8-9966e29cc320","type":"ResetTool"},{"id":"0c993e4b-e5eb-4d62-a29c-30ae75e96646","type":"HelpTool"}]},"id":"828df0a8-50ea-4fc3-90d2-5dd8552ee320","type":"Toolbar"},{"attributes":{},"id":"0c993e4b-e5eb-4d62-a29c-30ae75e96646","type":"HelpTool"},{"attributes":{"ticks":[2,3.5,4]},"id":"ed5eef9a-95db-4332-b2d5-d46b20b7dcf4","type":"FixedTicker"},{"attributes":{"below":[{"id":"5e99e1ca-73ca-4aa2-9809-229be35f3b15","type":"LinearAxis"}],"left":[{"id":"9d6e16c9-52de-4e9f-ad8f-48a94176e126","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5e99e1ca-73ca-4aa2-9809-229be35f3b15","type":"LinearAxis"},{"id":"14213bf5-f6e1-44ac-803c-07e685607c53","type":"Grid"},{"id":"9d6e16c9-52de-4e9f-ad8f-48a94176e126","type":"LinearAxis"},{"id":"5d132d6b-95a9-4ae9-a1d4-9fd2f837f371","type":"Grid"},{"id":"ec20284e-1fc1-4468-bb7b-bbed364f93f2","type":"BoxAnnotation"},{"id":"076af103-4882-433e-b9c1-6ab9a38cf7e6","type":"GlyphRenderer"}],"title":{"id":"971e7761-f7e2-4c3f-bab8-bec99e565c5b","type":"Title"},"toolbar":{"id":"828df0a8-50ea-4fc3-90d2-5dd8552ee320","type":"Toolbar"},"x_range":{"id":"b8e14cf5-9ab0-4b92-bccd-218cd28b98fa","type":"DataRange1d"},"x_scale":{"id":"7ece4706-a5d1-4bb0-b8b0-ca86e157faf3","type":"LinearScale"},"y_range":{"id":"e733f457-6c3a-4b3d-8cb9-031659f5aea0","type":"DataRange1d"},"y_scale":{"id":"d4bc8c24-7ffd-4a5a-8ea3-5b176cd19e61","type":"LinearScale"}},"id":"89932941-f4bc-42ad-a41e-dcc2af3f99fa","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ec20284e-1fc1-4468-bb7b-bbed364f93f2","type":"BoxAnnotation"},{"attributes":{},"id":"c4ba7eb8-7bcf-45bd-a5cd-998de5a9ef07","type":"SaveTool"},{"attributes":{"formatter":{"id":"90ddcab9-44fd-44ad-a32a-ea6d3cef344d","type":"BasicTickFormatter"},"plot":{"id":"89932941-f4bc-42ad-a41e-dcc2af3f99fa","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed5eef9a-95db-4332-b2d5-d46b20b7dcf4","type":"FixedTicker"}},"id":"5e99e1ca-73ca-4aa2-9809-229be35f3b15","type":"LinearAxis"}],"root_ids":["89932941-f4bc-42ad-a41e-dcc2af3f99fa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9ce5784e-0ec0-4141-b8c0-456c3284c751","elementid":"a1834b91-83e6-4489-8614-76f61efec359","modelid":"89932941-f4bc-42ad-a41e-dcc2af3f99fa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
