(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3dbb5d65-201d-469a-bb60-270d6847af86");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3dbb5d65-201d-469a-bb60-270d6847af86' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e657d8b7-d61f-41eb-b356-d38d2f18dd21":{"roots":{"references":[{"attributes":{},"id":"d8321279-95a7-4be2-a712-8736ff9ce48b","type":"LinearScale"},{"attributes":{"formatter":{"id":"9be1329c-ca63-4d6b-af28-f3926c0aac0b","type":"BasicTickFormatter"},"plot":{"id":"aeac92c4-3738-43f9-b4f8-38602b5c41b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"454cd827-ef83-473b-8517-625b68bafbe0","type":"BasicTicker"}},"id":"50477fbe-1397-4a40-b168-149d9685aeec","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"aeac92c4-3738-43f9-b4f8-38602b5c41b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"454cd827-ef83-473b-8517-625b68bafbe0","type":"BasicTicker"}},"id":"c38b809f-22b0-4d99-80e2-c12f35db5052","type":"Grid"},{"attributes":{"below":[{"id":"0a91ba73-59b0-42f6-a942-8cb0c91d2f92","type":"LinearAxis"}],"left":[{"id":"50477fbe-1397-4a40-b168-149d9685aeec","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0a91ba73-59b0-42f6-a942-8cb0c91d2f92","type":"LinearAxis"},{"id":"892d4130-e286-4e10-b1ce-b9d12e056d7f","type":"Grid"},{"id":"50477fbe-1397-4a40-b168-149d9685aeec","type":"LinearAxis"},{"id":"c38b809f-22b0-4d99-80e2-c12f35db5052","type":"Grid"},{"id":"fa059fdf-46e4-4a9d-afc8-bf519f0d5dec","type":"BoxAnnotation"},{"id":"f776c634-53b4-4e85-a8c2-3b658d51b835","type":"GlyphRenderer"}],"title":{"id":"d80d5d2f-7d61-46f1-8fc5-43fa0fff6c3c","type":"Title"},"toolbar":{"id":"00068d78-94e0-4bab-b1e0-f3101de53497","type":"Toolbar"},"x_range":{"id":"ebb54a05-b848-4e57-970e-b5a72e016b6a","type":"DataRange1d"},"x_scale":{"id":"1cb12d9a-12bc-43c7-b7d2-d09a7dee747a","type":"LinearScale"},"y_range":{"id":"28070bd2-cd06-4dbf-9d92-af85fc0d3193","type":"DataRange1d"},"y_scale":{"id":"d8321279-95a7-4be2-a712-8736ff9ce48b","type":"LinearScale"}},"id":"aeac92c4-3738-43f9-b4f8-38602b5c41b4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9be1329c-ca63-4d6b-af28-f3926c0aac0b","type":"BasicTickFormatter"},{"attributes":{},"id":"7a1aeadf-4053-45ff-885f-867b8c0f00bd","type":"HelpTool"},{"attributes":{"overlay":{"id":"fa059fdf-46e4-4a9d-afc8-bf519f0d5dec","type":"BoxAnnotation"}},"id":"868f5a6a-17f4-4b73-8fbd-6449c5c8c4b1","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fa059fdf-46e4-4a9d-afc8-bf519f0d5dec","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"9b251410-78e2-42e0-b241-0af32d2c62db","type":"ColumnDataSource"},"glyph":{"id":"6c4186f8-f930-4838-a25c-cb0d03ba609c","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5250cc74-b583-4fac-b2bf-aba4f743c7fc","type":"Quad"},"selection_glyph":null,"view":{"id":"ba91fdaf-1052-4ef3-8c3a-8086e8d58fc1","type":"CDSView"}},"id":"f776c634-53b4-4e85-a8c2-3b658d51b835","type":"GlyphRenderer"},{"attributes":{},"id":"0e3d8bcf-bcf4-4e0a-abe0-8216af4b90a1","type":"WheelZoomTool"},{"attributes":{},"id":"d8f5a4b2-9a7e-4c89-bc55-a0dafe238080","type":"BasicTicker"},{"attributes":{},"id":"454cd827-ef83-473b-8517-625b68bafbe0","type":"BasicTicker"},{"attributes":{},"id":"65a3a79b-24f9-42cc-b249-dc2adccad552","type":"PanTool"},{"attributes":{"formatter":{"id":"923916b9-e311-4d01-b518-79264dae0290","type":"BasicTickFormatter"},"plot":{"id":"aeac92c4-3738-43f9-b4f8-38602b5c41b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8f5a4b2-9a7e-4c89-bc55-a0dafe238080","type":"BasicTicker"}},"id":"0a91ba73-59b0-42f6-a942-8cb0c91d2f92","type":"LinearAxis"},{"attributes":{},"id":"33c4570c-a277-4cad-934b-097f6d0d39e5","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"d80d5d2f-7d61-46f1-8fc5-43fa0fff6c3c","type":"Title"},{"attributes":{"callback":null},"id":"28070bd2-cd06-4dbf-9d92-af85fc0d3193","type":"DataRange1d"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"5250cc74-b583-4fac-b2bf-aba4f743c7fc","type":"Quad"},{"attributes":{"plot":{"id":"aeac92c4-3738-43f9-b4f8-38602b5c41b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8f5a4b2-9a7e-4c89-bc55-a0dafe238080","type":"BasicTicker"}},"id":"892d4130-e286-4e10-b1ce-b9d12e056d7f","type":"Grid"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"6c4186f8-f930-4838-a25c-cb0d03ba609c","type":"Quad"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"65a3a79b-24f9-42cc-b249-dc2adccad552","type":"PanTool"},{"id":"0e3d8bcf-bcf4-4e0a-abe0-8216af4b90a1","type":"WheelZoomTool"},{"id":"868f5a6a-17f4-4b73-8fbd-6449c5c8c4b1","type":"BoxZoomTool"},{"id":"aa6cfa55-7159-44f7-96cc-7347dfa47acd","type":"SaveTool"},{"id":"33c4570c-a277-4cad-934b-097f6d0d39e5","type":"ResetTool"},{"id":"7a1aeadf-4053-45ff-885f-867b8c0f00bd","type":"HelpTool"}]},"id":"00068d78-94e0-4bab-b1e0-f3101de53497","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"9b251410-78e2-42e0-b241-0af32d2c62db","type":"ColumnDataSource"},{"attributes":{},"id":"1cb12d9a-12bc-43c7-b7d2-d09a7dee747a","type":"LinearScale"},{"attributes":{"callback":null},"id":"ebb54a05-b848-4e57-970e-b5a72e016b6a","type":"DataRange1d"},{"attributes":{},"id":"aa6cfa55-7159-44f7-96cc-7347dfa47acd","type":"SaveTool"},{"attributes":{},"id":"923916b9-e311-4d01-b518-79264dae0290","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"9b251410-78e2-42e0-b241-0af32d2c62db","type":"ColumnDataSource"}},"id":"ba91fdaf-1052-4ef3-8c3a-8086e8d58fc1","type":"CDSView"}],"root_ids":["aeac92c4-3738-43f9-b4f8-38602b5c41b4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e657d8b7-d61f-41eb-b356-d38d2f18dd21","elementid":"3dbb5d65-201d-469a-bb60-270d6847af86","modelid":"aeac92c4-3738-43f9-b4f8-38602b5c41b4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
