(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ee0a2842-abc7-46bd-b539-6bda1b0a7dbc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ee0a2842-abc7-46bd-b539-6bda1b0a7dbc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9dfe9b1f-f390-4288-924c-78c17acfeb54":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2d92c92f-9533-4ae3-b9fb-57e894dd3265","type":"PanTool"},{"id":"e3c22fef-a7ca-4ceb-b4f8-3795e134ae59","type":"WheelZoomTool"},{"id":"fda67c80-4207-458e-90e4-e38e2d3b601b","type":"BoxZoomTool"},{"id":"7c3f31cf-fda1-45f1-912c-9b26801a3de8","type":"SaveTool"},{"id":"d6085632-55e0-4598-992a-830e45e630d8","type":"ResetTool"},{"id":"2a5ad84d-c32d-4c1a-b648-ee010808a927","type":"HelpTool"}]},"id":"1d09f23e-6ea2-46be-9106-7a63f35ba9cf","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"373d1e8a-b931-42f2-84bf-1d38942754f6","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"981def30-77e4-4652-9adc-960e49d833f3","type":"BoxAnnotation"}},"id":"fda67c80-4207-458e-90e4-e38e2d3b601b","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"33e30af0-7e7d-4a36-b208-3d98749c5da3","type":"LinearAxis"}],"left":[{"id":"44e128a2-cfd1-46dd-beb9-686f28c6a118","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"33e30af0-7e7d-4a36-b208-3d98749c5da3","type":"LinearAxis"},{"id":"13488226-adcc-4398-abf1-87d7d80e09a5","type":"Grid"},{"id":"44e128a2-cfd1-46dd-beb9-686f28c6a118","type":"LinearAxis"},{"id":"e692e6de-c02e-4e62-a638-651b63510ce9","type":"Grid"},{"id":"3d949143-c691-4264-9fa0-4fcc95aa1afc","type":"BoxAnnotation"},{"id":"cf7d9839-9470-485b-b559-f60fecde1b0e","type":"GlyphRenderer"}],"title":{"id":"4a30229a-06bb-4f20-b0d9-df28faa0119c","type":"Title"},"toolbar":{"id":"a6c96325-2d49-47cb-9b1f-6156192a2008","type":"Toolbar"},"x_range":{"id":"3c6d4d6c-6654-4918-878f-4e1ba1751057","type":"DataRange1d"},"x_scale":{"id":"8b20da5c-a1e4-4702-bf83-1d44e78d19ee","type":"LinearScale"},"y_range":{"id":"f370580c-9595-4c20-9b24-e616060700ad","type":"DataRange1d"},"y_scale":{"id":"14701376-2afe-47ea-97f4-d71ecd9b0455","type":"LinearScale"}},"id":"6a1e4bbb-ddd0-4906-ba7f-c9b69182720d","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"d31d45fe-20ad-4b40-93f9-edbdc3b08a99","type":"Line"},{"attributes":{"formatter":{"id":"c64f7570-8b6c-44b6-8abd-6db86e12e369","type":"BasicTickFormatter"},"plot":{"id":"6a1e4bbb-ddd0-4906-ba7f-c9b69182720d","subtype":"Figure","type":"Plot"},"ticker":{"id":"44e917df-4d4e-405e-979f-08b764f5381d","type":"BasicTicker"}},"id":"44e128a2-cfd1-46dd-beb9-686f28c6a118","type":"LinearAxis"},{"attributes":{},"id":"8b20da5c-a1e4-4702-bf83-1d44e78d19ee","type":"LinearScale"},{"attributes":{},"id":"c78e765d-6ce9-4d09-8741-9071ea8f3f96","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"c247c2ce-7413-449c-b1e5-c8bc118cf7d7","type":"BasicTickFormatter"},"plot":{"id":"f3f57138-ba47-47dc-bb03-360e24ad3ffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"13b653b3-7f8f-4604-991d-444e73bad215","type":"BasicTicker"}},"id":"c8624592-21da-411b-be33-8b64229e9710","type":"LinearAxis"},{"attributes":{"overlay":{"id":"3d949143-c691-4264-9fa0-4fcc95aa1afc","type":"BoxAnnotation"}},"id":"7c5fca1f-6996-4848-900a-52e2517a1a2f","type":"BoxZoomTool"},{"attributes":{},"id":"2d92c92f-9533-4ae3-b9fb-57e894dd3265","type":"PanTool"},{"attributes":{},"id":"987b9733-5aa0-4284-bc90-89470f7235b6","type":"LinearScale"},{"attributes":{},"id":"c64f7570-8b6c-44b6-8abd-6db86e12e369","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"6a1e4bbb-ddd0-4906-ba7f-c9b69182720d","subtype":"Figure","type":"Plot"},"ticker":{"id":"44e917df-4d4e-405e-979f-08b764f5381d","type":"BasicTicker"}},"id":"e692e6de-c02e-4e62-a638-651b63510ce9","type":"Grid"},{"attributes":{},"id":"74609e91-3e19-474f-8206-6dec12a0e205","type":"BasicTicker"},{"attributes":{},"id":"725571e6-b20a-4ee4-b9c5-09c3e328f05a","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"7033b402-e286-4f41-8755-dd74a37b8e69","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"f3f57138-ba47-47dc-bb03-360e24ad3ffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"efbf0a54-e70c-4bac-b359-9f2f373b33bc","type":"BasicTicker"}},"id":"e063acb7-5100-4cf3-9f22-8e12ad153919","type":"Grid"},{"attributes":{"source":{"id":"7033b402-e286-4f41-8755-dd74a37b8e69","type":"ColumnDataSource"}},"id":"9bf97a06-9227-4516-a4d7-197bcc8e1f1d","type":"CDSView"},{"attributes":{},"id":"95b17be5-3b31-439c-8e1c-d689f8bda1cd","type":"LinearScale"},{"attributes":{"plot":{"id":"6a1e4bbb-ddd0-4906-ba7f-c9b69182720d","subtype":"Figure","type":"Plot"},"ticker":{"id":"74609e91-3e19-474f-8206-6dec12a0e205","type":"BasicTicker"}},"id":"13488226-adcc-4398-abf1-87d7d80e09a5","type":"Grid"},{"attributes":{"below":[{"id":"c8624592-21da-411b-be33-8b64229e9710","type":"LinearAxis"}],"left":[{"id":"bd4dc3e8-623a-470d-88f0-f6cd030db1b5","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c8624592-21da-411b-be33-8b64229e9710","type":"LinearAxis"},{"id":"3a21f4a1-0c62-4474-9525-f5d280d4c18f","type":"Grid"},{"id":"bd4dc3e8-623a-470d-88f0-f6cd030db1b5","type":"LinearAxis"},{"id":"e063acb7-5100-4cf3-9f22-8e12ad153919","type":"Grid"},{"id":"981def30-77e4-4652-9adc-960e49d833f3","type":"BoxAnnotation"},{"id":"96798c75-69cd-4683-9428-c8f45e733678","type":"GlyphRenderer"}],"title":{"id":"9184046b-0614-4248-bfe6-e6354cac6d44","type":"Title"},"toolbar":{"id":"1d09f23e-6ea2-46be-9106-7a63f35ba9cf","type":"Toolbar"},"x_range":{"id":"be2c596c-4b0c-4e54-af16-691798540600","type":"DataRange1d"},"x_scale":{"id":"95b17be5-3b31-439c-8e1c-d689f8bda1cd","type":"LinearScale"},"y_range":{"id":"610c958c-9698-4648-beda-6e33bf904ee4","type":"DataRange1d"},"y_scale":{"id":"987b9733-5aa0-4284-bc90-89470f7235b6","type":"LinearScale"}},"id":"f3f57138-ba47-47dc-bb03-360e24ad3ffc","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"8bebe047-c940-4422-98eb-d763bba626cc","type":"Line"},{"attributes":{},"id":"a56ae79d-cc5e-4b63-b96c-c34696ae06da","type":"ResetTool"},{"attributes":{},"id":"14701376-2afe-47ea-97f4-d71ecd9b0455","type":"LinearScale"},{"attributes":{"data_source":{"id":"7033b402-e286-4f41-8755-dd74a37b8e69","type":"ColumnDataSource"},"glyph":{"id":"d31d45fe-20ad-4b40-93f9-edbdc3b08a99","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8bebe047-c940-4422-98eb-d763bba626cc","type":"Line"},"selection_glyph":null,"view":{"id":"9bf97a06-9227-4516-a4d7-197bcc8e1f1d","type":"CDSView"}},"id":"cf7d9839-9470-485b-b559-f60fecde1b0e","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"8422207e-9bbf-488a-b5b9-2480dd6a6825","type":"BasicTickFormatter"},"plot":{"id":"f3f57138-ba47-47dc-bb03-360e24ad3ffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"efbf0a54-e70c-4bac-b359-9f2f373b33bc","type":"BasicTicker"}},"id":"bd4dc3e8-623a-470d-88f0-f6cd030db1b5","type":"LinearAxis"},{"attributes":{},"id":"870f885c-cf95-4ad7-8283-7b8c6e792fae","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"d06aab80-1d07-4bbb-ac55-2c320b24d18c","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"981def30-77e4-4652-9adc-960e49d833f3","type":"BoxAnnotation"},{"attributes":{},"id":"13b653b3-7f8f-4604-991d-444e73bad215","type":"BasicTicker"},{"attributes":{},"id":"3283d539-4f05-4632-ba2c-76b29b3aee92","type":"SaveTool"},{"attributes":{"source":{"id":"373d1e8a-b931-42f2-84bf-1d38942754f6","type":"ColumnDataSource"}},"id":"bfc92990-2f13-4580-9d2d-05be185afa8f","type":"CDSView"},{"attributes":{"child":{"id":"f3f57138-ba47-47dc-bb03-360e24ad3ffc","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"cd644e48-714c-4f2a-b175-b2e30879235b","type":"Panel"},{"attributes":{"callback":null},"id":"3c6d4d6c-6654-4918-878f-4e1ba1751057","type":"DataRange1d"},{"attributes":{},"id":"d6085632-55e0-4598-992a-830e45e630d8","type":"ResetTool"},{"attributes":{},"id":"44e917df-4d4e-405e-979f-08b764f5381d","type":"BasicTicker"},{"attributes":{"callback":null},"id":"610c958c-9698-4648-beda-6e33bf904ee4","type":"DataRange1d"},{"attributes":{},"id":"7c3f31cf-fda1-45f1-912c-9b26801a3de8","type":"SaveTool"},{"attributes":{"data_source":{"id":"373d1e8a-b931-42f2-84bf-1d38942754f6","type":"ColumnDataSource"},"glyph":{"id":"d06aab80-1d07-4bbb-ac55-2c320b24d18c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e4f629b7-70a6-451e-a453-49a9a6a4db73","type":"Circle"},"selection_glyph":null,"view":{"id":"bfc92990-2f13-4580-9d2d-05be185afa8f","type":"CDSView"}},"id":"96798c75-69cd-4683-9428-c8f45e733678","type":"GlyphRenderer"},{"attributes":{},"id":"c247c2ce-7413-449c-b1e5-c8bc118cf7d7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"tabs":[{"id":"cd644e48-714c-4f2a-b175-b2e30879235b","type":"Panel"},{"id":"9527d0ce-1aa7-4106-91d9-bfe1300c2630","type":"Panel"}]},"id":"4dd61108-a49f-452d-9688-1b67762161ba","type":"Tabs"},{"attributes":{},"id":"2a5ad84d-c32d-4c1a-b648-ee010808a927","type":"HelpTool"},{"attributes":{"callback":null},"id":"be2c596c-4b0c-4e54-af16-691798540600","type":"DataRange1d"},{"attributes":{"child":{"id":"6a1e4bbb-ddd0-4906-ba7f-c9b69182720d","subtype":"Figure","type":"Plot"},"title":"line"},"id":"9527d0ce-1aa7-4106-91d9-bfe1300c2630","type":"Panel"},{"attributes":{"plot":{"id":"f3f57138-ba47-47dc-bb03-360e24ad3ffc","subtype":"Figure","type":"Plot"},"ticker":{"id":"13b653b3-7f8f-4604-991d-444e73bad215","type":"BasicTicker"}},"id":"3a21f4a1-0c62-4474-9525-f5d280d4c18f","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"e4f629b7-70a6-451e-a453-49a9a6a4db73","type":"Circle"},{"attributes":{},"id":"e3c22fef-a7ca-4ceb-b4f8-3795e134ae59","type":"WheelZoomTool"},{"attributes":{},"id":"8422207e-9bbf-488a-b5b9-2480dd6a6825","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"4a30229a-06bb-4f20-b0d9-df28faa0119c","type":"Title"},{"attributes":{},"id":"f4b02f03-d34c-48a0-a3f3-ba234d4e8a9c","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3d949143-c691-4264-9fa0-4fcc95aa1afc","type":"BoxAnnotation"},{"attributes":{},"id":"efbf0a54-e70c-4bac-b359-9f2f373b33bc","type":"BasicTicker"},{"attributes":{"formatter":{"id":"725571e6-b20a-4ee4-b9c5-09c3e328f05a","type":"BasicTickFormatter"},"plot":{"id":"6a1e4bbb-ddd0-4906-ba7f-c9b69182720d","subtype":"Figure","type":"Plot"},"ticker":{"id":"74609e91-3e19-474f-8206-6dec12a0e205","type":"BasicTicker"}},"id":"33e30af0-7e7d-4a36-b208-3d98749c5da3","type":"LinearAxis"},{"attributes":{"callback":null},"id":"f370580c-9595-4c20-9b24-e616060700ad","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"9184046b-0614-4248-bfe6-e6354cac6d44","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f4b02f03-d34c-48a0-a3f3-ba234d4e8a9c","type":"PanTool"},{"id":"c78e765d-6ce9-4d09-8741-9071ea8f3f96","type":"WheelZoomTool"},{"id":"7c5fca1f-6996-4848-900a-52e2517a1a2f","type":"BoxZoomTool"},{"id":"3283d539-4f05-4632-ba2c-76b29b3aee92","type":"SaveTool"},{"id":"a56ae79d-cc5e-4b63-b96c-c34696ae06da","type":"ResetTool"},{"id":"870f885c-cf95-4ad7-8283-7b8c6e792fae","type":"HelpTool"}]},"id":"a6c96325-2d49-47cb-9b1f-6156192a2008","type":"Toolbar"}],"root_ids":["4dd61108-a49f-452d-9688-1b67762161ba"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9dfe9b1f-f390-4288-924c-78c17acfeb54","elementid":"ee0a2842-abc7-46bd-b539-6bda1b0a7dbc","modelid":"4dd61108-a49f-452d-9688-1b67762161ba"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
