(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7b337db7-42ab-484c-816e-67294fffb09a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7b337db7-42ab-484c-816e-67294fffb09a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ba5b4529-9742-45bd-bc8c-2d72c9c9c654":{"roots":{"references":[{"attributes":{},"id":"b1db95f2-bbe7-40d7-a021-6f06832713d0","type":"BasicTicker"},{"attributes":{"below":[{"id":"936ff7d6-ed0e-4401-b5c9-e66bacb0dd0a","type":"CategoricalAxis"}],"left":[{"id":"1edfff59-7c3f-4c49-9ba3-2289018f44e7","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"936ff7d6-ed0e-4401-b5c9-e66bacb0dd0a","type":"CategoricalAxis"},{"id":"0bf6e563-7657-4ec0-898d-4085a4cff7df","type":"Grid"},{"id":"1edfff59-7c3f-4c49-9ba3-2289018f44e7","type":"LinearAxis"},{"id":"24ca52e8-b0c1-4755-a560-2349be6383c6","type":"Grid"},{"id":"b00f8893-110b-4237-bfbe-075d9b04ec24","type":"GlyphRenderer"}],"title":{"id":"d2813c0c-f90a-4dc3-a6f9-b0bdba2c2d81","type":"Title"},"toolbar":{"id":"9e256d43-17fd-4054-953e-a2fc1dd254b2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f45a7420-2411-4564-96e5-6941dfc275f8","type":"FactorRange"},"x_scale":{"id":"fc5b6df0-4679-45ec-ac22-4372c5a0b263","type":"CategoricalScale"},"y_range":{"id":"f3bb4555-fef2-4238-97b1-11e7a850deaf","type":"DataRange1d"},"y_scale":{"id":"01ab8297-2575-498b-9434-23dde4fc60a3","type":"LinearScale"}},"id":"1b150972-9172-4154-9898-b72c11bb5951","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"caac348e-0c7a-4008-8ef9-2fbada4236c7","type":"VBar"},{"attributes":{"formatter":{"id":"911eb87a-e061-444e-a25d-521d06889da3","type":"BasicTickFormatter"},"plot":{"id":"1b150972-9172-4154-9898-b72c11bb5951","subtype":"Figure","type":"Plot"},"ticker":{"id":"b1db95f2-bbe7-40d7-a021-6f06832713d0","type":"BasicTicker"}},"id":"1edfff59-7c3f-4c49-9ba3-2289018f44e7","type":"LinearAxis"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"f45a7420-2411-4564-96e5-6941dfc275f8","type":"FactorRange"},{"attributes":{},"id":"fc5b6df0-4679-45ec-ac22-4372c5a0b263","type":"CategoricalScale"},{"attributes":{"data_source":{"id":"d697f1c7-9f29-4fea-8de7-de61baceab19","type":"ColumnDataSource"},"glyph":{"id":"561d11eb-33f5-49ac-ac58-e7d65af1240a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"caac348e-0c7a-4008-8ef9-2fbada4236c7","type":"VBar"},"selection_glyph":null,"view":{"id":"0223bd50-d11b-43fe-a923-e507fd8a84b5","type":"CDSView"}},"id":"b00f8893-110b-4237-bfbe-075d9b04ec24","type":"GlyphRenderer"},{"attributes":{"callback":null,"start":0},"id":"f3bb4555-fef2-4238-97b1-11e7a850deaf","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"1b150972-9172-4154-9898-b72c11bb5951","subtype":"Figure","type":"Plot"},"ticker":{"id":"b1db95f2-bbe7-40d7-a021-6f06832713d0","type":"BasicTicker"}},"id":"24ca52e8-b0c1-4755-a560-2349be6383c6","type":"Grid"},{"attributes":{},"id":"ac5f4bcd-829f-49e3-8840-505918c75707","type":"CategoricalTickFormatter"},{"attributes":{},"id":"01ab8297-2575-498b-9434-23dde4fc60a3","type":"LinearScale"},{"attributes":{},"id":"c0b5ea38-1b5a-4f5d-9622-b3dcf81c78e2","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"1b150972-9172-4154-9898-b72c11bb5951","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0b5ea38-1b5a-4f5d-9622-b3dcf81c78e2","type":"CategoricalTicker"}},"id":"0bf6e563-7657-4ec0-898d-4085a4cff7df","type":"Grid"},{"attributes":{"source":{"id":"d697f1c7-9f29-4fea-8de7-de61baceab19","type":"ColumnDataSource"}},"id":"0223bd50-d11b-43fe-a923-e507fd8a84b5","type":"CDSView"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"d2813c0c-f90a-4dc3-a6f9-b0bdba2c2d81","type":"Title"},{"attributes":{},"id":"911eb87a-e061-444e-a25d-521d06889da3","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"d697f1c7-9f29-4fea-8de7-de61baceab19","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"9e256d43-17fd-4054-953e-a2fc1dd254b2","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"561d11eb-33f5-49ac-ac58-e7d65af1240a","type":"VBar"},{"attributes":{"formatter":{"id":"ac5f4bcd-829f-49e3-8840-505918c75707","type":"CategoricalTickFormatter"},"plot":{"id":"1b150972-9172-4154-9898-b72c11bb5951","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0b5ea38-1b5a-4f5d-9622-b3dcf81c78e2","type":"CategoricalTicker"}},"id":"936ff7d6-ed0e-4401-b5c9-e66bacb0dd0a","type":"CategoricalAxis"}],"root_ids":["1b150972-9172-4154-9898-b72c11bb5951"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ba5b4529-9742-45bd-bc8c-2d72c9c9c654","elementid":"7b337db7-42ab-484c-816e-67294fffb09a","modelid":"1b150972-9172-4154-9898-b72c11bb5951"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
