(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ca3d0bc9-f221-4d1c-bd54-684a9efebc0a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ca3d0bc9-f221-4d1c-bd54-684a9efebc0a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b7bbeee5-7c67-4776-84e1-5200196c1326":{"roots":{"references":[{"attributes":{"source":{"id":"cbb60bda-ffc5-4cbc-a1b4-b431853f4f02","type":"ColumnDataSource"}},"id":"caf66c01-73d2-4968-9753-5cd75738d34b","type":"CDSView"},{"attributes":{"callback":null,"overlay":{"id":"7696a056-6c06-4b63-80b8-d2456595542a","type":"PolyAnnotation"}},"id":"95271788-6941-4637-8c52-0728b46a204e","type":"LassoSelectTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"5703a97c-9ce4-4a7e-8a63-2126f7574116","type":"Line"},{"attributes":{"plot":null,"text":"Select Here"},"id":"dc6eb439-ea8f-4312-a898-81ea592a2a2e","type":"Title"},{"attributes":{},"id":"edb9086a-b9ea-4d6a-854c-12b78db59433","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"fe628f8d-26b9-41d0-b64e-e5f65bda2cc9","type":"Line"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"field":"color"},"line_alpha":{"value":0.4},"line_color":{"field":"color"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"73ffa45d-9e15-4bd6-9815-4bef28661ac1","type":"Circle"},{"attributes":{},"id":"132a1b23-1882-4d40-8607-3190d919b33f","type":"BasicTickFormatter"},{"attributes":{},"id":"17c0a62c-4efc-4c07-b412-b6b6d4f5c769","type":"LinearScale"},{"attributes":{"formatter":{"id":"132a1b23-1882-4d40-8607-3190d919b33f","type":"BasicTickFormatter"},"plot":{"id":"8cddaead-7e83-4e2b-b164-ef609734495d","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a56d193-58c4-4ec1-9f8e-aded725398bf","type":"BasicTicker"}},"id":"978f0a4b-86d3-416c-99dc-5af95b9e0032","type":"LinearAxis"},{"attributes":{"data_source":{"id":"33294ee3-dfec-459b-a5dd-92afa800ef21","type":"ColumnDataSource"},"glyph":{"id":"73ffa45d-9e15-4bd6-9815-4bef28661ac1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"83d0d093-a5a4-4daf-8782-9f4ef5afbb6d","type":"Circle"},"selection_glyph":null,"view":{"id":"3281632b-e631-4127-8e40-d3f0d35462c1","type":"CDSView"}},"id":"6136a0cd-93bc-40f5-b591-5c2840af225c","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"83d0d093-a5a4-4daf-8782-9f4ef5afbb6d","type":"Circle"},{"attributes":{"callback":null},"id":"11440438-0df2-44da-9719-76eb68d390e9","type":"DataRange1d"},{"attributes":{},"id":"e21efd92-92d5-4ac9-83eb-375b15171682","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"cbb60bda-ffc5-4cbc-a1b4-b431853f4f02","type":"ColumnDataSource"},"glyph":{"id":"fe628f8d-26b9-41d0-b64e-e5f65bda2cc9","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5703a97c-9ce4-4a7e-8a63-2126f7574116","type":"Line"},"selection_glyph":null,"view":{"id":"caf66c01-73d2-4968-9753-5cd75738d34b","type":"CDSView"}},"id":"6de33bd0-923f-4f81-97f6-faae2f8b8728","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"e21efd92-92d5-4ac9-83eb-375b15171682","type":"BasicTickFormatter"},"plot":{"id":"8cddaead-7e83-4e2b-b164-ef609734495d","subtype":"Figure","type":"Plot"},"ticker":{"id":"edb9086a-b9ea-4d6a-854c-12b78db59433","type":"BasicTicker"}},"id":"b6f03a6f-8f88-43db-910c-372d252bf5fa","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"8cddaead-7e83-4e2b-b164-ef609734495d","subtype":"Figure","type":"Plot"},"ticker":{"id":"7a56d193-58c4-4ec1-9f8e-aded725398bf","type":"BasicTicker"}},"id":"a0e3d67f-6650-49cb-831a-27a212427265","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","ym"],"data":{"x":[0,1],"ym":[0.5,0.5]}},"id":"cbb60bda-ffc5-4cbc-a1b4-b431853f4f02","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"95271788-6941-4637-8c52-0728b46a204e","type":"LassoSelectTool"}]},"id":"5d69053c-d0ea-470a-b564-b6c5fe713a93","type":"Toolbar"},{"attributes":{"callback":{"id":"bea72df3-084f-4383-9d5a-d8611342081a","type":"CustomJS"},"column_names":["color","y","x"],"data":{"color":["navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy"],"x":[0.47140134299514336,0.381306816546636,0.8966316960495543,0.4897482267089315,0.4535839763642795,0.8868830695430976,0.5606804381076701,0.4932607312116801,0.8127634864540277,0.5827878397850673,0.676465181950684,0.2708057895810757,0.5811355585079995,0.8661865090677094,0.5013097042858804,0.6249767019890764,0.501243523026937,0.4269362010094029,0.9236594331620918,0.7508579474367266,0.714785155646631,0.7937441205113456,0.8039386036584075,0.9625007721059716,0.2482266752527028,0.4835501837728007,0.3873299140988541,0.10619302684702614,0.2707988551710515,0.2827501541935823,0.15973244935350905,0.6402534882329047,0.5390037073202767,0.7795225960867381,0.6968263473788915,0.9877723104562696,0.808079803231415,0.9630066633884082,0.422713696260514,0.2858400952551273,0.24528378320617172,0.5021033735284803,0.5172481721514354,0.7540668843760344,0.17377835024418364,0.08654173959989464,0.9476178811969,0.10819124194121443,0.4673545780553744,0.3967809123834729,0.9381875157541951,0.3899221819102936,0.4805323759818143,0.484485902738367,0.9261657500901871,0.8173574625807513,0.4814914296348525,0.31652494684242427,0.9204068782674301,0.140045864269149,0.4577080404055488,0.9920735086261094,0.14111470065791565,0.7117707695755687,0.8329465698669913,0.9793483333098888,0.6693445421217208,0.7725436942016006,0.1664489139001526,0.5783244058928064,0.7027567301830276,0.07040600557947829,0.85167202589451,0.8706064997982228,0.2979049994726407,0.9817062356147992,0.24033827124888696,0.8329275999015567,0.43809815165255805,0.04297428698740913,0.9647254665994205,0.4692214840741298,0.807800481089257,0.8412398114695439,0.524754592652361,0.020881310050496205,0.3177007693027609,0.3776568234626826,0.43438491426307924,0.7390018556812287,0.4910495553083942,0.16657449194319496,0.03035184700207938,0.29611631357023427,0.8364014285668053,0.24221136012002775,0.15283433746706743,0.23422104147879597,0.8771992577356408,0.17936005087955453,0.5588133422861877,0.36964615943088575,0.6686043046520698,0.6951240295340436,0.38878710307170805,0.6837263201080886,0.8375435627015755,0.5746318940401292,0.7709529074117727,0.07728698462144312,0.6846310042177077,0.8309432656960243,0.8950030562632258,0.11910225956729958,0.9173743590691551,0.08192434907936152,0.06201526846162164,0.22300364441149378,0.09621594146233259,0.10165611248461925,0.7437703875552508,0.008232556185346573,0.381114972945084,0.9233638984372814,0.6948414479024048,0.30925439347367256,0.09734015834476162,0.9588683210203595,0.7981038938912653,0.2201382952569899,0.593466169884625,0.7788354636668569,0.1278274475978025,0.7913219545195148,0.39256419376448093,0.20166678154668138,0.8388099538525706,0.7580679921532546,0.319412722868778,0.09079438227738679,0.6028093803818414,0.9116886767334739,0.9681026961329231,0.5940599920673487,0.19819561596520463,0.22639829566862346,0.4831068412393428,0.4217020948533464,0.23476703868695403,0.1776365593342757,0.11451972601925642,0.5671177821284052,0.293135614938426,0.5737677288709918,0.16752367909026022,0.33760152578671054,0.5948187309881371,0.39340981866528946,0.9910854202785567,0.6840438391312805,0.3983552175668442,0.9646864314121938,0.8926386527974709,0.7814459053355755,0.515946862558212,0.34036649382404016,0.014347192034316225,0.2331124747571871,0.7806761479359585,0.8740019912942136,0.2970608969126841,0.8506026830513369,0.7584487382801988,0.8050789141248721,0.10789919928531122,0.2534316556933961,0.46717859319527,0.008201381367177851,0.03888192728381579,0.24217913326053309,0.44693577153134134,0.9459545506320435,0.798542293084084,0.5089142081994951,0.5325767803542485,0.3785517049960876,0.4436434163580386,0.9091074910039494,0.8076137964772219,0.3771384437523433,0.439380620518232,0.7418183912937312,0.5367756628216196,0.3420538750160982,0.7829785303785547,0.8273869880340432,0.16391723103052447,0.10126364807998178,0.34597389549406754,0.9729222391822725,0.04499779518006952,0.7102229445771894,0.9368733398377193,0.35161209296799356,0.70445151223661,0.5489101433443548,0.5677694810929318,0.06582914240332327,0.440896185679598,0.8321974692950429,0.509010589437398,0.9519417345745408,0.21631821956923813,0.28068873913221115,0.1540263227183145,0.8024676915488984,0.7471383152883967,0.5747500977772216,0.07685885539117632,0.8438804560099158,0.800163105812312,0.9398077210589024,0.9192816148181905,0.20857609515288877,0.34613488349723776,0.3342459998719062,0.8302195134804016,0.7658241006452665,0.9660506159939513,0.9888221540048997,0.9161744248907555,0.9973729792161793,0.47276048196678433,0.1857796946991841,0.6816182554019072,0.6107721692325812,0.9831779322684552,0.4994934960731888,0.306643601523211,0.7690299330855043,0.4498158500028321,0.5536146536444696,0.22328945990888338,0.8450089608394137,0.4026077785337986,0.5478268097244606,0.12225961244443029,0.6282236591666542,0.61041523465614,0.27525697133522387,0.7391962189621075,0.11753962627093228,0.8292302345957123,0.9015389540594224,0.02523854767139544,0.986949448110712,0.16356376259675198,0.7602927306973237,0.15474203305749634,0.9802978669493809,0.8467679911175306,0.28572110432066267,0.23151816064146769,0.4203348579479008,0.06459567952400014,0.19874836637374071,0.4778050601676692,0.4088520670839294,0.21713159799911896,0.4774958956149554,0.07254098016607236,0.7429439010605994,0.17441178830464588,0.24765163968758064,0.13301451324940872,0.5332257448692704,0.3989243030985211,0.7193049994670553,0.6922104427889489,0.8907073349260859,0.017628155166406922,0.27830029594241146,0.5366351623528094,0.4555749836283869,0.31453604323662476,0.24568809073073006,0.6544192436773159,0.9211208307575253,0.0076655301918132634,0.39472668925835497,0.9094521207745633,0.6320953162131612,0.7408556005812317,0.9110655437479275,0.042909770812339154,0.6671712106955555,0.4766229351640652,0.613104099317593,0.7291210247642244,0.033363903347075174,0.5726781498410874,0.0096263284116902,0.9911782195573923,0.726990432626811,0.49724393598183747,0.5810399052304361,0.8060772442238514,0.9827227142173374,0.6507651413918237,0.17243833185532598,0.7769728426059278,0.8147869813452053,0.777428652805862,0.38265580388870557,0.589342618238093,0.8425197026155333,0.6112240313931115,0.3514346327907789,0.39159888565158774,0.4533417171812941,0.13186130253235107,0.4802193463083001,0.20412366965662998,0.3831036275477506,0.15270092451024075,0.5687997334063044,0.23108299888088857,0.827188493515902,0.5256456894717128,0.648222078137683,0.09751225121143825,0.6128167487770918,0.7307815825158696,0.15929674390335968,0.349077426393957,0.42491637891774436,0.9326278260485565,0.370668530341817,0.3819702244581886,0.4442428810310036,0.35007343508809974,0.3981039951185701,0.5537040344952673,0.474888011748122,0.596334286761362,0.9351007388066364,0.19129037445395525,0.4585433386665324,0.24177721129671748,0.6617439879890329,0.09812762874173409,0.9071866439083466,0.819387681560227,0.4432029621055228,0.21563302309207855,0.13267945912269397,0.8475312568876462,0.3101332802405443,0.9655301123616638,0.5140697903324756,0.004742583209925044,0.9352981822655009,0.26861470041820423,0.6159150618937594,0.9191839378907933,0.28171649269582066,0.5748237927744795,0.6228998732800536,0.11496950420610741,0.49488822557829326,0.8684974531015476,0.8677464069176424,0.09089292016930162,0.6158466737156024,0.6542177809271458,0.887512292599044,0.09106997513999127,0.8107224662667425,0.9037169698295687,0.4012699783038465,0.7067082309854331,0.7584612524336168,0.5570685811824015,0.8930299870712793,0.3884021429897102,0.296860101925971,0.5285891129271016,0.5310594783141616,0.9007891064364261,0.16387541778578785,0.12845469872771642,0.06867047662133863,0.5792932100351783,0.64096829359534,0.3311507900260202,0.3452595541940676,0.590533851990724,0.8603175933615257,0.8094916793691507,0.7719612983034925,0.8126547772990165,0.4047145826681997,0.8624459977658328,0.11522751776038476,0.03033275937393487,0.16340861945644247,0.8458156284436736,0.33233044496508524,0.012815628295043346,0.6554831293059874,0.8977328464079983,0.9844476958629657,0.7442815988827134,0.46758334335606866,0.035236800199383245,0.759153045275898,0.9026578149576001,0.822354558887904,0.19845784003233835,0.8796439281057633,0.8441458962495022,0.4377835861801196,0.4034858192663787,0.6897562297006117,0.8531851744001048,0.957181630597304,0.3385945657100279,0.6561779434453934,0.2081042144790326,0.4165195942242067,0.8165313366394767,0.8491362786399438,0.3779088386519762,0.8394036233258935,0.8173698799536825,0.23836007645120783,0.17096482522247403,0.5617349273704764,0.6329660741777667,0.7621755063063619,0.18731426296031406,0.7996855841277325,0.7133918354502036,0.6219920028340609,0.5760617706341563,0.2746196969642063,0.26760987065517383,0.6269195434169657,0.01992243410723027,0.1870648796801695,0.2708933807575191,0.31891480876191125,0.67187590498846,0.908821910801176,0.9796317857716047,0.15764218718095868,0.40416785271366373,0.8354043689938048,0.3504889552439415,0.06234013783281023,0.08563883252209603,0.7324912602940694,0.7711093098972798,0.6062094386563569,0.06412258875649057,0.9772487211457903,0.3896516938116441,0.9822381970764946,0.5570233352903027,0.8905084964431531,0.35425834973505554,0.953724392079235,0.1752512365281419,0.6960114060587763,0.541157835918856,0.46917687852460965,0.17126377413820415,0.8093952022547909,0.2802949031736326,0.5330134054650918,0.6471030637240545,0.21722909273647173,0.503885927478607,0.011919786040710756,0.6117362609439893,0.13643901106619516,0.7250753639695883,0.0028902896536864287,0.1553194641851855,0.9154834974520202,0.12619508410784308,0.2517842092053616,0.8855652885896654,0.05371342921673927,0.3316161244826069,0.570010189140815,0.9359723412840683,0.7881862167424386,0.1427627134410696,0.9105283008049766],"y":[0.11682865860892166,0.0005418487452258924,0.4076582694797578,0.7917626434803091,0.7352996774616122,0.8894272503186316,0.3231714443938556,0.0012732456110262635,0.4101608214203847,0.21222046252615712,0.5115403595636449,0.03755395114056448,0.021889646168222088,0.2678452351727665,0.6420835949652427,0.7077225950569114,0.4531629835455062,0.3533137937595312,0.9287311064862802,0.6719404320878288,0.36788116817554073,0.29040548689571355,0.5792372202113637,0.465194932778507,0.3280307021405474,0.377227547109262,0.5632947336595153,0.7840191463615112,0.3592492315434981,0.7436489129194472,0.20572706757426018,0.6369372764383555,0.3253761211520396,0.14407420289398143,0.059408282023888925,0.46947579897522274,0.4632983752851987,0.5409647706166506,0.8563991409924039,0.8154742143598529,0.28175315840945003,0.4122704063765218,0.45458475590509173,0.2046767389779688,0.3747031902243909,0.29142540364962644,0.3063294499834722,0.7957671645353994,0.23352039637175326,0.8014201096886234,0.8508914544068538,0.8218124714767465,0.25358319276136365,0.12432845711591445,0.7819836902129779,0.9650182453685072,0.5990689490380918,0.57568913457603,0.047731983656403076,0.7020270209658731,0.18006617855446283,0.8387645628615749,0.10953802153038861,0.9862783340724763,0.21240892363401298,0.5141102570405269,0.5451875847890622,0.1240420320202158,0.3855367078173415,0.26142481104666926,0.429790577469487,0.05110900974647159,0.22414382764020058,0.3437175607861127,0.04824591616693685,0.407886254210589,0.8211926071012153,0.2689802282190148,0.12045999169764365,0.46063116427753414,0.8793526728086098,0.008782430370681271,0.7357059105910335,0.7567444184950505,0.26056899781219145,0.059379035496633814,0.20613526955675143,0.6231330127057705,0.8041897130482835,0.9760790596545418,0.8036823096109659,0.17311440307434367,0.9540249510581953,0.3201229318125365,0.5359292016802569,0.6293361826604345,0.3627184508982152,0.13972939993625233,0.11189962773043949,0.9158083275961483,0.245384613668007,0.9246622319674408,0.6447956803376648,0.5062584810853491,0.8954714619057154,0.15591835143223842,0.4979622824268428,0.043296420241593414,0.4747075531409991,0.08329216746382062,0.6082282691556354,0.8650607666051204,0.582035570328448,0.8669242377445983,0.795080851454462,0.14876133403234693,0.06462762640941688,0.6110181302321148,0.46207302724021804,0.9066669934902402,0.5604153259328346,0.9858059953090217,0.07195239382877516,0.5936028763444602,0.12126921075380925,0.7334704742481267,0.8748485569859893,0.8584287732237402,0.06696229859125813,0.16576555133923154,0.9186459113626649,0.6347938522301194,0.3907903605525127,0.6726138222648439,0.23408357127258683,0.5240684511070407,0.5929281873428632,0.9432852907785163,0.28880269827386573,0.2260862249526716,0.33793101601217446,0.8696111011074992,0.8220220033744813,0.7278531943429726,0.4125493199448107,0.24360810057090032,0.7421053968781373,0.98535182082124,0.8425182067740596,0.9446214332491297,0.9327368493225603,0.6380351105644094,0.41985250063854773,0.3831929794341389,0.8961712075071793,0.1909872927135774,0.19268242337452834,0.7797849311661167,0.6620273339027488,0.8949830521017532,0.7694361317980153,0.8824888808156117,0.29059252070798025,0.39763508002071635,0.9860716143246089,0.6191185651215266,0.06389046444600521,0.5150541790882136,0.6804886964365734,0.07599952562565038,0.8573697414444605,0.1284458713357549,0.8417252125184232,0.18466641775438963,0.4492774309727169,0.360194125813204,0.6727722280575182,0.3714422268622475,0.43385179742445146,0.6906677798490842,0.5952284608256223,0.9817009837355861,0.5576450992556015,0.09892006874486581,0.5539653469512369,0.4751725980533812,0.20848065730732213,0.04573600615247331,0.8598395138991449,0.18475748982623696,0.9711580467801267,0.6647829227435537,0.00182753077248754,0.5037558834971279,0.6225585192437239,0.07670568882158979,0.8915794486229898,0.40894738717867596,0.3167869012600455,0.8861176694742138,0.8946262899271186,0.6540305415231077,0.7439541299679726,0.6735162767142276,0.4756103288290435,0.8927891276327181,0.1800489738291121,0.026373380932364188,0.32646722507293946,0.9372407476311939,0.42141666927821175,0.30540353531254794,0.2693851661947799,0.9810878532759247,0.5133625640092774,0.40759344037251566,0.013290514713381274,0.627642217840331,0.13982444196091048,0.4959772881905359,0.05547753502911246,0.6946332405260148,0.010505002925909057,0.42083392355748983,0.34673207294795305,0.12402628624299483,0.46802120312323536,0.023491758222368597,0.6340913659587543,0.22347657375357033,0.4344257190427494,0.865502484564283,0.9661499136212484,0.11304436863330147,0.4428687269073953,0.569031269080621,0.988390792224877,0.6589549459225718,0.23273199255502985,0.9804862253164277,0.6514186403480732,0.35156762681522014,0.0389745676091281,0.49520641808444443,0.06251802164848463,0.03742699784558612,0.7793027096184455,0.7479909122124148,0.6398831807853161,0.22601773181927598,0.7211569976495044,0.48107089757590515,0.16137753997076454,0.5576451083368852,0.16746427907515693,0.6975997190160517,0.9014411002543709,0.3019956519701046,0.6007204302482174,0.8100310714275082,0.43244530002147685,0.8625886980493837,0.7079580642378471,0.20062351001329892,0.019014216298645192,0.06873152834234486,0.6557791713107569,0.22445422271364512,0.3360405088570978,0.018792966462045757,0.9883111224515654,0.09906608167825093,0.649818754386181,0.5764427009154899,0.02361992868936702,0.07599825543623251,0.42688345550916107,0.10613647758961542,0.9376385551835902,0.04002829107287442,0.3034256600599544,0.10602298198864357,0.9069085144719038,0.976222692621853,0.4427340106865806,0.5785393519954068,0.11150001950193289,0.8735110920079628,0.8827335073631898,0.5248763878010912,0.793516234352017,0.007491522491891223,0.06433441051634059,0.005592770196580665,0.9037336748745723,0.6893130071313545,0.9266799921351515,0.7162422935162437,0.7165091373309503,0.31310545428641257,0.527301439722664,0.9343450494971818,0.18386415377005694,0.82091773336194,0.9270416022963942,0.40542034135253857,0.678680819091036,0.24237904489866735,0.5850761558233921,0.42826666285907367,0.7494667266606114,0.3929155093824216,0.42823340889360484,0.8783253583329851,0.5960138321030654,0.6589917836577738,0.8162750837997312,0.46245547982761337,0.3449935957397755,0.4119545246620202,0.08246308438252992,0.5851489442317118,0.5618590211318347,0.45821374705297613,0.39981530894899586,0.05809851150721923,0.6886773188179371,0.3372723708803683,0.809340062086438,0.7679791235962015,0.6332153251879364,0.6233617096525905,0.8760234856313304,0.8597485859754287,0.03127582903984227,0.35289910471748953,0.767883969442436,0.3186292402274452,0.269264332773856,0.8662797826257979,0.5765245935018384,0.05520392165472798,0.8211197340749702,0.2395776699358858,0.7764850145383468,0.4142170466255085,0.3659044895086415,0.6780426283713953,0.7455801792225029,0.34456596005759,0.9480408139245068,0.4301253393647976,0.3671728209536427,0.6488351556820204,0.603307128017327,0.32214835841396916,0.8218840698000021,0.30499841294568375,0.9705951369490016,0.4752868659746289,0.8517806594105855,0.3654702143571614,0.3369469130072784,0.8580837779934936,0.5510118460177158,0.08660423692486963,0.8044204903224685,0.547424559934259,0.7648827449447639,0.22364345527283247,0.8427558383369113,0.0914504160112648,0.24640455611292333,0.8471900044979775,0.029097251404241686,0.17869008817467835,0.5821447935721484,0.9378210098095505,0.5724065380170322,0.08678053633271354,0.4593669323856272,0.442193699375666,0.5282256764006973,0.14483391832470316,0.9728306982832999,0.337880214663396,0.2022738903346739,0.5377707707635091,0.22265894737877623,0.006473789428328214,0.5441162814417191,0.9521877084388468,0.9072314300506854,0.5523001104365421,0.487580470255741,0.6027346633841627,0.6156889013125938,0.9563501157770707,0.866491992051688,0.1936002781157502,0.9213703647173982,0.5528564483716031,0.24534549859586208,0.02596095513321095,0.24556230016006608,0.05550843952006779,0.4928719326907328,0.575655825381031,0.6872155308662379,0.6276399895127496,0.09254285558730857,0.5861191741683195,0.19550485737887913,0.9090752950636314,0.8353768244800968,0.23540839540180603,0.6751151436986252,0.7125987762758531,0.030474657429804264,0.37524286008207197,0.585928496540481,0.56774310411464,0.878466117426827,0.18130766014172695,0.9455040909826503,0.05273101219186993,0.3592643444555651,0.8629745654966972,0.21919996887704218,0.356269270482481,0.17314645357810976,0.3743688428341513,0.007213656004473323,0.35426082368847245,0.8723551213956522,0.9351544112757565,0.19698068271352842,0.32694564416639627,0.5952657136369058,0.6423653006762885,0.5465344137548477,0.7876320059633876,0.48496426763117595,0.516015897824702,0.901310806550371,0.12165850201635953,0.42741406156878303,0.760202552376172,0.939366989882236,0.6939478736056579,0.9994280679615515,0.19751805923485477,0.06597565512004666,0.2699332993620548,0.420371291483582,0.6591670130389949,0.7751816998913401,0.3612223862700801,0.46713114977770154,0.2809462652267435,0.7972272636891246,0.21547178908125342,0.6384618020537933,0.9791029276743444,0.8324211539159558,0.06270595817200175,0.2469255367861004,0.7682891692856394,0.1819936885933936,0.9709027812135638,0.21340284942851762,0.8403093017012297,0.714793502311415,0.4479360507781577,0.6124551633265842,0.6911504950900385,0.6355453524810217,0.9038065438215589,0.08505625681895035,0.22403263038871224,0.16037751387278332,0.7912098692956274,0.19424938548165138,0.018742244868417024,0.5603680464748734,0.27963016451038714,0.025118078662912602,0.4418338720774784,0.9861247586646478,0.5076223140820305,0.14389042654963702,0.5643009594386532,0.40487342633467605,0.7191017251967337,0.05799464994020731,0.572374059308473,0.4177758813383706,0.030806437877221926,0.6085330287360057,0.09585426360239502]}},"id":"33294ee3-dfec-459b-a5dd-92afa800ef21","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"2995a1ca-5974-4b34-94f5-782efd026108","type":"DataRange1d"},{"attributes":{"plot":{"id":"8cddaead-7e83-4e2b-b164-ef609734495d","subtype":"Figure","type":"Plot"},"ticker":{"id":"edb9086a-b9ea-4d6a-854c-12b78db59433","type":"BasicTicker"}},"id":"bbe525d4-fecd-48a5-8223-1a308915e698","type":"Grid"},{"attributes":{},"id":"7a56d193-58c4-4ec1-9f8e-aded725398bf","type":"BasicTicker"},{"attributes":{"source":{"id":"33294ee3-dfec-459b-a5dd-92afa800ef21","type":"ColumnDataSource"}},"id":"3281632b-e631-4127-8e40-d3f0d35462c1","type":"CDSView"},{"attributes":{},"id":"c6c3f77b-b3c9-4d73-9b38-6406ab1544a1","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"7696a056-6c06-4b63-80b8-d2456595542a","type":"PolyAnnotation"},{"attributes":{"below":[{"id":"b6f03a6f-8f88-43db-910c-372d252bf5fa","type":"LinearAxis"}],"left":[{"id":"978f0a4b-86d3-416c-99dc-5af95b9e0032","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b6f03a6f-8f88-43db-910c-372d252bf5fa","type":"LinearAxis"},{"id":"bbe525d4-fecd-48a5-8223-1a308915e698","type":"Grid"},{"id":"978f0a4b-86d3-416c-99dc-5af95b9e0032","type":"LinearAxis"},{"id":"a0e3d67f-6650-49cb-831a-27a212427265","type":"Grid"},{"id":"7696a056-6c06-4b63-80b8-d2456595542a","type":"PolyAnnotation"},{"id":"6136a0cd-93bc-40f5-b591-5c2840af225c","type":"GlyphRenderer"},{"id":"6de33bd0-923f-4f81-97f6-faae2f8b8728","type":"GlyphRenderer"}],"title":{"id":"dc6eb439-ea8f-4312-a898-81ea592a2a2e","type":"Title"},"toolbar":{"id":"5d69053c-d0ea-470a-b564-b6c5fe713a93","type":"Toolbar"},"x_range":{"id":"11440438-0df2-44da-9719-76eb68d390e9","type":"DataRange1d"},"x_scale":{"id":"17c0a62c-4efc-4c07-b412-b6b6d4f5c769","type":"LinearScale"},"y_range":{"id":"2995a1ca-5974-4b34-94f5-782efd026108","type":"DataRange1d"},"y_scale":{"id":"c6c3f77b-b3c9-4d73-9b38-6406ab1544a1","type":"LinearScale"}},"id":"8cddaead-7e83-4e2b-b164-ef609734495d","subtype":"Figure","type":"Plot"},{"attributes":{"args":{"s2":{"id":"cbb60bda-ffc5-4cbc-a1b4-b431853f4f02","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d = cb_obj.data;\n        var ym = 0\n\n        if (inds.length == 0) { return; }\n\n        for (i = 0; i < d['color'].length; i++) {\n            d['color'][i] = \"navy\"\n        }\n        for (i = 0; i < inds.length; i++) {\n            d['color'][inds[i]] = \"firebrick\"\n            ym += d['y'][inds[i]]\n        }\n\n        ym /= inds.length\n        s2.data['ym'] = [ym, ym]\n\n        cb_obj.change.emit();\n        s2.change.emit();\n    "},"id":"bea72df3-084f-4383-9d5a-d8611342081a","type":"CustomJS"}],"root_ids":["8cddaead-7e83-4e2b-b164-ef609734495d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b7bbeee5-7c67-4776-84e1-5200196c1326","elementid":"ca3d0bc9-f221-4d1c-bd54-684a9efebc0a","modelid":"8cddaead-7e83-4e2b-b164-ef609734495d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
