(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2a28ddfc-0401-4f3c-aa03-ab97d25673da");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2a28ddfc-0401-4f3c-aa03-ab97d25673da' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"aa25860f-617f-4f27-a46f-2b9f5c646bb7":{"roots":{"references":[{"attributes":{"source":{"id":"8171ccbf-565a-451a-b7a0-95c642579f0a","type":"ColumnDataSource"}},"id":"88bdcae6-0c2c-4b04-b70e-104d4efb378c","type":"CDSView"},{"attributes":{"plot":{"id":"0de3cbea-bdd5-4f81-bb56-734abcb600e7","subtype":"Figure","type":"Plot"},"ticker":{"id":"c96762ff-3bc7-4f90-90d7-d9265105fd75","type":"BasicTicker"}},"id":"540116cf-7807-4a3d-9231-7b3cd0d8911d","type":"Grid"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"3934fa58-81c9-4de0-b9c8-cbd851368f71","type":"Title"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"133364ff-ca4b-48ba-a4d6-9c10658399d3","type":"Circle"},{"attributes":{},"id":"1aa363e8-7bca-4268-b415-f2b453bf2f99","type":"BasicTickFormatter"},{"attributes":{},"id":"be806f7e-1121-4c60-93a9-122826c42763","type":"LinearScale"},{"attributes":{},"id":"eb7f7cdc-c982-42da-aa0d-9fcd9fe2761e","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a59b4e83-08b3-43d9-8b99-09676e6a33d9","type":"HoverTool"}]},"id":"dc9fbaf4-b73f-45f0-91f4-ad02f9b0db6b","type":"Toolbar"},{"attributes":{"callback":null},"id":"11f315ff-0c38-46df-995e-84d25ea80d77","type":"DataRange1d"},{"attributes":{},"id":"c96762ff-3bc7-4f90-90d7-d9265105fd75","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"0de3cbea-bdd5-4f81-bb56-734abcb600e7","subtype":"Figure","type":"Plot"},"ticker":{"id":"eb7f7cdc-c982-42da-aa0d-9fcd9fe2761e","type":"BasicTicker"}},"id":"0217194a-cc95-4140-8d26-0b041eeeadc2","type":"Grid"},{"attributes":{"below":[{"id":"b4203dcc-92f6-4921-bf86-1d1c7cc790d2","type":"LinearAxis"}],"left":[{"id":"a6b0363f-2674-4fb2-9301-6bd33c872d50","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b4203dcc-92f6-4921-bf86-1d1c7cc790d2","type":"LinearAxis"},{"id":"540116cf-7807-4a3d-9231-7b3cd0d8911d","type":"Grid"},{"id":"a6b0363f-2674-4fb2-9301-6bd33c872d50","type":"LinearAxis"},{"id":"0217194a-cc95-4140-8d26-0b041eeeadc2","type":"Grid"},{"id":"fca19323-c521-4996-8dc9-4abe11889256","type":"GlyphRenderer"}],"title":{"id":"3934fa58-81c9-4de0-b9c8-cbd851368f71","type":"Title"},"toolbar":{"id":"dc9fbaf4-b73f-45f0-91f4-ad02f9b0db6b","type":"Toolbar"},"x_range":{"id":"11f315ff-0c38-46df-995e-84d25ea80d77","type":"DataRange1d"},"x_scale":{"id":"879bd100-596a-47ba-9fb8-d06de42c7964","type":"LinearScale"},"y_range":{"id":"a365554f-d512-4cc1-93e2-ee770c91d06b","type":"DataRange1d"},"y_scale":{"id":"be806f7e-1121-4c60-93a9-122826c42763","type":"LinearScale"}},"id":"0de3cbea-bdd5-4f81-bb56-734abcb600e7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4e4fbeb8-b73c-41bc-97fd-f2885ad3fad6","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"4e4fbeb8-b73c-41bc-97fd-f2885ad3fad6","type":"BasicTickFormatter"},"plot":{"id":"0de3cbea-bdd5-4f81-bb56-734abcb600e7","subtype":"Figure","type":"Plot"},"ticker":{"id":"eb7f7cdc-c982-42da-aa0d-9fcd9fe2761e","type":"BasicTicker"}},"id":"a6b0363f-2674-4fb2-9301-6bd33c872d50","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"4d25ebc6-aa6d-4093-aa77-b51299a5c77c","type":"Circle"},{"attributes":{"callback":null},"id":"a365554f-d512-4cc1-93e2-ee770c91d06b","type":"DataRange1d"},{"attributes":{"formatter":{"id":"1aa363e8-7bca-4268-b415-f2b453bf2f99","type":"BasicTickFormatter"},"plot":{"id":"0de3cbea-bdd5-4f81-bb56-734abcb600e7","subtype":"Figure","type":"Plot"},"ticker":{"id":"c96762ff-3bc7-4f90-90d7-d9265105fd75","type":"BasicTicker"}},"id":"b4203dcc-92f6-4921-bf86-1d1c7cc790d2","type":"LinearAxis"},{"attributes":{"data_source":{"id":"8171ccbf-565a-451a-b7a0-95c642579f0a","type":"ColumnDataSource"},"glyph":{"id":"133364ff-ca4b-48ba-a4d6-9c10658399d3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4d25ebc6-aa6d-4093-aa77-b51299a5c77c","type":"Circle"},"selection_glyph":null,"view":{"id":"88bdcae6-0c2c-4b04-b70e-104d4efb378c","type":"CDSView"}},"id":"fca19323-c521-4996-8dc9-4abe11889256","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x","desc"],"data":{"desc":["A","b","C","d","E"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"8171ccbf-565a-451a-b7a0-95c642579f0a","type":"ColumnDataSource"},{"attributes":{},"id":"879bd100-596a-47ba-9fb8-d06de42c7964","type":"LinearScale"},{"attributes":{"callback":null,"tooltips":[["index","$index"],["(x,y)","($x, $y)"],["desc","@desc"]]},"id":"a59b4e83-08b3-43d9-8b99-09676e6a33d9","type":"HoverTool"}],"root_ids":["0de3cbea-bdd5-4f81-bb56-734abcb600e7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"aa25860f-617f-4f27-a46f-2b9f5c646bb7","elementid":"2a28ddfc-0401-4f3c-aa03-ab97d25673da","modelid":"0de3cbea-bdd5-4f81-bb56-734abcb600e7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
