(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7bf3b2d6-47c6-42b4-b135-3e1bbb81f3d0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7bf3b2d6-47c6-42b4-b135-3e1bbb81f3d0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ad96e67d-19ce-410e-a0b9-ac2d274bf4b6":{"roots":{"references":[{"attributes":{"bottom":{"expr":{"id":"4e208abe-abbb-459c-840b-958a0d1ec357","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"db503813-d74b-4844-b08b-220210201f17","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"69a5e150-d723-4547-9136-89ce4c2a5a80","type":"VBar"},{"attributes":{"bottom":{"expr":{"id":"e517776e-a597-4158-8da8-43778e7b96a6","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"4cdcf06c-6576-49f9-9814-9763e623b9a4","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"8602ccb0-9d52-4501-9528-ce745f46f14e","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"d6961dfe-4e82-442c-873a-770d07d35a1f","type":"DataRange1d"},{"attributes":{"fields":["2015","2016","2017"]},"id":"2fdaf24b-1d6a-46b0-b112-3be0488a7fc4","type":"Stack"},{"attributes":{"fields":["2015"]},"id":"db503813-d74b-4844-b08b-220210201f17","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"0fb0dd69-db02-4d6b-aa0b-1a00ebe654f1","type":"Stack"},{"attributes":{"fields":[]},"id":"4e208abe-abbb-459c-840b-958a0d1ec357","type":"Stack"},{"attributes":{},"id":"498fecae-c43c-484f-bb54-7281fbf73c52","type":"LinearScale"},{"attributes":{"formatter":{"id":"ad3afd46-c3aa-4238-bb39-cc275521f4ad","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"a89554a8-44c5-45e5-aebf-13776f817598","subtype":"Figure","type":"Plot"},"ticker":{"id":"fab4e147-7fea-4292-99aa-10eb2f6a7870","type":"BasicTicker"}},"id":"bb63e450-58ac-4600-99f8-5850fffb2b32","type":"LinearAxis"},{"attributes":{"source":{"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"}},"id":"989794ae-b6f3-4f72-8f9c-2963e7ae5eca","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"8cf43941-e283-4fe0-bef2-0a8874a03c16","type":"Toolbar"},{"attributes":{"fields":["2015","2016"]},"id":"4cdcf06c-6576-49f9-9814-9763e623b9a4","type":"Stack"},{"attributes":{"bottom":{"expr":{"id":"0fb0dd69-db02-4d6b-aa0b-1a00ebe654f1","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"2fdaf24b-1d6a-46b0-b112-3be0488a7fc4","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"c95e2f31-6977-431a-b2f7-9c49041a27a7","type":"VBar"},{"attributes":{},"id":"fab4e147-7fea-4292-99aa-10eb2f6a7870","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"368481f8-2659-4106-9464-9a0ac2993acd","type":"Title"},{"attributes":{"source":{"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"}},"id":"20b06cab-1ead-4648-b98f-97e87c1ecdbb","type":"CDSView"},{"attributes":{"bottom":{"expr":{"id":"e517776e-a597-4158-8da8-43778e7b96a6","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"4cdcf06c-6576-49f9-9814-9763e623b9a4","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"bdf085ed-8009-437e-b868-58085c089308","type":"VBar"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"b538dbc1-aee6-4abd-863d-c88d6115af83","type":"GlyphRenderer"}]},"id":"d912cc80-e55c-4f14-87cb-5b49b7e16e73","type":"LegendItem"},{"attributes":{},"id":"f6086549-256b-43ba-b968-5ec8038e4a51","type":"CategoricalTickFormatter"},{"attributes":{"data_source":{"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"},"glyph":{"id":"bba42f0f-e108-42d3-b8eb-75fa08d16cb7","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c95e2f31-6977-431a-b2f7-9c49041a27a7","type":"VBar"},"selection_glyph":null,"view":{"id":"20b06cab-1ead-4648-b98f-97e87c1ecdbb","type":"CDSView"}},"id":"4e93483c-95a3-4368-aa4c-d9b5f710b96e","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"4e93483c-95a3-4368-aa4c-d9b5f710b96e","type":"GlyphRenderer"}]},"id":"975d77be-7726-4e93-951c-1bd6f5acf18a","type":"LegendItem"},{"attributes":{"source":{"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"}},"id":"46331c09-a7ad-41a2-8d77-804dc8cd3de0","type":"CDSView"},{"attributes":{"data_source":{"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"},"glyph":{"id":"bdf085ed-8009-437e-b868-58085c089308","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8602ccb0-9d52-4501-9528-ce745f46f14e","type":"VBar"},"selection_glyph":null,"view":{"id":"46331c09-a7ad-41a2-8d77-804dc8cd3de0","type":"CDSView"}},"id":"b538dbc1-aee6-4abd-863d-c88d6115af83","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"a89554a8-44c5-45e5-aebf-13776f817598","subtype":"Figure","type":"Plot"},"ticker":{"id":"fab4e147-7fea-4292-99aa-10eb2f6a7870","type":"BasicTicker"}},"id":"f181e0e6-efac-46dd-9be8-ee8083808bd9","type":"Grid"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"5bb276af-8eb2-49cd-b477-31bcffb6ad3f","type":"GlyphRenderer"}]},"id":"db43644b-cc04-42e8-aa03-98213d779748","type":"LegendItem"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"a89554a8-44c5-45e5-aebf-13776f817598","subtype":"Figure","type":"Plot"},"ticker":{"id":"b58d92a5-b756-4286-9704-b6654fe97743","type":"CategoricalTicker"}},"id":"43f451af-6b18-4408-96cb-da1495a3d396","type":"Grid"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"},{"attributes":{"items":[{"id":"db43644b-cc04-42e8-aa03-98213d779748","type":"LegendItem"},{"id":"d912cc80-e55c-4f14-87cb-5b49b7e16e73","type":"LegendItem"},{"id":"975d77be-7726-4e93-951c-1bd6f5acf18a","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"a89554a8-44c5-45e5-aebf-13776f817598","subtype":"Figure","type":"Plot"}},"id":"9a98f299-c427-4ee5-9dfe-3e33a41ba6e3","type":"Legend"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"03b49f1b-db6e-4a7e-8cd6-b37fbf690e31","type":"FactorRange"},{"attributes":{"formatter":{"id":"f6086549-256b-43ba-b968-5ec8038e4a51","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"a89554a8-44c5-45e5-aebf-13776f817598","subtype":"Figure","type":"Plot"},"ticker":{"id":"b58d92a5-b756-4286-9704-b6654fe97743","type":"CategoricalTicker"}},"id":"c250775c-74f7-44a3-b117-3ed8ff174876","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"00342781-1a02-4f64-9fcf-0e915c920531","type":"ColumnDataSource"},"glyph":{"id":"2b4f7643-1460-4d98-83eb-3997d1c165af","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"69a5e150-d723-4547-9136-89ce4c2a5a80","type":"VBar"},"selection_glyph":null,"view":{"id":"989794ae-b6f3-4f72-8f9c-2963e7ae5eca","type":"CDSView"}},"id":"5bb276af-8eb2-49cd-b477-31bcffb6ad3f","type":"GlyphRenderer"},{"attributes":{},"id":"b048971d-c008-48f3-bf53-17eec7ec406d","type":"CategoricalScale"},{"attributes":{"bottom":{"expr":{"id":"0fb0dd69-db02-4d6b-aa0b-1a00ebe654f1","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"2fdaf24b-1d6a-46b0-b112-3be0488a7fc4","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"bba42f0f-e108-42d3-b8eb-75fa08d16cb7","type":"VBar"},{"attributes":{"below":[{"id":"c250775c-74f7-44a3-b117-3ed8ff174876","type":"CategoricalAxis"}],"left":[{"id":"bb63e450-58ac-4600-99f8-5850fffb2b32","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"c250775c-74f7-44a3-b117-3ed8ff174876","type":"CategoricalAxis"},{"id":"43f451af-6b18-4408-96cb-da1495a3d396","type":"Grid"},{"id":"bb63e450-58ac-4600-99f8-5850fffb2b32","type":"LinearAxis"},{"id":"f181e0e6-efac-46dd-9be8-ee8083808bd9","type":"Grid"},{"id":"9a98f299-c427-4ee5-9dfe-3e33a41ba6e3","type":"Legend"},{"id":"5bb276af-8eb2-49cd-b477-31bcffb6ad3f","type":"GlyphRenderer"},{"id":"b538dbc1-aee6-4abd-863d-c88d6115af83","type":"GlyphRenderer"},{"id":"4e93483c-95a3-4368-aa4c-d9b5f710b96e","type":"GlyphRenderer"}],"title":{"id":"368481f8-2659-4106-9464-9a0ac2993acd","type":"Title"},"toolbar":{"id":"8cf43941-e283-4fe0-bef2-0a8874a03c16","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"03b49f1b-db6e-4a7e-8cd6-b37fbf690e31","type":"FactorRange"},"x_scale":{"id":"b048971d-c008-48f3-bf53-17eec7ec406d","type":"CategoricalScale"},"y_range":{"id":"d6961dfe-4e82-442c-873a-770d07d35a1f","type":"DataRange1d"},"y_scale":{"id":"498fecae-c43c-484f-bb54-7281fbf73c52","type":"LinearScale"}},"id":"a89554a8-44c5-45e5-aebf-13776f817598","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b58d92a5-b756-4286-9704-b6654fe97743","type":"CategoricalTicker"},{"attributes":{"bottom":{"expr":{"id":"4e208abe-abbb-459c-840b-958a0d1ec357","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"db503813-d74b-4844-b08b-220210201f17","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"2b4f7643-1460-4d98-83eb-3997d1c165af","type":"VBar"},{"attributes":{},"id":"ad3afd46-c3aa-4238-bb39-cc275521f4ad","type":"BasicTickFormatter"},{"attributes":{"fields":["2015"]},"id":"e517776e-a597-4158-8da8-43778e7b96a6","type":"Stack"}],"root_ids":["a89554a8-44c5-45e5-aebf-13776f817598"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ad96e67d-19ce-410e-a0b9-ac2d274bf4b6","elementid":"7bf3b2d6-47c6-42b4-b135-3e1bbb81f3d0","modelid":"a89554a8-44c5-45e5-aebf-13776f817598"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
