(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c548033a-b832-495d-9c6a-ebfc7d5b2bca");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c548033a-b832-495d-9c6a-ebfc7d5b2bca' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"63c74a93-d208-4ba8-a785-2c31ab83b40a":{"roots":{"references":[{"attributes":{"plot":{"id":"675bae6a-18f8-4c35-9011-5e3fbd3a2a2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"39fbb120-c64e-4ba9-a6fa-1df5cc948ea0","type":"BasicTicker"}},"id":"2db34a96-725d-47d9-8fc1-8f161ebb016a","type":"Grid"},{"attributes":{"callback":null},"id":"951cbe11-cf88-4d6d-820c-9ba7f550ec05","type":"DataRange1d"},{"attributes":{"below":[{"id":"09de992d-abca-48c9-a1d2-e848e2db33ba","type":"LinearAxis"}],"left":[{"id":"ed05967c-2896-49b3-9c59-1612f2a400dc","type":"LinearAxis"}],"plot_height":300,"plot_width":700,"renderers":[{"id":"09de992d-abca-48c9-a1d2-e848e2db33ba","type":"LinearAxis"},{"id":"2db34a96-725d-47d9-8fc1-8f161ebb016a","type":"Grid"},{"id":"ed05967c-2896-49b3-9c59-1612f2a400dc","type":"LinearAxis"},{"id":"f7612086-4a22-47df-9e89-841692729b95","type":"Grid"},{"id":"8bd5f03e-3012-4882-be4e-0123726aa286","type":"BoxAnnotation"},{"id":"9562666d-a169-4cb5-aa54-c84fe2bfbed4","type":"GlyphRenderer"}],"title":{"id":"bef51d23-9567-4430-800e-2a4308680d78","type":"Title"},"toolbar":{"id":"413aecc3-f72a-4140-877b-1173d66775d2","type":"Toolbar"},"x_range":{"id":"951cbe11-cf88-4d6d-820c-9ba7f550ec05","type":"DataRange1d"},"x_scale":{"id":"1a925780-1411-4d75-8703-fd484262cf68","type":"LinearScale"},"y_range":{"id":"109eca0f-5577-4690-b8f1-bb1f76b4d62d","type":"DataRange1d"},"y_scale":{"id":"cc082bc1-c135-4c76-ad6c-e895b8f5a793","type":"LinearScale"}},"id":"675bae6a-18f8-4c35-9011-5e3fbd3a2a2d","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"44172652-8d3e-44b3-97cd-ae30eb7e4398","type":"BasicTickFormatter"},"plot":{"id":"675bae6a-18f8-4c35-9011-5e3fbd3a2a2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"39fbb120-c64e-4ba9-a6fa-1df5cc948ea0","type":"BasicTicker"}},"id":"09de992d-abca-48c9-a1d2-e848e2db33ba","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"cc55371a-0de2-4866-984a-7b0c33ef3740","type":"ColumnDataSource"},{"attributes":{},"id":"57f87519-f967-4c1f-8660-d0ce232830a9","type":"SaveTool"},{"attributes":{},"id":"cc082bc1-c135-4c76-ad6c-e895b8f5a793","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"675bae6a-18f8-4c35-9011-5e3fbd3a2a2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a9169ab-ed19-4606-a81a-7939cded7975","type":"BasicTicker"}},"id":"f7612086-4a22-47df-9e89-841692729b95","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"07797958-bec1-4e3d-87f2-e30381d3abff","type":"PanTool"},{"id":"461b1c43-03a1-4c6c-876d-66ea9bad825a","type":"WheelZoomTool"},{"id":"ae94753f-0295-448f-9b3c-462eb687d9c9","type":"BoxZoomTool"},{"id":"57f87519-f967-4c1f-8660-d0ce232830a9","type":"SaveTool"},{"id":"f0712883-c595-418d-aca8-3348f347ab29","type":"ResetTool"},{"id":"f57267d3-c4cb-445e-8be9-b7d003f1c092","type":"HelpTool"}]},"id":"413aecc3-f72a-4140-877b-1173d66775d2","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"bef51d23-9567-4430-800e-2a4308680d78","type":"Title"},{"attributes":{},"id":"39fbb120-c64e-4ba9-a6fa-1df5cc948ea0","type":"BasicTicker"},{"attributes":{"source":{"id":"cc55371a-0de2-4866-984a-7b0c33ef3740","type":"ColumnDataSource"}},"id":"a5715ab8-5a4e-4baa-9037-2cdb3b91c477","type":"CDSView"},{"attributes":{},"id":"f0712883-c595-418d-aca8-3348f347ab29","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"31d33a9c-f11d-4f76-90cb-726a3003146e","type":"Circle"},{"attributes":{},"id":"44172652-8d3e-44b3-97cd-ae30eb7e4398","type":"BasicTickFormatter"},{"attributes":{},"id":"f57267d3-c4cb-445e-8be9-b7d003f1c092","type":"HelpTool"},{"attributes":{},"id":"07797958-bec1-4e3d-87f2-e30381d3abff","type":"PanTool"},{"attributes":{"data_source":{"id":"cc55371a-0de2-4866-984a-7b0c33ef3740","type":"ColumnDataSource"},"glyph":{"id":"d4b82ca5-544e-4ad2-aa82-10646ea10146","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"31d33a9c-f11d-4f76-90cb-726a3003146e","type":"Circle"},"selection_glyph":null,"view":{"id":"a5715ab8-5a4e-4baa-9037-2cdb3b91c477","type":"CDSView"}},"id":"9562666d-a169-4cb5-aa54-c84fe2bfbed4","type":"GlyphRenderer"},{"attributes":{},"id":"1a925780-1411-4d75-8703-fd484262cf68","type":"LinearScale"},{"attributes":{},"id":"461b1c43-03a1-4c6c-876d-66ea9bad825a","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"8bd5f03e-3012-4882-be4e-0123726aa286","type":"BoxAnnotation"}},"id":"ae94753f-0295-448f-9b3c-462eb687d9c9","type":"BoxZoomTool"},{"attributes":{},"id":"3a9169ab-ed19-4606-a81a-7939cded7975","type":"BasicTicker"},{"attributes":{"formatter":{"id":"424190b8-fb66-4f05-9e54-543acb9777fb","type":"BasicTickFormatter"},"plot":{"id":"675bae6a-18f8-4c35-9011-5e3fbd3a2a2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a9169ab-ed19-4606-a81a-7939cded7975","type":"BasicTicker"}},"id":"ed05967c-2896-49b3-9c59-1612f2a400dc","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8bd5f03e-3012-4882-be4e-0123726aa286","type":"BoxAnnotation"},{"attributes":{},"id":"424190b8-fb66-4f05-9e54-543acb9777fb","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d4b82ca5-544e-4ad2-aa82-10646ea10146","type":"Circle"},{"attributes":{"callback":null},"id":"109eca0f-5577-4690-b8f1-bb1f76b4d62d","type":"DataRange1d"}],"root_ids":["675bae6a-18f8-4c35-9011-5e3fbd3a2a2d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"63c74a93-d208-4ba8-a785-2c31ab83b40a","elementid":"c548033a-b832-495d-9c6a-ebfc7d5b2bca","modelid":"675bae6a-18f8-4c35-9011-5e3fbd3a2a2d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
