(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c3d10da7-0f9c-484b-b75e-0a8446b68ac0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c3d10da7-0f9c-484b-b75e-0a8446b68ac0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c5630a2d-f865-4ad8-b208-3453b1966311":{"roots":{"references":[{"attributes":{"plot":{"id":"1fc069ac-c017-4004-bb5a-68076ca3b8b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"d747648d-cf3c-4f66-a852-70d59a096306","type":"BasicTicker"}},"id":"ffc6a2a8-90f5-4d44-86eb-90579ae14643","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7348a3e2-2647-48f2-86bf-67aaa8de1dff","type":"PanTool"},{"id":"9e68f8e6-77f4-4395-86c3-9d27ed9e643e","type":"WheelZoomTool"},{"id":"66e56227-fd6c-47cc-b159-8779c8e53a1c","type":"BoxZoomTool"},{"id":"6507b145-ec41-4f7c-b4cf-907518a07749","type":"SaveTool"},{"id":"cb1b0f55-69dc-4e8d-976c-7302c287040e","type":"ResetTool"},{"id":"b4653a11-d8f5-4114-9983-440062c579d1","type":"HelpTool"}]},"id":"3a426599-2d78-4a5a-b6e0-5be849f00a9c","type":"Toolbar"},{"attributes":{},"id":"9e68f8e6-77f4-4395-86c3-9d27ed9e643e","type":"WheelZoomTool"},{"attributes":{},"id":"7348a3e2-2647-48f2-86bf-67aaa8de1dff","type":"PanTool"},{"attributes":{},"id":"9f85c583-6829-4284-b530-3dab511ca782","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"56f3a4b1-0e92-49e2-9dfc-9f7104774e10","type":"Circle"},{"attributes":{"source":{"id":"03d619c8-d386-444b-87ae-ef86927f72c9","type":"ColumnDataSource"}},"id":"467be7ab-d1f8-46ed-a670-86acf77d84a4","type":"CDSView"},{"attributes":{"callback":null},"id":"0d8874d4-c8e6-4d61-946c-d7f99cec8e53","type":"DataRange1d"},{"attributes":{"callback":null},"id":"4a3e7551-cf0a-4dc3-b123-d96279ee68a4","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"39cb65eb-5e9f-4078-9f3c-52965f65338f","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"1fc069ac-c017-4004-bb5a-68076ca3b8b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"163d1c9b-3e87-4b87-bad5-373136b2abdd","type":"BasicTicker"}},"id":"e64cc968-4d37-4539-8c74-951a32040d48","type":"Grid"},{"attributes":{"overlay":{"id":"39cb65eb-5e9f-4078-9f3c-52965f65338f","type":"BoxAnnotation"}},"id":"66e56227-fd6c-47cc-b159-8779c8e53a1c","type":"BoxZoomTool"},{"attributes":{},"id":"cb1b0f55-69dc-4e8d-976c-7302c287040e","type":"ResetTool"},{"attributes":{"plot":null,"text":"Some Title","text_color":{"value":"olive"},"text_font":"times","text_font_style":"italic"},"id":"aebe1db1-7b73-4a5d-867e-5da3129e96da","type":"Title"},{"attributes":{},"id":"743ee639-93dd-4e25-9d7d-d999d9082686","type":"BasicTickFormatter"},{"attributes":{},"id":"6507b145-ec41-4f7c-b4cf-907518a07749","type":"SaveTool"},{"attributes":{},"id":"163d1c9b-3e87-4b87-bad5-373136b2abdd","type":"BasicTicker"},{"attributes":{},"id":"b4653a11-d8f5-4114-9983-440062c579d1","type":"HelpTool"},{"attributes":{"data_source":{"id":"03d619c8-d386-444b-87ae-ef86927f72c9","type":"ColumnDataSource"},"glyph":{"id":"51695d90-6394-4261-83a5-1088ec9088f7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"56f3a4b1-0e92-49e2-9dfc-9f7104774e10","type":"Circle"},"selection_glyph":null,"view":{"id":"467be7ab-d1f8-46ed-a670-86acf77d84a4","type":"CDSView"}},"id":"193b3e42-f7ca-4d1d-8e08-e40e53483778","type":"GlyphRenderer"},{"attributes":{},"id":"4022994d-e0ce-414f-a8db-cfde15bd061f","type":"LinearScale"},{"attributes":{},"id":"42896708-0760-4fc6-bd62-2025c4d599d2","type":"LinearScale"},{"attributes":{"formatter":{"id":"9f85c583-6829-4284-b530-3dab511ca782","type":"BasicTickFormatter"},"plot":{"id":"1fc069ac-c017-4004-bb5a-68076ca3b8b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"163d1c9b-3e87-4b87-bad5-373136b2abdd","type":"BasicTicker"}},"id":"5b9b247f-4e7b-4cdc-9924-05599ada81a4","type":"LinearAxis"},{"attributes":{"below":[{"id":"4c34a06d-1191-4efb-b063-45baa2b2fd09","type":"LinearAxis"}],"left":[{"id":"5b9b247f-4e7b-4cdc-9924-05599ada81a4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"4c34a06d-1191-4efb-b063-45baa2b2fd09","type":"LinearAxis"},{"id":"ffc6a2a8-90f5-4d44-86eb-90579ae14643","type":"Grid"},{"id":"5b9b247f-4e7b-4cdc-9924-05599ada81a4","type":"LinearAxis"},{"id":"e64cc968-4d37-4539-8c74-951a32040d48","type":"Grid"},{"id":"39cb65eb-5e9f-4078-9f3c-52965f65338f","type":"BoxAnnotation"},{"id":"193b3e42-f7ca-4d1d-8e08-e40e53483778","type":"GlyphRenderer"}],"title":{"id":"aebe1db1-7b73-4a5d-867e-5da3129e96da","type":"Title"},"toolbar":{"id":"3a426599-2d78-4a5a-b6e0-5be849f00a9c","type":"Toolbar"},"x_range":{"id":"4a3e7551-cf0a-4dc3-b123-d96279ee68a4","type":"DataRange1d"},"x_scale":{"id":"42896708-0760-4fc6-bd62-2025c4d599d2","type":"LinearScale"},"y_range":{"id":"0d8874d4-c8e6-4d61-946c-d7f99cec8e53","type":"DataRange1d"},"y_scale":{"id":"4022994d-e0ce-414f-a8db-cfde15bd061f","type":"LinearScale"}},"id":"1fc069ac-c017-4004-bb5a-68076ca3b8b8","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"03d619c8-d386-444b-87ae-ef86927f72c9","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"743ee639-93dd-4e25-9d7d-d999d9082686","type":"BasicTickFormatter"},"plot":{"id":"1fc069ac-c017-4004-bb5a-68076ca3b8b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"d747648d-cf3c-4f66-a852-70d59a096306","type":"BasicTicker"}},"id":"4c34a06d-1191-4efb-b063-45baa2b2fd09","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"51695d90-6394-4261-83a5-1088ec9088f7","type":"Circle"},{"attributes":{},"id":"d747648d-cf3c-4f66-a852-70d59a096306","type":"BasicTicker"}],"root_ids":["1fc069ac-c017-4004-bb5a-68076ca3b8b8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c5630a2d-f865-4ad8-b208-3453b1966311","elementid":"c3d10da7-0f9c-484b-b75e-0a8446b68ac0","modelid":"1fc069ac-c017-4004-bb5a-68076ca3b8b8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
