(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0e2c3a53-b100-485e-b50f-c350b001bd03");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0e2c3a53-b100-485e-b50f-c350b001bd03' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b109c885-65cc-46bf-9d11-0b9d9ad143e9":{"roots":{"references":[{"attributes":{},"id":"5232789c-bdae-4941-9509-7718bba22ccf","type":"WheelZoomTool"},{"attributes":{},"id":"5ce514d2-3c60-4d11-8938-fd2af23cbb3c","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"611605f4-d149-4846-91e7-88f0e925a9b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"90c548d8-1d88-46a6-8582-3c1e0281afe3","type":"BasicTicker"}},"id":"31f24e92-b744-4f65-9ab7-5fe83e6ede13","type":"Grid"},{"attributes":{"callback":null},"id":"52670f13-0073-4441-b72f-6b4ac516ed33","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"c9aec401-572f-4cb0-87df-28c9a90ca23d","type":"Title"},{"attributes":{"source":{"id":"9ee68999-76f3-4c4a-9362-2c0dd8d605eb","type":"ColumnDataSource"}},"id":"c503e0ca-7283-49f9-a8f5-ebe6bc8fe101","type":"CDSView"},{"attributes":{},"id":"7b0ec873-0aad-428d-8893-81ac2542a26a","type":"ResetTool"},{"attributes":{},"id":"a61b92c1-5287-4ab9-ba93-8dfbc1e06fae","type":"BasicTickFormatter"},{"attributes":{},"id":"06420691-1f00-4ab1-8416-a7ef28f547d3","type":"LinearScale"},{"attributes":{},"id":"0b878e28-7a06-49e1-8104-a05062dba7cb","type":"HelpTool"},{"attributes":{"data_source":{"id":"9ee68999-76f3-4c4a-9362-2c0dd8d605eb","type":"ColumnDataSource"},"glyph":{"id":"4e540189-b64b-48b1-9df3-ca7d52563d41","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7d97ca2e-2020-4953-8160-56ccd47c74e5","type":"VBar"},"selection_glyph":null,"view":{"id":"c503e0ca-7283-49f9-a8f5-ebe6bc8fe101","type":"CDSView"}},"id":"4ac156ed-8484-47bf-bfd5-735eddd8a37c","type":"GlyphRenderer"},{"attributes":{},"id":"83350128-97ae-4a52-98ba-d5ea6feef8d4","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5e0c052e-522d-4a3a-9c89-0a099417848f","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"611605f4-d149-4846-91e7-88f0e925a9b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b6a1b01-1639-490d-9c7c-5c36463ca639","type":"BasicTicker"}},"id":"43b85762-cce4-4c9f-8a63-785afb6eb3b5","type":"Grid"},{"attributes":{"overlay":{"id":"5e0c052e-522d-4a3a-9c89-0a099417848f","type":"BoxAnnotation"}},"id":"c968ce11-9ef1-4822-a7d9-14e9506b86c0","type":"BoxZoomTool"},{"attributes":{},"id":"90c548d8-1d88-46a6-8582-3c1e0281afe3","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"4e540189-b64b-48b1-9df3-ca7d52563d41","type":"VBar"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1.2,2.5,3.7],"x":[1,2,3]}},"id":"9ee68999-76f3-4c4a-9362-2c0dd8d605eb","type":"ColumnDataSource"},{"attributes":{},"id":"9b6a1b01-1639-490d-9c7c-5c36463ca639","type":"BasicTicker"},{"attributes":{},"id":"13d3c1aa-84fa-4478-9fb8-e0359f4a1001","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"83350128-97ae-4a52-98ba-d5ea6feef8d4","type":"PanTool"},{"id":"5232789c-bdae-4941-9509-7718bba22ccf","type":"WheelZoomTool"},{"id":"c968ce11-9ef1-4822-a7d9-14e9506b86c0","type":"BoxZoomTool"},{"id":"5ce514d2-3c60-4d11-8938-fd2af23cbb3c","type":"SaveTool"},{"id":"7b0ec873-0aad-428d-8893-81ac2542a26a","type":"ResetTool"},{"id":"0b878e28-7a06-49e1-8104-a05062dba7cb","type":"HelpTool"}]},"id":"62c5063c-1b0c-49d1-aa6b-7a8ab6c85800","type":"Toolbar"},{"attributes":{"formatter":{"id":"a61b92c1-5287-4ab9-ba93-8dfbc1e06fae","type":"BasicTickFormatter"},"plot":{"id":"611605f4-d149-4846-91e7-88f0e925a9b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"90c548d8-1d88-46a6-8582-3c1e0281afe3","type":"BasicTicker"}},"id":"2d273efd-19b6-4908-b97c-10b0613c9706","type":"LinearAxis"},{"attributes":{},"id":"2e65070f-b9b1-48ab-83a0-a46d09a30d16","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"d87439cd-3be6-4d7f-8552-9d9a251bbfb3","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"7d97ca2e-2020-4953-8160-56ccd47c74e5","type":"VBar"},{"attributes":{"formatter":{"id":"2e65070f-b9b1-48ab-83a0-a46d09a30d16","type":"BasicTickFormatter"},"plot":{"id":"611605f4-d149-4846-91e7-88f0e925a9b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"9b6a1b01-1639-490d-9c7c-5c36463ca639","type":"BasicTicker"}},"id":"bdc2e838-b983-4924-a224-059c27ca8c49","type":"LinearAxis"},{"attributes":{"below":[{"id":"bdc2e838-b983-4924-a224-059c27ca8c49","type":"LinearAxis"}],"left":[{"id":"2d273efd-19b6-4908-b97c-10b0613c9706","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"bdc2e838-b983-4924-a224-059c27ca8c49","type":"LinearAxis"},{"id":"43b85762-cce4-4c9f-8a63-785afb6eb3b5","type":"Grid"},{"id":"2d273efd-19b6-4908-b97c-10b0613c9706","type":"LinearAxis"},{"id":"31f24e92-b744-4f65-9ab7-5fe83e6ede13","type":"Grid"},{"id":"5e0c052e-522d-4a3a-9c89-0a099417848f","type":"BoxAnnotation"},{"id":"4ac156ed-8484-47bf-bfd5-735eddd8a37c","type":"GlyphRenderer"}],"title":{"id":"c9aec401-572f-4cb0-87df-28c9a90ca23d","type":"Title"},"toolbar":{"id":"62c5063c-1b0c-49d1-aa6b-7a8ab6c85800","type":"Toolbar"},"x_range":{"id":"d87439cd-3be6-4d7f-8552-9d9a251bbfb3","type":"DataRange1d"},"x_scale":{"id":"06420691-1f00-4ab1-8416-a7ef28f547d3","type":"LinearScale"},"y_range":{"id":"52670f13-0073-4441-b72f-6b4ac516ed33","type":"DataRange1d"},"y_scale":{"id":"13d3c1aa-84fa-4478-9fb8-e0359f4a1001","type":"LinearScale"}},"id":"611605f4-d149-4846-91e7-88f0e925a9b9","subtype":"Figure","type":"Plot"}],"root_ids":["611605f4-d149-4846-91e7-88f0e925a9b9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b109c885-65cc-46bf-9d11-0b9d9ad143e9","elementid":"0e2c3a53-b100-485e-b50f-c350b001bd03","modelid":"611605f4-d149-4846-91e7-88f0e925a9b9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
