(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b111c418-63bf-426b-8da2-195a574f5cb9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b111c418-63bf-426b-8da2-195a574f5cb9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"36c81f30-1bd3-41da-9052-abbebecbd82e":{"roots":{"references":[{"attributes":{},"id":"eb202573-5a00-4dd0-9053-36a57125f472","type":"SaveTool"},{"attributes":{},"id":"89328b4b-fa59-4ae4-a204-9ab241e54a5d","type":"HelpTool"},{"attributes":{"plot":null,"text":""},"id":"0bc61265-c70f-4d28-89d9-1941b2fc5975","type":"Title"},{"attributes":{"source":{"id":"5deee028-bd3b-4573-9379-25b0895e463b","type":"ColumnDataSource"}},"id":"9df79bad-81d7-409c-b51f-b34baf09351f","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"95caba27-de0d-4de9-85e9-c838ed134574","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"23bcd41d-b255-4e4e-aa75-8b43e3a2fe83","type":"BoxAnnotation"},{"attributes":{},"id":"8be977f1-ec83-47ab-9149-54db77495678","type":"LinearScale"},{"attributes":{"overlay":{"id":"23bcd41d-b255-4e4e-aa75-8b43e3a2fe83","type":"BoxAnnotation"}},"id":"188eab4d-37be-4789-a36d-e5248df82deb","type":"BoxZoomTool"},{"attributes":{},"id":"a2be05eb-82fd-4abf-b516-13ff45b68395","type":"BasicTicker"},{"attributes":{"callback":null},"id":"b267562b-a5fb-4d74-884f-761231500627","type":"DataRange1d"},{"attributes":{},"id":"eb9a905f-3119-4ad5-9711-3baea0492914","type":"LinearScale"},{"attributes":{"below":[{"id":"43766394-35ed-4f2b-9d06-8c7e8bd7cc04","type":"LinearAxis"}],"left":[{"id":"5c549759-2409-4bb9-b91b-2ce1f65dfd2d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"43766394-35ed-4f2b-9d06-8c7e8bd7cc04","type":"LinearAxis"},{"id":"62eac094-6932-47bc-9f47-99c73b890d91","type":"Grid"},{"id":"5c549759-2409-4bb9-b91b-2ce1f65dfd2d","type":"LinearAxis"},{"id":"bd1d9030-b094-4949-bc87-a06aa568593e","type":"Grid"},{"id":"23bcd41d-b255-4e4e-aa75-8b43e3a2fe83","type":"BoxAnnotation"},{"id":"722b6786-f796-4553-a755-4000e46543ba","type":"GlyphRenderer"}],"title":{"id":"0bc61265-c70f-4d28-89d9-1941b2fc5975","type":"Title"},"toolbar":{"id":"f4fdfe56-a539-4c95-ab51-f72cfb961808","type":"Toolbar"},"x_range":{"id":"b267562b-a5fb-4d74-884f-761231500627","type":"DataRange1d"},"x_scale":{"id":"eb9a905f-3119-4ad5-9711-3baea0492914","type":"LinearScale"},"y_range":{"id":"1ba287a0-3ca9-490b-b6db-dcad4245598e","type":"DataRange1d"},"y_scale":{"id":"8be977f1-ec83-47ab-9149-54db77495678","type":"LinearScale"}},"id":"a5fa6118-8b87-4350-8a98-dc327aa8037b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5deee028-bd3b-4573-9379-25b0895e463b","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"1ba287a0-3ca9-490b-b6db-dcad4245598e","type":"DataRange1d"},{"attributes":{"band_fill_alpha":{"value":0.1},"band_fill_color":{"value":"navy"},"dimension":1,"plot":{"id":"a5fa6118-8b87-4350-8a98-dc327aa8037b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2be05eb-82fd-4abf-b516-13ff45b68395","type":"BasicTicker"}},"id":"bd1d9030-b094-4949-bc87-a06aa568593e","type":"Grid"},{"attributes":{},"id":"4958cb6e-a2ab-4062-b02b-15293857ffac","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e007812e-2da8-4f09-aaa1-9feab52b338d","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4085f007-f8b2-4be1-9524-726d2d0db861","type":"PanTool"},{"id":"16a453e7-b35b-434e-ab54-4aeb645778ac","type":"WheelZoomTool"},{"id":"188eab4d-37be-4789-a36d-e5248df82deb","type":"BoxZoomTool"},{"id":"eb202573-5a00-4dd0-9053-36a57125f472","type":"SaveTool"},{"id":"6fc96491-8f8a-4162-a3af-fad600b06164","type":"ResetTool"},{"id":"89328b4b-fa59-4ae4-a204-9ab241e54a5d","type":"HelpTool"}]},"id":"f4fdfe56-a539-4c95-ab51-f72cfb961808","type":"Toolbar"},{"attributes":{},"id":"4085f007-f8b2-4be1-9524-726d2d0db861","type":"PanTool"},{"attributes":{"data_source":{"id":"5deee028-bd3b-4573-9379-25b0895e463b","type":"ColumnDataSource"},"glyph":{"id":"e007812e-2da8-4f09-aaa1-9feab52b338d","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"95caba27-de0d-4de9-85e9-c838ed134574","type":"Circle"},"selection_glyph":null,"view":{"id":"9df79bad-81d7-409c-b51f-b34baf09351f","type":"CDSView"}},"id":"722b6786-f796-4553-a755-4000e46543ba","type":"GlyphRenderer"},{"attributes":{},"id":"6fc96491-8f8a-4162-a3af-fad600b06164","type":"ResetTool"},{"attributes":{},"id":"8a77d0c4-ccd6-44b2-9fa6-ab93b7e0f6f5","type":"BasicTickFormatter"},{"attributes":{},"id":"16a453e7-b35b-434e-ab54-4aeb645778ac","type":"WheelZoomTool"},{"attributes":{},"id":"22a5c82c-d9a0-430c-a9ec-32b2aa7c0807","type":"BasicTicker"},{"attributes":{"formatter":{"id":"8a77d0c4-ccd6-44b2-9fa6-ab93b7e0f6f5","type":"BasicTickFormatter"},"plot":{"id":"a5fa6118-8b87-4350-8a98-dc327aa8037b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2be05eb-82fd-4abf-b516-13ff45b68395","type":"BasicTicker"}},"id":"5c549759-2409-4bb9-b91b-2ce1f65dfd2d","type":"LinearAxis"},{"attributes":{"formatter":{"id":"4958cb6e-a2ab-4062-b02b-15293857ffac","type":"BasicTickFormatter"},"plot":{"id":"a5fa6118-8b87-4350-8a98-dc327aa8037b","subtype":"Figure","type":"Plot"},"ticker":{"id":"22a5c82c-d9a0-430c-a9ec-32b2aa7c0807","type":"BasicTicker"}},"id":"43766394-35ed-4f2b-9d06-8c7e8bd7cc04","type":"LinearAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"a5fa6118-8b87-4350-8a98-dc327aa8037b","subtype":"Figure","type":"Plot"},"ticker":{"id":"22a5c82c-d9a0-430c-a9ec-32b2aa7c0807","type":"BasicTicker"}},"id":"62eac094-6932-47bc-9f47-99c73b890d91","type":"Grid"}],"root_ids":["a5fa6118-8b87-4350-8a98-dc327aa8037b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"36c81f30-1bd3-41da-9052-abbebecbd82e","elementid":"b111c418-63bf-426b-8da2-195a574f5cb9","modelid":"a5fa6118-8b87-4350-8a98-dc327aa8037b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
