(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b166298c-3358-494d-a03b-98cbbc5595cd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b166298c-3358-494d-a03b-98cbbc5595cd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"884725ac-298f-4a61-aec7-f1271e336b75":{"roots":{"references":[{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"b37bcdc5-763d-4a4e-acaa-23c6855eaf69","type":"Segment"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["a","b","c","d","e","f"],"y":{"__ndarray__":"FPKtejKRA0AET7NsEGsGQJvaedqK3g5AHFlpBjOjCkCyO+WRuPwRQCpu1dBcBRJA","dtype":"float64","shape":[6]}}},"id":"8a97f899-a78b-41d7-898d-85116f5f870d","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"78d3f5e6-00a3-45eb-a692-bf5530322284","type":"Rect"},{"attributes":{"callback":null,"column_names":["bottom","top","x"],"data":{"bottom":{"__ndarray__":"CBYuehRftr/EDwG9vLq+P6LPfPHEwvI/IlYQy7bh7D+LdK7EIPD9Pz/J+1kMn/8/","dtype":"float64","shape":[6]},"top":{"__ndarray__":"SvNma7n05b/MpHpaTbbjv7KE8Sme6NQ/dFlMZA+2xj/5WY7odq7zP+cKH1zZFfY/","dtype":"float64","shape":[6]},"x":["a","b","c","d","e","f"]}},"id":"84f04674-1122-4e04-b6f5-1a53bd7fe2d6","type":"ColumnDataSource"},{"attributes":{"dimension":1,"grid_line_color":{"value":"white"},"grid_line_width":{"value":2},"plot":{"id":"dbe37dae-ffe2-4668-ba50-9d619342b366","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d784e21-f24e-4998-90f2-39eb4d055bbd","type":"BasicTicker"}},"id":"8d9b7669-448b-40b7-8a5c-124779acccb0","type":"Grid"},{"attributes":{},"id":"ae4dbea3-7ac1-4d44-9415-00caa94f8d70","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d7b5f882-47e0-428f-91f1-1a97f0ce58f3","type":"Rect"},{"attributes":{"callback":null,"column_names":["y0","x0","x1","y1"],"data":{"x0":["a","b","c","d","e","f"],"x1":["a","b","c","d","e","f"],"y0":{"__ndarray__":"kPL32s6FBMCHpJyY9VUFwEDRZPUArvy/mrsx9CHx/786mFEHk1vnv0L0gDXBLOG/","dtype":"float64","shape":[6]},"y1":{"__ndarray__":"SvNma7n05b/MpHpaTbbjv7KE8Sme6NQ/dFlMZA+2xj/5WY7odq7zP+cKH1zZFfY/","dtype":"float64","shape":[6]}}},"id":"a739957c-b28f-41b7-a58f-95a5582fd6ab","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":["a","a","a","a","b","b","b","b","c","c","c","d","e","e","e","f","f"],"y":[-2.712148867271438,-2.8457731223802893,-3.4617116677813717,2.517504019704391,-2.837193109373,3.0320715517644765,-3.70980988089558,2.821995576852376,-1.9896889150175752,-2.2604052147819242,3.9615563089258257,-2.3762665427530623,4.539862665882182,4.670413600811674,-0.7794407154540686,-0.5588919295258279,-1.0505601614872506]}},"id":"4920f9c2-6e76-4064-96d5-bd5dcf928627","type":"ColumnDataSource"},{"attributes":{},"id":"357ee6ee-10a2-4a52-93eb-943c2c8861e5","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"3ae29c72-e0d3-4e55-8352-19801633ac0c","type":"Segment"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"bc62439d-7ee4-4ac0-9756-20ee9a2b7685","type":"VBar"},{"attributes":{"data_source":{"id":"84f04674-1122-4e04-b6f5-1a53bd7fe2d6","type":"ColumnDataSource"},"glyph":{"id":"735f8e5b-1f68-4f41-a53c-f6849f40ef44","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bc62439d-7ee4-4ac0-9756-20ee9a2b7685","type":"VBar"},"selection_glyph":null,"view":{"id":"5cb02147-4db8-4cb4-91dc-40811e777f65","type":"CDSView"}},"id":"f3756b03-749a-4fd6-9734-21f8c741f050","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["bottom","top","x"],"data":{"bottom":{"__ndarray__":"W/E+6kci4j/ATtWquAroP8qCEjXt1Ps/CGUGLa8G+j9Z5K7tUEsEQHZcr1VVRAVA","dtype":"float64","shape":[6]},"top":{"__ndarray__":"CBYuehRftr/EDwG9vLq+P6LPfPHEwvI/IlYQy7bh7D+LdK7EIPD9Pz/J+1kMn/8/","dtype":"float64","shape":[6]},"x":["a","b","c","d","e","f"]}},"id":"1f3daa80-0c85-472f-aeb9-e1be4362303a","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"357ee6ee-10a2-4a52-93eb-943c2c8861e5","type":"SaveTool"}]},"id":"fe460ccc-ff98-425e-b62d-3a0330618b9b","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y0","x0","x1","y1"],"data":{"x0":["a","b","c","d","e","f"],"x1":["a","b","c","d","e","f"],"y0":{"__ndarray__":"FPKtejKRA0AET7NsEGsGQJvaedqK3g5AHFlpBjOjCkCyO+WRuPwRQCpu1dBcBRJA","dtype":"float64","shape":[6]},"y1":{"__ndarray__":"W/E+6kci4j/ATtWquAroP8qCEjXt1Ps/CGUGLa8G+j9Z5K7tUEsEQHZcr1VVRAVA","dtype":"float64","shape":[6]}}},"id":"4740f5a7-2929-4387-98ae-2540fdfb9e00","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"a739957c-b28f-41b7-a58f-95a5582fd6ab","type":"ColumnDataSource"},"glyph":{"id":"1d9f19f3-287a-4ef7-9424-dd19cbb1e1ad","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3ae29c72-e0d3-4e55-8352-19801633ac0c","type":"Segment"},"selection_glyph":null,"view":{"id":"2718de51-873e-468b-9450-dbe4eb1be2a0","type":"CDSView"}},"id":"d6ea8335-6673-4cf8-8241-1230c8851300","type":"GlyphRenderer"},{"attributes":{},"id":"80f43d2a-7f1c-4672-bf35-bd10ebc414eb","type":"CategoricalTickFormatter"},{"attributes":{"callback":null},"id":"ddfccd29-99fe-4308-bda1-384300a8ae34","type":"DataRange1d"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"aa9f87e8-07d5-49cd-bfc6-0494d6bf3a29","type":"VBar"},{"attributes":{"source":{"id":"0f31819d-05d3-4cc8-b61a-b0652cfc00ea","type":"ColumnDataSource"}},"id":"40ea7172-657f-405b-8b7f-64f7b250e551","type":"CDSView"},{"attributes":{"source":{"id":"1f3daa80-0c85-472f-aeb9-e1be4362303a","type":"ColumnDataSource"}},"id":"0168cf9d-5c64-41d3-ac46-ed30f2feaa02","type":"CDSView"},{"attributes":{},"id":"3296a3bd-5bc8-4188-9776-a4b7be5d6eec","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"1f3daa80-0c85-472f-aeb9-e1be4362303a","type":"ColumnDataSource"},"glyph":{"id":"9fdbd75e-568c-4347-88ae-4bd322a4efb4","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aa9f87e8-07d5-49cd-bfc6-0494d6bf3a29","type":"VBar"},"selection_glyph":null,"view":{"id":"0168cf9d-5c64-41d3-ac46-ed30f2feaa02","type":"CDSView"}},"id":"a6ec9f2f-032b-4196-b513-9898f82597e2","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["a","b","c","d","e","f"],"y":{"__ndarray__":"kPL32s6FBMCHpJyY9VUFwEDRZPUArvy/mrsx9CHx/786mFEHk1vnv0L0gDXBLOG/","dtype":"float64","shape":[6]}}},"id":"0f31819d-05d3-4cc8-b61a-b0652cfc00ea","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"3296a3bd-5bc8-4188-9776-a4b7be5d6eec","type":"BasicTickFormatter"},"plot":{"id":"dbe37dae-ffe2-4668-ba50-9d619342b366","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d784e21-f24e-4998-90f2-39eb4d055bbd","type":"BasicTicker"}},"id":"64504447-59fe-4a95-b3e2-748ec06fcfc3","type":"LinearAxis"},{"attributes":{"data_source":{"id":"4920f9c2-6e76-4064-96d5-bd5dcf928627","type":"ColumnDataSource"},"glyph":{"id":"93f80e68-c524-4ce4-a87b-7146bbb3bfe3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"47fbcebd-1dff-4823-bfa3-df5307277649","type":"Circle"},"selection_glyph":null,"view":{"id":"37ea966e-de7e-4cc7-88ce-db40171f7559","type":"CDSView"}},"id":"79232d83-c2a8-4c12-9d78-38e64afbe0f0","type":"GlyphRenderer"},{"attributes":{"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"1d9f19f3-287a-4ef7-9424-dd19cbb1e1ad","type":"Segment"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#3B8686"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"735f8e5b-1f68-4f41-a53c-f6849f40ef44","type":"VBar"},{"attributes":{"plot":null,"text":""},"id":"60223875-dd8c-4969-a949-20b6f73df4df","type":"Title"},{"attributes":{"grid_line_color":{"value":null},"grid_line_width":{"value":2},"plot":{"id":"dbe37dae-ffe2-4668-ba50-9d619342b366","subtype":"Figure","type":"Plot"},"ticker":{"id":"75a932cb-9431-45a2-ac0f-7abc5b7771d6","type":"CategoricalTicker"}},"id":"a3b210f2-e619-4b73-97bf-5d279b902f4a","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"59d3e2ab-967f-4ee5-85a0-9794bef822c9","type":"Rect"},{"attributes":{"source":{"id":"a739957c-b28f-41b7-a58f-95a5582fd6ab","type":"ColumnDataSource"}},"id":"2718de51-873e-468b-9450-dbe4eb1be2a0","type":"CDSView"},{"attributes":{},"id":"9445f57c-8a4e-427f-993c-f81131dd3404","type":"CategoricalScale"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f"]},"id":"2ce3a2fb-327f-4b22-b432-833c837fcfa1","type":"FactorRange"},{"attributes":{"source":{"id":"8a97f899-a78b-41d7-898d-85116f5f870d","type":"ColumnDataSource"}},"id":"d45618ac-6177-452d-bdaa-8f1d82d3404b","type":"CDSView"},{"attributes":{"data_source":{"id":"8a97f899-a78b-41d7-898d-85116f5f870d","type":"ColumnDataSource"},"glyph":{"id":"78d3f5e6-00a3-45eb-a692-bf5530322284","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"59d3e2ab-967f-4ee5-85a0-9794bef822c9","type":"Rect"},"selection_glyph":null,"view":{"id":"d45618ac-6177-452d-bdaa-8f1d82d3404b","type":"CDSView"}},"id":"06120c86-39f5-423d-8479-736b7c3727e2","type":"GlyphRenderer"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#E08E79"},"top":{"field":"top"},"width":{"value":0.7},"x":{"field":"x"}},"id":"9fdbd75e-568c-4347-88ae-4bd322a4efb4","type":"VBar"},{"attributes":{"data_source":{"id":"0f31819d-05d3-4cc8-b61a-b0652cfc00ea","type":"ColumnDataSource"},"glyph":{"id":"d7b5f882-47e0-428f-91f1-1a97f0ce58f3","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c4481b72-304b-4029-8465-ab83c0f50a82","type":"Rect"},"selection_glyph":null,"view":{"id":"40ea7172-657f-405b-8b7f-64f7b250e551","type":"CDSView"}},"id":"ba79bbd5-3d44-4345-abf2-539e09e897ce","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#F38630"},"line_color":{"value":"#F38630"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"93f80e68-c524-4ce4-a87b-7146bbb3bfe3","type":"Circle"},{"attributes":{},"id":"1d784e21-f24e-4998-90f2-39eb4d055bbd","type":"BasicTicker"},{"attributes":{"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"f7459295-8dca-47e1-bc46-01f552a01e2c","type":"Segment"},{"attributes":{},"id":"75a932cb-9431-45a2-ac0f-7abc5b7771d6","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"80f43d2a-7f1c-4672-bf35-bd10ebc414eb","type":"CategoricalTickFormatter"},"major_label_text_font_size":{"value":"12pt"},"plot":{"id":"dbe37dae-ffe2-4668-ba50-9d619342b366","subtype":"Figure","type":"Plot"},"ticker":{"id":"75a932cb-9431-45a2-ac0f-7abc5b7771d6","type":"CategoricalTicker"}},"id":"9c835412-cda3-4c89-9534-cdb1289307c6","type":"CategoricalAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.01},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c4481b72-304b-4029-8465-ab83c0f50a82","type":"Rect"},{"attributes":{"source":{"id":"4740f5a7-2929-4387-98ae-2540fdfb9e00","type":"ColumnDataSource"}},"id":"9dab8674-2715-4c37-a15b-b606a43905fc","type":"CDSView"},{"attributes":{"source":{"id":"84f04674-1122-4e04-b6f5-1a53bd7fe2d6","type":"ColumnDataSource"}},"id":"5cb02147-4db8-4cb4-91dc-40811e777f65","type":"CDSView"},{"attributes":{"source":{"id":"4920f9c2-6e76-4064-96d5-bd5dcf928627","type":"ColumnDataSource"}},"id":"37ea966e-de7e-4cc7-88ce-db40171f7559","type":"CDSView"},{"attributes":{"background_fill_color":{"value":"#EFE8E2"},"below":[{"id":"9c835412-cda3-4c89-9534-cdb1289307c6","type":"CategoricalAxis"}],"left":[{"id":"64504447-59fe-4a95-b3e2-748ec06fcfc3","type":"LinearAxis"}],"renderers":[{"id":"9c835412-cda3-4c89-9534-cdb1289307c6","type":"CategoricalAxis"},{"id":"a3b210f2-e619-4b73-97bf-5d279b902f4a","type":"Grid"},{"id":"64504447-59fe-4a95-b3e2-748ec06fcfc3","type":"LinearAxis"},{"id":"8d9b7669-448b-40b7-8a5c-124779acccb0","type":"Grid"},{"id":"59c0abc4-b9f6-4da0-a5b8-458b424fe154","type":"GlyphRenderer"},{"id":"d6ea8335-6673-4cf8-8241-1230c8851300","type":"GlyphRenderer"},{"id":"a6ec9f2f-032b-4196-b513-9898f82597e2","type":"GlyphRenderer"},{"id":"f3756b03-749a-4fd6-9734-21f8c741f050","type":"GlyphRenderer"},{"id":"ba79bbd5-3d44-4345-abf2-539e09e897ce","type":"GlyphRenderer"},{"id":"06120c86-39f5-423d-8479-736b7c3727e2","type":"GlyphRenderer"},{"id":"79232d83-c2a8-4c12-9d78-38e64afbe0f0","type":"GlyphRenderer"}],"title":{"id":"60223875-dd8c-4969-a949-20b6f73df4df","type":"Title"},"toolbar":{"id":"fe460ccc-ff98-425e-b62d-3a0330618b9b","type":"Toolbar"},"x_range":{"id":"2ce3a2fb-327f-4b22-b432-833c837fcfa1","type":"FactorRange"},"x_scale":{"id":"9445f57c-8a4e-427f-993c-f81131dd3404","type":"CategoricalScale"},"y_range":{"id":"ddfccd29-99fe-4308-bda1-384300a8ae34","type":"DataRange1d"},"y_scale":{"id":"ae4dbea3-7ac1-4d44-9415-00caa94f8d70","type":"LinearScale"}},"id":"dbe37dae-ffe2-4668-ba50-9d619342b366","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"47fbcebd-1dff-4823-bfa3-df5307277649","type":"Circle"},{"attributes":{"data_source":{"id":"4740f5a7-2929-4387-98ae-2540fdfb9e00","type":"ColumnDataSource"},"glyph":{"id":"f7459295-8dca-47e1-bc46-01f552a01e2c","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b37bcdc5-763d-4a4e-acaa-23c6855eaf69","type":"Segment"},"selection_glyph":null,"view":{"id":"9dab8674-2715-4c37-a15b-b606a43905fc","type":"CDSView"}},"id":"59c0abc4-b9f6-4da0-a5b8-458b424fe154","type":"GlyphRenderer"}],"root_ids":["dbe37dae-ffe2-4668-ba50-9d619342b366"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"884725ac-298f-4a61-aec7-f1271e336b75","elementid":"b166298c-3358-494d-a03b-98cbbc5595cd","modelid":"dbe37dae-ffe2-4668-ba50-9d619342b366"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
