(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c1e74f1f-9664-4a26-a33e-3b432ad454b9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c1e74f1f-9664-4a26-a33e-3b432ad454b9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"56a42087-2855-4fa4-9765-5b5fd73ed9f4":{"roots":{"references":[{"attributes":{},"id":"a7ab62de-6a6b-4d31-bc8f-d9ad64545a2f","type":"ResetTool"},{"attributes":{"callback":null},"id":"563b4784-5086-465a-8f5f-872b1d635ac1","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"3a601746-660b-4d97-9cdd-91c07be17cb6","type":"Title"},{"attributes":{},"id":"079ce24c-4ef9-463d-97b5-fe6831b657d7","type":"LinearScale"},{"attributes":{},"id":"a611cbe6-77b1-47fd-9818-19b6a2d919b2","type":"SaveTool"},{"attributes":{},"id":"c71dd75e-45f8-4e31-9b01-c1ddb03435f1","type":"HelpTool"},{"attributes":{},"id":"a14c0344-888f-4df9-8dc3-6407f111c647","type":"BasicTickFormatter"},{"attributes":{},"id":"34c9225c-5da9-4a4e-9d76-63386d5941ff","type":"PanTool"},{"attributes":{},"id":"04964cca-834f-4198-b2d1-1077295b933a","type":"BasicTicker"},{"attributes":{"plot":{"id":"6ad6d709-4407-416f-a07e-673de71ae6f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"04964cca-834f-4198-b2d1-1077295b933a","type":"BasicTicker"}},"id":"00f56cc8-2d3f-474a-8f01-80247f753fbc","type":"Grid"},{"attributes":{},"id":"f0ea5633-5a7f-4920-a0a2-21da26a59e93","type":"BasicTicker"},{"attributes":{},"id":"42b1062d-0755-465f-84eb-cc5038e558a5","type":"LinearScale"},{"attributes":{},"id":"d96179ff-a588-4f7d-aa2d-51b51162245a","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"15ab27f2-32b1-48db-9e06-dbae7adc2016","type":"LinearAxis"}],"left":[{"id":"687c0eaf-0056-4d77-a288-ce18efef9b63","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"15ab27f2-32b1-48db-9e06-dbae7adc2016","type":"LinearAxis"},{"id":"00f56cc8-2d3f-474a-8f01-80247f753fbc","type":"Grid"},{"id":"687c0eaf-0056-4d77-a288-ce18efef9b63","type":"LinearAxis"},{"id":"0c0703e1-4a3f-4a44-9fd8-4c82d2607524","type":"Grid"},{"id":"ec5577be-10c8-4564-97ef-16a34638b442","type":"BoxAnnotation"},{"id":"20833ad5-40a5-4225-9ef6-386152cabe1f","type":"GlyphRenderer"}],"title":{"id":"3a601746-660b-4d97-9cdd-91c07be17cb6","type":"Title"},"toolbar":{"id":"90500ea9-7445-43bc-84a9-b0304d1a218f","type":"Toolbar"},"x_range":{"id":"73c000d2-f01e-477b-aea4-b65ecad21027","type":"DataRange1d"},"x_scale":{"id":"42b1062d-0755-465f-84eb-cc5038e558a5","type":"LinearScale"},"y_range":{"id":"563b4784-5086-465a-8f5f-872b1d635ac1","type":"DataRange1d"},"y_scale":{"id":"079ce24c-4ef9-463d-97b5-fe6831b657d7","type":"LinearScale"}},"id":"6ad6d709-4407-416f-a07e-673de71ae6f5","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"6ad6d709-4407-416f-a07e-673de71ae6f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0ea5633-5a7f-4920-a0a2-21da26a59e93","type":"BasicTicker"}},"id":"0c0703e1-4a3f-4a44-9fd8-4c82d2607524","type":"Grid"},{"attributes":{"callback":null,"column_names":["angle","y","x"],"data":{"angle":[30,45,60],"x":[1,2,3],"y":[1,2,3]}},"id":"e624da4b-2844-4371-b1a2-a74cf6509ade","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"e624da4b-2844-4371-b1a2-a74cf6509ade","type":"ColumnDataSource"},"glyph":{"id":"b892e8b7-dc61-4c95-b81b-a08cff98e443","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"48d419b9-7145-4fca-b619-d77e381c9439","type":"Ray"},"selection_glyph":null,"view":{"id":"459b173a-31e1-44dc-8d59-05db8d05479d","type":"CDSView"}},"id":"20833ad5-40a5-4225-9ef6-386152cabe1f","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"ec5577be-10c8-4564-97ef-16a34638b442","type":"BoxAnnotation"}},"id":"ea207702-95ff-4c26-80ea-c383c9d389c7","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"d96179ff-a588-4f7d-aa2d-51b51162245a","type":"BasicTickFormatter"},"plot":{"id":"6ad6d709-4407-416f-a07e-673de71ae6f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"f0ea5633-5a7f-4920-a0a2-21da26a59e93","type":"BasicTicker"}},"id":"687c0eaf-0056-4d77-a288-ce18efef9b63","type":"LinearAxis"},{"attributes":{"callback":null},"id":"73c000d2-f01e-477b-aea4-b65ecad21027","type":"DataRange1d"},{"attributes":{},"id":"750cb680-a5dc-4584-b9d4-240e28b1c21b","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ec5577be-10c8-4564-97ef-16a34638b442","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"34c9225c-5da9-4a4e-9d76-63386d5941ff","type":"PanTool"},{"id":"750cb680-a5dc-4584-b9d4-240e28b1c21b","type":"WheelZoomTool"},{"id":"ea207702-95ff-4c26-80ea-c383c9d389c7","type":"BoxZoomTool"},{"id":"a611cbe6-77b1-47fd-9818-19b6a2d919b2","type":"SaveTool"},{"id":"a7ab62de-6a6b-4d31-bc8f-d9ad64545a2f","type":"ResetTool"},{"id":"c71dd75e-45f8-4e31-9b01-c1ddb03435f1","type":"HelpTool"}]},"id":"90500ea9-7445-43bc-84a9-b0304d1a218f","type":"Toolbar"},{"attributes":{"source":{"id":"e624da4b-2844-4371-b1a2-a74cf6509ade","type":"ColumnDataSource"}},"id":"459b173a-31e1-44dc-8d59-05db8d05479d","type":"CDSView"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"b892e8b7-dc61-4c95-b81b-a08cff98e443","type":"Ray"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"48d419b9-7145-4fca-b619-d77e381c9439","type":"Ray"},{"attributes":{"formatter":{"id":"a14c0344-888f-4df9-8dc3-6407f111c647","type":"BasicTickFormatter"},"plot":{"id":"6ad6d709-4407-416f-a07e-673de71ae6f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"04964cca-834f-4198-b2d1-1077295b933a","type":"BasicTicker"}},"id":"15ab27f2-32b1-48db-9e06-dbae7adc2016","type":"LinearAxis"}],"root_ids":["6ad6d709-4407-416f-a07e-673de71ae6f5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"56a42087-2855-4fa4-9765-5b5fd73ed9f4","elementid":"c1e74f1f-9664-4a26-a33e-3b432ad454b9","modelid":"6ad6d709-4407-416f-a07e-673de71ae6f5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
