(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fa989692-9b53-452a-b321-9849e02cbd4a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fa989692-9b53-452a-b321-9849e02cbd4a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a917114d-0888-479c-9901-fadcb4a09f0c":{"roots":{"references":[{"attributes":{"formatter":{"id":"e69f2ace-b93b-48e8-8343-a12fe01c176b","type":"BasicTickFormatter"},"plot":{"id":"a5fae728-82b9-4a90-919d-871bf37d0a23","type":"Plot"},"ticker":{"id":"30f43cdb-061b-4499-9fef-7264472fd705","type":"BasicTicker"}},"id":"bce5ccfd-011e-4340-b7ad-9b6685e8736e","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#CAB2D6"},"height":{"field":"h","units":"data"},"width":{"field":"w","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"4afd91d4-fbbf-4163-a24d-f00543a6138b","type":"Ellipse"},{"attributes":{"plot":{"id":"a5fae728-82b9-4a90-919d-871bf37d0a23","type":"Plot"},"ticker":{"id":"3f45c169-a165-43e3-b362-62fff3163348","type":"BasicTicker"}},"id":"2063f11f-de30-4b9c-9628-52e370f2f507","type":"Grid"},{"attributes":{"below":[{"id":"2874d2ec-5132-4a7f-a546-1034c96e9310","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"bce5ccfd-011e-4340-b7ad-9b6685e8736e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"859bc75d-8022-4fbf-9af6-7cf1028ddcb7","type":"GlyphRenderer"},{"id":"2874d2ec-5132-4a7f-a546-1034c96e9310","type":"LinearAxis"},{"id":"bce5ccfd-011e-4340-b7ad-9b6685e8736e","type":"LinearAxis"},{"id":"2063f11f-de30-4b9c-9628-52e370f2f507","type":"Grid"},{"id":"39c48e51-423f-4ff0-8710-8cb356a34c23","type":"Grid"}],"title":null,"toolbar":{"id":"81025623-53c0-4c44-af5b-ae54652a24db","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e2069fa0-2ac2-4bcf-ae51-e155b39a6ae5","type":"DataRange1d"},"x_scale":{"id":"df2d6509-7af3-45c3-943c-4f430d873f02","type":"LinearScale"},"y_range":{"id":"a0449400-3006-4dd8-b0b6-e86e1e280dc6","type":"DataRange1d"},"y_scale":{"id":"f9e9e148-fd62-4dff-9dd7-b5dc222f6a20","type":"LinearScale"}},"id":"a5fae728-82b9-4a90-919d-871bf37d0a23","type":"Plot"},{"attributes":{},"id":"f9e9e148-fd62-4dff-9dd7-b5dc222f6a20","type":"LinearScale"},{"attributes":{},"id":"e69f2ace-b93b-48e8-8343-a12fe01c176b","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b0fec0d3-ceef-4ad3-8098-83af7a903d1c","type":"BasicTickFormatter"},"plot":{"id":"a5fae728-82b9-4a90-919d-871bf37d0a23","type":"Plot"},"ticker":{"id":"3f45c169-a165-43e3-b362-62fff3163348","type":"BasicTicker"}},"id":"2874d2ec-5132-4a7f-a546-1034c96e9310","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","h","w","x"],"data":{"h":{"__ndarray__":"AAAAAAAA4D9mZmZmZmbaP2ZmZmZmZtY/AAAAAAAA1D8zMzMzMzPTPwAAAAAAANQ/ZmZmZmZm1j9mZmZmZmbaPwAAAAAAAOA/","dtype":"float64","shape":[9]},"w":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"4ff0949b-6cbf-46ce-94e6-bd6bbdd124a8","type":"ColumnDataSource"},{"attributes":{},"id":"df2d6509-7af3-45c3-943c-4f430d873f02","type":"LinearScale"},{"attributes":{},"id":"b0fec0d3-ceef-4ad3-8098-83af7a903d1c","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"a0449400-3006-4dd8-b0b6-e86e1e280dc6","type":"DataRange1d"},{"attributes":{"callback":null},"id":"e2069fa0-2ac2-4bcf-ae51-e155b39a6ae5","type":"DataRange1d"},{"attributes":{},"id":"3f45c169-a165-43e3-b362-62fff3163348","type":"BasicTicker"},{"attributes":{"source":{"id":"4ff0949b-6cbf-46ce-94e6-bd6bbdd124a8","type":"ColumnDataSource"}},"id":"68c90567-9563-4ee4-8145-5da72bb15636","type":"CDSView"},{"attributes":{},"id":"30f43cdb-061b-4499-9fef-7264472fd705","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"a5fae728-82b9-4a90-919d-871bf37d0a23","type":"Plot"},"ticker":{"id":"30f43cdb-061b-4499-9fef-7264472fd705","type":"BasicTicker"}},"id":"39c48e51-423f-4ff0-8710-8cb356a34c23","type":"Grid"},{"attributes":{"data_source":{"id":"4ff0949b-6cbf-46ce-94e6-bd6bbdd124a8","type":"ColumnDataSource"},"glyph":{"id":"4afd91d4-fbbf-4163-a24d-f00543a6138b","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"68c90567-9563-4ee4-8145-5da72bb15636","type":"CDSView"}},"id":"859bc75d-8022-4fbf-9af6-7cf1028ddcb7","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"81025623-53c0-4c44-af5b-ae54652a24db","type":"Toolbar"}],"root_ids":["a5fae728-82b9-4a90-919d-871bf37d0a23"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a917114d-0888-479c-9901-fadcb4a09f0c","elementid":"fa989692-9b53-452a-b321-9849e02cbd4a","modelid":"a5fae728-82b9-4a90-919d-871bf37d0a23"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
