(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("60dac5f3-302b-442c-84e0-12a9800007df");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '60dac5f3-302b-442c-84e0-12a9800007df' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d14fba9c-6572-40df-acb2-7522648bcfd3":{"roots":{"references":[{"attributes":{"below":[{"id":"fa0b3172-9539-4c9a-ae42-bbfe8d164850","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"44b8ddd6-3611-49e5-a8c1-cd60913b0f8a","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"69e26e6c-4358-47a3-a7d3-e6f38b8531e9","type":"GlyphRenderer"},{"id":"fa0b3172-9539-4c9a-ae42-bbfe8d164850","type":"LinearAxis"},{"id":"44b8ddd6-3611-49e5-a8c1-cd60913b0f8a","type":"LinearAxis"},{"id":"080a8571-503a-47b5-980c-b002aef3a570","type":"Grid"},{"id":"72e652dc-a670-44f9-bd1c-1433a24935ba","type":"Grid"}],"title":null,"toolbar":{"id":"2c4d3da4-b91c-45ba-81fb-79801086046f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8f6d9174-4394-4111-aece-0893a2debac9","type":"DataRange1d"},"x_scale":{"id":"dd2dbed9-ec57-47e6-9bc1-d3a51f89b2f3","type":"LinearScale"},"y_range":{"id":"c59f3d0a-3912-41d9-8ac9-48765e2a4808","type":"DataRange1d"},"y_scale":{"id":"83ebfa3e-2f67-490e-892a-ddb77b764ec5","type":"LinearScale"}},"id":"37391dad-ab87-4eb9-8154-8ddacf0f6986","type":"Plot"},{"attributes":{},"id":"a82b6ccc-e29e-49b4-b592-af0d0d93599b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"37391dad-ab87-4eb9-8154-8ddacf0f6986","type":"Plot"},"ticker":{"id":"fc262314-cc27-4c0d-9af8-8e495d786166","type":"BasicTicker"}},"id":"72e652dc-a670-44f9-bd1c-1433a24935ba","type":"Grid"},{"attributes":{"fill_color":{"value":"#b3de69"},"height":{"value":0.5},"right":{"field":"right"},"y":{"field":"y"}},"id":"8fe0eb48-ba65-44ea-8178-930040fa3366","type":"HBar"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]}}},"id":"fff41f3e-0817-4a69-bced-05cd63cb0d2c","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2c4d3da4-b91c-45ba-81fb-79801086046f","type":"Toolbar"},{"attributes":{},"id":"2bc2fc78-0388-465a-af86-37cddfcc14c9","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"2bc2fc78-0388-465a-af86-37cddfcc14c9","type":"BasicTickFormatter"},"plot":{"id":"37391dad-ab87-4eb9-8154-8ddacf0f6986","type":"Plot"},"ticker":{"id":"a82b6ccc-e29e-49b4-b592-af0d0d93599b","type":"BasicTicker"}},"id":"fa0b3172-9539-4c9a-ae42-bbfe8d164850","type":"LinearAxis"},{"attributes":{"callback":null},"id":"8f6d9174-4394-4111-aece-0893a2debac9","type":"DataRange1d"},{"attributes":{},"id":"fc262314-cc27-4c0d-9af8-8e495d786166","type":"BasicTicker"},{"attributes":{},"id":"dd2dbed9-ec57-47e6-9bc1-d3a51f89b2f3","type":"LinearScale"},{"attributes":{"data_source":{"id":"fff41f3e-0817-4a69-bced-05cd63cb0d2c","type":"ColumnDataSource"},"glyph":{"id":"8fe0eb48-ba65-44ea-8178-930040fa3366","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"17097555-2a1d-4310-b3f6-c68ba56c6f34","type":"CDSView"}},"id":"69e26e6c-4358-47a3-a7d3-e6f38b8531e9","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"6b12caf5-2d9d-4e71-945b-bbe0e47f73c8","type":"BasicTickFormatter"},"plot":{"id":"37391dad-ab87-4eb9-8154-8ddacf0f6986","type":"Plot"},"ticker":{"id":"fc262314-cc27-4c0d-9af8-8e495d786166","type":"BasicTicker"}},"id":"44b8ddd6-3611-49e5-a8c1-cd60913b0f8a","type":"LinearAxis"},{"attributes":{"plot":{"id":"37391dad-ab87-4eb9-8154-8ddacf0f6986","type":"Plot"},"ticker":{"id":"a82b6ccc-e29e-49b4-b592-af0d0d93599b","type":"BasicTicker"}},"id":"080a8571-503a-47b5-980c-b002aef3a570","type":"Grid"},{"attributes":{"source":{"id":"fff41f3e-0817-4a69-bced-05cd63cb0d2c","type":"ColumnDataSource"}},"id":"17097555-2a1d-4310-b3f6-c68ba56c6f34","type":"CDSView"},{"attributes":{},"id":"83ebfa3e-2f67-490e-892a-ddb77b764ec5","type":"LinearScale"},{"attributes":{"callback":null},"id":"c59f3d0a-3912-41d9-8ac9-48765e2a4808","type":"DataRange1d"},{"attributes":{},"id":"6b12caf5-2d9d-4e71-945b-bbe0e47f73c8","type":"BasicTickFormatter"}],"root_ids":["37391dad-ab87-4eb9-8154-8ddacf0f6986"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d14fba9c-6572-40df-acb2-7522648bcfd3","elementid":"60dac5f3-302b-442c-84e0-12a9800007df","modelid":"37391dad-ab87-4eb9-8154-8ddacf0f6986"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
