(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("06ff5ac7-7655-48b4-aac7-5fc8acbd3a78");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '06ff5ac7-7655-48b4-aac7-5fc8acbd3a78' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d9d4358d-9a12-4ff5-aab3-14d504d1c6b6":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"0b466dff-f980-4dda-bf68-e3b976a0e081","type":"Toolbar"},{"attributes":{},"id":"8577e899-8bca-4e25-9923-fda613a5d804","type":"LinearScale"},{"attributes":{"callback":null},"id":"60380150-05d1-4a57-a332-e4b277678f4b","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"ee086ef6-5d40-43dd-8591-fc70b9b94ff7","type":"Plot"},"ticker":{"id":"08038a42-5be4-4c3e-bdb5-e7693f10f837","type":"BasicTicker"}},"id":"8aea2556-36ef-4c8e-8f85-af8980cf7865","type":"Grid"},{"attributes":{"below":[{"id":"46bbfd2c-2977-4274-adbe-c5dee62f6c49","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"69909f37-de00-498f-bb41-9d72e865712d","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"5eeca39e-ce25-479b-ad92-2dace4e6ff43","type":"GlyphRenderer"},{"id":"46bbfd2c-2977-4274-adbe-c5dee62f6c49","type":"LinearAxis"},{"id":"69909f37-de00-498f-bb41-9d72e865712d","type":"LinearAxis"},{"id":"7fef50a6-2d44-4bfc-9317-556833098e5f","type":"Grid"},{"id":"8aea2556-36ef-4c8e-8f85-af8980cf7865","type":"Grid"}],"title":null,"toolbar":{"id":"0b466dff-f980-4dda-bf68-e3b976a0e081","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"60380150-05d1-4a57-a332-e4b277678f4b","type":"DataRange1d"},"x_scale":{"id":"d9c1634b-3500-4cd1-9632-c73032e9455c","type":"LinearScale"},"y_range":{"id":"47d7c321-6857-4a4c-952f-cc405f802dd6","type":"DataRange1d"},"y_scale":{"id":"8577e899-8bca-4e25-9923-fda613a5d804","type":"LinearScale"}},"id":"ee086ef6-5d40-43dd-8591-fc70b9b94ff7","type":"Plot"},{"attributes":{"source":{"id":"73fad9ad-71e2-4a46-8892-7a45b5889ae6","type":"ColumnDataSource"}},"id":"acc5fd34-a339-4de5-bd01-52926a351561","type":"CDSView"},{"attributes":{"data_source":{"id":"73fad9ad-71e2-4a46-8892-7a45b5889ae6","type":"ColumnDataSource"},"glyph":{"id":"ad2e85f0-4ce5-42d0-94b7-fadd6cbfa3bd","type":"Quadratic"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"acc5fd34-a339-4de5-bd01-52926a351561","type":"CDSView"}},"id":"5eeca39e-ce25-479b-ad92-2dace4e6ff43","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"365aaf0e-c59a-48b9-a62a-04b295b9bec4","type":"BasicTickFormatter"},"plot":{"id":"ee086ef6-5d40-43dd-8591-fc70b9b94ff7","type":"Plot"},"ticker":{"id":"08038a42-5be4-4c3e-bdb5-e7693f10f837","type":"BasicTicker"}},"id":"69909f37-de00-498f-bb41-9d72e865712d","type":"LinearAxis"},{"attributes":{"plot":{"id":"ee086ef6-5d40-43dd-8591-fc70b9b94ff7","type":"Plot"},"ticker":{"id":"1e84d056-30bd-4e51-9acc-71b7cb09f0d6","type":"BasicTicker"}},"id":"7fef50a6-2d44-4bfc-9317-556833098e5f","type":"Grid"},{"attributes":{"formatter":{"id":"cb71bf05-94dc-41d6-9fa7-27c571c4cfc8","type":"BasicTickFormatter"},"plot":{"id":"ee086ef6-5d40-43dd-8591-fc70b9b94ff7","type":"Plot"},"ticker":{"id":"1e84d056-30bd-4e51-9acc-71b7cb09f0d6","type":"BasicTicker"}},"id":"46bbfd2c-2977-4274-adbe-c5dee62f6c49","type":"LinearAxis"},{"attributes":{"cx":{"field":"xp01"},"cy":{"field":"yp01"},"line_color":{"value":"#4DAF4A"},"line_width":{"value":3},"x0":{"field":"x"},"x1":{"field":"xp02"},"y0":{"field":"y"},"y1":{"field":"y"}},"id":"ad2e85f0-4ce5-42d0-94b7-fadd6cbfa3bd","type":"Quadratic"},{"attributes":{},"id":"d9c1634b-3500-4cd1-9632-c73032e9455c","type":"LinearScale"},{"attributes":{"callback":null},"id":"47d7c321-6857-4a4c-952f-cc405f802dd6","type":"DataRange1d"},{"attributes":{},"id":"1e84d056-30bd-4e51-9acc-71b7cb09f0d6","type":"BasicTicker"},{"attributes":{},"id":"cb71bf05-94dc-41d6-9fa7-27c571c4cfc8","type":"BasicTickFormatter"},{"attributes":{},"id":"365aaf0e-c59a-48b9-a62a-04b295b9bec4","type":"BasicTickFormatter"},{"attributes":{},"id":"08038a42-5be4-4c3e-bdb5-e7693f10f837","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","yp01","xp01","xp02"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xp01":{"__ndarray__":"ZmZmZmZm/r9mZmZmZmb2v83MzMzMzOy/mpmZmZmZ2b+amZmZmZm5PzMzMzMzM+M/mpmZmZmZ8T+amZmZmZn5P83MzMzMzABA","dtype":"float64","shape":[9]},"xp02":{"__ndarray__":"mpmZmZmZ+b+amZmZmZnxvzMzMzMzM+O/mJmZmZmZub+amZmZmZnZP83MzMzMzOw/ZmZmZmZm9j9mZmZmZmb+PzMzMzMzMwNA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"yp01":{"__ndarray__":"zczMzMzMEECamZmZmZkDQDMzMzMzM/M/zczMzMzM3D+amZmZmZnJP83MzMzMzNw/MzMzMzMz8z+amZmZmZkDQM3MzMzMzBBA","dtype":"float64","shape":[9]}}},"id":"73fad9ad-71e2-4a46-8892-7a45b5889ae6","type":"ColumnDataSource"}],"root_ids":["ee086ef6-5d40-43dd-8591-fc70b9b94ff7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d9d4358d-9a12-4ff5-aab3-14d504d1c6b6","elementid":"06ff5ac7-7655-48b4-aac7-5fc8acbd3a78","modelid":"ee086ef6-5d40-43dd-8591-fc70b9b94ff7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
