(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f34fe8bb-5820-4661-b058-9dcd48d8cfbe");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f34fe8bb-5820-4661-b058-9dcd48d8cfbe' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6058a9e9-90fc-437a-af7a-06e18bc574ae":{"roots":{"references":[{"attributes":{"formatter":{"id":"d8f7c01b-aa72-4fb4-ab8d-8e0f5857dfda","type":"BasicTickFormatter"},"plot":{"id":"6354ccdd-24c2-460c-bc48-cb1539da0ea7","type":"Plot"},"ticker":{"id":"95be4fe1-9702-49cb-bad2-0d988b3d2f0c","type":"BasicTicker"}},"id":"3c21df89-ac84-4ea7-b489-0dbc0fd5db5b","type":"LinearAxis"},{"attributes":{"callback":null},"id":"2468080e-56cf-4a32-a1a3-c600949ee5dd","type":"DataRange1d"},{"attributes":{"angle":{"units":"rad","value":0.3},"text_color":{"value":"#96deb3"},"x":{"field":"x"},"y":{"field":"y"}},"id":"80b6aed7-acac-45a6-b31c-4b5b9e3c5f31","type":"Text"},{"attributes":{"formatter":{"id":"8ba7309f-49cd-401f-9cee-23457f188128","type":"BasicTickFormatter"},"plot":{"id":"6354ccdd-24c2-460c-bc48-cb1539da0ea7","type":"Plot"},"ticker":{"id":"2804e7be-6a9f-487c-ba07-f14ee056774c","type":"BasicTicker"}},"id":"f0e0f52f-0726-45f9-aeac-98a96f85a8c6","type":"LinearAxis"},{"attributes":{},"id":"07e51dbe-9d24-4a3c-88e5-08671516a8be","type":"LinearScale"},{"attributes":{},"id":"d8f7c01b-aa72-4fb4-ab8d-8e0f5857dfda","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","text","x"],"data":{"text":["abc","def","ghi","jkl","mno","pqr","stu","vwx","yz"],"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"d629d75c-1a92-4cc8-90de-d36a42b2fdd4","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"6842b94f-29c4-4afd-b54d-30558da7352a","type":"DataRange1d"},{"attributes":{},"id":"95be4fe1-9702-49cb-bad2-0d988b3d2f0c","type":"BasicTicker"},{"attributes":{},"id":"2804e7be-6a9f-487c-ba07-f14ee056774c","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"6354ccdd-24c2-460c-bc48-cb1539da0ea7","type":"Plot"},"ticker":{"id":"95be4fe1-9702-49cb-bad2-0d988b3d2f0c","type":"BasicTicker"}},"id":"9138a2f6-cd10-48f1-80b8-8378aedaff4b","type":"Grid"},{"attributes":{},"id":"fafa5f12-8a50-4d5b-9706-91fcdca4b4e5","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c07643d2-91df-46ea-be9e-d7de626314bb","type":"Toolbar"},{"attributes":{"plot":{"id":"6354ccdd-24c2-460c-bc48-cb1539da0ea7","type":"Plot"},"ticker":{"id":"2804e7be-6a9f-487c-ba07-f14ee056774c","type":"BasicTicker"}},"id":"0caf728d-a309-4d88-b91a-4bc717a349a9","type":"Grid"},{"attributes":{"data_source":{"id":"d629d75c-1a92-4cc8-90de-d36a42b2fdd4","type":"ColumnDataSource"},"glyph":{"id":"80b6aed7-acac-45a6-b31c-4b5b9e3c5f31","type":"Text"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"3e07a76b-f555-4625-9d18-04cefbeba65c","type":"CDSView"}},"id":"af0305ce-a82d-4913-b174-e5f7959b98a0","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"f0e0f52f-0726-45f9-aeac-98a96f85a8c6","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"3c21df89-ac84-4ea7-b489-0dbc0fd5db5b","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"af0305ce-a82d-4913-b174-e5f7959b98a0","type":"GlyphRenderer"},{"id":"f0e0f52f-0726-45f9-aeac-98a96f85a8c6","type":"LinearAxis"},{"id":"3c21df89-ac84-4ea7-b489-0dbc0fd5db5b","type":"LinearAxis"},{"id":"0caf728d-a309-4d88-b91a-4bc717a349a9","type":"Grid"},{"id":"9138a2f6-cd10-48f1-80b8-8378aedaff4b","type":"Grid"}],"title":null,"toolbar":{"id":"c07643d2-91df-46ea-be9e-d7de626314bb","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6842b94f-29c4-4afd-b54d-30558da7352a","type":"DataRange1d"},"x_scale":{"id":"07e51dbe-9d24-4a3c-88e5-08671516a8be","type":"LinearScale"},"y_range":{"id":"2468080e-56cf-4a32-a1a3-c600949ee5dd","type":"DataRange1d"},"y_scale":{"id":"fafa5f12-8a50-4d5b-9706-91fcdca4b4e5","type":"LinearScale"}},"id":"6354ccdd-24c2-460c-bc48-cb1539da0ea7","type":"Plot"},{"attributes":{"source":{"id":"d629d75c-1a92-4cc8-90de-d36a42b2fdd4","type":"ColumnDataSource"}},"id":"3e07a76b-f555-4625-9d18-04cefbeba65c","type":"CDSView"},{"attributes":{},"id":"8ba7309f-49cd-401f-9cee-23457f188128","type":"BasicTickFormatter"}],"root_ids":["6354ccdd-24c2-460c-bc48-cb1539da0ea7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6058a9e9-90fc-437a-af7a-06e18bc574ae","elementid":"f34fe8bb-5820-4661-b058-9dcd48d8cfbe","modelid":"6354ccdd-24c2-460c-bc48-cb1539da0ea7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
