(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("129ce15a-3fbf-454f-be12-e54b2c76df17");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '129ce15a-3fbf-454f-be12-e54b2c76df17' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6c40bfe7-b629-4573-86b1-f0798c416791":{"roots":{"references":[{"attributes":{},"id":"c467c79c-1140-4f8f-b50f-4ffd6f89e011","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"85d5f8b8-f2e8-41a9-bb68-e50a34680a25","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"f3ba3aae-6b80-466a-bac8-7114bb5759d1","type":"Plot"},"ticker":{"id":"fc25e4bc-d8c5-4b17-bcff-b89d8b7fa939","type":"BasicTicker"}},"id":"2b405c58-662a-4a4a-b401-ce7b39245a29","type":"Grid"},{"attributes":{},"id":"1878e3de-ef59-4c92-9977-975253d0bf37","type":"LinearScale"},{"attributes":{},"id":"c2b3f11d-a52d-46aa-bab7-6280c22b4076","type":"LinearScale"},{"attributes":{"below":[{"id":"818f47e7-4554-445d-a7d8-144b2128208d","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"dc06c08b-d267-45f6-8f60-4259209554b5","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"53a2578d-f014-448b-944b-4610b1de92aa","type":"GlyphRenderer"},{"id":"818f47e7-4554-445d-a7d8-144b2128208d","type":"LinearAxis"},{"id":"dc06c08b-d267-45f6-8f60-4259209554b5","type":"LinearAxis"},{"id":"2b405c58-662a-4a4a-b401-ce7b39245a29","type":"Grid"},{"id":"90b0b089-0e48-497a-ae8b-3483d8c46f30","type":"Grid"}],"title":null,"toolbar":{"id":"ce6329ba-d922-4996-9a7e-8703caa465de","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7c07c04b-d17c-472d-ab53-a87bf05b2a28","type":"DataRange1d"},"x_scale":{"id":"1878e3de-ef59-4c92-9977-975253d0bf37","type":"LinearScale"},"y_range":{"id":"6b308b85-b4a5-469a-a509-24e621bfc0f4","type":"DataRange1d"},"y_scale":{"id":"c2b3f11d-a52d-46aa-bab7-6280c22b4076","type":"LinearScale"}},"id":"f3ba3aae-6b80-466a-bac8-7114bb5759d1","type":"Plot"},{"attributes":{"formatter":{"id":"739cc416-bcad-415a-9681-75dd9e26685b","type":"BasicTickFormatter"},"plot":{"id":"f3ba3aae-6b80-466a-bac8-7114bb5759d1","type":"Plot"},"ticker":{"id":"fc25e4bc-d8c5-4b17-bcff-b89d8b7fa939","type":"BasicTicker"}},"id":"818f47e7-4554-445d-a7d8-144b2128208d","type":"LinearAxis"},{"attributes":{"source":{"id":"85d5f8b8-f2e8-41a9-bb68-e50a34680a25","type":"ColumnDataSource"}},"id":"125a1e11-e3a8-476d-8b1a-00efe9807939","type":"CDSView"},{"attributes":{"formatter":{"id":"c6e328f9-0ecd-4e6a-bdb8-fcc34c542932","type":"BasicTickFormatter"},"plot":{"id":"f3ba3aae-6b80-466a-bac8-7114bb5759d1","type":"Plot"},"ticker":{"id":"c467c79c-1140-4f8f-b50f-4ffd6f89e011","type":"BasicTicker"}},"id":"dc06c08b-d267-45f6-8f60-4259209554b5","type":"LinearAxis"},{"attributes":{},"id":"c6e328f9-0ecd-4e6a-bdb8-fcc34c542932","type":"BasicTickFormatter"},{"attributes":{},"id":"fc25e4bc-d8c5-4b17-bcff-b89d8b7fa939","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ce6329ba-d922-4996-9a7e-8703caa465de","type":"Toolbar"},{"attributes":{},"id":"739cc416-bcad-415a-9681-75dd9e26685b","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"6b308b85-b4a5-469a-a509-24e621bfc0f4","type":"DataRange1d"},{"attributes":{"callback":null},"id":"7c07c04b-d17c-472d-ab53-a87bf05b2a28","type":"DataRange1d"},{"attributes":{"data_source":{"id":"85d5f8b8-f2e8-41a9-bb68-e50a34680a25","type":"ColumnDataSource"},"glyph":{"id":"34769424-9b76-4092-ba88-5a3913899af7","type":"CircleX"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"125a1e11-e3a8-476d-8b1a-00efe9807939","type":"CDSView"}},"id":"53a2578d-f014-448b-944b-4610b1de92aa","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#dd1c77"},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"34769424-9b76-4092-ba88-5a3913899af7","type":"CircleX"},{"attributes":{"dimension":1,"plot":{"id":"f3ba3aae-6b80-466a-bac8-7114bb5759d1","type":"Plot"},"ticker":{"id":"c467c79c-1140-4f8f-b50f-4ffd6f89e011","type":"BasicTicker"}},"id":"90b0b089-0e48-497a-ae8b-3483d8c46f30","type":"Grid"}],"root_ids":["f3ba3aae-6b80-466a-bac8-7114bb5759d1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6c40bfe7-b629-4573-86b1-f0798c416791","elementid":"129ce15a-3fbf-454f-be12-e54b2c76df17","modelid":"f3ba3aae-6b80-466a-bac8-7114bb5759d1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
