(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e35bfc0d-c774-4338-88d2-5feb3d78478d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e35bfc0d-c774-4338-88d2-5feb3d78478d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8de724d4-4f98-43b5-8bcd-d647018513ff":{"roots":{"references":[{"attributes":{"formatter":{"id":"4c020d7c-22cc-4968-aa7c-054fbfe14a02","type":"BasicTickFormatter"},"plot":{"id":"1b21645f-2eb7-4f6e-932d-0d4ee09823e8","type":"Plot"},"ticker":{"id":"3a87ba9a-113c-42c9-a3e2-63c5c97e0619","type":"BasicTicker"}},"id":"85ebbe0b-7b89-4865-be88-863b1df8832b","type":"LinearAxis"},{"attributes":{"source":{"id":"22485898-0d49-4096-b028-52f87e0f0d07","type":"ColumnDataSource"}},"id":"325bca72-f053-4db1-885c-96934b2eb962","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"22485898-0d49-4096-b028-52f87e0f0d07","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"22485898-0d49-4096-b028-52f87e0f0d07","type":"ColumnDataSource"},"glyph":{"id":"3ce53865-633e-43a1-ad40-11c8ea311948","type":"Cross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"325bca72-f053-4db1-885c-96934b2eb962","type":"CDSView"}},"id":"74175ca9-e7b4-4fef-b7e0-dac2b424445c","type":"GlyphRenderer"},{"attributes":{},"id":"f19b9c6f-00a6-4480-9f2f-8f9658919ca1","type":"BasicTicker"},{"attributes":{},"id":"18d44f2a-ffe3-483e-afe4-f71f260d2200","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"7dbd0b48-fa40-47a7-a584-43310c576272","type":"Toolbar"},{"attributes":{"callback":null},"id":"cd9e1d84-7b12-4838-905e-ad5d9dcf0abe","type":"DataRange1d"},{"attributes":{"plot":{"id":"1b21645f-2eb7-4f6e-932d-0d4ee09823e8","type":"Plot"},"ticker":{"id":"3a87ba9a-113c-42c9-a3e2-63c5c97e0619","type":"BasicTicker"}},"id":"ca9b0264-b957-4a33-9281-de6e4f0a051e","type":"Grid"},{"attributes":{"below":[{"id":"85ebbe0b-7b89-4865-be88-863b1df8832b","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"8ad616d4-0b1b-4992-a9ad-64712c3f38f8","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"74175ca9-e7b4-4fef-b7e0-dac2b424445c","type":"GlyphRenderer"},{"id":"85ebbe0b-7b89-4865-be88-863b1df8832b","type":"LinearAxis"},{"id":"8ad616d4-0b1b-4992-a9ad-64712c3f38f8","type":"LinearAxis"},{"id":"ca9b0264-b957-4a33-9281-de6e4f0a051e","type":"Grid"},{"id":"9d6d0571-2cc4-4ef3-9bd3-61bf2e69c8b3","type":"Grid"}],"title":null,"toolbar":{"id":"7dbd0b48-fa40-47a7-a584-43310c576272","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"091e85cb-e25b-4911-bb93-536a31d12fc9","type":"DataRange1d"},"x_scale":{"id":"18d44f2a-ffe3-483e-afe4-f71f260d2200","type":"LinearScale"},"y_range":{"id":"cd9e1d84-7b12-4838-905e-ad5d9dcf0abe","type":"DataRange1d"},"y_scale":{"id":"7dc1db66-c676-4499-9917-a5f7074623aa","type":"LinearScale"}},"id":"1b21645f-2eb7-4f6e-932d-0d4ee09823e8","type":"Plot"},{"attributes":{},"id":"4c020d7c-22cc-4968-aa7c-054fbfe14a02","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"1b21645f-2eb7-4f6e-932d-0d4ee09823e8","type":"Plot"},"ticker":{"id":"f19b9c6f-00a6-4480-9f2f-8f9658919ca1","type":"BasicTicker"}},"id":"9d6d0571-2cc4-4ef3-9bd3-61bf2e69c8b3","type":"Grid"},{"attributes":{},"id":"7dc1db66-c676-4499-9917-a5f7074623aa","type":"LinearScale"},{"attributes":{"callback":null},"id":"091e85cb-e25b-4911-bb93-536a31d12fc9","type":"DataRange1d"},{"attributes":{},"id":"3a87ba9a-113c-42c9-a3e2-63c5c97e0619","type":"BasicTicker"},{"attributes":{},"id":"91d32bf9-07c4-43c2-bdb2-bb923706ef33","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#e6550d"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"3ce53865-633e-43a1-ad40-11c8ea311948","type":"Cross"},{"attributes":{"formatter":{"id":"91d32bf9-07c4-43c2-bdb2-bb923706ef33","type":"BasicTickFormatter"},"plot":{"id":"1b21645f-2eb7-4f6e-932d-0d4ee09823e8","type":"Plot"},"ticker":{"id":"f19b9c6f-00a6-4480-9f2f-8f9658919ca1","type":"BasicTicker"}},"id":"8ad616d4-0b1b-4992-a9ad-64712c3f38f8","type":"LinearAxis"}],"root_ids":["1b21645f-2eb7-4f6e-932d-0d4ee09823e8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8de724d4-4f98-43b5-8bcd-d647018513ff","elementid":"e35bfc0d-c774-4338-88d2-5feb3d78478d","modelid":"1b21645f-2eb7-4f6e-932d-0d4ee09823e8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
