(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f951ed5f-f3cc-4437-ba54-ad65e16400e1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f951ed5f-f3cc-4437-ba54-ad65e16400e1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0c8e031d-8181-47f5-a0d0-29d9318870ee":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2256fda4-d11d-4e22-9d40-8c616c9481c8","type":"Toolbar"},{"attributes":{},"id":"d1523020-cbe7-4c84-bffd-98acb548c1ca","type":"BasicTickFormatter"},{"attributes":{},"id":"df583fcc-f2a3-4b65-b3c2-a02656f34713","type":"LinearScale"},{"attributes":{"callback":null},"id":"a6b65601-f0f1-46b1-b05e-582b53923fe8","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d1523020-cbe7-4c84-bffd-98acb548c1ca","type":"BasicTickFormatter"},"plot":{"id":"047fb9f4-6ce4-4c0c-b875-1559b403227e","type":"Plot"},"ticker":{"id":"10660d05-905d-43af-a250-5fb0d8488f72","type":"BasicTicker"}},"id":"3c3fc14e-505a-4cb9-b3df-c789acf2af0f","type":"LinearAxis"},{"attributes":{"plot":{"id":"047fb9f4-6ce4-4c0c-b875-1559b403227e","type":"Plot"},"ticker":{"id":"505c04f2-4b9f-4b26-8c8e-a1cbfe7e252d","type":"BasicTicker"}},"id":"7774bae2-3c45-4e42-bdc2-828468547a31","type":"Grid"},{"attributes":{"source":{"id":"3818b7f4-065c-42de-a717-fdabbb0db987","type":"ColumnDataSource"}},"id":"51316844-d131-4699-9cbf-c96a678ac342","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"047fb9f4-6ce4-4c0c-b875-1559b403227e","type":"Plot"},"ticker":{"id":"10660d05-905d-43af-a250-5fb0d8488f72","type":"BasicTicker"}},"id":"18ac61d5-4cd1-4040-975e-1d745fb3bc0d","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"3818b7f4-065c-42de-a717-fdabbb0db987","type":"ColumnDataSource"},{"attributes":{},"id":"10660d05-905d-43af-a250-5fb0d8488f72","type":"BasicTicker"},{"attributes":{"callback":null},"id":"f8a2166e-3dfb-4952-8f2a-1234b621a787","type":"DataRange1d"},{"attributes":{},"id":"505c04f2-4b9f-4b26-8c8e-a1cbfe7e252d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"15c69101-79d3-4f11-8fcf-14304e7a3452","type":"BasicTickFormatter"},"plot":{"id":"047fb9f4-6ce4-4c0c-b875-1559b403227e","type":"Plot"},"ticker":{"id":"505c04f2-4b9f-4b26-8c8e-a1cbfe7e252d","type":"BasicTicker"}},"id":"e30d0f08-e09e-4a6b-9fde-fb7d3611d73d","type":"LinearAxis"},{"attributes":{},"id":"7c13c060-1823-4314-8622-14a59f9ad741","type":"LinearScale"},{"attributes":{"below":[{"id":"e30d0f08-e09e-4a6b-9fde-fb7d3611d73d","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"3c3fc14e-505a-4cb9-b3df-c789acf2af0f","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"94ffd09e-404e-4a70-b063-e7177d3edae9","type":"GlyphRenderer"},{"id":"e30d0f08-e09e-4a6b-9fde-fb7d3611d73d","type":"LinearAxis"},{"id":"3c3fc14e-505a-4cb9-b3df-c789acf2af0f","type":"LinearAxis"},{"id":"7774bae2-3c45-4e42-bdc2-828468547a31","type":"Grid"},{"id":"18ac61d5-4cd1-4040-975e-1d745fb3bc0d","type":"Grid"}],"title":null,"toolbar":{"id":"2256fda4-d11d-4e22-9d40-8c616c9481c8","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a6b65601-f0f1-46b1-b05e-582b53923fe8","type":"DataRange1d"},"x_scale":{"id":"df583fcc-f2a3-4b65-b3c2-a02656f34713","type":"LinearScale"},"y_range":{"id":"f8a2166e-3dfb-4952-8f2a-1234b621a787","type":"DataRange1d"},"y_scale":{"id":"7c13c060-1823-4314-8622-14a59f9ad741","type":"LinearScale"}},"id":"047fb9f4-6ce4-4c0c-b875-1559b403227e","type":"Plot"},{"attributes":{"data_source":{"id":"3818b7f4-065c-42de-a717-fdabbb0db987","type":"ColumnDataSource"},"glyph":{"id":"b1eec8c8-511b-4800-aa3f-3e59526ab3fc","type":"Diamond"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"51316844-d131-4699-9cbf-c96a678ac342","type":"CDSView"}},"id":"94ffd09e-404e-4a70-b063-e7177d3edae9","type":"GlyphRenderer"},{"attributes":{},"id":"15c69101-79d3-4f11-8fcf-14304e7a3452","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#1c9099"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b1eec8c8-511b-4800-aa3f-3e59526ab3fc","type":"Diamond"}],"root_ids":["047fb9f4-6ce4-4c0c-b875-1559b403227e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0c8e031d-8181-47f5-a0d0-29d9318870ee","elementid":"f951ed5f-f3cc-4437-ba54-ad65e16400e1","modelid":"047fb9f4-6ce4-4c0c-b875-1559b403227e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
