(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("76ed0d1a-2125-4a6b-be59-411cfb90e719");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '76ed0d1a-2125-4a6b-be59-411cfb90e719' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5e87b71a-11ef-451b-8a09-9fb2a7d5a009":{"roots":{"references":[{"attributes":{},"id":"84d52971-16d7-4ec3-9379-9ca944e1def4","type":"LinearScale"},{"attributes":{"data_source":{"id":"44508ee6-a3dc-4939-a449-caa798dd7577","type":"ColumnDataSource"},"glyph":{"id":"bc1a4f4f-eb51-4252-940c-467da7051465","type":"InvertedTriangle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5bafc24d-83ad-48cd-b5ec-2dfba243d681","type":"CDSView"}},"id":"0ff2bdd2-6335-40be-8bbb-a7c33d961751","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#de2d26"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"bc1a4f4f-eb51-4252-940c-467da7051465","type":"InvertedTriangle"},{"attributes":{"source":{"id":"44508ee6-a3dc-4939-a449-caa798dd7577","type":"ColumnDataSource"}},"id":"5bafc24d-83ad-48cd-b5ec-2dfba243d681","type":"CDSView"},{"attributes":{"plot":{"id":"babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1","type":"Plot"},"ticker":{"id":"5fb990ec-6d90-4fc7-963e-57431e2b6c0b","type":"BasicTicker"}},"id":"5f4aabac-9af8-4642-b018-6571e99f4b09","type":"Grid"},{"attributes":{},"id":"fb758f8e-77e5-40fd-8db8-737eb063d0be","type":"BasicTickFormatter"},{"attributes":{},"id":"67cd6405-7efe-44ac-bf7d-394c6023bd67","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"27928407-80ef-4d96-b54b-2e93b4b42282","type":"Toolbar"},{"attributes":{"callback":null},"id":"fb11f0e7-1a9a-4ff4-b4d7-5543e7ae6370","type":"DataRange1d"},{"attributes":{},"id":"5fb990ec-6d90-4fc7-963e-57431e2b6c0b","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"44508ee6-a3dc-4939-a449-caa798dd7577","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b9960c6f-6d07-45e2-8d8e-8736c5f9702c","type":"DataRange1d"},{"attributes":{},"id":"9dc5c4c9-c320-419d-82d1-3d5fbfd44a83","type":"BasicTicker"},{"attributes":{"below":[{"id":"7f3aabd4-3b1a-4fe5-acef-749ab125983a","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"2bec2b24-1ac2-4473-8d91-ce9741f18a44","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"0ff2bdd2-6335-40be-8bbb-a7c33d961751","type":"GlyphRenderer"},{"id":"7f3aabd4-3b1a-4fe5-acef-749ab125983a","type":"LinearAxis"},{"id":"2bec2b24-1ac2-4473-8d91-ce9741f18a44","type":"LinearAxis"},{"id":"5f4aabac-9af8-4642-b018-6571e99f4b09","type":"Grid"},{"id":"77c56dcd-6124-49fe-b5fb-2d2307eb1579","type":"Grid"}],"title":null,"toolbar":{"id":"27928407-80ef-4d96-b54b-2e93b4b42282","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b9960c6f-6d07-45e2-8d8e-8736c5f9702c","type":"DataRange1d"},"x_scale":{"id":"84d52971-16d7-4ec3-9379-9ca944e1def4","type":"LinearScale"},"y_range":{"id":"fb11f0e7-1a9a-4ff4-b4d7-5543e7ae6370","type":"DataRange1d"},"y_scale":{"id":"67cd6405-7efe-44ac-bf7d-394c6023bd67","type":"LinearScale"}},"id":"babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1","type":"Plot"},{"attributes":{},"id":"d1e14fb3-0bd2-41d0-b80e-ea15518ee104","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1","type":"Plot"},"ticker":{"id":"9dc5c4c9-c320-419d-82d1-3d5fbfd44a83","type":"BasicTicker"}},"id":"77c56dcd-6124-49fe-b5fb-2d2307eb1579","type":"Grid"},{"attributes":{"formatter":{"id":"fb758f8e-77e5-40fd-8db8-737eb063d0be","type":"BasicTickFormatter"},"plot":{"id":"babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1","type":"Plot"},"ticker":{"id":"9dc5c4c9-c320-419d-82d1-3d5fbfd44a83","type":"BasicTicker"}},"id":"2bec2b24-1ac2-4473-8d91-ce9741f18a44","type":"LinearAxis"},{"attributes":{"formatter":{"id":"d1e14fb3-0bd2-41d0-b80e-ea15518ee104","type":"BasicTickFormatter"},"plot":{"id":"babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1","type":"Plot"},"ticker":{"id":"5fb990ec-6d90-4fc7-963e-57431e2b6c0b","type":"BasicTicker"}},"id":"7f3aabd4-3b1a-4fe5-acef-749ab125983a","type":"LinearAxis"}],"root_ids":["babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5e87b71a-11ef-451b-8a09-9fb2a7d5a009","elementid":"76ed0d1a-2125-4a6b-be59-411cfb90e719","modelid":"babfc2fe-3bb8-4f27-aeab-5a7dff3bb5d1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
