(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e0913ff2-0506-4960-807f-efcd3c74660b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e0913ff2-0506-4960-807f-efcd3c74660b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d250b65e-b423-4e03-aa1a-fb1838c1474b":{"roots":{"references":[{"attributes":{"below":[{"id":"1f148ac2-dd6a-430c-9ba4-27c22a6bd9b4","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"657ac1f8-ef50-4e4a-8578-d91c25843979","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"7ec1fc77-d7e9-4e8a-ae30-564fa310063d","type":"GlyphRenderer"},{"id":"1f148ac2-dd6a-430c-9ba4-27c22a6bd9b4","type":"LinearAxis"},{"id":"657ac1f8-ef50-4e4a-8578-d91c25843979","type":"LinearAxis"},{"id":"b6f30b11-ffb6-44ef-89ec-9f43cde7468f","type":"Grid"},{"id":"3e6fcef6-9981-4069-a137-3dfbce3ec16b","type":"Grid"}],"title":null,"toolbar":{"id":"c964ff34-66a4-419c-ae9a-ae8f095f0c26","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8f15a3b7-b66b-4811-9543-b0981b76fd6a","type":"DataRange1d"},"x_scale":{"id":"ed8aebfe-4fa7-4335-8986-a3c227fd9762","type":"LinearScale"},"y_range":{"id":"56c644bd-1846-47ec-bfbf-c01aeeef6352","type":"DataRange1d"},"y_scale":{"id":"79f65eeb-d9aa-49ca-b7eb-c306ce947d6f","type":"LinearScale"}},"id":"491ca1ef-f0f8-4ceb-b870-93bd36d39aaf","type":"Plot"},{"attributes":{"source":{"id":"54899df4-2ef7-4f39-af39-933405912b4b","type":"ColumnDataSource"}},"id":"706c7408-4539-4ee9-8959-6207ac09817e","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"54899df4-2ef7-4f39-af39-933405912b4b","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"491ca1ef-f0f8-4ceb-b870-93bd36d39aaf","type":"Plot"},"ticker":{"id":"46f22067-cdc0-4acd-934b-670352a59a4c","type":"BasicTicker"}},"id":"3e6fcef6-9981-4069-a137-3dfbce3ec16b","type":"Grid"},{"attributes":{},"id":"ed8aebfe-4fa7-4335-8986-a3c227fd9762","type":"LinearScale"},{"attributes":{"plot":{"id":"491ca1ef-f0f8-4ceb-b870-93bd36d39aaf","type":"Plot"},"ticker":{"id":"f8782ef9-26ef-4283-90ce-643b7ce8b483","type":"BasicTicker"}},"id":"b6f30b11-ffb6-44ef-89ec-9f43cde7468f","type":"Grid"},{"attributes":{},"id":"6493b7b2-7076-48d8-b3b5-ffac3572aa1f","type":"BasicTickFormatter"},{"attributes":{},"id":"46f22067-cdc0-4acd-934b-670352a59a4c","type":"BasicTicker"},{"attributes":{"callback":null},"id":"56c644bd-1846-47ec-bfbf-c01aeeef6352","type":"DataRange1d"},{"attributes":{"data_source":{"id":"54899df4-2ef7-4f39-af39-933405912b4b","type":"ColumnDataSource"},"glyph":{"id":"d3f2c336-d6d9-449d-8e18-1ebbbe4ff3a7","type":"Square"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"706c7408-4539-4ee9-8959-6207ac09817e","type":"CDSView"}},"id":"7ec1fc77-d7e9-4e8a-ae30-564fa310063d","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#74add1"},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d3f2c336-d6d9-449d-8e18-1ebbbe4ff3a7","type":"Square"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c964ff34-66a4-419c-ae9a-ae8f095f0c26","type":"Toolbar"},{"attributes":{"formatter":{"id":"6493b7b2-7076-48d8-b3b5-ffac3572aa1f","type":"BasicTickFormatter"},"plot":{"id":"491ca1ef-f0f8-4ceb-b870-93bd36d39aaf","type":"Plot"},"ticker":{"id":"46f22067-cdc0-4acd-934b-670352a59a4c","type":"BasicTicker"}},"id":"657ac1f8-ef50-4e4a-8578-d91c25843979","type":"LinearAxis"},{"attributes":{},"id":"c9d646f2-aba3-490c-b61e-91f9a25af11e","type":"BasicTickFormatter"},{"attributes":{},"id":"f8782ef9-26ef-4283-90ce-643b7ce8b483","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c9d646f2-aba3-490c-b61e-91f9a25af11e","type":"BasicTickFormatter"},"plot":{"id":"491ca1ef-f0f8-4ceb-b870-93bd36d39aaf","type":"Plot"},"ticker":{"id":"f8782ef9-26ef-4283-90ce-643b7ce8b483","type":"BasicTicker"}},"id":"1f148ac2-dd6a-430c-9ba4-27c22a6bd9b4","type":"LinearAxis"},{"attributes":{},"id":"79f65eeb-d9aa-49ca-b7eb-c306ce947d6f","type":"LinearScale"},{"attributes":{"callback":null},"id":"8f15a3b7-b66b-4811-9543-b0981b76fd6a","type":"DataRange1d"}],"root_ids":["491ca1ef-f0f8-4ceb-b870-93bd36d39aaf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d250b65e-b423-4e03-aa1a-fb1838c1474b","elementid":"e0913ff2-0506-4960-807f-efcd3c74660b","modelid":"491ca1ef-f0f8-4ceb-b870-93bd36d39aaf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
