(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8be6604d-9d20-4f95-8dab-b9bf2716de78");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8be6604d-9d20-4f95-8dab-b9bf2716de78' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7c6b5ed1-5d9e-4842-954f-a7cdc10f44e0":{"roots":{"references":[{"attributes":{"formatter":{"id":"4f6bc06e-58da-4913-9be2-06d42da5e92e","type":"BasicTickFormatter"},"plot":{"id":"303af465-7324-42e2-9136-b0d8621eb7b2","type":"Plot"},"ticker":{"id":"a824395c-58f8-4552-b988-cf6617b18e15","type":"BasicTicker"}},"id":"7bf107bb-9775-420f-9016-dfc831fada85","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"310d6949-129f-472e-ab4a-30a9ccd30d77","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"303af465-7324-42e2-9136-b0d8621eb7b2","type":"Plot"},"ticker":{"id":"a824395c-58f8-4552-b988-cf6617b18e15","type":"BasicTicker"}},"id":"9a229c84-b815-46c2-9850-75b8ecaa4a38","type":"Grid"},{"attributes":{"below":[{"id":"7bf107bb-9775-420f-9016-dfc831fada85","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"cd23f4bc-a983-4c39-87c0-ed747b871fe8","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"d2d7ec33-604f-47c4-8424-4a95ac361e9a","type":"GlyphRenderer"},{"id":"7bf107bb-9775-420f-9016-dfc831fada85","type":"LinearAxis"},{"id":"cd23f4bc-a983-4c39-87c0-ed747b871fe8","type":"LinearAxis"},{"id":"9a229c84-b815-46c2-9850-75b8ecaa4a38","type":"Grid"},{"id":"3c931af1-cc0e-4e6f-a074-1f4f9bb9f6d3","type":"Grid"}],"title":null,"toolbar":{"id":"821e2e4d-4f5e-42e7-987a-e2909c6b9132","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6f538c83-a69e-4ff9-8a14-ce5d7db32bd4","type":"DataRange1d"},"x_scale":{"id":"5e328f68-757d-43fc-8358-95bfe48f42c0","type":"LinearScale"},"y_range":{"id":"058df8f7-0aea-4e98-9d11-3cf59f6d1cfd","type":"DataRange1d"},"y_scale":{"id":"6a961c7c-eab3-4c6b-b660-20d1aa953d37","type":"LinearScale"}},"id":"303af465-7324-42e2-9136-b0d8621eb7b2","type":"Plot"},{"attributes":{"source":{"id":"310d6949-129f-472e-ab4a-30a9ccd30d77","type":"ColumnDataSource"}},"id":"3a320127-a2da-407c-9bf4-502bac6b4e92","type":"CDSView"},{"attributes":{},"id":"4f6bc06e-58da-4913-9be2-06d42da5e92e","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"c90fc9b0-4326-4318-9693-64c33b8b0676","type":"BasicTickFormatter"},"plot":{"id":"303af465-7324-42e2-9136-b0d8621eb7b2","type":"Plot"},"ticker":{"id":"f4052f01-dbed-4757-8429-d14aec03395e","type":"BasicTicker"}},"id":"cd23f4bc-a983-4c39-87c0-ed747b871fe8","type":"LinearAxis"},{"attributes":{},"id":"6a961c7c-eab3-4c6b-b660-20d1aa953d37","type":"LinearScale"},{"attributes":{"callback":null},"id":"058df8f7-0aea-4e98-9d11-3cf59f6d1cfd","type":"DataRange1d"},{"attributes":{},"id":"5e328f68-757d-43fc-8358-95bfe48f42c0","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"303af465-7324-42e2-9136-b0d8621eb7b2","type":"Plot"},"ticker":{"id":"f4052f01-dbed-4757-8429-d14aec03395e","type":"BasicTicker"}},"id":"3c931af1-cc0e-4e6f-a074-1f4f9bb9f6d3","type":"Grid"},{"attributes":{},"id":"f4052f01-dbed-4757-8429-d14aec03395e","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"821e2e4d-4f5e-42e7-987a-e2909c6b9132","type":"Toolbar"},{"attributes":{"data_source":{"id":"310d6949-129f-472e-ab4a-30a9ccd30d77","type":"ColumnDataSource"},"glyph":{"id":"b229fa3a-0aff-4f08-912b-3fcb35c96b93","type":"SquareX"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"3a320127-a2da-407c-9bf4-502bac6b4e92","type":"CDSView"}},"id":"d2d7ec33-604f-47c4-8424-4a95ac361e9a","type":"GlyphRenderer"},{"attributes":{},"id":"c90fc9b0-4326-4318-9693-64c33b8b0676","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fdae6b"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b229fa3a-0aff-4f08-912b-3fcb35c96b93","type":"SquareX"},{"attributes":{},"id":"a824395c-58f8-4552-b988-cf6617b18e15","type":"BasicTicker"},{"attributes":{"callback":null},"id":"6f538c83-a69e-4ff9-8a14-ce5d7db32bd4","type":"DataRange1d"}],"root_ids":["303af465-7324-42e2-9136-b0d8621eb7b2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7c6b5ed1-5d9e-4842-954f-a7cdc10f44e0","elementid":"8be6604d-9d20-4f95-8dab-b9bf2716de78","modelid":"303af465-7324-42e2-9136-b0d8621eb7b2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
