(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b74b361a-c061-4adb-b322-f84e92ba247d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b74b361a-c061-4adb-b322-f84e92ba247d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e7811ab3-25cc-4cb1-8a8a-c95a5e4cc247":{"roots":{"references":[{"attributes":{"callback":null},"id":"91d224a2-274f-4ca8-b604-5b39f32c8d25","type":"DataRange1d"},{"attributes":{},"id":"46d4ba9c-1b6d-4f65-8b60-cba6b3fe98fb","type":"HelpTool"},{"attributes":{},"id":"4b5e435d-927c-42fd-b7de-6e8bdd04cbc9","type":"BasicTicker"},{"attributes":{"callback":null},"id":"e212cc99-98d4-4057-94eb-7ffa910f8b34","type":"DataRange1d"},{"attributes":{"source":{"id":"1a41fae0-fce9-4c6a-921c-e6eec38e13cb","type":"ColumnDataSource"}},"id":"b4c2afec-0b4a-43a5-9362-95d6d3c099b5","type":"CDSView"},{"attributes":{"formatter":{"id":"004e130e-cfde-420e-85e3-dc3d2524af91","type":"BasicTickFormatter"},"plot":{"id":"cb35cf6e-647d-4614-8031-837703e0000b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b5e435d-927c-42fd-b7de-6e8bdd04cbc9","type":"BasicTicker"}},"id":"5067e231-4ae8-48b5-9fef-57b3067039d4","type":"LinearAxis"},{"attributes":{},"id":"6d3e4259-fca6-464f-b0cf-58629c288e9d","type":"ResetTool"},{"attributes":{"plot":{"id":"cb35cf6e-647d-4614-8031-837703e0000b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2780c321-3049-483e-893d-a3df91b89c94","type":"BasicTicker"}},"id":"e81cdafe-d51b-48ec-8253-6a375e2caa4f","type":"Grid"},{"attributes":{},"id":"2780c321-3049-483e-893d-a3df91b89c94","type":"BasicTicker"},{"attributes":{},"id":"e98fc5f2-14c6-4129-b46b-03c6ab5ab534","type":"PanTool"},{"attributes":{"formatter":{"id":"8af72831-a2ac-4b35-b150-8da1e6c0b7d7","type":"BasicTickFormatter"},"plot":{"id":"cb35cf6e-647d-4614-8031-837703e0000b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2780c321-3049-483e-893d-a3df91b89c94","type":"BasicTicker"}},"id":"265e392b-929a-4672-b42f-99d53621e43b","type":"LinearAxis"},{"attributes":{},"id":"8af72831-a2ac-4b35-b150-8da1e6c0b7d7","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"0f883486-925e-46b6-8f2f-3fb7dd023777","type":"Title"},{"attributes":{},"id":"775ffc51-5aab-4930-8fca-b2af103075c4","type":"LinearScale"},{"attributes":{},"id":"b0afd87b-7fc9-4312-aba3-b89459b25460","type":"LinearScale"},{"attributes":{},"id":"6b26a318-14d9-40c7-90e0-334818e80c39","type":"SaveTool"},{"attributes":{"below":[{"id":"265e392b-929a-4672-b42f-99d53621e43b","type":"LinearAxis"}],"left":[{"id":"5067e231-4ae8-48b5-9fef-57b3067039d4","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"265e392b-929a-4672-b42f-99d53621e43b","type":"LinearAxis"},{"id":"e81cdafe-d51b-48ec-8253-6a375e2caa4f","type":"Grid"},{"id":"5067e231-4ae8-48b5-9fef-57b3067039d4","type":"LinearAxis"},{"id":"59c7d4a8-b488-4873-aaed-62c628fcca98","type":"Grid"},{"id":"f4b76479-01aa-4e69-aeb6-bda675931f83","type":"BoxAnnotation"},{"id":"cc3d2e74-8d2c-4761-8c48-59c904337b7d","type":"GlyphRenderer"}],"title":{"id":"0f883486-925e-46b6-8f2f-3fb7dd023777","type":"Title"},"toolbar":{"id":"2c36f9d0-b715-4b1b-8e78-9e6841f55602","type":"Toolbar"},"x_range":{"id":"91d224a2-274f-4ca8-b604-5b39f32c8d25","type":"DataRange1d"},"x_scale":{"id":"775ffc51-5aab-4930-8fca-b2af103075c4","type":"LinearScale"},"y_range":{"id":"e212cc99-98d4-4057-94eb-7ffa910f8b34","type":"DataRange1d"},"y_scale":{"id":"b0afd87b-7fc9-4312-aba3-b89459b25460","type":"LinearScale"}},"id":"cb35cf6e-647d-4614-8031-837703e0000b","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e98fc5f2-14c6-4129-b46b-03c6ab5ab534","type":"PanTool"},{"id":"c9335530-57c7-4345-b85a-00d8e963ef1c","type":"WheelZoomTool"},{"id":"d940c9a3-d23b-4320-b41d-4244b7ffbdee","type":"BoxZoomTool"},{"id":"6b26a318-14d9-40c7-90e0-334818e80c39","type":"SaveTool"},{"id":"6d3e4259-fca6-464f-b0cf-58629c288e9d","type":"ResetTool"},{"id":"46d4ba9c-1b6d-4f65-8b60-cba6b3fe98fb","type":"HelpTool"}]},"id":"2c36f9d0-b715-4b1b-8e78-9e6841f55602","type":"Toolbar"},{"attributes":{"overlay":{"id":"f4b76479-01aa-4e69-aeb6-bda675931f83","type":"BoxAnnotation"}},"id":"d940c9a3-d23b-4320-b41d-4244b7ffbdee","type":"BoxZoomTool"},{"attributes":{},"id":"c9335530-57c7-4345-b85a-00d8e963ef1c","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"cb35cf6e-647d-4614-8031-837703e0000b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4b5e435d-927c-42fd-b7de-6e8bdd04cbc9","type":"BasicTicker"}},"id":"59c7d4a8-b488-4873-aaed-62c628fcca98","type":"Grid"},{"attributes":{"fill_color":{"value":"#7FC97F"},"inner_radius":{"units":"data","value":0.2},"line_color":{"value":"#7FC97F"},"outer_radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"68841cd2-a7ce-4cc1-9af7-5785ad7eec32","type":"Annulus"},{"attributes":{"data_source":{"id":"1a41fae0-fce9-4c6a-921c-e6eec38e13cb","type":"ColumnDataSource"},"glyph":{"id":"68841cd2-a7ce-4cc1-9af7-5785ad7eec32","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"850b4b16-b4fe-4cba-993b-621548cf3e73","type":"Annulus"},"selection_glyph":null,"view":{"id":"b4c2afec-0b4a-43a5-9362-95d6d3c099b5","type":"CDSView"}},"id":"cc3d2e74-8d2c-4761-8c48-59c904337b7d","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f4b76479-01aa-4e69-aeb6-bda675931f83","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.2},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"850b4b16-b4fe-4cba-993b-621548cf3e73","type":"Annulus"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"1a41fae0-fce9-4c6a-921c-e6eec38e13cb","type":"ColumnDataSource"},{"attributes":{},"id":"004e130e-cfde-420e-85e3-dc3d2524af91","type":"BasicTickFormatter"}],"root_ids":["cb35cf6e-647d-4614-8031-837703e0000b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e7811ab3-25cc-4cb1-8a8a-c95a5e4cc247","elementid":"b74b361a-c061-4adb-b322-f84e92ba247d","modelid":"cb35cf6e-647d-4614-8031-837703e0000b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
