(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("61f8be52-0f56-444f-8e5e-ccc5d8d5c258");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '61f8be52-0f56-444f-8e5e-ccc5d8d5c258' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d361cbc6-4d62-4559-9d37-87b0b9466454":{"roots":{"references":[{"attributes":{},"id":"3a391f3b-0dfe-44a3-a05a-4235ad98ecca","type":"BasicTicker"},{"attributes":{"plot":{"id":"aa59ece8-68ab-4723-a580-e50b88157fd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"05624ec4-e11a-4966-8ea0-5edead29d9b9","type":"BasicTicker"}},"id":"7806c9f8-1aa1-4e03-a753-ad88946b6ae4","type":"Grid"},{"attributes":{},"id":"9e926644-a684-48e3-9b5d-a502a1781ad7","type":"SaveTool"},{"attributes":{"source":{"id":"ae6ea717-a2b4-45d3-a073-66943e386f82","type":"ColumnDataSource"}},"id":"408eb51f-aa93-4b01-9706-7a2ba0f23a5a","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"02b1bf48-4f4e-4ad8-b30a-f6c5679c38e5","type":"Title"},{"attributes":{},"id":"70633762-7d72-492b-a7d2-f9ed88a7216d","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#99d8c9"},"line_color":{"value":"#99d8c9"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b930681d-4245-4ccd-8f71-bbd212db2ef9","type":"Patch"},{"attributes":{},"id":"15b5325c-fead-4925-accc-3ed297d8eca0","type":"LinearScale"},{"attributes":{},"id":"52f4b34a-bda1-4780-bfd2-008f469cd07c","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3,2],"y":[6,7,2,2]}},"id":"ae6ea717-a2b4-45d3-a073-66943e386f82","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"aa59ece8-68ab-4723-a580-e50b88157fd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a391f3b-0dfe-44a3-a05a-4235ad98ecca","type":"BasicTicker"}},"id":"b49ee10b-d20d-4760-9f9f-b3224055ec6d","type":"Grid"},{"attributes":{"formatter":{"id":"ee6d1ce1-df25-453b-a15b-20b6ce244af0","type":"BasicTickFormatter"},"plot":{"id":"aa59ece8-68ab-4723-a580-e50b88157fd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a391f3b-0dfe-44a3-a05a-4235ad98ecca","type":"BasicTicker"}},"id":"abd49aa7-50ad-42da-9eea-0ebd93fa768f","type":"LinearAxis"},{"attributes":{"data_source":{"id":"ae6ea717-a2b4-45d3-a073-66943e386f82","type":"ColumnDataSource"},"glyph":{"id":"b930681d-4245-4ccd-8f71-bbd212db2ef9","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5c2eecaa-fc92-4a4e-9539-4a162db960c3","type":"Patch"},"selection_glyph":null,"view":{"id":"408eb51f-aa93-4b01-9706-7a2ba0f23a5a","type":"CDSView"}},"id":"f984c56d-a945-47d2-bd26-aa34f0d9bb81","type":"GlyphRenderer"},{"attributes":{},"id":"ee6d1ce1-df25-453b-a15b-20b6ce244af0","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"e68a7bb2-5646-4e67-b464-12603566cd0c","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3f0d94a2-2c62-48ba-8dea-1b13f61f292f","type":"BoxAnnotation"},{"attributes":{},"id":"c8a3a02e-d107-42e7-8523-41d92e847557","type":"PanTool"},{"attributes":{"callback":null},"id":"f2ef5e89-81fa-4bec-8428-ab4cb8c03506","type":"DataRange1d"},{"attributes":{"formatter":{"id":"70633762-7d72-492b-a7d2-f9ed88a7216d","type":"BasicTickFormatter"},"plot":{"id":"aa59ece8-68ab-4723-a580-e50b88157fd9","subtype":"Figure","type":"Plot"},"ticker":{"id":"05624ec4-e11a-4966-8ea0-5edead29d9b9","type":"BasicTicker"}},"id":"8f53f8b7-628e-401a-9eb5-0539f1c99248","type":"LinearAxis"},{"attributes":{"overlay":{"id":"3f0d94a2-2c62-48ba-8dea-1b13f61f292f","type":"BoxAnnotation"}},"id":"37e896fa-feaf-41be-bef5-28a640bc6253","type":"BoxZoomTool"},{"attributes":{},"id":"05624ec4-e11a-4966-8ea0-5edead29d9b9","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5c2eecaa-fc92-4a4e-9539-4a162db960c3","type":"Patch"},{"attributes":{},"id":"fc5c28e4-d905-4aba-9c7b-6d60e9147843","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c8a3a02e-d107-42e7-8523-41d92e847557","type":"PanTool"},{"id":"52f4b34a-bda1-4780-bfd2-008f469cd07c","type":"WheelZoomTool"},{"id":"37e896fa-feaf-41be-bef5-28a640bc6253","type":"BoxZoomTool"},{"id":"9e926644-a684-48e3-9b5d-a502a1781ad7","type":"SaveTool"},{"id":"5266640b-cf54-45c3-a9aa-fbf925f8598e","type":"ResetTool"},{"id":"f53e6804-87c6-4257-a953-3d31776b68a7","type":"HelpTool"}]},"id":"3e401115-4511-4f23-9434-b1918ed5084f","type":"Toolbar"},{"attributes":{"below":[{"id":"8f53f8b7-628e-401a-9eb5-0539f1c99248","type":"LinearAxis"}],"left":[{"id":"abd49aa7-50ad-42da-9eea-0ebd93fa768f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"8f53f8b7-628e-401a-9eb5-0539f1c99248","type":"LinearAxis"},{"id":"7806c9f8-1aa1-4e03-a753-ad88946b6ae4","type":"Grid"},{"id":"abd49aa7-50ad-42da-9eea-0ebd93fa768f","type":"LinearAxis"},{"id":"b49ee10b-d20d-4760-9f9f-b3224055ec6d","type":"Grid"},{"id":"3f0d94a2-2c62-48ba-8dea-1b13f61f292f","type":"BoxAnnotation"},{"id":"f984c56d-a945-47d2-bd26-aa34f0d9bb81","type":"GlyphRenderer"}],"title":{"id":"02b1bf48-4f4e-4ad8-b30a-f6c5679c38e5","type":"Title"},"toolbar":{"id":"3e401115-4511-4f23-9434-b1918ed5084f","type":"Toolbar"},"x_range":{"id":"e68a7bb2-5646-4e67-b464-12603566cd0c","type":"DataRange1d"},"x_scale":{"id":"fc5c28e4-d905-4aba-9c7b-6d60e9147843","type":"LinearScale"},"y_range":{"id":"f2ef5e89-81fa-4bec-8428-ab4cb8c03506","type":"DataRange1d"},"y_scale":{"id":"15b5325c-fead-4925-accc-3ed297d8eca0","type":"LinearScale"}},"id":"aa59ece8-68ab-4723-a580-e50b88157fd9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f53e6804-87c6-4257-a953-3d31776b68a7","type":"HelpTool"},{"attributes":{},"id":"5266640b-cf54-45c3-a9aa-fbf925f8598e","type":"ResetTool"}],"root_ids":["aa59ece8-68ab-4723-a580-e50b88157fd9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d361cbc6-4d62-4559-9d37-87b0b9466454","elementid":"61f8be52-0f56-444f-8e5e-ccc5d8d5c258","modelid":"aa59ece8-68ab-4723-a580-e50b88157fd9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
