(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4b19c88d-fee9-4ceb-aba0-536b00a6bc88");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4b19c88d-fee9-4ceb-aba0-536b00a6bc88' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d6c2e99c-fd06-4caf-973c-8cfbd0e6b744":{"roots":{"references":[{"attributes":{},"id":"d007b680-93c0-4b04-b7d5-ef69f78bd3a8","type":"BasicTicker"},{"attributes":{"data_source":{"id":"48eed5a0-0891-4f28-b160-96435954ff81","type":"ColumnDataSource"},"glyph":{"id":"4cf67a6b-2c6f-4136-b505-ae4d3338acf5","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"eed14269-bd97-475b-885f-ace6191eb978","type":"Patches"},"selection_glyph":null,"view":{"id":"4ea73946-6ef6-4f33-9886-cde794142a84","type":"CDSView"}},"id":"3003a447-b596-410b-a687-6c1b28685c05","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"da29add4-142a-46bf-861d-41117e2b5be3","type":"LinearAxis"}],"left":[{"id":"9ba81194-06df-4bcb-9990-fd599410936d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"da29add4-142a-46bf-861d-41117e2b5be3","type":"LinearAxis"},{"id":"ab8ba1c0-cfa6-41c3-a39d-e64d0a5aece9","type":"Grid"},{"id":"9ba81194-06df-4bcb-9990-fd599410936d","type":"LinearAxis"},{"id":"4ad56e98-f4b5-4321-9677-43b16a68be46","type":"Grid"},{"id":"9bb9dfde-09b5-45bb-8d03-c098d298dade","type":"BoxAnnotation"},{"id":"3003a447-b596-410b-a687-6c1b28685c05","type":"GlyphRenderer"}],"title":{"id":"aad8a828-e0a0-4c47-981b-10be404d88de","type":"Title"},"toolbar":{"id":"daf6abde-487c-45f9-8172-27cf81027c89","type":"Toolbar"},"x_range":{"id":"ba626f1b-d0eb-4dd5-b4da-186adcf7b543","type":"DataRange1d"},"x_scale":{"id":"70a5c158-d671-407d-af96-907c4ef292af","type":"LinearScale"},"y_range":{"id":"308c8708-fadd-4eef-a182-60057789c07d","type":"DataRange1d"},"y_scale":{"id":"71499125-979e-4304-956d-1cfd2f719a03","type":"LinearScale"}},"id":"0d58921f-be7c-41b2-a8e0-c10637b4c687","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9bb9dfde-09b5-45bb-8d03-c098d298dade","type":"BoxAnnotation"},{"attributes":{},"id":"80e9da7f-cde2-4da4-988b-679da02e7e93","type":"BasicTicker"},{"attributes":{},"id":"312f45c9-2acd-4596-843d-ab10695e3f76","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"aad8a828-e0a0-4c47-981b-10be404d88de","type":"Title"},{"attributes":{},"id":"1c5e7849-1032-45ba-9d7e-75d1611eb78b","type":"PanTool"},{"attributes":{},"id":"70a5c158-d671-407d-af96-907c4ef292af","type":"LinearScale"},{"attributes":{},"id":"71499125-979e-4304-956d-1cfd2f719a03","type":"LinearScale"},{"attributes":{"callback":null},"id":"ba626f1b-d0eb-4dd5-b4da-186adcf7b543","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["xs","ys","line_color","fill_color"],"data":{"fill_color":["#43a2ca","#a8ddb5"],"line_color":["#43a2ca","#a8ddb5"],"xs":[[1,2,3],[4,5,6,5]],"ys":[[1,2,1],[4,5,5,4]]}},"id":"48eed5a0-0891-4f28-b160-96435954ff81","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"308c8708-fadd-4eef-a182-60057789c07d","type":"DataRange1d"},{"attributes":{},"id":"346f3a24-9dde-4d48-bc02-c53a2b2b5b2e","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1c5e7849-1032-45ba-9d7e-75d1611eb78b","type":"PanTool"},{"id":"447d65e4-693a-4fb0-b8d1-3aa049d2604e","type":"WheelZoomTool"},{"id":"8a9ed970-8c44-431f-a7c4-40376ba2dab1","type":"BoxZoomTool"},{"id":"346f3a24-9dde-4d48-bc02-c53a2b2b5b2e","type":"SaveTool"},{"id":"61d35325-52ab-4546-b42b-9882488323c3","type":"ResetTool"},{"id":"08bf5827-4510-4d08-87a9-03e3bf65299b","type":"HelpTool"}]},"id":"daf6abde-487c-45f9-8172-27cf81027c89","type":"Toolbar"},{"attributes":{"formatter":{"id":"f80fe89a-cc88-4087-b22e-3a0ce21c65c4","type":"BasicTickFormatter"},"plot":{"id":"0d58921f-be7c-41b2-a8e0-c10637b4c687","subtype":"Figure","type":"Plot"},"ticker":{"id":"d007b680-93c0-4b04-b7d5-ef69f78bd3a8","type":"BasicTicker"}},"id":"9ba81194-06df-4bcb-9990-fd599410936d","type":"LinearAxis"},{"attributes":{},"id":"f80fe89a-cc88-4087-b22e-3a0ce21c65c4","type":"BasicTickFormatter"},{"attributes":{},"id":"08bf5827-4510-4d08-87a9-03e3bf65299b","type":"HelpTool"},{"attributes":{"formatter":{"id":"312f45c9-2acd-4596-843d-ab10695e3f76","type":"BasicTickFormatter"},"plot":{"id":"0d58921f-be7c-41b2-a8e0-c10637b4c687","subtype":"Figure","type":"Plot"},"ticker":{"id":"80e9da7f-cde2-4da4-988b-679da02e7e93","type":"BasicTicker"}},"id":"da29add4-142a-46bf-861d-41117e2b5be3","type":"LinearAxis"},{"attributes":{},"id":"447d65e4-693a-4fb0-b8d1-3aa049d2604e","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"eed14269-bd97-475b-885f-ace6191eb978","type":"Patches"},{"attributes":{"plot":{"id":"0d58921f-be7c-41b2-a8e0-c10637b4c687","subtype":"Figure","type":"Plot"},"ticker":{"id":"80e9da7f-cde2-4da4-988b-679da02e7e93","type":"BasicTicker"}},"id":"ab8ba1c0-cfa6-41c3-a39d-e64d0a5aece9","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"0d58921f-be7c-41b2-a8e0-c10637b4c687","subtype":"Figure","type":"Plot"},"ticker":{"id":"d007b680-93c0-4b04-b7d5-ef69f78bd3a8","type":"BasicTicker"}},"id":"4ad56e98-f4b5-4321-9677-43b16a68be46","type":"Grid"},{"attributes":{"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"4cf67a6b-2c6f-4136-b505-ae4d3338acf5","type":"Patches"},{"attributes":{"source":{"id":"48eed5a0-0891-4f28-b160-96435954ff81","type":"ColumnDataSource"}},"id":"4ea73946-6ef6-4f33-9886-cde794142a84","type":"CDSView"},{"attributes":{"overlay":{"id":"9bb9dfde-09b5-45bb-8d03-c098d298dade","type":"BoxAnnotation"}},"id":"8a9ed970-8c44-431f-a7c4-40376ba2dab1","type":"BoxZoomTool"},{"attributes":{},"id":"61d35325-52ab-4546-b42b-9882488323c3","type":"ResetTool"}],"root_ids":["0d58921f-be7c-41b2-a8e0-c10637b4c687"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d6c2e99c-fd06-4caf-973c-8cfbd0e6b744","elementid":"4b19c88d-fee9-4ceb-aba0-536b00a6bc88","modelid":"0d58921f-be7c-41b2-a8e0-c10637b4c687"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
