(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("505a6dbf-5100-4d90-a313-7709d80040e6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '505a6dbf-5100-4d90-a313-7709d80040e6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"642ecbd0-9022-443c-88c0-e80218962273":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"969ddcd6-4e16-4963-b5dc-e50851528804","type":"Title"},{"attributes":{"callback":null},"id":"18af9c69-77e3-4dba-8421-b2197f4dc850","type":"DataRange1d"},{"attributes":{},"id":"6b7edfdc-f013-4323-88ee-297534b511f4","type":"HelpTool"},{"attributes":{},"id":"e30e3179-f3e9-40e6-b4cc-d1fc82c76719","type":"ResetTool"},{"attributes":{"formatter":{"id":"7c0e32db-40db-4487-909f-7c5b6987d9c2","type":"BasicTickFormatter"},"plot":{"id":"d7057cff-4be9-4d83-82fa-074efffc584e","subtype":"Figure","type":"Plot"},"ticker":{"id":"969c8156-03c2-40cf-b38a-ca0416ab2b17","type":"BasicTicker"}},"id":"d32bb05b-9be1-4f4d-b608-a660eaf47a8b","type":"LinearAxis"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"a88a0459-1b7e-45d8-8f20-6bd805cdad13","type":"Quad"},{"attributes":{},"id":"969c8156-03c2-40cf-b38a-ca0416ab2b17","type":"BasicTicker"},{"attributes":{},"id":"d2704c68-2199-4202-93b1-bb329cadfcad","type":"LinearScale"},{"attributes":{"below":[{"id":"d32bb05b-9be1-4f4d-b608-a660eaf47a8b","type":"LinearAxis"}],"left":[{"id":"dc544905-d347-4f19-b12a-3a3ea65f12ed","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d32bb05b-9be1-4f4d-b608-a660eaf47a8b","type":"LinearAxis"},{"id":"069bb4a9-a88f-4142-bd6e-0882d93a8660","type":"Grid"},{"id":"dc544905-d347-4f19-b12a-3a3ea65f12ed","type":"LinearAxis"},{"id":"2c6ed915-eb3d-4782-acbd-73ae08a76e43","type":"Grid"},{"id":"de20f2df-daeb-42d0-b55f-64eadd052410","type":"BoxAnnotation"},{"id":"4bc30707-9318-48e5-8274-fb109eba600e","type":"GlyphRenderer"}],"title":{"id":"969ddcd6-4e16-4963-b5dc-e50851528804","type":"Title"},"toolbar":{"id":"6d65b7ce-d0e8-4c18-91c1-f7ef6cad0fe9","type":"Toolbar"},"x_range":{"id":"248f3b70-338a-484e-8022-d0c6172a02df","type":"DataRange1d"},"x_scale":{"id":"d2704c68-2199-4202-93b1-bb329cadfcad","type":"LinearScale"},"y_range":{"id":"18af9c69-77e3-4dba-8421-b2197f4dc850","type":"DataRange1d"},"y_scale":{"id":"1fc1e7f0-945a-4198-8221-b39ec11ebf2f","type":"LinearScale"}},"id":"d7057cff-4be9-4d83-82fa-074efffc584e","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"248f3b70-338a-484e-8022-d0c6172a02df","type":"DataRange1d"},{"attributes":{},"id":"2d029ad5-0986-4a0b-91cf-df38aceae8dc","type":"SaveTool"},{"attributes":{},"id":"1fc1e7f0-945a-4198-8221-b39ec11ebf2f","type":"LinearScale"},{"attributes":{"plot":{"id":"d7057cff-4be9-4d83-82fa-074efffc584e","subtype":"Figure","type":"Plot"},"ticker":{"id":"969c8156-03c2-40cf-b38a-ca0416ab2b17","type":"BasicTicker"}},"id":"069bb4a9-a88f-4142-bd6e-0882d93a8660","type":"Grid"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"c36b2e04-9165-4d6e-8fc2-1a3d959e2832","type":"Quad"},{"attributes":{},"id":"2442c152-0a4f-4895-952b-cc7bf2049ed4","type":"PanTool"},{"attributes":{},"id":"0c006186-0d20-45f0-aaa7-eed73129487f","type":"WheelZoomTool"},{"attributes":{},"id":"d2ae1362-6d5c-41d2-a934-5cc20e969cdf","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"38c8dfb1-16b7-4767-a1d9-07d52ab1c9ce","type":"ColumnDataSource"}},"id":"0d8612f9-53a6-4869-85a0-552c6ea2bdbe","type":"CDSView"},{"attributes":{"overlay":{"id":"de20f2df-daeb-42d0-b55f-64eadd052410","type":"BoxAnnotation"}},"id":"8f342276-1bc3-43c3-b4d5-767213b88676","type":"BoxZoomTool"},{"attributes":{},"id":"7c73f5ba-f5c4-4960-84aa-250b0e55d02a","type":"BasicTicker"},{"attributes":{"data_source":{"id":"38c8dfb1-16b7-4767-a1d9-07d52ab1c9ce","type":"ColumnDataSource"},"glyph":{"id":"a88a0459-1b7e-45d8-8f20-6bd805cdad13","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c36b2e04-9165-4d6e-8fc2-1a3d959e2832","type":"Quad"},"selection_glyph":null,"view":{"id":"0d8612f9-53a6-4869-85a0-552c6ea2bdbe","type":"CDSView"}},"id":"4bc30707-9318-48e5-8274-fb109eba600e","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"d7057cff-4be9-4d83-82fa-074efffc584e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c73f5ba-f5c4-4960-84aa-250b0e55d02a","type":"BasicTicker"}},"id":"2c6ed915-eb3d-4782-acbd-73ae08a76e43","type":"Grid"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"38c8dfb1-16b7-4767-a1d9-07d52ab1c9ce","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2442c152-0a4f-4895-952b-cc7bf2049ed4","type":"PanTool"},{"id":"0c006186-0d20-45f0-aaa7-eed73129487f","type":"WheelZoomTool"},{"id":"8f342276-1bc3-43c3-b4d5-767213b88676","type":"BoxZoomTool"},{"id":"2d029ad5-0986-4a0b-91cf-df38aceae8dc","type":"SaveTool"},{"id":"e30e3179-f3e9-40e6-b4cc-d1fc82c76719","type":"ResetTool"},{"id":"6b7edfdc-f013-4323-88ee-297534b511f4","type":"HelpTool"}]},"id":"6d65b7ce-d0e8-4c18-91c1-f7ef6cad0fe9","type":"Toolbar"},{"attributes":{},"id":"7c0e32db-40db-4487-909f-7c5b6987d9c2","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"de20f2df-daeb-42d0-b55f-64eadd052410","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"d2ae1362-6d5c-41d2-a934-5cc20e969cdf","type":"BasicTickFormatter"},"plot":{"id":"d7057cff-4be9-4d83-82fa-074efffc584e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c73f5ba-f5c4-4960-84aa-250b0e55d02a","type":"BasicTicker"}},"id":"dc544905-d347-4f19-b12a-3a3ea65f12ed","type":"LinearAxis"}],"root_ids":["d7057cff-4be9-4d83-82fa-074efffc584e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"642ecbd0-9022-443c-88c0-e80218962273","elementid":"505a6dbf-5100-4d90-a313-7709d80040e6","modelid":"d7057cff-4be9-4d83-82fa-074efffc584e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
