(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b320113a-a7f2-4549-8b97-8289365548ca");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b320113a-a7f2-4549-8b97-8289365548ca' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dbbd37c1-94e5-41e0-9a87-6c173dabc959":{"roots":{"references":[{"attributes":{},"id":"b0ebd8d7-5643-466f-85a6-91267fe85544","type":"LinearScale"},{"attributes":{"formatter":{"id":"ceca5658-cf03-4b27-8395-802c7bf1a029","type":"BasicTickFormatter"},"plot":{"id":"82a0315e-a7e6-4cdd-8987-530dcbb12ece","subtype":"Figure","type":"Plot"},"ticker":{"id":"7117cf4f-5c0d-4b41-81e5-49e53008554a","type":"BasicTicker"}},"id":"30c4a8d5-5a3b-49a5-8d1c-a5250b9d8173","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2660fbb3-8acd-4b49-9c04-5caaaf5f3ca7","type":"PanTool"},{"id":"2e42701f-239f-4893-8a7b-3e082c9016f2","type":"WheelZoomTool"},{"id":"9871bf6d-2c16-4212-85f4-4ad8cff39d24","type":"BoxZoomTool"},{"id":"14aa69c2-2195-4bee-ac74-14586faac16c","type":"SaveTool"},{"id":"a22ad396-bc13-4599-a44a-662d6f1e6ddc","type":"ResetTool"},{"id":"07b236f6-24dd-4a08-bd86-6194f592bda6","type":"HelpTool"}]},"id":"2c85c771-e3fc-4cbc-af05-02080b7ebd2c","type":"Toolbar"},{"attributes":{},"id":"3399312a-f191-4749-b89a-359902ea77d0","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"c9eb9228-38e7-47ac-9382-756a0994b36b","type":"DataRange1d"},{"attributes":{},"id":"ceca5658-cf03-4b27-8395-802c7bf1a029","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"3399312a-f191-4749-b89a-359902ea77d0","type":"BasicTickFormatter"},"plot":{"id":"82a0315e-a7e6-4cdd-8987-530dcbb12ece","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ce4d2ba-e829-4a4d-817f-b41bcb37e36e","type":"BasicTicker"}},"id":"683e02aa-8ffd-4208-a879-f241c8f0e518","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"5e46e001-4094-4925-af10-5044cc6ffd9f","type":"ColumnDataSource"},{"attributes":{},"id":"adc34007-c502-4624-aa93-36ab5209c62a","type":"LinearScale"},{"attributes":{"data_source":{"id":"5e46e001-4094-4925-af10-5044cc6ffd9f","type":"ColumnDataSource"},"glyph":{"id":"ee29f86b-a0b8-4c5d-9578-5e7cd6652750","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"40fda11c-23f6-4214-8698-2cf500124526","type":"Rect"},"selection_glyph":null,"view":{"id":"e3c75829-4261-450b-ba3a-0d832cff0f36","type":"CDSView"}},"id":"ee87a2de-0d29-402b-a163-944f9bb7be39","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":20},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"40fda11c-23f6-4214-8698-2cf500124526","type":"Rect"},{"attributes":{},"id":"07b236f6-24dd-4a08-bd86-6194f592bda6","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"82a0315e-a7e6-4cdd-8987-530dcbb12ece","subtype":"Figure","type":"Plot"},"ticker":{"id":"7117cf4f-5c0d-4b41-81e5-49e53008554a","type":"BasicTicker"}},"id":"72d74678-9cd9-44fb-997f-5c789f3d2069","type":"Grid"},{"attributes":{"callback":null},"id":"f4ce783e-1db5-4ef1-b57b-aab0c077cf25","type":"DataRange1d"},{"attributes":{},"id":"2e42701f-239f-4893-8a7b-3e082c9016f2","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"89a6dc12-7270-45d4-9c6e-ab92a930c335","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":20},"line_color":{"value":"#CAB2D6"},"width":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ee29f86b-a0b8-4c5d-9578-5e7cd6652750","type":"Rect"},{"attributes":{},"id":"7117cf4f-5c0d-4b41-81e5-49e53008554a","type":"BasicTicker"},{"attributes":{},"id":"4ce4d2ba-e829-4a4d-817f-b41bcb37e36e","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"3b0b7a61-c15e-4f05-870a-c6c06df0bc23","type":"Title"},{"attributes":{},"id":"2660fbb3-8acd-4b49-9c04-5caaaf5f3ca7","type":"PanTool"},{"attributes":{},"id":"a22ad396-bc13-4599-a44a-662d6f1e6ddc","type":"ResetTool"},{"attributes":{"source":{"id":"5e46e001-4094-4925-af10-5044cc6ffd9f","type":"ColumnDataSource"}},"id":"e3c75829-4261-450b-ba3a-0d832cff0f36","type":"CDSView"},{"attributes":{"below":[{"id":"683e02aa-8ffd-4208-a879-f241c8f0e518","type":"LinearAxis"}],"left":[{"id":"30c4a8d5-5a3b-49a5-8d1c-a5250b9d8173","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"683e02aa-8ffd-4208-a879-f241c8f0e518","type":"LinearAxis"},{"id":"b035dc24-1659-4728-8556-b7462636ace8","type":"Grid"},{"id":"30c4a8d5-5a3b-49a5-8d1c-a5250b9d8173","type":"LinearAxis"},{"id":"72d74678-9cd9-44fb-997f-5c789f3d2069","type":"Grid"},{"id":"89a6dc12-7270-45d4-9c6e-ab92a930c335","type":"BoxAnnotation"},{"id":"ee87a2de-0d29-402b-a163-944f9bb7be39","type":"GlyphRenderer"}],"title":{"id":"3b0b7a61-c15e-4f05-870a-c6c06df0bc23","type":"Title"},"toolbar":{"id":"2c85c771-e3fc-4cbc-af05-02080b7ebd2c","type":"Toolbar"},"x_range":{"id":"f4ce783e-1db5-4ef1-b57b-aab0c077cf25","type":"DataRange1d"},"x_scale":{"id":"b0ebd8d7-5643-466f-85a6-91267fe85544","type":"LinearScale"},"y_range":{"id":"c9eb9228-38e7-47ac-9382-756a0994b36b","type":"DataRange1d"},"y_scale":{"id":"adc34007-c502-4624-aa93-36ab5209c62a","type":"LinearScale"}},"id":"82a0315e-a7e6-4cdd-8987-530dcbb12ece","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"82a0315e-a7e6-4cdd-8987-530dcbb12ece","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ce4d2ba-e829-4a4d-817f-b41bcb37e36e","type":"BasicTicker"}},"id":"b035dc24-1659-4728-8556-b7462636ace8","type":"Grid"},{"attributes":{"overlay":{"id":"89a6dc12-7270-45d4-9c6e-ab92a930c335","type":"BoxAnnotation"}},"id":"9871bf6d-2c16-4212-85f4-4ad8cff39d24","type":"BoxZoomTool"},{"attributes":{},"id":"14aa69c2-2195-4bee-ac74-14586faac16c","type":"SaveTool"}],"root_ids":["82a0315e-a7e6-4cdd-8987-530dcbb12ece"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dbbd37c1-94e5-41e0-9a87-6c173dabc959","elementid":"b320113a-a7f2-4549-8b97-8289365548ca","modelid":"82a0315e-a7e6-4cdd-8987-530dcbb12ece"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
