(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d685fe51-f681-4b9b-9fa4-07cfaf3de9a3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd685fe51-f681-4b9b-9fa4-07cfaf3de9a3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7dce5de3-2ac3-43b7-8443-43cb4e375f49":{"roots":{"references":[{"attributes":{"plot":{"id":"b16b9581-ff25-47f5-b841-74edcfd6cb3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"cbe1f5dc-7ef4-4d59-9864-7810aada9d5c","type":"BasicTicker"}},"id":"5ca2e1d1-8abc-4bcf-9aec-884a75371166","type":"Grid"},{"attributes":{"below":[{"id":"64955c7c-e922-4fef-8bfe-acb35fab56e2","type":"LinearAxis"}],"left":[{"id":"b2270bf8-8baf-4d35-ae9d-8cb47d62296f","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"64955c7c-e922-4fef-8bfe-acb35fab56e2","type":"LinearAxis"},{"id":"5ca2e1d1-8abc-4bcf-9aec-884a75371166","type":"Grid"},{"id":"b2270bf8-8baf-4d35-ae9d-8cb47d62296f","type":"LinearAxis"},{"id":"bc824e7c-0263-4424-ab27-bd5a6da10ae7","type":"Grid"},{"id":"65e02dfa-2f53-42e6-8a66-e1b594b62c7a","type":"BoxAnnotation"},{"id":"a5fc2644-77c4-4280-aade-91e713bb2de6","type":"GlyphRenderer"}],"title":{"id":"750f032f-eb56-49b9-a619-261bb60708f5","type":"Title"},"toolbar":{"id":"39f75e3a-bc52-4118-b12e-b78ee3e22484","type":"Toolbar"},"x_range":{"id":"3be730ae-114d-47ae-a6b2-b7c4cda507a7","type":"DataRange1d"},"x_scale":{"id":"ac3cf7ac-b52e-45ce-b224-cae576c463f6","type":"LinearScale"},"y_range":{"id":"8ef559e3-4f72-4978-ae75-b1c4c46e7914","type":"DataRange1d"},"y_scale":{"id":"85c2ad23-7d92-4835-b007-22674638f9ff","type":"LinearScale"}},"id":"b16b9581-ff25-47f5-b841-74edcfd6cb3a","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"b403b810-9ebb-454f-b97e-9c750cfeae55","type":"ColumnDataSource"}},"id":"4c2483a2-1ea5-420c-97d0-0f8a89e38ca9","type":"CDSView"},{"attributes":{"data_source":{"id":"b403b810-9ebb-454f-b97e-9c750cfeae55","type":"ColumnDataSource"},"glyph":{"id":"31c95fee-fb41-49ac-b230-4c837a09f7b8","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"77ae2bc5-a42a-49de-901b-0a1168747973","type":"Segment"},"selection_glyph":null,"view":{"id":"4c2483a2-1ea5-420c-97d0-0f8a89e38ca9","type":"CDSView"}},"id":"a5fc2644-77c4-4280-aade-91e713bb2de6","type":"GlyphRenderer"},{"attributes":{},"id":"ac3cf7ac-b52e-45ce-b224-cae576c463f6","type":"LinearScale"},{"attributes":{},"id":"a7405c9f-b58b-4f93-a24f-f93f724b5edf","type":"HelpTool"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"31c95fee-fb41-49ac-b230-4c837a09f7b8","type":"Segment"},{"attributes":{},"id":"6c59f56e-88bb-4387-903d-ef3caebfaf79","type":"PanTool"},{"attributes":{"overlay":{"id":"65e02dfa-2f53-42e6-8a66-e1b594b62c7a","type":"BoxAnnotation"}},"id":"f927bb29-9573-4d73-90ec-e74502144905","type":"BoxZoomTool"},{"attributes":{},"id":"cbe1f5dc-7ef4-4d59-9864-7810aada9d5c","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6c59f56e-88bb-4387-903d-ef3caebfaf79","type":"PanTool"},{"id":"4a8e4554-3668-42e6-a866-7ffb3ac96418","type":"WheelZoomTool"},{"id":"f927bb29-9573-4d73-90ec-e74502144905","type":"BoxZoomTool"},{"id":"f533ac49-0952-4535-93cf-b4ccc277f696","type":"SaveTool"},{"id":"6ad3284f-8f4d-479f-b4ef-1a87056384ae","type":"ResetTool"},{"id":"a7405c9f-b58b-4f93-a24f-f93f724b5edf","type":"HelpTool"}]},"id":"39f75e3a-bc52-4118-b12e-b78ee3e22484","type":"Toolbar"},{"attributes":{"formatter":{"id":"71f82171-10e1-4d5f-b3f7-5227345a8791","type":"BasicTickFormatter"},"plot":{"id":"b16b9581-ff25-47f5-b841-74edcfd6cb3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"03744c83-6cdd-45bd-b093-28c910a00016","type":"BasicTicker"}},"id":"b2270bf8-8baf-4d35-ae9d-8cb47d62296f","type":"LinearAxis"},{"attributes":{},"id":"85c2ad23-7d92-4835-b007-22674638f9ff","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"65e02dfa-2f53-42e6-8a66-e1b594b62c7a","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"e96fb560-7266-4d1b-9005-d519ac29cb90","type":"BasicTickFormatter"},"plot":{"id":"b16b9581-ff25-47f5-b841-74edcfd6cb3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"cbe1f5dc-7ef4-4d59-9864-7810aada9d5c","type":"BasicTicker"}},"id":"64955c7c-e922-4fef-8bfe-acb35fab56e2","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"77ae2bc5-a42a-49de-901b-0a1168747973","type":"Segment"},{"attributes":{"dimension":1,"plot":{"id":"b16b9581-ff25-47f5-b841-74edcfd6cb3a","subtype":"Figure","type":"Plot"},"ticker":{"id":"03744c83-6cdd-45bd-b093-28c910a00016","type":"BasicTicker"}},"id":"bc824e7c-0263-4424-ab27-bd5a6da10ae7","type":"Grid"},{"attributes":{},"id":"e96fb560-7266-4d1b-9005-d519ac29cb90","type":"BasicTickFormatter"},{"attributes":{},"id":"6ad3284f-8f4d-479f-b4ef-1a87056384ae","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"750f032f-eb56-49b9-a619-261bb60708f5","type":"Title"},{"attributes":{"callback":null},"id":"8ef559e3-4f72-4978-ae75-b1c4c46e7914","type":"DataRange1d"},{"attributes":{},"id":"4a8e4554-3668-42e6-a866-7ffb3ac96418","type":"WheelZoomTool"},{"attributes":{},"id":"71f82171-10e1-4d5f-b3f7-5227345a8791","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"3be730ae-114d-47ae-a6b2-b7c4cda507a7","type":"DataRange1d"},{"attributes":{},"id":"03744c83-6cdd-45bd-b093-28c910a00016","type":"BasicTicker"},{"attributes":{},"id":"f533ac49-0952-4535-93cf-b4ccc277f696","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1,2,3],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"b403b810-9ebb-454f-b97e-9c750cfeae55","type":"ColumnDataSource"}],"root_ids":["b16b9581-ff25-47f5-b841-74edcfd6cb3a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7dce5de3-2ac3-43b7-8443-43cb4e375f49","elementid":"d685fe51-f681-4b9b-9fa4-07cfaf3de9a3","modelid":"b16b9581-ff25-47f5-b841-74edcfd6cb3a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
