(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("74e6b5bc-e272-48e2-9425-fa23a2d69fcb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '74e6b5bc-e272-48e2-9425-fa23a2d69fcb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a86ac30e-8f38-4eb0-bbc5-6c549d93ad92":{"roots":{"references":[{"attributes":{"formatter":{"id":"87f8704a-c95c-4b39-95a3-82c3a77e844c","type":"BasicTickFormatter"},"plot":{"id":"21458d59-c292-4136-896f-4ddc417a6ee6","subtype":"Figure","type":"Plot"},"ticker":{"id":"8395a887-e271-4d37-a978-1733e36ca6f5","type":"BasicTicker"}},"id":"df300481-8444-4a2c-8afc-265f58c566e6","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"d80a810e-0a8d-48db-a4da-f22d4813e5cd","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"65674d4a-6588-4911-b9ac-dc9d1ec18932","type":"BoxAnnotation"}},"id":"767e25ef-e493-4b69-8072-86b11030199e","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"de3cf575-c2a7-48f0-bc0e-b2907a33d9eb","type":"Circle"},{"attributes":{"callback":null},"id":"c64f1a96-f4b9-4e7a-a275-3315a719930e","type":"DataRange1d"},{"attributes":{"below":[{"id":"b90b967c-f9ae-4b38-a01b-f27779b9c9be","type":"LinearAxis"}],"left":[{"id":"df300481-8444-4a2c-8afc-265f58c566e6","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"b90b967c-f9ae-4b38-a01b-f27779b9c9be","type":"LinearAxis"},{"id":"286b1d87-f685-4788-b6d1-a3bf92f96ab4","type":"Grid"},{"id":"df300481-8444-4a2c-8afc-265f58c566e6","type":"LinearAxis"},{"id":"eee74bd2-d9a6-47e9-9bde-6d8726c0bc6b","type":"Grid"},{"id":"65674d4a-6588-4911-b9ac-dc9d1ec18932","type":"BoxAnnotation"},{"id":"b660fa30-039f-49ff-838f-afdb4f12f111","type":"GlyphRenderer"}],"title":{"id":"9be227ce-aea7-4204-8c9f-38b236d3931c","type":"Title"},"toolbar":{"id":"8f011ff0-5f48-4def-b4ad-4a5db0f7e18e","type":"Toolbar"},"x_range":{"id":"c9a4971c-7868-477b-ad87-30c4db39d7de","type":"DataRange1d"},"x_scale":{"id":"70111f26-0926-4349-b96d-c228cdead03a","type":"LinearScale"},"y_range":{"id":"c64f1a96-f4b9-4e7a-a275-3315a719930e","type":"DataRange1d"},"y_scale":{"id":"1be5c3e5-52fb-42a4-aabc-5400f4669cd1","type":"LinearScale"}},"id":"21458d59-c292-4136-896f-4ddc417a6ee6","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"c0402569-78d2-4e43-8213-c6a0f723e94d","type":"BasicTickFormatter"},"plot":{"id":"21458d59-c292-4136-896f-4ddc417a6ee6","subtype":"Figure","type":"Plot"},"ticker":{"id":"1b1827af-fafe-4797-a465-38bcaa4488af","type":"BasicTicker"}},"id":"b90b967c-f9ae-4b38-a01b-f27779b9c9be","type":"LinearAxis"},{"attributes":{"data_source":{"id":"d80a810e-0a8d-48db-a4da-f22d4813e5cd","type":"ColumnDataSource"},"glyph":{"id":"5fe14cc8-b23b-4e80-8a07-115b8fe95653","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"de3cf575-c2a7-48f0-bc0e-b2907a33d9eb","type":"Circle"},"selection_glyph":null,"view":{"id":"0a7b98fb-e57f-4ae4-a17f-06aafb388db8","type":"CDSView"}},"id":"b660fa30-039f-49ff-838f-afdb4f12f111","type":"GlyphRenderer"},{"attributes":{},"id":"1b1827af-fafe-4797-a465-38bcaa4488af","type":"BasicTicker"},{"attributes":{"callback":null},"id":"c9a4971c-7868-477b-ad87-30c4db39d7de","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"5fe14cc8-b23b-4e80-8a07-115b8fe95653","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d8d8baf2-f500-41dc-9c3b-68fc3f64ad25","type":"PanTool"},{"id":"a1801acd-5336-4b23-a0be-bea6f655bca2","type":"WheelZoomTool"},{"id":"767e25ef-e493-4b69-8072-86b11030199e","type":"BoxZoomTool"},{"id":"df9372eb-bdc2-4580-9be0-b263caa9d107","type":"SaveTool"},{"id":"ab6cd811-aaaf-4d79-9ed8-e4f719f7eac7","type":"ResetTool"},{"id":"7f68c85e-a104-4f16-8c24-6bf84b6a66f2","type":"HelpTool"}]},"id":"8f011ff0-5f48-4def-b4ad-4a5db0f7e18e","type":"Toolbar"},{"attributes":{},"id":"c0402569-78d2-4e43-8213-c6a0f723e94d","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"9be227ce-aea7-4204-8c9f-38b236d3931c","type":"Title"},{"attributes":{},"id":"7f68c85e-a104-4f16-8c24-6bf84b6a66f2","type":"HelpTool"},{"attributes":{},"id":"a1801acd-5336-4b23-a0be-bea6f655bca2","type":"WheelZoomTool"},{"attributes":{},"id":"8395a887-e271-4d37-a978-1733e36ca6f5","type":"BasicTicker"},{"attributes":{},"id":"d8d8baf2-f500-41dc-9c3b-68fc3f64ad25","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"65674d4a-6588-4911-b9ac-dc9d1ec18932","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"21458d59-c292-4136-896f-4ddc417a6ee6","subtype":"Figure","type":"Plot"},"ticker":{"id":"1b1827af-fafe-4797-a465-38bcaa4488af","type":"BasicTicker"}},"id":"286b1d87-f685-4788-b6d1-a3bf92f96ab4","type":"Grid"},{"attributes":{"source":{"id":"d80a810e-0a8d-48db-a4da-f22d4813e5cd","type":"ColumnDataSource"}},"id":"0a7b98fb-e57f-4ae4-a17f-06aafb388db8","type":"CDSView"},{"attributes":{},"id":"70111f26-0926-4349-b96d-c228cdead03a","type":"LinearScale"},{"attributes":{},"id":"df9372eb-bdc2-4580-9be0-b263caa9d107","type":"SaveTool"},{"attributes":{},"id":"ab6cd811-aaaf-4d79-9ed8-e4f719f7eac7","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"21458d59-c292-4136-896f-4ddc417a6ee6","subtype":"Figure","type":"Plot"},"ticker":{"id":"8395a887-e271-4d37-a978-1733e36ca6f5","type":"BasicTicker"}},"id":"eee74bd2-d9a6-47e9-9bde-6d8726c0bc6b","type":"Grid"},{"attributes":{},"id":"1be5c3e5-52fb-42a4-aabc-5400f4669cd1","type":"LinearScale"},{"attributes":{},"id":"87f8704a-c95c-4b39-95a3-82c3a77e844c","type":"BasicTickFormatter"}],"root_ids":["21458d59-c292-4136-896f-4ddc417a6ee6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a86ac30e-8f38-4eb0-bbc5-6c549d93ad92","elementid":"74e6b5bc-e272-48e2-9425-fa23a2d69fcb","modelid":"21458d59-c292-4136-896f-4ddc417a6ee6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
