(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8a882c8c-89f3-48f7-82ca-dc26e62eee6a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8a882c8c-89f3-48f7-82ca-dc26e62eee6a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7a9cf035-4045-4f6b-a113-48e811c92a9c":{"roots":{"references":[{"attributes":{},"id":"10b53cb7-1b1b-45bb-bc60-71c280fd4a1d","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"508f5aa5-374a-4701-918f-c654f0a64e4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"afdd9057-7f44-4c44-b885-c85e6162d6b0","type":"BasicTicker"}},"id":"2f24c8cb-b191-462c-9e6e-fdf38d853500","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"f392951d-b7ae-4580-aa00-91e6c6f1da04","type":"Title"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"d97aff78-b9a0-407e-b9e3-da8cebcf9d2e","type":"ColumnDataSource"},{"attributes":{},"id":"8c87be90-0b36-4419-bd90-5093740674cc","type":"BasicTicker"},{"attributes":{},"id":"dc43e1c5-4c92-4dcc-8542-d153bbf76ad8","type":"SaveTool"},{"attributes":{"formatter":{"id":"f10e3975-1468-4965-bf79-e5dd3a590e81","type":"BasicTickFormatter"},"plot":{"id":"508f5aa5-374a-4701-918f-c654f0a64e4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"afdd9057-7f44-4c44-b885-c85e6162d6b0","type":"BasicTicker"}},"id":"a0817763-da26-4119-a202-760bd1d2081a","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0cd2721-1a3a-494c-93b1-531578f3fd2c","type":"SquareX"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"85908afe-a707-47d7-ba37-4508ea77ac7b","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"508f5aa5-374a-4701-918f-c654f0a64e4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c87be90-0b36-4419-bd90-5093740674cc","type":"BasicTicker"}},"id":"7615ad68-9a30-4089-b746-913e5e42c30e","type":"Grid"},{"attributes":{},"id":"51ffa023-b715-4ab6-843d-4a19b83aa685","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"73e469c1-84ea-4f25-be39-8c4b23264ebe","type":"PanTool"},{"id":"10b53cb7-1b1b-45bb-bc60-71c280fd4a1d","type":"WheelZoomTool"},{"id":"df002f65-a2d1-4481-8457-549e810343b1","type":"BoxZoomTool"},{"id":"dc43e1c5-4c92-4dcc-8542-d153bbf76ad8","type":"SaveTool"},{"id":"f12d9aa2-378b-41dc-944f-5547e2d76bec","type":"ResetTool"},{"id":"51ffa023-b715-4ab6-843d-4a19b83aa685","type":"HelpTool"}]},"id":"5604fd83-c523-4424-b8a8-357feafbdb4d","type":"Toolbar"},{"attributes":{},"id":"f10e3975-1468-4965-bf79-e5dd3a590e81","type":"BasicTickFormatter"},{"attributes":{},"id":"19e7338e-a198-4d10-a034-e6ff38fc2288","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"85908afe-a707-47d7-ba37-4508ea77ac7b","type":"BoxAnnotation"}},"id":"df002f65-a2d1-4481-8457-549e810343b1","type":"BoxZoomTool"},{"attributes":{},"id":"73e469c1-84ea-4f25-be39-8c4b23264ebe","type":"PanTool"},{"attributes":{"below":[{"id":"a0817763-da26-4119-a202-760bd1d2081a","type":"LinearAxis"}],"left":[{"id":"d6d8be27-99d6-40d0-b9ac-d382820d1e45","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"a0817763-da26-4119-a202-760bd1d2081a","type":"LinearAxis"},{"id":"2f24c8cb-b191-462c-9e6e-fdf38d853500","type":"Grid"},{"id":"d6d8be27-99d6-40d0-b9ac-d382820d1e45","type":"LinearAxis"},{"id":"7615ad68-9a30-4089-b746-913e5e42c30e","type":"Grid"},{"id":"85908afe-a707-47d7-ba37-4508ea77ac7b","type":"BoxAnnotation"},{"id":"d2b918c6-727f-49be-b5bf-1d3fabddd0e7","type":"GlyphRenderer"}],"title":{"id":"f392951d-b7ae-4580-aa00-91e6c6f1da04","type":"Title"},"toolbar":{"id":"5604fd83-c523-4424-b8a8-357feafbdb4d","type":"Toolbar"},"x_range":{"id":"427e26ca-ac34-4eeb-a1a5-bf3bff69fe20","type":"DataRange1d"},"x_scale":{"id":"852ef505-70ef-4648-b838-4e2ed38dd268","type":"LinearScale"},"y_range":{"id":"0b937c3e-9c8f-42c3-8aca-8d5121502dc4","type":"DataRange1d"},"y_scale":{"id":"2004f171-2728-4426-b983-7aa56c84ffc7","type":"LinearScale"}},"id":"508f5aa5-374a-4701-918f-c654f0a64e4f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"852ef505-70ef-4648-b838-4e2ed38dd268","type":"LinearScale"},{"attributes":{"callback":null},"id":"427e26ca-ac34-4eeb-a1a5-bf3bff69fe20","type":"DataRange1d"},{"attributes":{"formatter":{"id":"19e7338e-a198-4d10-a034-e6ff38fc2288","type":"BasicTickFormatter"},"plot":{"id":"508f5aa5-374a-4701-918f-c654f0a64e4f","subtype":"Figure","type":"Plot"},"ticker":{"id":"8c87be90-0b36-4419-bd90-5093740674cc","type":"BasicTicker"}},"id":"d6d8be27-99d6-40d0-b9ac-d382820d1e45","type":"LinearAxis"},{"attributes":{},"id":"afdd9057-7f44-4c44-b885-c85e6162d6b0","type":"BasicTicker"},{"attributes":{},"id":"f12d9aa2-378b-41dc-944f-5547e2d76bec","type":"ResetTool"},{"attributes":{},"id":"2004f171-2728-4426-b983-7aa56c84ffc7","type":"LinearScale"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#FDAE6B"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ea6d7c95-87f8-467e-8a5d-3c028a5dfc8f","type":"SquareX"},{"attributes":{"source":{"id":"d97aff78-b9a0-407e-b9e3-da8cebcf9d2e","type":"ColumnDataSource"}},"id":"ffdbb4fe-e174-4a26-953c-8cb7f89dbd21","type":"CDSView"},{"attributes":{"data_source":{"id":"d97aff78-b9a0-407e-b9e3-da8cebcf9d2e","type":"ColumnDataSource"},"glyph":{"id":"ea6d7c95-87f8-467e-8a5d-3c028a5dfc8f","type":"SquareX"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b0cd2721-1a3a-494c-93b1-531578f3fd2c","type":"SquareX"},"selection_glyph":null,"view":{"id":"ffdbb4fe-e174-4a26-953c-8cb7f89dbd21","type":"CDSView"}},"id":"d2b918c6-727f-49be-b5bf-1d3fabddd0e7","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"0b937c3e-9c8f-42c3-8aca-8d5121502dc4","type":"DataRange1d"}],"root_ids":["508f5aa5-374a-4701-918f-c654f0a64e4f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7a9cf035-4045-4f6b-a113-48e811c92a9c","elementid":"8a882c8c-89f3-48f7-82ca-dc26e62eee6a","modelid":"508f5aa5-374a-4701-918f-c654f0a64e4f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
