(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("36acff63-e974-45f6-b583-f38f55e6c7ff");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '36acff63-e974-45f6-b583-f38f55e6c7ff' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2853c765-54b5-4df7-97f2-65ffde1e65d8":{"roots":{"references":[{"attributes":{},"id":"8736de2d-a16b-4b6b-956c-ca92724639a2","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"5220497f-465d-4ca0-ac45-94b578f714c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8736de2d-a16b-4b6b-956c-ca92724639a2","type":"BasicTicker"}},"id":"b8d9b3c5-3f73-4a97-8b68-c2005c8b4b4b","type":"Grid"},{"attributes":{"fill_color":{"value":"#99D594"},"line_color":{"value":"#99D594"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"28047406-e040-4484-b1d6-255421250e12","type":"Triangle"},{"attributes":{"callback":null},"id":"2c612ee3-b0a8-42c7-8f30-712787d406ba","type":"DataRange1d"},{"attributes":{},"id":"d8c4f9f0-3797-4b81-b3af-197a700d3699","type":"ResetTool"},{"attributes":{},"id":"a4af31ad-41d9-45e1-9772-5e9cf40a278c","type":"SaveTool"},{"attributes":{"formatter":{"id":"7aa7f2a2-e9bb-4dcb-895e-a59f8d27a405","type":"BasicTickFormatter"},"plot":{"id":"5220497f-465d-4ca0-ac45-94b578f714c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"f82f352c-ef02-4081-822e-65b0b8a7ce15","type":"BasicTicker"}},"id":"664242fd-7799-425e-85a7-6a506e9f52d5","type":"LinearAxis"},{"attributes":{"data_source":{"id":"4ed05675-bfb4-4fd9-b4ca-23e927ddbe99","type":"ColumnDataSource"},"glyph":{"id":"28047406-e040-4484-b1d6-255421250e12","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"85210195-5ded-438f-810a-381f5e5b4c61","type":"Triangle"},"selection_glyph":null,"view":{"id":"0b2146b2-4f3c-4a6c-8e5c-cb92ca6b6818","type":"CDSView"}},"id":"8da597a1-60eb-492f-949f-54b6a4ee09d1","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2f918976-33b4-4bc1-9406-0b1e44508fb9","type":"BoxAnnotation"},{"attributes":{"source":{"id":"4ed05675-bfb4-4fd9-b4ca-23e927ddbe99","type":"ColumnDataSource"}},"id":"0b2146b2-4f3c-4a6c-8e5c-cb92ca6b6818","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"31293fa2-b8e9-4ddb-8f0c-e6e5e608de0c","type":"Title"},{"attributes":{},"id":"973c735a-507d-42a6-a2e1-575a0cb35163","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"5220497f-465d-4ca0-ac45-94b578f714c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"f82f352c-ef02-4081-822e-65b0b8a7ce15","type":"BasicTicker"}},"id":"552bc776-5503-4346-bea8-91490145748c","type":"Grid"},{"attributes":{},"id":"7aa7f2a2-e9bb-4dcb-895e-a59f8d27a405","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"85210195-5ded-438f-810a-381f5e5b4c61","type":"Triangle"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"4ed05675-bfb4-4fd9-b4ca-23e927ddbe99","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"4ec6ab5b-f4ee-41da-bae1-bd8ba156eb6f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"81c0c30f-03fb-42bf-9645-6ac18a35b2a4","type":"BasicTickFormatter"},"plot":{"id":"5220497f-465d-4ca0-ac45-94b578f714c1","subtype":"Figure","type":"Plot"},"ticker":{"id":"8736de2d-a16b-4b6b-956c-ca92724639a2","type":"BasicTicker"}},"id":"0071e493-5834-4d77-ae25-ca65b992580c","type":"LinearAxis"},{"attributes":{},"id":"81c0c30f-03fb-42bf-9645-6ac18a35b2a4","type":"BasicTickFormatter"},{"attributes":{},"id":"5dd34fd0-a757-44bf-bd69-ffe4d4d4dbe8","type":"LinearScale"},{"attributes":{},"id":"9dc24349-82b3-48fe-9021-ca5ac74c452c","type":"PanTool"},{"attributes":{"below":[{"id":"664242fd-7799-425e-85a7-6a506e9f52d5","type":"LinearAxis"}],"left":[{"id":"0071e493-5834-4d77-ae25-ca65b992580c","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"664242fd-7799-425e-85a7-6a506e9f52d5","type":"LinearAxis"},{"id":"552bc776-5503-4346-bea8-91490145748c","type":"Grid"},{"id":"0071e493-5834-4d77-ae25-ca65b992580c","type":"LinearAxis"},{"id":"b8d9b3c5-3f73-4a97-8b68-c2005c8b4b4b","type":"Grid"},{"id":"2f918976-33b4-4bc1-9406-0b1e44508fb9","type":"BoxAnnotation"},{"id":"8da597a1-60eb-492f-949f-54b6a4ee09d1","type":"GlyphRenderer"}],"title":{"id":"31293fa2-b8e9-4ddb-8f0c-e6e5e608de0c","type":"Title"},"toolbar":{"id":"183956fc-ad43-4f89-9729-c08332d458fb","type":"Toolbar"},"x_range":{"id":"4ec6ab5b-f4ee-41da-bae1-bd8ba156eb6f","type":"DataRange1d"},"x_scale":{"id":"b31e71a9-77c6-4adc-832a-4f35cd4d0f8f","type":"LinearScale"},"y_range":{"id":"2c612ee3-b0a8-42c7-8f30-712787d406ba","type":"DataRange1d"},"y_scale":{"id":"5dd34fd0-a757-44bf-bd69-ffe4d4d4dbe8","type":"LinearScale"}},"id":"5220497f-465d-4ca0-ac45-94b578f714c1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b31e71a9-77c6-4adc-832a-4f35cd4d0f8f","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9dc24349-82b3-48fe-9021-ca5ac74c452c","type":"PanTool"},{"id":"973c735a-507d-42a6-a2e1-575a0cb35163","type":"WheelZoomTool"},{"id":"565cc19e-a3f3-4a40-9790-8112cf6e8f73","type":"BoxZoomTool"},{"id":"a4af31ad-41d9-45e1-9772-5e9cf40a278c","type":"SaveTool"},{"id":"d8c4f9f0-3797-4b81-b3af-197a700d3699","type":"ResetTool"},{"id":"1fb0675d-cbbc-4b1b-b959-b44e0c71adf5","type":"HelpTool"}]},"id":"183956fc-ad43-4f89-9729-c08332d458fb","type":"Toolbar"},{"attributes":{"overlay":{"id":"2f918976-33b4-4bc1-9406-0b1e44508fb9","type":"BoxAnnotation"}},"id":"565cc19e-a3f3-4a40-9790-8112cf6e8f73","type":"BoxZoomTool"},{"attributes":{},"id":"1fb0675d-cbbc-4b1b-b959-b44e0c71adf5","type":"HelpTool"},{"attributes":{},"id":"f82f352c-ef02-4081-822e-65b0b8a7ce15","type":"BasicTicker"}],"root_ids":["5220497f-465d-4ca0-ac45-94b578f714c1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2853c765-54b5-4df7-97f2-65ffde1e65d8","elementid":"36acff63-e974-45f6-b583-f38f55e6c7ff","modelid":"5220497f-465d-4ca0-ac45-94b578f714c1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
