(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("460629a1-de47-4b5d-84fa-6249d9b22726");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '460629a1-de47-4b5d-84fa-6249d9b22726' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6bc8d467-3b8c-41e2-a817-a58e5bd86dd3":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#CAB2D6"},"line_color":{"value":"#CAB2D6"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"5e640e4f-1b76-49e6-ac02-e2c9497dc9f3","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"7c5a0410-4d4d-4bd1-a231-11c58c21161f","subtype":"Figure","type":"Plot"},"ticker":{"id":"f33d87ae-95db-4e7e-b212-66898ff397b3","type":"BasicTicker"}},"id":"09958676-46a1-4f35-9dcf-d8cee2855352","type":"Grid"},{"attributes":{"formatter":{"id":"41fa2085-7cb7-444c-9e70-1e072e7b3de2","type":"BasicTickFormatter"},"plot":{"id":"7c5a0410-4d4d-4bd1-a231-11c58c21161f","subtype":"Figure","type":"Plot"},"ticker":{"id":"f33d87ae-95db-4e7e-b212-66898ff397b3","type":"BasicTicker"}},"id":"32d61818-5fef-4dbe-a8f0-496b3571e294","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e9a42b1a-40b1-44fc-8535-3cba6923d0d6","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"14884bcd-1773-4826-8e90-d630946fb6f5","type":"PanTool"},{"id":"c082b67a-4124-451e-9850-279cf9e52357","type":"WheelZoomTool"},{"id":"651c7934-616a-47d6-a5cf-3447979a89d3","type":"BoxZoomTool"},{"id":"0461f22c-82b1-4285-8ae8-cc017a4a99d2","type":"SaveTool"},{"id":"c1082492-6521-46d1-993f-482ba964e1b4","type":"ResetTool"},{"id":"acfeb4e4-a580-403d-9c44-0a7b469856e7","type":"HelpTool"}]},"id":"f820dd66-03c1-4bf2-9aaa-85a6f1fd0836","type":"Toolbar"},{"attributes":{},"id":"acfeb4e4-a580-403d-9c44-0a7b469856e7","type":"HelpTool"},{"attributes":{"below":[{"id":"6dca538c-3718-40a8-938e-2041c7170d3c","type":"LinearAxis"}],"left":[{"id":"32d61818-5fef-4dbe-a8f0-496b3571e294","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"6dca538c-3718-40a8-938e-2041c7170d3c","type":"LinearAxis"},{"id":"bd22e0e4-4e50-469e-988c-a1aed1ef0787","type":"Grid"},{"id":"32d61818-5fef-4dbe-a8f0-496b3571e294","type":"LinearAxis"},{"id":"09958676-46a1-4f35-9dcf-d8cee2855352","type":"Grid"},{"id":"30c120e8-13ce-419e-ac02-de944314822c","type":"BoxAnnotation"},{"id":"c309007e-4a39-4d06-92fd-d1651f4732cf","type":"GlyphRenderer"}],"title":{"id":"aa02d69a-dd87-4fb8-aecd-47f195d1e595","type":"Title"},"toolbar":{"id":"f820dd66-03c1-4bf2-9aaa-85a6f1fd0836","type":"Toolbar"},"x_range":{"id":"e9a42b1a-40b1-44fc-8535-3cba6923d0d6","type":"DataRange1d"},"x_scale":{"id":"324b4175-3ced-497b-bc55-67633f3439e8","type":"LinearScale"},"y_range":{"id":"e2089e5b-1e3a-4c78-ae9e-cec6bc33dec3","type":"DataRange1d"},"y_scale":{"id":"307c53f0-6173-4c03-8878-0a471f321a7b","type":"LinearScale"}},"id":"7c5a0410-4d4d-4bd1-a231-11c58c21161f","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c1082492-6521-46d1-993f-482ba964e1b4","type":"ResetTool"},{"attributes":{},"id":"c082b67a-4124-451e-9850-279cf9e52357","type":"WheelZoomTool"},{"attributes":{},"id":"41fa2085-7cb7-444c-9e70-1e072e7b3de2","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"99816e7a-d95b-442a-8ac6-d68fcbe199a4","type":"ColumnDataSource"}},"id":"055846db-6056-47e1-bb0f-678299012420","type":"CDSView"},{"attributes":{},"id":"324b4175-3ced-497b-bc55-67633f3439e8","type":"LinearScale"},{"attributes":{"overlay":{"id":"30c120e8-13ce-419e-ac02-de944314822c","type":"BoxAnnotation"}},"id":"651c7934-616a-47d6-a5cf-3447979a89d3","type":"BoxZoomTool"},{"attributes":{},"id":"14884bcd-1773-4826-8e90-d630946fb6f5","type":"PanTool"},{"attributes":{},"id":"0461f22c-82b1-4285-8ae8-cc017a4a99d2","type":"SaveTool"},{"attributes":{},"id":"307c53f0-6173-4c03-8878-0a471f321a7b","type":"LinearScale"},{"attributes":{},"id":"c002e0e8-8525-4416-9d66-e413bc14fa6d","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"79f57f99-efaf-401f-878c-3b107225e062","type":"VBar"},{"attributes":{"formatter":{"id":"a1ae328f-b634-4e05-9c90-7512613f910d","type":"BasicTickFormatter"},"plot":{"id":"7c5a0410-4d4d-4bd1-a231-11c58c21161f","subtype":"Figure","type":"Plot"},"ticker":{"id":"c002e0e8-8525-4416-9d66-e413bc14fa6d","type":"BasicTicker"}},"id":"6dca538c-3718-40a8-938e-2041c7170d3c","type":"LinearAxis"},{"attributes":{},"id":"a1ae328f-b634-4e05-9c90-7512613f910d","type":"BasicTickFormatter"},{"attributes":{},"id":"f33d87ae-95db-4e7e-b212-66898ff397b3","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"30c120e8-13ce-419e-ac02-de944314822c","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1,2,3],"x":[1,2,3]}},"id":"99816e7a-d95b-442a-8ac6-d68fcbe199a4","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"99816e7a-d95b-442a-8ac6-d68fcbe199a4","type":"ColumnDataSource"},"glyph":{"id":"5e640e4f-1b76-49e6-ac02-e2c9497dc9f3","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"79f57f99-efaf-401f-878c-3b107225e062","type":"VBar"},"selection_glyph":null,"view":{"id":"055846db-6056-47e1-bb0f-678299012420","type":"CDSView"}},"id":"c309007e-4a39-4d06-92fd-d1651f4732cf","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"7c5a0410-4d4d-4bd1-a231-11c58c21161f","subtype":"Figure","type":"Plot"},"ticker":{"id":"c002e0e8-8525-4416-9d66-e413bc14fa6d","type":"BasicTicker"}},"id":"bd22e0e4-4e50-469e-988c-a1aed1ef0787","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"aa02d69a-dd87-4fb8-aecd-47f195d1e595","type":"Title"},{"attributes":{"callback":null},"id":"e2089e5b-1e3a-4c78-ae9e-cec6bc33dec3","type":"DataRange1d"}],"root_ids":["7c5a0410-4d4d-4bd1-a231-11c58c21161f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6bc8d467-3b8c-41e2-a817-a58e5bd86dd3","elementid":"460629a1-de47-4b5d-84fa-6249d9b22726","modelid":"7c5a0410-4d4d-4bd1-a231-11c58c21161f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
