(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("09ad9f2b-6036-4250-9979-cf0faf8b0c91");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '09ad9f2b-6036-4250-9979-cf0faf8b0c91' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4b67353c-9b53-45d0-b5e4-0e3441f18042":{"roots":{"references":[{"attributes":{"source":{"id":"f813abc9-a15f-4092-b04a-cf63fcdebd67","type":"ColumnDataSource"}},"id":"3a5c7c9e-ed0d-4ec2-bc45-5868470032b0","type":"CDSView"},{"attributes":{"callback":null},"id":"390e4d55-73c8-433a-afcb-38d21757b26c","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[4,5,6]}},"id":"f813abc9-a15f-4092-b04a-cf63fcdebd67","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8245c71a-495e-42d2-b790-b3dcb00bc462","type":"PanTool"},{"id":"4f248bf8-3463-4675-b538-7869cb35ccb1","type":"WheelZoomTool"},{"id":"fd56c4dc-1f13-48fd-989a-53581e13a496","type":"BoxZoomTool"},{"id":"88020872-b002-4357-9664-1840971f0183","type":"SaveTool"},{"id":"aa78eb38-cc6d-4cc3-8e42-ff2118ee72cc","type":"ResetTool"},{"id":"5d03db47-34f0-4a88-829d-2a0451c3b47b","type":"HelpTool"}]},"id":"9567df93-a4f8-472a-b1dc-2079bea6ac39","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"b0fe76c9-c1d3-432b-8332-6b6ecaee29fc","type":"Title"},{"attributes":{},"id":"60e731ee-05f3-4242-a601-47d0610f8d68","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f3aeff0a-e9ab-4278-996d-82250ebb0e09","type":"CircleCross"},{"attributes":{"callback":null},"id":"d02f415e-ac0e-4a1e-a1cc-f43a5a18c9cc","type":"DataRange1d"},{"attributes":{"plot":{"id":"15743e42-db3d-44a8-94a1-eb871445f0f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"0a33d51b-99a0-47c6-b094-843e228a98f2","type":"BasicTicker"}},"id":"8ff32248-8cbe-4d8e-b4ee-e8b548819bfe","type":"Grid"},{"attributes":{"formatter":{"id":"d6ccd2b9-8191-40a0-8e42-f1257eba544b","type":"BasicTickFormatter"},"plot":{"id":"15743e42-db3d-44a8-94a1-eb871445f0f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab5bb08d-ab20-4a45-aa08-18b38a5ca219","type":"BasicTicker"}},"id":"e225a963-69d7-4c05-aafe-f9c1c020557d","type":"LinearAxis"},{"attributes":{},"id":"4f248bf8-3463-4675-b538-7869cb35ccb1","type":"WheelZoomTool"},{"attributes":{},"id":"1576c57f-d0c4-41e5-87a3-4f1550d3c9ed","type":"LinearScale"},{"attributes":{},"id":"d59d4e48-9b38-4bc0-82d0-2651d7538d09","type":"BasicTickFormatter"},{"attributes":{},"id":"aa78eb38-cc6d-4cc3-8e42-ff2118ee72cc","type":"ResetTool"},{"attributes":{},"id":"8245c71a-495e-42d2-b790-b3dcb00bc462","type":"PanTool"},{"attributes":{},"id":"5d03db47-34f0-4a88-829d-2a0451c3b47b","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"15743e42-db3d-44a8-94a1-eb871445f0f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab5bb08d-ab20-4a45-aa08-18b38a5ca219","type":"BasicTicker"}},"id":"d8550b36-0d1c-46b8-866c-f0333efad871","type":"Grid"},{"attributes":{},"id":"88020872-b002-4357-9664-1840971f0183","type":"SaveTool"},{"attributes":{"below":[{"id":"72375e71-0e2b-4d1d-8dd0-937ace030273","type":"LinearAxis"}],"left":[{"id":"e225a963-69d7-4c05-aafe-f9c1c020557d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"72375e71-0e2b-4d1d-8dd0-937ace030273","type":"LinearAxis"},{"id":"8ff32248-8cbe-4d8e-b4ee-e8b548819bfe","type":"Grid"},{"id":"e225a963-69d7-4c05-aafe-f9c1c020557d","type":"LinearAxis"},{"id":"d8550b36-0d1c-46b8-866c-f0333efad871","type":"Grid"},{"id":"949379ca-60fa-43bf-82db-b8f88cd14528","type":"BoxAnnotation"},{"id":"cef10994-2243-4397-96cf-f20d064e7bf8","type":"GlyphRenderer"}],"title":{"id":"b0fe76c9-c1d3-432b-8332-6b6ecaee29fc","type":"Title"},"toolbar":{"id":"9567df93-a4f8-472a-b1dc-2079bea6ac39","type":"Toolbar"},"x_range":{"id":"390e4d55-73c8-433a-afcb-38d21757b26c","type":"DataRange1d"},"x_scale":{"id":"60e731ee-05f3-4242-a601-47d0610f8d68","type":"LinearScale"},"y_range":{"id":"d02f415e-ac0e-4a1e-a1cc-f43a5a18c9cc","type":"DataRange1d"},"y_scale":{"id":"1576c57f-d0c4-41e5-87a3-4f1550d3c9ed","type":"LinearScale"}},"id":"15743e42-db3d-44a8-94a1-eb871445f0f4","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"f813abc9-a15f-4092-b04a-cf63fcdebd67","type":"ColumnDataSource"},"glyph":{"id":"5349f5fc-d540-40f3-8997-11afa5d7814b","type":"CircleCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f3aeff0a-e9ab-4278-996d-82250ebb0e09","type":"CircleCross"},"selection_glyph":null,"view":{"id":"3a5c7c9e-ed0d-4ec2-bc45-5868470032b0","type":"CDSView"}},"id":"cef10994-2243-4397-96cf-f20d064e7bf8","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"949379ca-60fa-43bf-82db-b8f88cd14528","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"949379ca-60fa-43bf-82db-b8f88cd14528","type":"BoxAnnotation"}},"id":"fd56c4dc-1f13-48fd-989a-53581e13a496","type":"BoxZoomTool"},{"attributes":{},"id":"ab5bb08d-ab20-4a45-aa08-18b38a5ca219","type":"BasicTicker"},{"attributes":{},"id":"0a33d51b-99a0-47c6-b094-843e228a98f2","type":"BasicTicker"},{"attributes":{},"id":"d6ccd2b9-8191-40a0-8e42-f1257eba544b","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#FB8072"},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"5349f5fc-d540-40f3-8997-11afa5d7814b","type":"CircleCross"},{"attributes":{"formatter":{"id":"d59d4e48-9b38-4bc0-82d0-2651d7538d09","type":"BasicTickFormatter"},"plot":{"id":"15743e42-db3d-44a8-94a1-eb871445f0f4","subtype":"Figure","type":"Plot"},"ticker":{"id":"0a33d51b-99a0-47c6-b094-843e228a98f2","type":"BasicTicker"}},"id":"72375e71-0e2b-4d1d-8dd0-937ace030273","type":"LinearAxis"}],"root_ids":["15743e42-db3d-44a8-94a1-eb871445f0f4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4b67353c-9b53-45d0-b5e4-0e3441f18042","elementid":"09ad9f2b-6036-4250-9979-cf0faf8b0c91","modelid":"15743e42-db3d-44a8-94a1-eb871445f0f4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
