(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("34b98de6-0d22-43f8-ba1b-53e54176b409");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '34b98de6-0d22-43f8-ba1b-53e54176b409' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a62e7491-5b29-464c-a4f1-72e56b747fa4":{"roots":{"references":[{"attributes":{"data_source":{"id":"c3e5a6c0-e6c1-444b-8355-340aadf96f77","type":"ColumnDataSource"},"glyph":{"id":"54bf7c26-2a8c-444e-87d0-e4de1c80cf42","type":"Diamond"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0150a741-fc45-4621-9f00-6be1ec6279cb","type":"Diamond"},"selection_glyph":null,"view":{"id":"344edd8b-169e-4d09-90ef-c3dbc88812d5","type":"CDSView"}},"id":"f5dfffc3-2e37-44b2-849a-2b6a50cbef89","type":"GlyphRenderer"},{"attributes":{},"id":"f1578c58-6661-48c6-ab6d-0f6b375d01a7","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f1578c58-6661-48c6-ab6d-0f6b375d01a7","type":"PanTool"},{"id":"b81056d6-da32-4042-8ba1-7635e4477e20","type":"WheelZoomTool"},{"id":"71096293-ab1b-4cc5-8681-8efbee62835f","type":"BoxZoomTool"},{"id":"a3a7a2d1-61d7-415c-a0a9-934f23a735c0","type":"SaveTool"},{"id":"62c0a5bb-f692-4400-887d-e5a6297e491d","type":"ResetTool"},{"id":"a88e7fb2-55e6-42fe-943b-c243b088f6ba","type":"HelpTool"}]},"id":"100b80fc-9489-4fc8-8f76-0615fb3bac5b","type":"Toolbar"},{"attributes":{},"id":"68220543-e9d9-4ab4-bf68-396af7ad9f10","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"6410373a-b1e4-49d5-bd3e-b66d5b91f4c3","type":"DataRange1d"},{"attributes":{"formatter":{"id":"68220543-e9d9-4ab4-bf68-396af7ad9f10","type":"BasicTickFormatter"},"plot":{"id":"49795b58-162c-486d-a647-2fb4e8804c5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"91c5aa5b-6257-4a35-bf93-03d5c1edc585","type":"BasicTicker"}},"id":"1ecdf1ec-6d7d-4ab7-bab4-25e9964def74","type":"LinearAxis"},{"attributes":{},"id":"91c5aa5b-6257-4a35-bf93-03d5c1edc585","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0150a741-fc45-4621-9f00-6be1ec6279cb","type":"Diamond"},{"attributes":{"source":{"id":"c3e5a6c0-e6c1-444b-8355-340aadf96f77","type":"ColumnDataSource"}},"id":"344edd8b-169e-4d09-90ef-c3dbc88812d5","type":"CDSView"},{"attributes":{},"id":"eccb3738-d917-4a0b-8e3b-f24b805ce364","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"728dba3b-f997-447b-82a7-c6e840e336c3","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"49795b58-162c-486d-a647-2fb4e8804c5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a80afb4c-4d2c-47da-a5c9-fbbbd2d52401","type":"BasicTicker"}},"id":"c1a8b150-efb9-4111-8e6f-146cb0bc6ad9","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"c3e5a6c0-e6c1-444b-8355-340aadf96f77","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"d845f07c-eb38-416d-9106-4b1256ddf9b1","type":"DataRange1d"},{"attributes":{},"id":"a3a7a2d1-61d7-415c-a0a9-934f23a735c0","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#1C9099"},"line_color":{"value":"#1C9099"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"54bf7c26-2a8c-444e-87d0-e4de1c80cf42","type":"Diamond"},{"attributes":{"below":[{"id":"1ecdf1ec-6d7d-4ab7-bab4-25e9964def74","type":"LinearAxis"}],"left":[{"id":"8dcd13d5-a5b2-4a14-a5b8-1739c0fd5ba6","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1ecdf1ec-6d7d-4ab7-bab4-25e9964def74","type":"LinearAxis"},{"id":"6bcba12c-a859-4163-8d09-46bc0d0de011","type":"Grid"},{"id":"8dcd13d5-a5b2-4a14-a5b8-1739c0fd5ba6","type":"LinearAxis"},{"id":"c1a8b150-efb9-4111-8e6f-146cb0bc6ad9","type":"Grid"},{"id":"728dba3b-f997-447b-82a7-c6e840e336c3","type":"BoxAnnotation"},{"id":"f5dfffc3-2e37-44b2-849a-2b6a50cbef89","type":"GlyphRenderer"}],"title":{"id":"85dd04fa-9da6-4648-bc58-ba9015410dba","type":"Title"},"toolbar":{"id":"100b80fc-9489-4fc8-8f76-0615fb3bac5b","type":"Toolbar"},"x_range":{"id":"6410373a-b1e4-49d5-bd3e-b66d5b91f4c3","type":"DataRange1d"},"x_scale":{"id":"6c59fe97-9e2e-43f8-aeda-3857fa12f9e9","type":"LinearScale"},"y_range":{"id":"d845f07c-eb38-416d-9106-4b1256ddf9b1","type":"DataRange1d"},"y_scale":{"id":"eccb3738-d917-4a0b-8e3b-f24b805ce364","type":"LinearScale"}},"id":"49795b58-162c-486d-a647-2fb4e8804c5b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a80afb4c-4d2c-47da-a5c9-fbbbd2d52401","type":"BasicTicker"},{"attributes":{"overlay":{"id":"728dba3b-f997-447b-82a7-c6e840e336c3","type":"BoxAnnotation"}},"id":"71096293-ab1b-4cc5-8681-8efbee62835f","type":"BoxZoomTool"},{"attributes":{},"id":"b81056d6-da32-4042-8ba1-7635e4477e20","type":"WheelZoomTool"},{"attributes":{},"id":"6c59fe97-9e2e-43f8-aeda-3857fa12f9e9","type":"LinearScale"},{"attributes":{},"id":"bec68e47-4910-427b-ac2c-f163f58c7180","type":"BasicTickFormatter"},{"attributes":{},"id":"a88e7fb2-55e6-42fe-943b-c243b088f6ba","type":"HelpTool"},{"attributes":{},"id":"62c0a5bb-f692-4400-887d-e5a6297e491d","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"85dd04fa-9da6-4648-bc58-ba9015410dba","type":"Title"},{"attributes":{"plot":{"id":"49795b58-162c-486d-a647-2fb4e8804c5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"91c5aa5b-6257-4a35-bf93-03d5c1edc585","type":"BasicTicker"}},"id":"6bcba12c-a859-4163-8d09-46bc0d0de011","type":"Grid"},{"attributes":{"formatter":{"id":"bec68e47-4910-427b-ac2c-f163f58c7180","type":"BasicTickFormatter"},"plot":{"id":"49795b58-162c-486d-a647-2fb4e8804c5b","subtype":"Figure","type":"Plot"},"ticker":{"id":"a80afb4c-4d2c-47da-a5c9-fbbbd2d52401","type":"BasicTicker"}},"id":"8dcd13d5-a5b2-4a14-a5b8-1739c0fd5ba6","type":"LinearAxis"}],"root_ids":["49795b58-162c-486d-a647-2fb4e8804c5b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a62e7491-5b29-464c-a4f1-72e56b747fa4","elementid":"34b98de6-0d22-43f8-ba1b-53e54176b409","modelid":"49795b58-162c-486d-a647-2fb4e8804c5b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
