(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d023a041-c60d-4a90-9fa1-c6c990d208bb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd023a041-c60d-4a90-9fa1-c6c990d208bb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"84e8d2b1-98b4-44dc-a4c6-6eccf110fdea":{"roots":{"references":[{"attributes":{},"id":"f60d137c-b6f2-4838-8b32-e7e73cf5a10b","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"3d432058-210b-42e4-8589-9c53d77727ba","type":"ColumnDataSource"},{"attributes":{},"id":"dbfe39ab-7071-42f8-b46f-b0a5481c827d","type":"ResetTool"},{"attributes":{},"id":"d44fde56-a636-4f07-9c24-60a4c971d349","type":"LinearScale"},{"attributes":{"data_source":{"id":"3d432058-210b-42e4-8589-9c53d77727ba","type":"ColumnDataSource"},"glyph":{"id":"015d4aa8-371a-4b1b-b034-2dd566ddbd93","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"08d32344-4386-4069-b283-a0213a0055a4","type":"Ellipse"},"selection_glyph":null,"view":{"id":"10fa2510-1e6b-4117-8dd2-9244637f7082","type":"CDSView"}},"id":"8041b045-5829-45b7-934b-77092b8e3ccd","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5466b05f-0558-47a5-8337-24c2ee4639dc","type":"BoxAnnotation"},{"attributes":{},"id":"2757a588-a631-4fca-be96-3304982d9026","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"acbdb39b-b515-47a4-ad44-404dfeba89b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"f60d137c-b6f2-4838-8b32-e7e73cf5a10b","type":"BasicTicker"}},"id":"3afa33dd-2a4b-40ce-9b66-82b02899f6d2","type":"Grid"},{"attributes":{"formatter":{"id":"75d70905-f70a-44f5-af37-fcbc77f0698d","type":"BasicTickFormatter"},"plot":{"id":"acbdb39b-b515-47a4-ad44-404dfeba89b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"2757a588-a631-4fca-be96-3304982d9026","type":"BasicTicker"}},"id":"afce34f6-b04f-4b8c-bea9-d852301e0023","type":"LinearAxis"},{"attributes":{},"id":"c5eb78e5-1c14-4b24-8e9a-379c59b1318b","type":"PanTool"},{"attributes":{"fill_color":{"value":null},"height":{"units":"data","value":20},"line_color":{"value":"#386CB0"},"line_width":{"value":2},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"015d4aa8-371a-4b1b-b034-2dd566ddbd93","type":"Ellipse"},{"attributes":{},"id":"61cc377b-8820-4c02-a3a2-d1dbd34f04f5","type":"LinearScale"},{"attributes":{"callback":null},"id":"890bc4fa-5c80-4f1d-a8e1-46a96adc656c","type":"DataRange1d"},{"attributes":{},"id":"8ba9e2f3-4f2a-4e09-9d0e-5800082b0f1b","type":"SaveTool"},{"attributes":{},"id":"ef1cc677-9363-4ac7-b96c-5ff52d0b65ef","type":"HelpTool"},{"attributes":{},"id":"6f1c5610-cec3-4f89-ad3d-b7831677a0b2","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"76d4f05d-e9e5-4655-ad46-bc6db66ce28f","type":"DataRange1d"},{"attributes":{"below":[{"id":"afce34f6-b04f-4b8c-bea9-d852301e0023","type":"LinearAxis"}],"left":[{"id":"e925bc78-35da-452b-8118-0a8ce784387d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"afce34f6-b04f-4b8c-bea9-d852301e0023","type":"LinearAxis"},{"id":"1bf9fed2-bed5-42df-98ca-77e0bd0ab030","type":"Grid"},{"id":"e925bc78-35da-452b-8118-0a8ce784387d","type":"LinearAxis"},{"id":"3afa33dd-2a4b-40ce-9b66-82b02899f6d2","type":"Grid"},{"id":"5466b05f-0558-47a5-8337-24c2ee4639dc","type":"BoxAnnotation"},{"id":"8041b045-5829-45b7-934b-77092b8e3ccd","type":"GlyphRenderer"}],"title":{"id":"f0b8a9bd-4624-4f3a-9168-91e72d7f1fff","type":"Title"},"toolbar":{"id":"63327902-868d-4f9f-ad67-c96ad2b6d073","type":"Toolbar"},"x_range":{"id":"76d4f05d-e9e5-4655-ad46-bc6db66ce28f","type":"DataRange1d"},"x_scale":{"id":"d44fde56-a636-4f07-9c24-60a4c971d349","type":"LinearScale"},"y_range":{"id":"890bc4fa-5c80-4f1d-a8e1-46a96adc656c","type":"DataRange1d"},"y_scale":{"id":"61cc377b-8820-4c02-a3a2-d1dbd34f04f5","type":"LinearScale"}},"id":"acbdb39b-b515-47a4-ad44-404dfeba89b9","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"75d70905-f70a-44f5-af37-fcbc77f0698d","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"f0b8a9bd-4624-4f3a-9168-91e72d7f1fff","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c5eb78e5-1c14-4b24-8e9a-379c59b1318b","type":"PanTool"},{"id":"6f1c5610-cec3-4f89-ad3d-b7831677a0b2","type":"WheelZoomTool"},{"id":"daa73560-e14b-4ca4-a891-6ce8034071a4","type":"BoxZoomTool"},{"id":"8ba9e2f3-4f2a-4e09-9d0e-5800082b0f1b","type":"SaveTool"},{"id":"dbfe39ab-7071-42f8-b46f-b0a5481c827d","type":"ResetTool"},{"id":"ef1cc677-9363-4ac7-b96c-5ff52d0b65ef","type":"HelpTool"}]},"id":"63327902-868d-4f9f-ad67-c96ad2b6d073","type":"Toolbar"},{"attributes":{"plot":{"id":"acbdb39b-b515-47a4-ad44-404dfeba89b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"2757a588-a631-4fca-be96-3304982d9026","type":"BasicTicker"}},"id":"1bf9fed2-bed5-42df-98ca-77e0bd0ab030","type":"Grid"},{"attributes":{},"id":"5cb7acbb-2d4c-4193-938b-a7aacba97591","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":20},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"width":{"units":"data","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"08d32344-4386-4069-b283-a0213a0055a4","type":"Ellipse"},{"attributes":{"formatter":{"id":"5cb7acbb-2d4c-4193-938b-a7aacba97591","type":"BasicTickFormatter"},"plot":{"id":"acbdb39b-b515-47a4-ad44-404dfeba89b9","subtype":"Figure","type":"Plot"},"ticker":{"id":"f60d137c-b6f2-4838-8b32-e7e73cf5a10b","type":"BasicTicker"}},"id":"e925bc78-35da-452b-8118-0a8ce784387d","type":"LinearAxis"},{"attributes":{"source":{"id":"3d432058-210b-42e4-8589-9c53d77727ba","type":"ColumnDataSource"}},"id":"10fa2510-1e6b-4117-8dd2-9244637f7082","type":"CDSView"},{"attributes":{"overlay":{"id":"5466b05f-0558-47a5-8337-24c2ee4639dc","type":"BoxAnnotation"}},"id":"daa73560-e14b-4ca4-a891-6ce8034071a4","type":"BoxZoomTool"}],"root_ids":["acbdb39b-b515-47a4-ad44-404dfeba89b9"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"84e8d2b1-98b4-44dc-a4c6-6eccf110fdea","elementid":"d023a041-c60d-4a90-9fa1-c6c990d208bb","modelid":"acbdb39b-b515-47a4-ad44-404dfeba89b9"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
