(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e6c47ba6-2bc0-4da3-8f1d-76fafebac45a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e6c47ba6-2bc0-4da3-8f1d-76fafebac45a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a62b1239-b650-4a66-8d94-33bb3b7f2397":{"roots":{"references":[{"attributes":{},"id":"70e601c4-dc8c-49c3-be3a-0e7036af741f","type":"ResetTool"},{"attributes":{"source":{"id":"24693779-9a73-499e-a20b-ba5c1f52534c","type":"ColumnDataSource"}},"id":"257fb099-9338-47ac-9d53-eeb9b3f7c929","type":"CDSView"},{"attributes":{"below":[{"id":"70fc3242-6f64-4f25-a206-277b6ea1f61c","type":"LinearAxis"}],"left":[{"id":"8ff6cf9c-33e1-4142-9355-aacb1b4b0bab","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"70fc3242-6f64-4f25-a206-277b6ea1f61c","type":"LinearAxis"},{"id":"92657eff-6e1e-4cde-836f-ac5a9f40ab67","type":"Grid"},{"id":"8ff6cf9c-33e1-4142-9355-aacb1b4b0bab","type":"LinearAxis"},{"id":"99b80a8d-1978-4390-88ef-d4f0c0bcf623","type":"Grid"},{"id":"6bad51d3-f5ed-4ed7-b250-683847d3feae","type":"BoxAnnotation"},{"id":"2d631720-a45e-407c-8128-f278696dd706","type":"GlyphRenderer"}],"title":{"id":"cec83a83-e398-4613-8169-4549dee76b7d","type":"Title"},"title_location":"left","toolbar":{"id":"6d325f84-6310-46c8-84a4-ec78e48e686c","type":"Toolbar"},"x_range":{"id":"68b17a2b-1532-409f-bd17-13b8d4361e8d","type":"DataRange1d"},"x_scale":{"id":"75396409-132b-4d11-8ef3-fd2505209db6","type":"LinearScale"},"y_range":{"id":"12bc8349-ae84-4d15-9416-e56e26c1637c","type":"DataRange1d"},"y_scale":{"id":"f40c85da-4022-4a5b-9abb-b55ca4404979","type":"LinearScale"}},"id":"010ed5bb-294c-4cb7-867f-a0adfaf81a1f","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"1e293863-d64d-446b-b0cc-b11204d6232e","type":"BasicTickFormatter"},"plot":{"id":"010ed5bb-294c-4cb7-867f-a0adfaf81a1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"2458ca52-9b2c-4ffc-9ef2-87e9196e9cda","type":"BasicTicker"}},"id":"8ff6cf9c-33e1-4142-9355-aacb1b4b0bab","type":"LinearAxis"},{"attributes":{"overlay":{"id":"6bad51d3-f5ed-4ed7-b250-683847d3feae","type":"BoxAnnotation"}},"id":"eecca554-b911-4ef3-9ba8-da9487d321b4","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"68b17a2b-1532-409f-bd17-13b8d4361e8d","type":"DataRange1d"},{"attributes":{},"id":"fe91e8e4-76fa-46ac-b3d6-8830b4fe9481","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"010ed5bb-294c-4cb7-867f-a0adfaf81a1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"2458ca52-9b2c-4ffc-9ef2-87e9196e9cda","type":"BasicTicker"}},"id":"99b80a8d-1978-4390-88ef-d4f0c0bcf623","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"31a756be-9072-4f4e-bd78-95ac66e1cec3","type":"PanTool"},{"id":"b58fff20-91d3-49fc-b9ce-b93d638047cb","type":"WheelZoomTool"},{"id":"eecca554-b911-4ef3-9ba8-da9487d321b4","type":"BoxZoomTool"},{"id":"08fe82b4-2534-4678-a05a-064bdf84d3c8","type":"SaveTool"},{"id":"70e601c4-dc8c-49c3-be3a-0e7036af741f","type":"ResetTool"},{"id":"323a310c-9f68-4f37-9ca0-430b58430b29","type":"HelpTool"}]},"id":"6d325f84-6310-46c8-84a4-ec78e48e686c","type":"Toolbar"},{"attributes":{},"id":"323a310c-9f68-4f37-9ca0-430b58430b29","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2f9c2872-e903-4154-960e-7c31b6a6b008","type":"Circle"},{"attributes":{},"id":"f40c85da-4022-4a5b-9abb-b55ca4404979","type":"LinearScale"},{"attributes":{"plot":null,"text":"Left Title"},"id":"cec83a83-e398-4613-8169-4549dee76b7d","type":"Title"},{"attributes":{},"id":"1e293863-d64d-446b-b0cc-b11204d6232e","type":"BasicTickFormatter"},{"attributes":{},"id":"08fe82b4-2534-4678-a05a-064bdf84d3c8","type":"SaveTool"},{"attributes":{"data_source":{"id":"24693779-9a73-499e-a20b-ba5c1f52534c","type":"ColumnDataSource"},"glyph":{"id":"2f9c2872-e903-4154-960e-7c31b6a6b008","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"93752d09-69b1-40fb-85e7-abcca5a857eb","type":"Circle"},"selection_glyph":null,"view":{"id":"257fb099-9338-47ac-9d53-eeb9b3f7c929","type":"CDSView"}},"id":"2d631720-a45e-407c-8128-f278696dd706","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"93752d09-69b1-40fb-85e7-abcca5a857eb","type":"Circle"},{"attributes":{"formatter":{"id":"3f59cd4e-dc31-4eff-9b1b-547b813e97a6","type":"BasicTickFormatter"},"plot":{"id":"010ed5bb-294c-4cb7-867f-a0adfaf81a1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe91e8e4-76fa-46ac-b3d6-8830b4fe9481","type":"BasicTicker"}},"id":"70fc3242-6f64-4f25-a206-277b6ea1f61c","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"24693779-9a73-499e-a20b-ba5c1f52534c","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6bad51d3-f5ed-4ed7-b250-683847d3feae","type":"BoxAnnotation"},{"attributes":{},"id":"2458ca52-9b2c-4ffc-9ef2-87e9196e9cda","type":"BasicTicker"},{"attributes":{},"id":"31a756be-9072-4f4e-bd78-95ac66e1cec3","type":"PanTool"},{"attributes":{},"id":"3f59cd4e-dc31-4eff-9b1b-547b813e97a6","type":"BasicTickFormatter"},{"attributes":{},"id":"b58fff20-91d3-49fc-b9ce-b93d638047cb","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"12bc8349-ae84-4d15-9416-e56e26c1637c","type":"DataRange1d"},{"attributes":{"plot":{"id":"010ed5bb-294c-4cb7-867f-a0adfaf81a1f","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe91e8e4-76fa-46ac-b3d6-8830b4fe9481","type":"BasicTicker"}},"id":"92657eff-6e1e-4cde-836f-ac5a9f40ab67","type":"Grid"},{"attributes":{},"id":"75396409-132b-4d11-8ef3-fd2505209db6","type":"LinearScale"}],"root_ids":["010ed5bb-294c-4cb7-867f-a0adfaf81a1f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a62b1239-b650-4a66-8d94-33bb3b7f2397","elementid":"e6c47ba6-2bc0-4da3-8f1d-76fafebac45a","modelid":"010ed5bb-294c-4cb7-867f-a0adfaf81a1f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
