(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("33e4a262-564c-4363-837b-3f8ab34e4912");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '33e4a262-564c-4363-837b-3f8ab34e4912' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"21bdf889-ce66-4136-ba1b-c734c19d853d":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c87a3ef0-1a0f-4c36-9edb-02610e84a7fe","type":"PanTool"},{"id":"1691561e-ce06-48c7-ba9a-28f2251fc86c","type":"WheelZoomTool"},{"id":"5c67111e-64e3-400a-992a-4950c2a25754","type":"BoxZoomTool"},{"id":"7c6e7bf1-e708-4a4b-9c88-7a1970345a13","type":"SaveTool"},{"id":"c20a59ee-7472-4da5-bdae-e47afa35ea83","type":"ResetTool"},{"id":"71b01c70-eef6-43be-9bb2-9de0a203a117","type":"HelpTool"}]},"id":"a585400f-d6b8-43ab-9930-9b9e10240326","type":"Toolbar"},{"attributes":{"plot":{"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"282b33bb-4b3a-4ddc-a582-89f49b2ab133","type":"BasicTicker"}},"id":"94076059-5287-4ef8-8669-06a4a057e5a4","type":"Grid"},{"attributes":{},"id":"71b01c70-eef6-43be-9bb2-9de0a203a117","type":"HelpTool"},{"attributes":{},"id":"282b33bb-4b3a-4ddc-a582-89f49b2ab133","type":"BasicTicker"},{"attributes":{"source":{"id":"8104da5c-f8d9-41e8-b396-c76428176059","type":"ColumnDataSource"}},"id":"4362fa87-77aa-4c4a-8f09-edc09176f968","type":"CDSView"},{"attributes":{},"id":"9a04a582-b99d-4b35-87a7-a00c4f7b846f","type":"LinearScale"},{"attributes":{"level":"glyph","plot":{"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},"source":{"id":"8104da5c-f8d9-41e8-b396-c76428176059","type":"ColumnDataSource"},"text":{"field":"names"},"x":{"field":"weight"},"x_offset":{"value":5},"y":{"field":"height"},"y_offset":{"value":5}},"id":"156b8cdf-3cd1-4b2f-948b-4db3c33baaa6","type":"LabelSet"},{"attributes":{},"id":"479cd748-0f4a-4cc5-91dd-427e1bcaee13","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"7238c1e5-3cd2-40a6-95a0-5d3c9afa9988","type":"Circle"},{"attributes":{"plot":null,"text":"Dist. of 10th Grade Students at Lee High"},"id":"5f52852e-15b7-4cf3-aead-4cba7692a603","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3aa0040d-8766-470a-a686-c1730dc943d3","type":"BoxAnnotation"},{"attributes":{},"id":"a6b25639-a5b1-4573-9463-30db41d608e4","type":"BasicTicker"},{"attributes":{"below":[{"id":"094c66c6-4536-43a4-a2bf-10377283ea2c","type":"LinearAxis"}],"left":[{"id":"4244f267-d601-4490-a10b-4043ce803474","type":"LinearAxis"}],"renderers":[{"id":"094c66c6-4536-43a4-a2bf-10377283ea2c","type":"LinearAxis"},{"id":"94076059-5287-4ef8-8669-06a4a057e5a4","type":"Grid"},{"id":"4244f267-d601-4490-a10b-4043ce803474","type":"LinearAxis"},{"id":"f70d2720-2155-4f36-bf3e-7bc22f55616a","type":"Grid"},{"id":"3aa0040d-8766-470a-a686-c1730dc943d3","type":"BoxAnnotation"},{"id":"0388e7c8-9609-4ed1-a2ed-ba574a496fc3","type":"GlyphRenderer"},{"id":"156b8cdf-3cd1-4b2f-948b-4db3c33baaa6","type":"LabelSet"},{"id":"2e760dfb-56f5-4a5e-be59-ec423dc34dc1","type":"Label"}],"title":{"id":"5f52852e-15b7-4cf3-aead-4cba7692a603","type":"Title"},"toolbar":{"id":"a585400f-d6b8-43ab-9930-9b9e10240326","type":"Toolbar"},"x_range":{"id":"9bf5937e-1896-4aae-879a-ac0747e275ab","type":"Range1d"},"x_scale":{"id":"9a04a582-b99d-4b35-87a7-a00c4f7b846f","type":"LinearScale"},"y_range":{"id":"d3a376a7-beb5-43e2-90fc-7978d14ec89e","type":"DataRange1d"},"y_scale":{"id":"15b8a0d0-59ff-4860-82be-94dc7509d38a","type":"LinearScale"}},"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1691561e-ce06-48c7-ba9a-28f2251fc86c","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"a6b25639-a5b1-4573-9463-30db41d608e4","type":"BasicTicker"}},"id":"f70d2720-2155-4f36-bf3e-7bc22f55616a","type":"Grid"},{"attributes":{"data_source":{"id":"8104da5c-f8d9-41e8-b396-c76428176059","type":"ColumnDataSource"},"glyph":{"id":"a7fbb491-7b53-45e8-9a8e-9c319765bd45","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7238c1e5-3cd2-40a6-95a0-5d3c9afa9988","type":"Circle"},"selection_glyph":null,"view":{"id":"4362fa87-77aa-4c4a-8f09-edc09176f968","type":"CDSView"}},"id":"0388e7c8-9609-4ed1-a2ed-ba574a496fc3","type":"GlyphRenderer"},{"attributes":{"axis_label":"Height (in)","formatter":{"id":"29cd523d-1339-484d-8a86-4be8a0d332b0","type":"BasicTickFormatter"},"plot":{"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"a6b25639-a5b1-4573-9463-30db41d608e4","type":"BasicTicker"}},"id":"4244f267-d601-4490-a10b-4043ce803474","type":"LinearAxis"},{"attributes":{"callback":null},"id":"d3a376a7-beb5-43e2-90fc-7978d14ec89e","type":"DataRange1d"},{"attributes":{},"id":"29cd523d-1339-484d-8a86-4be8a0d332b0","type":"BasicTickFormatter"},{"attributes":{},"id":"7c6e7bf1-e708-4a4b-9c88-7a1970345a13","type":"SaveTool"},{"attributes":{"background_fill_color":{"value":"white"},"border_line_color":{"value":"black"},"plot":{"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},"render_mode":"css","text":"Collected by Luke C. 2016-04-01","x":70,"x_units":"screen","y":70,"y_units":"screen"},"id":"2e760dfb-56f5-4a5e-be59-ec423dc34dc1","type":"Label"},{"attributes":{},"id":"15b8a0d0-59ff-4860-82be-94dc7509d38a","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["names","weight","height"],"data":{"height":[66,71,72,68,58,62],"names":["Mark","Amir","Matt","Greg","Owen","Juan"],"weight":[165,189,220,141,260,174]}},"id":"8104da5c-f8d9-41e8-b396-c76428176059","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":275,"start":140},"id":"9bf5937e-1896-4aae-879a-ac0747e275ab","type":"Range1d"},{"attributes":{},"id":"c87a3ef0-1a0f-4c36-9edb-02610e84a7fe","type":"PanTool"},{"attributes":{},"id":"c20a59ee-7472-4da5-bdae-e47afa35ea83","type":"ResetTool"},{"attributes":{"axis_label":"Weight (lbs)","formatter":{"id":"479cd748-0f4a-4cc5-91dd-427e1bcaee13","type":"BasicTickFormatter"},"plot":{"id":"22dfca4e-2b8c-4430-94ac-a40db3489c6d","subtype":"Figure","type":"Plot"},"ticker":{"id":"282b33bb-4b3a-4ddc-a582-89f49b2ab133","type":"BasicTicker"}},"id":"094c66c6-4536-43a4-a2bf-10377283ea2c","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"a7fbb491-7b53-45e8-9a8e-9c319765bd45","type":"Circle"},{"attributes":{"overlay":{"id":"3aa0040d-8766-470a-a686-c1730dc943d3","type":"BoxAnnotation"}},"id":"5c67111e-64e3-400a-992a-4950c2a25754","type":"BoxZoomTool"}],"root_ids":["22dfca4e-2b8c-4430-94ac-a40db3489c6d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"21bdf889-ce66-4136-ba1b-c734c19d853d","elementid":"33e4a262-564c-4363-837b-3f8ab34e4912","modelid":"22dfca4e-2b8c-4430-94ac-a40db3489c6d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
