(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cf01fa0c-c220-4252-b402-475d90b33b05");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cf01fa0c-c220-4252-b402-475d90b33b05' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"342a27d4-034d-4ac6-a139-c44a997e69f8":{"roots":{"references":[{"attributes":{"base":24,"mantissas":[1,2,4,6,8,12],"max_interval":43200000.0,"min_interval":3600000.0,"num_minor_ticks":0},"id":"e7e1ad26-27a4-4b05-8e06-353188e801f4","type":"AdaptiveTicker"},{"attributes":{"data_source":{"id":"fd3a2e8d-db3c-48af-a7ed-a88c145f0d58","type":"ColumnDataSource"},"glyph":{"id":"254052c3-d1b7-4be2-b53b-84ae2642c21e","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2bd790f8-6882-4f15-b2a9-4ff4bf76d37e","type":"Line"},"selection_glyph":null,"view":{"id":"24d21053-3a59-42a5-a117-276cae363b65","type":"CDSView"}},"id":"6bfafdc7-436c-42c1-bb74-01c5c39f02c8","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0c2dfbac-c1ba-44a6-835b-861f84ce75e4","type":"PanTool"},{"id":"ced0bad4-780e-44ec-9b3b-418d9c780222","type":"WheelZoomTool"},{"id":"334fb0f9-cf66-472c-a04a-1ea9d5749b39","type":"BoxZoomTool"},{"id":"8df51c35-06af-4a9b-872f-8f26d5cccd28","type":"SaveTool"},{"id":"fa5fd7ce-1c1f-4bde-8bee-311189dc1b55","type":"ResetTool"},{"id":"ffb729cc-5232-435d-ac91-58f52d015861","type":"HelpTool"}]},"id":"a7ba3e3c-a248-4476-add0-9a4306db7ed0","type":"Toolbar"},{"attributes":{},"id":"771b3da0-ff02-42e0-a315-d535ddc16ee6","type":"DatetimeTickFormatter"},{"attributes":{"mantissas":[1,2,5],"max_interval":500.0,"num_minor_ticks":0},"id":"3b170fd9-cdf6-42a9-9aab-48256c7488b4","type":"AdaptiveTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fe851da6-9cb2-4570-989e-05629c5fc182","type":"BoxAnnotation"},{"attributes":{"num_minor_ticks":5,"tickers":[{"id":"3081a100-2aa6-4732-88ec-4fa0d62c5e65","type":"AdaptiveTicker"},{"id":"102e4fca-7689-41fd-9fd2-10ecb9dcaf26","type":"AdaptiveTicker"},{"id":"e7e1ad26-27a4-4b05-8e06-353188e801f4","type":"AdaptiveTicker"},{"id":"8c3eca7f-f28d-401f-a755-af40a7f18bab","type":"DaysTicker"},{"id":"0a7e9df1-9544-4e2f-9c89-0bbcc2a76599","type":"DaysTicker"},{"id":"7b1120d1-0d8b-4303-a4b5-1bc510fe4444","type":"DaysTicker"},{"id":"eb8ca311-c922-4c7c-b925-20c8dc7a8e9f","type":"DaysTicker"},{"id":"96a07000-d173-4900-9652-cb8dcde97175","type":"MonthsTicker"},{"id":"e8c5ea59-7624-4018-9b70-54095db59720","type":"MonthsTicker"},{"id":"4e71bab1-b6a3-4734-b992-12d646b7b7f6","type":"MonthsTicker"},{"id":"fd7c7f87-6eac-4384-b5f3-be879b0ca305","type":"MonthsTicker"},{"id":"8c0f661a-13fb-431e-98f8-dd62c5bc3cd9","type":"YearsTicker"}]},"id":"fe92c9c3-6414-402a-b27b-c2840f3db6a4","type":"DatetimeTicker"},{"attributes":{"days":[1,8,15,22]},"id":"7b1120d1-0d8b-4303-a4b5-1bc510fe4444","type":"DaysTicker"},{"attributes":{"source":{"id":"ab569f6a-8e4d-47f9-81bc-ab904b6962fc","type":"ColumnDataSource"}},"id":"184ab006-8f35-46e9-8564-f2a8b0992304","type":"CDSView"},{"attributes":{"months":[0,4,8]},"id":"9a1157fa-de48-4c23-9354-d309739a5233","type":"MonthsTicker"},{"attributes":{"dimension":"height","line_color":{"value":"red"},"line_dash":[6],"line_width":{"value":3},"location":1382860800000.0,"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"}},"id":"8facbb6f-c885-4eb0-9b30-70e8d455dc9f","type":"Span"},{"attributes":{"days":[1,4,7,10,13,16,19,22,25,28]},"id":"0a7e9df1-9544-4e2f-9c89-0bbcc2a76599","type":"DaysTicker"},{"attributes":{},"id":"8c0f661a-13fb-431e-98f8-dd62c5bc3cd9","type":"YearsTicker"},{"attributes":{"items":[{"id":"bbe0c433-c8d3-4f47-ac76-c5965477b37c","type":"LegendItem"},{"id":"a73525cd-f60e-4f67-8cb8-a6742e26472e","type":"LegendItem"}],"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"}},"id":"b302df94-7ab2-4b9d-9f63-657fac6665a7","type":"Legend"},{"attributes":{"days":[1,15]},"id":"eb8ca311-c922-4c7c-b925-20c8dc7a8e9f","type":"DaysTicker"},{"attributes":{"months":[0,2,4,6,8,10]},"id":"e8c5ea59-7624-4018-9b70-54095db59720","type":"MonthsTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_dash":[2,4],"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4e614718-4bfd-48e3-aae2-710ca6bb027f","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2bd790f8-6882-4f15-b2a9-4ff4bf76d37e","type":"Line"},{"attributes":{"days":[1,4,7,10,13,16,19,22,25,28]},"id":"52837410-fe45-465c-9805-4b31c9259579","type":"DaysTicker"},{"attributes":{"base":60,"mantissas":[1,2,5,10,15,20,30],"max_interval":1800000.0,"min_interval":1000.0,"num_minor_ticks":0},"id":"102e4fca-7689-41fd-9fd2-10ecb9dcaf26","type":"AdaptiveTicker"},{"attributes":{"base":24,"mantissas":[1,2,4,6,8,12],"max_interval":43200000.0,"min_interval":3600000.0,"num_minor_ticks":0},"id":"7731fd95-aa71-4529-9d69-0688e959e280","type":"AdaptiveTicker"},{"attributes":{"axis_label":"Time of Day","formatter":{"id":"532e2afd-1b75-4244-8292-cb2321876916","type":"DatetimeTickFormatter"},"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe92c9c3-6414-402a-b27b-c2840f3db6a4","type":"DatetimeTicker"}},"id":"982c24cb-cfac-4542-b20e-71019c885706","type":"DatetimeAxis"},{"attributes":{},"id":"fa5fd7ce-1c1f-4bde-8bee-311189dc1b55","type":"ResetTool"},{"attributes":{"months":[0,1,2,3,4,5,6,7,8,9,10,11]},"id":"96a07000-d173-4900-9652-cb8dcde97175","type":"MonthsTicker"},{"attributes":{"months":[0,4,8]},"id":"4e71bab1-b6a3-4734-b992-12d646b7b7f6","type":"MonthsTicker"},{"attributes":{"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"},"ticker":{"id":"64a62ce4-b481-4cc3-8450-c2c62058e4a0","type":"DatetimeTicker"}},"id":"c36d2fe2-0cbd-4583-b238-e6e718f7170e","type":"Grid"},{"attributes":{"months":[0,6]},"id":"f1567ee8-ebe9-4494-818a-249d86a9abdc","type":"MonthsTicker"},{"attributes":{},"id":"8df51c35-06af-4a9b-872f-8f26d5cccd28","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_dash":[2,4],"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e1c4949b-de3e-43bc-8063-31d77f046936","type":"Line"},{"attributes":{},"id":"ced0bad4-780e-44ec-9b3b-418d9c780222","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1356998400000.0,1357084800000.0,1357171200000.0,1357257600000.0,1357344000000.0,1357430400000.0,1357516800000.0,1357603200000.0,1357689600000.0,1357776000000.0,1357862400000.0,1357948800000.0,1358035200000.0,1358121600000.0,1358208000000.0,1358294400000.0,1358380800000.0,1358467200000.0,1358553600000.0,1358640000000.0,1358726400000.0,1358812800000.0,1358899200000.0,1358985600000.0,1359072000000.0,1359158400000.0,1359244800000.0,1359331200000.0,1359417600000.0,1359504000000.0,1359590400000.0,1359676800000.0,1359763200000.0,1359849600000.0,1359936000000.0,1360022400000.0,1360108800000.0,1360195200000.0,1360281600000.0,1360368000000.0,1360454400000.0,1360540800000.0,1360627200000.0,1360713600000.0,1360800000000.0,1360886400000.0,1360972800000.0,1361059200000.0,1361145600000.0,1361232000000.0,1361318400000.0,1361404800000.0,1361491200000.0,1361577600000.0,1361664000000.0,1361750400000.0,1361836800000.0,1361923200000.0,1362009600000.0,1362096000000.0,1362182400000.0,1362268800000.0,1362355200000.0,1362441600000.0,1362528000000.0,1362614400000.0,1362700800000.0,1362787200000.0,1362873600000.0,1362960000000.0,1363046400000.0,1363132800000.0,1363219200000.0,1363305600000.0,1363392000000.0,1363478400000.0,1363564800000.0,1363651200000.0,1363737600000.0,1363824000000.0,1363910400000.0,1363996800000.0,1364083200000.0,1364169600000.0,1364256000000.0,1364342400000.0,1364428800000.0,1364515200000.0,1364601600000.0,1364688000000.0,1364774400000.0,1364860800000.0,1364947200000.0,1365033600000.0,1365120000000.0,1365206400000.0,1365292800000.0,1365379200000.0,1365465600000.0,1365552000000.0,1365638400000.0,1365724800000.0,1365811200000.0,1365897600000.0,1365984000000.0,1366070400000.0,1366156800000.0,1366243200000.0,1366329600000.0,1366416000000.0,1366502400000.0,1366588800000.0,1366675200000.0,1366761600000.0,1366848000000.0,1366934400000.0,1367020800000.0,1367107200000.0,1367193600000.0,1367280000000.0,1367366400000.0,1367452800000.0,1367539200000.0,1367625600000.0,1367712000000.0,1367798400000.0,1367884800000.0,1367971200000.0,1368057600000.0,1368144000000.0,1368230400000.0,1368316800000.0,1368403200000.0,1368489600000.0,1368576000000.0,1368662400000.0,1368748800000.0,1368835200000.0,1368921600000.0,1369008000000.0,1369094400000.0,1369180800000.0,1369267200000.0,1369353600000.0,1369440000000.0,1369526400000.0,1369612800000.0,1369699200000.0,1369785600000.0,1369872000000.0,1369958400000.0,1370044800000.0,1370131200000.0,1370217600000.0,1370304000000.0,1370390400000.0,1370476800000.0,1370563200000.0,1370649600000.0,1370736000000.0,1370822400000.0,1370908800000.0,1370995200000.0,1371081600000.0,1371168000000.0,1371254400000.0,1371340800000.0,1371427200000.0,1371513600000.0,1371600000000.0,1371686400000.0,1371772800000.0,1371859200000.0,1371945600000.0,1372032000000.0,1372118400000.0,1372204800000.0,1372291200000.0,1372377600000.0,1372464000000.0,1372550400000.0,1372636800000.0,1372723200000.0,1372809600000.0,1372896000000.0,1372982400000.0,1373068800000.0,1373155200000.0,1373241600000.0,1373328000000.0,1373414400000.0,1373500800000.0,1373587200000.0,1373673600000.0,1373760000000.0,1373846400000.0,1373932800000.0,1374019200000.0,1374105600000.0,1374192000000.0,1374278400000.0,1374364800000.0,1374451200000.0,1374537600000.0,1374624000000.0,1374710400000.0,1374796800000.0,1374883200000.0,1374969600000.0,1375056000000.0,1375142400000.0,1375228800000.0,1375315200000.0,1375401600000.0,1375488000000.0,1375574400000.0,1375660800000.0,1375747200000.0,1375833600000.0,1375920000000.0,1376006400000.0,1376092800000.0,1376179200000.0,1376265600000.0,1376352000000.0,1376438400000.0,1376524800000.0,1376611200000.0,1376697600000.0,1376784000000.0,1376870400000.0,1376956800000.0,1377043200000.0,1377129600000.0,1377216000000.0,1377302400000.0,1377388800000.0,1377475200000.0,1377561600000.0,1377648000000.0,1377734400000.0,1377820800000.0,1377907200000.0,1377993600000.0,1378080000000.0,1378166400000.0,1378252800000.0,1378339200000.0,1378425600000.0,1378512000000.0,1378598400000.0,1378684800000.0,1378771200000.0,1378857600000.0,1378944000000.0,1379030400000.0,1379116800000.0,1379203200000.0,1379289600000.0,1379376000000.0,1379462400000.0,1379548800000.0,1379635200000.0,1379721600000.0,1379808000000.0,1379894400000.0,1379980800000.0,1380067200000.0,1380153600000.0,1380240000000.0,1380326400000.0,1380412800000.0,1380499200000.0,1380585600000.0,1380672000000.0,1380758400000.0,1380844800000.0,1380931200000.0,1381017600000.0,1381104000000.0,1381190400000.0,1381276800000.0,1381363200000.0,1381449600000.0,1381536000000.0,1381622400000.0,1381708800000.0,1381795200000.0,1381881600000.0,1381968000000.0,1382054400000.0,1382140800000.0,1382227200000.0,1382313600000.0,1382400000000.0,1382486400000.0,1382572800000.0,1382659200000.0,1382745600000.0,1382832000000.0,1382918400000.0,1383004800000.0,1383091200000.0,1383177600000.0,1383264000000.0,1383350400000.0,1383436800000.0,1383523200000.0,1383609600000.0,1383696000000.0,1383782400000.0,1383868800000.0,1383955200000.0,1384041600000.0,1384128000000.0,1384214400000.0,1384300800000.0,1384387200000.0,1384473600000.0,1384560000000.0,1384646400000.0,1384732800000.0,1384819200000.0,1384905600000.0,1384992000000.0,1385078400000.0,1385164800000.0,1385251200000.0,1385337600000.0,1385424000000.0,1385510400000.0,1385596800000.0,1385683200000.0,1385769600000.0,1385856000000.0,1385942400000.0,1386028800000.0,1386115200000.0,1386201600000.0,1386288000000.0,1386374400000.0,1386460800000.0,1386547200000.0,1386633600000.0,1386720000000.0,1386806400000.0,1386892800000.0,1386979200000.0,1387065600000.0,1387152000000.0,1387238400000.0,1387324800000.0,1387411200000.0,1387497600000.0,1387584000000.0,1387670400000.0,1387756800000.0,1387843200000.0,1387929600000.0,1388016000000.0,1388102400000.0,1388188800000.0,1388275200000.0,1388361600000.0,1388448000000.0],"y":[56040000.0,56100000.0,56160000.0,56220000.0,56280000.0,56340000.0,56460000.0,56520000.0,56580000.0,56700000.0,56760000.0,56880000.0,56940000.0,57060000.0,57120000.0,57240000.0,57360000.0,57420000.0,57540000.0,57660000.0,57720000.0,57840000.0,57960000.0,58020000.0,58140000.0,58260000.0,58380000.0,58500000.0,58560000.0,58680000.0,58800000.0,58920000.0,59040000.0,59160000.0,59280000.0,59400000.0,59460000.0,59580000.0,59700000.0,59820000.0,59940000.0,60060000.0,60180000.0,60300000.0,60360000.0,60480000.0,60600000.0,60720000.0,60840000.0,60960000.0,61080000.0,61200000.0,61260000.0,61380000.0,61500000.0,61620000.0,61740000.0,61860000.0,61920000.0,62040000.0,62160000.0,62280000.0,62400000.0,62460000.0,62580000.0,62700000.0,62820000.0,62940000.0,63000000.0,63120000.0,63240000.0,63360000.0,63480000.0,63540000.0,63660000.0,63780000.0,63900000.0,63960000.0,64080000.0,64200000.0,64320000.0,64380000.0,64500000.0,64620000.0,64680000.0,64800000.0,64920000.0,65040000.0,65100000.0,68820000.0,68940000.0,69060000.0,69120000.0,69240000.0,69360000.0,69420000.0,69540000.0,69660000.0,69780000.0,69840000.0,69960000.0,70080000.0,70200000.0,70260000.0,70380000.0,70500000.0,70560000.0,70680000.0,70800000.0,70920000.0,70980000.0,71100000.0,71220000.0,71280000.0,71400000.0,71520000.0,71640000.0,71700000.0,71820000.0,71940000.0,72000000.0,72120000.0,72240000.0,72300000.0,72420000.0,72540000.0,72600000.0,72720000.0,72840000.0,72900000.0,73020000.0,73140000.0,73200000.0,73320000.0,73380000.0,73500000.0,73560000.0,73680000.0,73740000.0,73860000.0,73920000.0,74040000.0,74100000.0,74220000.0,74280000.0,74340000.0,74460000.0,74520000.0,74580000.0,74640000.0,74760000.0,74820000.0,74880000.0,74940000.0,75000000.0,75060000.0,75120000.0,75180000.0,75240000.0,75300000.0,75300000.0,75360000.0,75420000.0,75480000.0,75480000.0,75540000.0,75540000.0,75600000.0,75600000.0,75600000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75660000.0,75600000.0,75600000.0,75540000.0,75540000.0,75480000.0,75480000.0,75420000.0,75360000.0,75360000.0,75300000.0,75240000.0,75180000.0,75120000.0,75060000.0,75000000.0,74940000.0,74880000.0,74820000.0,74760000.0,74640000.0,74580000.0,74520000.0,74400000.0,74340000.0,74220000.0,74160000.0,74040000.0,73980000.0,73860000.0,73800000.0,73680000.0,73560000.0,73500000.0,73380000.0,73260000.0,73140000.0,73020000.0,72960000.0,72840000.0,72720000.0,72600000.0,72480000.0,72360000.0,72240000.0,72120000.0,72000000.0,71880000.0,71760000.0,71640000.0,71520000.0,71340000.0,71220000.0,71100000.0,70980000.0,70860000.0,70740000.0,70560000.0,70440000.0,70320000.0,70200000.0,70020000.0,69900000.0,69780000.0,69600000.0,69480000.0,69360000.0,69240000.0,69060000.0,68940000.0,68820000.0,68640000.0,68520000.0,68400000.0,68220000.0,68100000.0,67920000.0,67800000.0,67680000.0,67500000.0,67380000.0,67260000.0,67080000.0,66960000.0,66840000.0,66660000.0,66540000.0,66420000.0,66240000.0,66120000.0,65940000.0,65820000.0,65700000.0,65520000.0,65400000.0,65280000.0,65160000.0,64980000.0,64860000.0,64740000.0,64560000.0,64440000.0,64320000.0,64200000.0,64020000.0,63900000.0,63780000.0,63660000.0,63540000.0,63360000.0,63240000.0,63120000.0,63000000.0,62880000.0,62760000.0,62640000.0,62520000.0,62400000.0,58680000.0,58560000.0,58440000.0,58320000.0,58200000.0,58080000.0,57960000.0,57840000.0,57780000.0,57660000.0,57540000.0,57420000.0,57360000.0,57240000.0,57120000.0,57060000.0,56940000.0,56880000.0,56760000.0,56700000.0,56580000.0,56520000.0,56460000.0,56340000.0,56280000.0,56220000.0,56160000.0,56100000.0,56040000.0,55980000.0,55920000.0,55860000.0,55800000.0,55740000.0,55680000.0,55620000.0,55620000.0,55560000.0,55560000.0,55500000.0,55500000.0,55440000.0,55440000.0,55440000.0,55380000.0,55380000.0,55380000.0,55380000.0,55380000.0,55380000.0,55380000.0,55440000.0,55440000.0,55440000.0,55440000.0,55500000.0,55500000.0,55560000.0,55620000.0,55620000.0,55680000.0,55740000.0,55740000.0,55800000.0,55860000.0,55920000.0]}},"id":"fd3a2e8d-db3c-48af-a7ed-a88c145f0d58","type":"ColumnDataSource"},{"attributes":{"mantissas":[1,2,5],"max_interval":500.0,"num_minor_ticks":0},"id":"3081a100-2aa6-4732-88ec-4fa0d62c5e65","type":"AdaptiveTicker"},{"attributes":{"plot":null,"text":"2013 Sunrise and Sunset times in Warsaw"},"id":"ac3eb2a8-b22b-4ead-8654-8ab367fdf768","type":"Title"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1356998400000.0,1357084800000.0,1357171200000.0,1357257600000.0,1357344000000.0,1357430400000.0,1357516800000.0,1357603200000.0,1357689600000.0,1357776000000.0,1357862400000.0,1357948800000.0,1358035200000.0,1358121600000.0,1358208000000.0,1358294400000.0,1358380800000.0,1358467200000.0,1358553600000.0,1358640000000.0,1358726400000.0,1358812800000.0,1358899200000.0,1358985600000.0,1359072000000.0,1359158400000.0,1359244800000.0,1359331200000.0,1359417600000.0,1359504000000.0,1359590400000.0,1359676800000.0,1359763200000.0,1359849600000.0,1359936000000.0,1360022400000.0,1360108800000.0,1360195200000.0,1360281600000.0,1360368000000.0,1360454400000.0,1360540800000.0,1360627200000.0,1360713600000.0,1360800000000.0,1360886400000.0,1360972800000.0,1361059200000.0,1361145600000.0,1361232000000.0,1361318400000.0,1361404800000.0,1361491200000.0,1361577600000.0,1361664000000.0,1361750400000.0,1361836800000.0,1361923200000.0,1362009600000.0,1362096000000.0,1362182400000.0,1362268800000.0,1362355200000.0,1362441600000.0,1362528000000.0,1362614400000.0,1362700800000.0,1362787200000.0,1362873600000.0,1362960000000.0,1363046400000.0,1363132800000.0,1363219200000.0,1363305600000.0,1363392000000.0,1363478400000.0,1363564800000.0,1363651200000.0,1363737600000.0,1363824000000.0,1363910400000.0,1363996800000.0,1364083200000.0,1364169600000.0,1364256000000.0,1364342400000.0,1364428800000.0,1364515200000.0,1364601600000.0,1364688000000.0,1364774400000.0,1364860800000.0,1364947200000.0,1365033600000.0,1365120000000.0,1365206400000.0,1365292800000.0,1365379200000.0,1365465600000.0,1365552000000.0,1365638400000.0,1365724800000.0,1365811200000.0,1365897600000.0,1365984000000.0,1366070400000.0,1366156800000.0,1366243200000.0,1366329600000.0,1366416000000.0,1366502400000.0,1366588800000.0,1366675200000.0,1366761600000.0,1366848000000.0,1366934400000.0,1367020800000.0,1367107200000.0,1367193600000.0,1367280000000.0,1367366400000.0,1367452800000.0,1367539200000.0,1367625600000.0,1367712000000.0,1367798400000.0,1367884800000.0,1367971200000.0,1368057600000.0,1368144000000.0,1368230400000.0,1368316800000.0,1368403200000.0,1368489600000.0,1368576000000.0,1368662400000.0,1368748800000.0,1368835200000.0,1368921600000.0,1369008000000.0,1369094400000.0,1369180800000.0,1369267200000.0,1369353600000.0,1369440000000.0,1369526400000.0,1369612800000.0,1369699200000.0,1369785600000.0,1369872000000.0,1369958400000.0,1370044800000.0,1370131200000.0,1370217600000.0,1370304000000.0,1370390400000.0,1370476800000.0,1370563200000.0,1370649600000.0,1370736000000.0,1370822400000.0,1370908800000.0,1370995200000.0,1371081600000.0,1371168000000.0,1371254400000.0,1371340800000.0,1371427200000.0,1371513600000.0,1371600000000.0,1371686400000.0,1371772800000.0,1371859200000.0,1371945600000.0,1372032000000.0,1372118400000.0,1372204800000.0,1372291200000.0,1372377600000.0,1372464000000.0,1372550400000.0,1372636800000.0,1372723200000.0,1372809600000.0,1372896000000.0,1372982400000.0,1373068800000.0,1373155200000.0,1373241600000.0,1373328000000.0,1373414400000.0,1373500800000.0,1373587200000.0,1373673600000.0,1373760000000.0,1373846400000.0,1373932800000.0,1374019200000.0,1374105600000.0,1374192000000.0,1374278400000.0,1374364800000.0,1374451200000.0,1374537600000.0,1374624000000.0,1374710400000.0,1374796800000.0,1374883200000.0,1374969600000.0,1375056000000.0,1375142400000.0,1375228800000.0,1375315200000.0,1375401600000.0,1375488000000.0,1375574400000.0,1375660800000.0,1375747200000.0,1375833600000.0,1375920000000.0,1376006400000.0,1376092800000.0,1376179200000.0,1376265600000.0,1376352000000.0,1376438400000.0,1376524800000.0,1376611200000.0,1376697600000.0,1376784000000.0,1376870400000.0,1376956800000.0,1377043200000.0,1377129600000.0,1377216000000.0,1377302400000.0,1377388800000.0,1377475200000.0,1377561600000.0,1377648000000.0,1377734400000.0,1377820800000.0,1377907200000.0,1377993600000.0,1378080000000.0,1378166400000.0,1378252800000.0,1378339200000.0,1378425600000.0,1378512000000.0,1378598400000.0,1378684800000.0,1378771200000.0,1378857600000.0,1378944000000.0,1379030400000.0,1379116800000.0,1379203200000.0,1379289600000.0,1379376000000.0,1379462400000.0,1379548800000.0,1379635200000.0,1379721600000.0,1379808000000.0,1379894400000.0,1379980800000.0,1380067200000.0,1380153600000.0,1380240000000.0,1380326400000.0,1380412800000.0,1380499200000.0,1380585600000.0,1380672000000.0,1380758400000.0,1380844800000.0,1380931200000.0,1381017600000.0,1381104000000.0,1381190400000.0,1381276800000.0,1381363200000.0,1381449600000.0,1381536000000.0,1381622400000.0,1381708800000.0,1381795200000.0,1381881600000.0,1381968000000.0,1382054400000.0,1382140800000.0,1382227200000.0,1382313600000.0,1382400000000.0,1382486400000.0,1382572800000.0,1382659200000.0,1382745600000.0,1382832000000.0,1382918400000.0,1383004800000.0,1383091200000.0,1383177600000.0,1383264000000.0,1383350400000.0,1383436800000.0,1383523200000.0,1383609600000.0,1383696000000.0,1383782400000.0,1383868800000.0,1383955200000.0,1384041600000.0,1384128000000.0,1384214400000.0,1384300800000.0,1384387200000.0,1384473600000.0,1384560000000.0,1384646400000.0,1384732800000.0,1384819200000.0,1384905600000.0,1384992000000.0,1385078400000.0,1385164800000.0,1385251200000.0,1385337600000.0,1385424000000.0,1385510400000.0,1385596800000.0,1385683200000.0,1385769600000.0,1385856000000.0,1385942400000.0,1386028800000.0,1386115200000.0,1386201600000.0,1386288000000.0,1386374400000.0,1386460800000.0,1386547200000.0,1386633600000.0,1386720000000.0,1386806400000.0,1386892800000.0,1386979200000.0,1387065600000.0,1387152000000.0,1387238400000.0,1387324800000.0,1387411200000.0,1387497600000.0,1387584000000.0,1387670400000.0,1387756800000.0,1387843200000.0,1387929600000.0,1388016000000.0,1388102400000.0,1388188800000.0,1388275200000.0,1388361600000.0,1388448000000.0],"y":[27900000.0,27900000.0,27900000.0,27900000.0,27840000.0,27840000.0,27840000.0,27780000.0,27780000.0,27720000.0,27660000.0,27660000.0,27600000.0,27540000.0,27480000.0,27420000.0,27360000.0,27300000.0,27240000.0,27180000.0,27120000.0,27060000.0,27000000.0,26880000.0,26820000.0,26760000.0,26640000.0,26580000.0,26520000.0,26400000.0,26340000.0,26220000.0,26100000.0,26040000.0,25920000.0,25800000.0,25740000.0,25620000.0,25500000.0,25380000.0,25260000.0,25200000.0,25080000.0,24960000.0,24840000.0,24720000.0,24600000.0,24480000.0,24360000.0,24240000.0,24120000.0,24000000.0,23880000.0,23700000.0,23580000.0,23460000.0,23340000.0,23220000.0,23100000.0,22920000.0,22800000.0,22680000.0,22560000.0,22440000.0,22260000.0,22140000.0,22020000.0,21840000.0,21720000.0,21600000.0,21480000.0,21300000.0,21180000.0,21060000.0,20880000.0,20760000.0,20640000.0,20460000.0,20340000.0,20220000.0,20040000.0,19920000.0,19800000.0,19620000.0,19500000.0,19380000.0,19200000.0,19080000.0,18960000.0,22380000.0,22260000.0,22140000.0,21960000.0,21840000.0,21720000.0,21540000.0,21420000.0,21300000.0,21180000.0,21000000.0,20880000.0,20760000.0,20640000.0,20460000.0,20340000.0,20220000.0,20100000.0,19980000.0,19800000.0,19680000.0,19560000.0,19440000.0,19320000.0,19200000.0,19080000.0,18960000.0,18840000.0,18720000.0,18600000.0,18480000.0,18360000.0,18240000.0,18120000.0,18000000.0,17880000.0,17760000.0,17700000.0,17580000.0,17460000.0,17340000.0,17280000.0,17160000.0,17040000.0,16980000.0,16860000.0,16800000.0,16680000.0,16620000.0,16500000.0,16440000.0,16380000.0,16260000.0,16200000.0,16140000.0,16080000.0,16020000.0,15960000.0,15840000.0,15780000.0,15780000.0,15720000.0,15660000.0,15600000.0,15540000.0,15480000.0,15480000.0,15420000.0,15420000.0,15360000.0,15360000.0,15300000.0,15300000.0,15300000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15240000.0,15300000.0,15300000.0,15300000.0,15360000.0,15360000.0,15420000.0,15420000.0,15480000.0,15480000.0,15540000.0,15600000.0,15600000.0,15660000.0,15720000.0,15780000.0,15840000.0,15900000.0,15960000.0,16020000.0,16080000.0,16140000.0,16200000.0,16260000.0,16380000.0,16440000.0,16500000.0,16560000.0,16680000.0,16740000.0,16800000.0,16920000.0,16980000.0,17100000.0,17160000.0,17280000.0,17340000.0,17460000.0,17520000.0,17640000.0,17700000.0,17820000.0,17880000.0,18000000.0,18060000.0,18180000.0,18300000.0,18360000.0,18480000.0,18540000.0,18660000.0,18780000.0,18840000.0,18960000.0,19020000.0,19140000.0,19260000.0,19320000.0,19440000.0,19560000.0,19620000.0,19740000.0,19860000.0,19920000.0,20040000.0,20160000.0,20220000.0,20340000.0,20400000.0,20520000.0,20640000.0,20700000.0,20820000.0,20940000.0,21000000.0,21120000.0,21240000.0,21300000.0,21420000.0,21540000.0,21600000.0,21720000.0,21780000.0,21900000.0,22020000.0,22080000.0,22200000.0,22320000.0,22380000.0,22500000.0,22620000.0,22680000.0,22800000.0,22920000.0,22980000.0,23100000.0,23220000.0,23280000.0,23400000.0,23520000.0,23580000.0,23700000.0,23820000.0,23880000.0,24000000.0,24120000.0,24180000.0,24300000.0,24420000.0,24540000.0,24600000.0,24720000.0,24840000.0,24900000.0,25020000.0,25140000.0,25260000.0,25320000.0,25440000.0,25560000.0,25680000.0,25740000.0,25860000.0,25980000.0,26100000.0,26220000.0,26280000.0,26400000.0,22920000.0,23040000.0,23160000.0,23220000.0,23340000.0,23460000.0,23580000.0,23700000.0,23820000.0,23880000.0,24000000.0,24120000.0,24240000.0,24360000.0,24420000.0,24540000.0,24660000.0,24780000.0,24900000.0,24960000.0,25080000.0,25200000.0,25320000.0,25380000.0,25500000.0,25620000.0,25680000.0,25800000.0,25920000.0,25980000.0,26100000.0,26160000.0,26280000.0,26340000.0,26460000.0,26520000.0,26640000.0,26700000.0,26760000.0,26880000.0,26940000.0,27000000.0,27120000.0,27180000.0,27240000.0,27300000.0,27360000.0,27420000.0,27480000.0,27540000.0,27540000.0,27600000.0,27660000.0,27720000.0,27720000.0,27780000.0,27780000.0,27840000.0,27840000.0,27900000.0,27900000.0,27900000.0,27900000.0,27900000.0,27900000.0,27900000.0]}},"id":"ab569f6a-8e4d-47f9-81bc-ab904b6962fc","type":"ColumnDataSource"},{"attributes":{"days":[1,8,15,22]},"id":"519131c6-b601-4945-80d8-37231a72edb8","type":"DaysTicker"},{"attributes":{"label":{"value":"Sunset"},"renderers":[{"id":"6bfafdc7-436c-42c1-bb74-01c5c39f02c8","type":"GlyphRenderer"}]},"id":"bbe0c433-c8d3-4f47-ac76-c5965477b37c","type":"LegendItem"},{"attributes":{"callback":null},"id":"795bf1f8-c69d-45ba-b33f-b4068e252001","type":"DataRange1d"},{"attributes":{"dimension":"height","line_color":{"value":"green"},"line_dash":[6],"line_width":{"value":3},"location":1364713200000.0,"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"}},"id":"d35a32d1-01bf-4f0a-81df-53363d9d5996","type":"Span"},{"attributes":{"base":60,"mantissas":[1,2,5,10,15,20,30],"max_interval":1800000.0,"min_interval":1000.0,"num_minor_ticks":0},"id":"b84f9b3c-8179-4ac5-aeaf-63a5e7f83937","type":"AdaptiveTicker"},{"attributes":{"days":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]},"id":"8c3eca7f-f28d-401f-a755-af40a7f18bab","type":"DaysTicker"},{"attributes":{"callback":null},"id":"9517a761-60d3-4218-9954-f6b78599ccbe","type":"DataRange1d"},{"attributes":{"months":[0,2,4,6,8,10]},"id":"080f6534-14c5-482e-9b1b-274ad0eeb0dc","type":"MonthsTicker"},{"attributes":{"data_source":{"id":"ab569f6a-8e4d-47f9-81bc-ab904b6962fc","type":"ColumnDataSource"},"glyph":{"id":"4e614718-4bfd-48e3-aae2-710ca6bb027f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e1c4949b-de3e-43bc-8063-31d77f046936","type":"Line"},"selection_glyph":null,"view":{"id":"184ab006-8f35-46e9-8564-f2a8b0992304","type":"CDSView"}},"id":"a6a02e3c-6e59-4eaa-b715-8b8be2ecfe8a","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"056e6c95-143f-488b-822b-ab0a4a32cb43","type":"DatetimeAxis"}],"left":[{"id":"982c24cb-cfac-4542-b20e-71019c885706","type":"DatetimeAxis"}],"renderers":[{"id":"056e6c95-143f-488b-822b-ab0a4a32cb43","type":"DatetimeAxis"},{"id":"c36d2fe2-0cbd-4583-b238-e6e718f7170e","type":"Grid"},{"id":"982c24cb-cfac-4542-b20e-71019c885706","type":"DatetimeAxis"},{"id":"e13cd048-5c51-414d-ab23-5c2d7c4d2902","type":"Grid"},{"id":"fe851da6-9cb2-4570-989e-05629c5fc182","type":"BoxAnnotation"},{"id":"b302df94-7ab2-4b9d-9f63-657fac6665a7","type":"Legend"},{"id":"6bfafdc7-436c-42c1-bb74-01c5c39f02c8","type":"GlyphRenderer"},{"id":"a6a02e3c-6e59-4eaa-b715-8b8be2ecfe8a","type":"GlyphRenderer"},{"id":"d35a32d1-01bf-4f0a-81df-53363d9d5996","type":"Span"},{"id":"8facbb6f-c885-4eb0-9b30-70e8d455dc9f","type":"Span"}],"title":{"id":"ac3eb2a8-b22b-4ead-8654-8ab367fdf768","type":"Title"},"toolbar":{"id":"a7ba3e3c-a248-4476-add0-9a4306db7ed0","type":"Toolbar"},"x_range":{"id":"9517a761-60d3-4218-9954-f6b78599ccbe","type":"DataRange1d"},"x_scale":{"id":"b4f2b93b-ccc0-491b-b404-7956315d1b8c","type":"LinearScale"},"y_range":{"id":"795bf1f8-c69d-45ba-b33f-b4068e252001","type":"DataRange1d"},"y_scale":{"id":"069aa961-4361-4a48-8f0c-56f3b6729221","type":"LinearScale"}},"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0c2dfbac-c1ba-44a6-835b-861f84ce75e4","type":"PanTool"},{"attributes":{"source":{"id":"fd3a2e8d-db3c-48af-a7ed-a88c145f0d58","type":"ColumnDataSource"}},"id":"24d21053-3a59-42a5-a117-276cae363b65","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"},"ticker":{"id":"fe92c9c3-6414-402a-b27b-c2840f3db6a4","type":"DatetimeTicker"}},"id":"e13cd048-5c51-414d-ab23-5c2d7c4d2902","type":"Grid"},{"attributes":{"months":[0,6]},"id":"fd7c7f87-6eac-4384-b5f3-be879b0ca305","type":"MonthsTicker"},{"attributes":{"days":[1,15]},"id":"36338ff2-662f-4259-8b99-a4c7e93e4e80","type":"DaysTicker"},{"attributes":{"days":[1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31]},"id":"f1a4040c-9295-4f3c-aa21-24496933f4a8","type":"DaysTicker"},{"attributes":{"formatter":{"id":"771b3da0-ff02-42e0-a315-d535ddc16ee6","type":"DatetimeTickFormatter"},"plot":{"id":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc","subtype":"Figure","type":"Plot"},"ticker":{"id":"64a62ce4-b481-4cc3-8450-c2c62058e4a0","type":"DatetimeTicker"}},"id":"056e6c95-143f-488b-822b-ab0a4a32cb43","type":"DatetimeAxis"},{"attributes":{"num_minor_ticks":5,"tickers":[{"id":"3b170fd9-cdf6-42a9-9aab-48256c7488b4","type":"AdaptiveTicker"},{"id":"b84f9b3c-8179-4ac5-aeaf-63a5e7f83937","type":"AdaptiveTicker"},{"id":"7731fd95-aa71-4529-9d69-0688e959e280","type":"AdaptiveTicker"},{"id":"f1a4040c-9295-4f3c-aa21-24496933f4a8","type":"DaysTicker"},{"id":"52837410-fe45-465c-9805-4b31c9259579","type":"DaysTicker"},{"id":"519131c6-b601-4945-80d8-37231a72edb8","type":"DaysTicker"},{"id":"36338ff2-662f-4259-8b99-a4c7e93e4e80","type":"DaysTicker"},{"id":"27f864cc-b609-4151-849b-ec68c84ec339","type":"MonthsTicker"},{"id":"080f6534-14c5-482e-9b1b-274ad0eeb0dc","type":"MonthsTicker"},{"id":"9a1157fa-de48-4c23-9354-d309739a5233","type":"MonthsTicker"},{"id":"f1567ee8-ebe9-4494-818a-249d86a9abdc","type":"MonthsTicker"},{"id":"9f0ee67e-7381-4b8c-ad7c-27c5014185ec","type":"YearsTicker"}]},"id":"64a62ce4-b481-4cc3-8450-c2c62058e4a0","type":"DatetimeTicker"},{"attributes":{},"id":"9f0ee67e-7381-4b8c-ad7c-27c5014185ec","type":"YearsTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"254052c3-d1b7-4be2-b53b-84ae2642c21e","type":"Line"},{"attributes":{},"id":"ffb729cc-5232-435d-ac91-58f52d015861","type":"HelpTool"},{"attributes":{},"id":"532e2afd-1b75-4244-8292-cb2321876916","type":"DatetimeTickFormatter"},{"attributes":{"overlay":{"id":"fe851da6-9cb2-4570-989e-05629c5fc182","type":"BoxAnnotation"}},"id":"334fb0f9-cf66-472c-a04a-1ea9d5749b39","type":"BoxZoomTool"},{"attributes":{},"id":"b4f2b93b-ccc0-491b-b404-7956315d1b8c","type":"LinearScale"},{"attributes":{},"id":"069aa961-4361-4a48-8f0c-56f3b6729221","type":"LinearScale"},{"attributes":{"months":[0,1,2,3,4,5,6,7,8,9,10,11]},"id":"27f864cc-b609-4151-849b-ec68c84ec339","type":"MonthsTicker"},{"attributes":{"label":{"value":"Sunrise"},"renderers":[{"id":"a6a02e3c-6e59-4eaa-b715-8b8be2ecfe8a","type":"GlyphRenderer"}]},"id":"a73525cd-f60e-4f67-8cb8-a6742e26472e","type":"LegendItem"}],"root_ids":["d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"342a27d4-034d-4ac6-a139-c44a997e69f8","elementid":"cf01fa0c-c220-4252-b402-475d90b33b05","modelid":"d8294dd7-0e1e-4c25-9dc3-6b5ecc307adc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
