(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dfad8b14-6432-4d3b-8925-53e5146c3e5c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dfad8b14-6432-4d3b-8925-53e5146c3e5c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4ff2592b-daa8-4d30-a835-572cd6a3e2c7":{"roots":{"references":[{"attributes":{},"id":"54ab3615-1390-4662-9e6d-ac23b6a8d33c","type":"WheelZoomTool"},{"attributes":{"align":"right","background_fill_color":{"value":"#aaaaee"},"plot":null,"text":"Title With Options","text_color":{"value":"orange"},"text_font_size":{"value":"25px"}},"id":"d67b528c-d4d7-4feb-b35b-f0c310096cd2","type":"Title"},{"attributes":{},"id":"e260a0ad-52c2-43c3-8b39-28f5a0ed57d7","type":"HelpTool"},{"attributes":{"plot":{"id":"850a7a34-b7c1-43d6-bb22-68d0c305b142","subtype":"Figure","type":"Plot"},"ticker":{"id":"80df8e8d-a3af-4040-b196-f447fe0ca8c4","type":"BasicTicker"}},"id":"9e470da6-af14-48f4-bf14-38e6075a849d","type":"Grid"},{"attributes":{"formatter":{"id":"43c42791-3e3f-4a06-8177-8ebf9cd25338","type":"BasicTickFormatter"},"plot":{"id":"850a7a34-b7c1-43d6-bb22-68d0c305b142","subtype":"Figure","type":"Plot"},"ticker":{"id":"80df8e8d-a3af-4040-b196-f447fe0ca8c4","type":"BasicTicker"}},"id":"9124499a-1416-4e4f-9361-3811b3bedc56","type":"LinearAxis"},{"attributes":{"data_source":{"id":"4ef15922-7da4-4f68-964d-8f7f67ecfb43","type":"ColumnDataSource"},"glyph":{"id":"495aa970-42a8-4a87-a325-667959c6f6c9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"009345fb-ec6a-4ff8-ad5a-b5e43ff1f670","type":"Circle"},"selection_glyph":null,"view":{"id":"01b75efb-a601-4e49-9ff7-938b8cb9113b","type":"CDSView"}},"id":"ac8983b5-12ab-4b0a-bb3b-0023f0f2ccea","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"495aa970-42a8-4a87-a325-667959c6f6c9","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"009345fb-ec6a-4ff8-ad5a-b5e43ff1f670","type":"Circle"},{"attributes":{},"id":"a39dae67-7ff5-4145-9f8a-7e9db654c5cf","type":"PanTool"},{"attributes":{},"id":"80fd2041-7d1f-4195-8051-f1dec840b6ec","type":"SaveTool"},{"attributes":{},"id":"80df8e8d-a3af-4040-b196-f447fe0ca8c4","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0f0550d3-61d5-4bbe-9d8e-5fa06a0b08c5","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a39dae67-7ff5-4145-9f8a-7e9db654c5cf","type":"PanTool"},{"id":"54ab3615-1390-4662-9e6d-ac23b6a8d33c","type":"WheelZoomTool"},{"id":"04394662-109c-490a-9e95-d9ef3ac4790e","type":"BoxZoomTool"},{"id":"80fd2041-7d1f-4195-8051-f1dec840b6ec","type":"SaveTool"},{"id":"d60beab5-fd8d-4f93-9b93-63c1e6411501","type":"ResetTool"},{"id":"e260a0ad-52c2-43c3-8b39-28f5a0ed57d7","type":"HelpTool"}]},"id":"ee11b1a3-4ca6-4e22-81d2-115ab305e822","type":"Toolbar"},{"attributes":{},"id":"d60beab5-fd8d-4f93-9b93-63c1e6411501","type":"ResetTool"},{"attributes":{"source":{"id":"4ef15922-7da4-4f68-964d-8f7f67ecfb43","type":"ColumnDataSource"}},"id":"01b75efb-a601-4e49-9ff7-938b8cb9113b","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"4ef15922-7da4-4f68-964d-8f7f67ecfb43","type":"ColumnDataSource"},{"attributes":{},"id":"43c42791-3e3f-4a06-8177-8ebf9cd25338","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"850a7a34-b7c1-43d6-bb22-68d0c305b142","subtype":"Figure","type":"Plot"},"ticker":{"id":"973fd901-9355-46dc-9613-f944bfc11859","type":"BasicTicker"}},"id":"4a2817a8-5873-42f2-8242-a0e72539492c","type":"Grid"},{"attributes":{"below":[{"id":"9124499a-1416-4e4f-9361-3811b3bedc56","type":"LinearAxis"}],"left":[{"id":"bb7252a5-1569-4c79-8523-4cdac5ede221","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"9124499a-1416-4e4f-9361-3811b3bedc56","type":"LinearAxis"},{"id":"9e470da6-af14-48f4-bf14-38e6075a849d","type":"Grid"},{"id":"bb7252a5-1569-4c79-8523-4cdac5ede221","type":"LinearAxis"},{"id":"4a2817a8-5873-42f2-8242-a0e72539492c","type":"Grid"},{"id":"0f0550d3-61d5-4bbe-9d8e-5fa06a0b08c5","type":"BoxAnnotation"},{"id":"ac8983b5-12ab-4b0a-bb3b-0023f0f2ccea","type":"GlyphRenderer"}],"title":{"id":"d67b528c-d4d7-4feb-b35b-f0c310096cd2","type":"Title"},"toolbar":{"id":"ee11b1a3-4ca6-4e22-81d2-115ab305e822","type":"Toolbar"},"x_range":{"id":"80fc9337-df85-4c45-8005-14f0293f533b","type":"DataRange1d"},"x_scale":{"id":"8e9c749d-3adf-4ad2-9b91-25ac2e953106","type":"LinearScale"},"y_range":{"id":"e81b0f50-77a0-4a42-a52e-59bfe65cce72","type":"DataRange1d"},"y_scale":{"id":"7ed36076-bd85-4a38-9491-a8239cb1808c","type":"LinearScale"}},"id":"850a7a34-b7c1-43d6-bb22-68d0c305b142","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"973fd901-9355-46dc-9613-f944bfc11859","type":"BasicTicker"},{"attributes":{"overlay":{"id":"0f0550d3-61d5-4bbe-9d8e-5fa06a0b08c5","type":"BoxAnnotation"}},"id":"04394662-109c-490a-9e95-d9ef3ac4790e","type":"BoxZoomTool"},{"attributes":{},"id":"33059eb6-711d-4e7a-bae4-473108174643","type":"BasicTickFormatter"},{"attributes":{},"id":"7ed36076-bd85-4a38-9491-a8239cb1808c","type":"LinearScale"},{"attributes":{},"id":"8e9c749d-3adf-4ad2-9b91-25ac2e953106","type":"LinearScale"},{"attributes":{"callback":null},"id":"e81b0f50-77a0-4a42-a52e-59bfe65cce72","type":"DataRange1d"},{"attributes":{"callback":null},"id":"80fc9337-df85-4c45-8005-14f0293f533b","type":"DataRange1d"},{"attributes":{"formatter":{"id":"33059eb6-711d-4e7a-bae4-473108174643","type":"BasicTickFormatter"},"plot":{"id":"850a7a34-b7c1-43d6-bb22-68d0c305b142","subtype":"Figure","type":"Plot"},"ticker":{"id":"973fd901-9355-46dc-9613-f944bfc11859","type":"BasicTicker"}},"id":"bb7252a5-1569-4c79-8523-4cdac5ede221","type":"LinearAxis"}],"root_ids":["850a7a34-b7c1-43d6-bb22-68d0c305b142"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4ff2592b-daa8-4d30-a835-572cd6a3e2c7","elementid":"dfad8b14-6432-4d3b-8925-53e5146c3e5c","modelid":"850a7a34-b7c1-43d6-bb22-68d0c305b142"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
