(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4d23e898-c5b8-4c5a-b19a-2257078e81df");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4d23e898-c5b8-4c5a-b19a-2257078e81df' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cd3309a8-fb3b-4b77-85c7-b20f7a51c446":{"roots":{"references":[{"attributes":{},"id":"2add476d-882c-4f21-af36-175c6b7eb0e5","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"5bdf4d38-6185-49ee-9896-c30c87cef4c4","type":"Circle"},{"attributes":{"source":{"id":"c17b7108-55e3-4ed2-903e-a52f87b6d522","type":"ColumnDataSource"}},"id":"dced7c51-b39a-477d-b306-440128761a75","type":"CDSView"},{"attributes":{},"id":"f0396759-f82f-4e6d-98a4-c4f4a6d9bae2","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8e55d80d-31e0-4ce3-9838-b0d99546b219","type":"BoxAnnotation"},{"attributes":{"align":"center","plot":{"id":"8c009489-998c-48b7-a62a-5aec1c984480","subtype":"Figure","type":"Plot"},"text":"Bottom Centered Title"},"id":"d5daa5c8-e131-4a6e-b4ce-c9104b2ce16e","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"8c009489-998c-48b7-a62a-5aec1c984480","subtype":"Figure","type":"Plot"},"ticker":{"id":"efccf936-7c1e-40f1-b194-ea8e738503d8","type":"BasicTicker"}},"id":"95367b8e-d32f-418e-abc9-590f1e4770da","type":"Grid"},{"attributes":{},"id":"efccf936-7c1e-40f1-b194-ea8e738503d8","type":"BasicTicker"},{"attributes":{},"id":"54d62b1e-7f36-48b8-9617-195233a24180","type":"ResetTool"},{"attributes":{},"id":"1f236416-59e4-454b-98d4-eea5f297f87a","type":"BasicTickFormatter"},{"attributes":{},"id":"5e709814-7096-48d9-add8-327b24b72852","type":"SaveTool"},{"attributes":{"below":[{"id":"fbe438d2-b1c2-4435-b3bd-2f2340601e3e","type":"LinearAxis"},{"id":"d5daa5c8-e131-4a6e-b4ce-c9104b2ce16e","type":"Title"}],"left":[{"id":"c8ea9b7f-8121-4e17-821e-0d76abdd9ecc","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"fbe438d2-b1c2-4435-b3bd-2f2340601e3e","type":"LinearAxis"},{"id":"9e0aacce-e90b-4e4f-a65a-797f4b3914e2","type":"Grid"},{"id":"c8ea9b7f-8121-4e17-821e-0d76abdd9ecc","type":"LinearAxis"},{"id":"95367b8e-d32f-418e-abc9-590f1e4770da","type":"Grid"},{"id":"8e55d80d-31e0-4ce3-9838-b0d99546b219","type":"BoxAnnotation"},{"id":"5e41e936-6e4d-4f2d-b57e-965dc68a38da","type":"GlyphRenderer"},{"id":"d5daa5c8-e131-4a6e-b4ce-c9104b2ce16e","type":"Title"}],"title":{"id":"2564decb-c4a4-4390-9852-286f1e149851","type":"Title"},"title_location":"left","toolbar":{"id":"b39450ac-e2ff-4400-aec0-61902809a154","type":"Toolbar"},"x_range":{"id":"df3efc01-b5a3-48ee-ab68-a0aa61c59639","type":"DataRange1d"},"x_scale":{"id":"2add476d-882c-4f21-af36-175c6b7eb0e5","type":"LinearScale"},"y_range":{"id":"bdd1736a-f7d6-484a-8312-9e740d22bef3","type":"DataRange1d"},"y_scale":{"id":"8f001cd2-1d81-4d62-a817-29c96381fee7","type":"LinearScale"}},"id":"8c009489-998c-48b7-a62a-5aec1c984480","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a0c686f4-c2d6-40a2-9ebc-314a4c52b7cb","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6a0d8af6-9213-4d01-8327-cf8c022ebc4d","type":"Circle"},{"attributes":{"overlay":{"id":"8e55d80d-31e0-4ce3-9838-b0d99546b219","type":"BoxAnnotation"}},"id":"4cae07a8-2155-40a1-a1cc-0e152ab678ae","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"c17b7108-55e3-4ed2-903e-a52f87b6d522","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"df3efc01-b5a3-48ee-ab68-a0aa61c59639","type":"DataRange1d"},{"attributes":{"callback":null},"id":"bdd1736a-f7d6-484a-8312-9e740d22bef3","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ecde7ccd-4822-44fa-8529-dad4323b2a74","type":"PanTool"},{"id":"f0396759-f82f-4e6d-98a4-c4f4a6d9bae2","type":"WheelZoomTool"},{"id":"4cae07a8-2155-40a1-a1cc-0e152ab678ae","type":"BoxZoomTool"},{"id":"5e709814-7096-48d9-add8-327b24b72852","type":"SaveTool"},{"id":"54d62b1e-7f36-48b8-9617-195233a24180","type":"ResetTool"},{"id":"a0c686f4-c2d6-40a2-9ebc-314a4c52b7cb","type":"HelpTool"}]},"id":"b39450ac-e2ff-4400-aec0-61902809a154","type":"Toolbar"},{"attributes":{"formatter":{"id":"1f236416-59e4-454b-98d4-eea5f297f87a","type":"BasicTickFormatter"},"plot":{"id":"8c009489-998c-48b7-a62a-5aec1c984480","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9b6cf23-5405-46ed-9e54-ad8c8394a9d6","type":"BasicTicker"}},"id":"fbe438d2-b1c2-4435-b3bd-2f2340601e3e","type":"LinearAxis"},{"attributes":{"formatter":{"id":"0511c627-84b9-4fe2-a4ca-5024cb1d7279","type":"BasicTickFormatter"},"plot":{"id":"8c009489-998c-48b7-a62a-5aec1c984480","subtype":"Figure","type":"Plot"},"ticker":{"id":"efccf936-7c1e-40f1-b194-ea8e738503d8","type":"BasicTicker"}},"id":"c8ea9b7f-8121-4e17-821e-0d76abdd9ecc","type":"LinearAxis"},{"attributes":{"data_source":{"id":"c17b7108-55e3-4ed2-903e-a52f87b6d522","type":"ColumnDataSource"},"glyph":{"id":"5bdf4d38-6185-49ee-9896-c30c87cef4c4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6a0d8af6-9213-4d01-8327-cf8c022ebc4d","type":"Circle"},"selection_glyph":null,"view":{"id":"dced7c51-b39a-477d-b306-440128761a75","type":"CDSView"}},"id":"5e41e936-6e4d-4f2d-b57e-965dc68a38da","type":"GlyphRenderer"},{"attributes":{},"id":"0511c627-84b9-4fe2-a4ca-5024cb1d7279","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"8c009489-998c-48b7-a62a-5aec1c984480","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9b6cf23-5405-46ed-9e54-ad8c8394a9d6","type":"BasicTicker"}},"id":"9e0aacce-e90b-4e4f-a65a-797f4b3914e2","type":"Grid"},{"attributes":{},"id":"ecde7ccd-4822-44fa-8529-dad4323b2a74","type":"PanTool"},{"attributes":{"plot":null,"text":"Left Title"},"id":"2564decb-c4a4-4390-9852-286f1e149851","type":"Title"},{"attributes":{},"id":"b9b6cf23-5405-46ed-9e54-ad8c8394a9d6","type":"BasicTicker"},{"attributes":{},"id":"8f001cd2-1d81-4d62-a817-29c96381fee7","type":"LinearScale"}],"root_ids":["8c009489-998c-48b7-a62a-5aec1c984480"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cd3309a8-fb3b-4b77-85c7-b20f7a51c446","elementid":"4d23e898-c5b8-4c5a-b19a-2257078e81df","modelid":"8c009489-998c-48b7-a62a-5aec1c984480"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
