(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("786bf672-305c-40a8-88f8-fabe326e50a3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '786bf672-305c-40a8-88f8-fabe326e50a3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e12190c5-bf02-4099-95e1-4e4e60be0a97":{"roots":{"references":[{"attributes":{},"id":"fe646d35-97ad-4656-8b79-aa5ffdb3a073","type":"ResetTool"},{"attributes":{},"id":"19f19e7f-cb39-4506-b526-d3b3212d8c08","type":"BasicTicker"},{"attributes":{"data_source":{"id":"497b40f5-94ba-4c68-8f30-7ccb6638809a","type":"ColumnDataSource"},"glyph":{"id":"a195d9ce-dad2-4301-9eee-275e31b2063f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a6d67da7-285f-4a8b-ab8a-84581ea57e79","type":"Circle"},"selection_glyph":null,"view":{"id":"dea5e649-e95d-4b0c-9d55-0b1e3bf2be69","type":"CDSView"}},"id":"53826acc-f2ce-42a1-a651-96a130c0893d","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"orange"},"plot":null},"id":"de382eb7-664d-41e8-a5ed-5215a594ef98","type":"NormalHead"},{"attributes":{"end":{"id":"92427fb1-4e9b-4cf9-a4eb-6692b3f11c08","type":"OpenHead"},"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":1},"x_start":{"value":0},"y_end":{"value":0},"y_start":{"value":0}},"id":"320795f3-0d01-4e08-8edd-27203b0e0a7e","type":"Arrow"},{"attributes":{"source":{"id":"497b40f5-94ba-4c68-8f30-7ccb6638809a","type":"ColumnDataSource"}},"id":"dea5e649-e95d-4b0c-9d55-0b1e3bf2be69","type":"CDSView"},{"attributes":{"callback":null},"id":"96e5ecd7-efc1-4999-840d-a8e3f8d7963d","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"ticker":{"id":"19f19e7f-cb39-4506-b526-d3b3212d8c08","type":"BasicTicker"}},"id":"971a0775-675c-4a23-a57e-a6b08499ad43","type":"Grid"},{"attributes":{},"id":"90a31474-d981-467d-870d-f50b86726210","type":"BasicTicker"},{"attributes":{},"id":"11531260-3fe5-40d6-9224-b56d3f369f32","type":"LinearScale"},{"attributes":{},"id":"033e7b31-046e-461b-924e-f7c086f0dcfd","type":"LinearScale"},{"attributes":{},"id":"5f89f727-4741-4d91-bedc-1dd973256ea3","type":"PanTool"},{"attributes":{"formatter":{"id":"c35f2bcb-7620-4843-9b48-cdfdb9b81322","type":"BasicTickFormatter"},"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"ticker":{"id":"19f19e7f-cb39-4506-b526-d3b3212d8c08","type":"BasicTicker"}},"id":"e4717b7d-9db6-4174-926f-1f819a3af7dd","type":"LinearAxis"},{"attributes":{},"id":"2dbcf7c6-40fb-4ae6-86c3-cb0d06804541","type":"HelpTool"},{"attributes":{"below":[{"id":"b4b57f50-c2a0-4227-be84-9fcdc2a1bb24","type":"LinearAxis"}],"left":[{"id":"e4717b7d-9db6-4174-926f-1f819a3af7dd","type":"LinearAxis"}],"renderers":[{"id":"b4b57f50-c2a0-4227-be84-9fcdc2a1bb24","type":"LinearAxis"},{"id":"d71d8973-7552-432e-bf4b-5edc8389c254","type":"Grid"},{"id":"e4717b7d-9db6-4174-926f-1f819a3af7dd","type":"LinearAxis"},{"id":"971a0775-675c-4a23-a57e-a6b08499ad43","type":"Grid"},{"id":"cfc74714-c64a-46b8-a14c-e4f6f4c68807","type":"BoxAnnotation"},{"id":"53826acc-f2ce-42a1-a651-96a130c0893d","type":"GlyphRenderer"},{"id":"320795f3-0d01-4e08-8edd-27203b0e0a7e","type":"Arrow"},{"id":"4626018f-fb0b-4259-b86e-e59c79c46d4d","type":"Arrow"},{"id":"13d8d007-3ed1-40c5-ba12-5d363a3d33ee","type":"Arrow"}],"title":{"id":"94e89919-788f-4487-ba17-67c2560c7c95","type":"Title"},"toolbar":{"id":"cb7baff1-6f68-46cd-8840-037937dbe565","type":"Toolbar"},"x_range":{"id":"96e5ecd7-efc1-4999-840d-a8e3f8d7963d","type":"DataRange1d"},"x_scale":{"id":"11531260-3fe5-40d6-9224-b56d3f369f32","type":"LinearScale"},"y_range":{"id":"b4a81e35-471a-4766-bfc0-c68c2ff4c6e1","type":"DataRange1d"},"y_scale":{"id":"033e7b31-046e-461b-924e-f7c086f0dcfd","type":"LinearScale"}},"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"cfc74714-c64a-46b8-a14c-e4f6f4c68807","type":"BoxAnnotation"}},"id":"0bbf974e-9f1e-4dba-b958-6a27e157f331","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"ticker":{"id":"90a31474-d981-467d-870d-f50b86726210","type":"BasicTicker"}},"id":"d71d8973-7552-432e-bf4b-5edc8389c254","type":"Grid"},{"attributes":{},"id":"8ff96edb-047c-4673-afaa-922df82368d9","type":"SaveTool"},{"attributes":{"line_color":{"value":"firebrick"},"line_width":{"value":4},"plot":null},"id":"92427fb1-4e9b-4cf9-a4eb-6692b3f11c08","type":"OpenHead"},{"attributes":{"end":{"id":"de382eb7-664d-41e8-a5ed-5215a594ef98","type":"NormalHead"},"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.5},"x_start":{"value":1},"y_end":{"value":0.7},"y_start":{"value":0}},"id":"4626018f-fb0b-4259-b86e-e59c79c46d4d","type":"Arrow"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cfc74714-c64a-46b8-a14c-e4f6f4c68807","type":"BoxAnnotation"},{"attributes":{},"id":"4c5792ea-a8df-40e6-abea-8a6875bf1389","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"b4a81e35-471a-4766-bfc0-c68c2ff4c6e1","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5f89f727-4741-4d91-bedc-1dd973256ea3","type":"PanTool"},{"id":"4c5792ea-a8df-40e6-abea-8a6875bf1389","type":"WheelZoomTool"},{"id":"0bbf974e-9f1e-4dba-b958-6a27e157f331","type":"BoxZoomTool"},{"id":"8ff96edb-047c-4673-afaa-922df82368d9","type":"SaveTool"},{"id":"fe646d35-97ad-4656-8b79-aa5ffdb3a073","type":"ResetTool"},{"id":"2dbcf7c6-40fb-4ae6-86c3-cb0d06804541","type":"HelpTool"}]},"id":"cb7baff1-6f68-46cd-8840-037937dbe565","type":"Toolbar"},{"attributes":{},"id":"ad2795ad-047a-4fc0-ac14-238af15b7cbb","type":"BasicTickFormatter"},{"attributes":{},"id":"c35f2bcb-7620-4843-9b48-cdfdb9b81322","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"a6d67da7-285f-4a8b-ab8a-84581ea57e79","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"a195d9ce-dad2-4301-9eee-275e31b2063f","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["navy","yellow","red"],"line_color":["navy","yellow","red"],"x":[0,1,0.5],"y":[0,0,0.7]}},"id":"497b40f5-94ba-4c68-8f30-7ccb6638809a","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"ad2795ad-047a-4fc0-ac14-238af15b7cbb","type":"BasicTickFormatter"},"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"ticker":{"id":"90a31474-d981-467d-870d-f50b86726210","type":"BasicTicker"}},"id":"b4b57f50-c2a0-4227-be84-9fcdc2a1bb24","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"94e89919-788f-4487-ba17-67c2560c7c95","type":"Title"},{"attributes":{"plot":null,"size":35},"id":"4b70b0d7-aef8-486b-b422-74b32c61b2bb","type":"VeeHead"},{"attributes":{"end":{"id":"4b70b0d7-aef8-486b-b422-74b32c61b2bb","type":"VeeHead"},"line_color":{"value":"red"},"plot":{"id":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0},"x_start":{"value":0.5},"y_end":{"value":0},"y_start":{"value":0.7}},"id":"13d8d007-3ed1-40c5-ba12-5d363a3d33ee","type":"Arrow"}],"root_ids":["ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e12190c5-bf02-4099-95e1-4e4e60be0a97","elementid":"786bf672-305c-40a8-88f8-fabe326e50a3","modelid":"ef071e1b-a1d7-4b91-94d8-8f5f0fb0ba89"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
