(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fde64b16-7c29-432c-b53a-8f7da5ae22db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fde64b16-7c29-432c-b53a-8f7da5ae22db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ab6c8d72-c23e-4bea-b5b9-48cfecc9cb4a":{"roots":{"references":[{"attributes":{},"id":"9022a87e-2406-4991-9736-520fb4c97143","type":"LinearScale"},{"attributes":{},"id":"5500bdfe-ba20-444c-ad8f-e56e2864a9e9","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"13574897-94d0-4881-80ce-a337ce164ff5","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"6b75ad82-2bf3-4cb1-80d1-b77470d06cea","type":"VBar"},{"attributes":{"formatter":{"id":"33eddd4c-32b3-48fa-8751-164ff178fb34","type":"BasicTickFormatter"},"plot":{"id":"d1502b8d-9386-45bf-af36-e229536b566b","subtype":"Figure","type":"Plot"},"ticker":{"id":"f08dc344-adc4-4c60-b580-829999e687ff","type":"BasicTicker"}},"id":"5ad93f22-93c7-4306-9995-24ac48ee42a3","type":"LinearAxis"},{"attributes":{},"id":"f08dc344-adc4-4c60-b580-829999e687ff","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"d1502b8d-9386-45bf-af36-e229536b566b","subtype":"Figure","type":"Plot"},"ticker":{"id":"f08dc344-adc4-4c60-b580-829999e687ff","type":"BasicTicker"}},"id":"5f0e8bae-bcab-4606-928e-584d5a768e40","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"28ad7d1f-7e91-4502-9dcf-dc6c89d6b8cf","type":"ColumnDataSource"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"aee8f9c4-0f1a-4c09-9e0d-ec5d7c4b5e5d","type":"FactorRange"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"8a9c4511-91f4-4998-8efb-ed24c157de52","type":"VBar"},{"attributes":{},"id":"6424aa12-8253-42d9-9719-44a983a555b7","type":"CategoricalTicker"},{"attributes":{"below":[{"id":"835e464e-cd6c-4cb4-a89a-952ca6e448c1","type":"CategoricalAxis"}],"left":[{"id":"5ad93f22-93c7-4306-9995-24ac48ee42a3","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"835e464e-cd6c-4cb4-a89a-952ca6e448c1","type":"CategoricalAxis"},{"id":"e1350f5a-4674-4f44-b0f7-2910a4bcd6f6","type":"Grid"},{"id":"5ad93f22-93c7-4306-9995-24ac48ee42a3","type":"LinearAxis"},{"id":"5f0e8bae-bcab-4606-928e-584d5a768e40","type":"Grid"},{"id":"aae70b5c-24a5-4ca1-ae70-fa25dc9c7885","type":"GlyphRenderer"}],"title":{"id":"de390d68-e209-487d-a079-66b9d9b80c18","type":"Title"},"toolbar":{"id":"13574897-94d0-4881-80ce-a337ce164ff5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"aee8f9c4-0f1a-4c09-9e0d-ec5d7c4b5e5d","type":"FactorRange"},"x_scale":{"id":"5500bdfe-ba20-444c-ad8f-e56e2864a9e9","type":"CategoricalScale"},"y_range":{"id":"b6e0a485-904a-4ed7-bfd6-0e011cba3b51","type":"DataRange1d"},"y_scale":{"id":"9022a87e-2406-4991-9736-520fb4c97143","type":"LinearScale"}},"id":"d1502b8d-9386-45bf-af36-e229536b566b","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"de390d68-e209-487d-a079-66b9d9b80c18","type":"Title"},{"attributes":{},"id":"33eddd4c-32b3-48fa-8751-164ff178fb34","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"28ad7d1f-7e91-4502-9dcf-dc6c89d6b8cf","type":"ColumnDataSource"}},"id":"5896d1c1-5ea3-4b59-b6fc-a4b1bcdd8d33","type":"CDSView"},{"attributes":{"formatter":{"id":"bc5adaf5-705c-4eae-8599-c1f1cd843cca","type":"CategoricalTickFormatter"},"plot":{"id":"d1502b8d-9386-45bf-af36-e229536b566b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6424aa12-8253-42d9-9719-44a983a555b7","type":"CategoricalTicker"}},"id":"835e464e-cd6c-4cb4-a89a-952ca6e448c1","type":"CategoricalAxis"},{"attributes":{"callback":null,"start":0},"id":"b6e0a485-904a-4ed7-bfd6-0e011cba3b51","type":"DataRange1d"},{"attributes":{},"id":"bc5adaf5-705c-4eae-8599-c1f1cd843cca","type":"CategoricalTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"d1502b8d-9386-45bf-af36-e229536b566b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6424aa12-8253-42d9-9719-44a983a555b7","type":"CategoricalTicker"}},"id":"e1350f5a-4674-4f44-b0f7-2910a4bcd6f6","type":"Grid"},{"attributes":{"data_source":{"id":"28ad7d1f-7e91-4502-9dcf-dc6c89d6b8cf","type":"ColumnDataSource"},"glyph":{"id":"6b75ad82-2bf3-4cb1-80d1-b77470d06cea","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8a9c4511-91f4-4998-8efb-ed24c157de52","type":"VBar"},"selection_glyph":null,"view":{"id":"5896d1c1-5ea3-4b59-b6fc-a4b1bcdd8d33","type":"CDSView"}},"id":"aae70b5c-24a5-4ca1-ae70-fa25dc9c7885","type":"GlyphRenderer"}],"root_ids":["d1502b8d-9386-45bf-af36-e229536b566b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ab6c8d72-c23e-4bea-b5b9-48cfecc9cb4a","elementid":"fde64b16-7c29-432c-b53a-8f7da5ae22db","modelid":"d1502b8d-9386-45bf-af36-e229536b566b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
