(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("12accc54-659e-4b43-859c-56eaceb0501f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '12accc54-659e-4b43-859c-56eaceb0501f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b2b9f6a9-f68d-46d8-b027-4baf47d86ecd":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"992be62e-b76d-403d-abc8-0a40f128cde2","type":"VBar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"60754218-1243-4161-bc80-63c9f8252cdd","type":"VBar"},{"attributes":{},"id":"8f307fca-a397-42d7-9abb-e872799bb7e0","type":"BasicTicker"},{"attributes":{},"id":"651664d0-a084-4865-9f21-b8c9c754f292","type":"CategoricalTicker"},{"attributes":{},"id":"b2f3feb3-f9a7-432c-ab54-37c5be242503","type":"CategoricalTickFormatter"},{"attributes":{},"id":"51621776-9a98-4b01-a95e-e7cc3dc6d798","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b4c6a9b2-118d-434d-bf88-87a91b531d13","type":"Toolbar"},{"attributes":{"formatter":{"id":"b2f3feb3-f9a7-432c-ab54-37c5be242503","type":"CategoricalTickFormatter"},"plot":{"id":"c6c68a89-d793-4971-badb-b792cab3671a","subtype":"Figure","type":"Plot"},"ticker":{"id":"651664d0-a084-4865-9f21-b8c9c754f292","type":"CategoricalTicker"}},"id":"fdbd54b8-80d0-40d4-b5ab-d14ba728d4f3","type":"CategoricalAxis"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"c6c68a89-d793-4971-badb-b792cab3671a","subtype":"Figure","type":"Plot"},"ticker":{"id":"651664d0-a084-4865-9f21-b8c9c754f292","type":"CategoricalTicker"}},"id":"cd96041e-622c-499c-b083-c6ff40623628","type":"Grid"},{"attributes":{},"id":"17f77e08-eb91-4efa-a914-80c250583837","type":"CategoricalScale"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"56d2cf9c-536f-40bb-bcb0-d602fee0f29d","type":"Title"},{"attributes":{},"id":"096f6b54-f2b1-4023-83af-5f2eb7e17bde","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"c6c68a89-d793-4971-badb-b792cab3671a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8f307fca-a397-42d7-9abb-e872799bb7e0","type":"BasicTicker"}},"id":"00cbfe9d-00c7-4b4e-9e97-ab8b02118082","type":"Grid"},{"attributes":{"formatter":{"id":"096f6b54-f2b1-4023-83af-5f2eb7e17bde","type":"BasicTickFormatter"},"plot":{"id":"c6c68a89-d793-4971-badb-b792cab3671a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8f307fca-a397-42d7-9abb-e872799bb7e0","type":"BasicTicker"}},"id":"fc42aa90-e66b-4331-8c2a-7bcae4b83960","type":"LinearAxis"},{"attributes":{"below":[{"id":"fdbd54b8-80d0-40d4-b5ab-d14ba728d4f3","type":"CategoricalAxis"}],"left":[{"id":"fc42aa90-e66b-4331-8c2a-7bcae4b83960","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"fdbd54b8-80d0-40d4-b5ab-d14ba728d4f3","type":"CategoricalAxis"},{"id":"cd96041e-622c-499c-b083-c6ff40623628","type":"Grid"},{"id":"fc42aa90-e66b-4331-8c2a-7bcae4b83960","type":"LinearAxis"},{"id":"00cbfe9d-00c7-4b4e-9e97-ab8b02118082","type":"Grid"},{"id":"d57018cc-919e-4588-91c3-504d67f07577","type":"GlyphRenderer"}],"title":{"id":"56d2cf9c-536f-40bb-bcb0-d602fee0f29d","type":"Title"},"toolbar":{"id":"b4c6a9b2-118d-434d-bf88-87a91b531d13","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ab6552bd-ec4b-49c9-966f-968e03a06872","type":"FactorRange"},"x_scale":{"id":"17f77e08-eb91-4efa-a914-80c250583837","type":"CategoricalScale"},"y_range":{"id":"f2f3750e-465c-40a1-a6a6-1de4988c93b6","type":"DataRange1d"},"y_scale":{"id":"51621776-9a98-4b01-a95e-e7cc3dc6d798","type":"LinearScale"}},"id":"c6c68a89-d793-4971-badb-b792cab3671a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"ab6552bd-ec4b-49c9-966f-968e03a06872","type":"FactorRange"},{"attributes":{"data_source":{"id":"4d9dd091-924e-4942-aabc-912c94f37b93","type":"ColumnDataSource"},"glyph":{"id":"60754218-1243-4161-bc80-63c9f8252cdd","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"992be62e-b76d-403d-abc8-0a40f128cde2","type":"VBar"},"selection_glyph":null,"view":{"id":"0983a3f2-c42e-45b2-8d20-5141f589a4af","type":"CDSView"}},"id":"d57018cc-919e-4588-91c3-504d67f07577","type":"GlyphRenderer"},{"attributes":{"callback":null,"start":0},"id":"f2f3750e-465c-40a1-a6a6-1de4988c93b6","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":[["Apples",-0.5],["Pears",-0.2],["Nectarines",0.0],["Plums",0.3],["Grapes",0.1],["Strawberries",0.3]]}},"id":"4d9dd091-924e-4942-aabc-912c94f37b93","type":"ColumnDataSource"},{"attributes":{"source":{"id":"4d9dd091-924e-4942-aabc-912c94f37b93","type":"ColumnDataSource"}},"id":"0983a3f2-c42e-45b2-8d20-5141f589a4af","type":"CDSView"}],"root_ids":["c6c68a89-d793-4971-badb-b792cab3671a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b2b9f6a9-f68d-46d8-b027-4baf47d86ecd","elementid":"12accc54-659e-4b43-859c-56eaceb0501f","modelid":"c6c68a89-d793-4971-badb-b792cab3671a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
