(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("453e9abb-f584-452a-8109-f5d51238e5bc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '453e9abb-f584-452a-8109-f5d51238e5bc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a08c3c92-5fa5-467f-9a71-89105b872367":{"roots":{"references":[{"attributes":{"callback":null,"start":0},"id":"9972da58-302a-4064-8997-1af85e424a08","type":"DataRange1d"},{"attributes":{},"id":"de2d0987-2355-4b68-88cb-3854477e24d0","type":"CategoricalScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"72737e40-5467-4f9c-b099-055955255d50","type":"VBar"},{"attributes":{"data_source":{"id":"9e9088ec-5a27-4331-8369-73120cebad64","type":"ColumnDataSource"},"glyph":{"id":"72737e40-5467-4f9c-b099-055955255d50","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0addfeaa-1de6-4697-9d69-f31ea31772d2","type":"VBar"},"selection_glyph":null,"view":{"id":"2da33454-9d10-48be-b9c8-9f6bf4002ffb","type":"CDSView"}},"id":"3825f768-8bcb-47aa-a20c-0c5dee84777e","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"3a25128b-a66d-4f1c-b9e2-2ec56ce38181","type":"CategoricalAxis"}],"left":[{"id":"1c55e3ca-444b-4f47-bf65-9fe264aeaf69","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"3a25128b-a66d-4f1c-b9e2-2ec56ce38181","type":"CategoricalAxis"},{"id":"d7f692b7-2ff7-4f5f-95be-300c9ce22b6b","type":"Grid"},{"id":"1c55e3ca-444b-4f47-bf65-9fe264aeaf69","type":"LinearAxis"},{"id":"45020d95-5a56-41c4-8b1f-aa9b42d7d78d","type":"Grid"},{"id":"3825f768-8bcb-47aa-a20c-0c5dee84777e","type":"GlyphRenderer"}],"title":{"id":"79750ba0-aa1c-4263-ae69-ace8607a6a4c","type":"Title"},"toolbar":{"id":"b3e38f10-7c54-496c-9cb1-9fb44b50230c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"15969ada-5114-4680-9f39-441f2b9377a5","type":"FactorRange"},"x_scale":{"id":"de2d0987-2355-4b68-88cb-3854477e24d0","type":"CategoricalScale"},"y_range":{"id":"9972da58-302a-4064-8997-1af85e424a08","type":"DataRange1d"},"y_scale":{"id":"c7d73811-4553-4c79-bb72-c2965c2534b6","type":"LinearScale"}},"id":"ecce3f2c-aa53-42a2-b4b5-165712524976","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"ecce3f2c-aa53-42a2-b4b5-165712524976","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba1d1918-09d3-40da-b5f8-a837d1291d66","type":"BasicTicker"}},"id":"45020d95-5a56-41c4-8b1f-aa9b42d7d78d","type":"Grid"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"79750ba0-aa1c-4263-ae69-ace8607a6a4c","type":"Title"},{"attributes":{"formatter":{"id":"d2d7f69e-971b-420b-9d0d-42ef8347309a","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"ecce3f2c-aa53-42a2-b4b5-165712524976","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa26fd71-c94e-4632-bd60-bc7998c74453","type":"CategoricalTicker"}},"id":"3a25128b-a66d-4f1c-b9e2-2ec56ce38181","type":"CategoricalAxis"},{"attributes":{"formatter":{"id":"30329658-4d9d-49df-99cd-a93ff6abb689","type":"BasicTickFormatter"},"plot":{"id":"ecce3f2c-aa53-42a2-b4b5-165712524976","subtype":"Figure","type":"Plot"},"ticker":{"id":"ba1d1918-09d3-40da-b5f8-a837d1291d66","type":"BasicTicker"}},"id":"1c55e3ca-444b-4f47-bf65-9fe264aeaf69","type":"LinearAxis"},{"attributes":{},"id":"fa26fd71-c94e-4632-bd60-bc7998c74453","type":"CategoricalTicker"},{"attributes":{},"id":"c7d73811-4553-4c79-bb72-c2965c2534b6","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"9e9088ec-5a27-4331-8369-73120cebad64","type":"ColumnDataSource"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"ecce3f2c-aa53-42a2-b4b5-165712524976","subtype":"Figure","type":"Plot"},"ticker":{"id":"fa26fd71-c94e-4632-bd60-bc7998c74453","type":"CategoricalTicker"}},"id":"d7f692b7-2ff7-4f5f-95be-300c9ce22b6b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"0addfeaa-1de6-4697-9d69-f31ea31772d2","type":"VBar"},{"attributes":{},"id":"30329658-4d9d-49df-99cd-a93ff6abb689","type":"BasicTickFormatter"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"15969ada-5114-4680-9f39-441f2b9377a5","type":"FactorRange"},{"attributes":{},"id":"ba1d1918-09d3-40da-b5f8-a837d1291d66","type":"BasicTicker"},{"attributes":{"source":{"id":"9e9088ec-5a27-4331-8369-73120cebad64","type":"ColumnDataSource"}},"id":"2da33454-9d10-48be-b9c8-9f6bf4002ffb","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b3e38f10-7c54-496c-9cb1-9fb44b50230c","type":"Toolbar"},{"attributes":{},"id":"d2d7f69e-971b-420b-9d0d-42ef8347309a","type":"CategoricalTickFormatter"}],"root_ids":["ecce3f2c-aa53-42a2-b4b5-165712524976"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a08c3c92-5fa5-467f-9a71-89105b872367","elementid":"453e9abb-f584-452a-8109-f5d51238e5bc","modelid":"ecce3f2c-aa53-42a2-b4b5-165712524976"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
