(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9840c502-3613-48a1-870f-08505554d11e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9840c502-3613-48a1-870f-08505554d11e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e7581fac-3d4b-4fdc-a942-1c830e235793":{"roots":{"references":[{"attributes":{"data_source":{"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"},"glyph":{"id":"505163db-f96d-41d7-998f-e3c79e7d828f","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"08173928-d25d-40a9-8e7f-c5eac5c32530","type":"VBar"},"selection_glyph":null,"view":{"id":"bab6b095-1988-4e01-86ca-eba8aa7e7cbb","type":"CDSView"}},"id":"99b1c615-201f-439a-8ec6-794aab491c89","type":"GlyphRenderer"},{"attributes":{},"id":"7da71487-eedc-44fd-899d-50f04d60172e","type":"CategoricalTickFormatter"},{"attributes":{"range":{"id":"31f5be91-16a4-450b-ae29-e3cc5152193d","type":"FactorRange"},"value":-0.25},"id":"68389c40-4708-4621-b57e-0d01bee01e52","type":"Dodge"},{"attributes":{"below":[{"id":"5810dcd6-fe05-4187-9124-4a585b5c143e","type":"CategoricalAxis"}],"left":[{"id":"f52138f7-a67f-4692-809d-a8f77785aa9e","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"5810dcd6-fe05-4187-9124-4a585b5c143e","type":"CategoricalAxis"},{"id":"d7d641bd-1362-4423-9c3a-757fae398f5c","type":"Grid"},{"id":"f52138f7-a67f-4692-809d-a8f77785aa9e","type":"LinearAxis"},{"id":"dd4c21f6-3d1a-4d5a-9c4f-1f43e20feed2","type":"Grid"},{"id":"e49c5b44-d22e-41cc-a49e-c1c387fab89d","type":"Legend"},{"id":"2e1deb86-2fac-4e28-bc25-706b6cadeee7","type":"GlyphRenderer"},{"id":"99b1c615-201f-439a-8ec6-794aab491c89","type":"GlyphRenderer"},{"id":"733b2339-e6d4-4b10-988d-07d7f8a6b6ee","type":"GlyphRenderer"}],"title":{"id":"7bc7e10b-c769-47ca-b27e-f9cc23f21c0a","type":"Title"},"toolbar":{"id":"9aa06363-6164-47e4-bcd1-6864c877fe78","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"31f5be91-16a4-450b-ae29-e3cc5152193d","type":"FactorRange"},"x_scale":{"id":"4714c538-984a-4e9c-b0e4-d83d2055b342","type":"CategoricalScale"},"y_range":{"id":"00d598e7-4018-43b3-b422-5f09d8cee46c","type":"Range1d"},"y_scale":{"id":"14542513-57ff-448d-9f1a-d68fb4c35a3e","type":"LinearScale"}},"id":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"6b5ebd68-988e-4786-a53e-312ada8fd8d1","type":"Dodge"}}},"id":"08173928-d25d-40a9-8e7f-c5eac5c32530","type":"VBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"31f5be91-16a4-450b-ae29-e3cc5152193d","type":"FactorRange"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"68389c40-4708-4621-b57e-0d01bee01e52","type":"Dodge"}}},"id":"a925846c-4220-4063-8567-ea01857e40d2","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e1ec348-2220-4ee3-bf6d-4400dd763a13","type":"BasicTicker"}},"id":"dd4c21f6-3d1a-4d5a-9c4f-1f43e20feed2","type":"Grid"},{"attributes":{"formatter":{"id":"7da71487-eedc-44fd-899d-50f04d60172e","type":"CategoricalTickFormatter"},"plot":{"id":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5e25dd8-5271-47c6-aadc-ff2702cd18d1","type":"CategoricalTicker"}},"id":"5810dcd6-fe05-4187-9124-4a585b5c143e","type":"CategoricalAxis"},{"attributes":{},"id":"c5e25dd8-5271-47c6-aadc-ff2702cd18d1","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"a94417a1-da84-44b3-8ffd-984cff884edc","type":"BasicTickFormatter"},"plot":{"id":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc","subtype":"Figure","type":"Plot"},"ticker":{"id":"8e1ec348-2220-4ee3-bf6d-4400dd763a13","type":"BasicTicker"}},"id":"f52138f7-a67f-4692-809d-a8f77785aa9e","type":"LinearAxis"},{"attributes":{"source":{"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"}},"id":"b62d8c5a-6e3c-4054-b148-017723527a6d","type":"CDSView"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"733b2339-e6d4-4b10-988d-07d7f8a6b6ee","type":"GlyphRenderer"}]},"id":"fe7f4e65-0330-4262-9797-5744893228d2","type":"LegendItem"},{"attributes":{"source":{"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"}},"id":"bab6b095-1988-4e01-86ca-eba8aa7e7cbb","type":"CDSView"},{"attributes":{},"id":"14542513-57ff-448d-9f1a-d68fb4c35a3e","type":"LinearScale"},{"attributes":{"data_source":{"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"},"glyph":{"id":"dd1cb6da-68d3-481b-bc1a-33955274a9b9","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1f0f0e91-3d58-4436-9060-a1897f0518a5","type":"VBar"},"selection_glyph":null,"view":{"id":"b62d8c5a-6e3c-4054-b148-017723527a6d","type":"CDSView"}},"id":"733b2339-e6d4-4b10-988d-07d7f8a6b6ee","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"68389c40-4708-4621-b57e-0d01bee01e52","type":"Dodge"}}},"id":"dec0feb6-5ada-4c1c-8cba-984618e836e6","type":"VBar"},{"attributes":{"items":[{"id":"f543cab6-cbc2-471c-a3a1-a303d7506400","type":"LegendItem"},{"id":"157e304f-b9a4-46cb-afe9-c759f5bcf398","type":"LegendItem"},{"id":"fe7f4e65-0330-4262-9797-5744893228d2","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc","subtype":"Figure","type":"Plot"}},"id":"e49c5b44-d22e-41cc-a49e-c1c387fab89d","type":"Legend"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"99b1c615-201f-439a-8ec6-794aab491c89","type":"GlyphRenderer"}]},"id":"157e304f-b9a4-46cb-afe9-c759f5bcf398","type":"LegendItem"},{"attributes":{"source":{"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"}},"id":"49734e4b-5197-4655-af55-ea2330f55f58","type":"CDSView"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"2e1deb86-2fac-4e28-bc25-706b6cadeee7","type":"GlyphRenderer"}]},"id":"f543cab6-cbc2-471c-a3a1-a303d7506400","type":"LegendItem"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"9aa06363-6164-47e4-bcd1-6864c877fe78","type":"Toolbar"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"7bc7e10b-c769-47ca-b27e-f9cc23f21c0a","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"0b3b88de-10e6-4656-add3-18f20f718029","type":"Dodge"}}},"id":"1f0f0e91-3d58-4436-9060-a1897f0518a5","type":"VBar"},{"attributes":{},"id":"8e1ec348-2220-4ee3-bf6d-4400dd763a13","type":"BasicTicker"},{"attributes":{"data_source":{"id":"a7be8012-1bb5-41a4-8d5a-0034ccb45929","type":"ColumnDataSource"},"glyph":{"id":"dec0feb6-5ada-4c1c-8cba-984618e836e6","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a925846c-4220-4063-8567-ea01857e40d2","type":"VBar"},"selection_glyph":null,"view":{"id":"49734e4b-5197-4655-af55-ea2330f55f58","type":"CDSView"}},"id":"2e1deb86-2fac-4e28-bc25-706b6cadeee7","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":10},"id":"00d598e7-4018-43b3-b422-5f09d8cee46c","type":"Range1d"},{"attributes":{"range":{"id":"31f5be91-16a4-450b-ae29-e3cc5152193d","type":"FactorRange"},"value":0.25},"id":"0b3b88de-10e6-4656-add3-18f20f718029","type":"Dodge"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"6b5ebd68-988e-4786-a53e-312ada8fd8d1","type":"Dodge"}}},"id":"505163db-f96d-41d7-998f-e3c79e7d828f","type":"VBar"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"0b3b88de-10e6-4656-add3-18f20f718029","type":"Dodge"}}},"id":"dd1cb6da-68d3-481b-bc1a-33955274a9b9","type":"VBar"},{"attributes":{},"id":"a94417a1-da84-44b3-8ffd-984cff884edc","type":"BasicTickFormatter"},{"attributes":{"range":{"id":"31f5be91-16a4-450b-ae29-e3cc5152193d","type":"FactorRange"}},"id":"6b5ebd68-988e-4786-a53e-312ada8fd8d1","type":"Dodge"},{"attributes":{},"id":"4714c538-984a-4e9c-b0e4-d83d2055b342","type":"CategoricalScale"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5e25dd8-5271-47c6-aadc-ff2702cd18d1","type":"CategoricalTicker"}},"id":"d7d641bd-1362-4423-9c3a-757fae398f5c","type":"Grid"}],"root_ids":["3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e7581fac-3d4b-4fdc-a942-1c830e235793","elementid":"9840c502-3613-48a1-870f-08505554d11e","modelid":"3e10ed7f-3e01-4089-ad21-f4a1eb9eaefc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
