(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6c93e413-db95-45ad-86ea-e227ed37ba65");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6c93e413-db95-45ad-86ea-e227ed37ba65' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fde12f35-9dd3-4ae9-b8f9-a2744ce0fde9":{"roots":{"references":[{"attributes":{"label":{"value":"2015 imports"},"renderers":[{"id":"817d9923-2ee6-4056-89e6-6f3cdda7ab2d","type":"GlyphRenderer"}]},"id":"05bd7a7a-4cea-479e-b5a3-825aca73c47c","type":"LegendItem"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"ddd94b1e-bec9-4c63-bc63-cc9ac8e4b241","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"62eb847f-7e98-4494-9c34-fb187a81a848","type":"Stack"}},"y":{"field":"fruits"}},"id":"111196c9-8b30-4d84-b251-56fc67b6ce08","type":"HBar"},{"attributes":{"data_source":{"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"},"glyph":{"id":"3ae94a2d-fb53-469f-989b-b0f92aafca0d","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7172e086-cd81-4352-b696-16cf20725980","type":"HBar"},"selection_glyph":null,"view":{"id":"ba774455-b0f5-49d2-bb0a-f62239f9ab98","type":"CDSView"}},"id":"4f7f24a8-79d5-4051-8028-4b69cdc2d153","type":"GlyphRenderer"},{"attributes":{"fields":["2015","2016"]},"id":"403997c4-be46-416c-95c0-bf163d76bed5","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"ddd94b1e-bec9-4c63-bc63-cc9ac8e4b241","type":"Stack"},{"attributes":{"plot":null,"text":"Fruit import/export, by year"},"id":"3283f76f-d6a4-4a09-9f1d-1f98738b2383","type":"Title"},{"attributes":{"fields":["2015","2016"]},"id":"85343507-3645-499b-9841-970468cf54ea","type":"Stack"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"25449263-e3dc-48d3-a1f9-9c4ce7325b92","type":"PanTool"},{"id":"c7ffe71c-feca-4e07-be24-f720e3810510","type":"WheelZoomTool"},{"id":"d0eb7dc4-e5ec-4c28-ba34-5e92edc05b98","type":"BoxZoomTool"},{"id":"590374a6-840e-40c6-9117-7c3f25fb2ac4","type":"SaveTool"},{"id":"7028287c-5641-45bf-8249-2ccf0660b70f","type":"ResetTool"},{"id":"ba53609e-a1d7-4adc-b3c2-60d30541de68","type":"HelpTool"}]},"id":"fabf9d10-5898-42bf-85f7-23fd2a2e3311","type":"Toolbar"},{"attributes":{"data_source":{"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"},"glyph":{"id":"ce592edf-fa22-44ba-ae82-3de6ba6d2b86","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"111196c9-8b30-4d84-b251-56fc67b6ce08","type":"HBar"},"selection_glyph":null,"view":{"id":"888e6052-0376-4ec1-bd72-4da62032bf7d","type":"CDSView"}},"id":"ca5cd1d6-bdd8-4f78-aa7b-71a696bf8bc3","type":"GlyphRenderer"},{"attributes":{},"id":"c7ffe71c-feca-4e07-be24-f720e3810510","type":"WheelZoomTool"},{"attributes":{},"id":"7028287c-5641-45bf-8249-2ccf0660b70f","type":"ResetTool"},{"attributes":{"callback":null,"end":16,"start":-16},"id":"c8d54ad5-d595-4a26-b1e5-0fa3cf0f005e","type":"Range1d"},{"attributes":{"source":{"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"}},"id":"ba774455-b0f5-49d2-bb0a-f62239f9ab98","type":"CDSView"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[-1,0,-1,-3,-2,-1],"2016":[-2,-1,-3,-1,-2,-2],"2017":[-1,-2,-1,0,-2,-2],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"},{"attributes":{"source":{"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"}},"id":"b2bfecef-0255-4974-9569-f55b342e5357","type":"CDSView"},{"attributes":{},"id":"12ad4be2-a2e3-498d-b63e-18e6b5c67720","type":"CategoricalTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8a5faae0-6042-42de-81a1-1f5ef259193a","type":"BoxAnnotation"},{"attributes":{"label":{"value":"2015 exports"},"renderers":[{"id":"c1b1ab36-8c4c-4737-8c90-b78acc8738de","type":"GlyphRenderer"}]},"id":"7e4cd046-a785-4b79-8061-a67cdc0532d6","type":"LegendItem"},{"attributes":{"fields":["2015","2016"]},"id":"1462b555-bfb9-4c16-97c6-34be92327421","type":"Stack"},{"attributes":{},"id":"25449263-e3dc-48d3-a1f9-9c4ce7325b92","type":"PanTool"},{"attributes":{},"id":"0c784254-548f-47ce-ac41-3fb8b47bdeb8","type":"BasicTicker"},{"attributes":{"fields":["2015"]},"id":"4fa240b6-b81e-47aa-83fa-279b3c63a142","type":"Stack"},{"attributes":{"fill_color":{"value":"#43a2ca"},"height":{"value":0.9},"left":{"expr":{"id":"e3a01c1e-7b72-4b37-b386-f9b1cbe00c28","type":"Stack"}},"line_color":{"value":"#43a2ca"},"right":{"expr":{"id":"c0f3e757-49c8-47cf-87fb-65823e299106","type":"Stack"}},"y":{"field":"fruits"}},"id":"34b28569-6574-4812-be12-d35cc298f42b","type":"HBar"},{"attributes":{"below":[{"id":"39e53df8-02ba-489a-9f46-87aea2391f75","type":"LinearAxis"}],"left":[{"id":"b04410cf-0049-4db1-a50c-82e690a33831","type":"CategoricalAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"39e53df8-02ba-489a-9f46-87aea2391f75","type":"LinearAxis"},{"id":"073cdfad-1475-412a-88f7-bac866978946","type":"Grid"},{"id":"b04410cf-0049-4db1-a50c-82e690a33831","type":"CategoricalAxis"},{"id":"94163e3a-da26-4e7b-a6fb-308e04a9e59f","type":"Grid"},{"id":"8a5faae0-6042-42de-81a1-1f5ef259193a","type":"BoxAnnotation"},{"id":"f7678dee-19f9-42e8-9c59-279ccb3309cf","type":"Legend"},{"id":"c1b1ab36-8c4c-4737-8c90-b78acc8738de","type":"GlyphRenderer"},{"id":"77edce4d-4c46-4874-b14c-ea99d435dfc6","type":"GlyphRenderer"},{"id":"e0a455ef-56fa-42f3-9b30-2ceaa721fc71","type":"GlyphRenderer"},{"id":"817d9923-2ee6-4056-89e6-6f3cdda7ab2d","type":"GlyphRenderer"},{"id":"4f7f24a8-79d5-4051-8028-4b69cdc2d153","type":"GlyphRenderer"},{"id":"ca5cd1d6-bdd8-4f78-aa7b-71a696bf8bc3","type":"GlyphRenderer"}],"title":{"id":"3283f76f-d6a4-4a09-9f1d-1f98738b2383","type":"Title"},"toolbar":{"id":"fabf9d10-5898-42bf-85f7-23fd2a2e3311","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c8d54ad5-d595-4a26-b1e5-0fa3cf0f005e","type":"Range1d"},"x_scale":{"id":"3567efe8-dd91-41f4-9032-788f46896a73","type":"LinearScale"},"y_range":{"id":"dede89d6-f9f1-45a6-9cfe-b9b66b364e3e","type":"FactorRange"},"y_scale":{"id":"ca4da800-b695-4900-ac5d-247eadfe48cc","type":"CategoricalScale"}},"id":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"12ad4be2-a2e3-498d-b63e-18e6b5c67720","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0bae02f4-6aa4-40c7-a46e-8edab3372e48","type":"CategoricalTicker"}},"id":"b04410cf-0049-4db1-a50c-82e690a33831","type":"CategoricalAxis"},{"attributes":{"fields":["2015","2016","2017"]},"id":"62eb847f-7e98-4494-9c34-fb187a81a848","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"e3a01c1e-7b72-4b37-b386-f9b1cbe00c28","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"c0f3e757-49c8-47cf-87fb-65823e299106","type":"Stack"}},"y":{"field":"fruits"}},"id":"29cb583b-7319-4745-8244-a0c0fcd454b4","type":"HBar"},{"attributes":{"overlay":{"id":"8a5faae0-6042-42de-81a1-1f5ef259193a","type":"BoxAnnotation"}},"id":"d0eb7dc4-e5ec-4c28-ba34-5e92edc05b98","type":"BoxZoomTool"},{"attributes":{"source":{"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"}},"id":"65baf637-87e7-44c4-af71-d6ab7fd20dbe","type":"CDSView"},{"attributes":{"fields":["2015"]},"id":"166efb07-0c98-424d-a32b-acf2ff7ccc16","type":"Stack"},{"attributes":{"fields":[]},"id":"a345f625-2073-440c-8c60-14fd0559246e","type":"Stack"},{"attributes":{"label":{"value":"2016 imports"},"renderers":[{"id":"4f7f24a8-79d5-4051-8028-4b69cdc2d153","type":"GlyphRenderer"}]},"id":"3b36f18e-8d04-48c7-a6bc-e4b7a4916df2","type":"LegendItem"},{"attributes":{"items":[{"id":"7e4cd046-a785-4b79-8061-a67cdc0532d6","type":"LegendItem"},{"id":"2467f6a5-1139-42e4-9284-38606b2796e1","type":"LegendItem"},{"id":"560cbc81-faa6-4914-ad1a-2d7323b02a91","type":"LegendItem"},{"id":"05bd7a7a-4cea-479e-b5a3-825aca73c47c","type":"LegendItem"},{"id":"3b36f18e-8d04-48c7-a6bc-e4b7a4916df2","type":"LegendItem"},{"id":"0fbbd63e-b197-40cd-9e38-045ab5f32de8","type":"LegendItem"}],"location":"top_left","plot":{"id":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8","subtype":"Figure","type":"Plot"}},"id":"f7678dee-19f9-42e8-9c59-279ccb3309cf","type":"Legend"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"a345f625-2073-440c-8c60-14fd0559246e","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"166efb07-0c98-424d-a32b-acf2ff7ccc16","type":"Stack"}},"y":{"field":"fruits"}},"id":"43a91f37-0eeb-454e-a41d-0833a5085dea","type":"HBar"},{"attributes":{"data_source":{"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"},"glyph":{"id":"886c3b90-16a3-4df8-a3b0-d9ada63ec8df","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fb2f3c33-da91-479d-b597-db5c712ff67d","type":"HBar"},"selection_glyph":null,"view":{"id":"c4bb30eb-cf17-443f-917b-3f900956ba72","type":"CDSView"}},"id":"77edce4d-4c46-4874-b14c-ea99d435dfc6","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2017 imports"},"renderers":[{"id":"ca5cd1d6-bdd8-4f78-aa7b-71a696bf8bc3","type":"GlyphRenderer"}]},"id":"0fbbd63e-b197-40cd-9e38-045ab5f32de8","type":"LegendItem"},{"attributes":{"plot":{"id":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c784254-548f-47ce-ac41-3fb8b47bdeb8","type":"BasicTicker"}},"id":"073cdfad-1475-412a-88f7-bac866978946","type":"Grid"},{"attributes":{},"id":"0bae02f4-6aa4-40c7-a46e-8edab3372e48","type":"CategoricalTicker"},{"attributes":{},"id":"590374a6-840e-40c6-9117-7c3f25fb2ac4","type":"SaveTool"},{"attributes":{"data_source":{"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"},"glyph":{"id":"2d0a3a53-787d-4415-a88f-db4542e5ab85","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"43a91f37-0eeb-454e-a41d-0833a5085dea","type":"HBar"},"selection_glyph":null,"view":{"id":"15340566-ea64-402f-aad9-b5f8ba4b2204","type":"CDSView"}},"id":"817d9923-2ee6-4056-89e6-6f3cdda7ab2d","type":"GlyphRenderer"},{"attributes":{"source":{"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"}},"id":"c4bb30eb-cf17-443f-917b-3f900956ba72","type":"CDSView"},{"attributes":{"label":{"value":"2016 exports"},"renderers":[{"id":"77edce4d-4c46-4874-b14c-ea99d435dfc6","type":"GlyphRenderer"}]},"id":"2467f6a5-1139-42e4-9284-38606b2796e1","type":"LegendItem"},{"attributes":{"source":{"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"}},"id":"888e6052-0376-4ec1-bd72-4da62032bf7d","type":"CDSView"},{"attributes":{"fill_color":{"value":"#fdbb84"},"height":{"value":0.9},"left":{"expr":{"id":"4fa240b6-b81e-47aa-83fa-279b3c63a142","type":"Stack"}},"line_color":{"value":"#fdbb84"},"right":{"expr":{"id":"1462b555-bfb9-4c16-97c6-34be92327421","type":"Stack"}},"y":{"field":"fruits"}},"id":"3ae94a2d-fb53-469f-989b-b0f92aafca0d","type":"HBar"},{"attributes":{"data_source":{"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"},"glyph":{"id":"34b28569-6574-4812-be12-d35cc298f42b","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"29cb583b-7319-4745-8244-a0c0fcd454b4","type":"HBar"},"selection_glyph":null,"view":{"id":"65baf637-87e7-44c4-af71-d6ab7fd20dbe","type":"CDSView"}},"id":"c1b1ab36-8c4c-4737-8c90-b78acc8738de","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#fee8c8"},"height":{"value":0.9},"left":{"expr":{"id":"ddd94b1e-bec9-4c63-bc63-cc9ac8e4b241","type":"Stack"}},"line_color":{"value":"#fee8c8"},"right":{"expr":{"id":"62eb847f-7e98-4494-9c34-fb187a81a848","type":"Stack"}},"y":{"field":"fruits"}},"id":"ce592edf-fa22-44ba-ae82-3de6ba6d2b86","type":"HBar"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"dede89d6-f9f1-45a6-9cfe-b9b66b364e3e","type":"FactorRange"},{"attributes":{"dimension":1,"grid_line_color":{"value":null},"plot":{"id":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0bae02f4-6aa4-40c7-a46e-8edab3372e48","type":"CategoricalTicker"}},"id":"94163e3a-da26-4e7b-a6fb-308e04a9e59f","type":"Grid"},{"attributes":{},"id":"3567efe8-dd91-41f4-9032-788f46896a73","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#a8ddb5"},"height":{"value":0.9},"left":{"expr":{"id":"2783aad7-fe1c-45aa-8861-445a3b99d00b","type":"Stack"}},"line_color":{"value":"#a8ddb5"},"right":{"expr":{"id":"403997c4-be46-416c-95c0-bf163d76bed5","type":"Stack"}},"y":{"field":"fruits"}},"id":"886c3b90-16a3-4df8-a3b0-d9ada63ec8df","type":"HBar"},{"attributes":{"data_source":{"id":"9518a231-21eb-41aa-a0b0-e1baa0ad8011","type":"ColumnDataSource"},"glyph":{"id":"38a0c68c-80b6-444c-9803-54085fe13097","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"dd426c12-fc21-4037-8489-a845451ee8bb","type":"HBar"},"selection_glyph":null,"view":{"id":"b2bfecef-0255-4974-9569-f55b342e5357","type":"CDSView"}},"id":"e0a455ef-56fa-42f3-9b30-2ceaa721fc71","type":"GlyphRenderer"},{"attributes":{"fields":["2015","2016","2017"]},"id":"ea46495a-0b85-4a3f-8729-6c14d7a22be2","type":"Stack"},{"attributes":{},"id":"ba53609e-a1d7-4adc-b3c2-60d30541de68","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"2783aad7-fe1c-45aa-8861-445a3b99d00b","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"403997c4-be46-416c-95c0-bf163d76bed5","type":"Stack"}},"y":{"field":"fruits"}},"id":"fb2f3c33-da91-479d-b597-db5c712ff67d","type":"HBar"},{"attributes":{"fields":["2015"]},"id":"2783aad7-fe1c-45aa-8861-445a3b99d00b","type":"Stack"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"4fa240b6-b81e-47aa-83fa-279b3c63a142","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"1462b555-bfb9-4c16-97c6-34be92327421","type":"Stack"}},"y":{"field":"fruits"}},"id":"7172e086-cd81-4352-b696-16cf20725980","type":"HBar"},{"attributes":{"source":{"id":"f74d1d4b-1086-4c8e-b510-2accfb2ac461","type":"ColumnDataSource"}},"id":"15340566-ea64-402f-aad9-b5f8ba4b2204","type":"CDSView"},{"attributes":{"formatter":{"id":"424a29ff-9e9e-4c91-a143-a802a87190a5","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0c784254-548f-47ce-ac41-3fb8b47bdeb8","type":"BasicTicker"}},"id":"39e53df8-02ba-489a-9f46-87aea2391f75","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#e34a33"},"height":{"value":0.9},"left":{"expr":{"id":"a345f625-2073-440c-8c60-14fd0559246e","type":"Stack"}},"line_color":{"value":"#e34a33"},"right":{"expr":{"id":"166efb07-0c98-424d-a32b-acf2ff7ccc16","type":"Stack"}},"y":{"field":"fruits"}},"id":"2d0a3a53-787d-4415-a88f-db4542e5ab85","type":"HBar"},{"attributes":{},"id":"424a29ff-9e9e-4c91-a143-a802a87190a5","type":"BasicTickFormatter"},{"attributes":{"fields":[]},"id":"e3a01c1e-7b72-4b37-b386-f9b1cbe00c28","type":"Stack"},{"attributes":{"fill_color":{"value":"#e0f3db"},"height":{"value":0.9},"left":{"expr":{"id":"85343507-3645-499b-9841-970468cf54ea","type":"Stack"}},"line_color":{"value":"#e0f3db"},"right":{"expr":{"id":"ea46495a-0b85-4a3f-8729-6c14d7a22be2","type":"Stack"}},"y":{"field":"fruits"}},"id":"38a0c68c-80b6-444c-9803-54085fe13097","type":"HBar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.9},"left":{"expr":{"id":"85343507-3645-499b-9841-970468cf54ea","type":"Stack"}},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"expr":{"id":"ea46495a-0b85-4a3f-8729-6c14d7a22be2","type":"Stack"}},"y":{"field":"fruits"}},"id":"dd426c12-fc21-4037-8489-a845451ee8bb","type":"HBar"},{"attributes":{"label":{"value":"2017 exports"},"renderers":[{"id":"e0a455ef-56fa-42f3-9b30-2ceaa721fc71","type":"GlyphRenderer"}]},"id":"560cbc81-faa6-4914-ad1a-2d7323b02a91","type":"LegendItem"},{"attributes":{"fields":["2015"]},"id":"c0f3e757-49c8-47cf-87fb-65823e299106","type":"Stack"},{"attributes":{},"id":"ca4da800-b695-4900-ac5d-247eadfe48cc","type":"CategoricalScale"}],"root_ids":["63a851e2-7bd3-4eff-89d1-3993be5e1bb8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fde12f35-9dd3-4ae9-b8f9-a2744ce0fde9","elementid":"6c93e413-db95-45ad-86ea-e227ed37ba65","modelid":"63a851e2-7bd3-4eff-89d1-3993be5e1bb8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
