(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9d6528d8-c3dc-40de-93c8-8cc44d5069be");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9d6528d8-c3dc-40de-93c8-8cc44d5069be' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7b8b2ce0-3a7f-47b0-9178-42028595ea7e":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":["Q1","Q2","Q3","Q4"],"y":[12,9,13,14]}},"id":"5db992ac-d9b4-4a18-bb2a-88767daefa43","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"5db992ac-d9b4-4a18-bb2a-88767daefa43","type":"ColumnDataSource"},"glyph":{"id":"cc728760-3a5c-4602-94ed-d5aaf9444e90","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c733b035-8cec-41cb-b1eb-c22f0dedb563","type":"Line"},"selection_glyph":null,"view":{"id":"63e74216-a0fc-4cd6-be87-06afb5ae46f9","type":"CDSView"}},"id":"f30f12e7-99af-4c36-9087-cf44dbcde269","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"084978bb-f2c2-4116-b43a-cea409eab5d7","type":"BasicTickFormatter"},"plot":{"id":"307bb3b5-4890-4cfc-bc45-9d01fece4163","subtype":"Figure","type":"Plot"},"ticker":{"id":"e700ca05-6484-470e-b5ec-f987a55ebadf","type":"BasicTicker"}},"id":"b94881f0-f6f0-4984-83d8-5cf1780de17d","type":"LinearAxis"},{"attributes":{},"id":"a3bc8d16-c456-49a2-b753-0648924bcd0e","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"89a103ed-249d-44b6-b955-8698949e6550","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"307bb3b5-4890-4cfc-bc45-9d01fece4163","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0f5693c-f722-44dc-85cb-0a9a934dcbd9","type":"CategoricalTicker"}},"id":"b7f84dba-cff5-41f7-a6b6-3023f2dc0eac","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"645b9c40-3c3e-4f89-8190-fe0b7f7d3110","type":"Title"},{"attributes":{},"id":"e700ca05-6484-470e-b5ec-f987a55ebadf","type":"BasicTicker"},{"attributes":{},"id":"fd4308d2-54ee-4473-b100-604b6fddfedd","type":"CategoricalScale"},{"attributes":{"below":[{"id":"9073bea4-ead0-4c30-b5a5-50df444c0311","type":"CategoricalAxis"}],"left":[{"id":"b94881f0-f6f0-4984-83d8-5cf1780de17d","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"9073bea4-ead0-4c30-b5a5-50df444c0311","type":"CategoricalAxis"},{"id":"b7f84dba-cff5-41f7-a6b6-3023f2dc0eac","type":"Grid"},{"id":"b94881f0-f6f0-4984-83d8-5cf1780de17d","type":"LinearAxis"},{"id":"f121414d-28a5-4cff-9165-b131c88889df","type":"Grid"},{"id":"a7d972a0-d0fc-4439-8294-3b2a01647c5f","type":"GlyphRenderer"},{"id":"f30f12e7-99af-4c36-9087-cf44dbcde269","type":"GlyphRenderer"}],"title":{"id":"645b9c40-3c3e-4f89-8190-fe0b7f7d3110","type":"Title"},"toolbar":{"id":"ebcc854c-1a27-4a2c-8083-972ac5c7a6af","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6cee58ec-a71f-4582-b3e6-e3dd406918e0","type":"FactorRange"},"x_scale":{"id":"fd4308d2-54ee-4473-b100-604b6fddfedd","type":"CategoricalScale"},"y_range":{"id":"87bf0b95-11a4-40f0-af87-c51f14274811","type":"DataRange1d"},"y_scale":{"id":"a3bc8d16-c456-49a2-b753-0648924bcd0e","type":"LinearScale"}},"id":"307bb3b5-4890-4cfc-bc45-9d01fece4163","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"start":0},"id":"87bf0b95-11a4-40f0-af87-c51f14274811","type":"DataRange1d"},{"attributes":{"line_color":{"value":"red"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cc728760-3a5c-4602-94ed-d5aaf9444e90","type":"Line"},{"attributes":{"callback":null,"factors":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]],"range_padding":0.1},"id":"6cee58ec-a71f-4582-b3e6-e3dd406918e0","type":"FactorRange"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c733b035-8cec-41cb-b1eb-c22f0dedb563","type":"Line"},{"attributes":{"callback":null,"column_names":["top","x"],"data":{"top":[10,12,16,9,10,8,12,13,14,14,12,16],"x":[["Q1","jan"],["Q1","feb"],["Q1","mar"],["Q2","apr"],["Q2","may"],["Q2","jun"],["Q3","jul"],["Q3","aug"],["Q3","sep"],["Q4","oct"],["Q4","nov"],["Q4","dec"]]}},"id":"67944b91-626a-430f-9a2a-23cdc82c0caf","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"64021529-1411-400c-9d0b-cef0eedbd028","type":"VBar"},{"attributes":{"formatter":{"id":"8dd55ac8-fb3b-4d75-999d-1de982063a25","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"307bb3b5-4890-4cfc-bc45-9d01fece4163","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0f5693c-f722-44dc-85cb-0a9a934dcbd9","type":"CategoricalTicker"}},"id":"9073bea4-ead0-4c30-b5a5-50df444c0311","type":"CategoricalAxis"},{"attributes":{"source":{"id":"5db992ac-d9b4-4a18-bb2a-88767daefa43","type":"ColumnDataSource"}},"id":"63e74216-a0fc-4cd6-be87-06afb5ae46f9","type":"CDSView"},{"attributes":{},"id":"084978bb-f2c2-4116-b43a-cea409eab5d7","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ebcc854c-1a27-4a2c-8083-972ac5c7a6af","type":"Toolbar"},{"attributes":{"data_source":{"id":"67944b91-626a-430f-9a2a-23cdc82c0caf","type":"ColumnDataSource"},"glyph":{"id":"64021529-1411-400c-9d0b-cef0eedbd028","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"89a103ed-249d-44b6-b955-8698949e6550","type":"VBar"},"selection_glyph":null,"view":{"id":"c3edfbb0-c815-4ceb-b4ea-acd84baa1a4c","type":"CDSView"}},"id":"a7d972a0-d0fc-4439-8294-3b2a01647c5f","type":"GlyphRenderer"},{"attributes":{},"id":"d0f5693c-f722-44dc-85cb-0a9a934dcbd9","type":"CategoricalTicker"},{"attributes":{"dimension":1,"plot":{"id":"307bb3b5-4890-4cfc-bc45-9d01fece4163","subtype":"Figure","type":"Plot"},"ticker":{"id":"e700ca05-6484-470e-b5ec-f987a55ebadf","type":"BasicTicker"}},"id":"f121414d-28a5-4cff-9165-b131c88889df","type":"Grid"},{"attributes":{"source":{"id":"67944b91-626a-430f-9a2a-23cdc82c0caf","type":"ColumnDataSource"}},"id":"c3edfbb0-c815-4ceb-b4ea-acd84baa1a4c","type":"CDSView"},{"attributes":{},"id":"8dd55ac8-fb3b-4d75-999d-1de982063a25","type":"CategoricalTickFormatter"}],"root_ids":["307bb3b5-4890-4cfc-bc45-9d01fece4163"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7b8b2ce0-3a7f-47b0-9178-42028595ea7e","elementid":"9d6528d8-c3dc-40de-93c8-8cc44d5069be","modelid":"307bb3b5-4890-4cfc-bc45-9d01fece4163"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
