(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e53addd8-293b-44d6-9629-81250dfcac77");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e53addd8-293b-44d6-9629-81250dfcac77' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cb9bc2c0-1dd9-4b74-b0f6-ef88c55ecac8":{"roots":{"references":[{"attributes":{"data_source":{"id":"15c689e6-7648-48de-8975-9cef50ef2e2c","type":"ColumnDataSource"},"glyph":{"id":"0f8e6e78-1531-4bba-9372-4a8afa4d9cc0","type":"Circle"},"hover_glyph":{"id":"93b42433-3ad7-4ee4-8d6b-f59ac2067368","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"c3da8274-9d94-4f1d-bfd2-b4a3ae9832bd","type":"Circle"},"selection_glyph":null,"view":{"id":"a3a44f08-c496-4a5d-bb13-4d5ee347d654","type":"CDSView"}},"id":"31fa2934-ad74-4ce5-9eed-adfea6fb026d","type":"GlyphRenderer"},{"attributes":{"booleans":[true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true]},"id":"c6206aef-af5b-4c88-8dcc-6bd700f7eb8a","type":"BooleanFilter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5195f8f3-4e7c-45dd-9bd2-6e4cc2941a96","type":"BoxSelectTool"},{"id":"9a33c660-1c58-4416-912f-3e1ac5a9d404","type":"LassoSelectTool"},{"id":"507c1963-347e-4edc-a047-075010ce781d","type":"HoverTool"},{"id":"6f9e9b76-4956-4ced-b9fd-7af78d5623c3","type":"HelpTool"}]},"id":"7ab30bcd-4e99-4591-82ad-91b805558c55","type":"Toolbar"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"5195f8f3-4e7c-45dd-9bd2-6e4cc2941a96","type":"BoxSelectTool"},{"id":"9a33c660-1c58-4416-912f-3e1ac5a9d404","type":"LassoSelectTool"},{"id":"507c1963-347e-4edc-a047-075010ce781d","type":"HoverTool"},{"id":"6f9e9b76-4956-4ced-b9fd-7af78d5623c3","type":"HelpTool"},{"id":"25a8e208-9e18-402e-ab52-e5c599e282ac","type":"BoxSelectTool"},{"id":"0f89a320-575b-4f96-9095-24baf8e0274e","type":"LassoSelectTool"},{"id":"4d22f524-0e29-4a38-8105-4dc13d2f05b3","type":"HoverTool"},{"id":"1767f7c6-0175-44ff-a69c-040e8db47dbc","type":"HelpTool"}]},"id":"793a95f9-0916-4bf1-b4a7-49946022d798","type":"ToolbarBox"},{"attributes":{"below":[{"id":"25e97423-eed4-462e-99f2-d7467a5cd069","type":"LinearAxis"}],"left":[{"id":"c03e84f4-cf67-4ff8-8eae-9e3cb7af8475","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"25e97423-eed4-462e-99f2-d7467a5cd069","type":"LinearAxis"},{"id":"2dc5d0ff-c279-45d9-bec0-3066bc3b8308","type":"Grid"},{"id":"c03e84f4-cf67-4ff8-8eae-9e3cb7af8475","type":"LinearAxis"},{"id":"981c1dc6-9c6e-4bc1-8843-800a68852ec7","type":"Grid"},{"id":"b8b1ed9c-691b-4588-be22-02c39dab08a3","type":"BoxAnnotation"},{"id":"894b882d-154f-4fe7-a0d4-4fc8b352c579","type":"PolyAnnotation"},{"id":"b2e2a9fe-e67a-4896-a212-c05d960ea2e2","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"7ab30bcd-4e99-4591-82ad-91b805558c55","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"59e44158-3c89-4d9e-8723-c9cbacea12a9","type":"DataRange1d"},"x_scale":{"id":"fd637566-185c-4c3c-a3bc-9f7a972fa4fa","type":"LinearScale"},"y_range":{"id":"c879490c-9b78-4f6d-99d6-8918bf8c53a3","type":"DataRange1d"},"y_scale":{"id":"620d41ca-3c76-4da4-a9eb-bd2f0248da58","type":"LinearScale"}},"id":"6e5a4f06-bfcc-4c4c-9323-8b27bbee02ea","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"ba7b02ad-2bf2-474e-947a-c54a747d4541","type":"Circle"},{"attributes":{"callback":null},"id":"4d22f524-0e29-4a38-8105-4dc13d2f05b3","type":"HoverTool"},{"attributes":{"callback":null,"overlay":{"id":"894b882d-154f-4fe7-a0d4-4fc8b352c579","type":"PolyAnnotation"}},"id":"9a33c660-1c58-4416-912f-3e1ac5a9d404","type":"LassoSelectTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9b75a82c-4c61-4dbf-a17a-f7af32d24867","type":"BoxAnnotation"},{"attributes":{"source":{"id":"15c689e6-7648-48de-8975-9cef50ef2e2c","type":"ColumnDataSource"}},"id":"f097182c-b1da-4183-bdc1-d6fe8e14e85d","type":"CDSView"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"93b42433-3ad7-4ee4-8d6b-f59ac2067368","type":"Circle"},{"attributes":{},"id":"d01cbe2f-d589-4d49-8e5c-1f5e9b2e5982","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"6d16e3e8-cd5c-4233-a7c9-76aff4de261c","type":"Circle"},{"attributes":{},"id":"e73cbd2f-fc69-4791-8799-91bf8e4f1242","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"563de2b0-39c5-4805-a4fb-44033ae88af7","type":"PolyAnnotation"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"0f8e6e78-1531-4bba-9372-4a8afa4d9cc0","type":"Circle"},{"attributes":{"data_source":{"id":"15c689e6-7648-48de-8975-9cef50ef2e2c","type":"ColumnDataSource"},"glyph":{"id":"c071dc85-49f3-44ca-843e-3c4ec5bdfc12","type":"Circle"},"hover_glyph":{"id":"ba7b02ad-2bf2-474e-947a-c54a747d4541","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"6d16e3e8-cd5c-4233-a7c9-76aff4de261c","type":"Circle"},"selection_glyph":null,"view":{"id":"f097182c-b1da-4183-bdc1-d6fe8e14e85d","type":"CDSView"}},"id":"b2e2a9fe-e67a-4896-a212-c05d960ea2e2","type":"GlyphRenderer"},{"attributes":{},"id":"8f38bec8-0f07-478c-b94a-ebb61da26a27","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"6e5a4f06-bfcc-4c4c-9323-8b27bbee02ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0a071cd-32c2-49b9-b6ef-8e8f2e9ed52d","type":"BasicTicker"}},"id":"2dc5d0ff-c279-45d9-bec0-3066bc3b8308","type":"Grid"},{"attributes":{},"id":"d9b02724-8f56-4450-9c89-7abf8583bc0b","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b8b1ed9c-691b-4588-be22-02c39dab08a3","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"ab51a822-7d21-4b4f-bcb1-248b9007d6eb","type":"Row"}]},"id":"76776208-0c05-4ad2-b9e6-b2f51c1e1824","type":"Column"},{"attributes":{},"id":"9c4992fa-b413-48f1-bdb5-7c7067c388f8","type":"BasicTickFormatter"},{"attributes":{},"id":"6f9e9b76-4956-4ced-b9fd-7af78d5623c3","type":"HelpTool"},{"attributes":{"children":[{"id":"793a95f9-0916-4bf1-b4a7-49946022d798","type":"ToolbarBox"},{"id":"76776208-0c05-4ad2-b9e6-b2f51c1e1824","type":"Column"}]},"id":"9b209e87-84c2-42df-9189-16961ea4d23a","type":"Column"},{"attributes":{},"id":"c0a071cd-32c2-49b9-b6ef-8e8f2e9ed52d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"d9b02724-8f56-4450-9c89-7abf8583bc0b","type":"BasicTickFormatter"},"plot":{"id":"6e5a4f06-bfcc-4c4c-9323-8b27bbee02ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ca19525-4c4b-4340-b811-cdb5f1ad0314","type":"BasicTicker"}},"id":"c03e84f4-cf67-4ff8-8eae-9e3cb7af8475","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"25a8e208-9e18-402e-ab52-e5c599e282ac","type":"BoxSelectTool"},{"id":"0f89a320-575b-4f96-9095-24baf8e0274e","type":"LassoSelectTool"},{"id":"4d22f524-0e29-4a38-8105-4dc13d2f05b3","type":"HoverTool"},{"id":"1767f7c6-0175-44ff-a69c-040e8db47dbc","type":"HelpTool"}]},"id":"5323d51f-8a85-4d9f-ab80-87de8866de8a","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"c071dc85-49f3-44ca-843e-3c4ec5bdfc12","type":"Circle"},{"attributes":{"children":[{"id":"6e5a4f06-bfcc-4c4c-9323-8b27bbee02ea","subtype":"Figure","type":"Plot"},{"id":"244dec0d-8a75-45ce-b707-47ad283a7fd3","subtype":"Figure","type":"Plot"}]},"id":"ab51a822-7d21-4b4f-bcb1-248b9007d6eb","type":"Row"},{"attributes":{"callback":null},"id":"c879490c-9b78-4f6d-99d6-8918bf8c53a3","type":"DataRange1d"},{"attributes":{"callback":null},"id":"8c7a1d11-d922-4853-94ab-145a667daa17","type":"DataRange1d"},{"attributes":{"formatter":{"id":"9c4992fa-b413-48f1-bdb5-7c7067c388f8","type":"BasicTickFormatter"},"plot":{"id":"6e5a4f06-bfcc-4c4c-9323-8b27bbee02ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"c0a071cd-32c2-49b9-b6ef-8e8f2e9ed52d","type":"BasicTicker"}},"id":"25e97423-eed4-462e-99f2-d7467a5cd069","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"563de2b0-39c5-4805-a4fb-44033ae88af7","type":"PolyAnnotation"}},"id":"0f89a320-575b-4f96-9095-24baf8e0274e","type":"LassoSelectTool"},{"attributes":{},"id":"4ca19525-4c4b-4340-b811-cdb5f1ad0314","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"244dec0d-8a75-45ce-b707-47ad283a7fd3","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5b4842a-a16a-4430-b810-085600dd0a56","type":"BasicTicker"}},"id":"7086cfa1-ba1a-4534-ad48-4fbf05ed5b62","type":"Grid"},{"attributes":{"callback":null},"id":"507c1963-347e-4edc-a047-075010ce781d","type":"HoverTool"},{"attributes":{},"id":"b8c8c593-7a0c-4f04-8f2e-85842482beb4","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"c3da8274-9d94-4f1d-bfd2-b4a3ae9832bd","type":"Circle"},{"attributes":{},"id":"b5b4842a-a16a-4430-b810-085600dd0a56","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"15c689e6-7648-48de-8975-9cef50ef2e2c","type":"ColumnDataSource"},{"attributes":{},"id":"fd637566-185c-4c3c-a3bc-9f7a972fa4fa","type":"LinearScale"},{"attributes":{"filters":[{"id":"c6206aef-af5b-4c88-8dcc-6bd700f7eb8a","type":"BooleanFilter"}],"source":{"id":"15c689e6-7648-48de-8975-9cef50ef2e2c","type":"ColumnDataSource"}},"id":"a3a44f08-c496-4a5d-bb13-4d5ee347d654","type":"CDSView"},{"attributes":{"below":[{"id":"080ee016-400f-43e2-aab6-8a32bdeffc58","type":"LinearAxis"}],"left":[{"id":"1a77e301-533b-439b-b1da-86d116498358","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"080ee016-400f-43e2-aab6-8a32bdeffc58","type":"LinearAxis"},{"id":"95bb1b2f-341c-4723-9020-8a77a06d8caa","type":"Grid"},{"id":"1a77e301-533b-439b-b1da-86d116498358","type":"LinearAxis"},{"id":"7086cfa1-ba1a-4534-ad48-4fbf05ed5b62","type":"Grid"},{"id":"9b75a82c-4c61-4dbf-a17a-f7af32d24867","type":"BoxAnnotation"},{"id":"563de2b0-39c5-4805-a4fb-44033ae88af7","type":"PolyAnnotation"},{"id":"31fa2934-ad74-4ce5-9eed-adfea6fb026d","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"5323d51f-8a85-4d9f-ab80-87de8866de8a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8c7a1d11-d922-4853-94ab-145a667daa17","type":"DataRange1d"},"x_scale":{"id":"d01cbe2f-d589-4d49-8e5c-1f5e9b2e5982","type":"LinearScale"},"y_range":{"id":"12e6da22-6765-4e12-8b5d-96d8284ae86b","type":"DataRange1d"},"y_scale":{"id":"b8c8c593-7a0c-4f04-8f2e-85842482beb4","type":"LinearScale"}},"id":"244dec0d-8a75-45ce-b707-47ad283a7fd3","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"8f38bec8-0f07-478c-b94a-ebb61da26a27","type":"BasicTickFormatter"},"plot":{"id":"244dec0d-8a75-45ce-b707-47ad283a7fd3","subtype":"Figure","type":"Plot"},"ticker":{"id":"e73cbd2f-fc69-4791-8799-91bf8e4f1242","type":"BasicTicker"}},"id":"080ee016-400f-43e2-aab6-8a32bdeffc58","type":"LinearAxis"},{"attributes":{"formatter":{"id":"a340ec1b-7907-465b-8a87-fbdb2b4276ad","type":"BasicTickFormatter"},"plot":{"id":"244dec0d-8a75-45ce-b707-47ad283a7fd3","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5b4842a-a16a-4430-b810-085600dd0a56","type":"BasicTicker"}},"id":"1a77e301-533b-439b-b1da-86d116498358","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"894b882d-154f-4fe7-a0d4-4fc8b352c579","type":"PolyAnnotation"},{"attributes":{},"id":"620d41ca-3c76-4da4-a9eb-bd2f0248da58","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"b8b1ed9c-691b-4588-be22-02c39dab08a3","type":"BoxAnnotation"},"renderers":[{"id":"b2e2a9fe-e67a-4896-a212-c05d960ea2e2","type":"GlyphRenderer"}]},"id":"5195f8f3-4e7c-45dd-9bd2-6e4cc2941a96","type":"BoxSelectTool"},{"attributes":{},"id":"1767f7c6-0175-44ff-a69c-040e8db47dbc","type":"HelpTool"},{"attributes":{"callback":null},"id":"12e6da22-6765-4e12-8b5d-96d8284ae86b","type":"DataRange1d"},{"attributes":{"plot":{"id":"244dec0d-8a75-45ce-b707-47ad283a7fd3","subtype":"Figure","type":"Plot"},"ticker":{"id":"e73cbd2f-fc69-4791-8799-91bf8e4f1242","type":"BasicTicker"}},"id":"95bb1b2f-341c-4723-9020-8a77a06d8caa","type":"Grid"},{"attributes":{"callback":null},"id":"59e44158-3c89-4d9e-8723-c9cbacea12a9","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"6e5a4f06-bfcc-4c4c-9323-8b27bbee02ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ca19525-4c4b-4340-b811-cdb5f1ad0314","type":"BasicTicker"}},"id":"981c1dc6-9c6e-4bc1-8843-800a68852ec7","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"9b75a82c-4c61-4dbf-a17a-f7af32d24867","type":"BoxAnnotation"},"renderers":[{"id":"31fa2934-ad74-4ce5-9eed-adfea6fb026d","type":"GlyphRenderer"}]},"id":"25a8e208-9e18-402e-ab52-e5c599e282ac","type":"BoxSelectTool"},{"attributes":{},"id":"a340ec1b-7907-465b-8a87-fbdb2b4276ad","type":"BasicTickFormatter"}],"root_ids":["9b209e87-84c2-42df-9189-16961ea4d23a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cb9bc2c0-1dd9-4b74-b0f6-ef88c55ecac8","elementid":"e53addd8-293b-44d6-9629-81250dfcac77","modelid":"9b209e87-84c2-42df-9189-16961ea4d23a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
