(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b82b67aa-3c05-4240-954a-7d0b4384e2f1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b82b67aa-3c05-4240-954a-7d0b4384e2f1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fe17dd95-333a-4346-8884-774373eb3a37":{"roots":{"references":[{"attributes":{"children":[{"id":"e354df5a-a0af-46c8-9b7f-4daaebbe5bad","type":"Row"}]},"id":"b71e6f54-9f61-4dfc-8534-2f25ae66b9ca","type":"Column"},{"attributes":{"data_source":{"id":"e52fca61-c60c-4a52-8299-edf36d0b27bd","type":"ColumnDataSource"},"glyph":{"id":"607ba1c9-c8bc-4d7f-a7f0-52adf2c588c3","type":"Circle"},"hover_glyph":{"id":"d1b22647-3e1b-48ea-96d3-24ba735f0d0a","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"c8d2003e-b041-4089-8b49-03e527695880","type":"Circle"},"selection_glyph":null,"view":{"id":"befebfeb-f2f9-455b-940f-25d197433303","type":"CDSView"}},"id":"c7f88cb8-6599-4ae3-af17-7c3df86ef30f","type":"GlyphRenderer"},{"attributes":{},"id":"5d775d04-508b-4946-94d9-85ccd4dc1be8","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"98ebc6ba-8af3-4ea9-bce4-d8bc4a95b855","type":"Title"},{"attributes":{},"id":"95af42af-2417-4e87-a346-8f5a18dd383a","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[1,2,3,4,5]}},"id":"e52fca61-c60c-4a52-8299-edf36d0b27bd","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d05a119c-5381-4211-a725-e16fb70c2d64","type":"BoxSelectTool"},{"id":"cce100d7-0054-4b13-8adf-2bb50b38716a","type":"HoverTool"},{"id":"37f26a87-ad47-482f-8fa4-a9cfea5acbe3","type":"ResetTool"}]},"id":"57a31e46-20f1-45a4-a1ce-416956e9e374","type":"Toolbar"},{"attributes":{"below":[{"id":"2091655f-98ea-4e44-8234-4a26c0d5229a","type":"LinearAxis"}],"left":[{"id":"d887bed6-14d5-478a-8736-1c56456d6079","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"2091655f-98ea-4e44-8234-4a26c0d5229a","type":"LinearAxis"},{"id":"b80ee375-ebed-4e14-8d38-c7cd85b53488","type":"Grid"},{"id":"d887bed6-14d5-478a-8736-1c56456d6079","type":"LinearAxis"},{"id":"128b954e-ecf2-42d2-a0ac-357936f9dc4d","type":"Grid"},{"id":"ca30f224-b7e8-446a-8845-d1a2cd4900dc","type":"BoxAnnotation"},{"id":"b28a0da4-c0af-4c56-a797-a50875932db6","type":"GlyphRenderer"}],"title":{"id":"98310274-050b-490c-830a-1a9d3ad556d6","type":"Title"},"toolbar":{"id":"57a31e46-20f1-45a4-a1ce-416956e9e374","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5c4afe2e-2e5b-45b4-a79b-8fd0c8c9454d","type":"DataRange1d"},"x_scale":{"id":"986c8dcf-50f7-49fc-81c2-f1d7fc1e7eef","type":"LinearScale"},"y_range":{"id":"57958e4a-4ca3-4bab-9f12-50925986a3d8","type":"DataRange1d"},"y_scale":{"id":"9bec1a59-31ba-4caf-b65d-c4358e838613","type":"LinearScale"}},"id":"27e51678-aa99-486a-9a2a-e4330d43c526","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"e6c1c1d4-c4ac-4e26-a53b-407eff2e31b8","type":"DataRange1d"},{"attributes":{"callback":null},"id":"cce100d7-0054-4b13-8adf-2bb50b38716a","type":"HoverTool"},{"attributes":{},"id":"ed0531b6-b9c1-476f-9460-2dd723368241","type":"BasicTicker"},{"attributes":{"data_source":{"id":"e52fca61-c60c-4a52-8299-edf36d0b27bd","type":"ColumnDataSource"},"glyph":{"id":"4d889973-4a4b-48f0-9422-075c79730ba3","type":"Circle"},"hover_glyph":{"id":"82d6e643-c11f-439f-95e9-e2bf4ece5402","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"83cfc91b-562f-4a12-9526-ddf3cb33a80d","type":"Circle"},"selection_glyph":null,"view":{"id":"82802157-25e6-434e-8eb2-f8b7df5ff610","type":"CDSView"}},"id":"b28a0da4-c0af-4c56-a797-a50875932db6","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8052c8a3-b15b-43f7-ad59-46efe7a90992","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"426601dc-7057-4d6a-a5d7-80e9eafd5ba0","type":"BasicTickFormatter"},"plot":{"id":"de56f092-e722-425b-9486-662ca67af9fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3b61977-3009-4103-9f33-dddb2798f0d5","type":"BasicTicker"}},"id":"a449a0d3-9e1d-429b-bcf2-c3081359d5f1","type":"LinearAxis"},{"attributes":{"callback":null},"id":"5c4afe2e-2e5b-45b4-a79b-8fd0c8c9454d","type":"DataRange1d"},{"attributes":{},"id":"6cd0ef7d-a3ea-48ce-b528-aa548e947d17","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"83cfc91b-562f-4a12-9526-ddf3cb33a80d","type":"Circle"},{"attributes":{},"id":"279f8673-e40a-4243-aee9-6d74dc9a6b70","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"98310274-050b-490c-830a-1a9d3ad556d6","type":"Title"},{"attributes":{},"id":"a67acf0b-cd9e-43c4-b506-20a663e7f974","type":"LinearScale"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"82d6e643-c11f-439f-95e9-e2bf4ece5402","type":"Circle"},{"attributes":{},"id":"f3b61977-3009-4103-9f33-dddb2798f0d5","type":"BasicTicker"},{"attributes":{},"id":"37f26a87-ad47-482f-8fa4-a9cfea5acbe3","type":"ResetTool"},{"attributes":{"plot":{"id":"de56f092-e722-425b-9486-662ca67af9fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed0531b6-b9c1-476f-9460-2dd723368241","type":"BasicTicker"}},"id":"52888005-5eef-4eec-a4d8-808807c66f6a","type":"Grid"},{"attributes":{"formatter":{"id":"0bb76b07-dca8-42a2-80a4-3c3ae5d03996","type":"BasicTickFormatter"},"plot":{"id":"27e51678-aa99-486a-9a2a-e4330d43c526","subtype":"Figure","type":"Plot"},"ticker":{"id":"95af42af-2417-4e87-a346-8f5a18dd383a","type":"BasicTicker"}},"id":"2091655f-98ea-4e44-8234-4a26c0d5229a","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"27e51678-aa99-486a-9a2a-e4330d43c526","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6a66b19-f990-44dc-a8a4-5147af0ec1ac","type":"BasicTicker"}},"id":"128b954e-ecf2-42d2-a0ac-357936f9dc4d","type":"Grid"},{"attributes":{"plot":{"id":"27e51678-aa99-486a-9a2a-e4330d43c526","subtype":"Figure","type":"Plot"},"ticker":{"id":"95af42af-2417-4e87-a346-8f5a18dd383a","type":"BasicTicker"}},"id":"b80ee375-ebed-4e14-8d38-c7cd85b53488","type":"Grid"},{"attributes":{"indices":[0,2,4]},"id":"9b9be975-8254-4276-bade-c18b7acf24fe","type":"IndexFilter"},{"attributes":{"source":{"id":"e52fca61-c60c-4a52-8299-edf36d0b27bd","type":"ColumnDataSource"}},"id":"befebfeb-f2f9-455b-940f-25d197433303","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"de56f092-e722-425b-9486-662ca67af9fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3b61977-3009-4103-9f33-dddb2798f0d5","type":"BasicTicker"}},"id":"ee4a3ad2-ebd5-4664-83f4-42de4ceaafaf","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"607ba1c9-c8bc-4d7f-a7f0-52adf2c588c3","type":"Circle"},{"attributes":{},"id":"986c8dcf-50f7-49fc-81c2-f1d7fc1e7eef","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c8d2003e-b041-4089-8b49-03e527695880","type":"Circle"},{"attributes":{"callback":null,"overlay":{"id":"ca30f224-b7e8-446a-8845-d1a2cd4900dc","type":"BoxAnnotation"},"renderers":[{"id":"b28a0da4-c0af-4c56-a797-a50875932db6","type":"GlyphRenderer"}]},"id":"d05a119c-5381-4211-a725-e16fb70c2d64","type":"BoxSelectTool"},{"attributes":{},"id":"0bb76b07-dca8-42a2-80a4-3c3ae5d03996","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"8052c8a3-b15b-43f7-ad59-46efe7a90992","type":"BoxAnnotation"},"renderers":[{"id":"c7f88cb8-6599-4ae3-af17-7c3df86ef30f","type":"GlyphRenderer"}]},"id":"89c536d1-6434-4847-931c-026d4b9f7b38","type":"BoxSelectTool"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d1b22647-3e1b-48ea-96d3-24ba735f0d0a","type":"Circle"},{"attributes":{"formatter":{"id":"6cd0ef7d-a3ea-48ce-b528-aa548e947d17","type":"BasicTickFormatter"},"plot":{"id":"de56f092-e722-425b-9486-662ca67af9fb","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed0531b6-b9c1-476f-9460-2dd723368241","type":"BasicTicker"}},"id":"17e01d06-d313-441d-9468-668ac2b87d06","type":"LinearAxis"},{"attributes":{"callback":null},"id":"4f536a65-bc45-493f-9dbd-1978b262225b","type":"DataRange1d"},{"attributes":{"children":[{"id":"de56f092-e722-425b-9486-662ca67af9fb","subtype":"Figure","type":"Plot"},{"id":"27e51678-aa99-486a-9a2a-e4330d43c526","subtype":"Figure","type":"Plot"}]},"id":"e354df5a-a0af-46c8-9b7f-4daaebbe5bad","type":"Row"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4d889973-4a4b-48f0-9422-075c79730ba3","type":"Circle"},{"attributes":{"callback":null},"id":"c46a423d-fdc9-4613-ba7d-583b0647ce22","type":"HoverTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"89c536d1-6434-4847-931c-026d4b9f7b38","type":"BoxSelectTool"},{"id":"c46a423d-fdc9-4613-ba7d-583b0647ce22","type":"HoverTool"},{"id":"aa641574-8b04-4108-9391-9ad2da84455d","type":"ResetTool"}]},"id":"baeb673c-b02a-4d03-b06e-8655ea49268b","type":"Toolbar"},{"attributes":{"filters":[{"id":"9b9be975-8254-4276-bade-c18b7acf24fe","type":"IndexFilter"}],"source":{"id":"e52fca61-c60c-4a52-8299-edf36d0b27bd","type":"ColumnDataSource"}},"id":"82802157-25e6-434e-8eb2-f8b7df5ff610","type":"CDSView"},{"attributes":{"formatter":{"id":"279f8673-e40a-4243-aee9-6d74dc9a6b70","type":"BasicTickFormatter"},"plot":{"id":"27e51678-aa99-486a-9a2a-e4330d43c526","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6a66b19-f990-44dc-a8a4-5147af0ec1ac","type":"BasicTicker"}},"id":"d887bed6-14d5-478a-8736-1c56456d6079","type":"LinearAxis"},{"attributes":{},"id":"aa641574-8b04-4108-9391-9ad2da84455d","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ca30f224-b7e8-446a-8845-d1a2cd4900dc","type":"BoxAnnotation"},{"attributes":{},"id":"426601dc-7057-4d6a-a5d7-80e9eafd5ba0","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"17e01d06-d313-441d-9468-668ac2b87d06","type":"LinearAxis"}],"left":[{"id":"a449a0d3-9e1d-429b-bcf2-c3081359d5f1","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"17e01d06-d313-441d-9468-668ac2b87d06","type":"LinearAxis"},{"id":"52888005-5eef-4eec-a4d8-808807c66f6a","type":"Grid"},{"id":"a449a0d3-9e1d-429b-bcf2-c3081359d5f1","type":"LinearAxis"},{"id":"ee4a3ad2-ebd5-4664-83f4-42de4ceaafaf","type":"Grid"},{"id":"8052c8a3-b15b-43f7-ad59-46efe7a90992","type":"BoxAnnotation"},{"id":"c7f88cb8-6599-4ae3-af17-7c3df86ef30f","type":"GlyphRenderer"}],"title":{"id":"98ebc6ba-8af3-4ea9-bce4-d8bc4a95b855","type":"Title"},"toolbar":{"id":"baeb673c-b02a-4d03-b06e-8655ea49268b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"4f536a65-bc45-493f-9dbd-1978b262225b","type":"DataRange1d"},"x_scale":{"id":"a67acf0b-cd9e-43c4-b506-20a663e7f974","type":"LinearScale"},"y_range":{"id":"e6c1c1d4-c4ac-4e26-a53b-407eff2e31b8","type":"DataRange1d"},"y_scale":{"id":"5d775d04-508b-4946-94d9-85ccd4dc1be8","type":"LinearScale"}},"id":"de56f092-e722-425b-9486-662ca67af9fb","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f6a66b19-f990-44dc-a8a4-5147af0ec1ac","type":"BasicTicker"},{"attributes":{"children":[{"id":"412878fe-a8e4-40ea-b8cb-03db14297298","type":"ToolbarBox"},{"id":"b71e6f54-9f61-4dfc-8534-2f25ae66b9ca","type":"Column"}]},"id":"905a5fd9-72bf-4e20-80f1-b18ef29fb813","type":"Column"},{"attributes":{},"id":"9bec1a59-31ba-4caf-b65d-c4358e838613","type":"LinearScale"},{"attributes":{"callback":null},"id":"57958e4a-4ca3-4bab-9f12-50925986a3d8","type":"DataRange1d"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"89c536d1-6434-4847-931c-026d4b9f7b38","type":"BoxSelectTool"},{"id":"c46a423d-fdc9-4613-ba7d-583b0647ce22","type":"HoverTool"},{"id":"aa641574-8b04-4108-9391-9ad2da84455d","type":"ResetTool"},{"id":"d05a119c-5381-4211-a725-e16fb70c2d64","type":"BoxSelectTool"},{"id":"cce100d7-0054-4b13-8adf-2bb50b38716a","type":"HoverTool"},{"id":"37f26a87-ad47-482f-8fa4-a9cfea5acbe3","type":"ResetTool"}]},"id":"412878fe-a8e4-40ea-b8cb-03db14297298","type":"ToolbarBox"}],"root_ids":["905a5fd9-72bf-4e20-80f1-b18ef29fb813"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fe17dd95-333a-4346-8884-774373eb3a37","elementid":"b82b67aa-3c05-4240-954a-7d0b4384e2f1","modelid":"905a5fd9-72bf-4e20-80f1-b18ef29fb813"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
