(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("249edc04-e536-423f-8b3f-1c2472efa939");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '249edc04-e536-423f-8b3f-1c2472efa939' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"28374337-9462-404b-b1d9-fc47ea9c9fc0":{"roots":{"references":[{"attributes":{},"id":"bf19d4f4-e733-4ae5-b5a9-876896a7f7bd","type":"BasicTicker"},{"attributes":{},"id":"417ec56d-1f2d-4f1e-87a5-036419efb8c2","type":"WheelZoomTool"},{"attributes":{},"id":"ce3f50c0-80c1-4637-a0a7-d67a21f242b3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"40f8586d-8ee3-42a0-8630-d05dfe826876","type":"BasicTickFormatter"},"plot":{"id":"35f68a09-0079-499c-b65f-5aa8aad53c1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"efcc5268-d329-4f8e-b2d1-ed838bcbf004","type":"BasicTicker"},"visible":false},"id":"62c79ff6-a301-443e-8cb6-b6d416802f64","type":"LinearAxis"},{"attributes":{"callback":null,"end":20000000,"start":-20000000},"id":"29b83e15-f560-406e-abc6-f35605bfdfda","type":"Range1d"},{"attributes":{"plot":{"id":"35f68a09-0079-499c-b65f-5aa8aad53c1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bf19d4f4-e733-4ae5-b5a9-876896a7f7bd","type":"BasicTicker"}},"id":"11c6b111-d7ac-4803-b4b8-bfabcc0b72e6","type":"Grid"},{"attributes":{"formatter":{"id":"ce3f50c0-80c1-4637-a0a7-d67a21f242b3","type":"BasicTickFormatter"},"plot":{"id":"35f68a09-0079-499c-b65f-5aa8aad53c1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bf19d4f4-e733-4ae5-b5a9-876896a7f7bd","type":"BasicTicker"},"visible":false},"id":"64a4c993-b3b2-4e5f-a25a-23765115cf40","type":"LinearAxis"},{"attributes":{"below":[{"id":"64a4c993-b3b2-4e5f-a25a-23765115cf40","type":"LinearAxis"}],"left":[{"id":"62c79ff6-a301-443e-8cb6-b6d416802f64","type":"LinearAxis"}],"renderers":[{"id":"64a4c993-b3b2-4e5f-a25a-23765115cf40","type":"LinearAxis"},{"id":"11c6b111-d7ac-4803-b4b8-bfabcc0b72e6","type":"Grid"},{"id":"62c79ff6-a301-443e-8cb6-b6d416802f64","type":"LinearAxis"},{"id":"074243ac-3b78-4725-aadd-e22078ab5d27","type":"Grid"},{"id":"a3744283-a9c2-4180-ae3c-631f4be5b8cc","type":"TileRenderer"}],"title":{"id":"ffa81027-79bb-4a99-9fc6-886d6f777968","type":"Title"},"toolbar":{"id":"d96b8f59-c6cf-4251-9612-90444341ada8","type":"Toolbar"},"x_range":{"id":"29b83e15-f560-406e-abc6-f35605bfdfda","type":"Range1d"},"x_scale":{"id":"603d1ca7-5233-4c15-b052-fad23437435f","type":"LinearScale"},"y_range":{"id":"62ddc1f0-60e4-4052-bdaf-096e80565551","type":"Range1d"},"y_scale":{"id":"f1581e6b-5f8f-49be-b965-cde9876e1f25","type":"LinearScale"}},"id":"35f68a09-0079-499c-b65f-5aa8aad53c1b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f1581e6b-5f8f-49be-b965-cde9876e1f25","type":"LinearScale"},{"attributes":{"tile_source":{"id":"3c0820a3-aada-476c-9a16-337196b1298c","type":"WMTSTileSource"}},"id":"a3744283-a9c2-4180-ae3c-631f4be5b8cc","type":"TileRenderer"},{"attributes":{},"id":"40f8586d-8ee3-42a0-8630-d05dfe826876","type":"BasicTickFormatter"},{"attributes":{},"id":"85d1be4a-884c-485d-a661-76adc93abcc6","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"ffa81027-79bb-4a99-9fc6-886d6f777968","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"35f68a09-0079-499c-b65f-5aa8aad53c1b","subtype":"Figure","type":"Plot"},"ticker":{"id":"efcc5268-d329-4f8e-b2d1-ed838bcbf004","type":"BasicTicker"}},"id":"074243ac-3b78-4725-aadd-e22078ab5d27","type":"Grid"},{"attributes":{},"id":"603d1ca7-5233-4c15-b052-fad23437435f","type":"LinearScale"},{"attributes":{"attribution":"Map tiles by <a href=\"http://stamen.com\">Stamen Design</a>, under <a href=\"http://creativecommons.org/licenses/by/3.0\">CC BY 3.0</a>.Data by <a href=\"http://openstreetmap.org\">OpenStreetMap</a>, under <a href=\"http://www.openstreetmap.org/copyright\">ODbL</a>","url":"http://tile.stamen.com/toner/{Z}/{X}/{Y}.png"},"id":"3c0820a3-aada-476c-9a16-337196b1298c","type":"WMTSTileSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"85d1be4a-884c-485d-a661-76adc93abcc6","type":"PanTool"},{"id":"417ec56d-1f2d-4f1e-87a5-036419efb8c2","type":"WheelZoomTool"}]},"id":"d96b8f59-c6cf-4251-9612-90444341ada8","type":"Toolbar"},{"attributes":{"callback":null,"end":20000000,"start":-20000000},"id":"62ddc1f0-60e4-4052-bdaf-096e80565551","type":"Range1d"},{"attributes":{},"id":"efcc5268-d329-4f8e-b2d1-ed838bcbf004","type":"BasicTicker"}],"root_ids":["35f68a09-0079-499c-b65f-5aa8aad53c1b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"28374337-9462-404b-b1d9-fc47ea9c9fc0","elementid":"249edc04-e536-423f-8b3f-1c2472efa939","modelid":"35f68a09-0079-499c-b65f-5aa8aad53c1b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
