(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("914bb8a9-6e4f-4329-ae04-2e3c2b81807e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '914bb8a9-6e4f-4329-ae04-2e3c2b81807e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8bee43eb-76be-416c-84e7-2471a2fdc8e0":{"roots":{"references":[{"attributes":{"plot_height":400,"plot_width":400,"renderers":[{"id":"9701ee47-f1d6-4e94-8e2c-d4f61eb30151","type":"BoxAnnotation"},{"id":"690e3b12-972f-4294-9eab-5f52ed1de694","type":"GraphRenderer"}],"title":{"id":"7ad615e8-7d3e-4263-890a-c106c41c4976","type":"Title"},"toolbar":{"id":"625f5e42-de1b-4ac7-823e-274a7b1e138a","type":"Toolbar"},"x_range":{"id":"61766927-904f-462f-aa76-6962e0be370a","type":"Range1d"},"x_scale":{"id":"5557c4bc-a007-4483-85de-27845cf9023e","type":"LinearScale"},"y_range":{"id":"31a45c49-a0fc-4bae-8a00-ecefce24f39e","type":"Range1d"},"y_scale":{"id":"d8efe3be-ce33-4dc4-8e79-31fbe4ea1373","type":"LinearScale"}},"id":"84137637-bb21-4dd9-bc57-2c1e2bc64b56","type":"Plot"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"89f34ea1-0d6b-4a0e-8ab9-29d175a777ab","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"876ab635-2451-411e-811e-0451c7d009c0","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"#abdda4"},"line_width":{"value":5}},"id":"ad558c47-7093-465e-b532-25045fbc0735","type":"MultiLine"},{"attributes":{},"id":"bf7223e5-12ec-4170-bb9a-2ff1b0f2a07e","type":"NodesAndLinkedEdges"},{"attributes":{"callback":null,"tooltips":null},"id":"902b4d9b-0e54-49c2-837e-7e2ab559e4db","type":"HoverTool"},{"attributes":{},"id":"5557c4bc-a007-4483-85de-27845cf9023e","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.8},"line_color":{"value":"#CCCCCC"},"line_width":{"value":5}},"id":"83d01f17-07f0-491a-a293-6952c2bf18e6","type":"MultiLine"},{"attributes":{"source":{"id":"89f34ea1-0d6b-4a0e-8ab9-29d175a777ab","type":"ColumnDataSource"}},"id":"b0b77d33-2122-4e38-8c55-277504cfc96a","type":"CDSView"},{"attributes":{"fill_color":{"value":"#abdda4"},"size":{"units":"screen","value":15}},"id":"d1062526-03cd-4153-8a34-6fbcaba7572f","type":"Circle"},{"attributes":{},"id":"8bc831fc-432f-4c75-992f-55c55eb0d156","type":"EdgesAndLinkedNodes"},{"attributes":{},"id":"d8efe3be-ce33-4dc4-8e79-31fbe4ea1373","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#2b83ba"},"size":{"units":"screen","value":15}},"id":"fcc23532-3817-47b0-8ed0-b5320dbb3d82","type":"Circle"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.9829730996839018,0.18374951781657034],"10":[-0.2736629900720829,0.961825643172819],"11":[-0.44573835577653825,0.8951632913550623],"12":[-0.6026346363792563,0.7980172272802396],"13":[-0.739008917220659,0.6736956436465573],"14":[-0.8502171357296142,0.5264321628773557],"15":[-0.9324722294043558,0.36124166618715287],"16":[-0.9829730996839018,0.18374951781657037],"17":[-1.0,1.2246467991473532e-16],"18":[-0.9829730996839018,-0.18374951781657015],"19":[-0.9324722294043557,-0.3612416661871531],"2":[0.9324722294043558,0.3612416661871529],"20":[-0.8502171357296141,-0.5264321628773558],"21":[-0.7390089172206591,-0.6736956436465572],"22":[-0.6026346363792565,-0.7980172272802394],"23":[-0.44573835577653803,-0.8951632913550625],"24":[-0.2736629900720831,-0.961825643172819],"25":[-0.0922683594633019,-0.9957341762950346],"26":[0.09226835946330156,-0.9957341762950346],"27":[0.2736629900720828,-0.961825643172819],"28":[0.44573835577653853,-0.8951632913550622],"29":[0.6026346363792562,-0.7980172272802397],"3":[0.8502171357296142,0.5264321628773557],"30":[0.7390089172206591,-0.6736956436465571],"31":[0.850217135729614,-0.5264321628773562],"32":[0.9324722294043558,-0.361241666187153],"33":[0.9829730996839018,-0.18374951781657006],"4":[0.7390089172206591,0.6736956436465572],"5":[0.6026346363792564,0.7980172272802395],"6":[0.4457383557765383,0.8951632913550623],"7":[0.2736629900720828,0.961825643172819],"8":[0.092268359463302,0.9957341762950345],"9":[-0.09226835946330189,0.9957341762950346]}},"id":"7b4d5b97-bc84-4b9c-aa6c-983819432523","type":"StaticLayoutProvider"},{"attributes":{"fill_color":{"value":"#fdae61"},"size":{"units":"screen","value":15}},"id":"5db1dc86-1bdb-4904-a587-1fb5a9ea7d08","type":"Circle"},{"attributes":{"edge_renderer":{"id":"60ac356f-8958-457d-b9dd-92d2b3dc1beb","type":"GlyphRenderer"},"inspection_policy":{"id":"8bc831fc-432f-4c75-992f-55c55eb0d156","type":"EdgesAndLinkedNodes"},"layout_provider":{"id":"7b4d5b97-bc84-4b9c-aa6c-983819432523","type":"StaticLayoutProvider"},"node_renderer":{"id":"4b35f73b-6c3f-405d-87cb-dac4f6262849","type":"GlyphRenderer"},"selection_policy":{"id":"bf7223e5-12ec-4170-bb9a-2ff1b0f2a07e","type":"NodesAndLinkedEdges"}},"id":"690e3b12-972f-4294-9eab-5f52ed1de694","type":"GraphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9701ee47-f1d6-4e94-8e2c-d4f61eb30151","type":"BoxAnnotation"},{"attributes":{"line_color":{"value":"#fdae61"},"line_width":{"value":5}},"id":"72ea617c-e4ce-4ee2-a3fd-cf73080c26fd","type":"MultiLine"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"902b4d9b-0e54-49c2-837e-7e2ab559e4db","type":"HoverTool"},{"id":"62944d56-e7c3-4051-8f36-ad4d476ee84d","type":"TapTool"},{"id":"adc9e3d1-0f12-4827-b4f2-f70bed1a1912","type":"BoxSelectTool"}]},"id":"625f5e42-de1b-4ac7-823e-274a7b1e138a","type":"Toolbar"},{"attributes":{"data_source":{"id":"89f34ea1-0d6b-4a0e-8ab9-29d175a777ab","type":"ColumnDataSource"},"glyph":{"id":"fcc23532-3817-47b0-8ed0-b5320dbb3d82","type":"Circle"},"hover_glyph":{"id":"d1062526-03cd-4153-8a34-6fbcaba7572f","type":"Circle"},"muted_glyph":null,"selection_glyph":{"id":"5db1dc86-1bdb-4904-a587-1fb5a9ea7d08","type":"Circle"},"view":{"id":"b0b77d33-2122-4e38-8c55-277504cfc96a","type":"CDSView"}},"id":"4b35f73b-6c3f-405d-87cb-dac4f6262849","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"62944d56-e7c3-4051-8f36-ad4d476ee84d","type":"TapTool"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"31a45c49-a0fc-4bae-8a00-ecefce24f39e","type":"Range1d"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"61766927-904f-462f-aa76-6962e0be370a","type":"Range1d"},{"attributes":{"plot":null,"text":"Graph Interaction Demonstration"},"id":"7ad615e8-7d3e-4263-890a-c106c41c4976","type":"Title"},{"attributes":{"data_source":{"id":"876ab635-2451-411e-811e-0451c7d009c0","type":"ColumnDataSource"},"glyph":{"id":"83d01f17-07f0-491a-a293-6952c2bf18e6","type":"MultiLine"},"hover_glyph":{"id":"ad558c47-7093-465e-b532-25045fbc0735","type":"MultiLine"},"muted_glyph":null,"selection_glyph":{"id":"72ea617c-e4ce-4ee2-a3fd-cf73080c26fd","type":"MultiLine"},"view":{"id":"1651bb0a-c490-4a74-997a-e4ba89467def","type":"CDSView"}},"id":"60ac356f-8958-457d-b9dd-92d2b3dc1beb","type":"GlyphRenderer"},{"attributes":{"callback":null,"overlay":{"id":"9701ee47-f1d6-4e94-8e2c-d4f61eb30151","type":"BoxAnnotation"}},"id":"adc9e3d1-0f12-4827-b4f2-f70bed1a1912","type":"BoxSelectTool"},{"attributes":{"source":{"id":"876ab635-2451-411e-811e-0451c7d009c0","type":"ColumnDataSource"}},"id":"1651bb0a-c490-4a74-997a-e4ba89467def","type":"CDSView"}],"root_ids":["84137637-bb21-4dd9-bc57-2c1e2bc64b56"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8bee43eb-76be-416c-84e7-2471a2fdc8e0","elementid":"914bb8a9-6e4f-4329-ae04-2e3c2b81807e","modelid":"84137637-bb21-4dd9-bc57-2c1e2bc64b56"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
