(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("911d2826-c049-453e-97f9-222119d604ce");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '911d2826-c049-453e-97f9-222119d604ce' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7abdc476-4bbe-494c-9414-c02c8c3a9ab0":{"roots":{"references":[{"attributes":{},"id":"b9213c82-b799-4b50-a955-0069973155fa","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"f458db80-2601-4c72-a0ca-4875eaf1c19b","type":"WidgetBox"},{"id":"44e7fae4-fca1-44f6-b41f-b7a4b83f2ce7","subtype":"Figure","type":"Plot"}]},"id":"6f979123-67dc-4c09-9d3f-858a8d73514c","type":"Column"},{"attributes":{"callback":null},"id":"c92d0bd2-301e-4a60-8071-c1aaf80fb5fc","type":"DataRange1d"},{"attributes":{},"id":"e67cea52-7e62-45a9-9cc2-9252d14bc1b2","type":"LinearScale"},{"attributes":{},"id":"90b2c78d-1d60-4e76-9104-82502f45e348","type":"SaveTool"},{"attributes":{"overlay":{"id":"e86571ba-6c8f-4498-9646-fc4fabdb94d9","type":"BoxAnnotation"}},"id":"02d5f867-b95e-4b1e-b014-51b51b3b490f","type":"BoxZoomTool"},{"attributes":{},"id":"7aa5f4f5-5c71-48fe-8e8d-4e65c2c58869","type":"HelpTool"},{"attributes":{"callback":null,"end":4,"js_property_callbacks":{"change:value":[{"id":"7065903b-9c01-4a06-9124-002b30f3fc3f","type":"CustomJS"}]},"start":0.1,"step":0.1,"title":"power","value":1},"id":"8f8cbdc7-a936-4308-a072-c7026df7ed77","type":"Slider"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0e2761a-635b-47f1-baa3-9624f68e2a8a","type":"Line"},{"attributes":{"data_source":{"id":"308da7b8-7ad1-4bc2-abb7-60a86ff8bde7","type":"ColumnDataSource"},"glyph":{"id":"b0e2761a-635b-47f1-baa3-9624f68e2a8a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7008fbe7-99b7-4dc5-9c40-3eaf80848429","type":"Line"},"selection_glyph":null,"view":{"id":"62239d04-160e-4cc2-b2ec-9adf39968840","type":"CDSView"}},"id":"b6ee681c-357b-4592-90d5-42c5bee9eb8a","type":"GlyphRenderer"},{"attributes":{},"id":"6bf2f081-4936-4578-a099-49dab8f26ea9","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"44e7fae4-fca1-44f6-b41f-b7a4b83f2ce7","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b42eabe-5bd3-40a2-b3ed-5fee7e7258de","type":"BasicTicker"}},"id":"30d28f96-9ce0-4686-a4b9-35f0bf57fb48","type":"Grid"},{"attributes":{"plot":{"id":"44e7fae4-fca1-44f6-b41f-b7a4b83f2ce7","subtype":"Figure","type":"Plot"},"ticker":{"id":"6bf2f081-4936-4578-a099-49dab8f26ea9","type":"BasicTicker"}},"id":"96a338e7-0c08-4333-8f6f-e1685e2d6f94","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e86571ba-6c8f-4498-9646-fc4fabdb94d9","type":"BoxAnnotation"},{"attributes":{},"id":"a107b159-8a68-4f5c-9142-f1559b51c0e6","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ca638725-611d-4bd8-ad42-5495f8daa126","type":"PanTool"},{"id":"8f366240-6022-4767-838b-639605b69934","type":"WheelZoomTool"},{"id":"02d5f867-b95e-4b1e-b014-51b51b3b490f","type":"BoxZoomTool"},{"id":"90b2c78d-1d60-4e76-9104-82502f45e348","type":"SaveTool"},{"id":"8a1eeac6-0247-4258-9e89-f7814ae75bb4","type":"ResetTool"},{"id":"7aa5f4f5-5c71-48fe-8e8d-4e65c2c58869","type":"HelpTool"}]},"id":"c50703b6-b0da-48a0-8e79-002c4809f528","type":"Toolbar"},{"attributes":{},"id":"8f366240-6022-4767-838b-639605b69934","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"73204505-1af8-4371-9f42-3987c24e4d7c","type":"Title"},{"attributes":{"formatter":{"id":"a107b159-8a68-4f5c-9142-f1559b51c0e6","type":"BasicTickFormatter"},"plot":{"id":"44e7fae4-fca1-44f6-b41f-b7a4b83f2ce7","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b42eabe-5bd3-40a2-b3ed-5fee7e7258de","type":"BasicTicker"}},"id":"29a0b93c-8e2a-4683-a259-9b45b6ac705e","type":"LinearAxis"},{"attributes":{},"id":"ca638725-611d-4bd8-ad42-5495f8daa126","type":"PanTool"},{"attributes":{},"id":"8a1eeac6-0247-4258-9e89-f7814ae75bb4","type":"ResetTool"},{"attributes":{"args":{"source":{"id":"308da7b8-7ad1-4bc2-abb7-60a86ff8bde7","type":"ColumnDataSource"}},"code":"\n    var data = source.data;\n    var f = cb_obj.value\n    x = data['x']\n    y = data['y']\n    for (i = 0; i < x.length; i++) {\n        y[i] = Math.pow(x[i], f)\n    }\n    source.change.emit();\n"},"id":"7065903b-9c01-4a06-9124-002b30f3fc3f","type":"CustomJS"},{"attributes":{"children":[{"id":"8f8cbdc7-a936-4308-a072-c7026df7ed77","type":"Slider"}]},"id":"f458db80-2601-4c72-a0ca-4875eaf1c19b","type":"WidgetBox"},{"attributes":{"formatter":{"id":"b9213c82-b799-4b50-a955-0069973155fa","type":"BasicTickFormatter"},"plot":{"id":"44e7fae4-fca1-44f6-b41f-b7a4b83f2ce7","subtype":"Figure","type":"Plot"},"ticker":{"id":"6bf2f081-4936-4578-a099-49dab8f26ea9","type":"BasicTicker"}},"id":"793987f0-ed9a-429e-aab1-441f79f30f03","type":"LinearAxis"},{"attributes":{"callback":null},"id":"5e73d3e9-bf6d-427d-b863-5ae224417dc6","type":"DataRange1d"},{"attributes":{},"id":"6b42eabe-5bd3-40a2-b3ed-5fee7e7258de","type":"BasicTicker"},{"attributes":{"below":[{"id":"793987f0-ed9a-429e-aab1-441f79f30f03","type":"LinearAxis"}],"left":[{"id":"29a0b93c-8e2a-4683-a259-9b45b6ac705e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"793987f0-ed9a-429e-aab1-441f79f30f03","type":"LinearAxis"},{"id":"96a338e7-0c08-4333-8f6f-e1685e2d6f94","type":"Grid"},{"id":"29a0b93c-8e2a-4683-a259-9b45b6ac705e","type":"LinearAxis"},{"id":"30d28f96-9ce0-4686-a4b9-35f0bf57fb48","type":"Grid"},{"id":"e86571ba-6c8f-4498-9646-fc4fabdb94d9","type":"BoxAnnotation"},{"id":"b6ee681c-357b-4592-90d5-42c5bee9eb8a","type":"GlyphRenderer"}],"title":{"id":"73204505-1af8-4371-9f42-3987c24e4d7c","type":"Title"},"toolbar":{"id":"c50703b6-b0da-48a0-8e79-002c4809f528","type":"Toolbar"},"x_range":{"id":"5e73d3e9-bf6d-427d-b863-5ae224417dc6","type":"DataRange1d"},"x_scale":{"id":"002a86a0-95ba-414d-bbd7-245fa260701f","type":"LinearScale"},"y_range":{"id":"c92d0bd2-301e-4a60-8071-c1aaf80fb5fc","type":"DataRange1d"},"y_scale":{"id":"e67cea52-7e62-45a9-9cc2-9252d14bc1b2","type":"LinearScale"}},"id":"44e7fae4-fca1-44f6-b41f-b7a4b83f2ce7","subtype":"Figure","type":"Plot"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"7008fbe7-99b7-4dc5-9c40-3eaf80848429","type":"Line"},{"attributes":{"source":{"id":"308da7b8-7ad1-4bc2-abb7-60a86ff8bde7","type":"ColumnDataSource"}},"id":"62239d04-160e-4cc2-b2ec-9adf39968840","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"308da7b8-7ad1-4bc2-abb7-60a86ff8bde7","type":"ColumnDataSource"},{"attributes":{},"id":"002a86a0-95ba-414d-bbd7-245fa260701f","type":"LinearScale"}],"root_ids":["6f979123-67dc-4c09-9d3f-858a8d73514c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7abdc476-4bbe-494c-9414-c02c8c3a9ab0","elementid":"911d2826-c049-453e-97f9-222119d604ce","modelid":"6f979123-67dc-4c09-9d3f-858a8d73514c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
