(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3aa8e849-6749-4fa2-8c09-1aa078135818");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3aa8e849-6749-4fa2-8c09-1aa078135818' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7cfe5988-8fad-4189-b3e0-47bf5ea8cd5c":{"roots":{"references":[{"attributes":{},"id":"d9574b97-7094-4ddf-be7b-bf9281836d4c","type":"ResetTool"},{"attributes":{"plot":null,"text":""},"id":"2e4779f8-436c-4397-b1f5-662e261fa360","type":"Title"},{"attributes":{},"id":"7c0db607-6f22-48af-98de-9ab96c4a8a3a","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"249a1d62-d1a9-44fd-97d8-8b19aa3e6025","type":"Line"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"f51e7eb8-4c25-4092-9e76-afe293650cf8","type":"Line"},{"attributes":{},"id":"68126676-44ba-440b-9641-4807ece1cfc7","type":"LinearScale"},{"attributes":{},"id":"9e7b4c04-cc4f-46ad-82c6-7c62d9cc1ea5","type":"BasicTicker"},{"attributes":{},"id":"a6260349-25f8-404a-89b7-df2d2297f56d","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2151ec2c-804e-485a-a16f-bcbf5ac67cc9","type":"BoxAnnotation"},{"attributes":{},"id":"ac16d60b-e3b0-4773-ae0c-7f139ba62a69","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"0004cbab-3a85-440c-a4a5-1bfd96f3d71b","type":"DataRange1d"},{"attributes":{"formatter":{"id":"92346941-6ce7-4be0-b85b-88dfb2b0a155","type":"BasicTickFormatter"},"plot":{"id":"414b4a82-19bf-488f-bfa6-53abc524640e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e7b4c04-cc4f-46ad-82c6-7c62d9cc1ea5","type":"BasicTicker"}},"id":"e655d886-07ff-4186-8e85-4d907faa1196","type":"LinearAxis"},{"attributes":{"overlay":{"id":"2151ec2c-804e-485a-a16f-bcbf5ac67cc9","type":"BoxAnnotation"}},"id":"140916f2-4140-4303-b610-dfb20efd6106","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"409be1a3-5b97-4dfe-a73d-349fd5782293","type":"LinearAxis"}],"left":[{"id":"e655d886-07ff-4186-8e85-4d907faa1196","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"409be1a3-5b97-4dfe-a73d-349fd5782293","type":"LinearAxis"},{"id":"4a59d57f-7b48-4b12-aff3-28e26ac19115","type":"Grid"},{"id":"e655d886-07ff-4186-8e85-4d907faa1196","type":"LinearAxis"},{"id":"25a97e71-8e07-4e55-832d-3accfa674354","type":"Grid"},{"id":"2151ec2c-804e-485a-a16f-bcbf5ac67cc9","type":"BoxAnnotation"},{"id":"b46b5591-d11d-4460-9cae-ca09ba898b86","type":"GlyphRenderer"}],"title":{"id":"2e4779f8-436c-4397-b1f5-662e261fa360","type":"Title"},"toolbar":{"id":"1ca0b433-cbc0-46a4-a1aa-60c9c5d07c4c","type":"Toolbar"},"x_range":{"id":"0004cbab-3a85-440c-a4a5-1bfd96f3d71b","type":"DataRange1d"},"x_scale":{"id":"68126676-44ba-440b-9641-4807ece1cfc7","type":"LinearScale"},"y_range":{"id":"ce5a121b-dcf0-4017-8e73-5fd3450ce2cd","type":"DataRange1d"},"y_scale":{"id":"01e9f76a-ff7d-4cc4-bd49-fb005499a73c","type":"LinearScale"}},"id":"414b4a82-19bf-488f-bfa6-53abc524640e","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"a4356dc5-d23f-443e-810d-6ffd966f78bd","type":"WidgetBox"},{"id":"414b4a82-19bf-488f-bfa6-53abc524640e","subtype":"Figure","type":"Plot"}]},"id":"c7e7615b-3fd5-4aae-8ce4-cf3553773c99","type":"Column"},{"attributes":{},"id":"f6f9961e-6521-4280-ae4a-aaaaab1cc203","type":"PanTool"},{"attributes":{},"id":"468b2a77-2a35-4a39-96ac-74f32f4ecc84","type":"HelpTool"},{"attributes":{},"id":"92346941-6ce7-4be0-b85b-88dfb2b0a155","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"414b4a82-19bf-488f-bfa6-53abc524640e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c0db607-6f22-48af-98de-9ab96c4a8a3a","type":"BasicTicker"}},"id":"4a59d57f-7b48-4b12-aff3-28e26ac19115","type":"Grid"},{"attributes":{"callback":null},"id":"ce5a121b-dcf0-4017-8e73-5fd3450ce2cd","type":"DataRange1d"},{"attributes":{"callback":{"id":"518353d8-9fb5-4fe2-9563-ed6061d348d3","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"dfcb9ab0-df2e-4180-977b-1a78d33be735","type":"Slider"},{"attributes":{},"id":"94cc9643-599e-4f8f-bcac-7d8bdf5e9477","type":"SaveTool"},{"attributes":{"children":[{"id":"dfcb9ab0-df2e-4180-977b-1a78d33be735","type":"Slider"}]},"id":"a4356dc5-d23f-443e-810d-6ffd966f78bd","type":"WidgetBox"},{"attributes":{"data_source":{"id":"6f72f18c-118a-4db5-8d82-604632bf1937","type":"ColumnDataSource"},"glyph":{"id":"f51e7eb8-4c25-4092-9e76-afe293650cf8","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"249a1d62-d1a9-44fd-97d8-8b19aa3e6025","type":"Line"},"selection_glyph":null,"view":{"id":"c7ea9f67-84c1-46ca-b4db-0e4462e1762b","type":"CDSView"}},"id":"b46b5591-d11d-4460-9cae-ca09ba898b86","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"ac16d60b-e3b0-4773-ae0c-7f139ba62a69","type":"BasicTickFormatter"},"plot":{"id":"414b4a82-19bf-488f-bfa6-53abc524640e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7c0db607-6f22-48af-98de-9ab96c4a8a3a","type":"BasicTicker"}},"id":"409be1a3-5b97-4dfe-a73d-349fd5782293","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"414b4a82-19bf-488f-bfa6-53abc524640e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9e7b4c04-cc4f-46ad-82c6-7c62d9cc1ea5","type":"BasicTicker"}},"id":"25a97e71-8e07-4e55-832d-3accfa674354","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"6f72f18c-118a-4db5-8d82-604632bf1937","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f6f9961e-6521-4280-ae4a-aaaaab1cc203","type":"PanTool"},{"id":"a6260349-25f8-404a-89b7-df2d2297f56d","type":"WheelZoomTool"},{"id":"140916f2-4140-4303-b610-dfb20efd6106","type":"BoxZoomTool"},{"id":"94cc9643-599e-4f8f-bcac-7d8bdf5e9477","type":"SaveTool"},{"id":"d9574b97-7094-4ddf-be7b-bf9281836d4c","type":"ResetTool"},{"id":"468b2a77-2a35-4a39-96ac-74f32f4ecc84","type":"HelpTool"}]},"id":"1ca0b433-cbc0-46a4-a1aa-60c9c5d07c4c","type":"Toolbar"},{"attributes":{"source":{"id":"6f72f18c-118a-4db5-8d82-604632bf1937","type":"ColumnDataSource"}},"id":"c7ea9f67-84c1-46ca-b4db-0e4462e1762b","type":"CDSView"},{"attributes":{},"id":"01e9f76a-ff7d-4cc4-bd49-fb005499a73c","type":"LinearScale"},{"attributes":{"args":{"source":{"id":"6f72f18c-118a-4db5-8d82-604632bf1937","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"518353d8-9fb5-4fe2-9563-ed6061d348d3","type":"CustomJS"}],"root_ids":["c7e7615b-3fd5-4aae-8ce4-cf3553773c99"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7cfe5988-8fad-4189-b3e0-47bf5ea8cd5c","elementid":"3aa8e849-6749-4fa2-8c09-1aa078135818","modelid":"c7e7615b-3fd5-4aae-8ce4-cf3553773c99"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
