(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c4a73c64-d580-4ea4-be29-f2ba4580ee28");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c4a73c64-d580-4ea4-be29-f2ba4580ee28' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"88471590-4718-4909-a407-cee25b006c03":{"roots":{"references":[{"attributes":{},"id":"2a9cc2f6-3871-4071-85f7-781551c1c4d2","type":"BasicTicker"},{"attributes":{"children":[{"id":"86ae029f-b3e6-4285-b315-65b5caf5b865","subtype":"Figure","type":"Plot"},{"id":"4b5efd00-d584-4227-9016-e3b218a9ef1c","subtype":"Figure","type":"Plot"}]},"id":"0a21f2bf-a0be-4385-b4e9-41a63dba4faa","type":"Row"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"dee2986c-f1c8-49f4-943c-dc6e45f11010","type":"PolyAnnotation"},{"attributes":{},"id":"f2611408-4d77-44e8-8582-dad014ebf370","type":"BasicTickFormatter"},{"attributes":{},"id":"4866a706-0319-4336-8a6b-491a433d4831","type":"LinearScale"},{"attributes":{},"id":"4695127d-0d38-4d5e-bc8d-39f4aa03af44","type":"LinearScale"},{"attributes":{"formatter":{"id":"f2611408-4d77-44e8-8582-dad014ebf370","type":"BasicTickFormatter"},"plot":{"id":"4b5efd00-d584-4227-9016-e3b218a9ef1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5128078a-9600-48a7-832a-99a600c5df40","type":"BasicTicker"}},"id":"0f5dc19d-b219-46fd-9fea-f3675db84eba","type":"LinearAxis"},{"attributes":{},"id":"5d621f71-64fb-4d9e-98f9-f85496b3f2be","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"b22f43d7-887c-4510-934b-00e914f4ee78","type":"Toolbar"},{"attributes":{},"id":"a22e5ec3-1523-47ee-865f-0dc10e85c33e","type":"LinearScale"},{"attributes":{"formatter":{"id":"0785091a-fc40-49ea-88f3-6455c65c441c","type":"BasicTickFormatter"},"plot":{"id":"4b5efd00-d584-4227-9016-e3b218a9ef1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d621f71-64fb-4d9e-98f9-f85496b3f2be","type":"BasicTicker"}},"id":"6bce98ac-7658-41b3-bef4-f051ad2badcb","type":"LinearAxis"},{"attributes":{},"id":"0785091a-fc40-49ea-88f3-6455c65c441c","type":"BasicTickFormatter"},{"attributes":{},"id":"d1d4bbbf-1a54-41e1-91a0-888639b6ae46","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Select Here"},"id":"e325544f-987e-4b4f-bd0d-f47000730f46","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"947a5665-676b-4c0d-86b6-7b285af2856b","type":"Circle"},{"attributes":{"source":{"id":"89d28c16-caa4-4e06-93d8-64f4785b0e36","type":"ColumnDataSource"}},"id":"487ecd3b-b154-4943-90ea-7015940ff515","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4c15201f-a908-453a-9e5b-49df09f1157c","type":"LassoSelectTool"}]},"id":"26503abd-5fe7-4298-ad8d-7cb1e1612776","type":"Toolbar"},{"attributes":{"source":{"id":"3a491f8d-a90a-4bc3-9550-abea4768a49b","type":"ColumnDataSource"}},"id":"d1aa7dff-edd1-4fab-890a-5defabc21b6c","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"86ae029f-b3e6-4285-b315-65b5caf5b865","subtype":"Figure","type":"Plot"},"ticker":{"id":"383ebdfd-7693-47d4-94d9-af363a19b480","type":"BasicTicker"}},"id":"dd69120a-606f-4e6c-bfc7-652b62471bd0","type":"Grid"},{"attributes":{"formatter":{"id":"d1d4bbbf-1a54-41e1-91a0-888639b6ae46","type":"BasicTickFormatter"},"plot":{"id":"86ae029f-b3e6-4285-b315-65b5caf5b865","subtype":"Figure","type":"Plot"},"ticker":{"id":"383ebdfd-7693-47d4-94d9-af363a19b480","type":"BasicTicker"}},"id":"cd05a703-c024-44fd-92c2-4e3c135a56f0","type":"LinearAxis"},{"attributes":{},"id":"79bfda54-a8d4-40f1-9498-64073eca0b3e","type":"LinearScale"},{"attributes":{"data_source":{"id":"3a491f8d-a90a-4bc3-9550-abea4768a49b","type":"ColumnDataSource"},"glyph":{"id":"426d6868-6313-43c2-bdb0-81031f7aa41a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0fe40650-522f-4cb0-8638-6f574dcec3a0","type":"Circle"},"selection_glyph":null,"view":{"id":"d1aa7dff-edd1-4fab-890a-5defabc21b6c","type":"CDSView"}},"id":"d1203dbf-daab-4f37-9bf8-c6f7ba58fabd","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Watch Here"},"id":"e2461629-ccd7-4b5e-9915-60cbc3c777ca","type":"Title"},{"attributes":{"callback":null},"id":"3b649f36-3477-4516-a76a-b23e10d08534","type":"Range1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"0fe40650-522f-4cb0-8638-6f574dcec3a0","type":"Circle"},{"attributes":{},"id":"5128078a-9600-48a7-832a-99a600c5df40","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"426d6868-6313-43c2-bdb0-81031f7aa41a","type":"Circle"},{"attributes":{"plot":{"id":"86ae029f-b3e6-4285-b315-65b5caf5b865","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a9cc2f6-3871-4071-85f7-781551c1c4d2","type":"BasicTicker"}},"id":"fca5bcaf-c143-47fd-9e1f-11ae98611ddc","type":"Grid"},{"attributes":{"formatter":{"id":"63a92bbf-28bd-4c9c-abd5-d2e99c26ba5d","type":"BasicTickFormatter"},"plot":{"id":"86ae029f-b3e6-4285-b315-65b5caf5b865","subtype":"Figure","type":"Plot"},"ticker":{"id":"2a9cc2f6-3871-4071-85f7-781551c1c4d2","type":"BasicTicker"}},"id":"a2d4307b-4521-443f-ba12-df2922404d5d","type":"LinearAxis"},{"attributes":{},"id":"383ebdfd-7693-47d4-94d9-af363a19b480","type":"BasicTicker"},{"attributes":{"below":[{"id":"6bce98ac-7658-41b3-bef4-f051ad2badcb","type":"LinearAxis"}],"left":[{"id":"0f5dc19d-b219-46fd-9fea-f3675db84eba","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6bce98ac-7658-41b3-bef4-f051ad2badcb","type":"LinearAxis"},{"id":"0ce546d8-ef95-4495-a444-b4001adee186","type":"Grid"},{"id":"0f5dc19d-b219-46fd-9fea-f3675db84eba","type":"LinearAxis"},{"id":"3a166fb8-099a-427d-9516-eb1fe655f752","type":"Grid"},{"id":"d1203dbf-daab-4f37-9bf8-c6f7ba58fabd","type":"GlyphRenderer"}],"title":{"id":"e2461629-ccd7-4b5e-9915-60cbc3c777ca","type":"Title"},"toolbar":{"id":"b22f43d7-887c-4510-934b-00e914f4ee78","type":"Toolbar"},"x_range":{"id":"b03cbe8e-d44b-4bbb-8339-3090fec7b637","type":"Range1d"},"x_scale":{"id":"79bfda54-a8d4-40f1-9498-64073eca0b3e","type":"LinearScale"},"y_range":{"id":"3b649f36-3477-4516-a76a-b23e10d08534","type":"Range1d"},"y_scale":{"id":"a22e5ec3-1523-47ee-865f-0dc10e85c33e","type":"LinearScale"}},"id":"4b5efd00-d584-4227-9016-e3b218a9ef1c","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"4b5efd00-d584-4227-9016-e3b218a9ef1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5128078a-9600-48a7-832a-99a600c5df40","type":"BasicTicker"}},"id":"3a166fb8-099a-427d-9516-eb1fe655f752","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b21684e1-a8d9-4f6e-a8a5-55576ddfb6c0","type":"Circle"},{"attributes":{"args":{"s2":{"id":"3a491f8d-a90a-4bc3-9550-abea4768a49b","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d1 = cb_obj.data;\n        var d2 = s2.data;\n        d2['x'] = []\n        d2['y'] = []\n        for (i = 0; i < inds.length; i++) {\n            d2['x'].push(d1['x'][inds[i]])\n            d2['y'].push(d1['y'][inds[i]])\n        }\n        s2.change.emit();\n    "},"id":"0e5e1742-c1e9-456c-8924-306c92d1f496","type":"CustomJS"},{"attributes":{"callback":null},"id":"b03cbe8e-d44b-4bbb-8339-3090fec7b637","type":"Range1d"},{"attributes":{"below":[{"id":"a2d4307b-4521-443f-ba12-df2922404d5d","type":"LinearAxis"}],"left":[{"id":"cd05a703-c024-44fd-92c2-4e3c135a56f0","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a2d4307b-4521-443f-ba12-df2922404d5d","type":"LinearAxis"},{"id":"fca5bcaf-c143-47fd-9e1f-11ae98611ddc","type":"Grid"},{"id":"cd05a703-c024-44fd-92c2-4e3c135a56f0","type":"LinearAxis"},{"id":"dd69120a-606f-4e6c-bfc7-652b62471bd0","type":"Grid"},{"id":"dee2986c-f1c8-49f4-943c-dc6e45f11010","type":"PolyAnnotation"},{"id":"f9e254af-a75c-411d-bbea-eb649831da7b","type":"GlyphRenderer"}],"title":{"id":"e325544f-987e-4b4f-bd0d-f47000730f46","type":"Title"},"toolbar":{"id":"26503abd-5fe7-4298-ad8d-7cb1e1612776","type":"Toolbar"},"x_range":{"id":"f7f5b07a-f4c6-48bb-b981-40a9dc4d30ce","type":"DataRange1d"},"x_scale":{"id":"4866a706-0319-4336-8a6b-491a433d4831","type":"LinearScale"},"y_range":{"id":"29c86cba-3452-4f8c-8471-4896a131c151","type":"DataRange1d"},"y_scale":{"id":"4695127d-0d38-4d5e-bc8d-39f4aa03af44","type":"LinearScale"}},"id":"86ae029f-b3e6-4285-b315-65b5caf5b865","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"29c86cba-3452-4f8c-8471-4896a131c151","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"dee2986c-f1c8-49f4-943c-dc6e45f11010","type":"PolyAnnotation"}},"id":"4c15201f-a908-453a-9e5b-49df09f1157c","type":"LassoSelectTool"},{"attributes":{},"id":"63a92bbf-28bd-4c9c-abd5-d2e99c26ba5d","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"4b5efd00-d584-4227-9016-e3b218a9ef1c","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d621f71-64fb-4d9e-98f9-f85496b3f2be","type":"BasicTicker"}},"id":"0ce546d8-ef95-4495-a444-b4001adee186","type":"Grid"},{"attributes":{"callback":null},"id":"f7f5b07a-f4c6-48bb-b981-40a9dc4d30ce","type":"DataRange1d"},{"attributes":{"data_source":{"id":"89d28c16-caa4-4e06-93d8-64f4785b0e36","type":"ColumnDataSource"},"glyph":{"id":"b21684e1-a8d9-4f6e-a8a5-55576ddfb6c0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"947a5665-676b-4c0d-86b6-7b285af2856b","type":"Circle"},"selection_glyph":null,"view":{"id":"487ecd3b-b154-4943-90ea-7015940ff515","type":"CDSView"}},"id":"f9e254af-a75c-411d-bbea-eb649831da7b","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[],"y":[]}},"id":"3a491f8d-a90a-4bc3-9550-abea4768a49b","type":"ColumnDataSource"},{"attributes":{"callback":{"id":"0e5e1742-c1e9-456c-8924-306c92d1f496","type":"CustomJS"},"column_names":["y","x"],"data":{"x":[0.8256418203820588,0.7009047673045518,0.003024560910207863,0.2888458105503777,0.4014862524657674,0.22476327027417475,0.25102869189176313,0.4092533234486836,0.8124043641093999,0.569803180187701,0.7057814136210134,0.32057717237436945,0.34311556967287893,0.4585612063696307,0.9715230511032362,0.6417768734350534,0.3332457306687181,0.884182005334046,0.6389907166480411,0.2809246523615122,0.015250295377597922,0.4434756864470133,0.483966905347737,0.3024380061531765,0.023504910137487345,0.9018337884691281,0.40243954602316523,0.7173588272992159,0.06581445573605949,0.5398315577604224,0.28021150969902553,0.5189481094450077,0.08974605563278604,0.3188469505855366,0.8697128146120993,0.4461697171748439,0.03146220917904741,0.8687728247737414,0.2335256433635411,0.03804951351499908,0.0682594242689879,0.02986695860988353,0.15565925676528614,0.8432959835472825,0.32993794305495006,0.5460169218259865,0.20262405631413083,0.6278492782998344,0.7472870493188439,0.8478945953673643,0.08373471825965051,0.5161974822389419,0.35241913058623286,0.6284560545467353,0.2753753510914724,0.862908934667921,0.8286079687635434,0.40641559953501505,0.4638638438666106,0.046005772382711196,0.8851338781644691,0.1984211953605468,0.11161632979985159,0.36881627016343366,0.7493575934519848,0.9437340133368803,0.25378460762531296,0.09862824934380399,0.1071545361027646,0.2141985218592677,0.6311913728352082,0.7234289718251402,0.3978148293798872,0.9562069420614043,0.2132775483079511,0.9808720503362064,0.16263725099622284,0.006650970137592305,0.8020661630225828,0.7813839745515104,0.08653225532554287,0.19559778806326233,0.534207759758811,0.9728872675648141,0.3748508042384098,0.38017218611216863,0.08203129585697633,0.2950014021779591,0.22086285283791818,0.6153300768129948,0.8527265853530988,0.6961174662641365,0.728948864212853,0.8318792023095329,0.235297814614441,0.8359810435412416,0.20292892146587194,0.41806013363062455,0.05990412963036473,0.9462987813981838,0.7399595573482878,0.18961752935331455,0.43968642695349236,0.42933202692787586,0.7601842251777913,0.6064157933151242,0.9468142096649894,0.1621421440819143,0.5623975331278326,0.42910572292585314,0.07499100615089893,0.15517126319659924,0.9944271274046644,0.057932594513854685,0.17840246510373092,0.2524048179662727,0.48190158822565843,0.8693741139645601,0.3085688198513449,0.9971520899366264,0.43442832060383163,0.9622550688470938,0.008701732162746278,0.2805595885241283,0.3357254942663104,0.42548857692436093,0.6960201264386635,0.9842982549106624,0.8654780732058325,0.5561900102792441,0.3180795818594718,0.739194288965016,0.6431203667712846,0.6271065179405105,0.7531443842640965,0.5734478897077344,0.0014073628743411781,0.8732305770925718,0.9179478657906879,0.9648731595848657,0.8619893859355806,0.6284367591149669,0.7699025315422542,0.966075248760154,0.2240807211713003,0.5360103197799698,0.9830492035188306,0.5914526258548121,0.4848791771514538,0.6909337389578288,0.6359759878421283,0.2784027754437739,0.887987768008521,0.5341434464184183,0.9572621036762249,0.13437009007024225,0.7793493178715838,0.9123006704889656,0.1487712752919682,0.24577660475342578,0.8183573298859601,0.9624272761990278,0.5527615496608118,0.9864988497643546,0.7218731753359956,0.3324408838392655,0.2914217436584129,0.7535717982390234,0.31081152734112105,0.15577563099343839,0.9662589172774398,0.6495329818645992,0.5532248683887737,0.6989616948100835,0.15284032700156225,0.9781178201180892,0.2577204001355956,0.6826339841697691,0.6814407579786917,0.11238198078413664,0.7665250754137214,0.1914422546241652,0.20019639392969113,0.6512798999543282,0.3843265685704337,0.7742353221381907,0.8837238754092078,0.38086314129426024,0.34458845011409334,0.7527779349819356,0.5763115017244044,0.3028743383256971,0.9007226532791444,0.8781289169854153,0.9165180102295625,0.46413745461955647,0.15993386433590084,0.07220652575038544,0.8777754121540502,0.5330761728965725,0.9404335263787534,0.24303285506235395,0.08459479751093024,0.4364802181362809,0.8450427889393869,0.582016554083589,0.10076681401946974,0.7136622256096321,0.8180137636754593,0.8500391488171706,0.11723528041771347,0.3011193384695017,0.18653317239564893,0.9811785077375623,0.19605061357850906,0.13188755460317048,0.9294331491312966,0.12237702812321238,0.22985198762549863,0.36878532489980353,0.5903460574734193,0.4675138441294494,0.7785373656289607,0.583335587411024,0.1934538231456262,0.5672283316698076,0.03280425561077294,0.9475829299842585,0.579961997628615,0.8041843072280906,0.4275117616784566,0.34432658599837374,0.6344971643367923,0.7642607128710053,0.2614352454508865,0.648536449003537,0.7102932350229539,0.4488278798303449,0.2899045080077759,0.7887281113907579,0.9381790703209901,0.2104883404630924,0.7537664152735353,0.8289861639815713,0.3921857432514617,0.3681474196724669,0.4603308778115205,0.9834346868949443,0.9538402682676601,0.6425649238450708,0.20707738449470747,0.9664442473579593,0.28999722275474993,0.41388313727931214,0.06989362706862601,0.3129003174571413,0.4219358951379104,0.20365198689182806,0.4769094630601909,0.8130198948402378,0.7003646258658831,0.6413638160932796,0.527393170085919,0.37952075012915487,0.7579377764175328,0.7200223700144588,0.8560111712794974,0.9649284440095522,0.4136382529558583,0.6359604431635046,0.7799305419680007,0.9711851755707918,0.5732517582163051,0.4698808711076232,0.8596396705767302,0.36583861515822436,0.20384409893106736,0.8225446658787693,0.15292856934172383,0.5442815324769696,0.5714534816408176,0.7308227182556977,0.5818740702341395,0.507794936671994,0.961969286817126,0.9520218484201666,0.8282541692130728,0.33553944979581385,0.7075915525112887,0.8865196291580049,0.3476883702058675,0.7514277143339662,0.1485902325202334,0.7335826475337467,0.2692947424271508,0.7016369907450053,0.3763519854039127,0.34428432967826084,0.0716805923895707,0.32777185183250956,0.9946057533482521,0.8510778345625992,0.891448693933964,0.0603904157030144,0.5812505473913828,0.872487619271662,0.7349409078673415,0.8941063251271272,0.597216281747811,0.880515373409697,0.9518396288345153,0.9726359080290441,0.011426760583695628,0.45732902623049176,0.6320488041195015,0.2701617881651679,0.6058374624199715,0.528814970377989,0.4833040698764417,0.1617490668635343,0.6587804242647683,0.638341225760577,0.5769168120519067,0.9084654599739973,0.48021766294522406,0.853863147471399,0.9733400469271014,0.242816303574674,0.45339272340680137,0.8359446313080089,0.12662874408269076,0.7740453594748695,0.7241687422226969,0.821487967823493,0.7248855655711114,0.26186291084780866,0.1254711264334053,0.7089450263426855,0.972277213579415,0.4475399594178867,0.0998969552128105,0.457663724605741,0.9580783066098036,0.5612449210499428,0.7275452584104788,0.07080018236546382,0.6908509165859997,0.7842813736867525,0.8158125424655808,0.29243130397115613,0.41787448417475637,0.9129254694867177,0.9399741529295969,0.9332719220915006,0.1238672858336235,0.799017461436162,0.9414177743811947,0.3050643741692375,0.9324946845346661,0.10432411905180039,0.8416254200947657,0.6360061942287131,0.7580780561590392,0.39713836279594816,0.5737583767547598,0.08624073038573532,0.5069174147941036,0.6864468341778979,0.4466780145058623,0.6615098375546998,0.9632607260366507,0.7012995159277925,0.8244281611003641,0.7697289693154818,0.5501070497778372,0.11121945923464727,0.46934460433980685,0.8330736575927977,0.07279427993954934,0.9749279607212542,0.31631127815548976,0.5350729939861594,0.11359318315591715,0.15628041377281687,0.4393456509085114,0.9577613397703931,0.9113601557539547,0.07898048524387336,0.8099497327385421,0.21746030844555964,0.32848208856096484,0.5370013393546217,0.17926484521100627,0.3529258575703237,0.20824356225423235,0.9388223626817624,0.5139797186146153,0.020027405055182856,0.8427750674115062,0.4504633819431292,0.6949789628362424,0.7383932581200573,0.6453586635660703,0.8962669043401252,0.191719835176698,0.8529888004777986,0.6836483062474152,0.3530056358842898,0.5915953379310327,0.06008388479928639,0.8123886494149904,0.8274811639787825,0.618876532848897,0.2277010562181664,0.6787270876732026,0.4568914910486723,0.6755358263961355,0.6628312585155713,0.03801824938044429,0.11278350534291626,0.6045143367129991,0.36524432340746193,0.012813572630783199,0.7084175885263359,0.5865987807475307,0.9311495518598517,0.8779080393107483,0.54829938593215,0.8667937232172338,0.5398583990525948,0.7185191831100853,0.30652505173483513,0.7075374074532171,0.7198588900616748,0.9947069093216662,0.2484704992912009,0.049917120412215965,0.46649765868918747,0.41013494473505485,0.165815357232035,0.9103984687267089,0.505135152253395,0.45374276275048986,0.7913792193318986,0.5137499378988237,0.24325362198202372,0.22120158812584179,0.0792920955301124,0.3583343598350943,0.6205433487052642,0.4791782575750435,0.004552577947353198,0.703896156693517,0.06215335740897554,0.7753257248712299,0.6655311675142727,0.21422248113907527,0.9788433782192395,0.36566602187737207,0.55466911963339,0.3387478395889967,0.21269914354850716,0.07862514039418489,0.24552312665202247,0.37265035960408543,0.6672980749271492,0.6486300379834984,0.312300049328054,0.0654453474106107,0.7876762280718793,0.9037501003265067,0.38031618642281106,0.5678219332407164,0.3082802400289112,0.7321204875856334,0.645681383495927,0.8904059463942676,0.8190649946210442,0.23925322084231315,0.7501349265847356,0.272978994217123,0.5195457678643737,0.8178976111363124,0.06826907576855878,0.41871271094981355,0.08056625249011828,0.845155111909392,0.26377212858289245,0.8461535431285111,0.1286247429863937,0.11545725942646556,0.37661886106030806,0.37751842107651756,0.6451117938044978,0.46529921883148817,0.6162449522016112,0.31976125013830536,0.42981994608727614,0.9358803805190823,0.11623769816714646],"y":[0.9321631862822087,0.10108891290639566,0.7137144304786576,0.3212965343691184,0.4885410310060325,0.5357281672853301,0.6447626968868941,0.04159890453853232,0.4338983853842394,0.5243889528720374,0.9459727468197849,0.9827815429959803,0.5254265149924703,0.9397513733476985,0.44926372063791886,0.6822014417759701,0.862856512984168,0.5478247563118542,0.972285182624641,0.5981768336212722,0.1400930449826363,0.8704586265805038,0.6984697708319447,0.07839110730478749,0.7888151238575025,0.5709102222767626,0.6975171708795275,0.8337281117425134,0.1834748412538989,0.590369174388112,0.13172712130481656,0.9483004046597779,0.733154149069689,0.12115370188787333,0.4243010703934117,0.3795438970618954,0.4726880574365827,0.46609636523923936,0.04980452943152769,0.6667611858836988,0.5756391242339116,0.615327866255888,0.6672515125074491,0.39153793409357907,0.3184164602470536,0.3586943820927233,0.45782260926910323,0.7194241183594727,0.05735710497083113,0.31856502145273935,0.8322334418303571,0.002731859705805584,0.012622216531220976,0.24178023823231187,0.9874892617053445,0.7052815706248057,0.420852405270261,0.7020419232098465,0.9197278890519801,0.7534953378089146,0.03412789927350657,0.7375196839693458,0.35507591723871523,0.5055045121554088,0.14897047710614497,0.28372084789364105,0.6182139373556211,0.2698371577684475,0.6109439673187127,0.27018321449035754,0.14434585855675486,0.762821702830225,0.4728846663477937,0.1681157310095367,0.8080438146572674,0.9920358554852234,0.7364222703690884,0.48076519115201766,0.8459655492696991,0.641549192833017,0.7285207328263199,0.44332527474964145,0.11864936656165437,0.11057068018378491,0.9749628913717409,0.3667327852409509,0.07074753677484935,0.8683039934878707,0.03098120578339658,0.6565881571628607,0.8491404971798657,0.2104758591837198,0.45774260671470446,0.25331606440925525,0.7623642881595519,0.7105675551192744,0.912493981107542,0.5169307324074528,0.8916240383258758,0.34038985795368626,0.624109514506214,0.9017544508501819,0.7414697146445143,0.8247775637847556,0.5700471489269613,0.8721601047336787,0.6511751406245067,0.8271120134861244,0.5161799275362461,0.06965469035925576,0.4011627249471219,0.0722547490081743,0.5651278144165665,0.7127761225572362,0.3435430797276129,0.13770485174842084,0.2820424115957294,0.5917152350470029,0.3411324570330495,0.31492498395053714,0.9142721341016061,0.41390721098303496,0.8114701976618288,0.9971615225161168,0.9771533129324311,0.9631021603950232,0.7771464175091658,0.8688639821363784,0.24902210985052375,0.959902517246396,0.7406439484720466,0.38173490297344304,0.6215753912479366,0.4645754422073196,0.5030164458658595,0.49380084964326953,0.7067697308245925,0.42579599920604805,0.9636088832892823,0.25524821405548626,0.5645342258857382,0.0035147862022538723,0.1724847416156804,0.46318184576601995,0.37799261347412916,0.7161812826392093,0.6092677744702919,0.4540865786684114,0.44926095314329884,0.7128659602836498,0.848567805627821,0.8632326648431374,0.8130304347616445,0.7296428993400803,0.49731865495507177,0.8866883376731852,0.24061059091870562,0.08476866452449294,0.7693802205343712,0.8986363178494288,0.002315109072486443,0.8799142457951626,0.09141101703920795,0.9273408224628511,0.48184135798898,0.4589614894710399,0.7861032074371344,0.5771438517810916,0.6321099012037299,0.15793884680389392,0.1574450096715565,0.3988256203674593,0.5607046102940314,0.10850715286656609,0.7783501945281364,0.6033846192977237,0.2800757997287504,0.18520114216228922,0.3030041274913675,0.4554188098305182,0.3530065798861327,0.990713041989937,0.18074698518091692,0.2060750851867792,0.23489301455983558,0.6334511335118902,0.6476819918596326,0.94439145310801,0.46965483684339815,0.4354610330143358,0.8956998866509647,0.30910574529560175,0.9898710764587548,0.4384165828627623,0.7817717489089144,0.534780808164137,0.9675230902442021,0.9391080251668354,0.5564160096862804,0.4842085898059344,0.7729485720052423,0.5087499863325967,0.25444698473663985,0.30528507547860373,0.6006211929187073,0.5211785776369832,0.8855171641605064,0.6354687697746303,0.458762736193536,0.08715201328196975,0.14533259046518698,0.91076275237682,0.2900948885765532,0.30744496799736354,0.8759231844995166,0.2272831559893107,0.9376355074263886,0.622046579395531,0.5413055964407864,0.6017895935646875,0.9480575229179152,0.022890772230773515,0.7564170030212667,0.35136410127803375,0.9730104762682485,0.1118811114792162,0.7554294183341643,0.9263521644064898,0.8454442898447003,0.8656385463765431,0.30726605891959524,0.5671065226691032,0.5240038392971463,0.49552117434897747,0.31191951452160427,0.404579681346773,0.7069427694356314,0.7556972977084796,0.047833904558209905,0.6316434861649667,0.7728088735579115,0.14080004102668908,0.776043731384306,0.4374271168455479,0.3269243600483205,0.021382699234145708,0.5720736001502912,0.8436896535055654,0.24230028831646233,0.7975298871901333,0.17270745263324971,0.25961306082872115,0.7774792286205424,0.4746127119292236,0.13755614737595667,0.47085994522002383,0.033872058929966586,0.4273737104541995,0.3041442742333046,0.17252805190970744,0.004798882040868979,0.5892936990111617,0.3959770175727946,0.8133079999947797,0.9512278108079355,0.8755002129420436,0.7683433850634077,0.5200281760406346,0.018923500629351664,0.8674048925670805,0.06523693530720887,0.8388596112772714,0.47022500025225167,0.007406200051877976,0.7015861778597978,0.6373417835066587,0.28312397777522247,0.42438748380969005,0.5929587646828886,0.9914370886014522,0.6590700447832195,0.5976392874123675,0.6951765175759025,0.9911520739636601,0.9587119074503031,0.3715144949715168,0.4952161600652022,0.934757345526351,0.23547427384489672,0.35646397360591364,0.3820466034738461,0.49637082217353756,0.60686048320495,0.20133225836373447,0.8499302879346138,0.4438398640762057,0.34163957705167447,0.07885307670043784,0.8172741394164396,0.7916483683085868,0.012827878156591588,0.705986921058631,0.7536244965936263,0.3874577829367625,0.9234859440431903,0.5400804151126908,0.37011621215007395,0.10531503404724829,0.18172192571018664,0.23984749774441338,0.6082722269795573,0.311957109044265,0.2552174895975651,0.2614869987981929,0.3412215438487639,0.15738436504697084,0.25238226954345155,0.5249708348726648,0.2267813578183001,0.5386272134302474,0.6330664017366895,0.47872171062912994,0.5870093034129195,0.4642679545454299,0.49065342838447545,0.05753457168771081,0.8052859889665339,0.9709406869531064,0.026353695761452522,0.520520800328742,0.6933356647232414,0.44441834992403106,0.6288593985089229,0.9996411036219899,0.7877480452700724,0.18894281679379377,0.9532505495181466,0.06756702332924924,0.7690607896989861,0.045143752409699145,0.6253005521247518,0.7530783236878157,0.3542611456813688,0.7957864669529658,0.10494069739125456,0.056209114285386,0.6065608145753303,0.14232003528407633,0.5045331131004082,0.039902367687640106,0.9058845141694498,0.09431189477677204,0.9075814312476262,0.5363776282932297,0.8571661909211061,0.057200250222026794,0.40115651894180193,0.7308696194955727,0.4334942653666899,0.11049716854464098,0.3978828552571344,0.681480364162838,0.7156271034582526,0.30929344747476684,0.5083602957023835,0.8125492533965242,0.8535348850216875,0.1370184840881029,0.5466581521120475,0.9504367801265492,0.13499997984807266,0.11352440665330099,0.09138949531993446,0.4748085109364465,0.2929179053619798,0.8317212860693137,0.1077005502494004,0.6677559100616381,0.43104450105457626,0.037221525061314154,0.9700359365826288,0.7060133220257836,0.8254908852794424,0.7762071787298122,0.9832314954843573,0.5769732157685356,0.22610380464610969,0.8532044116100442,0.42929448969141304,0.7639041955940895,0.20469178811003685,0.6127932365206307,0.16628271854726673,0.04667306818767314,0.8554545010120421,0.6980404249617127,0.82136212855642,0.9647971486123987,0.8196430720413708,0.7134100572690405,0.2156375733977518,0.9447321899745281,0.9070535456816496,0.15636640151431147,0.40483256181931415,0.8775095552159417,0.5556804099771316,0.9356407054918533,0.3177721452641198,0.8747307669274457,0.12335155594155545,0.3085826483960943,0.8261701879810313,0.14812195474181045,0.960176370201073,0.09029393168667499,0.13907764466681893,0.31641443358023713,0.9114366373304718,0.42756081634892074,0.7946300593138156,0.5902451712810454,0.925012061853336,0.8964623173711592,0.03792669245526681,0.4801905559014903,0.4410434526964053,0.7561695493619301,0.820800602338374,0.14304611474636453,0.9266292380066125,0.9342160860186434,0.11378248324111806,0.348919387439139,0.7465846727405739,0.619711069539173,0.5818345638669988,0.06048903531576,0.6279066125922442,0.48019643133749323,0.5529900721582722,0.9059050336713526,0.6997726595649847,0.3106334030186374,0.8963454393294563,0.4896089059870413,0.5143264767001835,0.23630397245688362,0.00877766591284046,0.43167500927357216,0.5357595906475856,0.26650860180548397,0.8034568000988046,0.6612495113519843,0.33133913432868234,0.8291213236120416,0.09448773431425506,0.6864019999991818,0.8675380163916145,0.8511764624869119,0.044591918839552824,0.1182472478764528,0.4765194891023111,0.11433299303505828,0.6015009602777109,0.17057765369930578,0.04018349235189278,0.1770539591146364,0.9730475493464221,0.8052853347849731,0.04432030577300583,0.8000143598703792,0.5195046173464672,0.33564757950735846,0.5960635110258954,0.8488777674990108,0.5584419634894792,0.5786138851294417,0.15606085859591945,0.14480081354365848,0.5911929333917916,0.9193173032660905,0.20604203194997373,0.9563462115034981,0.6171373006260137,0.5275650832634597,0.10817942686896376,0.8930416939857334,0.09270763999723985,0.078977930716713,0.052061568380940115,0.3101740292203031,0.0008400765790688158,0.27978907740418946,0.38076336896558594,0.46994924481269595,0.6212748575476768,0.3688735894028716,0.9511476000692608,0.5439218916299619]}},"id":"89d28c16-caa4-4e06-93d8-64f4785b0e36","type":"ColumnDataSource"}],"root_ids":["0a21f2bf-a0be-4385-b4e9-41a63dba4faa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"88471590-4718-4909-a407-cee25b006c03","elementid":"c4a73c64-d580-4ea4-be29-f2ba4580ee28","modelid":"0a21f2bf-a0be-4385-b4e9-41a63dba4faa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
