(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2983ed8a-ae93-4712-b002-c4c6dae2a9de");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2983ed8a-ae93-4712-b002-c4c6dae2a9de' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"061d8ed5-3496-4f55-a34f-cd87c8c2144d":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"3f6f5dc9-2781-46c6-b944-b26a0773027b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d943ffc-d5ba-4474-81b8-f7f76bd2abcf","type":"BasicTicker"}},"id":"16e19cbf-39c8-48c2-968e-4337da563b77","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6e3dbabf-7114-49be-ae38-a7579f9b7a65","type":"LassoSelectTool"}]},"id":"18be5a00-badc-4d3d-a134-ee7755e47fac","type":"Toolbar"},{"attributes":{},"id":"c9529292-9558-4341-a3f6-cfc1295d95fc","type":"BasicTickFormatter"},{"attributes":{"callback":{"id":"0bcc4a8a-df79-471e-bdac-aad716388332","type":"CustomJS"},"column_names":["color","y","x"],"data":{"color":["navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy","navy"],"x":[0.8694556665535202,0.6704721647013312,0.17879232872393402,0.26679099112434534,0.44184300919840613,0.339043174711833,0.8844554343172865,0.09778264108386736,0.535225305447357,0.4221930738926375,0.25785921532808975,0.8665131758990611,0.5866735222667323,0.5677811130580487,0.4756790724456308,0.3184326053318294,0.5219121721019384,0.246307900517156,0.9787122554529952,0.8232638638022913,0.036546926739611574,0.9886599435613626,0.20509481656665152,0.22640453375335534,0.6312952693272812,0.8405670698512413,0.6590245529430148,0.17453913348948014,0.7082981743902186,0.3275033841877175,0.019027720095010858,0.7193176404654604,0.1631998975591047,0.13587686585550085,0.9281113514696891,0.5105259325136862,0.4787646703140791,0.9539556989128084,0.7737917731917732,0.1624075254898204,0.16292712242123142,0.2828125580578753,0.3313304773579836,0.8343182455861253,0.6580901606074586,0.06421996402164343,0.8655018619603142,0.017086136022599896,0.5341196569771738,0.8707514828623193,0.3532613153346251,0.7287730652508546,0.7954061478702441,0.1599906799534031,0.5897767028620802,0.35051384376515704,0.5888237628811651,0.6712264023863392,0.29452637972761175,0.936598384550285,0.6703707572382795,0.8104242138730802,0.6770105773830771,0.15552073229942143,0.16203513949762927,0.16165644120900513,0.30230235017451135,0.8828115138995399,0.7257844706746548,0.9912734673087242,0.3922701031861062,0.44148056177546624,0.23836581164148152,0.8267485744686379,0.737174862166364,0.09124388494071689,0.6785073470941028,0.756082843801027,0.3247161128769579,0.1911726426274919,0.6273433068029557,0.16085594784929236,0.8358219658494503,0.498060981810558,0.7946482735831801,0.11696788565791139,0.07722807605358284,0.8792737032717759,0.5445478804885103,0.45022259454525126,0.7518963885954407,0.15949254492843423,0.9080656057417824,0.8508815649769478,0.6111077762061348,0.9968738977593452,0.49362403536332344,0.5798713011158669,0.1570497564305876,0.23213506422802466,0.14886994533553144,0.9442824748110296,0.03220328816192719,0.0452688850436056,0.9280227355004521,0.9183038609377746,0.201531091930374,0.13277845856576898,0.426789214776077,0.2989120114149707,0.9060654866382871,0.22456397151890917,0.7402135144881689,0.2527926360321259,0.2845673895180768,0.6284376493232937,0.8610187935937905,0.1748628114184283,0.7457510053693526,0.5486733591367433,0.23784997976552258,0.16803058089549017,0.5208127442582569,0.8072906563752182,0.44329006648626024,0.9477961531608533,0.17820557712200336,0.3538324823153651,0.7791783287256318,0.1464159086999247,0.8083352098884559,0.11829230208956076,0.7991899230822959,0.18816275810899996,0.6284723484168359,0.2641382210907639,0.6398466561888567,0.37825039267302485,0.5615923118740644,0.15934006924938404,0.45955817181241043,0.3073358170497533,0.2128343695526571,0.44890394191726457,0.493043659840116,0.22804614523805833,0.427222426262998,0.15641237627495397,0.7305774295791795,0.7529299634707501,0.7729205742409924,0.9403034028911039,0.9676506710306781,0.3958644232920502,0.8064139308528979,0.07139901389603798,0.03730147363030856,0.07612243199790203,0.9998126324625103,0.7465087865652569,0.26555395304155704,0.5067068943971715,0.8779919885426682,0.5681805269916078,0.6416554022281793,0.498468960410938,0.2439395354112962,0.7531682891047152,0.6590980185828639,0.8973948916831401,0.35050862620814427,0.8261541287505989,0.7381393529602113,0.8445239392944504,0.37797038735249844,0.5415570707721813,0.6352756282869212,0.5540397254312488,0.49064450730955644,0.2573434178029621,0.05412022446417686,0.7770014260995437,0.5078775280745452,0.41399575040538794,0.7582632723030641,0.07726719759592471,0.50137855877492,0.5541185985714641,0.1710176201476844,0.2653576784276467,0.3939471715463744,0.250639922314983,0.7724555010412746,0.8976818287317354,0.5965271136649144,0.1769178052281445,0.6481339955236429,0.5349473721415863,0.6249838483462652,0.6466233869700186,0.8305030881250599,0.5615132515212872,0.5258172436261392,0.10216348714707801,0.5829799152531857,0.9892741335452515,0.5004439713711805,0.07979346874123239,0.8942553526743567,0.11244277526613722,0.6922965562523841,0.6558640596148082,0.8702400452501957,0.01275943599939322,0.5146919410954736,0.3996208744579477,0.7689903825685042,0.5398459904761386,0.2922393110541541,0.3564155753537145,0.6238945378930844,0.6850128549555217,0.016910315199890058,0.7838465841245537,0.6819359214969125,0.8970730936869058,0.5471655992685416,0.9071628677895315,0.03119810917515664,0.1789638310855478,0.5482964156858307,0.8822554701942134,0.018679022446866256,0.9697388609458506,0.2601365924826504,0.925019752042653,0.0037614102743068756,0.2946906348258962,0.5056520851757633,0.46713592005721916,0.28130343048117057,0.3229985947892353,0.99155927500975,0.9236982507677954,0.3617471157612807,0.8741268486096562,0.9510249594838459,0.8182330509026061,0.0581894875924156,0.3364460038263727,0.9877072758390886,0.4066025578682614,0.6865527474230191,0.8435092702943409,0.9187042941514965,0.5607100907936694,0.47640770486801043,0.04512689440848727,0.7498132257591511,0.9735358603751623,0.5760579284113985,0.48684466661145864,0.04845905421703878,0.23659959506948602,0.8421016612656801,0.5801700624706252,0.09913323133662133,0.7965542492057137,0.3858923493483394,0.3978067903496758,0.9291076227297098,0.798556740473435,0.20612266661901812,0.8257051996289189,0.494841098825743,0.6518923689857731,0.6539980193843035,0.6973339942722321,0.71124684894533,0.1897109592723567,0.8074205319401725,0.8391579671965204,0.10613769103935755,0.3788097655061521,0.06572073209434337,0.18168837731439658,0.9871935812976652,0.4350949087993583,0.8478025706548226,0.5341161288854361,0.27773693886013906,0.03924599499193604,0.6252340044840851,0.403895608671355,0.2545712746561176,0.0387914828139464,0.661320208032425,0.6481175875346438,0.9448269342915192,0.15565208698625277,0.8158205597599981,0.5182894676568541,0.9561568412728865,0.8166176091790509,0.7939482483896212,0.9724036664456656,0.9339678768054985,0.23959156322124975,0.27464168914303655,0.6004511037127627,0.2273612682791758,0.5177193615123252,0.16163667913983393,0.4712465582210027,0.48886127572880367,0.35400197264495614,0.20596457655946776,0.36380196071599835,0.9921447049067837,0.06835038334492116,0.46418643669592907,0.5787095321500113,0.42256275022233647,0.6228543499191638,0.6203177369105101,0.3603051533092364,0.17876416545328044,0.9525899512473294,0.3821170452733941,0.2389677568205566,0.34125495128119276,0.8373400501230022,0.3198805024471362,0.3466102490410068,0.8720070786698081,0.2233028426599143,0.6989922027935707,0.46500676268318075,0.8431425617379348,0.5178580335627213,0.14100002111037246,0.2579836233205405,0.6132197633009502,0.2826154501679158,0.5769297119708897,0.11832187664116978,0.9808380253416841,0.5709548857545987,0.05581708071823566,0.3822957657897603,0.24902188543862336,0.7285548965437283,0.42040119667597786,0.1630599811706036,0.7642111560795717,0.5943784383262409,0.6274892295223516,0.6051770345539451,0.9353248514348725,0.7170556420105146,0.9920276991755684,0.4711652109968616,0.7163117798174127,0.15482269503668578,0.6886014910097936,0.29999166043090975,0.7521965156264804,0.44837288162790623,0.33181179084281165,0.9345838258832536,0.10084213182311619,0.3426303399590497,0.8889956297291375,0.23002356378462485,0.5023364094462005,0.4548767551446482,0.17585581332200295,0.882907344186474,0.4591714069702745,0.7736856717644193,0.5930014186840328,0.17852523527965058,0.595415468691743,0.3014000335120416,0.9717534133223503,0.4584528010928054,0.3780507904094549,0.5521127976205581,0.3369567678605102,0.12291668998410477,0.26946443402141473,0.7856232586105238,0.005023415195516079,0.6576228532135379,0.4909928023314475,0.41558035049210007,0.8269651027342724,0.028312440135492167,0.18097382601958678,0.9448329598075785,0.3221314437299686,0.07911944415246053,0.8204398217739679,0.7388245904262178,0.5614118736007186,0.11398284733506714,0.8447987023504614,0.9821127667276599,0.8263080147609789,0.2592237810291491,0.23295457497993166,0.4871925964413384,0.9596502138252025,0.5585348008141628,0.4456792331276884,0.381138602403192,0.5687366384022613,0.6041720779361369,0.2451471648036766,0.7296377829989973,0.05948212783781981,0.6751206944746468,0.6245118280864208,0.3301290713319005,0.8438642996972135,0.8166160690222248,0.621793196757508,0.4512140552823689,0.37505013089922856,0.42884664583050347,0.04164158290735265,0.9585181778962385,0.8141401711140867,0.4796117162531086,0.11115828710958442,0.11174386398536162,0.08716546025334049,0.33034107903589804,0.6879599854451206,0.8725853096065901,0.8854754850909593,0.35943815223603204,0.8035270293697758,0.1910709974426581,0.02035559122602837,0.2788724122570162,0.014549444277161983,0.170112135651165,0.7048181726471345,0.8904742494597379,0.5807930299676892,0.28082535660479535,0.4363956337496816,0.46082568579343697,0.99236332703916,0.719608601739886,0.1022772532253805,0.0690563424552827,0.927086371818833,0.9456037925401645,0.029205063560412192,0.3265240523363725,0.010517153550804959,0.7541313401935189,0.29279908735845495,0.14452280113543925,0.005825929534127194,0.33584621429737327,0.6916660552979763,0.3418055942529784,0.37261743946436787,0.7869305343175604,0.6409390954785911,0.9425523489219539,0.28341274259979454,0.48956758691734203,0.830615350922058,0.057022337565981074,0.1082642178624702,0.855818941644518,0.139347436593236,0.10215810648184454,0.8426709518311856,0.782803880866315,0.9851200065749135,0.7175794734331823,0.8301936350762746,0.6932600650681854,0.42541529402634226,0.3217255958811772,0.5090727717532306,0.6807330849951859,0.17343201351808757,0.4329731947248191,0.7364328704260067,0.34499766705619106,0.7225927257054191,0.7963612245075374,0.13322665840044912,0.3489835701846733],"y":[0.9958407237015624,0.8184230269903946,0.798641181430442,0.6628324339594769,0.8865566576013505,0.03774937981756166,0.3153438391010124,0.24828623156247465,0.23744989812043704,0.8888184930341659,0.7063506855914443,0.7346749271849488,0.8969172906816076,0.09834281466250461,0.8522348836284784,0.21359786432370476,0.906543507718074,0.4356464806055672,0.12095912525606123,0.8514971019575748,0.32595982091622666,0.4915357882977359,0.3748163052083957,0.9769788411774611,0.29710084389987845,0.07114024373713645,0.30850923114861506,0.29584452371459335,0.3609196297776355,0.8450947327307424,0.4909664296733939,0.48437854408361447,0.2567832238167561,0.059526091807656,0.9198790684122525,0.26429855579248485,0.13802378889941003,0.5808780799086573,0.23532494401279191,0.424144531638755,0.20100631385661594,0.42565063565972205,0.6695945395268058,0.4612716395698502,0.207492334503951,0.5834168024493647,0.2726650085369925,0.40787528293335196,0.7636365064023968,0.15013296854721947,0.37798476877476794,0.8667910851363411,0.12118227400065573,0.5098825059535005,0.7100106043507981,0.9074428512737582,0.5493659671315261,0.627938801835326,0.47023887631328465,0.8908618793707911,0.08262525639000173,0.9219742277883418,0.6540189259196338,0.1469067468477886,0.18408469595249255,0.7759733166040574,0.32108451800611026,0.7779277445074027,0.280703654977131,0.43765180013071237,0.29272382747274817,0.18722307368229907,0.5024717541600139,0.90668525070732,0.5050960785020325,0.15018090668234496,0.9315180934217174,0.790014369219408,0.20878195418449152,0.6457100767453994,0.6258949442543295,0.04826759724836682,0.3381942167108112,0.8514549696620187,0.43843254982345803,0.9413633100068796,0.07454977140356334,0.9110555304535978,0.7340244818813211,0.35834166309457227,0.10313625810148286,0.333460558765284,0.2602161827263927,0.997006340069951,0.9951000018300274,0.5576316523346531,0.247195718695427,0.888836791032221,0.33913920540186304,0.33826123075570147,0.5590847292257789,0.4684184961622889,0.5515145869603356,0.5135002215229779,0.5522606910997779,0.48499337150446986,0.9910434327082123,0.46697947705483667,0.6654367456595939,0.8014566110353566,0.9866200979455912,0.22610262856952712,0.6710737273023105,0.32724842587935743,0.5900139132038347,0.07880206635126996,0.8749661585032723,0.8006402291577749,0.6753534910942318,0.6919504428923896,0.929068058951349,0.5853476452079897,0.713657555569306,0.22072548661271474,0.9439020851910914,0.18381592387817824,0.8630465828614793,0.353364679087515,0.15484737806968696,0.6007113611309677,0.5019236245027886,0.436938094755551,0.37487531856562406,0.47228314473809496,0.2522504306949652,0.4115504667661113,0.41087554953944305,0.44503613265788766,0.854834354412566,0.7401154322820582,0.6832641163548558,0.05267161886835059,0.23740905073069385,0.4821018721024567,0.32639820926887986,0.804494572299455,0.9044483286974333,0.06829938053488871,0.3070730647741663,0.13644854169695364,0.026804263259007866,0.14751462683975125,0.11213212980782761,0.04465843043573925,0.8280773959126115,0.9162128080476292,0.011383490548377173,0.6819890140579237,0.02838824817325969,0.42059420787958135,0.23671033332043712,0.20474407638590686,0.6882732512421524,0.22645581232379175,0.1326664611487739,0.8667213528538135,0.9680777499675597,0.7286781133315189,0.9757720620141233,0.5800944015398364,0.6359110979407454,0.2595990231888995,0.7205082055222148,0.10451668721248064,0.6289168995821577,0.4997969666283725,0.8370515370145502,0.20036349608046944,0.9897364111363094,0.3190243099570589,0.6565488345294777,0.6473089102950397,0.36302989327833113,0.47106663386455516,0.22793741331408734,0.37213930663592143,0.7951966748480501,0.2922536058110803,0.36763475187787886,0.7272195326032884,0.26354343045869466,0.5427026052201877,0.6510963813111498,0.3103366754293799,0.05703626451439736,0.19984226111087133,0.35629931381509783,0.5831939469591514,0.20872677215795354,0.5283876583251305,0.8315722172562106,0.632318896727637,0.03822252234436552,0.12129900655993142,0.735458636153853,0.3985161813245408,0.7108583154442559,0.4246029786563913,0.662770639497317,0.9017687475898757,0.7682652834470796,0.8127405314223454,0.6382328003808861,0.6890388945769419,0.7765020131176532,0.36906314267710216,0.8438290700191445,0.27286152363186233,0.09602702378590844,0.539905193398853,0.1896332174469939,0.8381206100274426,0.9681317065489945,0.7566916089374895,0.6684656275842361,0.479220255265259,0.32183259974377454,0.16829545610959362,0.45989518364702786,0.844437497752471,0.9020843594669232,0.21491657523931096,0.3319040117862434,0.6441321577653182,0.22985405740115794,0.4886884578027607,0.2860095912032812,0.9550352359451846,0.42774248996790554,0.2712723546543724,0.8760793419651299,0.3445603005369673,0.9158560326838078,0.9975827382938895,0.5951786605266275,0.5771549222514561,0.9183704127814754,0.18862170511131515,0.7689705275812388,0.19659559901544787,0.39123292694042255,0.007615172378967583,0.005508467258755645,0.114722116964323,0.7686131218075114,0.7567404142125188,0.7700002989025114,0.13645686275658897,0.5070947252323214,0.1877017768684892,0.6454081253998705,0.5172669253130703,0.4682375577060258,0.024119285623698916,0.9548342407515196,0.23936862948318138,0.6070346062069146,0.5811082807798541,0.9476091004516541,0.2809061721407351,0.8433480665889971,0.7191781959633646,0.04004530766285974,0.6949386293956155,0.3868924512668548,0.48425276580137255,0.21322288698445424,0.9081707060268269,0.6823479642929187,0.809246562819517,0.6939286786672122,0.2591143155928204,0.09091716083120338,0.9190129848448743,0.5772154955791007,0.9492486234060917,0.1088826632297526,0.0061111706922888365,0.7206670378601017,0.04396960287582263,0.08862402243722267,0.6324802477731426,0.5642908688209011,0.4575191732666617,0.4774821628609891,0.3660320044753287,0.73812070860952,0.5365329960802737,0.1981128607388496,0.1903153190046094,0.08024647359220571,0.5068301564614932,0.7916173411288099,0.270224730857755,0.15537945320348379,0.042135418098040334,0.4216204150428595,0.2625719356757157,0.7850928310184374,0.22368452236039882,0.16733922308772187,0.0965039329341969,0.77176492186711,0.9692036487420168,0.0875381971899516,0.7045879924679074,0.42648818609213435,0.4370335040067995,0.36522879994070845,0.7263217671269964,0.6200493944073155,0.8553272361846781,0.3515414248913048,0.9796281427462386,0.7687730688577874,0.4022276493186564,0.9452015422907615,0.37472233574268776,0.052380185112561484,0.3636265496276685,0.7477203843512497,0.9028594795761123,0.744151587383142,0.1408710635583611,0.3457421251941888,0.053584541979704414,0.931809477786855,0.8952141735269364,0.648999452301436,0.5291223371093082,0.30453502901394813,0.08947446959613525,0.7604084976019357,0.8364506308768015,0.4875105652654229,0.9233459564794173,0.22487275570027143,0.15679232569781887,0.28841495602731715,0.6793062422780203,0.8957477312894649,0.1756599544624149,0.5742991086658396,0.8146838399958483,0.41867925074882817,0.05454062033147633,0.2343514646148367,0.657268551040816,0.39891356807430256,0.9123840338301893,0.030230897392106604,0.5397302536889025,0.9937083311450627,0.9603951676087992,0.29540171882533517,0.7295615852799904,0.3382917878481366,0.5852469501122155,0.7642011022911952,0.9645422450789575,0.5144437886214588,0.4921629840324212,0.05654858466309731,0.9082095742827424,0.7446011178983405,0.05294745029878212,0.3935639361850978,0.038436159724289154,0.242460632726466,0.5033835777465414,0.4121246305379246,0.4382247612813094,0.6575326467492888,0.6915185106365627,0.727164732646129,0.8258627448686313,0.521042569600048,0.778874898954434,0.45726935990243656,0.08736752089961441,0.9847197083219451,0.15797470195454877,0.38108821152498784,0.6373414612815236,0.737510510652131,0.8075321103017808,0.7710886555728008,0.49760146272820494,0.769656227593021,0.35849413524630414,0.9779810256213729,0.28240385954865344,0.33983372405449064,0.8601281849177725,0.25657021017145987,0.3186006045454993,0.6793754181152177,0.25447690135668144,0.952221667774199,0.32391600932824693,0.26202409689314643,0.19359082464740374,0.9761202763109821,0.6519451707728325,0.8418436509836116,0.18409867945948177,0.35739548158544576,0.4685130395775511,0.4804871017889384,0.8647632472824063,0.26411730962256286,0.9064143440303791,0.7486858311449108,0.8874458876159621,0.0049473126329566686,0.8378873138314337,0.5133449633805982,0.20139411495727177,0.9847825541157709,0.6800417915480619,0.040410701195405574,0.2566798848028211,0.30941222293021775,0.997426786965762,0.1844078469941165,0.77111218116157,0.3418628031157255,0.9943825581429624,0.4596840367461015,0.44716815939281296,0.7124069834768565,0.2853275410316579,0.2681875811007832,0.15767250527554122,0.7748712376321693,0.855191420964792,0.9905911720181708,0.48275038843376683,0.659042001729744,0.7425060439197699,0.9586662665343803,0.048656406325022106,0.7889021618289374,0.5655436446482848,0.3315825928798446,0.5344236720916606,0.42936138665458745,0.2924777884326413,0.6535824661266237,0.9987961958151542,0.5090930090539648,0.016233576272789096,0.8728219821722754,0.4786356825239564,0.10601881938085767,0.9333464749723195,0.8905127264694653,0.5619701219308391,0.050770626675142205,0.581459217111793,0.6133704000201841,0.3544813797885903,0.24029636600936843,0.4902360178679017,0.39395836343005286,0.5294724790936913,0.7628727417798301,0.5393161939220572,0.03384822768143303,0.7747647956080781,0.6549632039988127,0.5267310337157542,0.9735533543802914,0.839101518975703,0.38995084473186714,0.29829411765699365,0.4219958596475185,0.11652900993963666,0.3380336997704666,0.9628635064947255,0.7882028103414955,0.9816153836658772,0.8079652945239633,0.7980908291840038,0.6809266149976297,0.7183117562092945,0.8615072240019234,0.12236176412313404,0.5716659631687393,0.4130141323662091]}},"id":"9c7ec672-fa16-4876-89dc-adbce9c5692e","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"3f6f5dc9-2781-46c6-b944-b26a0773027b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f9e0b58-1e97-47af-a295-7c540aceaa11","type":"BasicTicker"}},"id":"84fbb7c3-dab4-47c0-b3c8-3f1680d7921c","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"296e26b4-a8c3-487e-86b9-2a8ad583fb1c","type":"Line"},{"attributes":{},"id":"c93c6e5b-7447-4e80-a63d-165fa11cb9f5","type":"LinearScale"},{"attributes":{"source":{"id":"4db9bf44-5552-43f2-89e4-a7c38de4e275","type":"ColumnDataSource"}},"id":"0d04a44b-ba21-4046-93f2-cbcff471112b","type":"CDSView"},{"attributes":{"args":{"s2":{"id":"4db9bf44-5552-43f2-89e4-a7c38de4e275","type":"ColumnDataSource"}},"code":"\n        var inds = cb_obj.selected['1d'].indices;\n        var d = cb_obj.data;\n        var ym = 0\n\n        if (inds.length == 0) { return; }\n\n        for (i = 0; i < d['color'].length; i++) {\n            d['color'][i] = \"navy\"\n        }\n        for (i = 0; i < inds.length; i++) {\n            d['color'][inds[i]] = \"firebrick\"\n            ym += d['y'][inds[i]]\n        }\n\n        ym /= inds.length\n        s2.data['ym'] = [ym, ym]\n\n        cb_obj.change.emit();\n        s2.change.emit();\n    "},"id":"0bcc4a8a-df79-471e-bdac-aad716388332","type":"CustomJS"},{"attributes":{"fill_alpha":{"value":0.4},"fill_color":{"field":"color"},"line_alpha":{"value":0.4},"line_color":{"field":"color"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"ada8eddd-35ba-41eb-bf68-c82112f84de4","type":"Circle"},{"attributes":{"below":[{"id":"e0f42d80-010a-47f5-a831-909e1c786395","type":"LinearAxis"}],"left":[{"id":"4bd10984-b4b4-4687-8699-0ddfff2cc4b5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e0f42d80-010a-47f5-a831-909e1c786395","type":"LinearAxis"},{"id":"84fbb7c3-dab4-47c0-b3c8-3f1680d7921c","type":"Grid"},{"id":"4bd10984-b4b4-4687-8699-0ddfff2cc4b5","type":"LinearAxis"},{"id":"16e19cbf-39c8-48c2-968e-4337da563b77","type":"Grid"},{"id":"f718cfe4-2903-42ba-9dfe-7969eecbcf63","type":"PolyAnnotation"},{"id":"8b556ff2-a583-4d6c-bc2a-cfb77c408a32","type":"GlyphRenderer"},{"id":"f8f5dff4-85d5-4ad6-87ee-bfa28a2d1eec","type":"GlyphRenderer"}],"title":{"id":"37f713b1-d71d-4ba5-be81-47af89c037b7","type":"Title"},"toolbar":{"id":"18be5a00-badc-4d3d-a134-ee7755e47fac","type":"Toolbar"},"x_range":{"id":"9a4af8cb-1587-489f-8e5c-8f8707e4e2ea","type":"DataRange1d"},"x_scale":{"id":"9c13595b-e651-4fef-bfad-4f295ecb56da","type":"LinearScale"},"y_range":{"id":"82e6bcd0-3070-49a1-bbb3-1c5f5b852e28","type":"DataRange1d"},"y_scale":{"id":"c93c6e5b-7447-4e80-a63d-165fa11cb9f5","type":"LinearScale"}},"id":"3f6f5dc9-2781-46c6-b944-b26a0773027b","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"ccf8f6bf-1ec2-4459-9999-6e2dd2562fed","type":"Circle"},{"attributes":{"formatter":{"id":"e5249334-bb31-4ae8-b0bd-60b62b99325d","type":"BasicTickFormatter"},"plot":{"id":"3f6f5dc9-2781-46c6-b944-b26a0773027b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f9e0b58-1e97-47af-a295-7c540aceaa11","type":"BasicTicker"}},"id":"e0f42d80-010a-47f5-a831-909e1c786395","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"line_width":{"value":5},"x":{"field":"x"},"y":{"field":"ym"}},"id":"c13642a8-61f6-4ec1-841c-75d60da6cf7a","type":"Line"},{"attributes":{},"id":"4f9e0b58-1e97-47af-a295-7c540aceaa11","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["x","ym"],"data":{"x":[0,1],"ym":[0.5,0.5]}},"id":"4db9bf44-5552-43f2-89e4-a7c38de4e275","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"82e6bcd0-3070-49a1-bbb3-1c5f5b852e28","type":"DataRange1d"},{"attributes":{"data_source":{"id":"4db9bf44-5552-43f2-89e4-a7c38de4e275","type":"ColumnDataSource"},"glyph":{"id":"c13642a8-61f6-4ec1-841c-75d60da6cf7a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"296e26b4-a8c3-487e-86b9-2a8ad583fb1c","type":"Line"},"selection_glyph":null,"view":{"id":"0d04a44b-ba21-4046-93f2-cbcff471112b","type":"CDSView"}},"id":"f8f5dff4-85d5-4ad6-87ee-bfa28a2d1eec","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"9a4af8cb-1587-489f-8e5c-8f8707e4e2ea","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c9529292-9558-4341-a3f6-cfc1295d95fc","type":"BasicTickFormatter"},"plot":{"id":"3f6f5dc9-2781-46c6-b944-b26a0773027b","subtype":"Figure","type":"Plot"},"ticker":{"id":"4d943ffc-d5ba-4474-81b8-f7f76bd2abcf","type":"BasicTicker"}},"id":"4bd10984-b4b4-4687-8699-0ddfff2cc4b5","type":"LinearAxis"},{"attributes":{},"id":"4d943ffc-d5ba-4474-81b8-f7f76bd2abcf","type":"BasicTicker"},{"attributes":{},"id":"9c13595b-e651-4fef-bfad-4f295ecb56da","type":"LinearScale"},{"attributes":{},"id":"e5249334-bb31-4ae8-b0bd-60b62b99325d","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Select Here"},"id":"37f713b1-d71d-4ba5-be81-47af89c037b7","type":"Title"},{"attributes":{"data_source":{"id":"9c7ec672-fa16-4876-89dc-adbce9c5692e","type":"ColumnDataSource"},"glyph":{"id":"ada8eddd-35ba-41eb-bf68-c82112f84de4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ccf8f6bf-1ec2-4459-9999-6e2dd2562fed","type":"Circle"},"selection_glyph":null,"view":{"id":"7cf44b9a-4fa4-4dcd-b3c3-14b8a09203d1","type":"CDSView"}},"id":"8b556ff2-a583-4d6c-bc2a-cfb77c408a32","type":"GlyphRenderer"},{"attributes":{"callback":null,"overlay":{"id":"f718cfe4-2903-42ba-9dfe-7969eecbcf63","type":"PolyAnnotation"}},"id":"6e3dbabf-7114-49be-ae38-a7579f9b7a65","type":"LassoSelectTool"},{"attributes":{"source":{"id":"9c7ec672-fa16-4876-89dc-adbce9c5692e","type":"ColumnDataSource"}},"id":"7cf44b9a-4fa4-4dcd-b3c3-14b8a09203d1","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"f718cfe4-2903-42ba-9dfe-7969eecbcf63","type":"PolyAnnotation"}],"root_ids":["3f6f5dc9-2781-46c6-b944-b26a0773027b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"061d8ed5-3496-4f55-a34f-cd87c8c2144d","elementid":"2983ed8a-ae93-4712-b002-c4c6dae2a9de","modelid":"3f6f5dc9-2781-46c6-b944-b26a0773027b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
