(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7670313f-5a33-48b7-87f5-68b2509f5fb0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7670313f-5a33-48b7-87f5-68b2509f5fb0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8befd301-c643-460a-b261-ccdbc5d567d3":{"roots":{"references":[{"attributes":{"source":{"id":"5607f52f-0a5c-482e-ad55-cff67bc04f5a","type":"ColumnDataSource"}},"id":"42b6fa07-2530-47a6-88d4-c82520704a6e","type":"CDSView"},{"attributes":{},"id":"2572df85-5cf6-4fd1-b946-b2fc5ba3e10c","type":"BasicTicker"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0096d080-c029-4e39-b422-a3d1c31c4a3b","type":"Circle"},{"attributes":{"callback":null},"id":"19337f66-5fe9-4c3f-843d-fe22b67faf1d","type":"DataRange1d"},{"attributes":{"formatter":{"id":"247319bb-f580-4395-964f-6a03392fbaf0","type":"BasicTickFormatter"},"plot":{"id":"77b7ae64-c7a7-44c7-9b01-cda6aca0293b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2572df85-5cf6-4fd1-b946-b2fc5ba3e10c","type":"BasicTicker"}},"id":"d898e3dc-06e1-44ec-91bd-b5215f29c29f","type":"LinearAxis"},{"attributes":{"below":[{"id":"e565b974-a8b8-4f9e-85e3-a6dc41c61667","type":"LinearAxis"}],"left":[{"id":"d898e3dc-06e1-44ec-91bd-b5215f29c29f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e565b974-a8b8-4f9e-85e3-a6dc41c61667","type":"LinearAxis"},{"id":"1f2920dd-6fc9-415e-9e25-4953baf4ada2","type":"Grid"},{"id":"d898e3dc-06e1-44ec-91bd-b5215f29c29f","type":"LinearAxis"},{"id":"daa26188-81c4-4d2b-bfb6-2fdd31d7064b","type":"Grid"},{"id":"661672cd-9c8f-4c3e-841f-a5a89bdddc45","type":"GlyphRenderer"}],"title":{"id":"f9204439-e282-4322-b59d-de17f8376cd2","type":"Title"},"toolbar":{"id":"818ed658-e9a7-4569-b966-caa489f5bc48","type":"Toolbar"},"x_range":{"id":"57d1c772-e501-45eb-b534-230b91b337f0","type":"DataRange1d"},"x_scale":{"id":"befaa193-17d8-41df-abef-2b0a5b5c4c7a","type":"LinearScale"},"y_range":{"id":"19337f66-5fe9-4c3f-843d-fe22b67faf1d","type":"DataRange1d"},"y_scale":{"id":"25aaa1da-af6b-4891-9855-a82715e2ec1c","type":"LinearScale"}},"id":"77b7ae64-c7a7-44c7-9b01-cda6aca0293b","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"5607f52f-0a5c-482e-ad55-cff67bc04f5a","type":"ColumnDataSource"},"glyph":{"id":"0096d080-c029-4e39-b422-a3d1c31c4a3b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8a9c6aa2-eb65-4fda-ba20-e85e417e9a65","type":"Circle"},"selection_glyph":null,"view":{"id":"42b6fa07-2530-47a6-88d4-c82520704a6e","type":"CDSView"}},"id":"661672cd-9c8f-4c3e-841f-a5a89bdddc45","type":"GlyphRenderer"},{"attributes":{},"id":"cc7f3797-5b5c-4b48-bd86-fdf6d2ecaa86","type":"BasicTickFormatter"},{"attributes":{},"id":"bdb8182c-db20-4a21-9674-330216c00759","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["color","y","x"],"data":{"color":["navy","orange","olive","firebrick","gold"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5607f52f-0a5c-482e-ad55-cff67bc04f5a","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8a9c6aa2-eb65-4fda-ba20-e85e417e9a65","type":"Circle"},{"attributes":{"url":"http://www.colors.commutercreative.com/@color/"},"id":"38595740-19cc-4b80-8157-a64c3c2b2dbd","type":"OpenURL"},{"attributes":{"plot":null,"text":"Click the Dots"},"id":"f9204439-e282-4322-b59d-de17f8376cd2","type":"Title"},{"attributes":{"formatter":{"id":"cc7f3797-5b5c-4b48-bd86-fdf6d2ecaa86","type":"BasicTickFormatter"},"plot":{"id":"77b7ae64-c7a7-44c7-9b01-cda6aca0293b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bdb8182c-db20-4a21-9674-330216c00759","type":"BasicTicker"}},"id":"e565b974-a8b8-4f9e-85e3-a6dc41c61667","type":"LinearAxis"},{"attributes":{},"id":"befaa193-17d8-41df-abef-2b0a5b5c4c7a","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f66db1fa-eefd-4f3d-9427-000be2a98216","type":"TapTool"}]},"id":"818ed658-e9a7-4569-b966-caa489f5bc48","type":"Toolbar"},{"attributes":{"plot":{"id":"77b7ae64-c7a7-44c7-9b01-cda6aca0293b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bdb8182c-db20-4a21-9674-330216c00759","type":"BasicTicker"}},"id":"1f2920dd-6fc9-415e-9e25-4953baf4ada2","type":"Grid"},{"attributes":{"callback":{"id":"38595740-19cc-4b80-8157-a64c3c2b2dbd","type":"OpenURL"}},"id":"f66db1fa-eefd-4f3d-9427-000be2a98216","type":"TapTool"},{"attributes":{},"id":"25aaa1da-af6b-4891-9855-a82715e2ec1c","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"77b7ae64-c7a7-44c7-9b01-cda6aca0293b","subtype":"Figure","type":"Plot"},"ticker":{"id":"2572df85-5cf6-4fd1-b946-b2fc5ba3e10c","type":"BasicTicker"}},"id":"daa26188-81c4-4d2b-bfb6-2fdd31d7064b","type":"Grid"},{"attributes":{},"id":"247319bb-f580-4395-964f-6a03392fbaf0","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"57d1c772-e501-45eb-b534-230b91b337f0","type":"DataRange1d"}],"root_ids":["77b7ae64-c7a7-44c7-9b01-cda6aca0293b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8befd301-c643-460a-b261-ccdbc5d567d3","elementid":"7670313f-5a33-48b7-87f5-68b2509f5fb0","modelid":"77b7ae64-c7a7-44c7-9b01-cda6aca0293b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
