(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fc2ca528-a4aa-4d3a-b2b3-5a2aea5256cc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fc2ca528-a4aa-4d3a-b2b3-5a2aea5256cc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d5ce112c-167e-49a4-8cc8-31e3c312b1bb":{"roots":{"references":[{"attributes":{"data_source":{"id":"21982c69-886e-4723-a4cc-ff9e3f0405f8","type":"ColumnDataSource"},"glyph":{"id":"4838bfdf-60cc-4424-9b4f-03303d3e0bc4","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8af4ba0a-4b6c-49ae-8243-86d895e86504","type":"Triangle"},"selection_glyph":null,"view":{"id":"374ea978-299b-4a31-9e4e-78d60cce402d","type":"CDSView"}},"id":"2e356ef3-0b9e-4b56-9299-d86a6e26fb29","type":"GlyphRenderer"},{"attributes":{"source":{"id":"155d2c62-1f8c-4a03-bec9-a2ab2d9dddf3","type":"ColumnDataSource"}},"id":"a48df98c-6617-4640-8530-3b29123662be","type":"CDSView"},{"attributes":{},"id":"18d2bb42-d3a1-45f8-bb6c-3ca09921c393","type":"BasicTicker"},{"attributes":{},"id":"9742c3cd-dcf1-4e36-843b-eee0278fece8","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5bc33299-0254-431a-a6d0-91b723a1e472","type":"Circle"},{"attributes":{},"id":"8374484e-3f7c-4c76-817b-e6df041c4351","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4838bfdf-60cc-4424-9b4f-03303d3e0bc4","type":"Triangle"},{"attributes":{"callback":null},"id":"7e0f3250-9c6f-4f16-9d29-bec7b5a7088d","type":"DataRange1d"},{"attributes":{},"id":"fa2c3275-2d99-496b-a331-b8f258022ecc","type":"ResetTool"},{"attributes":{},"id":"85b9c1d7-a3ea-4653-bb91-826a07fbfa74","type":"PanTool"},{"attributes":{"children":[{"id":"b26f63e1-3a0a-46f6-99b8-b48fd3200b3d","subtype":"Figure","type":"Plot"},{"id":"25d5a52e-c103-4a97-81ab-0041f84a80ea","subtype":"Figure","type":"Plot"},{"id":"6445409c-eb81-4ed6-938f-a26163b7688d","subtype":"Figure","type":"Plot"}]},"id":"f904c88e-b135-427b-8839-f2c63a1a8a91","type":"Row"},{"attributes":{},"id":"3b357cd7-1e11-4461-a966-81daa7094ea9","type":"LinearScale"},{"attributes":{},"id":"a495b122-f8f6-4875-9c12-22b78e67f94b","type":"LinearScale"},{"attributes":{"formatter":{"id":"be825e2b-7795-42a0-8112-cbee4d0d9810","type":"BasicTickFormatter"},"plot":{"id":"25d5a52e-c103-4a97-81ab-0041f84a80ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"18d2bb42-d3a1-45f8-bb6c-3ca09921c393","type":"BasicTicker"}},"id":"3c00131c-57b2-43bd-aa81-ae4db93745ce","type":"LinearAxis"},{"attributes":{},"id":"498459b3-a24a-4f16-84ac-f4c73d406e46","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"5a9255dc-3f51-4580-8165-5999dc400bff","type":"ColumnDataSource"},{"attributes":{},"id":"818751c2-e3b2-44ab-8837-61e2b7f33898","type":"BasicTickFormatter"},{"attributes":{},"id":"e2112f83-761e-4e20-a9fe-00b1fba0a910","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"084331af-dc3a-479a-bcdd-25fb4ce68436","type":"Square"},{"attributes":{"overlay":{"id":"a3200cf2-076a-4d69-9d0a-0618f71838ec","type":"BoxAnnotation"}},"id":"01af6e22-f0ff-475c-8fbc-509459adace9","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"85b9c1d7-a3ea-4653-bb91-826a07fbfa74","type":"PanTool"},{"id":"af3b8754-5638-41e3-b751-cc8626c3d513","type":"WheelZoomTool"},{"id":"51efb6ae-e001-45cb-9e45-c88f1af42b9c","type":"BoxZoomTool"},{"id":"50fca5d0-7d26-4730-8fd6-659eea87153a","type":"SaveTool"},{"id":"3bf79882-82ea-46ec-9fa1-bdecc84d56c0","type":"ResetTool"},{"id":"54e65756-ebd6-41d4-bbdb-670689014eea","type":"HelpTool"}]},"id":"71d41199-5574-421a-8575-07e02aabcda5","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"b26f63e1-3a0a-46f6-99b8-b48fd3200b3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b650cef0-7ff7-48c7-8fe7-3f5ed612228a","type":"BasicTicker"}},"id":"45e18ad1-3d05-4c53-a7d5-b3104afbe8f2","type":"Grid"},{"attributes":{"plot":{"id":"6445409c-eb81-4ed6-938f-a26163b7688d","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a03d76b-9547-4304-82d6-92b528b486ca","type":"BasicTicker"}},"id":"0e83d703-8bba-4d49-8dae-535b0b3daf41","type":"Grid"},{"attributes":{"formatter":{"id":"4540a93c-a345-4310-b2a5-0f1f260cb587","type":"BasicTickFormatter"},"plot":{"id":"b26f63e1-3a0a-46f6-99b8-b48fd3200b3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"392adad4-617a-469b-bde1-eb82f8f22e4e","type":"BasicTicker"}},"id":"2ba679f7-4ab5-4e9a-befe-370d5319db04","type":"LinearAxis"},{"attributes":{"plot":{"id":"b26f63e1-3a0a-46f6-99b8-b48fd3200b3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"392adad4-617a-469b-bde1-eb82f8f22e4e","type":"BasicTicker"}},"id":"22ed6d15-a54f-4b05-8b16-547dc47e7135","type":"Grid"},{"attributes":{"source":{"id":"21982c69-886e-4723-a4cc-ff9e3f0405f8","type":"ColumnDataSource"}},"id":"374ea978-299b-4a31-9e4e-78d60cce402d","type":"CDSView"},{"attributes":{"callback":null},"id":"2aa068cc-ce63-4446-9f83-ac81c662d8c6","type":"DataRange1d"},{"attributes":{"below":[{"id":"4b694b6a-b970-43be-89cf-058e4e498a90","type":"LinearAxis"}],"left":[{"id":"3c00131c-57b2-43bd-aa81-ae4db93745ce","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"4b694b6a-b970-43be-89cf-058e4e498a90","type":"LinearAxis"},{"id":"c2490c63-7984-4356-8cba-d2bc31276fcb","type":"Grid"},{"id":"3c00131c-57b2-43bd-aa81-ae4db93745ce","type":"LinearAxis"},{"id":"18185776-c23d-4e9a-a2c1-2edb7095270b","type":"Grid"},{"id":"1e55340e-70c1-4bac-83d5-4be397c2a940","type":"BoxAnnotation"},{"id":"2e356ef3-0b9e-4b56-9299-d86a6e26fb29","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"d81e1ec6-d6e3-4b79-b10e-2130f0f2296f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2aa068cc-ce63-4446-9f83-ac81c662d8c6","type":"DataRange1d"},"x_scale":{"id":"c13bda6c-4aeb-49ac-83d9-cb132b6e39be","type":"LinearScale"},"y_range":{"id":"7e0f3250-9c6f-4f16-9d29-bec7b5a7088d","type":"DataRange1d"},"y_scale":{"id":"8374484e-3f7c-4c76-817b-e6df041c4351","type":"LinearScale"}},"id":"25d5a52e-c103-4a97-81ab-0041f84a80ea","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"f904c88e-b135-427b-8839-f2c63a1a8a91","type":"Row"}]},"id":"9bbf02ac-b84d-49bd-9b39-2500a8056b81","type":"Column"},{"attributes":{},"id":"af3b8754-5638-41e3-b751-cc8626c3d513","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"962a4a7c-3b7f-4140-8649-34dcc73b0c04","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bb8f6213-6dc1-46e4-80de-ed803a21b8c9","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"193ba425-c92e-43e8-8527-55cd4e65b8fa","type":"PanTool"},{"id":"fa7a0426-9535-499b-89f5-e613c4cc3cea","type":"WheelZoomTool"},{"id":"11274f94-1bf9-4c3d-95d1-95634feb5ae2","type":"BoxZoomTool"},{"id":"c9647458-b468-4212-9854-3497b20717c2","type":"SaveTool"},{"id":"d8f5a05a-a120-485d-a7e2-5b6bee4a9e58","type":"ResetTool"},{"id":"c5b3e278-3b02-4790-9d37-e29c29d1b7cc","type":"HelpTool"}]},"id":"d81e1ec6-d6e3-4b79-b10e-2130f0f2296f","type":"Toolbar"},{"attributes":{"formatter":{"id":"d284d2de-c41f-4052-b244-c152f8eeb98d","type":"BasicTickFormatter"},"plot":{"id":"6445409c-eb81-4ed6-938f-a26163b7688d","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a03d76b-9547-4304-82d6-92b528b486ca","type":"BasicTicker"}},"id":"e0353367-ad9d-4229-b6d4-302769bf71fd","type":"LinearAxis"},{"attributes":{},"id":"3bf79882-82ea-46ec-9fa1-bdecc84d56c0","type":"ResetTool"},{"attributes":{},"id":"f1ee5bc6-602e-490d-9c73-4a6496194427","type":"HelpTool"},{"attributes":{"below":[{"id":"2ba679f7-4ab5-4e9a-befe-370d5319db04","type":"LinearAxis"}],"left":[{"id":"0e179277-14c4-4826-9a79-a0e2348afee5","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"2ba679f7-4ab5-4e9a-befe-370d5319db04","type":"LinearAxis"},{"id":"22ed6d15-a54f-4b05-8b16-547dc47e7135","type":"Grid"},{"id":"0e179277-14c4-4826-9a79-a0e2348afee5","type":"LinearAxis"},{"id":"45e18ad1-3d05-4c53-a7d5-b3104afbe8f2","type":"Grid"},{"id":"bb8f6213-6dc1-46e4-80de-ed803a21b8c9","type":"BoxAnnotation"},{"id":"794af4d5-2f49-478a-8ba6-7a1a52e383a2","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"71d41199-5574-421a-8575-07e02aabcda5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2aa068cc-ce63-4446-9f83-ac81c662d8c6","type":"DataRange1d"},"x_scale":{"id":"a495b122-f8f6-4875-9c12-22b78e67f94b","type":"LinearScale"},"y_range":{"id":"7e0f3250-9c6f-4f16-9d29-bec7b5a7088d","type":"DataRange1d"},"y_scale":{"id":"498459b3-a24a-4f16-84ac-f4c73d406e46","type":"LinearScale"}},"id":"b26f63e1-3a0a-46f6-99b8-b48fd3200b3d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c5b3e278-3b02-4790-9d37-e29c29d1b7cc","type":"HelpTool"},{"attributes":{"below":[{"id":"e0353367-ad9d-4229-b6d4-302769bf71fd","type":"LinearAxis"}],"left":[{"id":"f61d297e-1ed8-438b-b8a2-ded914c93a33","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"e0353367-ad9d-4229-b6d4-302769bf71fd","type":"LinearAxis"},{"id":"0e83d703-8bba-4d49-8dae-535b0b3daf41","type":"Grid"},{"id":"f61d297e-1ed8-438b-b8a2-ded914c93a33","type":"LinearAxis"},{"id":"5b9a3f39-e6c5-4d60-9088-fba55cdb9a8d","type":"Grid"},{"id":"a3200cf2-076a-4d69-9d0a-0618f71838ec","type":"BoxAnnotation"},{"id":"8645e510-1aaa-47c3-a740-826da3c0c171","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1b8b57b8-9c41-47ec-bae1-3e4d06ce43e4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2aa068cc-ce63-4446-9f83-ac81c662d8c6","type":"DataRange1d"},"x_scale":{"id":"ccb29d41-d806-4bd2-a20b-b0d92da10a6c","type":"LinearScale"},"y_range":{"id":"6abd0b4b-5da3-4eb4-af8a-11c15f81b01e","type":"DataRange1d"},"y_scale":{"id":"3b357cd7-1e11-4461-a966-81daa7094ea9","type":"LinearScale"}},"id":"6445409c-eb81-4ed6-938f-a26163b7688d","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1e55340e-70c1-4bac-83d5-4be397c2a940","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"155d2c62-1f8c-4a03-bec9-a2ab2d9dddf3","type":"ColumnDataSource"},{"attributes":{},"id":"b4ab2453-acad-4583-b748-c2813e7bdde8","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"21982c69-886e-4723-a4cc-ff9e3f0405f8","type":"ColumnDataSource"},{"attributes":{},"id":"4540a93c-a345-4310-b2a5-0f1f260cb587","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"54e0f3bd-839e-4ed8-a3c7-8dfa228a620b","type":"Square"},{"attributes":{"formatter":{"id":"e2112f83-761e-4e20-a9fe-00b1fba0a910","type":"BasicTickFormatter"},"plot":{"id":"b26f63e1-3a0a-46f6-99b8-b48fd3200b3d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b650cef0-7ff7-48c7-8fe7-3f5ed612228a","type":"BasicTicker"}},"id":"0e179277-14c4-4826-9a79-a0e2348afee5","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5a9255dc-3f51-4580-8165-5999dc400bff","type":"ColumnDataSource"},"glyph":{"id":"54e0f3bd-839e-4ed8-a3c7-8dfa228a620b","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"084331af-dc3a-479a-bcdd-25fb4ce68436","type":"Square"},"selection_glyph":null,"view":{"id":"50d88a39-ab0c-432b-81b2-79de91c07530","type":"CDSView"}},"id":"8645e510-1aaa-47c3-a740-826da3c0c171","type":"GlyphRenderer"},{"attributes":{},"id":"392adad4-617a-469b-bde1-eb82f8f22e4e","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b4ab2453-acad-4583-b748-c2813e7bdde8","type":"PanTool"},{"id":"9742c3cd-dcf1-4e36-843b-eee0278fece8","type":"WheelZoomTool"},{"id":"01af6e22-f0ff-475c-8fbc-509459adace9","type":"BoxZoomTool"},{"id":"cdcea0f7-870b-49d3-8219-5402f8b003f1","type":"SaveTool"},{"id":"fa2c3275-2d99-496b-a331-b8f258022ecc","type":"ResetTool"},{"id":"f1ee5bc6-602e-490d-9c73-4a6496194427","type":"HelpTool"}]},"id":"1b8b57b8-9c41-47ec-bae1-3e4d06ce43e4","type":"Toolbar"},{"attributes":{},"id":"d8f5a05a-a120-485d-a7e2-5b6bee4a9e58","type":"ResetTool"},{"attributes":{"formatter":{"id":"818751c2-e3b2-44ab-8837-61e2b7f33898","type":"BasicTickFormatter"},"plot":{"id":"25d5a52e-c103-4a97-81ab-0041f84a80ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"71914b94-8f94-48be-b174-b698a9df4f3e","type":"BasicTicker"}},"id":"4b694b6a-b970-43be-89cf-058e4e498a90","type":"LinearAxis"},{"attributes":{"source":{"id":"5a9255dc-3f51-4580-8165-5999dc400bff","type":"ColumnDataSource"}},"id":"50d88a39-ab0c-432b-81b2-79de91c07530","type":"CDSView"},{"attributes":{},"id":"193ba425-c92e-43e8-8527-55cd4e65b8fa","type":"PanTool"},{"attributes":{},"id":"c9647458-b468-4212-9854-3497b20717c2","type":"SaveTool"},{"attributes":{},"id":"50fca5d0-7d26-4730-8fd6-659eea87153a","type":"SaveTool"},{"attributes":{"data_source":{"id":"155d2c62-1f8c-4a03-bec9-a2ab2d9dddf3","type":"ColumnDataSource"},"glyph":{"id":"5bc33299-0254-431a-a6d0-91b723a1e472","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"962a4a7c-3b7f-4140-8649-34dcc73b0c04","type":"Circle"},"selection_glyph":null,"view":{"id":"a48df98c-6617-4640-8530-3b29123662be","type":"CDSView"}},"id":"794af4d5-2f49-478a-8ba6-7a1a52e383a2","type":"GlyphRenderer"},{"attributes":{},"id":"cdcea0f7-870b-49d3-8219-5402f8b003f1","type":"SaveTool"},{"attributes":{},"id":"b650cef0-7ff7-48c7-8fe7-3f5ed612228a","type":"BasicTicker"},{"attributes":{},"id":"d284d2de-c41f-4052-b244-c152f8eeb98d","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"bb8f6213-6dc1-46e4-80de-ed803a21b8c9","type":"BoxAnnotation"}},"id":"51efb6ae-e001-45cb-9e45-c88f1af42b9c","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"25d5a52e-c103-4a97-81ab-0041f84a80ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"18d2bb42-d3a1-45f8-bb6c-3ca09921c393","type":"BasicTicker"}},"id":"18185776-c23d-4e9a-a2c1-2edb7095270b","type":"Grid"},{"attributes":{},"id":"71914b94-8f94-48be-b174-b698a9df4f3e","type":"BasicTicker"},{"attributes":{},"id":"54e65756-ebd6-41d4-bbdb-670689014eea","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"6445409c-eb81-4ed6-938f-a26163b7688d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8cd6fb3-dd48-4f86-9885-716456f49a49","type":"BasicTicker"}},"id":"5b9a3f39-e6c5-4d60-9088-fba55cdb9a8d","type":"Grid"},{"attributes":{},"id":"e8cd6fb3-dd48-4f86-9885-716456f49a49","type":"BasicTicker"},{"attributes":{},"id":"ccb29d41-d806-4bd2-a20b-b0d92da10a6c","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a3200cf2-076a-4d69-9d0a-0618f71838ec","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"25d5a52e-c103-4a97-81ab-0041f84a80ea","subtype":"Figure","type":"Plot"},"ticker":{"id":"71914b94-8f94-48be-b174-b698a9df4f3e","type":"BasicTicker"}},"id":"c2490c63-7984-4356-8cba-d2bc31276fcb","type":"Grid"},{"attributes":{"overlay":{"id":"1e55340e-70c1-4bac-83d5-4be397c2a940","type":"BoxAnnotation"}},"id":"11274f94-1bf9-4c3d-95d1-95634feb5ae2","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"6abd0b4b-5da3-4eb4-af8a-11c15f81b01e","type":"DataRange1d"},{"attributes":{},"id":"9a03d76b-9547-4304-82d6-92b528b486ca","type":"BasicTicker"},{"attributes":{},"id":"c13bda6c-4aeb-49ac-83d9-cb132b6e39be","type":"LinearScale"},{"attributes":{},"id":"36889bed-2a66-4cba-ab96-5d96f8d414bf","type":"BasicTickFormatter"},{"attributes":{},"id":"be825e2b-7795-42a0-8112-cbee4d0d9810","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8af4ba0a-4b6c-49ae-8243-86d895e86504","type":"Triangle"},{"attributes":{},"id":"fa7a0426-9535-499b-89f5-e613c4cc3cea","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"36889bed-2a66-4cba-ab96-5d96f8d414bf","type":"BasicTickFormatter"},"plot":{"id":"6445409c-eb81-4ed6-938f-a26163b7688d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e8cd6fb3-dd48-4f86-9885-716456f49a49","type":"BasicTicker"}},"id":"f61d297e-1ed8-438b-b8a2-ded914c93a33","type":"LinearAxis"}],"root_ids":["9bbf02ac-b84d-49bd-9b39-2500a8056b81"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d5ce112c-167e-49a4-8cc8-31e3c312b1bb","elementid":"fc2ca528-a4aa-4d3a-b2b3-5a2aea5256cc","modelid":"9bbf02ac-b84d-49bd-9b39-2500a8056b81"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
