(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e7410e1e-7b0e-4096-9a2d-1a46824c8589");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e7410e1e-7b0e-4096-9a2d-1a46824c8589' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"86526619-56ea-4de8-809f-0c62cf5778ff":{"roots":{"references":[{"attributes":{"formatter":{"id":"487cd5ee-b9b1-4c74-acbd-1ef348891aeb","type":"BasicTickFormatter"},"plot":{"id":"b9073177-13f7-4f17-b39a-3a6d4658f078","subtype":"Figure","type":"Plot"},"ticker":{"id":"f4895084-39a3-47a4-8891-c36049d92307","type":"BasicTicker"}},"id":"030aec48-d8e2-4b98-90c0-9ff6f6c0d914","type":"LinearAxis"},{"attributes":{"callback":null,"overlay":{"id":"0357b65e-d8e0-4ee9-b414-f26ca20aedc3","type":"PolyAnnotation"}},"id":"bcdf345f-7e21-4491-b53f-11206b38f912","type":"LassoSelectTool"},{"attributes":{},"id":"c8d58fec-e2a4-4631-8402-bf946a2ed64d","type":"HelpTool"},{"attributes":{},"id":"f4895084-39a3-47a4-8891-c36049d92307","type":"BasicTicker"},{"attributes":{},"id":"382dc5d8-eaff-4a80-9897-945c7aa9e8d2","type":"LinearScale"},{"attributes":{},"id":"d2bc5843-6eeb-4867-af70-d6cf47121ce9","type":"LinearScale"},{"attributes":{"plot":{"id":"b9073177-13f7-4f17-b39a-3a6d4658f078","subtype":"Figure","type":"Plot"},"ticker":{"id":"f4895084-39a3-47a4-8891-c36049d92307","type":"BasicTicker"}},"id":"18763df0-ae57-4d93-aafc-acf8faf6cde0","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"827b53f1-3f14-44a6-aeff-3845f080e23c","type":"BoxSelectTool"},{"id":"bcdf345f-7e21-4491-b53f-11206b38f912","type":"LassoSelectTool"},{"id":"f20ab11e-00af-4201-be11-a7348222d91b","type":"HelpTool"}]},"id":"f1474543-db04-4bbc-93ce-8d7e38a221a6","type":"Toolbar"},{"attributes":{"formatter":{"id":"882b14e8-3634-49a1-8007-92161502ef8f","type":"BasicTickFormatter"},"plot":{"id":"b9073177-13f7-4f17-b39a-3a6d4658f078","subtype":"Figure","type":"Plot"},"ticker":{"id":"124e3c95-960b-401d-a130-50ec4d423d5f","type":"BasicTicker"}},"id":"08829e24-a30a-4429-b41c-4647b9966b6c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"c643e7db-ac73-4447-aa09-d55881241644","type":"DataRange1d"},{"attributes":{},"id":"882b14e8-3634-49a1-8007-92161502ef8f","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"e3fa49cb-32d7-4ada-8703-99e6188408d2","type":"DataRange1d"},{"attributes":{"data_source":{"id":"108b6557-2064-4a3b-8ca0-80b4c9fe2a93","type":"ColumnDataSource"},"glyph":{"id":"5d461d9a-4490-4c33-98ad-a2730725be49","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0678a05c-effd-43d9-89fe-abb6c06f8460","type":"Circle"},"selection_glyph":null,"view":{"id":"6f4a4d3a-114c-4c3f-b45d-75b3ccb6a23a","type":"CDSView"}},"id":"1d642c6d-b870-41eb-92a6-a7f5c809c239","type":"GlyphRenderer"},{"attributes":{},"id":"f20ab11e-00af-4201-be11-a7348222d91b","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"03053ac5-7a47-4919-845e-e956082fea07","type":"Circle"},{"attributes":{"callback":null,"overlay":{"id":"e553d884-ea59-47d9-bb78-a437469c3df2","type":"BoxAnnotation"},"renderers":[{"id":"1d642c6d-b870-41eb-92a6-a7f5c809c239","type":"GlyphRenderer"}]},"id":"da12bdac-eb99-4280-99cc-d9d7ac1a771f","type":"BoxSelectTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"0678a05c-effd-43d9-89fe-abb6c06f8460","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"774b079e-4a01-4719-83d2-18f3ca278e63","type":"PolyAnnotation"},{"attributes":{"children":[{"id":"b3634a6d-bcda-4ce8-8beb-bb0c188372b4","subtype":"Figure","type":"Plot"},{"id":"b9073177-13f7-4f17-b39a-3a6d4658f078","subtype":"Figure","type":"Plot"}]},"id":"0bc3f453-0278-4f42-a6ce-84486d154055","type":"Row"},{"attributes":{},"id":"487cd5ee-b9b1-4c74-acbd-1ef348891aeb","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"030aec48-d8e2-4b98-90c0-9ff6f6c0d914","type":"LinearAxis"}],"left":[{"id":"08829e24-a30a-4429-b41c-4647b9966b6c","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"030aec48-d8e2-4b98-90c0-9ff6f6c0d914","type":"LinearAxis"},{"id":"18763df0-ae57-4d93-aafc-acf8faf6cde0","type":"Grid"},{"id":"08829e24-a30a-4429-b41c-4647b9966b6c","type":"LinearAxis"},{"id":"765d32cb-e85f-41b7-b471-ed1bbc78a3b7","type":"Grid"},{"id":"e553d884-ea59-47d9-bb78-a437469c3df2","type":"BoxAnnotation"},{"id":"774b079e-4a01-4719-83d2-18f3ca278e63","type":"PolyAnnotation"},{"id":"1d642c6d-b870-41eb-92a6-a7f5c809c239","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"758bee13-ca73-4b58-90fb-f5ad2d1fcc7f","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e3fa49cb-32d7-4ada-8703-99e6188408d2","type":"DataRange1d"},"x_scale":{"id":"382dc5d8-eaff-4a80-9897-945c7aa9e8d2","type":"LinearScale"},"y_range":{"id":"b5ccf1bb-71c4-4013-b6af-6b0bf75ac86a","type":"DataRange1d"},"y_scale":{"id":"d2bc5843-6eeb-4867-af70-d6cf47121ce9","type":"LinearScale"}},"id":"b9073177-13f7-4f17-b39a-3a6d4658f078","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"108b6557-2064-4a3b-8ca0-80b4c9fe2a93","type":"ColumnDataSource"},"glyph":{"id":"03053ac5-7a47-4919-845e-e956082fea07","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"00d91cd3-f018-4dee-9da5-dcd88f0a539a","type":"Circle"},"selection_glyph":null,"view":{"id":"ede33759-56ff-486d-a6dd-c97dd25f55a2","type":"CDSView"}},"id":"5d31693d-e6d2-4935-88c6-7fb325b3ff70","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"0afd3ffe-51f5-4a49-bb6e-82f06dcb26a7","type":"BasicTickFormatter"},"plot":{"id":"b3634a6d-bcda-4ce8-8beb-bb0c188372b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"280b1b84-390a-4376-bd8f-329992b2c457","type":"BasicTicker"}},"id":"778ddc06-b700-4472-a39e-668f75ed8d24","type":"LinearAxis"},{"attributes":{"plot":{"id":"b3634a6d-bcda-4ce8-8beb-bb0c188372b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"280b1b84-390a-4376-bd8f-329992b2c457","type":"BasicTicker"}},"id":"99f3b786-fbee-45b4-9451-0c31d2d31b28","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"774b079e-4a01-4719-83d2-18f3ca278e63","type":"PolyAnnotation"}},"id":"02c61d2b-fcff-4d7e-88da-fb52f9c36a6c","type":"LassoSelectTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e553d884-ea59-47d9-bb78-a437469c3df2","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"b9073177-13f7-4f17-b39a-3a6d4658f078","subtype":"Figure","type":"Plot"},"ticker":{"id":"124e3c95-960b-401d-a130-50ec4d423d5f","type":"BasicTicker"}},"id":"765d32cb-e85f-41b7-b471-ed1bbc78a3b7","type":"Grid"},{"attributes":{"children":[{"id":"0bc3f453-0278-4f42-a6ce-84486d154055","type":"Row"}]},"id":"fa2bce1c-39a9-4fa4-abd4-cf99344b82b2","type":"Column"},{"attributes":{"callback":null},"id":"b5ccf1bb-71c4-4013-b6af-6b0bf75ac86a","type":"DataRange1d"},{"attributes":{"callback":null,"overlay":{"id":"3e471ac5-af8d-41fb-8a72-1d3b2aced5da","type":"BoxAnnotation"},"renderers":[{"id":"5d31693d-e6d2-4935-88c6-7fb325b3ff70","type":"GlyphRenderer"}]},"id":"827b53f1-3f14-44a6-aeff-3845f080e23c","type":"BoxSelectTool"},{"attributes":{"callback":null},"id":"90f6dd7e-f89f-4a42-a7d3-d81c3cc70003","type":"DataRange1d"},{"attributes":{},"id":"32047e7a-cd47-4cf1-895e-c8ebbb770f15","type":"LinearScale"},{"attributes":{},"id":"7b39c863-0b01-4ada-b779-804d05079803","type":"LinearScale"},{"attributes":{},"id":"0afd3ffe-51f5-4a49-bb6e-82f06dcb26a7","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b3634a6d-bcda-4ce8-8beb-bb0c188372b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"78094d58-7536-41ac-b539-fe2ab05007c2","type":"BasicTicker"}},"id":"144e2636-47b4-4042-8ba6-67809789d856","type":"Grid"},{"attributes":{"source":{"id":"108b6557-2064-4a3b-8ca0-80b4c9fe2a93","type":"ColumnDataSource"}},"id":"6f4a4d3a-114c-4c3f-b45d-75b3ccb6a23a","type":"CDSView"},{"attributes":{"source":{"id":"108b6557-2064-4a3b-8ca0-80b4c9fe2a93","type":"ColumnDataSource"}},"id":"ede33759-56ff-486d-a6dd-c97dd25f55a2","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"108b6557-2064-4a3b-8ca0-80b4c9fe2a93","type":"ColumnDataSource"},{"attributes":{},"id":"280b1b84-390a-4376-bd8f-329992b2c457","type":"BasicTicker"},{"attributes":{},"id":"78094d58-7536-41ac-b539-fe2ab05007c2","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"5d461d9a-4490-4c33-98ad-a2730725be49","type":"Circle"},{"attributes":{"formatter":{"id":"fce17cd6-e529-4043-a69e-0583eb910bf2","type":"BasicTickFormatter"},"plot":{"id":"b3634a6d-bcda-4ce8-8beb-bb0c188372b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"78094d58-7536-41ac-b539-fe2ab05007c2","type":"BasicTicker"}},"id":"729da4ca-5946-4c39-af0c-b1dda3e06e15","type":"LinearAxis"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"827b53f1-3f14-44a6-aeff-3845f080e23c","type":"BoxSelectTool"},{"id":"bcdf345f-7e21-4491-b53f-11206b38f912","type":"LassoSelectTool"},{"id":"f20ab11e-00af-4201-be11-a7348222d91b","type":"HelpTool"},{"id":"da12bdac-eb99-4280-99cc-d9d7ac1a771f","type":"BoxSelectTool"},{"id":"02c61d2b-fcff-4d7e-88da-fb52f9c36a6c","type":"LassoSelectTool"},{"id":"c8d58fec-e2a4-4631-8402-bf946a2ed64d","type":"HelpTool"}]},"id":"edc255bb-4ec1-40cc-96b2-6b006243143e","type":"ToolbarBox"},{"attributes":{},"id":"124e3c95-960b-401d-a130-50ec4d423d5f","type":"BasicTicker"},{"attributes":{"children":[{"id":"edc255bb-4ec1-40cc-96b2-6b006243143e","type":"ToolbarBox"},{"id":"fa2bce1c-39a9-4fa4-abd4-cf99344b82b2","type":"Column"}]},"id":"4ae1544b-ddaa-4a6f-b128-6354ae2aae48","type":"Column"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"da12bdac-eb99-4280-99cc-d9d7ac1a771f","type":"BoxSelectTool"},{"id":"02c61d2b-fcff-4d7e-88da-fb52f9c36a6c","type":"LassoSelectTool"},{"id":"c8d58fec-e2a4-4631-8402-bf946a2ed64d","type":"HelpTool"}]},"id":"758bee13-ca73-4b58-90fb-f5ad2d1fcc7f","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"0357b65e-d8e0-4ee9-b414-f26ca20aedc3","type":"PolyAnnotation"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3e471ac5-af8d-41fb-8a72-1d3b2aced5da","type":"BoxAnnotation"},{"attributes":{},"id":"fce17cd6-e529-4043-a69e-0583eb910bf2","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"00d91cd3-f018-4dee-9da5-dcd88f0a539a","type":"Circle"},{"attributes":{"below":[{"id":"778ddc06-b700-4472-a39e-668f75ed8d24","type":"LinearAxis"}],"left":[{"id":"729da4ca-5946-4c39-af0c-b1dda3e06e15","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"778ddc06-b700-4472-a39e-668f75ed8d24","type":"LinearAxis"},{"id":"99f3b786-fbee-45b4-9451-0c31d2d31b28","type":"Grid"},{"id":"729da4ca-5946-4c39-af0c-b1dda3e06e15","type":"LinearAxis"},{"id":"144e2636-47b4-4042-8ba6-67809789d856","type":"Grid"},{"id":"3e471ac5-af8d-41fb-8a72-1d3b2aced5da","type":"BoxAnnotation"},{"id":"0357b65e-d8e0-4ee9-b414-f26ca20aedc3","type":"PolyAnnotation"},{"id":"5d31693d-e6d2-4935-88c6-7fb325b3ff70","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"f1474543-db04-4bbc-93ce-8d7e38a221a6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c643e7db-ac73-4447-aa09-d55881241644","type":"DataRange1d"},"x_scale":{"id":"32047e7a-cd47-4cf1-895e-c8ebbb770f15","type":"LinearScale"},"y_range":{"id":"90f6dd7e-f89f-4a42-a7d3-d81c3cc70003","type":"DataRange1d"},"y_scale":{"id":"7b39c863-0b01-4ada-b779-804d05079803","type":"LinearScale"}},"id":"b3634a6d-bcda-4ce8-8beb-bb0c188372b4","subtype":"Figure","type":"Plot"}],"root_ids":["4ae1544b-ddaa-4a6f-b128-6354ae2aae48"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"86526619-56ea-4de8-809f-0c62cf5778ff","elementid":"e7410e1e-7b0e-4096-9a2d-1a46824c8589","modelid":"4ae1544b-ddaa-4a6f-b128-6354ae2aae48"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
