(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a18737a2-5998-4ea6-a225-593ed1cec4a9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a18737a2-5998-4ea6-a225-593ed1cec4a9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ce296909-8ad7-4fdd-8997-4287770f9725":{"roots":{"references":[{"attributes":{},"id":"2cad7564-b911-4d94-b411-4c4e574b064d","type":"HelpTool"},{"attributes":{},"id":"8a3f41d6-58ab-4f10-9dbd-ca50681a78ea","type":"ResetTool"},{"attributes":{},"id":"d84373f4-298a-455a-9c33-378f71887285","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"e355d035-e4f1-49d3-8015-65c2959ae707","type":"BoxAnnotation"}},"id":"857beae5-aba4-4fce-9924-b0697da4e359","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"b62d0dcc-2399-45a9-8b34-ce87bb818232","type":"ColumnDataSource"},{"attributes":{"child":{"id":"57b23f0c-1fe2-4b1c-b8c1-8d49ef5cfeee","subtype":"Figure","type":"Plot"},"title":"line"},"id":"449067d7-8801-4a05-b9c7-d2bd0cef799b","type":"Panel"},{"attributes":{"dimension":1,"plot":{"id":"33d5eb17-fd9d-424b-b6ab-3a643f670a77","subtype":"Figure","type":"Plot"},"ticker":{"id":"74312680-617a-44ed-9cfd-12ede33a1a70","type":"BasicTicker"}},"id":"3638eb70-91d9-47d1-a1c7-73105998569d","type":"Grid"},{"attributes":{},"id":"792c9641-65fb-4010-868b-14a51c1efb47","type":"LinearScale"},{"attributes":{},"id":"395a110f-f3ad-4ddf-a608-4115e3e3b9d8","type":"BasicTickFormatter"},{"attributes":{},"id":"f97a3a5b-ce37-4fa5-bfc2-953d985bd54f","type":"ResetTool"},{"attributes":{"callback":null},"id":"4ab7fa2d-8e5f-494c-8cae-a082423cc99b","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e355d035-e4f1-49d3-8015-65c2959ae707","type":"BoxAnnotation"},{"attributes":{"source":{"id":"b62d0dcc-2399-45a9-8b34-ce87bb818232","type":"ColumnDataSource"}},"id":"1dcd889b-8216-427b-82af-c96027fc9900","type":"CDSView"},{"attributes":{},"id":"f5dba5c7-e4a3-45cf-9095-15130bb9f90f","type":"PanTool"},{"attributes":{"below":[{"id":"cbe1af1e-3162-4c83-8d9b-e2b0ce61466d","type":"LinearAxis"}],"left":[{"id":"3401331f-9511-4905-a085-33aac5e3c29b","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"cbe1af1e-3162-4c83-8d9b-e2b0ce61466d","type":"LinearAxis"},{"id":"d62fc694-e56e-49cd-bc99-9f2087dea916","type":"Grid"},{"id":"3401331f-9511-4905-a085-33aac5e3c29b","type":"LinearAxis"},{"id":"3638eb70-91d9-47d1-a1c7-73105998569d","type":"Grid"},{"id":"1996598c-fe40-440b-af97-617c31e5a06d","type":"BoxAnnotation"},{"id":"c1b2e489-3c93-4dc6-a325-e4683bea8f39","type":"GlyphRenderer"}],"title":{"id":"cca60271-4119-4fcb-bd85-66084925c367","type":"Title"},"toolbar":{"id":"170cf46c-01fc-4696-bf43-c90cbf7ffd6b","type":"Toolbar"},"x_range":{"id":"fcf7eca2-b79a-444f-abca-77cdd01a8534","type":"DataRange1d"},"x_scale":{"id":"792c9641-65fb-4010-868b-14a51c1efb47","type":"LinearScale"},"y_range":{"id":"c88914d9-3595-45c6-a7ab-60d7deb3f329","type":"DataRange1d"},"y_scale":{"id":"770c1343-d64e-4f7d-86f0-8a46adfe4a79","type":"LinearScale"}},"id":"33d5eb17-fd9d-424b-b6ab-3a643f670a77","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"74312680-617a-44ed-9cfd-12ede33a1a70","type":"BasicTicker"},{"attributes":{"data_source":{"id":"99359fde-f206-4987-8d19-e3cba55ef1c1","type":"ColumnDataSource"},"glyph":{"id":"a97d9025-9b97-41a9-bb4c-29511d66f2f4","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"22434b5c-b82c-42c8-9cbb-5ff25e78630f","type":"Line"},"selection_glyph":null,"view":{"id":"876e2451-bd17-49a2-af84-2da8c0af6712","type":"CDSView"}},"id":"b6af2e3b-cc28-499d-a4aa-7021d6ce22f0","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"395a110f-f3ad-4ddf-a608-4115e3e3b9d8","type":"BasicTickFormatter"},"plot":{"id":"57b23f0c-1fe2-4b1c-b8c1-8d49ef5cfeee","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9e8891b-a167-40c1-aacb-37b86108b698","type":"BasicTicker"}},"id":"ed0048f5-ea25-479c-b9e1-f2db8ab4bda4","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"51d74f0e-efb5-456c-90bf-ed5377e63e5f","type":"PanTool"},{"id":"5ed3baf9-5d78-4ae1-910c-821933963e63","type":"WheelZoomTool"},{"id":"857beae5-aba4-4fce-9924-b0697da4e359","type":"BoxZoomTool"},{"id":"d40f1471-a599-46a8-baf4-1701ae50f9b9","type":"SaveTool"},{"id":"f97a3a5b-ce37-4fa5-bfc2-953d985bd54f","type":"ResetTool"},{"id":"2cad7564-b911-4d94-b411-4c4e574b064d","type":"HelpTool"}]},"id":"157db6f9-d65a-4504-8b74-6a138108ffc5","type":"Toolbar"},{"attributes":{"plot":{"id":"57b23f0c-1fe2-4b1c-b8c1-8d49ef5cfeee","subtype":"Figure","type":"Plot"},"ticker":{"id":"be69c5f5-3484-43e6-a2d2-3bb7bea2b749","type":"BasicTicker"}},"id":"2dbdd18e-6a38-45b0-964c-cf1d44558a83","type":"Grid"},{"attributes":{"source":{"id":"99359fde-f206-4987-8d19-e3cba55ef1c1","type":"ColumnDataSource"}},"id":"876e2451-bd17-49a2-af84-2da8c0af6712","type":"CDSView"},{"attributes":{"callback":null},"id":"50bb23c1-ddff-4c9b-be0a-83cfc6103abe","type":"DataRange1d"},{"attributes":{"formatter":{"id":"ba7f36a3-beab-4ca6-aba2-561f2061f181","type":"BasicTickFormatter"},"plot":{"id":"33d5eb17-fd9d-424b-b6ab-3a643f670a77","subtype":"Figure","type":"Plot"},"ticker":{"id":"74312680-617a-44ed-9cfd-12ede33a1a70","type":"BasicTicker"}},"id":"3401331f-9511-4905-a085-33aac5e3c29b","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"a97d9025-9b97-41a9-bb4c-29511d66f2f4","type":"Line"},{"attributes":{},"id":"761da26a-c90b-4fb4-b263-c962b309c75c","type":"WheelZoomTool"},{"attributes":{},"id":"51d74f0e-efb5-456c-90bf-ed5377e63e5f","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"54d186a2-e38b-46b3-b5a8-79005fe2b1b7","type":"Circle"},{"attributes":{},"id":"be69c5f5-3484-43e6-a2d2-3bb7bea2b749","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1996598c-fe40-440b-af97-617c31e5a06d","type":"BoxAnnotation"},{"attributes":{},"id":"5ed3baf9-5d78-4ae1-910c-821933963e63","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"914532af-0807-4a44-90f7-53efb5bdb541","type":"Circle"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"22434b5c-b82c-42c8-9cbb-5ff25e78630f","type":"Line"},{"attributes":{},"id":"d40f1471-a599-46a8-baf4-1701ae50f9b9","type":"SaveTool"},{"attributes":{"data_source":{"id":"b62d0dcc-2399-45a9-8b34-ce87bb818232","type":"ColumnDataSource"},"glyph":{"id":"914532af-0807-4a44-90f7-53efb5bdb541","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"54d186a2-e38b-46b3-b5a8-79005fe2b1b7","type":"Circle"},"selection_glyph":null,"view":{"id":"1dcd889b-8216-427b-82af-c96027fc9900","type":"CDSView"}},"id":"c1b2e489-3c93-4dc6-a325-e4683bea8f39","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"c88914d9-3595-45c6-a7ab-60d7deb3f329","type":"DataRange1d"},{"attributes":{},"id":"d9e8891b-a167-40c1-aacb-37b86108b698","type":"BasicTicker"},{"attributes":{"callback":null},"id":"fcf7eca2-b79a-444f-abca-77cdd01a8534","type":"DataRange1d"},{"attributes":{"plot":{"id":"33d5eb17-fd9d-424b-b6ab-3a643f670a77","subtype":"Figure","type":"Plot"},"ticker":{"id":"4012399c-aa79-4050-8dfd-a8433a80630b","type":"BasicTicker"}},"id":"d62fc694-e56e-49cd-bc99-9f2087dea916","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"cca60271-4119-4fcb-bd85-66084925c367","type":"Title"},{"attributes":{},"id":"1fbceb2b-246c-4330-824e-5026cfd875b0","type":"SaveTool"},{"attributes":{"below":[{"id":"0698165b-2759-436c-8701-18465f596f80","type":"LinearAxis"}],"left":[{"id":"ed0048f5-ea25-479c-b9e1-f2db8ab4bda4","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0698165b-2759-436c-8701-18465f596f80","type":"LinearAxis"},{"id":"2dbdd18e-6a38-45b0-964c-cf1d44558a83","type":"Grid"},{"id":"ed0048f5-ea25-479c-b9e1-f2db8ab4bda4","type":"LinearAxis"},{"id":"759e87aa-9afe-4143-a581-d8cf850c8221","type":"Grid"},{"id":"e355d035-e4f1-49d3-8015-65c2959ae707","type":"BoxAnnotation"},{"id":"b6af2e3b-cc28-499d-a4aa-7021d6ce22f0","type":"GlyphRenderer"}],"title":{"id":"001a57dd-f139-47cb-814c-fb8a7bc771cc","type":"Title"},"toolbar":{"id":"157db6f9-d65a-4504-8b74-6a138108ffc5","type":"Toolbar"},"x_range":{"id":"50bb23c1-ddff-4c9b-be0a-83cfc6103abe","type":"DataRange1d"},"x_scale":{"id":"04d5f8b5-60bf-430e-9ef5-b24e18a1dc46","type":"LinearScale"},"y_range":{"id":"4ab7fa2d-8e5f-494c-8cae-a082423cc99b","type":"DataRange1d"},"y_scale":{"id":"59b35380-bd82-4d67-bc3e-d4c902238eaa","type":"LinearScale"}},"id":"57b23f0c-1fe2-4b1c-b8c1-8d49ef5cfeee","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"fa2be194-898e-49fd-aa53-348270187b9f","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"99359fde-f206-4987-8d19-e3cba55ef1c1","type":"ColumnDataSource"},{"attributes":{},"id":"681b0f55-b137-4ef6-bbe8-47607728d779","type":"HelpTool"},{"attributes":{},"id":"ba7f36a3-beab-4ca6-aba2-561f2061f181","type":"BasicTickFormatter"},{"attributes":{"child":{"id":"33d5eb17-fd9d-424b-b6ab-3a643f670a77","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"9eb5e019-981f-4321-8853-146586b56c9c","type":"Panel"},{"attributes":{"callback":null,"tabs":[{"id":"9eb5e019-981f-4321-8853-146586b56c9c","type":"Panel"},{"id":"449067d7-8801-4a05-b9c7-d2bd0cef799b","type":"Panel"}]},"id":"170339fb-6685-49ba-994b-aa712840332c","type":"Tabs"},{"attributes":{"plot":null,"text":""},"id":"001a57dd-f139-47cb-814c-fb8a7bc771cc","type":"Title"},{"attributes":{"formatter":{"id":"fa2be194-898e-49fd-aa53-348270187b9f","type":"BasicTickFormatter"},"plot":{"id":"33d5eb17-fd9d-424b-b6ab-3a643f670a77","subtype":"Figure","type":"Plot"},"ticker":{"id":"4012399c-aa79-4050-8dfd-a8433a80630b","type":"BasicTicker"}},"id":"cbe1af1e-3162-4c83-8d9b-e2b0ce61466d","type":"LinearAxis"},{"attributes":{"formatter":{"id":"d84373f4-298a-455a-9c33-378f71887285","type":"BasicTickFormatter"},"plot":{"id":"57b23f0c-1fe2-4b1c-b8c1-8d49ef5cfeee","subtype":"Figure","type":"Plot"},"ticker":{"id":"be69c5f5-3484-43e6-a2d2-3bb7bea2b749","type":"BasicTicker"}},"id":"0698165b-2759-436c-8701-18465f596f80","type":"LinearAxis"},{"attributes":{},"id":"770c1343-d64e-4f7d-86f0-8a46adfe4a79","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"57b23f0c-1fe2-4b1c-b8c1-8d49ef5cfeee","subtype":"Figure","type":"Plot"},"ticker":{"id":"d9e8891b-a167-40c1-aacb-37b86108b698","type":"BasicTicker"}},"id":"759e87aa-9afe-4143-a581-d8cf850c8221","type":"Grid"},{"attributes":{},"id":"04d5f8b5-60bf-430e-9ef5-b24e18a1dc46","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f5dba5c7-e4a3-45cf-9095-15130bb9f90f","type":"PanTool"},{"id":"761da26a-c90b-4fb4-b263-c962b309c75c","type":"WheelZoomTool"},{"id":"81782ae5-98a8-4014-ad34-3921726ab157","type":"BoxZoomTool"},{"id":"1fbceb2b-246c-4330-824e-5026cfd875b0","type":"SaveTool"},{"id":"8a3f41d6-58ab-4f10-9dbd-ca50681a78ea","type":"ResetTool"},{"id":"681b0f55-b137-4ef6-bbe8-47607728d779","type":"HelpTool"}]},"id":"170cf46c-01fc-4696-bf43-c90cbf7ffd6b","type":"Toolbar"},{"attributes":{},"id":"59b35380-bd82-4d67-bc3e-d4c902238eaa","type":"LinearScale"},{"attributes":{"overlay":{"id":"1996598c-fe40-440b-af97-617c31e5a06d","type":"BoxAnnotation"}},"id":"81782ae5-98a8-4014-ad34-3921726ab157","type":"BoxZoomTool"},{"attributes":{},"id":"4012399c-aa79-4050-8dfd-a8433a80630b","type":"BasicTicker"}],"root_ids":["170339fb-6685-49ba-994b-aa712840332c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ce296909-8ad7-4fdd-8997-4287770f9725","elementid":"a18737a2-5998-4ea6-a225-593ed1cec4a9","modelid":"170339fb-6685-49ba-994b-aa712840332c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
