(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("140f9805-d681-4928-92f0-a947d353ceb5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '140f9805-d681-4928-92f0-a947d353ceb5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"681fa8bc-a3a1-4c5d-9d6f-9785404cc073":{"roots":{"references":[{"attributes":{"callback":null},"id":"e2a40864-93c2-47aa-b1d5-350204808f71","type":"DataRange1d"},{"attributes":{"source":{"id":"c63a3a79-df1b-4c98-bc3f-d71e3fb7ceee","type":"ColumnDataSource"}},"id":"ed0c717c-37f9-4136-a7ec-7cfcb0b9303f","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"c63a3a79-df1b-4c98-bc3f-d71e3fb7ceee","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"0f070f4b-d2a6-4f73-a33e-3e3553afa497","type":"BasicTickFormatter"},"plot":{"id":"ef0f0e00-1e80-4a78-966e-8e070c82fd29","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e5d1434-de25-4586-83de-d5c1ff91b36f","type":"BasicTicker"}},"id":"ceb7f3ba-2564-45ab-8b47-7781dfafa226","type":"LinearAxis"},{"attributes":{},"id":"ad4cdfa4-2796-4390-bc34-d72ea5d83478","type":"ResetTool"},{"attributes":{"callback":null},"id":"9534684d-f820-4c99-8e26-d3468c8706a3","type":"DataRange1d"},{"attributes":{},"id":"c2fcef5b-e7cd-4fed-9333-69117db6a94e","type":"ResetTool"},{"attributes":{},"id":"279d5b0e-cf80-4c3b-806a-4e41084b08b9","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7c4f2685-13f0-4c8b-a60d-c5a3d343be0c","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"289922c3-16f9-4a7c-b26e-bf794e8c8075","subtype":"Figure","type":"Plot"},"ticker":{"id":"36fe0bb5-53be-4a36-a003-a4e51a3038b2","type":"BasicTicker"}},"id":"a6e3f34c-12bb-4649-81b4-17c3f2cf62be","type":"Grid"},{"attributes":{"callback":null},"id":"501eb453-485b-42d1-8e42-79c4355970d5","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7ba0f8de-f78b-4cea-9ef0-eca73725a3cf","type":"Triangle"},{"attributes":{},"id":"6690c1fc-1891-4405-bc06-251089f14448","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"2cdf4586-879c-4004-9794-5da171f513d0","type":"LinearAxis"}],"left":[{"id":"333d758e-f64a-43a2-ac3c-8236c2a20e44","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"2cdf4586-879c-4004-9794-5da171f513d0","type":"LinearAxis"},{"id":"a6e3f34c-12bb-4649-81b4-17c3f2cf62be","type":"Grid"},{"id":"333d758e-f64a-43a2-ac3c-8236c2a20e44","type":"LinearAxis"},{"id":"a420f59d-04a3-4484-8a38-d55429318036","type":"Grid"},{"id":"7c4f2685-13f0-4c8b-a60d-c5a3d343be0c","type":"BoxAnnotation"},{"id":"ff4b1cd0-256f-4a95-9877-c3ad71d4bbda","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"2c486291-6fc6-445e-ad2b-c52e9d4aedea","type":"Toolbar"},"x_range":{"id":"831b1249-804c-408d-a112-d544ae3750ce","type":"DataRange1d"},"x_scale":{"id":"e609005b-c726-481c-a61d-d5f9a27a0361","type":"LinearScale"},"y_range":{"id":"9534684d-f820-4c99-8e26-d3468c8706a3","type":"DataRange1d"},"y_scale":{"id":"d95d6d7f-6189-4200-9891-bfc4b8689efc","type":"LinearScale"}},"id":"289922c3-16f9-4a7c-b26e-bf794e8c8075","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"00f825da-5938-4881-b4b0-5496ca65cb75","type":"PanTool"},{"attributes":{"data_source":{"id":"c63a3a79-df1b-4c98-bc3f-d71e3fb7ceee","type":"ColumnDataSource"},"glyph":{"id":"f81343d3-4ea9-4d96-a32f-f402e91a2a52","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7ba0f8de-f78b-4cea-9ef0-eca73725a3cf","type":"Triangle"},"selection_glyph":null,"view":{"id":"ed0c717c-37f9-4136-a7ec-7cfcb0b9303f","type":"CDSView"}},"id":"eb525186-7b81-4f4c-846b-8a052e46450b","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f81343d3-4ea9-4d96-a32f-f402e91a2a52","type":"Triangle"},{"attributes":{"plot":{"id":"e3f1b6a0-5d11-4351-ac92-c1fff5391338","subtype":"Figure","type":"Plot"},"ticker":{"id":"39f4ee68-8b12-4f82-914e-b7a3dd17ad2c","type":"BasicTicker"}},"id":"84cc5bec-7b25-4132-b6d1-60b22d1c4a9a","type":"Grid"},{"attributes":{"formatter":{"id":"e82da858-5fab-4b89-b7de-cb202cd2dd26","type":"BasicTickFormatter"},"plot":{"id":"ef0f0e00-1e80-4a78-966e-8e070c82fd29","subtype":"Figure","type":"Plot"},"ticker":{"id":"879ba923-279e-4052-bb82-443cc320862e","type":"BasicTicker"}},"id":"c45e7513-0569-4b13-a9a7-358e95f6483e","type":"LinearAxis"},{"attributes":{"children":[{"id":"289922c3-16f9-4a7c-b26e-bf794e8c8075","subtype":"Figure","type":"Plot"},{"id":"ef0f0e00-1e80-4a78-966e-8e070c82fd29","subtype":"Figure","type":"Plot"},{"id":"e3f1b6a0-5d11-4351-ac92-c1fff5391338","subtype":"Figure","type":"Plot"}]},"id":"665c8381-1695-4b24-84dc-456e2a72042a","type":"Column"},{"attributes":{},"id":"39fd2710-8e51-4b62-a918-003ada28bdc4","type":"LinearScale"},{"attributes":{},"id":"39f4ee68-8b12-4f82-914e-b7a3dd17ad2c","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1a8f8bdf-f6e6-4033-9c85-81ddb722bbc8","type":"Circle"},{"attributes":{"callback":null},"id":"086d66f0-1021-4b67-b6ce-c2ce7dbba2d3","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"5bc81d15-6b90-4952-aeb2-6cb9a1e01bc4","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"08206a9c-f212-4660-aec2-2e9dc8622682","type":"BasicTickFormatter"},"plot":{"id":"289922c3-16f9-4a7c-b26e-bf794e8c8075","subtype":"Figure","type":"Plot"},"ticker":{"id":"36fe0bb5-53be-4a36-a003-a4e51a3038b2","type":"BasicTicker"}},"id":"2cdf4586-879c-4004-9794-5da171f513d0","type":"LinearAxis"},{"attributes":{"formatter":{"id":"8e4d712a-3e9e-4f64-b738-317e53ff0175","type":"BasicTickFormatter"},"plot":{"id":"e3f1b6a0-5d11-4351-ac92-c1fff5391338","subtype":"Figure","type":"Plot"},"ticker":{"id":"d7fbb43d-418e-4204-b300-3002cabc7397","type":"BasicTicker"}},"id":"10a5a718-b51e-4bf5-88a0-4e583f872934","type":"LinearAxis"},{"attributes":{"overlay":{"id":"7c4f2685-13f0-4c8b-a60d-c5a3d343be0c","type":"BoxAnnotation"}},"id":"a6a86804-aff6-4ee1-88a0-79903566647b","type":"BoxZoomTool"},{"attributes":{},"id":"879ba923-279e-4052-bb82-443cc320862e","type":"BasicTicker"},{"attributes":{},"id":"99be0c80-405a-4d00-a02e-f91a3cff43f8","type":"SaveTool"},{"attributes":{},"id":"ae2d9da9-9b95-4429-ac59-10cb63b925b1","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"00f825da-5938-4881-b4b0-5496ca65cb75","type":"PanTool"},{"id":"6c8beaf7-4966-4bdc-8015-75f71d169eba","type":"WheelZoomTool"},{"id":"a6a86804-aff6-4ee1-88a0-79903566647b","type":"BoxZoomTool"},{"id":"904df84d-3ec9-4273-b1a3-b9ed63a2e81a","type":"SaveTool"},{"id":"ad4cdfa4-2796-4390-bc34-d72ea5d83478","type":"ResetTool"},{"id":"d5b101ad-669a-49de-8c4f-d1f538ef8789","type":"HelpTool"}]},"id":"2c486291-6fc6-445e-ad2b-c52e9d4aedea","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"02d74265-b7ca-457e-89f6-63669622532e","type":"ColumnDataSource"},{"attributes":{},"id":"3ea0c3e5-8d58-4fd9-ac4c-ab4a51658a65","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7bde5c05-d8f8-4ae3-b5d8-63bd649b1bed","type":"PanTool"},{"id":"f65cdd75-b5a0-48d2-b155-8738ad16d73f","type":"WheelZoomTool"},{"id":"94c245c1-336f-4f66-b17d-f9651b90ba89","type":"BoxZoomTool"},{"id":"8e52ff24-0e1f-4435-82c1-42e42eb4fbbc","type":"SaveTool"},{"id":"3769573f-ab6b-43c9-bdec-817dc7be5304","type":"ResetTool"},{"id":"6fd7fad2-d903-4a9b-b3e7-75aecbf23ed3","type":"HelpTool"}]},"id":"4e3ac184-970f-4634-b1fc-a3bf76dadf46","type":"Toolbar"},{"attributes":{},"id":"36fe0bb5-53be-4a36-a003-a4e51a3038b2","type":"BasicTicker"},{"attributes":{},"id":"31a073fe-1a1c-4fa4-90e4-f7dbf64f05f2","type":"LinearScale"},{"attributes":{"callback":null},"id":"831b1249-804c-408d-a112-d544ae3750ce","type":"DataRange1d"},{"attributes":{},"id":"904df84d-3ec9-4273-b1a3-b9ed63a2e81a","type":"SaveTool"},{"attributes":{},"id":"e609005b-c726-481c-a61d-d5f9a27a0361","type":"LinearScale"},{"attributes":{},"id":"ce5d53cd-36b0-4c26-ae11-0c2360422bef","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"84d9e6cb-d4b6-4e66-9b2f-dc63d6e1ccbd","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ad5b7acb-9b35-46f3-b33d-86115e24dd0a","type":"Circle"},{"attributes":{"callback":null},"id":"0cf78513-a6ce-4721-9044-c2de950db910","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"242593b7-f0bb-496c-aa17-234f277c4217","type":"Square"},{"attributes":{"dimension":1,"plot":{"id":"289922c3-16f9-4a7c-b26e-bf794e8c8075","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c9e6f3f-eb47-43cd-9ae6-50110be963b6","type":"BasicTicker"}},"id":"a420f59d-04a3-4484-8a38-d55429318036","type":"Grid"},{"attributes":{"source":{"id":"02d74265-b7ca-457e-89f6-63669622532e","type":"ColumnDataSource"}},"id":"4705b9a2-ccac-4726-87b9-d17a49d7988d","type":"CDSView"},{"attributes":{},"id":"ff62670c-35f2-46bf-89c1-3470b0040b0e","type":"LinearScale"},{"attributes":{"plot":{"id":"ef0f0e00-1e80-4a78-966e-8e070c82fd29","subtype":"Figure","type":"Plot"},"ticker":{"id":"3e5d1434-de25-4586-83de-d5c1ff91b36f","type":"BasicTicker"}},"id":"09b6093e-07b5-4658-b751-e339ff6a7871","type":"Grid"},{"attributes":{"overlay":{"id":"84d9e6cb-d4b6-4e66-9b2f-dc63d6e1ccbd","type":"BoxAnnotation"}},"id":"1816381c-19aa-483a-ae04-334426e3255c","type":"BoxZoomTool"},{"attributes":{},"id":"4c9e6f3f-eb47-43cd-9ae6-50110be963b6","type":"BasicTicker"},{"attributes":{"source":{"id":"5bc81d15-6b90-4952-aeb2-6cb9a1e01bc4","type":"ColumnDataSource"}},"id":"e99559bf-768b-41fa-b1f6-deb2b35538bd","type":"CDSView"},{"attributes":{},"id":"d5b101ad-669a-49de-8c4f-d1f538ef8789","type":"HelpTool"},{"attributes":{},"id":"8e4d712a-3e9e-4f64-b738-317e53ff0175","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"70e96fca-ae80-4260-b55c-264b5983a4d6","type":"LinearAxis"}],"left":[{"id":"10a5a718-b51e-4bf5-88a0-4e583f872934","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"70e96fca-ae80-4260-b55c-264b5983a4d6","type":"LinearAxis"},{"id":"84cc5bec-7b25-4132-b6d1-60b22d1c4a9a","type":"Grid"},{"id":"10a5a718-b51e-4bf5-88a0-4e583f872934","type":"LinearAxis"},{"id":"28ddd3da-c315-45f6-8ff9-f5ed12d23565","type":"Grid"},{"id":"bb5222bb-bd67-4581-b183-6e248e676c41","type":"BoxAnnotation"},{"id":"b599b206-9a1c-42af-8550-7ee58bcfc3aa","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"4e3ac184-970f-4634-b1fc-a3bf76dadf46","type":"Toolbar"},"x_range":{"id":"e2a40864-93c2-47aa-b1d5-350204808f71","type":"DataRange1d"},"x_scale":{"id":"31a073fe-1a1c-4fa4-90e4-f7dbf64f05f2","type":"LinearScale"},"y_range":{"id":"086d66f0-1021-4b67-b6ce-c2ce7dbba2d3","type":"DataRange1d"},"y_scale":{"id":"39fd2710-8e51-4b62-a918-003ada28bdc4","type":"LinearScale"}},"id":"e3f1b6a0-5d11-4351-ac92-c1fff5391338","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f65cdd75-b5a0-48d2-b155-8738ad16d73f","type":"WheelZoomTool"},{"attributes":{},"id":"6c8beaf7-4966-4bdc-8015-75f71d169eba","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"02d74265-b7ca-457e-89f6-63669622532e","type":"ColumnDataSource"},"glyph":{"id":"242593b7-f0bb-496c-aa17-234f277c4217","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e9b5818-fb7c-44b8-95ff-4a6f89df45e3","type":"Square"},"selection_glyph":null,"view":{"id":"4705b9a2-ccac-4726-87b9-d17a49d7988d","type":"CDSView"}},"id":"b599b206-9a1c-42af-8550-7ee58bcfc3aa","type":"GlyphRenderer"},{"attributes":{},"id":"6fd7fad2-d903-4a9b-b3e7-75aecbf23ed3","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e9b5818-fb7c-44b8-95ff-4a6f89df45e3","type":"Square"},{"attributes":{},"id":"d7fbb43d-418e-4204-b300-3002cabc7397","type":"BasicTicker"},{"attributes":{"formatter":{"id":"279d5b0e-cf80-4c3b-806a-4e41084b08b9","type":"BasicTickFormatter"},"plot":{"id":"e3f1b6a0-5d11-4351-ac92-c1fff5391338","subtype":"Figure","type":"Plot"},"ticker":{"id":"39f4ee68-8b12-4f82-914e-b7a3dd17ad2c","type":"BasicTicker"}},"id":"70e96fca-ae80-4260-b55c-264b5983a4d6","type":"LinearAxis"},{"attributes":{},"id":"7bde5c05-d8f8-4ae3-b5d8-63bd649b1bed","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bb5222bb-bd67-4581-b183-6e248e676c41","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"ef0f0e00-1e80-4a78-966e-8e070c82fd29","subtype":"Figure","type":"Plot"},"ticker":{"id":"879ba923-279e-4052-bb82-443cc320862e","type":"BasicTicker"}},"id":"aa418935-45a2-4ddd-af7e-5e83fc571934","type":"Grid"},{"attributes":{"overlay":{"id":"bb5222bb-bd67-4581-b183-6e248e676c41","type":"BoxAnnotation"}},"id":"94c245c1-336f-4f66-b17d-f9651b90ba89","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"170cc8cb-37e7-4a70-8f2c-37c32dd99069","type":"PanTool"},{"id":"ae2d9da9-9b95-4429-ac59-10cb63b925b1","type":"WheelZoomTool"},{"id":"1816381c-19aa-483a-ae04-334426e3255c","type":"BoxZoomTool"},{"id":"99be0c80-405a-4d00-a02e-f91a3cff43f8","type":"SaveTool"},{"id":"c2fcef5b-e7cd-4fed-9333-69117db6a94e","type":"ResetTool"},{"id":"3ea0c3e5-8d58-4fd9-ac4c-ab4a51658a65","type":"HelpTool"}]},"id":"bbdae669-0535-42bf-a906-1a6a02f2c3c3","type":"Toolbar"},{"attributes":{},"id":"0f070f4b-d2a6-4f73-a33e-3e3553afa497","type":"BasicTickFormatter"},{"attributes":{},"id":"3769573f-ab6b-43c9-bdec-817dc7be5304","type":"ResetTool"},{"attributes":{},"id":"170cc8cb-37e7-4a70-8f2c-37c32dd99069","type":"PanTool"},{"attributes":{},"id":"08206a9c-f212-4660-aec2-2e9dc8622682","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"6690c1fc-1891-4405-bc06-251089f14448","type":"BasicTickFormatter"},"plot":{"id":"289922c3-16f9-4a7c-b26e-bf794e8c8075","subtype":"Figure","type":"Plot"},"ticker":{"id":"4c9e6f3f-eb47-43cd-9ae6-50110be963b6","type":"BasicTicker"}},"id":"333d758e-f64a-43a2-ac3c-8236c2a20e44","type":"LinearAxis"},{"attributes":{},"id":"d95d6d7f-6189-4200-9891-bfc4b8689efc","type":"LinearScale"},{"attributes":{},"id":"e82da858-5fab-4b89-b7de-cb202cd2dd26","type":"BasicTickFormatter"},{"attributes":{},"id":"3e5d1434-de25-4586-83de-d5c1ff91b36f","type":"BasicTicker"},{"attributes":{"data_source":{"id":"5bc81d15-6b90-4952-aeb2-6cb9a1e01bc4","type":"ColumnDataSource"},"glyph":{"id":"ad5b7acb-9b35-46f3-b33d-86115e24dd0a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1a8f8bdf-f6e6-4033-9c85-81ddb722bbc8","type":"Circle"},"selection_glyph":null,"view":{"id":"e99559bf-768b-41fa-b1f6-deb2b35538bd","type":"CDSView"}},"id":"ff4b1cd0-256f-4a95-9877-c3ad71d4bbda","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"ceb7f3ba-2564-45ab-8b47-7781dfafa226","type":"LinearAxis"}],"left":[{"id":"c45e7513-0569-4b13-a9a7-358e95f6483e","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"ceb7f3ba-2564-45ab-8b47-7781dfafa226","type":"LinearAxis"},{"id":"09b6093e-07b5-4658-b751-e339ff6a7871","type":"Grid"},{"id":"c45e7513-0569-4b13-a9a7-358e95f6483e","type":"LinearAxis"},{"id":"aa418935-45a2-4ddd-af7e-5e83fc571934","type":"Grid"},{"id":"84d9e6cb-d4b6-4e66-9b2f-dc63d6e1ccbd","type":"BoxAnnotation"},{"id":"eb525186-7b81-4f4c-846b-8a052e46450b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"bbdae669-0535-42bf-a906-1a6a02f2c3c3","type":"Toolbar"},"x_range":{"id":"0cf78513-a6ce-4721-9044-c2de950db910","type":"DataRange1d"},"x_scale":{"id":"ff62670c-35f2-46bf-89c1-3470b0040b0e","type":"LinearScale"},"y_range":{"id":"501eb453-485b-42d1-8e42-79c4355970d5","type":"DataRange1d"},"y_scale":{"id":"ce5d53cd-36b0-4c26-ae11-0c2360422bef","type":"LinearScale"}},"id":"ef0f0e00-1e80-4a78-966e-8e070c82fd29","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"e3f1b6a0-5d11-4351-ac92-c1fff5391338","subtype":"Figure","type":"Plot"},"ticker":{"id":"d7fbb43d-418e-4204-b300-3002cabc7397","type":"BasicTicker"}},"id":"28ddd3da-c315-45f6-8ff9-f5ed12d23565","type":"Grid"},{"attributes":{},"id":"8e52ff24-0e1f-4435-82c1-42e42eb4fbbc","type":"SaveTool"}],"root_ids":["665c8381-1695-4b24-84dc-456e2a72042a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"681fa8bc-a3a1-4c5d-9d6f-9785404cc073","elementid":"140f9805-d681-4928-92f0-a947d353ceb5","modelid":"665c8381-1695-4b24-84dc-456e2a72042a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
