(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("194a7686-4424-46e2-ba59-b71b0df6d1b1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '194a7686-4424-46e2-ba59-b71b0df6d1b1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1f86a010-f79c-4bfa-abff-f2719416d513":{"roots":{"references":[{"attributes":{"plot":{"id":"9128cbc8-143d-4758-93bd-fd51edcbe997","subtype":"Figure","type":"Plot"},"ticker":{"id":"34b5c367-c687-4d98-8b9c-e757dad529b5","type":"BasicTicker"}},"id":"0eb38cd6-f67e-4254-ab70-ac99b2cb92da","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"79f8b2a9-a5a4-4759-a2e5-b21ca0e5ea95","type":"Circle"},{"attributes":{},"id":"1b885c7b-8407-401e-a0fa-f3b590922f2d","type":"WheelZoomTool"},{"attributes":{},"id":"4839d289-a0f4-444f-b56f-b44120b10655","type":"LinearScale"},{"attributes":{},"id":"1508a858-06a6-4277-a4c5-6816eb68b742","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b2d2bfc3-d554-4583-8bc5-db2d2e0baafb","type":"Triangle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5bccf5ea-cb30-462a-966d-8c4e52955a8f","type":"Square"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8a3d08ca-b255-459c-8e90-142c03e27af7","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"480890d6-7336-4ebe-bc57-8ec8867eb827","subtype":"Figure","type":"Plot"},"ticker":{"id":"024c31b3-3ea8-4f79-904f-628dcc153063","type":"BasicTicker"}},"id":"d162695f-be4b-4764-8262-4271420fcc86","type":"Grid"},{"attributes":{"callback":null},"id":"f981a2f0-b603-41d6-9379-a52ff50a59dc","type":"DataRange1d"},{"attributes":{},"id":"12e559b0-f7ce-4207-911a-377290934404","type":"HelpTool"},{"attributes":{"source":{"id":"aa1e79ef-2773-4176-b1f5-2a9ce6881050","type":"ColumnDataSource"}},"id":"3733b1cc-0c16-49fe-b9ab-1fdae293b5f7","type":"CDSView"},{"attributes":{},"id":"e483e6c2-fde0-4368-bb17-2692b19bff01","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"aaea5cd1-f498-46fd-8bcb-3f0c3b892894","subtype":"Figure","type":"Plot"},"ticker":{"id":"788d7f3d-e059-4204-ab93-824839acd5f8","type":"BasicTicker"}},"id":"6e620be6-a1b2-403d-9d8f-260c4491f2cc","type":"Grid"},{"attributes":{"data_source":{"id":"586f122c-9d64-40e5-9fc8-2358fc481855","type":"ColumnDataSource"},"glyph":{"id":"f18dab16-1287-4dfc-9049-675d72dc050c","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b2d2bfc3-d554-4583-8bc5-db2d2e0baafb","type":"Triangle"},"selection_glyph":null,"view":{"id":"44de03af-7dab-4d66-9165-91d88680eb5c","type":"CDSView"}},"id":"3b0e6ec9-2ba7-42b3-9590-53a045e762da","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f1b15eff-579b-4b62-852e-4c5c6964859e","type":"Square"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fed02e46-454c-40e7-9d34-f4de9e411ffb","type":"PanTool"},{"id":"1bf3dbfb-810d-47b2-ac33-975dd85aefa0","type":"WheelZoomTool"},{"id":"f11e0d7b-fba6-48c7-9e2f-64b1577861dc","type":"BoxZoomTool"},{"id":"0338cc06-ee57-4b80-af1f-98c51bd9224a","type":"SaveTool"},{"id":"f5d85e76-38bb-4c76-8ec0-7955b57d4b9a","type":"ResetTool"},{"id":"12e559b0-f7ce-4207-911a-377290934404","type":"HelpTool"}]},"id":"110eb40e-953d-41ed-8c91-502a17e38f27","type":"Toolbar"},{"attributes":{},"id":"7342da56-bf2a-497b-af41-733e82434ae9","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"51a8c730-03b6-4bd3-b451-897823c2a1e4","type":"PanTool"},{"id":"31c2a999-e9d1-4011-9847-da88de587877","type":"WheelZoomTool"},{"id":"4c426be9-bc64-472f-a962-8ff0dce9dbf6","type":"BoxZoomTool"},{"id":"5c652437-f85f-4921-8892-2913e7a7ff96","type":"SaveTool"},{"id":"504f8310-c859-4843-a4a3-49a71e3bf9f4","type":"ResetTool"},{"id":"f72a435b-0dae-44c3-8ca1-5d2bc2701c42","type":"HelpTool"}]},"id":"3f0eda07-e1af-428a-a00c-9cd5cf883ef2","type":"Toolbar"},{"attributes":{"formatter":{"id":"06710cd2-d185-4d93-9e23-9164c081dcc1","type":"BasicTickFormatter"},"plot":{"id":"9128cbc8-143d-4758-93bd-fd51edcbe997","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8ee71db-e5d8-4675-b647-7e0eb364f1c6","type":"BasicTicker"}},"id":"0eb189bc-54c0-4708-99bc-233e26407d5a","type":"LinearAxis"},{"attributes":{},"id":"547ca801-852d-46e7-ad51-83352c7f0b2d","type":"ResetTool"},{"attributes":{},"id":"227c1531-33c9-48cf-b25e-56188242f700","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f18dab16-1287-4dfc-9049-675d72dc050c","type":"Triangle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"586f122c-9d64-40e5-9fc8-2358fc481855","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"aa1e79ef-2773-4176-b1f5-2a9ce6881050","type":"ColumnDataSource"},"glyph":{"id":"f1b15eff-579b-4b62-852e-4c5c6964859e","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5bccf5ea-cb30-462a-966d-8c4e52955a8f","type":"Square"},"selection_glyph":null,"view":{"id":"3733b1cc-0c16-49fe-b9ab-1fdae293b5f7","type":"CDSView"}},"id":"f158e9a6-41ac-45f4-8523-dc3d418e4116","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"e093f955-39b7-423b-aaf0-da714dd6e165","type":"DataRange1d"},{"attributes":{"callback":null},"id":"adf98ece-d2ae-4b35-b5dd-221e2244fd81","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"f3476608-395d-4703-ae44-d0e362ecbdc3","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"480890d6-7336-4ebe-bc57-8ec8867eb827","subtype":"Figure","type":"Plot"},"ticker":{"id":"5aaf3bb2-292b-4d82-8fb6-b7eeffd15c21","type":"BasicTicker"}},"id":"1c1157d4-e23f-4dbb-9d09-b9bb7320f93e","type":"Grid"},{"attributes":{},"id":"51a8c730-03b6-4bd3-b451-897823c2a1e4","type":"PanTool"},{"attributes":{"source":{"id":"f3476608-395d-4703-ae44-d0e362ecbdc3","type":"ColumnDataSource"}},"id":"da3915c9-fa18-44ed-bea2-955e68d9003f","type":"CDSView"},{"attributes":{},"id":"50718691-f163-48fb-b537-cafbcbbb62b3","type":"SaveTool"},{"attributes":{},"id":"20bccf29-ff44-4ff5-b835-6ccf9f4b91a7","type":"BasicTicker"},{"attributes":{"formatter":{"id":"790a2820-e5f1-46f3-87e3-adcca40f25f3","type":"BasicTickFormatter"},"plot":{"id":"aaea5cd1-f498-46fd-8bcb-3f0c3b892894","subtype":"Figure","type":"Plot"},"ticker":{"id":"788d7f3d-e059-4204-ab93-824839acd5f8","type":"BasicTicker"}},"id":"9b1198d1-62e7-47c7-9ef5-110b74dde9e7","type":"LinearAxis"},{"attributes":{},"id":"024c31b3-3ea8-4f79-904f-628dcc153063","type":"BasicTicker"},{"attributes":{},"id":"34b5c367-c687-4d98-8b9c-e757dad529b5","type":"BasicTicker"},{"attributes":{},"id":"5aaf3bb2-292b-4d82-8fb6-b7eeffd15c21","type":"BasicTicker"},{"attributes":{},"id":"06710cd2-d185-4d93-9e23-9164c081dcc1","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"232e0da2-b745-4fb8-8f81-1ccd5126afb0","type":"PanTool"},{"id":"1b885c7b-8407-401e-a0fa-f3b590922f2d","type":"WheelZoomTool"},{"id":"5392e2f8-2005-4573-a366-08169dccdbca","type":"BoxZoomTool"},{"id":"50718691-f163-48fb-b537-cafbcbbb62b3","type":"SaveTool"},{"id":"547ca801-852d-46e7-ad51-83352c7f0b2d","type":"ResetTool"},{"id":"7342da56-bf2a-497b-af41-733e82434ae9","type":"HelpTool"}]},"id":"8b4cd6c6-b7d7-4e67-a5dd-005960786a2b","type":"Toolbar"},{"attributes":{},"id":"504f8310-c859-4843-a4a3-49a71e3bf9f4","type":"ResetTool"},{"attributes":{},"id":"d7d0c124-9d8d-4499-ace1-48238a416cc5","type":"BasicTickFormatter"},{"attributes":{},"id":"0f99fc50-3729-4ceb-9baf-1907782039ac","type":"BasicTickFormatter"},{"attributes":{},"id":"1bf3dbfb-810d-47b2-ac33-975dd85aefa0","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"96eaa236-5a89-4c72-ac11-5c8e4d1e5c5b","type":"BoxAnnotation"}},"id":"4c426be9-bc64-472f-a962-8ff0dce9dbf6","type":"BoxZoomTool"},{"attributes":{},"id":"ae6b010d-d759-4df1-9aa2-478f374f43cc","type":"LinearScale"},{"attributes":{},"id":"788d7f3d-e059-4204-ab93-824839acd5f8","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"aa1e79ef-2773-4176-b1f5-2a9ce6881050","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"f3476608-395d-4703-ae44-d0e362ecbdc3","type":"ColumnDataSource"},"glyph":{"id":"8a3d08ca-b255-459c-8e90-142c03e27af7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"79f8b2a9-a5a4-4759-a2e5-b21ca0e5ea95","type":"Circle"},"selection_glyph":null,"view":{"id":"da3915c9-fa18-44ed-bea2-955e68d9003f","type":"CDSView"}},"id":"c4ce8edb-7dd4-42c3-832d-1ab111c1651f","type":"GlyphRenderer"},{"attributes":{},"id":"f72a435b-0dae-44c3-8ca1-5d2bc2701c42","type":"HelpTool"},{"attributes":{"formatter":{"id":"0f99fc50-3729-4ceb-9baf-1907782039ac","type":"BasicTickFormatter"},"plot":{"id":"480890d6-7336-4ebe-bc57-8ec8867eb827","subtype":"Figure","type":"Plot"},"ticker":{"id":"5aaf3bb2-292b-4d82-8fb6-b7eeffd15c21","type":"BasicTicker"}},"id":"cfcf4d7e-6a84-45c2-a858-f48047442247","type":"LinearAxis"},{"attributes":{"callback":null},"id":"8d17d8ad-21d2-4b7a-8589-faab248c1ca8","type":"DataRange1d"},{"attributes":{"callback":null},"id":"83fa2721-323f-43b3-b791-3e50d18891bb","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"9128cbc8-143d-4758-93bd-fd51edcbe997","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8ee71db-e5d8-4675-b647-7e0eb364f1c6","type":"BasicTicker"}},"id":"1e90f648-33d4-4b9f-88f9-3d6264f3d460","type":"Grid"},{"attributes":{},"id":"232e0da2-b745-4fb8-8f81-1ccd5126afb0","type":"PanTool"},{"attributes":{"formatter":{"id":"73302a09-6c05-4ce0-9f1a-7e40169a8a29","type":"BasicTickFormatter"},"plot":{"id":"480890d6-7336-4ebe-bc57-8ec8867eb827","subtype":"Figure","type":"Plot"},"ticker":{"id":"024c31b3-3ea8-4f79-904f-628dcc153063","type":"BasicTicker"}},"id":"404fbe39-81e3-4dea-bd7c-de291406b9b3","type":"LinearAxis"},{"attributes":{},"id":"0338cc06-ee57-4b80-af1f-98c51bd9224a","type":"SaveTool"},{"attributes":{},"id":"f5d85e76-38bb-4c76-8ec0-7955b57d4b9a","type":"ResetTool"},{"attributes":{"callback":null},"id":"d3d9bae4-5a28-482b-a56d-e2d1468a8f93","type":"DataRange1d"},{"attributes":{"below":[{"id":"b2cb1c1f-0aea-4f7e-b6bc-5f5e3e19a4a3","type":"LinearAxis"}],"left":[{"id":"0eb189bc-54c0-4708-99bc-233e26407d5a","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"b2cb1c1f-0aea-4f7e-b6bc-5f5e3e19a4a3","type":"LinearAxis"},{"id":"0eb38cd6-f67e-4254-ab70-ac99b2cb92da","type":"Grid"},{"id":"0eb189bc-54c0-4708-99bc-233e26407d5a","type":"LinearAxis"},{"id":"1e90f648-33d4-4b9f-88f9-3d6264f3d460","type":"Grid"},{"id":"96eaa236-5a89-4c72-ac11-5c8e4d1e5c5b","type":"BoxAnnotation"},{"id":"f158e9a6-41ac-45f4-8523-dc3d418e4116","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"3f0eda07-e1af-428a-a00c-9cd5cf883ef2","type":"Toolbar"},"x_range":{"id":"d3d9bae4-5a28-482b-a56d-e2d1468a8f93","type":"DataRange1d"},"x_scale":{"id":"4839d289-a0f4-444f-b56f-b44120b10655","type":"LinearScale"},"y_range":{"id":"83fa2721-323f-43b3-b791-3e50d18891bb","type":"DataRange1d"},"y_scale":{"id":"e483e6c2-fde0-4368-bb17-2692b19bff01","type":"LinearScale"}},"id":"9128cbc8-143d-4758-93bd-fd51edcbe997","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"46623f5f-13e3-4135-8068-f6b4728c0e56","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"d7d0c124-9d8d-4499-ace1-48238a416cc5","type":"BasicTickFormatter"},"plot":{"id":"aaea5cd1-f498-46fd-8bcb-3f0c3b892894","subtype":"Figure","type":"Plot"},"ticker":{"id":"20bccf29-ff44-4ff5-b835-6ccf9f4b91a7","type":"BasicTicker"}},"id":"05516814-732f-4946-ae78-2bdb717da6e5","type":"LinearAxis"},{"attributes":{},"id":"790a2820-e5f1-46f3-87e3-adcca40f25f3","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"46623f5f-13e3-4135-8068-f6b4728c0e56","type":"BasicTickFormatter"},"plot":{"id":"9128cbc8-143d-4758-93bd-fd51edcbe997","subtype":"Figure","type":"Plot"},"ticker":{"id":"34b5c367-c687-4d98-8b9c-e757dad529b5","type":"BasicTicker"}},"id":"b2cb1c1f-0aea-4f7e-b6bc-5f5e3e19a4a3","type":"LinearAxis"},{"attributes":{},"id":"d8ee71db-e5d8-4675-b647-7e0eb364f1c6","type":"BasicTicker"},{"attributes":{"plot":{"id":"aaea5cd1-f498-46fd-8bcb-3f0c3b892894","subtype":"Figure","type":"Plot"},"ticker":{"id":"20bccf29-ff44-4ff5-b835-6ccf9f4b91a7","type":"BasicTicker"}},"id":"02e5e57c-a8c2-430b-915c-f5820654c1f7","type":"Grid"},{"attributes":{},"id":"31c2a999-e9d1-4011-9847-da88de587877","type":"WheelZoomTool"},{"attributes":{},"id":"5c652437-f85f-4921-8892-2913e7a7ff96","type":"SaveTool"},{"attributes":{},"id":"73302a09-6c05-4ce0-9f1a-7e40169a8a29","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"aaea5cd1-f498-46fd-8bcb-3f0c3b892894","subtype":"Figure","type":"Plot"},{"id":"480890d6-7336-4ebe-bc57-8ec8867eb827","subtype":"Figure","type":"Plot"},{"id":"9128cbc8-143d-4758-93bd-fd51edcbe997","subtype":"Figure","type":"Plot"}]},"id":"2b931635-16e2-492c-8e8e-ded7acedfa72","type":"Row"},{"attributes":{"overlay":{"id":"63cb0f35-327f-44ec-a7c1-21f563df65a0","type":"BoxAnnotation"}},"id":"5392e2f8-2005-4573-a366-08169dccdbca","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"cfcf4d7e-6a84-45c2-a858-f48047442247","type":"LinearAxis"}],"left":[{"id":"404fbe39-81e3-4dea-bd7c-de291406b9b3","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"cfcf4d7e-6a84-45c2-a858-f48047442247","type":"LinearAxis"},{"id":"1c1157d4-e23f-4dbb-9d09-b9bb7320f93e","type":"Grid"},{"id":"404fbe39-81e3-4dea-bd7c-de291406b9b3","type":"LinearAxis"},{"id":"d162695f-be4b-4764-8262-4271420fcc86","type":"Grid"},{"id":"1e3718f8-f270-4df1-abe3-9d77a0b0d9ad","type":"BoxAnnotation"},{"id":"3b0e6ec9-2ba7-42b3-9590-53a045e762da","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"110eb40e-953d-41ed-8c91-502a17e38f27","type":"Toolbar"},"x_range":{"id":"8d17d8ad-21d2-4b7a-8589-faab248c1ca8","type":"DataRange1d"},"x_scale":{"id":"227c1531-33c9-48cf-b25e-56188242f700","type":"LinearScale"},"y_range":{"id":"f981a2f0-b603-41d6-9379-a52ff50a59dc","type":"DataRange1d"},"y_scale":{"id":"1508a858-06a6-4277-a4c5-6816eb68b742","type":"LinearScale"}},"id":"480890d6-7336-4ebe-bc57-8ec8867eb827","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"fed02e46-454c-40e7-9d34-f4de9e411ffb","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"96eaa236-5a89-4c72-ac11-5c8e4d1e5c5b","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"05516814-732f-4946-ae78-2bdb717da6e5","type":"LinearAxis"}],"left":[{"id":"9b1198d1-62e7-47c7-9ef5-110b74dde9e7","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"05516814-732f-4946-ae78-2bdb717da6e5","type":"LinearAxis"},{"id":"02e5e57c-a8c2-430b-915c-f5820654c1f7","type":"Grid"},{"id":"9b1198d1-62e7-47c7-9ef5-110b74dde9e7","type":"LinearAxis"},{"id":"6e620be6-a1b2-403d-9d8f-260c4491f2cc","type":"Grid"},{"id":"63cb0f35-327f-44ec-a7c1-21f563df65a0","type":"BoxAnnotation"},{"id":"c4ce8edb-7dd4-42c3-832d-1ab111c1651f","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"8b4cd6c6-b7d7-4e67-a5dd-005960786a2b","type":"Toolbar"},"x_range":{"id":"e093f955-39b7-423b-aaf0-da714dd6e165","type":"DataRange1d"},"x_scale":{"id":"ae6b010d-d759-4df1-9aa2-478f374f43cc","type":"LinearScale"},"y_range":{"id":"adf98ece-d2ae-4b35-b5dd-221e2244fd81","type":"DataRange1d"},"y_scale":{"id":"8e79f704-1ff2-41f3-862e-b5f9484f9829","type":"LinearScale"}},"id":"aaea5cd1-f498-46fd-8bcb-3f0c3b892894","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8e79f704-1ff2-41f3-862e-b5f9484f9829","type":"LinearScale"},{"attributes":{"overlay":{"id":"1e3718f8-f270-4df1-abe3-9d77a0b0d9ad","type":"BoxAnnotation"}},"id":"f11e0d7b-fba6-48c7-9e2f-64b1577861dc","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1e3718f8-f270-4df1-abe3-9d77a0b0d9ad","type":"BoxAnnotation"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"63cb0f35-327f-44ec-a7c1-21f563df65a0","type":"BoxAnnotation"},{"attributes":{"source":{"id":"586f122c-9d64-40e5-9fc8-2358fc481855","type":"ColumnDataSource"}},"id":"44de03af-7dab-4d66-9165-91d88680eb5c","type":"CDSView"}],"root_ids":["2b931635-16e2-492c-8e8e-ded7acedfa72"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1f86a010-f79c-4bfa-abff-f2719416d513","elementid":"194a7686-4424-46e2-ba59-b71b0df6d1b1","modelid":"2b931635-16e2-492c-8e8e-ded7acedfa72"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
