(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ede188f3-66c2-4354-ae28-fac4a3cff7eb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ede188f3-66c2-4354-ae28-fac4a3cff7eb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f0d5caf2-7920-4a4f-a7e1-0334971af5a8":{"roots":{"references":[{"attributes":{},"id":"d04ab27e-5fb6-473c-9db9-b5c4b44e16c8","type":"ResetTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"151cea40-ad01-4570-b3e3-4514201144f4","type":"PanTool"},{"id":"64abe373-f43c-43a9-8125-c3194c7198eb","type":"WheelZoomTool"},{"id":"1485bc72-9e3e-4dba-9ec0-6c3b7b8de62f","type":"BoxZoomTool"},{"id":"d14a9b36-b9f1-4b73-8533-e72b741c5abe","type":"SaveTool"},{"id":"d04ab27e-5fb6-473c-9db9-b5c4b44e16c8","type":"ResetTool"},{"id":"ef9ac7bd-2f74-4773-873b-c29c3cd8dce6","type":"HelpTool"},{"id":"0a393538-ad47-45fe-a37f-1286b62b2758","type":"PanTool"},{"id":"b53c8d44-7442-4e14-a54e-d575b17ba9af","type":"WheelZoomTool"},{"id":"9b97f6ab-5927-4582-ad16-4794ef625aa9","type":"BoxZoomTool"},{"id":"5ccd90ba-9a72-43eb-b00f-54e9ca624bdc","type":"SaveTool"},{"id":"53513423-6fd4-48ad-8d4f-72000c78a2e3","type":"ResetTool"},{"id":"e4061212-a077-45cf-9fd5-c1621e7757ab","type":"HelpTool"},{"id":"14e921be-9a6f-4178-9728-0589dca5a0b1","type":"PanTool"},{"id":"5e53fbd9-f434-4b10-9284-394f38cc482a","type":"WheelZoomTool"},{"id":"02cf5505-4e40-4ce6-a885-8f162d8c5a14","type":"BoxZoomTool"},{"id":"d0ebbe25-d4e0-47f3-912b-d8c892e23271","type":"SaveTool"},{"id":"395775c0-c21f-4538-a92c-ed79fc27e338","type":"ResetTool"},{"id":"604f33a6-5213-4506-a3c6-33e86e788973","type":"HelpTool"}]},"id":"718e870b-b79b-4f89-a890-c41f07f789c9","type":"ToolbarBox"},{"attributes":{},"id":"5ccd90ba-9a72-43eb-b00f-54e9ca624bdc","type":"SaveTool"},{"attributes":{},"id":"e4061212-a077-45cf-9fd5-c1621e7757ab","type":"HelpTool"},{"attributes":{},"id":"ef9ac7bd-2f74-4773-873b-c29c3cd8dce6","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"611b495b-bc1e-4be1-9aaa-dcacf86bcebd","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"65e0b160-05a4-4fd5-a308-d497ba89f051","subtype":"Figure","type":"Plot"},"ticker":{"id":"884c2c98-be70-4b78-8208-9d277b9f1b8a","type":"BasicTicker"}},"id":"12c10635-f780-45fc-a2c1-90927ffbd952","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"1ab843be-45d0-4dcf-93e4-38da25fc77c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee93b309-12a5-44d0-901f-c6e56b746f2e","type":"BasicTicker"}},"id":"c05cea05-37c6-4030-88b2-e6358e8881ee","type":"Grid"},{"attributes":{"callback":null},"id":"2b9e4bd1-f15d-431c-8188-db0ff1c942e3","type":"DataRange1d"},{"attributes":{"overlay":{"id":"611b495b-bc1e-4be1-9aaa-dcacf86bcebd","type":"BoxAnnotation"}},"id":"9b97f6ab-5927-4582-ad16-4794ef625aa9","type":"BoxZoomTool"},{"attributes":{},"id":"ac43fd2d-a42c-424e-b5e8-6a6ca5a396d9","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2a3b8151-21f3-458a-b80f-05b7d944e555","type":"Triangle"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"776f03ef-c3ff-4aea-96ee-542d17a66d9c","type":"Square"},{"attributes":{},"id":"53d63b19-330a-4a3f-a811-5c4865c8e71c","type":"LinearScale"},{"attributes":{},"id":"bac6cae1-da36-45f0-a6ea-2e210ccb0b2c","type":"LinearScale"},{"attributes":{},"id":"0a393538-ad47-45fe-a37f-1286b62b2758","type":"PanTool"},{"attributes":{"formatter":{"id":"822e977e-06b2-4312-94af-2cea2b6a4501","type":"BasicTickFormatter"},"plot":{"id":"65e0b160-05a4-4fd5-a308-d497ba89f051","subtype":"Figure","type":"Plot"},"ticker":{"id":"23f07784-b15f-4227-bb97-9d54240e9da7","type":"BasicTicker"}},"id":"beb6dfd3-72fd-4f0a-b048-fe2799c2fc3d","type":"LinearAxis"},{"attributes":{},"id":"23f07784-b15f-4227-bb97-9d54240e9da7","type":"BasicTicker"},{"attributes":{"plot":{"id":"65e0b160-05a4-4fd5-a308-d497ba89f051","subtype":"Figure","type":"Plot"},"ticker":{"id":"23f07784-b15f-4227-bb97-9d54240e9da7","type":"BasicTicker"}},"id":"c1d157b2-fe61-4c1a-b839-24e470a45e12","type":"Grid"},{"attributes":{"height":250,"width":250},"id":"3e8c30b8-5fe2-4cd1-9b4f-f46b2b7d0e72","type":"Spacer"},{"attributes":{},"id":"575eb83f-49ca-4b77-849e-36be278142d1","type":"BasicTickFormatter"},{"attributes":{},"id":"1c1233f4-6e18-408b-a699-cf08c064be3c","type":"BasicTicker"},{"attributes":{"source":{"id":"b45b41d4-4995-4838-8978-30d8d2506a65","type":"ColumnDataSource"}},"id":"0f267971-0712-4d0d-8c3e-f680a229135d","type":"CDSView"},{"attributes":{"callback":null},"id":"70e6f8f8-bcc3-437b-817c-e0793618e5ea","type":"DataRange1d"},{"attributes":{},"id":"ee93b309-12a5-44d0-901f-c6e56b746f2e","type":"BasicTicker"},{"attributes":{"callback":null},"id":"c8e63720-bc2e-4aaa-979e-171af3d92f33","type":"DataRange1d"},{"attributes":{},"id":"971412ff-4a65-44f0-bed5-13792d0289e4","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"743c4dd5-fb12-4564-b8cd-f0845ee97e05","type":"Circle"},{"attributes":{},"id":"619909e0-dd3f-4bd9-b663-dfcba58052af","type":"LinearScale"},{"attributes":{"plot":{"id":"075367f3-de19-4d75-9cdc-e7a92a05471a","subtype":"Figure","type":"Plot"},"ticker":{"id":"1c1233f4-6e18-408b-a699-cf08c064be3c","type":"BasicTicker"}},"id":"143f8dd7-3583-4160-8bb6-d08a5827fa4f","type":"Grid"},{"attributes":{},"id":"b53c8d44-7442-4e14-a54e-d575b17ba9af","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f6943f9c-8274-4ead-b5ae-5a6539937231","type":"BoxAnnotation"},{"attributes":{},"id":"d0ebbe25-d4e0-47f3-912b-d8c892e23271","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"14e921be-9a6f-4178-9728-0589dca5a0b1","type":"PanTool"},{"id":"5e53fbd9-f434-4b10-9284-394f38cc482a","type":"WheelZoomTool"},{"id":"02cf5505-4e40-4ce6-a885-8f162d8c5a14","type":"BoxZoomTool"},{"id":"d0ebbe25-d4e0-47f3-912b-d8c892e23271","type":"SaveTool"},{"id":"395775c0-c21f-4538-a92c-ed79fc27e338","type":"ResetTool"},{"id":"604f33a6-5213-4506-a3c6-33e86e788973","type":"HelpTool"}]},"id":"1d3851fc-9bc6-4dd7-8876-f72dd8979eb4","type":"Toolbar"},{"attributes":{"source":{"id":"7e108c3c-346d-4db5-aad7-2ba89df860d1","type":"ColumnDataSource"}},"id":"85a0f1b5-c02c-4c98-825f-1125688d172f","type":"CDSView"},{"attributes":{},"id":"151cea40-ad01-4570-b3e3-4514201144f4","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d195f416-6f4e-4abd-8c82-57bce3b5858b","type":"Square"},{"attributes":{},"id":"53513423-6fd4-48ad-8d4f-72000c78a2e3","type":"ResetTool"},{"attributes":{},"id":"437fdef1-057a-4a2e-a42b-41c0bf21cc74","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"b45b41d4-4995-4838-8978-30d8d2506a65","type":"ColumnDataSource"},"glyph":{"id":"776f03ef-c3ff-4aea-96ee-542d17a66d9c","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d195f416-6f4e-4abd-8c82-57bce3b5858b","type":"Square"},"selection_glyph":null,"view":{"id":"0f267971-0712-4d0d-8c3e-f680a229135d","type":"CDSView"}},"id":"2c449740-d8b3-400f-9b60-eb3d1f10ffce","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"1ab843be-45d0-4dcf-93e4-38da25fc77c8","subtype":"Figure","type":"Plot"},{"id":"075367f3-de19-4d75-9cdc-e7a92a05471a","subtype":"Figure","type":"Plot"}]},"id":"0f6a71e6-7418-4e56-bb55-95f077954618","type":"Row"},{"attributes":{},"id":"d0433a46-485a-45ab-84b1-27d0fb1f777b","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"075367f3-de19-4d75-9cdc-e7a92a05471a","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b19c66c-0c9f-4059-9334-d13e4f659c88","type":"BasicTicker"}},"id":"512bcd29-56e3-49c9-b14e-658bfa4ac187","type":"Grid"},{"attributes":{},"id":"5e53fbd9-f434-4b10-9284-394f38cc482a","type":"WheelZoomTool"},{"attributes":{},"id":"395775c0-c21f-4538-a92c-ed79fc27e338","type":"ResetTool"},{"attributes":{"formatter":{"id":"455b265b-ad32-435f-989c-84702fc8d433","type":"BasicTickFormatter"},"plot":{"id":"1ab843be-45d0-4dcf-93e4-38da25fc77c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"ee93b309-12a5-44d0-901f-c6e56b746f2e","type":"BasicTicker"}},"id":"c0a737ea-68b0-4e27-b668-504bc5df5c73","type":"LinearAxis"},{"attributes":{},"id":"d14a9b36-b9f1-4b73-8533-e72b741c5abe","type":"SaveTool"},{"attributes":{"callback":null},"id":"81bbf64d-d5ad-47f2-808f-7be8d14b828f","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"b45b41d4-4995-4838-8978-30d8d2506a65","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"7e108c3c-346d-4db5-aad7-2ba89df860d1","type":"ColumnDataSource"},"glyph":{"id":"743c4dd5-fb12-4564-b8cd-f0845ee97e05","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7afb2d78-7d44-4534-a4c2-dcffe532acfc","type":"Circle"},"selection_glyph":null,"view":{"id":"85a0f1b5-c02c-4c98-825f-1125688d172f","type":"CDSView"}},"id":"1e5d071e-a0f8-4724-a445-7f484e0c156b","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0a393538-ad47-45fe-a37f-1286b62b2758","type":"PanTool"},{"id":"b53c8d44-7442-4e14-a54e-d575b17ba9af","type":"WheelZoomTool"},{"id":"9b97f6ab-5927-4582-ad16-4794ef625aa9","type":"BoxZoomTool"},{"id":"5ccd90ba-9a72-43eb-b00f-54e9ca624bdc","type":"SaveTool"},{"id":"53513423-6fd4-48ad-8d4f-72000c78a2e3","type":"ResetTool"},{"id":"e4061212-a077-45cf-9fd5-c1621e7757ab","type":"HelpTool"}]},"id":"338d7993-fdc9-4706-812f-4fd46e247ec1","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"7e108c3c-346d-4db5-aad7-2ba89df860d1","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"c6014f4a-2e22-40d5-bf6f-dbc4f93ce461","type":"DataRange1d"},{"attributes":{"source":{"id":"6e6c6037-98ef-40bd-92bb-ee21d700fc1c","type":"ColumnDataSource"}},"id":"45c3f3bb-24f9-46e2-a053-65e687476ce1","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5db81ec2-b922-4708-919a-13c2685efbe0","type":"BoxAnnotation"},{"attributes":{},"id":"e38457ca-496e-4a7f-83cf-d84dcc697305","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"e4341546-e6bb-4f35-bbf0-c35a9730b1aa","type":"LinearAxis"}],"left":[{"id":"c0a737ea-68b0-4e27-b668-504bc5df5c73","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"e4341546-e6bb-4f35-bbf0-c35a9730b1aa","type":"LinearAxis"},{"id":"8254bc74-3293-464d-b1be-c27425db72c9","type":"Grid"},{"id":"c0a737ea-68b0-4e27-b668-504bc5df5c73","type":"LinearAxis"},{"id":"c05cea05-37c6-4030-88b2-e6358e8881ee","type":"Grid"},{"id":"5db81ec2-b922-4708-919a-13c2685efbe0","type":"BoxAnnotation"},{"id":"1e5d071e-a0f8-4724-a445-7f484e0c156b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"2c253b69-320a-478a-ac4e-8d3997c44c9c","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"81bbf64d-d5ad-47f2-808f-7be8d14b828f","type":"DataRange1d"},"x_scale":{"id":"19596c58-0326-4871-b09f-d60d03502adf","type":"LinearScale"},"y_range":{"id":"c6014f4a-2e22-40d5-bf6f-dbc4f93ce461","type":"DataRange1d"},"y_scale":{"id":"619909e0-dd3f-4bd9-b663-dfcba58052af","type":"LinearScale"}},"id":"1ab843be-45d0-4dcf-93e4-38da25fc77c8","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"f6943f9c-8274-4ead-b5ae-5a6539937231","type":"BoxAnnotation"}},"id":"02cf5505-4e40-4ce6-a885-8f162d8c5a14","type":"BoxZoomTool"},{"attributes":{},"id":"6c9f580e-2b63-4a96-b5db-30425ad8ad1a","type":"BasicTickFormatter"},{"attributes":{},"id":"64abe373-f43c-43a9-8125-c3194c7198eb","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"5db81ec2-b922-4708-919a-13c2685efbe0","type":"BoxAnnotation"}},"id":"1485bc72-9e3e-4dba-9ec0-6c3b7b8de62f","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"437fdef1-057a-4a2e-a42b-41c0bf21cc74","type":"BasicTickFormatter"},"plot":{"id":"075367f3-de19-4d75-9cdc-e7a92a05471a","subtype":"Figure","type":"Plot"},"ticker":{"id":"1c1233f4-6e18-408b-a699-cf08c064be3c","type":"BasicTicker"}},"id":"a6ac2e7d-bfd5-4515-9693-5e963df6a783","type":"LinearAxis"},{"attributes":{},"id":"455b265b-ad32-435f-989c-84702fc8d433","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e38457ca-496e-4a7f-83cf-d84dcc697305","type":"BasicTickFormatter"},"plot":{"id":"1ab843be-45d0-4dcf-93e4-38da25fc77c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0433a46-485a-45ab-84b1-27d0fb1f777b","type":"BasicTicker"}},"id":"e4341546-e6bb-4f35-bbf0-c35a9730b1aa","type":"LinearAxis"},{"attributes":{"formatter":{"id":"6c9f580e-2b63-4a96-b5db-30425ad8ad1a","type":"BasicTickFormatter"},"plot":{"id":"075367f3-de19-4d75-9cdc-e7a92a05471a","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b19c66c-0c9f-4059-9334-d13e4f659c88","type":"BasicTicker"}},"id":"c39ecda1-4596-4ba8-b944-eb43e2d9cb08","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7afb2d78-7d44-4534-a4c2-dcffe532acfc","type":"Circle"},{"attributes":{"below":[{"id":"beb6dfd3-72fd-4f0a-b048-fe2799c2fc3d","type":"LinearAxis"}],"left":[{"id":"c7c3e4e5-d037-4b1f-9f90-d0ca5cab519c","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"beb6dfd3-72fd-4f0a-b048-fe2799c2fc3d","type":"LinearAxis"},{"id":"c1d157b2-fe61-4c1a-b839-24e470a45e12","type":"Grid"},{"id":"c7c3e4e5-d037-4b1f-9f90-d0ca5cab519c","type":"LinearAxis"},{"id":"12c10635-f780-45fc-a2c1-90927ffbd952","type":"Grid"},{"id":"f6943f9c-8274-4ead-b5ae-5a6539937231","type":"BoxAnnotation"},{"id":"2c449740-d8b3-400f-9b60-eb3d1f10ffce","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"1d3851fc-9bc6-4dd7-8876-f72dd8979eb4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c8e63720-bc2e-4aaa-979e-171af3d92f33","type":"DataRange1d"},"x_scale":{"id":"bac6cae1-da36-45f0-a6ea-2e210ccb0b2c","type":"LinearScale"},"y_range":{"id":"a37b043e-d3f5-4293-a17a-47fc171226c6","type":"DataRange1d"},"y_scale":{"id":"53d63b19-330a-4a3f-a811-5c4865c8e71c","type":"LinearScale"}},"id":"65e0b160-05a4-4fd5-a308-d497ba89f051","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"3e8c30b8-5fe2-4cd1-9b4f-f46b2b7d0e72","type":"Spacer"},{"id":"65e0b160-05a4-4fd5-a308-d497ba89f051","subtype":"Figure","type":"Plot"}]},"id":"b11a26cf-1aa3-43c2-a26c-3002a30d08ab","type":"Row"},{"attributes":{},"id":"822e977e-06b2-4312-94af-2cea2b6a4501","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"6e6c6037-98ef-40bd-92bb-ee21d700fc1c","type":"ColumnDataSource"},"glyph":{"id":"2a3b8151-21f3-458a-b80f-05b7d944e555","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bcc03e94-4d3a-4e43-9b30-2dec430bf8e0","type":"Triangle"},"selection_glyph":null,"view":{"id":"45c3f3bb-24f9-46e2-a053-65e687476ce1","type":"CDSView"}},"id":"85312b50-76f0-43fd-bbfe-b7fa16656caf","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"6e6c6037-98ef-40bd-92bb-ee21d700fc1c","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bcc03e94-4d3a-4e43-9b30-2dec430bf8e0","type":"Triangle"},{"attributes":{},"id":"884c2c98-be70-4b78-8208-9d277b9f1b8a","type":"BasicTicker"},{"attributes":{"formatter":{"id":"575eb83f-49ca-4b77-849e-36be278142d1","type":"BasicTickFormatter"},"plot":{"id":"65e0b160-05a4-4fd5-a308-d497ba89f051","subtype":"Figure","type":"Plot"},"ticker":{"id":"884c2c98-be70-4b78-8208-9d277b9f1b8a","type":"BasicTicker"}},"id":"c7c3e4e5-d037-4b1f-9f90-d0ca5cab519c","type":"LinearAxis"},{"attributes":{"children":[{"id":"0f6a71e6-7418-4e56-bb55-95f077954618","type":"Row"},{"id":"b11a26cf-1aa3-43c2-a26c-3002a30d08ab","type":"Row"}]},"id":"c9db5a6b-6b8b-4182-8f78-591ad001d4c5","type":"Column"},{"attributes":{"children":[{"id":"718e870b-b79b-4f89-a890-c41f07f789c9","type":"ToolbarBox"},{"id":"c9db5a6b-6b8b-4182-8f78-591ad001d4c5","type":"Column"}]},"id":"54fc773d-fe7b-409b-9c10-fd8a0e769e21","type":"Column"},{"attributes":{"callback":null},"id":"a37b043e-d3f5-4293-a17a-47fc171226c6","type":"DataRange1d"},{"attributes":{},"id":"14e921be-9a6f-4178-9728-0589dca5a0b1","type":"PanTool"},{"attributes":{"below":[{"id":"a6ac2e7d-bfd5-4515-9693-5e963df6a783","type":"LinearAxis"}],"left":[{"id":"c39ecda1-4596-4ba8-b944-eb43e2d9cb08","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"a6ac2e7d-bfd5-4515-9693-5e963df6a783","type":"LinearAxis"},{"id":"143f8dd7-3583-4160-8bb6-d08a5827fa4f","type":"Grid"},{"id":"c39ecda1-4596-4ba8-b944-eb43e2d9cb08","type":"LinearAxis"},{"id":"512bcd29-56e3-49c9-b14e-658bfa4ac187","type":"Grid"},{"id":"611b495b-bc1e-4be1-9aaa-dcacf86bcebd","type":"BoxAnnotation"},{"id":"85312b50-76f0-43fd-bbfe-b7fa16656caf","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"338d7993-fdc9-4706-812f-4fd46e247ec1","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2b9e4bd1-f15d-431c-8188-db0ff1c942e3","type":"DataRange1d"},"x_scale":{"id":"971412ff-4a65-44f0-bed5-13792d0289e4","type":"LinearScale"},"y_range":{"id":"70e6f8f8-bcc3-437b-817c-e0793618e5ea","type":"DataRange1d"},"y_scale":{"id":"ac43fd2d-a42c-424e-b5e8-6a6ca5a396d9","type":"LinearScale"}},"id":"075367f3-de19-4d75-9cdc-e7a92a05471a","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"1ab843be-45d0-4dcf-93e4-38da25fc77c8","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0433a46-485a-45ab-84b1-27d0fb1f777b","type":"BasicTicker"}},"id":"8254bc74-3293-464d-b1be-c27425db72c9","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"151cea40-ad01-4570-b3e3-4514201144f4","type":"PanTool"},{"id":"64abe373-f43c-43a9-8125-c3194c7198eb","type":"WheelZoomTool"},{"id":"1485bc72-9e3e-4dba-9ec0-6c3b7b8de62f","type":"BoxZoomTool"},{"id":"d14a9b36-b9f1-4b73-8533-e72b741c5abe","type":"SaveTool"},{"id":"d04ab27e-5fb6-473c-9db9-b5c4b44e16c8","type":"ResetTool"},{"id":"ef9ac7bd-2f74-4773-873b-c29c3cd8dce6","type":"HelpTool"}]},"id":"2c253b69-320a-478a-ac4e-8d3997c44c9c","type":"Toolbar"},{"attributes":{},"id":"19596c58-0326-4871-b09f-d60d03502adf","type":"LinearScale"},{"attributes":{},"id":"604f33a6-5213-4506-a3c6-33e86e788973","type":"HelpTool"},{"attributes":{},"id":"2b19c66c-0c9f-4059-9334-d13e4f659c88","type":"BasicTicker"}],"root_ids":["54fc773d-fe7b-409b-9c10-fd8a0e769e21"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f0d5caf2-7920-4a4f-a7e1-0334971af5a8","elementid":"ede188f3-66c2-4354-ae28-fac4a3cff7eb","modelid":"54fc773d-fe7b-409b-9c10-fd8a0e769e21"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
