(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c24c8804-5597-4bd6-bd59-dccac03d2d56");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c24c8804-5597-4bd6-bd59-dccac03d2d56' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0b8b7c2f-158e-4da1-ac1e-2ac196132a77":{"roots":{"references":[{"attributes":{"below":[{"id":"5ebde2d7-34a4-4718-9ec9-b8ab66754e76","type":"LinearAxis"}],"left":[{"id":"f832e0b0-5e2a-4e92-8c8d-ad94982cce89","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"5ebde2d7-34a4-4718-9ec9-b8ab66754e76","type":"LinearAxis"},{"id":"2fd8a7b0-38cd-402d-af72-27cb3e836eef","type":"Grid"},{"id":"f832e0b0-5e2a-4e92-8c8d-ad94982cce89","type":"LinearAxis"},{"id":"199bc48e-29c8-4c7e-96e0-91357144cfa8","type":"Grid"},{"id":"84e73cb0-9a2f-46c4-aba8-09a9b1c45000","type":"BoxAnnotation"},{"id":"352d5308-9ace-45b4-8afc-6bd87af04def","type":"GlyphRenderer"}],"title":{"id":"065a01e0-611e-4a6d-8e4b-0e333b5bc340","type":"Title"},"toolbar":{"id":"69eb67ef-06f7-4aaf-82cf-30e5efa03d70","type":"Toolbar"},"x_range":{"id":"d2701ea7-3695-41fd-912a-94bc34956e4a","type":"DataRange1d"},"x_scale":{"id":"c4927331-e405-40d2-bf80-90f6be40ba95","type":"LinearScale"},"y_range":{"id":"b278be81-ff6f-4bb6-a3da-94003992cb01","type":"DataRange1d"},"y_scale":{"id":"786e2b28-5839-49a8-b4e8-b5b868f23797","type":"LinearScale"}},"id":"c069dcdb-5997-48d4-85d3-5399a95ad10a","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"c507f59d-37cf-4057-b72b-31a7d3833b4a","type":"BasicTickFormatter"},"plot":{"id":"c069dcdb-5997-48d4-85d3-5399a95ad10a","subtype":"Figure","type":"Plot"},"ticker":{"id":"405d0621-0d92-4493-8941-8d34a7549f12","type":"BasicTicker"}},"id":"f832e0b0-5e2a-4e92-8c8d-ad94982cce89","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"065a01e0-611e-4a6d-8e4b-0e333b5bc340","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"3ee4c5a7-bf4f-4d6a-bbeb-ceb3e8f68e14","type":"Square"},{"attributes":{"plot":{"id":"c069dcdb-5997-48d4-85d3-5399a95ad10a","subtype":"Figure","type":"Plot"},"ticker":{"id":"79085f47-e5a3-4a10-b9a8-9969157a6c59","type":"BasicTicker"}},"id":"2fd8a7b0-38cd-402d-af72-27cb3e836eef","type":"Grid"},{"attributes":{},"id":"5f03f0f1-9dd1-4897-8fad-193fe910ede7","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"c069dcdb-5997-48d4-85d3-5399a95ad10a","subtype":"Figure","type":"Plot"},"ticker":{"id":"405d0621-0d92-4493-8941-8d34a7549f12","type":"BasicTicker"}},"id":"199bc48e-29c8-4c7e-96e0-91357144cfa8","type":"Grid"},{"attributes":{},"id":"c507f59d-37cf-4057-b72b-31a7d3833b4a","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"84e73cb0-9a2f-46c4-aba8-09a9b1c45000","type":"BoxAnnotation"},{"attributes":{},"id":"8d9594c7-8d25-4b2e-b9b5-019ca58aaeee","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"482c5e4c-17fa-4a0d-a786-a18ab4535461","type":"ColumnDataSource"},"glyph":{"id":"50e747b8-fc98-4d39-ad85-97ca4309a6e1","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3ee4c5a7-bf4f-4d6a-bbeb-ceb3e8f68e14","type":"Square"},"selection_glyph":null,"view":{"id":"c52fc8b1-24aa-49de-be9e-65bcb6b3578f","type":"CDSView"}},"id":"352d5308-9ace-45b4-8afc-6bd87af04def","type":"GlyphRenderer"},{"attributes":{},"id":"786e2b28-5839-49a8-b4e8-b5b868f23797","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"482c5e4c-17fa-4a0d-a786-a18ab4535461","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b278be81-ff6f-4bb6-a3da-94003992cb01","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8ba8ab40-6e33-4a2a-9841-049428551a89","type":"PanTool"},{"id":"5f03f0f1-9dd1-4897-8fad-193fe910ede7","type":"WheelZoomTool"},{"id":"40bbaaad-ff41-438e-ab6e-d2fff1deca8c","type":"BoxZoomTool"},{"id":"a0b5ebf9-9d2c-4c85-941c-a5de4117ccf6","type":"SaveTool"},{"id":"16d5287b-66f5-4f32-ab5f-b5d52d956160","type":"ResetTool"},{"id":"9aa82307-63fd-4c0b-8662-12f8dcc031b8","type":"HelpTool"}]},"id":"69eb67ef-06f7-4aaf-82cf-30e5efa03d70","type":"Toolbar"},{"attributes":{},"id":"405d0621-0d92-4493-8941-8d34a7549f12","type":"BasicTicker"},{"attributes":{},"id":"8ba8ab40-6e33-4a2a-9841-049428551a89","type":"PanTool"},{"attributes":{"formatter":{"id":"8d9594c7-8d25-4b2e-b9b5-019ca58aaeee","type":"BasicTickFormatter"},"plot":{"id":"c069dcdb-5997-48d4-85d3-5399a95ad10a","subtype":"Figure","type":"Plot"},"ticker":{"id":"79085f47-e5a3-4a10-b9a8-9969157a6c59","type":"BasicTicker"}},"id":"5ebde2d7-34a4-4718-9ec9-b8ab66754e76","type":"LinearAxis"},{"attributes":{},"id":"16d5287b-66f5-4f32-ab5f-b5d52d956160","type":"ResetTool"},{"attributes":{"overlay":{"id":"84e73cb0-9a2f-46c4-aba8-09a9b1c45000","type":"BoxAnnotation"}},"id":"40bbaaad-ff41-438e-ab6e-d2fff1deca8c","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"d2701ea7-3695-41fd-912a-94bc34956e4a","type":"DataRange1d"},{"attributes":{},"id":"c4927331-e405-40d2-bf80-90f6be40ba95","type":"LinearScale"},{"attributes":{"source":{"id":"482c5e4c-17fa-4a0d-a786-a18ab4535461","type":"ColumnDataSource"}},"id":"c52fc8b1-24aa-49de-be9e-65bcb6b3578f","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"50e747b8-fc98-4d39-ad85-97ca4309a6e1","type":"Square"},{"attributes":{},"id":"79085f47-e5a3-4a10-b9a8-9969157a6c59","type":"BasicTicker"},{"attributes":{},"id":"a0b5ebf9-9d2c-4c85-941c-a5de4117ccf6","type":"SaveTool"},{"attributes":{},"id":"9aa82307-63fd-4c0b-8662-12f8dcc031b8","type":"HelpTool"}],"root_ids":["c069dcdb-5997-48d4-85d3-5399a95ad10a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0b8b7c2f-158e-4da1-ac1e-2ac196132a77","elementid":"c24c8804-5597-4bd6-bd59-dccac03d2d56","modelid":"c069dcdb-5997-48d4-85d3-5399a95ad10a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
