(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a4c091b6-4e48-43c4-97c4-88ff0a7306e4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a4c091b6-4e48-43c4-97c4-88ff0a7306e4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e4734dae-1a9e-46b0-b41e-b561cff0f2f8":{"roots":{"references":[{"attributes":{},"id":"5492645b-d4fb-4f31-ab96-32b79476310b","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"11b28427-6466-4846-bf13-105766f60a35","subtype":"Figure","type":"Plot"},"ticker":{"id":"3c906aa5-369d-4b09-b8d3-7be768e094d2","type":"BasicTicker"}},"id":"48121bc4-f192-4397-b779-3f02a3c1638b","type":"Grid"},{"attributes":{"data_source":{"id":"59ea0d77-5f14-4d77-9ab6-9760f0000ff9","type":"ColumnDataSource"},"glyph":{"id":"a8986cd8-d830-4ecd-b9f0-2c84677ab9f0","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"06ec826e-782d-4b3e-8077-dffdacd3fe54","type":"Oval"},"selection_glyph":null,"view":{"id":"ae7c763b-c5ec-4422-97c5-1d0bdb4745fc","type":"CDSView"}},"id":"c4bee689-5bef-4cdd-82a0-4872a480a7d8","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"2ee57db8-e752-46a1-8f44-f5649775cce4","type":"Title"},{"attributes":{"source":{"id":"59ea0d77-5f14-4d77-9ab6-9760f0000ff9","type":"ColumnDataSource"}},"id":"ae7c763b-c5ec-4422-97c5-1d0bdb4745fc","type":"CDSView"},{"attributes":{},"id":"1b304b9c-9fa0-4f17-87f3-b63afd2586f7","type":"BasicTickFormatter"},{"attributes":{},"id":"0c388578-5fe7-4b22-b7a4-6b4535292002","type":"SaveTool"},{"attributes":{"callback":null},"id":"7cb22dc9-e1b5-41ea-87fe-66d4564ef772","type":"DataRange1d"},{"attributes":{"overlay":{"id":"3f3f6575-6276-40fa-934b-bb8e0a35c3ea","type":"BoxAnnotation"}},"id":"ed9dfc50-70c6-4d84-ab19-ae30062c0d3e","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"53398d53-b5ea-4ade-9542-9e2c3c0ddeba","type":"DataRange1d"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"a8986cd8-d830-4ecd-b9f0-2c84677ab9f0","type":"Oval"},{"attributes":{"plot":{"id":"11b28427-6466-4846-bf13-105766f60a35","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d306b59-ff97-4002-a849-97b8c8667693","type":"BasicTicker"}},"id":"e0bdfaa0-7cbd-4e68-896f-10c5cfbf854e","type":"Grid"},{"attributes":{"formatter":{"id":"acc0f038-b149-4275-850c-3e88911e3575","type":"BasicTickFormatter"},"plot":{"id":"11b28427-6466-4846-bf13-105766f60a35","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d306b59-ff97-4002-a849-97b8c8667693","type":"BasicTicker"}},"id":"e991570f-a5f1-4251-b65e-915611c07cea","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2e663118-b671-431a-88f7-36ae2dcd68f8","type":"PanTool"},{"id":"5492645b-d4fb-4f31-ab96-32b79476310b","type":"WheelZoomTool"},{"id":"ed9dfc50-70c6-4d84-ab19-ae30062c0d3e","type":"BoxZoomTool"},{"id":"0c388578-5fe7-4b22-b7a4-6b4535292002","type":"SaveTool"},{"id":"43302558-94fc-4f8b-9b41-ef6a7999563c","type":"ResetTool"},{"id":"34e4f909-c674-4e49-9940-ca1869ba29bf","type":"HelpTool"}]},"id":"6fe7bdf5-af7f-414b-b605-08b820feb774","type":"Toolbar"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"06ec826e-782d-4b3e-8077-dffdacd3fe54","type":"Oval"},{"attributes":{},"id":"34e4f909-c674-4e49-9940-ca1869ba29bf","type":"HelpTool"},{"attributes":{},"id":"059d83f9-dfb0-4f92-bdb0-fc465f8c9226","type":"LinearScale"},{"attributes":{"below":[{"id":"e991570f-a5f1-4251-b65e-915611c07cea","type":"LinearAxis"}],"left":[{"id":"a3491d2a-7879-4c67-8a7d-041bb656b8c5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e991570f-a5f1-4251-b65e-915611c07cea","type":"LinearAxis"},{"id":"e0bdfaa0-7cbd-4e68-896f-10c5cfbf854e","type":"Grid"},{"id":"a3491d2a-7879-4c67-8a7d-041bb656b8c5","type":"LinearAxis"},{"id":"48121bc4-f192-4397-b779-3f02a3c1638b","type":"Grid"},{"id":"3f3f6575-6276-40fa-934b-bb8e0a35c3ea","type":"BoxAnnotation"},{"id":"c4bee689-5bef-4cdd-82a0-4872a480a7d8","type":"GlyphRenderer"}],"title":{"id":"2ee57db8-e752-46a1-8f44-f5649775cce4","type":"Title"},"toolbar":{"id":"6fe7bdf5-af7f-414b-b605-08b820feb774","type":"Toolbar"},"x_range":{"id":"7cb22dc9-e1b5-41ea-87fe-66d4564ef772","type":"DataRange1d"},"x_scale":{"id":"f494b00e-07f9-451f-9e7c-1fb1564d9475","type":"LinearScale"},"y_range":{"id":"53398d53-b5ea-4ade-9542-9e2c3c0ddeba","type":"DataRange1d"},"y_scale":{"id":"059d83f9-dfb0-4f92-bdb0-fc465f8c9226","type":"LinearScale"}},"id":"11b28427-6466-4846-bf13-105766f60a35","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f494b00e-07f9-451f-9e7c-1fb1564d9475","type":"LinearScale"},{"attributes":{},"id":"2e663118-b671-431a-88f7-36ae2dcd68f8","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3f3f6575-6276-40fa-934b-bb8e0a35c3ea","type":"BoxAnnotation"},{"attributes":{},"id":"8d306b59-ff97-4002-a849-97b8c8667693","type":"BasicTicker"},{"attributes":{"formatter":{"id":"1b304b9c-9fa0-4f17-87f3-b63afd2586f7","type":"BasicTickFormatter"},"plot":{"id":"11b28427-6466-4846-bf13-105766f60a35","subtype":"Figure","type":"Plot"},"ticker":{"id":"3c906aa5-369d-4b09-b8d3-7be768e094d2","type":"BasicTicker"}},"id":"a3491d2a-7879-4c67-8a7d-041bb656b8c5","type":"LinearAxis"},{"attributes":{},"id":"3c906aa5-369d-4b09-b8d3-7be768e094d2","type":"BasicTicker"},{"attributes":{},"id":"43302558-94fc-4f8b-9b41-ef6a7999563c","type":"ResetTool"},{"attributes":{},"id":"acc0f038-b149-4275-850c-3e88911e3575","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"59ea0d77-5f14-4d77-9ab6-9760f0000ff9","type":"ColumnDataSource"}],"root_ids":["11b28427-6466-4846-bf13-105766f60a35"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e4734dae-1a9e-46b0-b41e-b561cff0f2f8","elementid":"a4c091b6-4e48-43c4-97c4-88ff0a7306e4","modelid":"11b28427-6466-4846-bf13-105766f60a35"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
