(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2fbff306-22ff-42c7-ab1e-6f52255b05f6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2fbff306-22ff-42c7-ab1e-6f52255b05f6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"063ec20d-d655-4add-b3c7-9b0f055d349f":{"roots":{"references":[{"attributes":{},"id":"ece133e3-a017-4e40-83aa-01d34de80d8c","type":"BasicTicker"},{"attributes":{},"id":"949d1c9b-fc6a-45f2-bde0-fb9144575da4","type":"SaveTool"},{"attributes":{"plot":null,"text":""},"id":"f4af0449-0614-47bd-86de-c8a0503249c0","type":"Title"},{"attributes":{},"id":"cde4ab27-9ebe-4ca4-972c-c015bbae7c96","type":"LinearScale"},{"attributes":{"formatter":{"id":"591c25b9-43ea-489e-a509-a2429e769c89","type":"BasicTickFormatter"},"plot":{"id":"7b7b7636-2b72-4d0f-a60a-fcaf5c55812d","subtype":"Figure","type":"Plot"},"ticker":{"id":"ece133e3-a017-4e40-83aa-01d34de80d8c","type":"BasicTicker"}},"id":"a2af4c8a-c370-47ed-834a-b3263907fe23","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"7b7b7636-2b72-4d0f-a60a-fcaf5c55812d","subtype":"Figure","type":"Plot"},"ticker":{"id":"ece133e3-a017-4e40-83aa-01d34de80d8c","type":"BasicTicker"}},"id":"20ab7af5-4e9d-4fa1-88aa-125a36e4fdeb","type":"Grid"},{"attributes":{"below":[{"id":"73021a35-3627-4171-9e94-915e7df9410e","type":"LinearAxis"}],"left":[{"id":"a2af4c8a-c370-47ed-834a-b3263907fe23","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"73021a35-3627-4171-9e94-915e7df9410e","type":"LinearAxis"},{"id":"a6a8f3e7-bb14-4600-a90a-4f0f2382f321","type":"Grid"},{"id":"a2af4c8a-c370-47ed-834a-b3263907fe23","type":"LinearAxis"},{"id":"20ab7af5-4e9d-4fa1-88aa-125a36e4fdeb","type":"Grid"},{"id":"f202c9a3-7a1b-4b1b-90f9-118b69ba422b","type":"BoxAnnotation"},{"id":"1cb700a6-cf78-445b-a333-359e14c1ac9d","type":"GlyphRenderer"}],"title":{"id":"f4af0449-0614-47bd-86de-c8a0503249c0","type":"Title"},"toolbar":{"id":"a687fd7b-1943-46ce-ae2d-5f026e88aba8","type":"Toolbar"},"x_range":{"id":"f399e25b-1e03-48ef-9645-962480a43129","type":"DataRange1d"},"x_scale":{"id":"cde4ab27-9ebe-4ca4-972c-c015bbae7c96","type":"LinearScale"},"y_range":{"id":"8d247eb4-ce80-4576-b8cb-383c1f066039","type":"DataRange1d"},"y_scale":{"id":"3f3cf52c-4b12-4b66-99aa-f29a349f79cc","type":"LinearScale"}},"id":"7b7b7636-2b72-4d0f-a60a-fcaf5c55812d","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f202c9a3-7a1b-4b1b-90f9-118b69ba422b","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b4d98ca3-83a3-4471-945c-d58eb317a5f9","type":"PanTool"},{"id":"a27c7a66-4d07-48e5-aae0-740ebb7f5fc2","type":"WheelZoomTool"},{"id":"e4f45e92-0291-411d-a234-d578682150fb","type":"BoxZoomTool"},{"id":"949d1c9b-fc6a-45f2-bde0-fb9144575da4","type":"SaveTool"},{"id":"c3a4f028-a100-42cf-b666-72c7de047902","type":"ResetTool"},{"id":"cbf5b58a-d6ef-4879-9e22-a0c3c3c915e8","type":"HelpTool"}]},"id":"a687fd7b-1943-46ce-ae2d-5f026e88aba8","type":"Toolbar"},{"attributes":{"source":{"id":"764f71ea-809a-4ee6-a91a-25a9cbea4175","type":"ColumnDataSource"}},"id":"04d1aece-6c7e-47d8-a1b3-9da61bcf4fbf","type":"CDSView"},{"attributes":{"overlay":{"id":"f202c9a3-7a1b-4b1b-90f9-118b69ba422b","type":"BoxAnnotation"}},"id":"e4f45e92-0291-411d-a234-d578682150fb","type":"BoxZoomTool"},{"attributes":{},"id":"cbf5b58a-d6ef-4879-9e22-a0c3c3c915e8","type":"HelpTool"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"8c434bd3-dad9-4579-8b24-c85fe8c2b1e9","type":"Arc"},{"attributes":{"data_source":{"id":"764f71ea-809a-4ee6-a91a-25a9cbea4175","type":"ColumnDataSource"},"glyph":{"id":"4d4a690b-e7a5-4847-84ed-2917644389eb","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8c434bd3-dad9-4579-8b24-c85fe8c2b1e9","type":"Arc"},"selection_glyph":null,"view":{"id":"04d1aece-6c7e-47d8-a1b3-9da61bcf4fbf","type":"CDSView"}},"id":"1cb700a6-cf78-445b-a333-359e14c1ac9d","type":"GlyphRenderer"},{"attributes":{},"id":"591c25b9-43ea-489e-a509-a2429e769c89","type":"BasicTickFormatter"},{"attributes":{},"id":"b4d98ca3-83a3-4471-945c-d58eb317a5f9","type":"PanTool"},{"attributes":{},"id":"a27c7a66-4d07-48e5-aae0-740ebb7f5fc2","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"7b7b7636-2b72-4d0f-a60a-fcaf5c55812d","subtype":"Figure","type":"Plot"},"ticker":{"id":"a82971cf-a69d-4b30-b198-7f939940d6bf","type":"BasicTicker"}},"id":"a6a8f3e7-bb14-4600-a90a-4f0f2382f321","type":"Grid"},{"attributes":{},"id":"a82971cf-a69d-4b30-b198-7f939940d6bf","type":"BasicTicker"},{"attributes":{},"id":"5d658851-115f-4549-b3d5-833bb786d625","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"f399e25b-1e03-48ef-9645-962480a43129","type":"DataRange1d"},{"attributes":{},"id":"3f3cf52c-4b12-4b66-99aa-f29a349f79cc","type":"LinearScale"},{"attributes":{"formatter":{"id":"5d658851-115f-4549-b3d5-833bb786d625","type":"BasicTickFormatter"},"plot":{"id":"7b7b7636-2b72-4d0f-a60a-fcaf5c55812d","subtype":"Figure","type":"Plot"},"ticker":{"id":"a82971cf-a69d-4b30-b198-7f939940d6bf","type":"BasicTicker"}},"id":"73021a35-3627-4171-9e94-915e7df9410e","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"764f71ea-809a-4ee6-a91a-25a9cbea4175","type":"ColumnDataSource"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"line_color":{"value":"navy"},"radius":{"units":"data","value":0.1},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"4d4a690b-e7a5-4847-84ed-2917644389eb","type":"Arc"},{"attributes":{},"id":"c3a4f028-a100-42cf-b666-72c7de047902","type":"ResetTool"},{"attributes":{"callback":null},"id":"8d247eb4-ce80-4576-b8cb-383c1f066039","type":"DataRange1d"}],"root_ids":["7b7b7636-2b72-4d0f-a60a-fcaf5c55812d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"063ec20d-d655-4add-b3c7-9b0f055d349f","elementid":"2fbff306-22ff-42c7-ab1e-6f52255b05f6","modelid":"7b7b7636-2b72-4d0f-a60a-fcaf5c55812d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
