(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8e5c3993-b233-4891-9be3-5b2b00c75593");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8e5c3993-b233-4891-9be3-5b2b00c75593' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1635fc0c-243f-4ab9-907e-1cd56f206538":{"roots":{"references":[{"attributes":{"data_source":{"id":"0fd4d6cc-8765-4d2a-8ffb-d01712c98fe1","type":"ColumnDataSource"},"glyph":{"id":"7c7704d7-a88f-45e5-a1a4-997e35294073","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"8e3b5d01-45f6-4aad-bdc3-34d021ae0c45","type":"Annulus"},"selection_glyph":null,"view":{"id":"584ef83d-0169-437b-b1e5-fb8b2e3df12f","type":"CDSView"}},"id":"4fd36cc1-78f8-43be-8ef6-be8377e6f544","type":"GlyphRenderer"},{"attributes":{},"id":"1fdd4872-13a8-4a0f-8f63-160bff8787b8","type":"BasicTicker"},{"attributes":{"plot":{"id":"c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"1fdd4872-13a8-4a0f-8f63-160bff8787b8","type":"BasicTicker"}},"id":"218c5d67-e32b-41d5-bb9e-8dd5c076ed7a","type":"Grid"},{"attributes":{},"id":"b575070e-4df9-46a5-9998-badd8d58c0f4","type":"SaveTool"},{"attributes":{},"id":"8c7ad50e-6b89-447c-bb05-0c30578d8c9b","type":"HelpTool"},{"attributes":{},"id":"a5a0d062-8091-4dfa-b714-9b5472b42589","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"68aee2a9-4067-4725-9c8f-c07037a48e27","type":"BasicTickFormatter"},"plot":{"id":"c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"1fdd4872-13a8-4a0f-8f63-160bff8787b8","type":"BasicTicker"}},"id":"0028abc5-5a33-4624-8f52-4984b414bbc5","type":"LinearAxis"},{"attributes":{},"id":"afdaaef5-deb6-4f0a-869d-c62e623ecb95","type":"ResetTool"},{"attributes":{"callback":null},"id":"00252a9f-a3f3-456d-8e9f-99c59740c321","type":"DataRange1d"},{"attributes":{"source":{"id":"0fd4d6cc-8765-4d2a-8ffb-d01712c98fe1","type":"ColumnDataSource"}},"id":"584ef83d-0169-437b-b1e5-fb8b2e3df12f","type":"CDSView"},{"attributes":{"formatter":{"id":"aa8d49f3-0599-4b50-a3b3-2fb1e45374a0","type":"BasicTickFormatter"},"plot":{"id":"c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f057023-4204-4082-b852-8137c8cf4140","type":"BasicTicker"}},"id":"deef9c52-6e3a-4b6d-85b9-7f952a20c81e","type":"LinearAxis"},{"attributes":{},"id":"68aee2a9-4067-4725-9c8f-c07037a48e27","type":"BasicTickFormatter"},{"attributes":{},"id":"14220791-338d-452a-b2ee-2cfff93a05a0","type":"PanTool"},{"attributes":{"below":[{"id":"0028abc5-5a33-4624-8f52-4984b414bbc5","type":"LinearAxis"}],"left":[{"id":"deef9c52-6e3a-4b6d-85b9-7f952a20c81e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0028abc5-5a33-4624-8f52-4984b414bbc5","type":"LinearAxis"},{"id":"218c5d67-e32b-41d5-bb9e-8dd5c076ed7a","type":"Grid"},{"id":"deef9c52-6e3a-4b6d-85b9-7f952a20c81e","type":"LinearAxis"},{"id":"a010e026-59b5-43ba-956f-2c0e9e3261a0","type":"Grid"},{"id":"e36a9799-81e7-434f-808a-5a7c36e2f9c3","type":"BoxAnnotation"},{"id":"4fd36cc1-78f8-43be-8ef6-be8377e6f544","type":"GlyphRenderer"}],"title":{"id":"43da75c4-8ab4-4036-ad9a-bdfc6b1dab03","type":"Title"},"toolbar":{"id":"b0ca0ad9-c02c-42b3-8bc5-fef0928d89a3","type":"Toolbar"},"x_range":{"id":"00252a9f-a3f3-456d-8e9f-99c59740c321","type":"DataRange1d"},"x_scale":{"id":"f3c498e9-6cec-4c13-b799-a4c199b6098b","type":"LinearScale"},"y_range":{"id":"a22f9840-b92c-4ab6-9944-60120f578ff0","type":"DataRange1d"},"y_scale":{"id":"818360e9-196c-4c8c-b91b-a5f14d7b40b1","type":"LinearScale"}},"id":"c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"orange"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c7704d7-a88f-45e5-a1a4-997e35294073","type":"Annulus"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"8e3b5d01-45f6-4aad-bdc3-34d021ae0c45","type":"Annulus"},{"attributes":{"dimension":1,"plot":{"id":"c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4","subtype":"Figure","type":"Plot"},"ticker":{"id":"4f057023-4204-4082-b852-8137c8cf4140","type":"BasicTicker"}},"id":"a010e026-59b5-43ba-956f-2c0e9e3261a0","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"43da75c4-8ab4-4036-ad9a-bdfc6b1dab03","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e36a9799-81e7-434f-808a-5a7c36e2f9c3","type":"BoxAnnotation"},{"attributes":{},"id":"818360e9-196c-4c8c-b91b-a5f14d7b40b1","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"0fd4d6cc-8765-4d2a-8ffb-d01712c98fe1","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"e36a9799-81e7-434f-808a-5a7c36e2f9c3","type":"BoxAnnotation"}},"id":"e5342d9f-b395-4ae3-a4c1-cf161f3727c2","type":"BoxZoomTool"},{"attributes":{},"id":"4f057023-4204-4082-b852-8137c8cf4140","type":"BasicTicker"},{"attributes":{},"id":"f3c498e9-6cec-4c13-b799-a4c199b6098b","type":"LinearScale"},{"attributes":{},"id":"aa8d49f3-0599-4b50-a3b3-2fb1e45374a0","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"a22f9840-b92c-4ab6-9944-60120f578ff0","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"14220791-338d-452a-b2ee-2cfff93a05a0","type":"PanTool"},{"id":"a5a0d062-8091-4dfa-b714-9b5472b42589","type":"WheelZoomTool"},{"id":"e5342d9f-b395-4ae3-a4c1-cf161f3727c2","type":"BoxZoomTool"},{"id":"b575070e-4df9-46a5-9998-badd8d58c0f4","type":"SaveTool"},{"id":"afdaaef5-deb6-4f0a-869d-c62e623ecb95","type":"ResetTool"},{"id":"8c7ad50e-6b89-447c-bb05-0c30578d8c9b","type":"HelpTool"}]},"id":"b0ca0ad9-c02c-42b3-8bc5-fef0928d89a3","type":"Toolbar"}],"root_ids":["c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1635fc0c-243f-4ab9-907e-1cd56f206538","elementid":"8e5c3993-b233-4891-9be3-5b2b00c75593","modelid":"c0a5b40d-fc08-4e44-a877-aad1cf7e7ce4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
