(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5a9b205b-05f2-4466-942e-9ca9c77aafec");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5a9b205b-05f2-4466-942e-9ca9c77aafec' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"29780909-b3bd-4e8e-b707-e8c5f4686152":{"roots":{"references":[{"attributes":{},"id":"63f18e41-c1ac-4cee-96eb-10eb66528f77","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"3263fc06-e63d-4762-8be6-e259c56766ce","type":"ColumnDataSource"},{"attributes":{"source":{"id":"7812af6e-dff6-4a72-9d6c-82cf4ba105ec","type":"ColumnDataSource"}},"id":"38d936d8-5333-418a-8e09-e6b95430a0b0","type":"CDSView"},{"attributes":{"data_source":{"id":"3263fc06-e63d-4762-8be6-e259c56766ce","type":"ColumnDataSource"},"glyph":{"id":"2b3e18c5-7200-4c5a-91bf-2cbd84212eb5","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1d5c2233-c5c1-4a71-bceb-752af29e71f8","type":"Line"},"selection_glyph":null,"view":{"id":"4b1440f4-b6d6-42aa-b1e7-dd4fe133d490","type":"CDSView"}},"id":"8d9ddf6d-35da-4711-b0b7-ed7de418e299","type":"GlyphRenderer"},{"attributes":{},"id":"142e65b1-97e8-4c56-b777-5648d99c1952","type":"PanTool"},{"attributes":{},"id":"ec351a29-146c-4a4b-9c6d-3fb7287b16fd","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"7d383ecf-f114-4070-b350-9eec9f169b55","type":"Circle"},{"attributes":{"formatter":{"id":"8610678c-310f-4857-b4b3-b59d0c2cdeea","type":"BasicTickFormatter"},"plot":{"id":"1c1c335d-00e8-4449-9b8e-a1f8bb96200a","subtype":"Figure","type":"Plot"},"ticker":{"id":"63f18e41-c1ac-4cee-96eb-10eb66528f77","type":"BasicTicker"}},"id":"da7a3cdd-176b-491f-b2e0-e98dccc0e6c4","type":"LinearAxis"},{"attributes":{"source":{"id":"3263fc06-e63d-4762-8be6-e259c56766ce","type":"ColumnDataSource"}},"id":"4b1440f4-b6d6-42aa-b1e7-dd4fe133d490","type":"CDSView"},{"attributes":{"overlay":{"id":"e4e5dcf7-e4ec-4689-aef3-3fd424355c86","type":"BoxAnnotation"}},"id":"a13d2eae-c200-42d0-9df0-a721467b3b23","type":"BoxZoomTool"},{"attributes":{},"id":"e0f03f2d-acc2-466a-a243-570d658c39eb","type":"ResetTool"},{"attributes":{},"id":"79a8a45d-e235-4bf3-8d14-01528dd21e2a","type":"LinearScale"},{"attributes":{},"id":"8610678c-310f-4857-b4b3-b59d0c2cdeea","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"0b81e455-9107-4fb9-ba0a-dfc444970ee4","type":"Title"},{"attributes":{},"id":"ae7e3ad2-2aa6-47e4-a33a-e38727486cd9","type":"BasicTicker"},{"attributes":{"plot":{"id":"1c1c335d-00e8-4449-9b8e-a1f8bb96200a","subtype":"Figure","type":"Plot"},"ticker":{"id":"ae7e3ad2-2aa6-47e4-a33a-e38727486cd9","type":"BasicTicker"}},"id":"a38d3308-cefb-4e91-bda9-829bcfbc88df","type":"Grid"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2b3e18c5-7200-4c5a-91bf-2cbd84212eb5","type":"Line"},{"attributes":{},"id":"041b260a-723a-4a86-b40e-d9ce1ea1c2b1","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"1d5c2233-c5c1-4a71-bceb-752af29e71f8","type":"Line"},{"attributes":{},"id":"bb7224eb-01d4-4b54-8cb7-7ea26345b7e3","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"7812af6e-dff6-4a72-9d6c-82cf4ba105ec","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"46cd42b9-b57a-4282-a4f0-54716ad80311","type":"DataRange1d"},{"attributes":{"data_source":{"id":"7812af6e-dff6-4a72-9d6c-82cf4ba105ec","type":"ColumnDataSource"},"glyph":{"id":"7d383ecf-f114-4070-b350-9eec9f169b55","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a5c88595-4530-4099-8533-4f0d3d8080c3","type":"Circle"},"selection_glyph":null,"view":{"id":"38d936d8-5333-418a-8e09-e6b95430a0b0","type":"CDSView"}},"id":"8aa27909-2eeb-458b-91a8-bc665dcc41b6","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"1c1c335d-00e8-4449-9b8e-a1f8bb96200a","subtype":"Figure","type":"Plot"},"ticker":{"id":"63f18e41-c1ac-4cee-96eb-10eb66528f77","type":"BasicTicker"}},"id":"06f1509f-bc07-44ed-ae8c-139d119104ec","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"142e65b1-97e8-4c56-b777-5648d99c1952","type":"PanTool"},{"id":"ec351a29-146c-4a4b-9c6d-3fb7287b16fd","type":"WheelZoomTool"},{"id":"a13d2eae-c200-42d0-9df0-a721467b3b23","type":"BoxZoomTool"},{"id":"bb7224eb-01d4-4b54-8cb7-7ea26345b7e3","type":"SaveTool"},{"id":"e0f03f2d-acc2-466a-a243-570d658c39eb","type":"ResetTool"},{"id":"85a83eeb-bf90-4b9e-92c8-64760dd94fb4","type":"HelpTool"}]},"id":"6d8c889d-44d8-4d8c-b002-a8c4d4c5523e","type":"Toolbar"},{"attributes":{},"id":"85a83eeb-bf90-4b9e-92c8-64760dd94fb4","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e4e5dcf7-e4ec-4689-aef3-3fd424355c86","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"60037e2c-8cf0-48c2-af6f-6f7745bde330","type":"DataRange1d"},{"attributes":{"formatter":{"id":"7d77b5af-57aa-490b-a747-75c3a5fbf889","type":"BasicTickFormatter"},"plot":{"id":"1c1c335d-00e8-4449-9b8e-a1f8bb96200a","subtype":"Figure","type":"Plot"},"ticker":{"id":"ae7e3ad2-2aa6-47e4-a33a-e38727486cd9","type":"BasicTicker"}},"id":"d41b15ad-82b9-42c7-88f8-d8b73474a639","type":"LinearAxis"},{"attributes":{},"id":"7d77b5af-57aa-490b-a747-75c3a5fbf889","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"d41b15ad-82b9-42c7-88f8-d8b73474a639","type":"LinearAxis"}],"left":[{"id":"da7a3cdd-176b-491f-b2e0-e98dccc0e6c4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d41b15ad-82b9-42c7-88f8-d8b73474a639","type":"LinearAxis"},{"id":"a38d3308-cefb-4e91-bda9-829bcfbc88df","type":"Grid"},{"id":"da7a3cdd-176b-491f-b2e0-e98dccc0e6c4","type":"LinearAxis"},{"id":"06f1509f-bc07-44ed-ae8c-139d119104ec","type":"Grid"},{"id":"e4e5dcf7-e4ec-4689-aef3-3fd424355c86","type":"BoxAnnotation"},{"id":"8d9ddf6d-35da-4711-b0b7-ed7de418e299","type":"GlyphRenderer"},{"id":"8aa27909-2eeb-458b-91a8-bc665dcc41b6","type":"GlyphRenderer"}],"title":{"id":"0b81e455-9107-4fb9-ba0a-dfc444970ee4","type":"Title"},"toolbar":{"id":"6d8c889d-44d8-4d8c-b002-a8c4d4c5523e","type":"Toolbar"},"x_range":{"id":"60037e2c-8cf0-48c2-af6f-6f7745bde330","type":"DataRange1d"},"x_scale":{"id":"041b260a-723a-4a86-b40e-d9ce1ea1c2b1","type":"LinearScale"},"y_range":{"id":"46cd42b9-b57a-4282-a4f0-54716ad80311","type":"DataRange1d"},"y_scale":{"id":"79a8a45d-e235-4bf3-8d14-01528dd21e2a","type":"LinearScale"}},"id":"1c1c335d-00e8-4449-9b8e-a1f8bb96200a","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"a5c88595-4530-4099-8533-4f0d3d8080c3","type":"Circle"}],"root_ids":["1c1c335d-00e8-4449-9b8e-a1f8bb96200a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"29780909-b3bd-4e8e-b707-e8c5f4686152","elementid":"5a9b205b-05f2-4466-942e-9ca9c77aafec","modelid":"1c1c335d-00e8-4449-9b8e-a1f8bb96200a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
