(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c456af70-b9b1-47dc-95c2-79ff5e53e0a9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c456af70-b9b1-47dc-95c2-79ff5e53e0a9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"49c72c3d-153b-4d62-a370-c8beb8b689bd":{"roots":{"references":[{"attributes":{},"id":"ecacb91a-8919-4251-9fac-36d85810bdb1","type":"BasicTickFormatter"},{"attributes":{},"id":"2c81dd4a-3464-49ad-bb98-ffaa9e80119c","type":"ResetTool"},{"attributes":{"callback":null,"end":20},"id":"6710d9ee-a7c3-4151-93f9-e983ded6f890","type":"Range1d"},{"attributes":{},"id":"1ed58c8f-0fa3-4b0d-b5f3-d04004989d2e","type":"BasicTicker"},{"attributes":{},"id":"ef8007da-e0da-4410-b257-96b9f12a9af0","type":"SaveTool"},{"attributes":{"below":[{"id":"05e735a7-6886-4909-bd5e-b17e10fda041","type":"LinearAxis"}],"left":[{"id":"5b11235b-dadf-4b1d-ba5e-11ad30badd1f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"05e735a7-6886-4909-bd5e-b17e10fda041","type":"LinearAxis"},{"id":"a0c2135b-0da5-4c42-9d1e-0351d97b03d4","type":"Grid"},{"id":"5b11235b-dadf-4b1d-ba5e-11ad30badd1f","type":"LinearAxis"},{"id":"d1301799-7f1e-4d8f-b942-b864b97c8fca","type":"Grid"},{"id":"cc896a52-29d4-4013-814c-0db0ef891162","type":"BoxAnnotation"},{"id":"6a380dc8-d020-4a01-8f98-bf65de445ee7","type":"GlyphRenderer"}],"title":{"id":"ab227492-0e0b-4f64-935c-bdfdfa51b237","type":"Title"},"toolbar":{"id":"86a3d220-c2b7-4e88-89d8-0cc9ecf62c31","type":"Toolbar"},"x_range":{"id":"6710d9ee-a7c3-4151-93f9-e983ded6f890","type":"Range1d"},"x_scale":{"id":"8b166b97-37be-44e2-b22c-b902750ecffe","type":"LinearScale"},"y_range":{"id":"ce6c2a02-1f82-4f0d-8003-4e6943b698b4","type":"Range1d"},"y_scale":{"id":"62c0f6ea-f260-4273-9c76-b2d7cf34f546","type":"LinearScale"}},"id":"0d41ffc9-ae3e-4ad0-99c1-114c1559b230","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"end":15},"id":"ce6c2a02-1f82-4f0d-8003-4e6943b698b4","type":"Range1d"},{"attributes":{"plot":{"id":"0d41ffc9-ae3e-4ad0-99c1-114c1559b230","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ed58c8f-0fa3-4b0d-b5f3-d04004989d2e","type":"BasicTicker"}},"id":"a0c2135b-0da5-4c42-9d1e-0351d97b03d4","type":"Grid"},{"attributes":{"formatter":{"id":"832d7e86-feed-4683-8782-d7ff200b2052","type":"BasicTickFormatter"},"plot":{"id":"0d41ffc9-ae3e-4ad0-99c1-114c1559b230","subtype":"Figure","type":"Plot"},"ticker":{"id":"acdb4cda-b027-40a6-8cf2-a0ee9cdf0c68","type":"BasicTicker"}},"id":"5b11235b-dadf-4b1d-ba5e-11ad30badd1f","type":"LinearAxis"},{"attributes":{},"id":"acdb4cda-b027-40a6-8cf2-a0ee9cdf0c68","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7b8ed97a-1df9-4a06-ab26-176a2729a117","type":"PanTool"},{"id":"c58858fd-4064-4186-989a-bb0cba004aee","type":"WheelZoomTool"},{"id":"6ba6d55d-065d-429f-b61b-c0ff7de95f38","type":"BoxZoomTool"},{"id":"ef8007da-e0da-4410-b257-96b9f12a9af0","type":"SaveTool"},{"id":"2c81dd4a-3464-49ad-bb98-ffaa9e80119c","type":"ResetTool"},{"id":"5ec3998f-9c65-488a-b77f-e683804200f4","type":"HelpTool"}]},"id":"86a3d220-c2b7-4e88-89d8-0cc9ecf62c31","type":"Toolbar"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e7673d2f-ac01-4bd1-9a5d-b0eaa0f4b3cd","type":"Circle"},{"attributes":{},"id":"c58858fd-4064-4186-989a-bb0cba004aee","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"286c030e-7a86-4ca3-88f3-46dad5c9834d","type":"Circle"},{"attributes":{"data_source":{"id":"0ed64dcc-972c-4081-bf6c-044e95a32d62","type":"ColumnDataSource"},"glyph":{"id":"e7673d2f-ac01-4bd1-9a5d-b0eaa0f4b3cd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"286c030e-7a86-4ca3-88f3-46dad5c9834d","type":"Circle"},"selection_glyph":null,"view":{"id":"eff32a63-d259-4625-a7c8-1fe4c0d55bbb","type":"CDSView"}},"id":"6a380dc8-d020-4a01-8f98-bf65de445ee7","type":"GlyphRenderer"},{"attributes":{"source":{"id":"0ed64dcc-972c-4081-bf6c-044e95a32d62","type":"ColumnDataSource"}},"id":"eff32a63-d259-4625-a7c8-1fe4c0d55bbb","type":"CDSView"},{"attributes":{},"id":"7b8ed97a-1df9-4a06-ab26-176a2729a117","type":"PanTool"},{"attributes":{"overlay":{"id":"cc896a52-29d4-4013-814c-0db0ef891162","type":"BoxAnnotation"}},"id":"6ba6d55d-065d-429f-b61b-c0ff7de95f38","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"ab227492-0e0b-4f64-935c-bdfdfa51b237","type":"Title"},{"attributes":{"formatter":{"id":"ecacb91a-8919-4251-9fac-36d85810bdb1","type":"BasicTickFormatter"},"plot":{"id":"0d41ffc9-ae3e-4ad0-99c1-114c1559b230","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ed58c8f-0fa3-4b0d-b5f3-d04004989d2e","type":"BasicTicker"}},"id":"05e735a7-6886-4909-bd5e-b17e10fda041","type":"LinearAxis"},{"attributes":{},"id":"62c0f6ea-f260-4273-9c76-b2d7cf34f546","type":"LinearScale"},{"attributes":{},"id":"832d7e86-feed-4683-8782-d7ff200b2052","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cc896a52-29d4-4013-814c-0db0ef891162","type":"BoxAnnotation"},{"attributes":{},"id":"8b166b97-37be-44e2-b22c-b902750ecffe","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"0d41ffc9-ae3e-4ad0-99c1-114c1559b230","subtype":"Figure","type":"Plot"},"ticker":{"id":"acdb4cda-b027-40a6-8cf2-a0ee9cdf0c68","type":"BasicTicker"}},"id":"d1301799-7f1e-4d8f-b942-b864b97c8fca","type":"Grid"},{"attributes":{},"id":"5ec3998f-9c65-488a-b77f-e683804200f4","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"0ed64dcc-972c-4081-bf6c-044e95a32d62","type":"ColumnDataSource"}],"root_ids":["0d41ffc9-ae3e-4ad0-99c1-114c1559b230"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"49c72c3d-153b-4d62-a370-c8beb8b689bd","elementid":"c456af70-b9b1-47dc-95c2-79ff5e53e0a9","modelid":"0d41ffc9-ae3e-4ad0-99c1-114c1559b230"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
