(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("beeedab3-6b93-467f-a644-4ee55341caef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'beeedab3-6b93-467f-a644-4ee55341caef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"007573fd-b026-4588-928c-634749cd19db":{"roots":{"references":[{"attributes":{},"id":"2fc12059-e604-4106-be09-d9fbf4d7ea98","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fb631703-3362-4934-a812-74f86a81e0cd","type":"BoxAnnotation"},{"attributes":{},"id":"2dac22af-9bdd-4645-babd-b2a8c49ed5d1","type":"CategoricalScale"},{"attributes":{},"id":"94e9b40e-3921-4187-8375-abf9f16951e6","type":"ResetTool"},{"attributes":{},"id":"8a72de5a-db92-4364-ae40-08d7577fc2c1","type":"HelpTool"},{"attributes":{},"id":"ee50f54d-5ee5-447d-a3d8-ed523e643ea6","type":"CategoricalTickFormatter"},{"attributes":{},"id":"8396af10-f4cc-4e4b-b0f2-575809ad3ceb","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"8b903111-dca4-4041-80c7-e84d7385dce4","type":"ColumnDataSource"},"glyph":{"id":"c6331226-8f10-4d70-a819-bdc0036b067b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"25011d5a-70a3-41c0-a047-ec91b4a059cf","type":"Circle"},"selection_glyph":null,"view":{"id":"81d8926f-908a-458d-8073-ec39b4ca8273","type":"CDSView"}},"id":"3728963e-26fb-4979-ae76-e1d9387bb5a8","type":"GlyphRenderer"},{"attributes":{},"id":"335f0aa4-513d-4b68-b08f-a668f98402e2","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"8b903111-dca4-4041-80c7-e84d7385dce4","type":"ColumnDataSource"},{"attributes":{"source":{"id":"8b903111-dca4-4041-80c7-e84d7385dce4","type":"ColumnDataSource"}},"id":"81d8926f-908a-458d-8073-ec39b4ca8273","type":"CDSView"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"c6331226-8f10-4d70-a819-bdc0036b067b","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"04fb0c15-1a6a-4c9b-8127-72b495aaf11e","type":"Title"},{"attributes":{},"id":"db5c9a9e-e45a-4f4c-8bd6-29bdc77fde1e","type":"LinearScale"},{"attributes":{"callback":null},"id":"0e96c1b4-3c82-4646-88e4-37965a2dfe32","type":"DataRange1d"},{"attributes":{"formatter":{"id":"ee50f54d-5ee5-447d-a3d8-ed523e643ea6","type":"CategoricalTickFormatter"},"plot":{"id":"f05b606b-ac31-494d-a810-cf58512bb7b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"5abc06e3-4e77-4d56-9e74-2846f2aaf0e3","type":"CategoricalTicker"}},"id":"d2c46eb7-a8f0-45c4-a8c4-38210b7c6875","type":"CategoricalAxis"},{"attributes":{},"id":"ec07a2b0-baf2-465c-906b-eab14f57afc7","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1017f402-d283-427a-8a2a-fafbc7897664","type":"PanTool"},{"id":"ec07a2b0-baf2-465c-906b-eab14f57afc7","type":"WheelZoomTool"},{"id":"14c27d73-01d1-4bd6-8438-bbc4e2bbc58c","type":"BoxZoomTool"},{"id":"335f0aa4-513d-4b68-b08f-a668f98402e2","type":"SaveTool"},{"id":"94e9b40e-3921-4187-8375-abf9f16951e6","type":"ResetTool"},{"id":"8a72de5a-db92-4364-ae40-08d7577fc2c1","type":"HelpTool"}]},"id":"c4f04006-13ae-409f-81f9-9780e58fd4e7","type":"Toolbar"},{"attributes":{"overlay":{"id":"fb631703-3362-4934-a812-74f86a81e0cd","type":"BoxAnnotation"}},"id":"14c27d73-01d1-4bd6-8438-bbc4e2bbc58c","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"f05b606b-ac31-494d-a810-cf58512bb7b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"5abc06e3-4e77-4d56-9e74-2846f2aaf0e3","type":"CategoricalTicker"}},"id":"f0762b0c-2d7c-4d24-b6c9-ecf673df26b4","type":"Grid"},{"attributes":{},"id":"5abc06e3-4e77-4d56-9e74-2846f2aaf0e3","type":"CategoricalTicker"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"46bed412-2cec-4311-b1c6-d246938af34a","type":"FactorRange"},{"attributes":{"formatter":{"id":"8396af10-f4cc-4e4b-b0f2-575809ad3ceb","type":"BasicTickFormatter"},"plot":{"id":"f05b606b-ac31-494d-a810-cf58512bb7b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"2fc12059-e604-4106-be09-d9fbf4d7ea98","type":"BasicTicker"}},"id":"191b4111-b04f-4dd7-bc66-046cb060ce9b","type":"LinearAxis"},{"attributes":{},"id":"1017f402-d283-427a-8a2a-fafbc7897664","type":"PanTool"},{"attributes":{"below":[{"id":"191b4111-b04f-4dd7-bc66-046cb060ce9b","type":"LinearAxis"}],"left":[{"id":"d2c46eb7-a8f0-45c4-a8c4-38210b7c6875","type":"CategoricalAxis"}],"renderers":[{"id":"191b4111-b04f-4dd7-bc66-046cb060ce9b","type":"LinearAxis"},{"id":"d0f7349e-bf78-49ad-bfae-0b860dcda787","type":"Grid"},{"id":"d2c46eb7-a8f0-45c4-a8c4-38210b7c6875","type":"CategoricalAxis"},{"id":"f0762b0c-2d7c-4d24-b6c9-ecf673df26b4","type":"Grid"},{"id":"fb631703-3362-4934-a812-74f86a81e0cd","type":"BoxAnnotation"},{"id":"3728963e-26fb-4979-ae76-e1d9387bb5a8","type":"GlyphRenderer"}],"title":{"id":"04fb0c15-1a6a-4c9b-8127-72b495aaf11e","type":"Title"},"toolbar":{"id":"c4f04006-13ae-409f-81f9-9780e58fd4e7","type":"Toolbar"},"x_range":{"id":"0e96c1b4-3c82-4646-88e4-37965a2dfe32","type":"DataRange1d"},"x_scale":{"id":"db5c9a9e-e45a-4f4c-8bd6-29bdc77fde1e","type":"LinearScale"},"y_range":{"id":"46bed412-2cec-4311-b1c6-d246938af34a","type":"FactorRange"},"y_scale":{"id":"2dac22af-9bdd-4645-babd-b2a8c49ed5d1","type":"CategoricalScale"}},"id":"f05b606b-ac31-494d-a810-cf58512bb7b7","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"f05b606b-ac31-494d-a810-cf58512bb7b7","subtype":"Figure","type":"Plot"},"ticker":{"id":"2fc12059-e604-4106-be09-d9fbf4d7ea98","type":"BasicTicker"}},"id":"d0f7349e-bf78-49ad-bfae-0b860dcda787","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"25011d5a-70a3-41c0-a047-ec91b4a059cf","type":"Circle"}],"root_ids":["f05b606b-ac31-494d-a810-cf58512bb7b7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"007573fd-b026-4588-928c-634749cd19db","elementid":"beeedab3-6b93-467f-a644-4ee55341caef","modelid":"f05b606b-ac31-494d-a810-cf58512bb7b7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
