(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7dc63632-b293-4b1f-8c87-671dce13befb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7dc63632-b293-4b1f-8c87-671dce13befb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8d4263f6-28f6-4373-9bdf-faddb89dc297":{"roots":{"references":[{"attributes":{"below":[{"id":"b979b469-66f1-430c-98d2-f6d2e7038ca4","type":"LinearAxis"}],"left":[{"id":"91b11ec3-19d6-4f4b-b899-b30293719616","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b979b469-66f1-430c-98d2-f6d2e7038ca4","type":"LinearAxis"},{"id":"5b8712cf-c130-49ae-8db9-9a0bc1127252","type":"Grid"},{"id":"91b11ec3-19d6-4f4b-b899-b30293719616","type":"LinearAxis"},{"id":"a5bde08a-fabb-4d0e-8f08-cfa3bed45b6c","type":"Grid"},{"id":"07aa9a92-3e11-4d7f-a72a-883d8147118e","type":"BoxAnnotation"},{"id":"de9dff14-d22c-4e55-a6be-73c79776c772","type":"GlyphRenderer"}],"title":{"id":"9b85241f-21db-4f6b-971a-ae186761ec95","type":"Title"},"toolbar":{"id":"2b267cfa-b6eb-44df-8658-345a63bdb9fb","type":"Toolbar"},"x_range":{"id":"1b6de144-9413-4f86-8d7b-79950fe5c390","type":"DataRange1d"},"x_scale":{"id":"589df8ee-06d1-4b09-9e50-e6a28146adc6","type":"LinearScale"},"y_range":{"id":"c7b6ab51-8567-49a7-b6ba-e9c5d0bc4ad1","type":"DataRange1d"},"y_scale":{"id":"4dbc3649-a1a2-4a53-9f46-32e6c77ae78f","type":"LinearScale"}},"id":"9eac30d9-d774-44ba-b866-b28a445aed7b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"589df8ee-06d1-4b09-9e50-e6a28146adc6","type":"LinearScale"},{"attributes":{},"id":"f9c3f2b6-ba63-407b-b504-f0d64370eb0e","type":"HelpTool"},{"attributes":{"formatter":{"id":"4ab9205c-cd99-4d0d-9165-9e928593f889","type":"BasicTickFormatter"},"plot":{"id":"9eac30d9-d774-44ba-b866-b28a445aed7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"940b4cc8-4609-48a6-bf89-3afab4161f37","type":"BasicTicker"}},"id":"b979b469-66f1-430c-98d2-f6d2e7038ca4","type":"LinearAxis"},{"attributes":{},"id":"06639358-5ea1-409d-bf1d-d403bd9baeef","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9d5bf1c8-6422-492f-9a29-3e0c92c0d2c0","type":"PanTool"},{"id":"25a14303-edb1-478a-ba17-d7e1e5df2819","type":"WheelZoomTool"},{"id":"17e95fa4-7125-4b2a-ae19-6f27cd471f98","type":"BoxZoomTool"},{"id":"06639358-5ea1-409d-bf1d-d403bd9baeef","type":"SaveTool"},{"id":"fac0de6a-186e-483b-8e40-09987e1e9edd","type":"ResetTool"},{"id":"f9c3f2b6-ba63-407b-b504-f0d64370eb0e","type":"HelpTool"}]},"id":"2b267cfa-b6eb-44df-8658-345a63bdb9fb","type":"Toolbar"},{"attributes":{"callback":null},"id":"c7b6ab51-8567-49a7-b6ba-e9c5d0bc4ad1","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"9eac30d9-d774-44ba-b866-b28a445aed7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"21ee7fee-f38a-4d16-b756-cb14ecc4b248","type":"BasicTicker"}},"id":"a5bde08a-fabb-4d0e-8f08-cfa3bed45b6c","type":"Grid"},{"attributes":{"formatter":{"id":"265e18ba-6496-44ec-ad04-e2cebc680221","type":"BasicTickFormatter"},"plot":{"id":"9eac30d9-d774-44ba-b866-b28a445aed7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"21ee7fee-f38a-4d16-b756-cb14ecc4b248","type":"BasicTicker"}},"id":"91b11ec3-19d6-4f4b-b899-b30293719616","type":"LinearAxis"},{"attributes":{},"id":"940b4cc8-4609-48a6-bf89-3afab4161f37","type":"BasicTicker"},{"attributes":{},"id":"9d5bf1c8-6422-492f-9a29-3e0c92c0d2c0","type":"PanTool"},{"attributes":{},"id":"4dbc3649-a1a2-4a53-9f46-32e6c77ae78f","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"07aa9a92-3e11-4d7f-a72a-883d8147118e","type":"BoxAnnotation"},{"attributes":{"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"ca2298cf-5d34-4ae3-9fdf-6af444a61cb9","type":"MultiLine"},{"attributes":{"overlay":{"id":"07aa9a92-3e11-4d7f-a72a-883d8147118e","type":"BoxAnnotation"}},"id":"17e95fa4-7125-4b2a-ae19-6f27cd471f98","type":"BoxZoomTool"},{"attributes":{},"id":"265e18ba-6496-44ec-ad04-e2cebc680221","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"1b6de144-9413-4f86-8d7b-79950fe5c390","type":"DataRange1d"},{"attributes":{},"id":"21ee7fee-f38a-4d16-b756-cb14ecc4b248","type":"BasicTicker"},{"attributes":{"source":{"id":"ba040c24-e94a-4caf-9e3e-68c9c4736b9d","type":"ColumnDataSource"}},"id":"01ca6073-2dd8-48be-b934-b28a247af676","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"9b85241f-21db-4f6b-971a-ae186761ec95","type":"Title"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha"],"data":{"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"ba040c24-e94a-4caf-9e3e-68c9c4736b9d","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"ba040c24-e94a-4caf-9e3e-68c9c4736b9d","type":"ColumnDataSource"},"glyph":{"id":"ca2298cf-5d34-4ae3-9fdf-6af444a61cb9","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9de56d0e-68d1-4175-b318-32f2cdf87f7b","type":"MultiLine"},"selection_glyph":null,"view":{"id":"01ca6073-2dd8-48be-b934-b28a247af676","type":"CDSView"}},"id":"de9dff14-d22c-4e55-a6be-73c79776c772","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"9de56d0e-68d1-4175-b318-32f2cdf87f7b","type":"MultiLine"},{"attributes":{},"id":"fac0de6a-186e-483b-8e40-09987e1e9edd","type":"ResetTool"},{"attributes":{},"id":"25a14303-edb1-478a-ba17-d7e1e5df2819","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"9eac30d9-d774-44ba-b866-b28a445aed7b","subtype":"Figure","type":"Plot"},"ticker":{"id":"940b4cc8-4609-48a6-bf89-3afab4161f37","type":"BasicTicker"}},"id":"5b8712cf-c130-49ae-8db9-9a0bc1127252","type":"Grid"},{"attributes":{},"id":"4ab9205c-cd99-4d0d-9165-9e928593f889","type":"BasicTickFormatter"}],"root_ids":["9eac30d9-d774-44ba-b866-b28a445aed7b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8d4263f6-28f6-4373-9bdf-faddb89dc297","elementid":"7dc63632-b293-4b1f-8c87-671dce13befb","modelid":"9eac30d9-d774-44ba-b866-b28a445aed7b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
