(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c3ba3f6d-c568-49cf-a39b-552e05dfb162");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c3ba3f6d-c568-49cf-a39b-552e05dfb162' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7340ada7-21cc-4bcd-8b53-2fe6eb9cc05e":{"roots":{"references":[{"attributes":{},"id":"a184d93d-d1a0-4aa2-9561-838f6dabe529","type":"LinearScale"},{"attributes":{},"id":"be52fe3f-6895-4c7c-8bd6-9a944da55683","type":"BasicTicker"},{"attributes":{"callback":null},"id":"c7f78c19-dc71-4fca-8f71-3e0c75f46775","type":"DataRange1d"},{"attributes":{"data_source":{"id":"727e0766-e141-4f4b-82f5-6da41175b8d8","type":"ColumnDataSource"},"glyph":{"id":"216b04a7-3360-4d91-a105-d98212f96795","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7f0861a9-fe79-4d02-9aa9-68816c70c3a3","type":"Quad"},"selection_glyph":null,"view":{"id":"3cc835b1-f8ee-4a84-94fa-871a2f1d473a","type":"CDSView"}},"id":"f8b92947-75a4-416f-9e35-2d46a8e69bfb","type":"GlyphRenderer"},{"attributes":{},"id":"eccdf336-fe6b-42c3-82b1-b38d9ab48929","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c28bcb14-d5e5-43b1-b06c-53869e637a03","type":"PanTool"},{"id":"5f3575bc-d8a3-4b69-8dbc-0203ba04ed4c","type":"WheelZoomTool"},{"id":"ed351e0f-a216-453a-be73-0e8ff497ec08","type":"BoxZoomTool"},{"id":"688684ed-74c1-4330-8c87-d8ef342314ce","type":"SaveTool"},{"id":"eccdf336-fe6b-42c3-82b1-b38d9ab48929","type":"ResetTool"},{"id":"53e6d704-e7ff-4dee-a890-c9b7e947505a","type":"HelpTool"}]},"id":"303f84ec-bdc2-4ecc-88c0-e8cfab584f21","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"16c9a1ad-aaea-499f-8921-8bbf9c3a99ea","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"25a40eb0-fc08-49e9-813b-f0d12ce3c87b","subtype":"Figure","type":"Plot"},"ticker":{"id":"be52fe3f-6895-4c7c-8bd6-9a944da55683","type":"BasicTicker"}},"id":"64c3e47a-b067-4cc1-9d95-e74ca705a369","type":"Grid"},{"attributes":{},"id":"8c52bd3d-f264-44d3-bf2c-0861a5917bb1","type":"BasicTickFormatter"},{"attributes":{"bottom":{"field":"bottom"},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"left":{"field":"left"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"top":{"field":"top"}},"id":"7f0861a9-fe79-4d02-9aa9-68816c70c3a3","type":"Quad"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#B3DE69"},"left":{"field":"left"},"line_color":{"value":"#B3DE69"},"right":{"field":"right"},"top":{"field":"top"}},"id":"216b04a7-3360-4d91-a105-d98212f96795","type":"Quad"},{"attributes":{},"id":"5ae2cf43-4bca-4212-a864-402b7e048588","type":"LinearScale"},{"attributes":{},"id":"810b2087-7949-4b0b-b409-655cd15b9fb9","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"bbc07ce6-795a-4c69-adbf-aca731611405","type":"BoxAnnotation"},{"attributes":{},"id":"5f3575bc-d8a3-4b69-8dbc-0203ba04ed4c","type":"WheelZoomTool"},{"attributes":{},"id":"c28bcb14-d5e5-43b1-b06c-53869e637a03","type":"PanTool"},{"attributes":{"callback":null},"id":"e75255ba-683b-4151-877f-cf871ebcf1f1","type":"DataRange1d"},{"attributes":{},"id":"bfba2d63-7905-4d9b-ba0d-9b2fd077afbe","type":"BasicTicker"},{"attributes":{"formatter":{"id":"8c52bd3d-f264-44d3-bf2c-0861a5917bb1","type":"BasicTickFormatter"},"plot":{"id":"25a40eb0-fc08-49e9-813b-f0d12ce3c87b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bfba2d63-7905-4d9b-ba0d-9b2fd077afbe","type":"BasicTicker"}},"id":"753f6b94-cac2-4c61-b068-ca72318fee99","type":"LinearAxis"},{"attributes":{"overlay":{"id":"bbc07ce6-795a-4c69-adbf-aca731611405","type":"BoxAnnotation"}},"id":"ed351e0f-a216-453a-be73-0e8ff497ec08","type":"BoxZoomTool"},{"attributes":{"source":{"id":"727e0766-e141-4f4b-82f5-6da41175b8d8","type":"ColumnDataSource"}},"id":"3cc835b1-f8ee-4a84-94fa-871a2f1d473a","type":"CDSView"},{"attributes":{"below":[{"id":"753f6b94-cac2-4c61-b068-ca72318fee99","type":"LinearAxis"}],"left":[{"id":"958b869a-658b-4a38-9e29-6a3a10c59a91","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"753f6b94-cac2-4c61-b068-ca72318fee99","type":"LinearAxis"},{"id":"9e227eb6-ee0a-4afc-a4d8-6681e3b42da2","type":"Grid"},{"id":"958b869a-658b-4a38-9e29-6a3a10c59a91","type":"LinearAxis"},{"id":"64c3e47a-b067-4cc1-9d95-e74ca705a369","type":"Grid"},{"id":"bbc07ce6-795a-4c69-adbf-aca731611405","type":"BoxAnnotation"},{"id":"f8b92947-75a4-416f-9e35-2d46a8e69bfb","type":"GlyphRenderer"}],"title":{"id":"16c9a1ad-aaea-499f-8921-8bbf9c3a99ea","type":"Title"},"toolbar":{"id":"303f84ec-bdc2-4ecc-88c0-e8cfab584f21","type":"Toolbar"},"x_range":{"id":"e75255ba-683b-4151-877f-cf871ebcf1f1","type":"DataRange1d"},"x_scale":{"id":"5ae2cf43-4bca-4212-a864-402b7e048588","type":"LinearScale"},"y_range":{"id":"c7f78c19-dc71-4fca-8f71-3e0c75f46775","type":"DataRange1d"},"y_scale":{"id":"a184d93d-d1a0-4aa2-9561-838f6dabe529","type":"LinearScale"}},"id":"25a40eb0-fc08-49e9-813b-f0d12ce3c87b","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"25a40eb0-fc08-49e9-813b-f0d12ce3c87b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bfba2d63-7905-4d9b-ba0d-9b2fd077afbe","type":"BasicTicker"}},"id":"9e227eb6-ee0a-4afc-a4d8-6681e3b42da2","type":"Grid"},{"attributes":{},"id":"688684ed-74c1-4330-8c87-d8ef342314ce","type":"SaveTool"},{"attributes":{"formatter":{"id":"810b2087-7949-4b0b-b409-655cd15b9fb9","type":"BasicTickFormatter"},"plot":{"id":"25a40eb0-fc08-49e9-813b-f0d12ce3c87b","subtype":"Figure","type":"Plot"},"ticker":{"id":"be52fe3f-6895-4c7c-8bd6-9a944da55683","type":"BasicTicker"}},"id":"958b869a-658b-4a38-9e29-6a3a10c59a91","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["top","right","left","bottom"],"data":{"bottom":[1,2,3],"left":[1,2,3],"right":[1.2,2.5,3.7],"top":[2,3,4]}},"id":"727e0766-e141-4f4b-82f5-6da41175b8d8","type":"ColumnDataSource"},{"attributes":{},"id":"53e6d704-e7ff-4dee-a890-c9b7e947505a","type":"HelpTool"}],"root_ids":["25a40eb0-fc08-49e9-813b-f0d12ce3c87b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7340ada7-21cc-4bcd-8b53-2fe6eb9cc05e","elementid":"c3ba3f6d-c568-49cf-a39b-552e05dfb162","modelid":"25a40eb0-fc08-49e9-813b-f0d12ce3c87b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
