(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("87949111-93ca-4606-b720-4bb60a2b0446");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '87949111-93ca-4606-b720-4bb60a2b0446' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"697480a2-fd0e-479e-9bc2-c8907049dcd9":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4b10d1d6-3e04-4a51-84b7-31ef74c2ecce","type":"PanTool"},{"id":"f2e68b28-30ed-4150-a741-831feeacec2a","type":"WheelZoomTool"},{"id":"acf40934-4c56-45d8-8586-a20fc2fdc07a","type":"BoxZoomTool"},{"id":"a255bf17-96cb-49a6-88f9-b1ecfeeb8c32","type":"SaveTool"},{"id":"14c0c1c2-3ea6-437f-b5b7-87038cc58acb","type":"ResetTool"},{"id":"06426bbe-d697-4cbc-9097-e46d601a9fca","type":"HelpTool"}]},"id":"b55d3557-4d0a-4a90-84ab-2443306e372d","type":"Toolbar"},{"attributes":{"callback":null},"id":"2cba5004-d58c-4f54-b09d-149e091875c5","type":"DataRange1d"},{"attributes":{},"id":"afead48d-91f6-4d1c-be2b-c63fdb71d01f","type":"LinearScale"},{"attributes":{"callback":null},"id":"f0a3a3b1-6b43-4cbf-9450-d63228c345e4","type":"DataRange1d"},{"attributes":{},"id":"14c0c1c2-3ea6-437f-b5b7-87038cc58acb","type":"ResetTool"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"screen","value":40},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c0510ff-fa39-4b00-866c-97fa134d5422","type":"Rect"},{"attributes":{},"id":"591668fe-0174-49b7-a07b-d10a0840a075","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"6b7d2666-e88c-44e5-97b4-d48f1e562922","type":"LinearAxis"}],"left":[{"id":"f022c1fc-8f00-4955-8696-5df298924550","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6b7d2666-e88c-44e5-97b4-d48f1e562922","type":"LinearAxis"},{"id":"b69ccc4b-efeb-4976-b551-fa8e80678de4","type":"Grid"},{"id":"f022c1fc-8f00-4955-8696-5df298924550","type":"LinearAxis"},{"id":"d4b0c13c-54ec-4693-b4c5-49cd162d0f96","type":"Grid"},{"id":"949cd17d-898c-48d2-8b69-698a9aa07300","type":"BoxAnnotation"},{"id":"3286a7c2-c5e7-456f-aa68-5af0483350e2","type":"GlyphRenderer"}],"title":{"id":"549d30b0-4995-4e51-a1c4-2fa65b3cb3f2","type":"Title"},"toolbar":{"id":"b55d3557-4d0a-4a90-84ab-2443306e372d","type":"Toolbar"},"x_range":{"id":"f0a3a3b1-6b43-4cbf-9450-d63228c345e4","type":"DataRange1d"},"x_scale":{"id":"7c870424-5fef-4fc7-8f58-1658439eaa74","type":"LinearScale"},"y_range":{"id":"2cba5004-d58c-4f54-b09d-149e091875c5","type":"DataRange1d"},"y_scale":{"id":"afead48d-91f6-4d1c-be2b-c63fdb71d01f","type":"LinearScale"}},"id":"eb6765b7-45d4-49de-b1a8-ac11d6acccbb","subtype":"Figure","type":"Plot"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"screen","value":40},"line_color":{"value":"#CAB2D6"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"f6366e5f-35e3-485f-bd6e-bedfb3a2c63f","type":"Rect"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"7a843982-2215-4884-b1c3-2d7b5f536a82","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"949cd17d-898c-48d2-8b69-698a9aa07300","type":"BoxAnnotation"}},"id":"acf40934-4c56-45d8-8586-a20fc2fdc07a","type":"BoxZoomTool"},{"attributes":{},"id":"a255bf17-96cb-49a6-88f9-b1ecfeeb8c32","type":"SaveTool"},{"attributes":{},"id":"d1797439-e996-4948-8bb8-89d8795dadc5","type":"BasicTickFormatter"},{"attributes":{},"id":"7c870424-5fef-4fc7-8f58-1658439eaa74","type":"LinearScale"},{"attributes":{},"id":"6d74fbd5-9961-42a5-95a0-0bdd551d1731","type":"BasicTicker"},{"attributes":{"formatter":{"id":"591668fe-0174-49b7-a07b-d10a0840a075","type":"BasicTickFormatter"},"plot":{"id":"eb6765b7-45d4-49de-b1a8-ac11d6acccbb","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d74fbd5-9961-42a5-95a0-0bdd551d1731","type":"BasicTicker"}},"id":"f022c1fc-8f00-4955-8696-5df298924550","type":"LinearAxis"},{"attributes":{},"id":"4b10d1d6-3e04-4a51-84b7-31ef74c2ecce","type":"PanTool"},{"attributes":{},"id":"f2e68b28-30ed-4150-a741-831feeacec2a","type":"WheelZoomTool"},{"attributes":{},"id":"06426bbe-d697-4cbc-9097-e46d601a9fca","type":"HelpTool"},{"attributes":{"data_source":{"id":"7a843982-2215-4884-b1c3-2d7b5f536a82","type":"ColumnDataSource"},"glyph":{"id":"f6366e5f-35e3-485f-bd6e-bedfb3a2c63f","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7c0510ff-fa39-4b00-866c-97fa134d5422","type":"Rect"},"selection_glyph":null,"view":{"id":"d2d6a925-35f1-4f4c-aa8d-588501dedf31","type":"CDSView"}},"id":"3286a7c2-c5e7-456f-aa68-5af0483350e2","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"949cd17d-898c-48d2-8b69-698a9aa07300","type":"BoxAnnotation"},{"attributes":{"source":{"id":"7a843982-2215-4884-b1c3-2d7b5f536a82","type":"ColumnDataSource"}},"id":"d2d6a925-35f1-4f4c-aa8d-588501dedf31","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"eb6765b7-45d4-49de-b1a8-ac11d6acccbb","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d74fbd5-9961-42a5-95a0-0bdd551d1731","type":"BasicTicker"}},"id":"d4b0c13c-54ec-4693-b4c5-49cd162d0f96","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"549d30b0-4995-4e51-a1c4-2fa65b3cb3f2","type":"Title"},{"attributes":{"plot":{"id":"eb6765b7-45d4-49de-b1a8-ac11d6acccbb","subtype":"Figure","type":"Plot"},"ticker":{"id":"04a5ed89-3324-45de-93e5-5966e6411698","type":"BasicTicker"}},"id":"b69ccc4b-efeb-4976-b551-fa8e80678de4","type":"Grid"},{"attributes":{"formatter":{"id":"d1797439-e996-4948-8bb8-89d8795dadc5","type":"BasicTickFormatter"},"plot":{"id":"eb6765b7-45d4-49de-b1a8-ac11d6acccbb","subtype":"Figure","type":"Plot"},"ticker":{"id":"04a5ed89-3324-45de-93e5-5966e6411698","type":"BasicTicker"}},"id":"6b7d2666-e88c-44e5-97b4-d48f1e562922","type":"LinearAxis"},{"attributes":{},"id":"04a5ed89-3324-45de-93e5-5966e6411698","type":"BasicTicker"}],"root_ids":["eb6765b7-45d4-49de-b1a8-ac11d6acccbb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"697480a2-fd0e-479e-9bc2-c8907049dcd9","elementid":"87949111-93ca-4606-b720-4bb60a2b0446","modelid":"eb6765b7-45d4-49de-b1a8-ac11d6acccbb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
