(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c998d374-66f5-45ec-8b95-add006ea481e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c998d374-66f5-45ec-8b95-add006ea481e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"613b50a7-41b1-48c5-89bd-0a8434d7b311":{"roots":{"references":[{"attributes":{},"id":"166c99e5-f67f-4f21-bf7d-b2f35e5cbce7","type":"PanTool"},{"attributes":{"callback":null},"id":"dd4683fb-aa39-4d3b-af9b-2b22e74cde97","type":"DataRange1d"},{"attributes":{},"id":"10e9e9d9-7e9d-4360-9ac4-b35fa955efe6","type":"BasicTicker"},{"attributes":{"formatter":{"id":"da236bd5-d6ad-40c6-9c6b-69b633e4b6ea","type":"BasicTickFormatter"},"plot":{"id":"d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"10e9e9d9-7e9d-4360-9ac4-b35fa955efe6","type":"BasicTicker"}},"id":"583de0a2-4707-4a12-b4e8-c46dfb619eeb","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f3e82ccb-0124-40af-8dd0-98cb9e9e4dc7","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"dee98073-ce88-4cf1-be46-e42274ed647d","type":"VBar"},{"attributes":{"callback":null},"id":"55bf3f4c-d301-46ec-8d3b-7cab8ca0fc15","type":"DataRange1d"},{"attributes":{},"id":"5def4b30-ccf9-46b4-928f-ee89dbdb5073","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"166c99e5-f67f-4f21-bf7d-b2f35e5cbce7","type":"PanTool"},{"id":"8410b38c-7496-4058-91eb-72ecfc234394","type":"WheelZoomTool"},{"id":"166f3163-cb59-4c0b-8355-8df73689ce43","type":"BoxZoomTool"},{"id":"24f6d994-4c29-42fd-b6b0-a0b00420d690","type":"SaveTool"},{"id":"1bc4c553-68e8-4fa1-ad57-bdbfdf55e061","type":"ResetTool"},{"id":"5def4b30-ccf9-46b4-928f-ee89dbdb5073","type":"HelpTool"}]},"id":"c4caf39c-9ac2-44f0-81c5-4d29f00af14e","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"10e9e9d9-7e9d-4360-9ac4-b35fa955efe6","type":"BasicTicker"}},"id":"9f0b784f-e2b4-4e2d-8c5a-e619954f1377","type":"Grid"},{"attributes":{},"id":"da236bd5-d6ad-40c6-9c6b-69b633e4b6ea","type":"BasicTickFormatter"},{"attributes":{},"id":"1bc4c553-68e8-4fa1-ad57-bdbfdf55e061","type":"ResetTool"},{"attributes":{"source":{"id":"822c710b-c089-4e34-974e-427c6d8281c9","type":"ColumnDataSource"}},"id":"a8fce435-3785-4d0f-bec0-0d5f419dcf41","type":"CDSView"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[1.2,2.5,3.7],"x":[1,2,3]}},"id":"822c710b-c089-4e34-974e-427c6d8281c9","type":"ColumnDataSource"},{"attributes":{},"id":"b3b9e85d-4054-412a-9271-388f04a0589e","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"a264e837-339a-4bd0-9830-83f289e54201","type":"Title"},{"attributes":{},"id":"8410b38c-7496-4058-91eb-72ecfc234394","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"822c710b-c089-4e34-974e-427c6d8281c9","type":"ColumnDataSource"},"glyph":{"id":"dee98073-ce88-4cf1-be46-e42274ed647d","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9dbe53e0-cbf5-4395-80ff-ccc10be35fa0","type":"VBar"},"selection_glyph":null,"view":{"id":"a8fce435-3785-4d0f-bec0-0d5f419dcf41","type":"CDSView"}},"id":"d9456bc6-bc93-4888-9c94-1a158a0033d0","type":"GlyphRenderer"},{"attributes":{},"id":"dd8502a9-5090-4690-8dd0-8eec74f43a16","type":"LinearScale"},{"attributes":{},"id":"bbffe570-f301-4907-a3a6-eb13fea2dabc","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"9dbe53e0-cbf5-4395-80ff-ccc10be35fa0","type":"VBar"},{"attributes":{"overlay":{"id":"f3e82ccb-0124-40af-8dd0-98cb9e9e4dc7","type":"BoxAnnotation"}},"id":"166f3163-cb59-4c0b-8355-8df73689ce43","type":"BoxZoomTool"},{"attributes":{},"id":"c5ea6eaf-ddc1-43c0-b94f-fafe59903a9b","type":"BasicTicker"},{"attributes":{"below":[{"id":"8c9e7e5f-df32-4ebc-bdaa-fe3f80118b7a","type":"LinearAxis"}],"left":[{"id":"583de0a2-4707-4a12-b4e8-c46dfb619eeb","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8c9e7e5f-df32-4ebc-bdaa-fe3f80118b7a","type":"LinearAxis"},{"id":"6556c9db-9a60-45e3-b9a8-1c058b82a621","type":"Grid"},{"id":"583de0a2-4707-4a12-b4e8-c46dfb619eeb","type":"LinearAxis"},{"id":"9f0b784f-e2b4-4e2d-8c5a-e619954f1377","type":"Grid"},{"id":"f3e82ccb-0124-40af-8dd0-98cb9e9e4dc7","type":"BoxAnnotation"},{"id":"d9456bc6-bc93-4888-9c94-1a158a0033d0","type":"GlyphRenderer"}],"title":{"id":"a264e837-339a-4bd0-9830-83f289e54201","type":"Title"},"toolbar":{"id":"c4caf39c-9ac2-44f0-81c5-4d29f00af14e","type":"Toolbar"},"x_range":{"id":"dd4683fb-aa39-4d3b-af9b-2b22e74cde97","type":"DataRange1d"},"x_scale":{"id":"dd8502a9-5090-4690-8dd0-8eec74f43a16","type":"LinearScale"},"y_range":{"id":"55bf3f4c-d301-46ec-8d3b-7cab8ca0fc15","type":"DataRange1d"},"y_scale":{"id":"bbffe570-f301-4907-a3a6-eb13fea2dabc","type":"LinearScale"}},"id":"d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"b3b9e85d-4054-412a-9271-388f04a0589e","type":"BasicTickFormatter"},"plot":{"id":"d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5ea6eaf-ddc1-43c0-b94f-fafe59903a9b","type":"BasicTicker"}},"id":"8c9e7e5f-df32-4ebc-bdaa-fe3f80118b7a","type":"LinearAxis"},{"attributes":{},"id":"24f6d994-4c29-42fd-b6b0-a0b00420d690","type":"SaveTool"},{"attributes":{"plot":{"id":"d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3","subtype":"Figure","type":"Plot"},"ticker":{"id":"c5ea6eaf-ddc1-43c0-b94f-fafe59903a9b","type":"BasicTicker"}},"id":"6556c9db-9a60-45e3-b9a8-1c058b82a621","type":"Grid"}],"root_ids":["d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"613b50a7-41b1-48c5-89bd-0a8434d7b311","elementid":"c998d374-66f5-45ec-8b95-add006ea481e","modelid":"d9039a8d-8fbd-475c-b129-d0ea6d8ed6a3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
