(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e79a0a28-3481-4705-b656-1a4e150062b1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e79a0a28-3481-4705-b656-1a4e150062b1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"95f5c4a9-7439-4427-8761-766c9db6d574":{"roots":{"references":[{"attributes":{},"id":"755f0ede-859f-4f6f-a14a-cec55359ff00","type":"ResetTool"},{"attributes":{"label":{"value":"Temp."},"renderers":[{"id":"0fa6a352-04ac-45ba-afa8-5bba0202b33d","type":"GlyphRenderer"}]},"id":"c0a6dcd5-74b7-4e3d-b9ed-adc0feeeb90c","type":"LegendItem"},{"attributes":{},"id":"1fd5ce1d-c179-4e10-b06e-8ae53e874af3","type":"PanTool"},{"attributes":{"callback":null},"id":"1b51046a-f207-469f-a5e7-c146b66f5f20","type":"DataRange1d"},{"attributes":{"callback":null},"id":"4db1815c-cb34-4dbc-90e7-eed749f549e7","type":"DataRange1d"},{"attributes":{},"id":"e05656ff-d3d3-4806-89ab-6f825a1db7e3","type":"BasicTicker"},{"attributes":{},"id":"850cda0c-3d78-42aa-8ad7-0e69d091279b","type":"SaveTool"},{"attributes":{},"id":"28963223-47d4-4078-867b-617d2e0bc380","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"69afe0d3-44ea-4bbd-a5ef-e3c834854037","type":"ColumnDataSource"}},"id":"5417d25b-9f11-45f6-9b7c-6afaeed93e00","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"44c04bf4-c315-4366-befd-fa845128cced","type":"Line"},{"attributes":{},"id":"1be4bfb2-1d72-4b1d-aa27-1ebd08968ef6","type":"BasicTicker"},{"attributes":{"axis_label":"x","formatter":{"id":"d1c91f8e-c4ca-46cb-9aaf-af8e7c77acb7","type":"BasicTickFormatter"},"plot":{"id":"b461ea77-2378-4878-a607-70e693aea832","subtype":"Figure","type":"Plot"},"ticker":{"id":"e05656ff-d3d3-4806-89ab-6f825a1db7e3","type":"BasicTicker"}},"id":"a3e17327-a683-49a4-b6a9-49f6a369f743","type":"LinearAxis"},{"attributes":{"overlay":{"id":"9f265a79-f888-44a6-a66b-449ee1588579","type":"BoxAnnotation"}},"id":"539aac31-2f62-427e-a3c3-bdec11088451","type":"BoxZoomTool"},{"attributes":{},"id":"e012a7c6-5764-4f36-8f4f-3dc49ac22ce2","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9f265a79-f888-44a6-a66b-449ee1588579","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"69afe0d3-44ea-4bbd-a5ef-e3c834854037","type":"ColumnDataSource"},{"attributes":{},"id":"bd1f6bdd-973f-4646-91d8-51ef0cbb3c45","type":"LinearScale"},{"attributes":{"data_source":{"id":"69afe0d3-44ea-4bbd-a5ef-e3c834854037","type":"ColumnDataSource"},"glyph":{"id":"094e78ad-35a9-4b4a-949d-4f1ebb2ac68f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"44c04bf4-c315-4366-befd-fa845128cced","type":"Line"},"selection_glyph":null,"view":{"id":"5417d25b-9f11-45f6-9b7c-6afaeed93e00","type":"CDSView"}},"id":"0fa6a352-04ac-45ba-afa8-5bba0202b33d","type":"GlyphRenderer"},{"attributes":{},"id":"b621a7cc-3549-40bb-85f0-258fc2ab9d93","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"b461ea77-2378-4878-a607-70e693aea832","subtype":"Figure","type":"Plot"},"ticker":{"id":"1be4bfb2-1d72-4b1d-aa27-1ebd08968ef6","type":"BasicTicker"}},"id":"cc3f6cb9-1b34-4d81-bb07-af9fa6463ac4","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1fd5ce1d-c179-4e10-b06e-8ae53e874af3","type":"PanTool"},{"id":"1506648e-7251-42de-8dd8-66833a237db1","type":"WheelZoomTool"},{"id":"539aac31-2f62-427e-a3c3-bdec11088451","type":"BoxZoomTool"},{"id":"850cda0c-3d78-42aa-8ad7-0e69d091279b","type":"SaveTool"},{"id":"755f0ede-859f-4f6f-a14a-cec55359ff00","type":"ResetTool"},{"id":"b621a7cc-3549-40bb-85f0-258fc2ab9d93","type":"HelpTool"}]},"id":"254df0e7-ef90-4705-a521-228a38e02bf3","type":"Toolbar"},{"attributes":{"below":[{"id":"a3e17327-a683-49a4-b6a9-49f6a369f743","type":"LinearAxis"}],"left":[{"id":"bf35a62b-42ff-4c4f-9374-6e2525e19527","type":"LinearAxis"}],"renderers":[{"id":"a3e17327-a683-49a4-b6a9-49f6a369f743","type":"LinearAxis"},{"id":"c2d14b51-0255-4f7a-b828-c32b2695a1d7","type":"Grid"},{"id":"bf35a62b-42ff-4c4f-9374-6e2525e19527","type":"LinearAxis"},{"id":"cc3f6cb9-1b34-4d81-bb07-af9fa6463ac4","type":"Grid"},{"id":"9f265a79-f888-44a6-a66b-449ee1588579","type":"BoxAnnotation"},{"id":"5792cfa9-df96-4aae-8812-6919094cc46f","type":"Legend"},{"id":"0fa6a352-04ac-45ba-afa8-5bba0202b33d","type":"GlyphRenderer"}],"title":{"id":"10366c28-7771-414b-bcce-21445c672e43","type":"Title"},"toolbar":{"id":"254df0e7-ef90-4705-a521-228a38e02bf3","type":"Toolbar"},"x_range":{"id":"4db1815c-cb34-4dbc-90e7-eed749f549e7","type":"DataRange1d"},"x_scale":{"id":"e012a7c6-5764-4f36-8f4f-3dc49ac22ce2","type":"LinearScale"},"y_range":{"id":"1b51046a-f207-469f-a5e7-c146b66f5f20","type":"DataRange1d"},"y_scale":{"id":"bd1f6bdd-973f-4646-91d8-51ef0cbb3c45","type":"LinearScale"}},"id":"b461ea77-2378-4878-a607-70e693aea832","subtype":"Figure","type":"Plot"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"094e78ad-35a9-4b4a-949d-4f1ebb2ac68f","type":"Line"},{"attributes":{"plot":null,"text":"simple line example"},"id":"10366c28-7771-414b-bcce-21445c672e43","type":"Title"},{"attributes":{"axis_label":"y","formatter":{"id":"28963223-47d4-4078-867b-617d2e0bc380","type":"BasicTickFormatter"},"plot":{"id":"b461ea77-2378-4878-a607-70e693aea832","subtype":"Figure","type":"Plot"},"ticker":{"id":"1be4bfb2-1d72-4b1d-aa27-1ebd08968ef6","type":"BasicTicker"}},"id":"bf35a62b-42ff-4c4f-9374-6e2525e19527","type":"LinearAxis"},{"attributes":{"items":[{"id":"c0a6dcd5-74b7-4e3d-b9ed-adc0feeeb90c","type":"LegendItem"}],"plot":{"id":"b461ea77-2378-4878-a607-70e693aea832","subtype":"Figure","type":"Plot"}},"id":"5792cfa9-df96-4aae-8812-6919094cc46f","type":"Legend"},{"attributes":{},"id":"d1c91f8e-c4ca-46cb-9aaf-af8e7c77acb7","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"b461ea77-2378-4878-a607-70e693aea832","subtype":"Figure","type":"Plot"},"ticker":{"id":"e05656ff-d3d3-4806-89ab-6f825a1db7e3","type":"BasicTicker"}},"id":"c2d14b51-0255-4f7a-b828-c32b2695a1d7","type":"Grid"},{"attributes":{},"id":"1506648e-7251-42de-8dd8-66833a237db1","type":"WheelZoomTool"}],"root_ids":["b461ea77-2378-4878-a607-70e693aea832"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"95f5c4a9-7439-4427-8761-766c9db6d574","elementid":"e79a0a28-3481-4705-b656-1a4e150062b1","modelid":"b461ea77-2378-4878-a607-70e693aea832"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
