(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e0b02e42-8381-40e9-8da7-5c872053eb63");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e0b02e42-8381-40e9-8da7-5c872053eb63' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"85e205f1-89f1-48d1-9860-e404ed625aaf":{"roots":{"references":[{"attributes":{},"id":"6f7f2df2-8062-4eb1-9841-65e83616695c","type":"LinearScale"},{"attributes":{},"id":"f54738bf-67c6-4961-afd4-e086e8807a02","type":"BasicTickFormatter"},{"attributes":{},"id":"41b51406-246f-4380-ade1-553336de25f1","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"d3b86e91-cc84-48c4-a0c7-18e4efd6e909","type":"Toggle"}]},"id":"10eaa6b7-fd1b-48ef-9d88-1afc4eeb36e8","type":"WidgetBox"},{"attributes":{"plot":{"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"},"ticker":{"id":"50036e46-b9b7-4d2d-849a-785d82c62579","type":"BasicTicker"}},"id":"8299ae06-f9b9-418d-a794-83a0395f54cf","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"d607fa23-4c54-4de6-92f3-9b2b41e1fa85","type":"ColumnDataSource"},{"attributes":{"button_type":"success","callback":{"id":"42d56dca-c32b-4594-8a52-0eeeccdf6af3","type":"CustomJS"},"icon":null,"label":"Green Box"},"id":"9fa43e66-7b67-4b7f-8a7f-1332ebfaa78a","type":"Toggle"},{"attributes":{"callback":null},"id":"0c786e3d-562c-40bd-9be4-6263f8b76d49","type":"DataRange1d"},{"attributes":{"data_source":{"id":"d2e1bf34-4b79-4240-83c9-c8b985cdfc42","type":"ColumnDataSource"},"glyph":{"id":"46f2830a-dbc8-43ac-971a-15d97da7ba5c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f7477302-8e25-4429-ac11-73b5eb0f1f92","type":"Line"},"selection_glyph":null,"view":{"id":"24c98314-3b2d-4fd6-92dc-7a3b617febe3","type":"CDSView"}},"id":"558a376a-4b61-483f-b5e2-6924bfcbe3ca","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"46f2830a-dbc8-43ac-971a-15d97da7ba5c","type":"Line"},{"attributes":{"plot":null,"text":""},"id":"da72e4d9-c8d0-4cdb-b881-c110ad380a99","type":"Title"},{"attributes":{"callback":null},"id":"7a09473d-66ca-42af-a928-13ab1253f325","type":"DataRange1d"},{"attributes":{"args":{"object":{"id":"ccf83ab3-9077-4437-951b-26058201aac5","type":"BoxAnnotation"},"toggle":{"id":"9fa43e66-7b67-4b7f-8a7f-1332ebfaa78a","type":"Toggle"}},"code":"object.visible = toggle.active;\n"},"id":"42d56dca-c32b-4594-8a52-0eeeccdf6af3","type":"CustomJS"},{"attributes":{"formatter":{"id":"41b51406-246f-4380-ade1-553336de25f1","type":"BasicTickFormatter"},"plot":{"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"},"ticker":{"id":"50036e46-b9b7-4d2d-849a-785d82c62579","type":"BasicTicker"}},"id":"5af38fe8-9e22-4642-b410-bda7b127737c","type":"LinearAxis"},{"attributes":{"button_type":"success","callback":{"id":"195629e2-5916-4e71-b518-dde64814b2cb","type":"CustomJS"},"icon":null,"label":"Pink Line"},"id":"d3b86e91-cc84-48c4-a0c7-18e4efd6e909","type":"Toggle"},{"attributes":{"children":[{"id":"e5053662-2537-41e6-8655-7a509108143a","type":"WidgetBox"},{"id":"10eaa6b7-fd1b-48ef-9d88-1afc4eeb36e8","type":"WidgetBox"}]},"id":"768aa6de-6272-4aea-8cd5-d3dc9c4f9ea0","type":"Row"},{"attributes":{"below":[{"id":"5af38fe8-9e22-4642-b410-bda7b127737c","type":"LinearAxis"}],"left":[{"id":"66d7a3fa-896f-49c2-8bad-817bc96f77bb","type":"LinearAxis"}],"plot_height":200,"renderers":[{"id":"5af38fe8-9e22-4642-b410-bda7b127737c","type":"LinearAxis"},{"id":"8299ae06-f9b9-418d-a794-83a0395f54cf","type":"Grid"},{"id":"66d7a3fa-896f-49c2-8bad-817bc96f77bb","type":"LinearAxis"},{"id":"3e6906dc-7ef6-4c47-bb3d-0994eb385363","type":"Grid"},{"id":"aaa3a598-3da6-4038-baac-6b2b4901dd50","type":"GlyphRenderer"},{"id":"558a376a-4b61-483f-b5e2-6924bfcbe3ca","type":"GlyphRenderer"},{"id":"ccf83ab3-9077-4437-951b-26058201aac5","type":"BoxAnnotation"}],"title":{"id":"da72e4d9-c8d0-4cdb-b881-c110ad380a99","type":"Title"},"toolbar":{"id":"792087df-6c94-4ce5-83c1-2768909e82c3","type":"Toolbar"},"x_range":{"id":"0c786e3d-562c-40bd-9be4-6263f8b76d49","type":"DataRange1d"},"x_scale":{"id":"51169a4b-1159-428e-a1c3-87aec63952e0","type":"LinearScale"},"y_range":{"id":"7a09473d-66ca-42af-a928-13ab1253f325","type":"DataRange1d"},"y_scale":{"id":"6f7f2df2-8062-4eb1-9841-65e83616695c","type":"LinearScale"}},"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"}]},"id":"d9b9b29f-0eab-4cf9-9c5b-8e33b7661170","type":"Row"},{"attributes":{"source":{"id":"d2e1bf34-4b79-4240-83c9-c8b985cdfc42","type":"ColumnDataSource"}},"id":"24c98314-3b2d-4fd6-92dc-7a3b617febe3","type":"CDSView"},{"attributes":{},"id":"51169a4b-1159-428e-a1c3-87aec63952e0","type":"LinearScale"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"46140f4a-bdc1-4c39-8b9b-4055277993e7","type":"Line"},{"attributes":{"args":{"object":{"id":"558a376a-4b61-483f-b5e2-6924bfcbe3ca","type":"GlyphRenderer"},"toggle":{"id":"d3b86e91-cc84-48c4-a0c7-18e4efd6e909","type":"Toggle"}},"code":"object.visible = toggle.active;\n"},"id":"195629e2-5916-4e71-b518-dde64814b2cb","type":"CustomJS"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f7477302-8e25-4429-ac11-73b5eb0f1f92","type":"Line"},{"attributes":{"source":{"id":"d607fa23-4c54-4de6-92f3-9b2b41e1fa85","type":"ColumnDataSource"}},"id":"e58af922-a63e-4f57-bbff-568641b3cd4f","type":"CDSView"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"d2e1bf34-4b79-4240-83c9-c8b985cdfc42","type":"ColumnDataSource"},{"attributes":{"children":[{"id":"9fa43e66-7b67-4b7f-8a7f-1332ebfaa78a","type":"Toggle"}]},"id":"e5053662-2537-41e6-8655-7a509108143a","type":"WidgetBox"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"792087df-6c94-4ce5-83c1-2768909e82c3","type":"Toolbar"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e0f5c408-1374-4c7e-bedc-19795b1c77df","type":"Line"},{"attributes":{},"id":"198138c6-97cf-4f21-81a2-1454560bc905","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"green"},"left":1.5,"plot":{"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"},"right":2.5},"id":"ccf83ab3-9077-4437-951b-26058201aac5","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"d9b9b29f-0eab-4cf9-9c5b-8e33b7661170","type":"Row"},{"id":"768aa6de-6272-4aea-8cd5-d3dc9c4f9ea0","type":"Row"}]},"id":"3cbf081e-d59e-4e90-9c40-8f5e1c59ec51","type":"Column"},{"attributes":{"data_source":{"id":"d607fa23-4c54-4de6-92f3-9b2b41e1fa85","type":"ColumnDataSource"},"glyph":{"id":"e0f5c408-1374-4c7e-bedc-19795b1c77df","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"46140f4a-bdc1-4c39-8b9b-4055277993e7","type":"Line"},"selection_glyph":null,"view":{"id":"e58af922-a63e-4f57-bbff-568641b3cd4f","type":"CDSView"}},"id":"aaa3a598-3da6-4038-baac-6b2b4901dd50","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"},"ticker":{"id":"198138c6-97cf-4f21-81a2-1454560bc905","type":"BasicTicker"}},"id":"3e6906dc-7ef6-4c47-bb3d-0994eb385363","type":"Grid"},{"attributes":{"formatter":{"id":"f54738bf-67c6-4961-afd4-e086e8807a02","type":"BasicTickFormatter"},"plot":{"id":"651e5562-c1d0-4c87-9537-5acb78d3de72","subtype":"Figure","type":"Plot"},"ticker":{"id":"198138c6-97cf-4f21-81a2-1454560bc905","type":"BasicTicker"}},"id":"66d7a3fa-896f-49c2-8bad-817bc96f77bb","type":"LinearAxis"},{"attributes":{},"id":"50036e46-b9b7-4d2d-849a-785d82c62579","type":"BasicTicker"}],"root_ids":["3cbf081e-d59e-4e90-9c40-8f5e1c59ec51"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"85e205f1-89f1-48d1-9860-e404ed625aaf","elementid":"e0b02e42-8381-40e9-8da7-5c872053eb63","modelid":"3cbf081e-d59e-4e90-9c40-8f5e1c59ec51"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
