(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("72a3aa38-6214-40c8-a6f7-72545544fad6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '72a3aa38-6214-40c8-a6f7-72545544fad6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e8b1f15d-9039-4826-8912-108cf9f8f793":{"roots":{"references":[{"attributes":{},"id":"653e4499-1b14-48b6-89e6-240256044000","type":"LinearScale"},{"attributes":{"formatter":{"id":"298c4207-4b52-4f0c-b482-5f08669400bc","type":"BasicTickFormatter"},"plot":{"id":"5a4e5da7-e260-4837-a12d-77e6f3dc0fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"301bf736-8afb-433a-bde0-3a3dfb439123","type":"BasicTicker"}},"id":"de87b83f-b46e-41a5-908a-7efa6403e189","type":"LinearAxis"},{"attributes":{},"id":"83ffc14c-af00-4181-8e58-09e7a22e18e7","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":null}},"id":"2a10c61c-7f76-4f73-b487-e2f0659f99ad","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"5a4e5da7-e260-4837-a12d-77e6f3dc0fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"301bf736-8afb-433a-bde0-3a3dfb439123","type":"BasicTicker"}},"id":"e5396d8d-978f-4f65-8dda-6c02375fbbed","type":"Grid"},{"attributes":{},"id":"298c4207-4b52-4f0c-b482-5f08669400bc","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"5a4e5da7-e260-4837-a12d-77e6f3dc0fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"83ffc14c-af00-4181-8e58-09e7a22e18e7","type":"BasicTicker"}},"id":"c3ba830b-ac6d-4ec0-b173-fc7157d37b72","type":"Grid"},{"attributes":{},"id":"fac13981-304d-4f9a-bece-344113fd5cff","type":"LinearScale"},{"attributes":{"callback":null},"id":"f1d00e3f-e419-44ea-b1e9-c2b8b541184f","type":"DataRange1d"},{"attributes":{"formatter":{"id":"0647e38c-abbc-4d9b-9f13-3b46ab75088d","type":"BasicTickFormatter"},"plot":{"id":"5a4e5da7-e260-4837-a12d-77e6f3dc0fa4","subtype":"Figure","type":"Plot"},"ticker":{"id":"83ffc14c-af00-4181-8e58-09e7a22e18e7","type":"BasicTicker"}},"id":"ce7108f2-b91d-41b0-9ee7-16a2ba1aa243","type":"LinearAxis"},{"attributes":{"below":[{"id":"ce7108f2-b91d-41b0-9ee7-16a2ba1aa243","type":"LinearAxis"}],"left":[{"id":"de87b83f-b46e-41a5-908a-7efa6403e189","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ce7108f2-b91d-41b0-9ee7-16a2ba1aa243","type":"LinearAxis"},{"id":"c3ba830b-ac6d-4ec0-b173-fc7157d37b72","type":"Grid"},{"id":"de87b83f-b46e-41a5-908a-7efa6403e189","type":"LinearAxis"},{"id":"e5396d8d-978f-4f65-8dda-6c02375fbbed","type":"Grid"},{"id":"ee1f69b5-aafd-4851-ac9b-50dd6fc8e5eb","type":"GlyphRenderer"}],"title":{"id":"b43fa8c2-6c58-4ce2-8155-dae58511ade3","type":"Title"},"toolbar":{"id":"d1058ca7-469d-4616-ba67-6add7d9f3e28","type":"Toolbar"},"x_range":{"id":"f1d00e3f-e419-44ea-b1e9-c2b8b541184f","type":"DataRange1d"},"x_scale":{"id":"fac13981-304d-4f9a-bece-344113fd5cff","type":"LinearScale"},"y_range":{"id":"8a64b98e-a813-436f-94fa-3c62df24576e","type":"DataRange1d"},"y_scale":{"id":"653e4499-1b14-48b6-89e6-240256044000","type":"LinearScale"}},"id":"5a4e5da7-e260-4837-a12d-77e6f3dc0fa4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"0647e38c-abbc-4d9b-9f13-3b46ab75088d","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e906045f-5a43-4ac7-8f3c-d86ac9bd9465","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"b43fa8c2-6c58-4ce2-8155-dae58511ade3","type":"Title"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"}},"id":"4e19f257-8850-4baf-aaf3-e5edcd14f053","type":"Circle"},{"attributes":{"source":{"id":"e906045f-5a43-4ac7-8f3c-d86ac9bd9465","type":"ColumnDataSource"}},"id":"65c73b1f-0fd3-468c-bd9a-50a04a284bd8","type":"CDSView"},{"attributes":{},"id":"301bf736-8afb-433a-bde0-3a3dfb439123","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"32012ca7-ffae-4246-9c11-881e80f87117","type":"Circle"},{"attributes":{"data_source":{"id":"e906045f-5a43-4ac7-8f3c-d86ac9bd9465","type":"ColumnDataSource"},"glyph":{"id":"32012ca7-ffae-4246-9c11-881e80f87117","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4e19f257-8850-4baf-aaf3-e5edcd14f053","type":"Circle"},"selection_glyph":{"id":"2a10c61c-7f76-4f73-b487-e2f0659f99ad","type":"Circle"},"view":{"id":"65c73b1f-0fd3-468c-bd9a-50a04a284bd8","type":"CDSView"}},"id":"ee1f69b5-aafd-4851-ac9b-50dd6fc8e5eb","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"877bacff-886c-4742-b8d0-312b7dcf69bd","type":"TapTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"877bacff-886c-4742-b8d0-312b7dcf69bd","type":"TapTool"}]},"id":"d1058ca7-469d-4616-ba67-6add7d9f3e28","type":"Toolbar"},{"attributes":{"callback":null},"id":"8a64b98e-a813-436f-94fa-3c62df24576e","type":"DataRange1d"}],"root_ids":["5a4e5da7-e260-4837-a12d-77e6f3dc0fa4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e8b1f15d-9039-4826-8912-108cf9f8f793","elementid":"72a3aa38-6214-40c8-a6f7-72545544fad6","modelid":"5a4e5da7-e260-4837-a12d-77e6f3dc0fa4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
