(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("74049caf-7ad2-4477-b37e-664352b85b92");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '74049caf-7ad2-4477-b37e-664352b85b92' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"682393d4-5c12-4b1d-9dde-e8481a464dd9":{"roots":{"references":[{"attributes":{"overlay":{"id":"75bf9499-fa45-4030-90ca-046e4af565b0","type":"BoxAnnotation"}},"id":"805833b3-7313-4d87-bb4e-3d87282c4f35","type":"BoxZoomTool"},{"attributes":{},"id":"29103de0-6b94-4bb7-a5f1-50b81e7e983b","type":"HelpTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"17b5ed7c-b644-457d-8db6-77e6d4a9a2e4","type":"Circle"},{"attributes":{},"id":"1501e4b1-48ac-4163-a987-cd03137f3262","type":"PanTool"},{"attributes":{},"id":"9470ced8-869c-4a39-b6cf-b732312ded86","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"d839e126-a8d7-4f5f-b5d0-cdd9cbd50e3a","type":"Title"},{"attributes":{},"id":"3f857d39-ee41-4279-adc8-32c25c3ba80b","type":"LinearScale"},{"attributes":{},"id":"3c17c3e2-1ede-47bf-bd96-7fefe3cd5f53","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"da70b192-c732-4274-b628-bab52595fb59","type":"ColumnDataSource"},"glyph":{"id":"17b5ed7c-b644-457d-8db6-77e6d4a9a2e4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9939fe2f-6517-4fde-9949-ecf068e3f789","type":"Circle"},"selection_glyph":null,"view":{"id":"247d96df-0656-4969-9219-e26fca98418e","type":"CDSView"}},"id":"af75e3ab-d377-408d-9e32-350a8c1c5724","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"ba36ee86-b7e7-46b4-ab22-83a26c972b60","type":"DataRange1d"},{"attributes":{},"id":"c0a6fba2-5a54-460f-a3b5-7ad17b4df19a","type":"SaveTool"},{"attributes":{"plot":{"id":"153a0a7b-5b19-4c03-b26f-10b929a20bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d7b0025-c900-47c2-b4e0-c26ff5622157","type":"BasicTicker"}},"id":"d6b14424-547e-41ed-8247-72c39d3e6023","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"da70b192-c732-4274-b628-bab52595fb59","type":"ColumnDataSource"},{"attributes":{"axis_label":"Pressure","formatter":{"id":"3c17c3e2-1ede-47bf-bd96-7fefe3cd5f53","type":"BasicTickFormatter"},"major_label_orientation":"vertical","major_label_text_color":{"value":"orange"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"153a0a7b-5b19-4c03-b26f-10b929a20bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"4fb00c59-81c9-4eb0-8bba-cfa73cf67cce","type":"BasicTicker"}},"id":"4a21aff2-400b-4626-9fa3-c90308d0dd26","type":"LinearAxis"},{"attributes":{"axis_label":"Temp","axis_line_color":{"value":"red"},"axis_line_width":{"value":3},"formatter":{"id":"ce0fb6f0-036e-4e3c-adcb-ed4af552ff92","type":"BasicTickFormatter"},"minor_tick_in":-3,"minor_tick_out":6,"plot":{"id":"153a0a7b-5b19-4c03-b26f-10b929a20bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d7b0025-c900-47c2-b4e0-c26ff5622157","type":"BasicTicker"}},"id":"9e0cd815-04e7-4674-bd57-1a282629e9e8","type":"LinearAxis"},{"attributes":{},"id":"75fd7403-3841-4971-b4fd-04e223a2fa6e","type":"WheelZoomTool"},{"attributes":{},"id":"4fb00c59-81c9-4eb0-8bba-cfa73cf67cce","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1501e4b1-48ac-4163-a987-cd03137f3262","type":"PanTool"},{"id":"75fd7403-3841-4971-b4fd-04e223a2fa6e","type":"WheelZoomTool"},{"id":"805833b3-7313-4d87-bb4e-3d87282c4f35","type":"BoxZoomTool"},{"id":"c0a6fba2-5a54-460f-a3b5-7ad17b4df19a","type":"SaveTool"},{"id":"112cf170-6a6f-4739-8c1e-64173a8f6d98","type":"ResetTool"},{"id":"29103de0-6b94-4bb7-a5f1-50b81e7e983b","type":"HelpTool"}]},"id":"50da3b20-a96b-4c5e-8440-ebe23670861f","type":"Toolbar"},{"attributes":{"below":[{"id":"9e0cd815-04e7-4674-bd57-1a282629e9e8","type":"LinearAxis"}],"left":[{"id":"4a21aff2-400b-4626-9fa3-c90308d0dd26","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"9e0cd815-04e7-4674-bd57-1a282629e9e8","type":"LinearAxis"},{"id":"d6b14424-547e-41ed-8247-72c39d3e6023","type":"Grid"},{"id":"4a21aff2-400b-4626-9fa3-c90308d0dd26","type":"LinearAxis"},{"id":"017ac3f6-5bbb-4a09-ad39-5a5d554920bd","type":"Grid"},{"id":"75bf9499-fa45-4030-90ca-046e4af565b0","type":"BoxAnnotation"},{"id":"af75e3ab-d377-408d-9e32-350a8c1c5724","type":"GlyphRenderer"}],"title":{"id":"d839e126-a8d7-4f5f-b5d0-cdd9cbd50e3a","type":"Title"},"toolbar":{"id":"50da3b20-a96b-4c5e-8440-ebe23670861f","type":"Toolbar"},"x_range":{"id":"7534aec2-7aa1-434e-a334-b3c83729ec1a","type":"DataRange1d"},"x_scale":{"id":"9470ced8-869c-4a39-b6cf-b732312ded86","type":"LinearScale"},"y_range":{"id":"ba36ee86-b7e7-46b4-ab22-83a26c972b60","type":"DataRange1d"},"y_scale":{"id":"3f857d39-ee41-4279-adc8-32c25c3ba80b","type":"LinearScale"}},"id":"153a0a7b-5b19-4c03-b26f-10b929a20bdc","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1d7b0025-c900-47c2-b4e0-c26ff5622157","type":"BasicTicker"},{"attributes":{"callback":null},"id":"7534aec2-7aa1-434e-a334-b3c83729ec1a","type":"DataRange1d"},{"attributes":{},"id":"ce0fb6f0-036e-4e3c-adcb-ed4af552ff92","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"75bf9499-fa45-4030-90ca-046e4af565b0","type":"BoxAnnotation"},{"attributes":{"source":{"id":"da70b192-c732-4274-b628-bab52595fb59","type":"ColumnDataSource"}},"id":"247d96df-0656-4969-9219-e26fca98418e","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"153a0a7b-5b19-4c03-b26f-10b929a20bdc","subtype":"Figure","type":"Plot"},"ticker":{"id":"4fb00c59-81c9-4eb0-8bba-cfa73cf67cce","type":"BasicTicker"}},"id":"017ac3f6-5bbb-4a09-ad39-5a5d554920bd","type":"Grid"},{"attributes":{},"id":"112cf170-6a6f-4739-8c1e-64173a8f6d98","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9939fe2f-6517-4fde-9949-ecf068e3f789","type":"Circle"}],"root_ids":["153a0a7b-5b19-4c03-b26f-10b929a20bdc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"682393d4-5c12-4b1d-9dde-e8481a464dd9","elementid":"74049caf-7ad2-4477-b37e-664352b85b92","modelid":"153a0a7b-5b19-4c03-b26f-10b929a20bdc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
