(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("50cd8c54-33c6-480f-b333-61e8839240d2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '50cd8c54-33c6-480f-b333-61e8839240d2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6849a2df-3ccd-45b1-92cf-49d3c240e02b":{"roots":{"references":[{"attributes":{"callback":null},"id":"a62d1d4d-dcb9-430a-8357-15bc7e1aa96a","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"33946e94-bd60-4e16-9d1d-4217937f266c","type":"Circle"},{"attributes":{},"id":"3d95b17f-b439-4d51-a983-30b1ee6e350d","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5c94b579-db98-48f5-bb99-a2f1fcb30bdc","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c","subtype":"Figure","type":"Plot"},"ticker":{"id":"a7e8576c-274b-480f-8e45-3281f8d85201","type":"BasicTicker"}},"id":"f18574a8-518d-45f2-8a0f-a33a561f0e1d","type":"Grid"},{"attributes":{},"id":"a7e8576c-274b-480f-8e45-3281f8d85201","type":"BasicTicker"},{"attributes":{},"id":"2ca52bfc-9b5b-4e5b-aab8-c1ad4dcd5983","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"d7640463-5894-4ef6-8126-04d25e0cb575","type":"BasicTickFormatter"},"plot":{"id":"65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c","subtype":"Figure","type":"Plot"},"ticker":{"id":"099516ce-6838-41a6-8139-9865dc64409c","type":"BasicTicker"}},"id":"f16f6883-441a-4573-abb4-b5baa924147d","type":"LinearAxis"},{"attributes":{"overlay":{"id":"5c94b579-db98-48f5-bb99-a2f1fcb30bdc","type":"BoxAnnotation"}},"id":"9563b71e-f3ab-4161-ac03-31c84d41e21f","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"13584b47-01a9-4ee9-b6d9-3959bdbf9219","type":"ColumnDataSource"},"glyph":{"id":"33946e94-bd60-4e16-9d1d-4217937f266c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a47a2520-d128-4fca-8e54-11950baaff99","type":"Circle"},"selection_glyph":null,"view":{"id":"689157c0-37d4-4167-9ba6-0b89b6370b97","type":"CDSView"}},"id":"459e050b-8644-4281-8399-58d5c24f915b","type":"GlyphRenderer"},{"attributes":{"ticks":[2,3.5,4]},"id":"58c0963f-25e2-41af-9dea-ea12016acb89","type":"FixedTicker"},{"attributes":{"dimension":1,"plot":{"id":"65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c","subtype":"Figure","type":"Plot"},"ticker":{"id":"099516ce-6838-41a6-8139-9865dc64409c","type":"BasicTicker"}},"id":"9eb04f0a-7f6d-4271-8201-331b3184f673","type":"Grid"},{"attributes":{},"id":"d7640463-5894-4ef6-8126-04d25e0cb575","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"40e62ff4-c618-434a-9415-564e6c98851a","type":"PanTool"},{"id":"2ca52bfc-9b5b-4e5b-aab8-c1ad4dcd5983","type":"WheelZoomTool"},{"id":"9563b71e-f3ab-4161-ac03-31c84d41e21f","type":"BoxZoomTool"},{"id":"3c03541b-3128-4052-a307-a66cdcaed505","type":"SaveTool"},{"id":"3d95b17f-b439-4d51-a983-30b1ee6e350d","type":"ResetTool"},{"id":"ad65598e-7c8e-4356-a3f6-3509a450b6fe","type":"HelpTool"}]},"id":"da66905a-440c-410c-b0f3-a39e9f547612","type":"Toolbar"},{"attributes":{"callback":null},"id":"d1c37c3e-791f-453a-90c1-1f4eca71b75f","type":"DataRange1d"},{"attributes":{},"id":"ad65598e-7c8e-4356-a3f6-3509a450b6fe","type":"HelpTool"},{"attributes":{},"id":"40e62ff4-c618-434a-9415-564e6c98851a","type":"PanTool"},{"attributes":{"source":{"id":"13584b47-01a9-4ee9-b6d9-3959bdbf9219","type":"ColumnDataSource"}},"id":"689157c0-37d4-4167-9ba6-0b89b6370b97","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a47a2520-d128-4fca-8e54-11950baaff99","type":"Circle"},{"attributes":{"below":[{"id":"626529f8-3613-4ec7-bfc7-8838c7c32a67","type":"LinearAxis"}],"left":[{"id":"f16f6883-441a-4573-abb4-b5baa924147d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"626529f8-3613-4ec7-bfc7-8838c7c32a67","type":"LinearAxis"},{"id":"f18574a8-518d-45f2-8a0f-a33a561f0e1d","type":"Grid"},{"id":"f16f6883-441a-4573-abb4-b5baa924147d","type":"LinearAxis"},{"id":"9eb04f0a-7f6d-4271-8201-331b3184f673","type":"Grid"},{"id":"5c94b579-db98-48f5-bb99-a2f1fcb30bdc","type":"BoxAnnotation"},{"id":"459e050b-8644-4281-8399-58d5c24f915b","type":"GlyphRenderer"}],"title":{"id":"5bb2c2ac-2b50-4f7b-a86b-15cc4d574125","type":"Title"},"toolbar":{"id":"da66905a-440c-410c-b0f3-a39e9f547612","type":"Toolbar"},"x_range":{"id":"d1c37c3e-791f-453a-90c1-1f4eca71b75f","type":"DataRange1d"},"x_scale":{"id":"1371c78c-bc01-46d9-8cf3-d5bccaedb512","type":"LinearScale"},"y_range":{"id":"a62d1d4d-dcb9-430a-8357-15bc7e1aa96a","type":"DataRange1d"},"y_scale":{"id":"f2304de9-4e54-46a9-966e-e5f20488d6b4","type":"LinearScale"}},"id":"65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f2304de9-4e54-46a9-966e-e5f20488d6b4","type":"LinearScale"},{"attributes":{"formatter":{"id":"6011060c-8e8e-4eec-90a6-7097aaf289c5","type":"BasicTickFormatter"},"plot":{"id":"65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c","subtype":"Figure","type":"Plot"},"ticker":{"id":"58c0963f-25e2-41af-9dea-ea12016acb89","type":"FixedTicker"}},"id":"626529f8-3613-4ec7-bfc7-8838c7c32a67","type":"LinearAxis"},{"attributes":{},"id":"3c03541b-3128-4052-a307-a66cdcaed505","type":"SaveTool"},{"attributes":{},"id":"6011060c-8e8e-4eec-90a6-7097aaf289c5","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"5bb2c2ac-2b50-4f7b-a86b-15cc4d574125","type":"Title"},{"attributes":{},"id":"099516ce-6838-41a6-8139-9865dc64409c","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"13584b47-01a9-4ee9-b6d9-3959bdbf9219","type":"ColumnDataSource"},{"attributes":{},"id":"1371c78c-bc01-46d9-8cf3-d5bccaedb512","type":"LinearScale"}],"root_ids":["65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6849a2df-3ccd-45b1-92cf-49d3c240e02b","elementid":"50cd8c54-33c6-480f-b333-61e8839240d2","modelid":"65c2bc26-a0b8-4a4d-9ea3-ee97dcd8417c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
