(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e4bb5d55-52fd-48a1-af0a-2693d0852f57");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e4bb5d55-52fd-48a1-af0a-2693d0852f57' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cb1e9674-fafd-431b-940f-f6bacb0638db":{"roots":{"references":[{"attributes":{"source":{"id":"2ddd5384-bf2b-490a-ab92-d9829ce444d2","type":"ColumnDataSource"}},"id":"eb3a03bb-c06e-48b8-9f69-191917425650","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"86d5e370-e063-4303-b831-6eebce69c692","type":"Circle"},{"attributes":{},"id":"f2ca73d2-eecf-4f8b-b7f4-23033b1ac1c5","type":"LinearScale"},{"attributes":{"overlay":{"id":"d2e74977-860a-417d-b7b0-bd92b61bbb08","type":"BoxAnnotation"}},"id":"ddbed0d8-e727-4d2c-9def-8210882927c4","type":"BoxZoomTool"},{"attributes":{},"id":"01953dbb-7f61-41ce-8d47-a0878952bfa4","type":"BasicTickFormatter"},{"attributes":{},"id":"63cbe3ca-908c-47b4-b1d6-6a8e697c072e","type":"SaveTool"},{"attributes":{"code":"\n    return Math.floor(tick) + \" + \" + (tick % 1).toFixed(2)\n"},"id":"6db43953-f7db-4c10-b7d1-0519abca7941","type":"FuncTickFormatter"},{"attributes":{"formatter":{"id":"6db43953-f7db-4c10-b7d1-0519abca7941","type":"FuncTickFormatter"},"plot":{"id":"546a4b9c-d409-4e55-9bb7-aac48067825e","subtype":"Figure","type":"Plot"},"ticker":{"id":"531207cc-d5b1-453a-beac-4c8ec82e6977","type":"BasicTicker"}},"id":"f9d7bd1e-d566-48fd-a3dc-4d5caca20925","type":"LinearAxis"},{"attributes":{"callback":null},"id":"22dd27ea-4d4c-42bd-b873-29013ee891b5","type":"DataRange1d"},{"attributes":{"formatter":{"id":"01953dbb-7f61-41ce-8d47-a0878952bfa4","type":"BasicTickFormatter"},"plot":{"id":"546a4b9c-d409-4e55-9bb7-aac48067825e","subtype":"Figure","type":"Plot"},"ticker":{"id":"535d7398-3513-40ba-870e-aae859a54edd","type":"BasicTicker"}},"id":"1eb5f696-b16f-480c-bd60-1b4ffa4664f2","type":"LinearAxis"},{"attributes":{},"id":"89ebb415-5870-4ae5-9108-0aca7af45f59","type":"ResetTool"},{"attributes":{"data_source":{"id":"2ddd5384-bf2b-490a-ab92-d9829ce444d2","type":"ColumnDataSource"},"glyph":{"id":"80ea9093-823d-4a73-a7af-b11a41474158","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"86d5e370-e063-4303-b831-6eebce69c692","type":"Circle"},"selection_glyph":null,"view":{"id":"eb3a03bb-c06e-48b8-9f69-191917425650","type":"CDSView"}},"id":"756992ea-3983-4bb1-8c57-a4ed88f18040","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"80ea9093-823d-4a73-a7af-b11a41474158","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3ae8f6f5-6262-4225-b07a-36d0e7395aa1","type":"PanTool"},{"id":"520b77ab-d883-4672-a0c5-dbac163e7a32","type":"WheelZoomTool"},{"id":"ddbed0d8-e727-4d2c-9def-8210882927c4","type":"BoxZoomTool"},{"id":"63cbe3ca-908c-47b4-b1d6-6a8e697c072e","type":"SaveTool"},{"id":"89ebb415-5870-4ae5-9108-0aca7af45f59","type":"ResetTool"},{"id":"ce20dd23-b265-4a27-9fef-1b9dfe287e28","type":"HelpTool"}]},"id":"446279d9-9976-476c-a267-5d1e14bb039c","type":"Toolbar"},{"attributes":{},"id":"535d7398-3513-40ba-870e-aae859a54edd","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"162b4fa9-da7d-4fce-9c34-e947bafd032e","type":"Title"},{"attributes":{},"id":"520b77ab-d883-4672-a0c5-dbac163e7a32","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"e72a23a5-8245-4820-8311-d02acffee6f3","type":"DataRange1d"},{"attributes":{},"id":"a15c03db-e1bf-4e5e-acc5-4ab891ce7467","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,2,4,6,8,10],"y":[6,2,4,10,8,0]}},"id":"2ddd5384-bf2b-490a-ab92-d9829ce444d2","type":"ColumnDataSource"},{"attributes":{},"id":"531207cc-d5b1-453a-beac-4c8ec82e6977","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d2e74977-860a-417d-b7b0-bd92b61bbb08","type":"BoxAnnotation"},{"attributes":{},"id":"3ae8f6f5-6262-4225-b07a-36d0e7395aa1","type":"PanTool"},{"attributes":{"below":[{"id":"1eb5f696-b16f-480c-bd60-1b4ffa4664f2","type":"LinearAxis"}],"left":[{"id":"f9d7bd1e-d566-48fd-a3dc-4d5caca20925","type":"LinearAxis"}],"plot_height":500,"plot_width":500,"renderers":[{"id":"1eb5f696-b16f-480c-bd60-1b4ffa4664f2","type":"LinearAxis"},{"id":"3ae9d9e5-dba0-4b55-a12a-131b03b94101","type":"Grid"},{"id":"f9d7bd1e-d566-48fd-a3dc-4d5caca20925","type":"LinearAxis"},{"id":"a95ff724-f280-46f4-bf6f-e757c7ad5083","type":"Grid"},{"id":"d2e74977-860a-417d-b7b0-bd92b61bbb08","type":"BoxAnnotation"},{"id":"756992ea-3983-4bb1-8c57-a4ed88f18040","type":"GlyphRenderer"}],"title":{"id":"162b4fa9-da7d-4fce-9c34-e947bafd032e","type":"Title"},"toolbar":{"id":"446279d9-9976-476c-a267-5d1e14bb039c","type":"Toolbar"},"x_range":{"id":"22dd27ea-4d4c-42bd-b873-29013ee891b5","type":"DataRange1d"},"x_scale":{"id":"a15c03db-e1bf-4e5e-acc5-4ab891ce7467","type":"LinearScale"},"y_range":{"id":"e72a23a5-8245-4820-8311-d02acffee6f3","type":"DataRange1d"},"y_scale":{"id":"f2ca73d2-eecf-4f8b-b7f4-23033b1ac1c5","type":"LinearScale"}},"id":"546a4b9c-d409-4e55-9bb7-aac48067825e","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"546a4b9c-d409-4e55-9bb7-aac48067825e","subtype":"Figure","type":"Plot"},"ticker":{"id":"531207cc-d5b1-453a-beac-4c8ec82e6977","type":"BasicTicker"}},"id":"a95ff724-f280-46f4-bf6f-e757c7ad5083","type":"Grid"},{"attributes":{},"id":"ce20dd23-b265-4a27-9fef-1b9dfe287e28","type":"HelpTool"},{"attributes":{"plot":{"id":"546a4b9c-d409-4e55-9bb7-aac48067825e","subtype":"Figure","type":"Plot"},"ticker":{"id":"535d7398-3513-40ba-870e-aae859a54edd","type":"BasicTicker"}},"id":"3ae9d9e5-dba0-4b55-a12a-131b03b94101","type":"Grid"}],"root_ids":["546a4b9c-d409-4e55-9bb7-aac48067825e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cb1e9674-fafd-431b-940f-f6bacb0638db","elementid":"e4bb5d55-52fd-48a1-af0a-2693d0852f57","modelid":"546a4b9c-d409-4e55-9bb7-aac48067825e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
