(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4d902789-023b-446a-bc5b-4726dbb06e0a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4d902789-023b-446a-bc5b-4726dbb06e0a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"526f0c28-f39d-4d68-91b9-f8e06c2a7002":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"09b05f50-e8cb-48b2-966a-e1882ea5cdad","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"beb25d2f-7372-4550-aeb5-d2f1dd2a2f22","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"0d8cbee8-91cd-45d5-b435-943452d4fd6f","type":"Title"},{"attributes":{},"id":"2c652939-47b7-4f36-bacb-e1bed0e3285e","type":"SaveTool"},{"attributes":{"formatter":{"id":"dedb1351-b71e-4d3a-bede-ffaa065fc045","type":"BasicTickFormatter"},"plot":{"id":"9ad892cf-afb8-45e2-b2a4-71de9ca85c49","subtype":"Figure","type":"Plot"},"ticker":{"id":"f541b3ca-e379-4a7f-b22e-15da1f6d0c17","type":"BasicTicker"}},"id":"d98a4e3f-7c60-48d0-a93a-42433f7af7bc","type":"LinearAxis"},{"attributes":{"below":[{"id":"d98a4e3f-7c60-48d0-a93a-42433f7af7bc","type":"LinearAxis"}],"left":[{"id":"c03a2826-57ab-47e9-b9c3-8da50e430540","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d98a4e3f-7c60-48d0-a93a-42433f7af7bc","type":"LinearAxis"},{"id":"122dceda-27b2-4778-9a7f-d97362bc1481","type":"Grid"},{"id":"c03a2826-57ab-47e9-b9c3-8da50e430540","type":"LinearAxis"},{"id":"2efaae62-90f6-43fe-bbb4-0c3845fa5b3f","type":"Grid"},{"id":"706376cb-3156-4cca-8e67-115759cf5299","type":"BoxAnnotation"},{"id":"82c5dac6-3edd-4b91-a96d-66c2480a2a68","type":"GlyphRenderer"}],"title":{"id":"0d8cbee8-91cd-45d5-b435-943452d4fd6f","type":"Title"},"toolbar":{"id":"f0a3942e-b73a-4f6d-ad6d-75e02bc9b72f","type":"Toolbar"},"x_range":{"id":"beb25d2f-7372-4550-aeb5-d2f1dd2a2f22","type":"DataRange1d"},"x_scale":{"id":"3d3e2a47-ed45-4953-89ce-71b02ef53651","type":"LinearScale"},"y_range":{"id":"dff5bf1b-ee55-437d-a333-311155d73e13","type":"DataRange1d"},"y_scale":{"id":"400acb36-2fec-4cb8-a956-6ecf79a0f373","type":"LinearScale"}},"id":"9ad892cf-afb8-45e2-b2a4-71de9ca85c49","subtype":"Figure","type":"Plot"},{"attributes":{"band_fill_alpha":{"value":0.1},"band_fill_color":{"value":"navy"},"dimension":1,"plot":{"id":"9ad892cf-afb8-45e2-b2a4-71de9ca85c49","subtype":"Figure","type":"Plot"},"ticker":{"id":"46cf4ab5-9ec8-4109-b409-00b066d9adfa","type":"BasicTicker"}},"id":"2efaae62-90f6-43fe-bbb4-0c3845fa5b3f","type":"Grid"},{"attributes":{"callback":null},"id":"dff5bf1b-ee55-437d-a333-311155d73e13","type":"DataRange1d"},{"attributes":{},"id":"f541b3ca-e379-4a7f-b22e-15da1f6d0c17","type":"BasicTicker"},{"attributes":{"formatter":{"id":"d27771ae-6962-47eb-92b4-f82197fd2fdd","type":"BasicTickFormatter"},"plot":{"id":"9ad892cf-afb8-45e2-b2a4-71de9ca85c49","subtype":"Figure","type":"Plot"},"ticker":{"id":"46cf4ab5-9ec8-4109-b409-00b066d9adfa","type":"BasicTicker"}},"id":"c03a2826-57ab-47e9-b9c3-8da50e430540","type":"LinearAxis"},{"attributes":{},"id":"46cf4ab5-9ec8-4109-b409-00b066d9adfa","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"526b6f3d-092e-4dc7-b9e6-a22c94011bd6","type":"Circle"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"9ad892cf-afb8-45e2-b2a4-71de9ca85c49","subtype":"Figure","type":"Plot"},"ticker":{"id":"f541b3ca-e379-4a7f-b22e-15da1f6d0c17","type":"BasicTicker"}},"id":"122dceda-27b2-4778-9a7f-d97362bc1481","type":"Grid"},{"attributes":{},"id":"dedb1351-b71e-4d3a-bede-ffaa065fc045","type":"BasicTickFormatter"},{"attributes":{},"id":"d27771ae-6962-47eb-92b4-f82197fd2fdd","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"09b05f50-e8cb-48b2-966a-e1882ea5cdad","type":"ColumnDataSource"},"glyph":{"id":"91e8d52f-73a6-43da-8676-4cef3b10753e","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"526b6f3d-092e-4dc7-b9e6-a22c94011bd6","type":"Circle"},"selection_glyph":null,"view":{"id":"de08bf15-efda-4b54-9d86-b7f368636761","type":"CDSView"}},"id":"82c5dac6-3edd-4b91-a96d-66c2480a2a68","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"706376cb-3156-4cca-8e67-115759cf5299","type":"BoxAnnotation"},{"attributes":{},"id":"936f5967-ef35-496a-ba42-88704a74b8fe","type":"ResetTool"},{"attributes":{},"id":"3d3e2a47-ed45-4953-89ce-71b02ef53651","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c1124bc9-eb3e-46c9-8754-2a6c0900ec77","type":"PanTool"},{"id":"7c412094-4793-4c9d-8293-5aa595e34ca4","type":"WheelZoomTool"},{"id":"09b049fc-c092-453a-bf2b-4c1c94cb6c57","type":"BoxZoomTool"},{"id":"2c652939-47b7-4f36-bacb-e1bed0e3285e","type":"SaveTool"},{"id":"936f5967-ef35-496a-ba42-88704a74b8fe","type":"ResetTool"},{"id":"21abade6-30ab-497f-8f2e-5d386febb106","type":"HelpTool"}]},"id":"f0a3942e-b73a-4f6d-ad6d-75e02bc9b72f","type":"Toolbar"},{"attributes":{},"id":"21abade6-30ab-497f-8f2e-5d386febb106","type":"HelpTool"},{"attributes":{},"id":"400acb36-2fec-4cb8-a956-6ecf79a0f373","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"91e8d52f-73a6-43da-8676-4cef3b10753e","type":"Circle"},{"attributes":{"source":{"id":"09b05f50-e8cb-48b2-966a-e1882ea5cdad","type":"ColumnDataSource"}},"id":"de08bf15-efda-4b54-9d86-b7f368636761","type":"CDSView"},{"attributes":{},"id":"c1124bc9-eb3e-46c9-8754-2a6c0900ec77","type":"PanTool"},{"attributes":{"overlay":{"id":"706376cb-3156-4cca-8e67-115759cf5299","type":"BoxAnnotation"}},"id":"09b049fc-c092-453a-bf2b-4c1c94cb6c57","type":"BoxZoomTool"},{"attributes":{},"id":"7c412094-4793-4c9d-8293-5aa595e34ca4","type":"WheelZoomTool"}],"root_ids":["9ad892cf-afb8-45e2-b2a4-71de9ca85c49"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"526f0c28-f39d-4d68-91b9-f8e06c2a7002","elementid":"4d902789-023b-446a-bc5b-4726dbb06e0a","modelid":"9ad892cf-afb8-45e2-b2a4-71de9ca85c49"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
