(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("aab8ffa0-7931-407f-ac7b-d4ac043cc777");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'aab8ffa0-7931-407f-ac7b-d4ac043cc777' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"aedbf522-772c-4f22-946a-f16fec363933":{"roots":{"references":[{"attributes":{},"id":"ac851f0d-c69e-485b-9f49-a41963f9e937","type":"LinearScale"},{"attributes":{"plot":{"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"},"text":"OpenHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":0},"id":"996a9269-3ece-42d1-a746-e60c5f3a4b92","type":"Label"},{"attributes":{"plot":{"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"},"text":"NormalHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":1},"id":"0d241a79-6db9-4e83-96f2-ab145a69944a","type":"Label"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"7027403d-a2ef-4b24-8646-b6518cf1b92d","type":"Toolbar"},{"attributes":{"plot":null},"id":"c4db4762-c2a5-4c9c-9ddb-928d5cb3711d","type":"NormalHead"},{"attributes":{"end":{"id":"c4db4762-c2a5-4c9c-9ddb-928d5cb3711d","type":"NormalHead"},"plot":{"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":1},"y_start":{"value":1}},"id":"efd95ecf-3cb9-48db-b422-032882a62230","type":"Arrow"},{"attributes":{"end":{"id":"7b0be9e0-9c67-4980-b20d-9b15a7259edd","type":"VeeHead"},"plot":{"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":2},"y_start":{"value":2}},"id":"3c6fcd9d-03af-4912-a48c-0aa617cde06e","type":"Arrow"},{"attributes":{"plot":null},"id":"7b0be9e0-9c67-4980-b20d-9b15a7259edd","type":"VeeHead"},{"attributes":{},"id":"522fbe23-971a-4519-9116-b695e5dd97d6","type":"LinearScale"},{"attributes":{"end":{"id":"6ab995af-81fc-406f-a73d-3f39a86d6fcb","type":"OpenHead"},"plot":{"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":0},"y_start":{"value":0}},"id":"2fb7ca49-418e-4765-9315-f714a187bf62","type":"Arrow"},{"attributes":{"plot":null,"text":""},"id":"e0dfe994-86c1-4dad-9c13-91c7625c3b6c","type":"Title"},{"attributes":{"plot":null},"id":"6ab995af-81fc-406f-a73d-3f39a86d6fcb","type":"OpenHead"},{"attributes":{"plot":{"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"},"text":"VeeHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":2},"id":"79fdf0c2-819f-4aa0-b5e8-87203a7766f6","type":"Label"},{"attributes":{"callback":null,"end":2.5,"start":-0.5},"id":"f09189f7-6d87-4298-9179-92db9aaaae16","type":"Range1d"},{"attributes":{"callback":null},"id":"5cbc6754-12fd-4732-8e0c-c97bec9fb3c8","type":"Range1d"},{"attributes":{"min_border_bottom":0,"min_border_left":0,"min_border_right":0,"min_border_top":0,"outline_line_color":{"value":null},"plot_height":105,"plot_width":150,"renderers":[{"id":"2fb7ca49-418e-4765-9315-f714a187bf62","type":"Arrow"},{"id":"996a9269-3ece-42d1-a746-e60c5f3a4b92","type":"Label"},{"id":"efd95ecf-3cb9-48db-b422-032882a62230","type":"Arrow"},{"id":"0d241a79-6db9-4e83-96f2-ab145a69944a","type":"Label"},{"id":"3c6fcd9d-03af-4912-a48c-0aa617cde06e","type":"Arrow"},{"id":"79fdf0c2-819f-4aa0-b5e8-87203a7766f6","type":"Label"}],"title":{"id":"e0dfe994-86c1-4dad-9c13-91c7625c3b6c","type":"Title"},"toolbar":{"id":"7027403d-a2ef-4b24-8646-b6518cf1b92d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5cbc6754-12fd-4732-8e0c-c97bec9fb3c8","type":"Range1d"},"x_scale":{"id":"ac851f0d-c69e-485b-9f49-a41963f9e937","type":"LinearScale"},"y_range":{"id":"f09189f7-6d87-4298-9179-92db9aaaae16","type":"Range1d"},"y_scale":{"id":"522fbe23-971a-4519-9116-b695e5dd97d6","type":"LinearScale"}},"id":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c","type":"Plot"}],"root_ids":["c2512b90-0a2a-4df6-bbdd-c162d3400e6c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"aedbf522-772c-4f22-946a-f16fec363933","elementid":"aab8ffa0-7931-407f-ac7b-d4ac043cc777","modelid":"c2512b90-0a2a-4df6-bbdd-c162d3400e6c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
