(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8dfd0c02-949b-4ffd-979a-b0007bbbb708");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8dfd0c02-949b-4ffd-979a-b0007bbbb708' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8305318d-75c2-4075-a2c6-598c53605d69":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"95a7382e-d0b9-4a98-a473-9c9e091aef76","type":"PanTool"},{"id":"7ba62010-c3a7-486a-918a-d0d1715b7ac8","type":"WheelZoomTool"},{"id":"15cdf0bb-11b5-4599-948c-253316b80993","type":"BoxZoomTool"},{"id":"a5fd9e16-a61b-4d95-8c71-923e81b538bf","type":"SaveTool"},{"id":"6266b6a8-98e7-4679-a30b-ee002552f6db","type":"ResetTool"},{"id":"b4f07fa3-898c-4917-9ae0-f42cd77f29e9","type":"HelpTool"}]},"id":"2a56102d-def0-4f0e-9308-bcfb15ae20e1","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e3e425f5-e1c8-4d12-aac6-ed7594d71178","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"b81091c1-85d2-4c62-87fd-9b5e8dbd3519","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ee199ff-200d-41e7-8437-21210b85d2f9","type":"BasicTicker"}},"id":"92095ef7-3d4d-4c12-bc56-1f978ae891bc","type":"Grid"},{"attributes":{},"id":"95a7382e-d0b9-4a98-a473-9c9e091aef76","type":"PanTool"},{"attributes":{},"id":"b5db75e2-90ac-4fa7-ba2a-7e7c04866a49","type":"BasicTicker"},{"attributes":{},"id":"a5fd9e16-a61b-4d95-8c71-923e81b538bf","type":"SaveTool"},{"attributes":{"formatter":{"id":"6fb3f413-47f7-44e6-8bc2-a9600183eea8","type":"BasicTickFormatter"},"plot":{"id":"b81091c1-85d2-4c62-87fd-9b5e8dbd3519","subtype":"Figure","type":"Plot"},"ticker":{"id":"4ee199ff-200d-41e7-8437-21210b85d2f9","type":"BasicTicker"}},"id":"e59373f6-fd39-46b2-9444-d9279e4842b3","type":"LinearAxis"},{"attributes":{},"id":"c6a1c7bc-9ddc-405e-8537-32d0088d3254","type":"LinearScale"},{"attributes":{"overlay":{"id":"d81ecaf1-495f-455c-83ae-3edb1a79484f","type":"BoxAnnotation"}},"id":"15cdf0bb-11b5-4599-948c-253316b80993","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"14dfbc6d-6ee4-454d-b447-8b5801e092fd","type":"DataRange1d"},{"attributes":{},"id":"b4f07fa3-898c-4917-9ae0-f42cd77f29e9","type":"HelpTool"},{"attributes":{"plot":{"id":"b81091c1-85d2-4c62-87fd-9b5e8dbd3519","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5db75e2-90ac-4fa7-ba2a-7e7c04866a49","type":"BasicTicker"}},"id":"4d249925-663c-4a98-86a5-8815f32cc03e","type":"Grid"},{"attributes":{"source":{"id":"e3e425f5-e1c8-4d12-aac6-ed7594d71178","type":"ColumnDataSource"}},"id":"6724a7c5-4bd3-4add-8e35-d71bbb92f374","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d81ecaf1-495f-455c-83ae-3edb1a79484f","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"61a9752f-9c9b-45bf-a693-c1ca4eacb786","type":"Title"},{"attributes":{},"id":"7ba62010-c3a7-486a-918a-d0d1715b7ac8","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"40a0c1ec-6ff5-4ac4-a4e0-b018fda2edbd","type":"Circle"},{"attributes":{},"id":"4ee199ff-200d-41e7-8437-21210b85d2f9","type":"BasicTicker"},{"attributes":{},"id":"6266b6a8-98e7-4679-a30b-ee002552f6db","type":"ResetTool"},{"attributes":{"below":[{"id":"19944220-274d-414b-a935-02ec46805add","type":"LinearAxis"}],"left":[{"id":"e59373f6-fd39-46b2-9444-d9279e4842b3","type":"LinearAxis"}],"plot_height":300,"plot_width":700,"renderers":[{"id":"19944220-274d-414b-a935-02ec46805add","type":"LinearAxis"},{"id":"4d249925-663c-4a98-86a5-8815f32cc03e","type":"Grid"},{"id":"e59373f6-fd39-46b2-9444-d9279e4842b3","type":"LinearAxis"},{"id":"92095ef7-3d4d-4c12-bc56-1f978ae891bc","type":"Grid"},{"id":"d81ecaf1-495f-455c-83ae-3edb1a79484f","type":"BoxAnnotation"},{"id":"8662ce92-8a67-499c-a5b9-6765e2fd6d3e","type":"GlyphRenderer"}],"title":{"id":"61a9752f-9c9b-45bf-a693-c1ca4eacb786","type":"Title"},"toolbar":{"id":"2a56102d-def0-4f0e-9308-bcfb15ae20e1","type":"Toolbar"},"x_range":{"id":"14dfbc6d-6ee4-454d-b447-8b5801e092fd","type":"DataRange1d"},"x_scale":{"id":"81a8662a-4a0a-45ed-bb24-14eb1251eac3","type":"LinearScale"},"y_range":{"id":"452cc9b3-da73-444a-a673-fa15d9707815","type":"DataRange1d"},"y_scale":{"id":"c6a1c7bc-9ddc-405e-8537-32d0088d3254","type":"LinearScale"}},"id":"b81091c1-85d2-4c62-87fd-9b5e8dbd3519","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"aa5efbbe-1d6a-4e4c-8c2e-e6cc673e1ded","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f552a7f9-f701-48fc-a596-da9ac031dea5","type":"Circle"},{"attributes":{},"id":"81a8662a-4a0a-45ed-bb24-14eb1251eac3","type":"LinearScale"},{"attributes":{"formatter":{"id":"aa5efbbe-1d6a-4e4c-8c2e-e6cc673e1ded","type":"BasicTickFormatter"},"plot":{"id":"b81091c1-85d2-4c62-87fd-9b5e8dbd3519","subtype":"Figure","type":"Plot"},"ticker":{"id":"b5db75e2-90ac-4fa7-ba2a-7e7c04866a49","type":"BasicTicker"}},"id":"19944220-274d-414b-a935-02ec46805add","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e3e425f5-e1c8-4d12-aac6-ed7594d71178","type":"ColumnDataSource"},"glyph":{"id":"40a0c1ec-6ff5-4ac4-a4e0-b018fda2edbd","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f552a7f9-f701-48fc-a596-da9ac031dea5","type":"Circle"},"selection_glyph":null,"view":{"id":"6724a7c5-4bd3-4add-8e35-d71bbb92f374","type":"CDSView"}},"id":"8662ce92-8a67-499c-a5b9-6765e2fd6d3e","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"452cc9b3-da73-444a-a673-fa15d9707815","type":"DataRange1d"},{"attributes":{},"id":"6fb3f413-47f7-44e6-8bc2-a9600183eea8","type":"BasicTickFormatter"}],"root_ids":["b81091c1-85d2-4c62-87fd-9b5e8dbd3519"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8305318d-75c2-4075-a2c6-598c53605d69","elementid":"8dfd0c02-949b-4ffd-979a-b0007bbbb708","modelid":"b81091c1-85d2-4c62-87fd-9b5e8dbd3519"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
