(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c1cae318-6f42-4cbe-8252-e9e7908cccd6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c1cae318-6f42-4cbe-8252-e9e7908cccd6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b18e10ba-cece-4743-8871-54680d4df104":{"roots":{"references":[{"attributes":{"plot":{"id":"34225423-3d8f-40bc-baba-de322bafe8a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad0985be-b329-4aad-8a07-89c1c6f22a24","type":"BasicTicker"}},"id":"17fabd64-9e26-4227-8df5-00c328e11de3","type":"Grid"},{"attributes":{},"id":"5358417c-9cdf-4c73-9e64-ca1ca8231342","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"ede3bff6-b27b-46e5-9a80-49967d70cc97","type":"Title"},{"attributes":{"callback":null},"id":"245e09f4-cea1-499b-8635-dcdac3d42c37","type":"DataRange1d"},{"attributes":{},"id":"ea2ba568-c3fd-4b8c-8114-1f2c9f0689a9","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"c1687e4e-8a18-4266-a154-42c0fef89343","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"43576843-3958-4ac1-b267-a886ef68e23d","type":"Circle"},{"attributes":{},"id":"7f8e66f2-a306-4fa8-b52d-0713b995f3eb","type":"LinearScale"},{"attributes":{"data_source":{"id":"51ad57bf-a684-41a2-a846-8d0a33fc1588","type":"ColumnDataSource"},"glyph":{"id":"c1687e4e-8a18-4266-a154-42c0fef89343","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"43576843-3958-4ac1-b267-a886ef68e23d","type":"Circle"},"selection_glyph":null,"view":{"id":"aacc4d40-10fd-49f5-8eab-be857cfe6cc3","type":"CDSView"}},"id":"e0e27f72-6aab-4379-9177-38e916d8a89b","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dbc543eb-0c77-4140-a1b2-ab04df755424","type":"PanTool"},{"id":"ea2ba568-c3fd-4b8c-8114-1f2c9f0689a9","type":"WheelZoomTool"},{"id":"d68569f4-6fe0-4328-ae9d-120f895f5fb5","type":"BoxZoomTool"},{"id":"b1d98f92-c0d8-4db4-8edb-d2a5b07a9eff","type":"SaveTool"},{"id":"24b12a6f-acb2-4717-949f-24eba62b6d26","type":"ResetTool"},{"id":"2fc0754c-e6d9-4565-8cc1-818b7d67e9a4","type":"HelpTool"}]},"id":"d415574f-7668-4cfe-a321-6455b45737f8","type":"Toolbar"},{"attributes":{"background_fill_alpha":{"value":0.5},"background_fill_color":{"value":"beige"},"below":[{"id":"770a80db-b575-4d8c-a0c7-932b6f9ac8ef","type":"LinearAxis"}],"left":[{"id":"ae8dff53-9b27-405e-8987-e020b734efbe","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"770a80db-b575-4d8c-a0c7-932b6f9ac8ef","type":"LinearAxis"},{"id":"17fabd64-9e26-4227-8df5-00c328e11de3","type":"Grid"},{"id":"ae8dff53-9b27-405e-8987-e020b734efbe","type":"LinearAxis"},{"id":"535201cf-3844-4ec2-98ce-96ba705ef021","type":"Grid"},{"id":"1239f1c8-ee3d-4e89-bb35-621f18b39f85","type":"BoxAnnotation"},{"id":"e0e27f72-6aab-4379-9177-38e916d8a89b","type":"GlyphRenderer"}],"title":{"id":"ede3bff6-b27b-46e5-9a80-49967d70cc97","type":"Title"},"toolbar":{"id":"d415574f-7668-4cfe-a321-6455b45737f8","type":"Toolbar"},"x_range":{"id":"53b21139-2538-4469-9e7b-03a517891457","type":"DataRange1d"},"x_scale":{"id":"5358417c-9cdf-4c73-9e64-ca1ca8231342","type":"LinearScale"},"y_range":{"id":"245e09f4-cea1-499b-8635-dcdac3d42c37","type":"DataRange1d"},"y_scale":{"id":"7f8e66f2-a306-4fa8-b52d-0713b995f3eb","type":"LinearScale"}},"id":"34225423-3d8f-40bc-baba-de322bafe8a5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"dbc543eb-0c77-4140-a1b2-ab04df755424","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"34225423-3d8f-40bc-baba-de322bafe8a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d2a67eac-0e36-4aa5-8035-16242f8a5dbe","type":"BasicTicker"}},"id":"535201cf-3844-4ec2-98ce-96ba705ef021","type":"Grid"},{"attributes":{"callback":null},"id":"53b21139-2538-4469-9e7b-03a517891457","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"51ad57bf-a684-41a2-a846-8d0a33fc1588","type":"ColumnDataSource"},{"attributes":{},"id":"3a8dac28-11ad-4e3b-aa5c-ef48d0125c7a","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1239f1c8-ee3d-4e89-bb35-621f18b39f85","type":"BoxAnnotation"},{"attributes":{},"id":"d2a67eac-0e36-4aa5-8035-16242f8a5dbe","type":"BasicTicker"},{"attributes":{},"id":"ad0985be-b329-4aad-8a07-89c1c6f22a24","type":"BasicTicker"},{"attributes":{},"id":"b1d98f92-c0d8-4db4-8edb-d2a5b07a9eff","type":"SaveTool"},{"attributes":{},"id":"2fc0754c-e6d9-4565-8cc1-818b7d67e9a4","type":"HelpTool"},{"attributes":{"overlay":{"id":"1239f1c8-ee3d-4e89-bb35-621f18b39f85","type":"BoxAnnotation"}},"id":"d68569f4-6fe0-4328-ae9d-120f895f5fb5","type":"BoxZoomTool"},{"attributes":{"source":{"id":"51ad57bf-a684-41a2-a846-8d0a33fc1588","type":"ColumnDataSource"}},"id":"aacc4d40-10fd-49f5-8eab-be857cfe6cc3","type":"CDSView"},{"attributes":{"formatter":{"id":"3a8dac28-11ad-4e3b-aa5c-ef48d0125c7a","type":"BasicTickFormatter"},"plot":{"id":"34225423-3d8f-40bc-baba-de322bafe8a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d2a67eac-0e36-4aa5-8035-16242f8a5dbe","type":"BasicTicker"}},"id":"ae8dff53-9b27-405e-8987-e020b734efbe","type":"LinearAxis"},{"attributes":{},"id":"24b12a6f-acb2-4717-949f-24eba62b6d26","type":"ResetTool"},{"attributes":{"formatter":{"id":"463a25ae-914e-43ca-b830-1e7ea60abac5","type":"BasicTickFormatter"},"plot":{"id":"34225423-3d8f-40bc-baba-de322bafe8a5","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad0985be-b329-4aad-8a07-89c1c6f22a24","type":"BasicTicker"}},"id":"770a80db-b575-4d8c-a0c7-932b6f9ac8ef","type":"LinearAxis"},{"attributes":{},"id":"463a25ae-914e-43ca-b830-1e7ea60abac5","type":"BasicTickFormatter"}],"root_ids":["34225423-3d8f-40bc-baba-de322bafe8a5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b18e10ba-cece-4743-8871-54680d4df104","elementid":"c1cae318-6f42-4cbe-8252-e9e7908cccd6","modelid":"34225423-3d8f-40bc-baba-de322bafe8a5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
