(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fae99b37-8cc7-4601-b393-b871ef1fc852");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fae99b37-8cc7-4601-b393-b871ef1fc852' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d66cb045-29f1-4c76-8632-1ea712538fec":{"roots":{"references":[{"attributes":{"overlay":{"id":"a568d747-62a3-4d67-8e8e-11b72a63482f","type":"BoxAnnotation"}},"id":"8db59358-e941-403b-9980-f612126c8c72","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7dd8f367-4563-440c-8444-9527fdf0dfb2","type":"PanTool"},{"id":"7dac0ae5-d72a-4799-b7ac-3da34e4c8aa8","type":"WheelZoomTool"},{"id":"8db59358-e941-403b-9980-f612126c8c72","type":"BoxZoomTool"},{"id":"84588b79-86cc-4c08-bd8a-2cc5c3ca044c","type":"SaveTool"},{"id":"06ba01d0-ad7c-45d4-8d9f-02519abd0666","type":"ResetTool"},{"id":"15fcf52f-0e62-486a-9a1f-0469b66e885d","type":"HelpTool"}]},"id":"51685225-a32e-4cae-b4fc-deb3c9b1602f","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"380b49b3-fcb4-4756-8bc4-ccffe66ea9b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"cde77ea4-017d-42b9-8740-38be77578ddf","type":"BasicTicker"}},"id":"9854d40a-1866-4a38-b5ca-ca7e568f8367","type":"Grid"},{"attributes":{},"id":"cde77ea4-017d-42b9-8740-38be77578ddf","type":"BasicTicker"},{"attributes":{"formatter":{"id":"1f199c86-afdc-4596-8575-f8ab52a76090","type":"BasicTickFormatter"},"plot":{"id":"380b49b3-fcb4-4756-8bc4-ccffe66ea9b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"cde77ea4-017d-42b9-8740-38be77578ddf","type":"BasicTicker"}},"id":"354026bc-19c5-498a-b4ec-2fb496b77d64","type":"LinearAxis"},{"attributes":{"formatter":{"id":"b47bf020-eafa-4060-bfdd-54418336e629","type":"BasicTickFormatter"},"plot":{"id":"380b49b3-fcb4-4756-8bc4-ccffe66ea9b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"d7f499f2-ea13-413a-abdb-785fbea05ff6","type":"BasicTicker"}},"id":"de2faa14-5159-4729-9be3-30aed9438780","type":"LinearAxis"},{"attributes":{"callback":null},"id":"ec1d37b7-1cc8-4e4d-8813-c72161355b98","type":"DataRange1d"},{"attributes":{},"id":"7dac0ae5-d72a-4799-b7ac-3da34e4c8aa8","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#1f77b4"},"line_color":{"value":"firebrick"},"line_dash":[6,3],"line_width":{"value":2},"size":{"units":"screen","value":60},"x":{"field":"x"},"y":{"field":"y"}},"id":"406e0653-8748-41ec-a3a1-4e77ea0a9b93","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b1decb80-fe07-48b2-af94-ec4324ae05c4","type":"Circle"},{"attributes":{},"id":"7dd8f367-4563-440c-8444-9527fdf0dfb2","type":"PanTool"},{"attributes":{},"id":"79723fe1-054e-425d-939d-aa568593b1d1","type":"LinearScale"},{"attributes":{},"id":"84588b79-86cc-4c08-bd8a-2cc5c3ca044c","type":"SaveTool"},{"attributes":{"source":{"id":"79d0f1ab-a323-4a11-9c99-3a88fba68227","type":"ColumnDataSource"}},"id":"3f883791-5283-4a02-bb4d-e6377f7b3b6c","type":"CDSView"},{"attributes":{},"id":"1f199c86-afdc-4596-8575-f8ab52a76090","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a568d747-62a3-4d67-8e8e-11b72a63482f","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"380b49b3-fcb4-4756-8bc4-ccffe66ea9b0","subtype":"Figure","type":"Plot"},"ticker":{"id":"d7f499f2-ea13-413a-abdb-785fbea05ff6","type":"BasicTicker"}},"id":"8072e7f4-dbd9-4d19-82a4-624b007140d9","type":"Grid"},{"attributes":{},"id":"06ba01d0-ad7c-45d4-8d9f-02519abd0666","type":"ResetTool"},{"attributes":{"data_source":{"id":"79d0f1ab-a323-4a11-9c99-3a88fba68227","type":"ColumnDataSource"},"glyph":{"id":"406e0653-8748-41ec-a3a1-4e77ea0a9b93","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b1decb80-fe07-48b2-af94-ec4324ae05c4","type":"Circle"},"selection_glyph":null,"view":{"id":"3f883791-5283-4a02-bb4d-e6377f7b3b6c","type":"CDSView"}},"id":"c91ae31a-0ef4-4c49-a9ca-93953903ae1d","type":"GlyphRenderer"},{"attributes":{},"id":"15fcf52f-0e62-486a-9a1f-0469b66e885d","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"79d0f1ab-a323-4a11-9c99-3a88fba68227","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"23ed6f11-64aa-4c9b-9e01-02c9661d1521","type":"DataRange1d"},{"attributes":{"below":[{"id":"de2faa14-5159-4729-9be3-30aed9438780","type":"LinearAxis"}],"left":[{"id":"354026bc-19c5-498a-b4ec-2fb496b77d64","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"de2faa14-5159-4729-9be3-30aed9438780","type":"LinearAxis"},{"id":"8072e7f4-dbd9-4d19-82a4-624b007140d9","type":"Grid"},{"id":"354026bc-19c5-498a-b4ec-2fb496b77d64","type":"LinearAxis"},{"id":"9854d40a-1866-4a38-b5ca-ca7e568f8367","type":"Grid"},{"id":"a568d747-62a3-4d67-8e8e-11b72a63482f","type":"BoxAnnotation"},{"id":"c91ae31a-0ef4-4c49-a9ca-93953903ae1d","type":"GlyphRenderer"}],"title":{"id":"43d9d1f9-36cb-4714-a37e-b67095ff8867","type":"Title"},"toolbar":{"id":"51685225-a32e-4cae-b4fc-deb3c9b1602f","type":"Toolbar"},"x_range":{"id":"ec1d37b7-1cc8-4e4d-8813-c72161355b98","type":"DataRange1d"},"x_scale":{"id":"310276f0-78b9-4d14-a931-c8ab0a4b4145","type":"LinearScale"},"y_range":{"id":"23ed6f11-64aa-4c9b-9e01-02c9661d1521","type":"DataRange1d"},"y_scale":{"id":"79723fe1-054e-425d-939d-aa568593b1d1","type":"LinearScale"}},"id":"380b49b3-fcb4-4756-8bc4-ccffe66ea9b0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"310276f0-78b9-4d14-a931-c8ab0a4b4145","type":"LinearScale"},{"attributes":{},"id":"b47bf020-eafa-4060-bfdd-54418336e629","type":"BasicTickFormatter"},{"attributes":{},"id":"d7f499f2-ea13-413a-abdb-785fbea05ff6","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"43d9d1f9-36cb-4714-a37e-b67095ff8867","type":"Title"}],"root_ids":["380b49b3-fcb4-4756-8bc4-ccffe66ea9b0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d66cb045-29f1-4c76-8632-1ea712538fec","elementid":"fae99b37-8cc7-4601-b393-b871ef1fc852","modelid":"380b49b3-fcb4-4756-8bc4-ccffe66ea9b0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
