(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7882e2de-802d-4724-9d66-872023fb8891");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7882e2de-802d-4724-9d66-872023fb8891' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2be3e32d-8c8e-42a2-a89c-c6b11964339e":{"roots":{"references":[{"attributes":{},"id":"067a9845-fb49-4223-9877-6b6a1bcc67ed","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"815dd351-45d1-4f97-8905-64a531f9424d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e6ba5ac2-9286-4825-ae40-d5805d91c6c7","type":"BasicTicker"}},"id":"8cc1917a-09cb-46c2-91f7-95c2487a370b","type":"Grid"},{"attributes":{"callback":null},"id":"8db82861-19ce-4041-b8de-f6f708e6ff1a","type":"DataRange1d"},{"attributes":{"callback":null},"id":"4aef7cb0-0cba-49a7-af5f-1363376c5273","type":"DataRange1d"},{"attributes":{"formatter":{"id":"1c2559c4-cef0-4b1b-ae23-3ebdef541034","type":"BasicTickFormatter"},"plot":{"id":"815dd351-45d1-4f97-8905-64a531f9424d","subtype":"Figure","type":"Plot"},"ticker":{"id":"4029896e-94bd-4fd0-8303-1b1944934317","type":"BasicTicker"}},"id":"627fcc7d-390d-4674-a02a-a3aefda92cd8","type":"LinearAxis"},{"attributes":{},"id":"7d214892-bbc7-4440-9538-6c1f4c07cf58","type":"LinearScale"},{"attributes":{},"id":"9e95c376-0bba-4463-a85b-8509f2bd2d16","type":"SaveTool"},{"attributes":{},"id":"2db3d9ec-6b36-481c-b273-54c651ab6f81","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b8563d35-5845-430b-a8f4-6bd8e16b24c7","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0c8d507a-e226-4043-8d04-da3cb676d4d5","type":"Circle"},{"attributes":{"formatter":{"id":"33f4ba66-ab1a-423c-82bf-88a23bb7795e","type":"BasicTickFormatter"},"plot":{"id":"815dd351-45d1-4f97-8905-64a531f9424d","subtype":"Figure","type":"Plot"},"ticker":{"id":"e6ba5ac2-9286-4825-ae40-d5805d91c6c7","type":"BasicTicker"}},"id":"22276e90-5360-486b-9104-b625cbeda637","type":"LinearAxis"},{"attributes":{"plot":{"id":"815dd351-45d1-4f97-8905-64a531f9424d","subtype":"Figure","type":"Plot"},"ticker":{"id":"4029896e-94bd-4fd0-8303-1b1944934317","type":"BasicTicker"}},"id":"60937a52-a80c-44c7-969b-e247995a7119","type":"Grid"},{"attributes":{},"id":"1c2559c4-cef0-4b1b-ae23-3ebdef541034","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"99d16f34-70b9-4fd3-acac-dd598dff8332","type":"ColumnDataSource"},{"attributes":{},"id":"33f4ba66-ab1a-423c-82bf-88a23bb7795e","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"99d16f34-70b9-4fd3-acac-dd598dff8332","type":"ColumnDataSource"}},"id":"f1a35972-f589-4bb6-937c-524d61e3ab0c","type":"CDSView"},{"attributes":{},"id":"167dad79-fa7c-4551-8453-62bdfbd2887f","type":"HelpTool"},{"attributes":{},"id":"f7f3ade3-f0f5-44cf-a965-a984b5a9cf8f","type":"PanTool"},{"attributes":{"below":[{"id":"627fcc7d-390d-4674-a02a-a3aefda92cd8","type":"LinearAxis"}],"left":[{"id":"22276e90-5360-486b-9104-b625cbeda637","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"627fcc7d-390d-4674-a02a-a3aefda92cd8","type":"LinearAxis"},{"id":"60937a52-a80c-44c7-969b-e247995a7119","type":"Grid"},{"id":"22276e90-5360-486b-9104-b625cbeda637","type":"LinearAxis"},{"id":"8cc1917a-09cb-46c2-91f7-95c2487a370b","type":"Grid"},{"id":"35e086d8-c2c3-464b-af1d-73cfc7a1cc57","type":"BoxAnnotation"},{"id":"c0a47bd4-4636-4a44-ad10-d81c8f23681a","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"f315e617-1f31-44d7-a806-43a08b0d5c79","type":"Toolbar"},"toolbar_location":"below","x_range":{"id":"8db82861-19ce-4041-b8de-f6f708e6ff1a","type":"DataRange1d"},"x_scale":{"id":"2db3d9ec-6b36-481c-b273-54c651ab6f81","type":"LinearScale"},"y_range":{"id":"4aef7cb0-0cba-49a7-af5f-1363376c5273","type":"DataRange1d"},"y_scale":{"id":"7d214892-bbc7-4440-9538-6c1f4c07cf58","type":"LinearScale"}},"id":"815dd351-45d1-4f97-8905-64a531f9424d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e6ba5ac2-9286-4825-ae40-d5805d91c6c7","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f7f3ade3-f0f5-44cf-a965-a984b5a9cf8f","type":"PanTool"},{"id":"5a47e7c0-ae44-45f6-a265-7b687725898c","type":"WheelZoomTool"},{"id":"f9d59f83-cf04-4eb3-bb90-1a44c613f2da","type":"BoxZoomTool"},{"id":"9e95c376-0bba-4463-a85b-8509f2bd2d16","type":"SaveTool"},{"id":"067a9845-fb49-4223-9877-6b6a1bcc67ed","type":"ResetTool"},{"id":"167dad79-fa7c-4551-8453-62bdfbd2887f","type":"HelpTool"}]},"id":"f315e617-1f31-44d7-a806-43a08b0d5c79","type":"Toolbar"},{"attributes":{"data_source":{"id":"99d16f34-70b9-4fd3-acac-dd598dff8332","type":"ColumnDataSource"},"glyph":{"id":"b8563d35-5845-430b-a8f4-6bd8e16b24c7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0c8d507a-e226-4043-8d04-da3cb676d4d5","type":"Circle"},"selection_glyph":null,"view":{"id":"f1a35972-f589-4bb6-937c-524d61e3ab0c","type":"CDSView"}},"id":"c0a47bd4-4636-4a44-ad10-d81c8f23681a","type":"GlyphRenderer"},{"attributes":{},"id":"4029896e-94bd-4fd0-8303-1b1944934317","type":"BasicTicker"},{"attributes":{"overlay":{"id":"35e086d8-c2c3-464b-af1d-73cfc7a1cc57","type":"BoxAnnotation"}},"id":"f9d59f83-cf04-4eb3-bb90-1a44c613f2da","type":"BoxZoomTool"},{"attributes":{},"id":"5a47e7c0-ae44-45f6-a265-7b687725898c","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"35e086d8-c2c3-464b-af1d-73cfc7a1cc57","type":"BoxAnnotation"}],"root_ids":["815dd351-45d1-4f97-8905-64a531f9424d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2be3e32d-8c8e-42a2-a89c-c6b11964339e","elementid":"7882e2de-802d-4724-9d66-872023fb8891","modelid":"815dd351-45d1-4f97-8905-64a531f9424d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
