(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9e55f306-5400-4c90-9e18-eb8d4122c097");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9e55f306-5400-4c90-9e18-eb8d4122c097' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c69ea5df-e053-4786-bf39-010209abffd8":{"roots":{"references":[{"attributes":{"below":[{"id":"dab03ff1-9751-4687-a8f3-a50b9a8f22e0","type":"LinearAxis"}],"left":[{"id":"0ceb3599-24f1-43ad-a3c6-3e3d732deb2e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"dab03ff1-9751-4687-a8f3-a50b9a8f22e0","type":"LinearAxis"},{"id":"5ad2056f-f35c-44de-9bfb-ef18d8967f05","type":"Grid"},{"id":"0ceb3599-24f1-43ad-a3c6-3e3d732deb2e","type":"LinearAxis"},{"id":"d9d73f7e-d0b0-4c25-b3ed-f42b97b8cee6","type":"Grid"},{"id":"12b54695-f71d-4fcf-87a3-07520807c657","type":"GlyphRenderer"}],"title":{"id":"4d398aeb-998e-410e-a5a8-675ceafe81fc","type":"Title"},"toolbar":{"id":"67a63c88-7851-43cf-beb8-d71e8abeb132","type":"Toolbar"},"x_range":{"id":"3d5ba92d-58a8-4971-a038-eed77eba65f5","type":"DataRange1d"},"x_scale":{"id":"a87c35a0-ded0-40fe-bcb2-43ae13134b4b","type":"LinearScale"},"y_range":{"id":"50c34c82-4101-4cce-b4b1-a2a0724ee6fa","type":"DataRange1d"},"y_scale":{"id":"372874c4-d141-457f-b081-5b9bfad7e3ca","type":"LinearScale"}},"id":"22e305d1-94c5-4367-b454-590e60d1216a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"40a68257-3fd1-45e2-ab14-6e454f363826","type":"BasicTicker"},{"attributes":{"callback":null},"id":"50c34c82-4101-4cce-b4b1-a2a0724ee6fa","type":"DataRange1d"},{"attributes":{},"id":"bcdc79f0-7668-4caf-9b15-39938e5e9d43","type":"BasicTicker"},{"attributes":{"callback":null},"id":"3d5ba92d-58a8-4971-a038-eed77eba65f5","type":"DataRange1d"},{"attributes":{"data_source":{"id":"0c4e3e92-5771-4cc8-804e-4c02e9b0ddb1","type":"ColumnDataSource"},"glyph":{"id":"0584873a-f693-4174-a258-245fd404ed7a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bfba24cf-fb71-4f5a-96fb-9e31d8bc2e18","type":"Circle"},"selection_glyph":null,"view":{"id":"f9f92275-2c3e-4a97-b7bf-b714f9ce1764","type":"CDSView"}},"id":"12b54695-f71d-4fcf-87a3-07520807c657","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"83db4259-62bc-478e-b181-6652d0deed15","type":"BasicTickFormatter"},"plot":{"id":"22e305d1-94c5-4367-b454-590e60d1216a","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcdc79f0-7668-4caf-9b15-39938e5e9d43","type":"BasicTicker"}},"id":"dab03ff1-9751-4687-a8f3-a50b9a8f22e0","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"75b733e7-5782-4c93-8bf6-018ddcc82682","type":"HoverTool"}]},"id":"67a63c88-7851-43cf-beb8-d71e8abeb132","type":"Toolbar"},{"attributes":{"plot":{"id":"22e305d1-94c5-4367-b454-590e60d1216a","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcdc79f0-7668-4caf-9b15-39938e5e9d43","type":"BasicTicker"}},"id":"5ad2056f-f35c-44de-9bfb-ef18d8967f05","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"bfba24cf-fb71-4f5a-96fb-9e31d8bc2e18","type":"Circle"},{"attributes":{"callback":null,"tooltips":[["index","$index"],["(x,y)","($x, $y)"],["desc","@desc"]]},"id":"75b733e7-5782-4c93-8bf6-018ddcc82682","type":"HoverTool"},{"attributes":{"callback":null,"column_names":["y","x","desc"],"data":{"desc":["A","b","C","d","E"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"0c4e3e92-5771-4cc8-804e-4c02e9b0ddb1","type":"ColumnDataSource"},{"attributes":{},"id":"a87c35a0-ded0-40fe-bcb2-43ae13134b4b","type":"LinearScale"},{"attributes":{"formatter":{"id":"af684a08-854a-49cc-a31f-9a9f0ab754cb","type":"BasicTickFormatter"},"plot":{"id":"22e305d1-94c5-4367-b454-590e60d1216a","subtype":"Figure","type":"Plot"},"ticker":{"id":"40a68257-3fd1-45e2-ab14-6e454f363826","type":"BasicTicker"}},"id":"0ceb3599-24f1-43ad-a3c6-3e3d732deb2e","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0584873a-f693-4174-a258-245fd404ed7a","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"22e305d1-94c5-4367-b454-590e60d1216a","subtype":"Figure","type":"Plot"},"ticker":{"id":"40a68257-3fd1-45e2-ab14-6e454f363826","type":"BasicTicker"}},"id":"d9d73f7e-d0b0-4c25-b3ed-f42b97b8cee6","type":"Grid"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"4d398aeb-998e-410e-a5a8-675ceafe81fc","type":"Title"},{"attributes":{},"id":"83db4259-62bc-478e-b181-6652d0deed15","type":"BasicTickFormatter"},{"attributes":{},"id":"af684a08-854a-49cc-a31f-9a9f0ab754cb","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"0c4e3e92-5771-4cc8-804e-4c02e9b0ddb1","type":"ColumnDataSource"}},"id":"f9f92275-2c3e-4a97-b7bf-b714f9ce1764","type":"CDSView"},{"attributes":{},"id":"372874c4-d141-457f-b081-5b9bfad7e3ca","type":"LinearScale"}],"root_ids":["22e305d1-94c5-4367-b454-590e60d1216a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c69ea5df-e053-4786-bf39-010209abffd8","elementid":"9e55f306-5400-4c90-9e18-eb8d4122c097","modelid":"22e305d1-94c5-4367-b454-590e60d1216a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
