(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3dfe4653-13bf-4518-a67a-2836af8f7bcd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3dfe4653-13bf-4518-a67a-2836af8f7bcd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ea131510-a71c-4156-99cf-a47f29e26aac":{"roots":{"references":[{"attributes":{"callback":null,"tooltips":"\n    <div>\n        <div>\n            <img\n                src=\"@imgs\" height=\"42\" alt=\"@imgs\" width=\"42\"\n                style=\"float: left; margin: 0px 15px 15px 0px;\"\n                border=\"2\"\n            ></img>\n        </div>\n        <div>\n            <span style=\"font-size: 17px; font-weight: bold;\">@desc</span>\n            <span style=\"font-size: 15px; color: #966;\">[$index]</span>\n        </div>\n        <div>\n            <span>@fonts{safe}</span>\n        </div>\n        <div>\n            <span style=\"font-size: 15px;\">Location</span>\n            <span style=\"font-size: 10px; color: #696;\">($x, $y)</span>\n        </div>\n    </div>\n    "},"id":"1ba3c215-8856-41f9-b085-37d461346330","type":"HoverTool"},{"attributes":{"dimension":1,"plot":{"id":"68641886-9b71-4596-b205-5f5d11b39084","subtype":"Figure","type":"Plot"},"ticker":{"id":"c453c4e4-6a16-4e09-b09d-697d37b37812","type":"BasicTicker"}},"id":"371f52ac-82e3-4d1b-80e7-956a44c8549e","type":"Grid"},{"attributes":{"callback":null},"id":"b6ea5be0-abf0-4613-b2be-68bd86d30589","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"34bc05d5-ec44-408a-8806-9335466369a8","type":"Circle"},{"attributes":{"plot":{"id":"68641886-9b71-4596-b205-5f5d11b39084","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0cb6056-2847-40f6-bbaf-5fa541eb51d5","type":"BasicTicker"}},"id":"2595c8d7-8338-4c3c-9ca6-cebe8568094d","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0d6b824-1bb2-4433-9947-027d920fd751","type":"Circle"},{"attributes":{"callback":null},"id":"6d5de743-4429-4e00-813e-c18bc3670619","type":"DataRange1d"},{"attributes":{},"id":"5a83665c-6d14-4adc-b707-92284997be93","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1ba3c215-8856-41f9-b085-37d461346330","type":"HoverTool"}]},"id":"89a13d1e-2fd5-4df9-977a-280d7805d3d9","type":"Toolbar"},{"attributes":{"data_source":{"id":"2684fbf2-545f-4392-9d9f-2b2ee14964d4","type":"ColumnDataSource"},"glyph":{"id":"b0d6b824-1bb2-4433-9947-027d920fd751","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"34bc05d5-ec44-408a-8806-9335466369a8","type":"Circle"},"selection_glyph":null,"view":{"id":"2c44eb39-f62b-4c76-b8d9-3ae5ac70f50a","type":"CDSView"}},"id":"14bc819f-e253-4bd8-9879-3d704ef66a5d","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"643c9561-6a80-4d54-956d-466aaea6c5c6","type":"LinearAxis"}],"left":[{"id":"98286a87-6abe-4e9a-a103-2aebbdbf87c4","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"643c9561-6a80-4d54-956d-466aaea6c5c6","type":"LinearAxis"},{"id":"2595c8d7-8338-4c3c-9ca6-cebe8568094d","type":"Grid"},{"id":"98286a87-6abe-4e9a-a103-2aebbdbf87c4","type":"LinearAxis"},{"id":"371f52ac-82e3-4d1b-80e7-956a44c8549e","type":"Grid"},{"id":"14bc819f-e253-4bd8-9879-3d704ef66a5d","type":"GlyphRenderer"}],"title":{"id":"7b2cb6e7-148f-443b-8e38-1d4f617ad021","type":"Title"},"toolbar":{"id":"89a13d1e-2fd5-4df9-977a-280d7805d3d9","type":"Toolbar"},"x_range":{"id":"6d5de743-4429-4e00-813e-c18bc3670619","type":"DataRange1d"},"x_scale":{"id":"5a83665c-6d14-4adc-b707-92284997be93","type":"LinearScale"},"y_range":{"id":"b6ea5be0-abf0-4613-b2be-68bd86d30589","type":"DataRange1d"},"y_scale":{"id":"c5a687e5-6c73-41d8-85a8-3bb78c38f969","type":"LinearScale"}},"id":"68641886-9b71-4596-b205-5f5d11b39084","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d0cb6056-2847-40f6-bbaf-5fa541eb51d5","type":"BasicTicker"},{"attributes":{},"id":"20000aed-4110-42a8-90b6-e9e7e4d4de8e","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"2684fbf2-545f-4392-9d9f-2b2ee14964d4","type":"ColumnDataSource"}},"id":"2c44eb39-f62b-4c76-b8d9-3ae5ac70f50a","type":"CDSView"},{"attributes":{"formatter":{"id":"615383f4-d702-4bfe-b243-3a0bcdc28642","type":"BasicTickFormatter"},"plot":{"id":"68641886-9b71-4596-b205-5f5d11b39084","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0cb6056-2847-40f6-bbaf-5fa541eb51d5","type":"BasicTicker"}},"id":"643c9561-6a80-4d54-956d-466aaea6c5c6","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"7b2cb6e7-148f-443b-8e38-1d4f617ad021","type":"Title"},{"attributes":{"formatter":{"id":"20000aed-4110-42a8-90b6-e9e7e4d4de8e","type":"BasicTickFormatter"},"plot":{"id":"68641886-9b71-4596-b205-5f5d11b39084","subtype":"Figure","type":"Plot"},"ticker":{"id":"c453c4e4-6a16-4e09-b09d-697d37b37812","type":"BasicTicker"}},"id":"98286a87-6abe-4e9a-a103-2aebbdbf87c4","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["imgs","y","desc","fonts","x"],"data":{"desc":["A","b","C","d","E"],"fonts":["<i>italics</i>","<pre>pre</pre>","<b>bold</b>","<small>small</small>","<del>del</del>"],"imgs":["https://bokeh.pydata.org/static/snake.jpg","https://bokeh.pydata.org/static/snake2.png","https://bokeh.pydata.org/static/snake3D.png","https://bokeh.pydata.org/static/snake4_TheRevenge.png","https://bokeh.pydata.org/static/snakebite.jpg"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"2684fbf2-545f-4392-9d9f-2b2ee14964d4","type":"ColumnDataSource"},{"attributes":{},"id":"615383f4-d702-4bfe-b243-3a0bcdc28642","type":"BasicTickFormatter"},{"attributes":{},"id":"c5a687e5-6c73-41d8-85a8-3bb78c38f969","type":"LinearScale"},{"attributes":{},"id":"c453c4e4-6a16-4e09-b09d-697d37b37812","type":"BasicTicker"}],"root_ids":["68641886-9b71-4596-b205-5f5d11b39084"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ea131510-a71c-4156-99cf-a47f29e26aac","elementid":"3dfe4653-13bf-4518-a67a-2836af8f7bcd","modelid":"68641886-9b71-4596-b205-5f5d11b39084"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
