(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e3769f24-3b92-4b43-948f-f666415c7f84");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e3769f24-3b92-4b43-948f-f666415c7f84' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f5a677b8-cb5b-4279-879d-6f347211ef11":{"roots":{"references":[{"attributes":{"overlay":{"id":"90a9e3e4-cb3e-4d1c-a56f-44e806d1500f","type":"BoxAnnotation"}},"id":"2c2c6e1b-364f-42e6-bafb-a85e2906bff0","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"7c9640b3-96be-41ad-b5e7-d2de67269d7b","type":"DataRange1d"},{"attributes":{},"id":"2ab462be-4f1b-4719-b16a-daeb68e735fe","type":"HelpTool"},{"attributes":{},"id":"1a456255-4eb6-4723-b694-46e09e06ba2c","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"1a456255-4eb6-4723-b694-46e09e06ba2c","type":"BasicTickFormatter"},"plot":{"id":"eb180792-9dd0-4952-a935-07dede724965","subtype":"Figure","type":"Plot"},"ticker":{"id":"c61b7d00-29ec-4955-9550-00a09733e1c6","type":"BasicTicker"}},"id":"1a770650-54e3-4086-acc4-616ab8236447","type":"LinearAxis"},{"attributes":{},"id":"346c3057-0f9f-49ad-8e59-4fd69061204d","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"427dcc26-21c4-402c-bdcf-86f4f66a2e6c","type":"DataRange1d"},{"attributes":{},"id":"184cc73a-a436-4bac-96f9-324954d075b0","type":"PanTool"},{"attributes":{"plot":{"id":"eb180792-9dd0-4952-a935-07dede724965","subtype":"Figure","type":"Plot"},"ticker":{"id":"4bd0a161-4fea-41ab-8dad-1f810bb4a205","type":"BasicTicker"}},"id":"71f27183-25b0-4658-910a-5127bfc16cab","type":"Grid"},{"attributes":{"formatter":{"id":"7e7a0712-775e-4699-ae64-49188b12fee5","type":"BasicTickFormatter"},"plot":{"id":"eb180792-9dd0-4952-a935-07dede724965","subtype":"Figure","type":"Plot"},"ticker":{"id":"4bd0a161-4fea-41ab-8dad-1f810bb4a205","type":"BasicTicker"}},"id":"a80e8a79-31bd-4c99-a5c2-7467b9c0bde6","type":"LinearAxis"},{"attributes":{"below":[{"id":"a80e8a79-31bd-4c99-a5c2-7467b9c0bde6","type":"LinearAxis"}],"left":[{"id":"1a770650-54e3-4086-acc4-616ab8236447","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"a80e8a79-31bd-4c99-a5c2-7467b9c0bde6","type":"LinearAxis"},{"id":"71f27183-25b0-4658-910a-5127bfc16cab","type":"Grid"},{"id":"1a770650-54e3-4086-acc4-616ab8236447","type":"LinearAxis"},{"id":"42c1cc56-5039-4dce-8329-15d0605060cf","type":"Grid"},{"id":"90a9e3e4-cb3e-4d1c-a56f-44e806d1500f","type":"BoxAnnotation"},{"id":"88318432-4e5b-4e19-8485-1fca2a99fd08","type":"GlyphRenderer"}],"title":{"id":"cdfe5274-bc88-4969-972a-73f9cdb20d9e","type":"Title"},"toolbar":{"id":"2cb1b212-61f5-4de0-863e-0720cf62f902","type":"Toolbar"},"x_range":{"id":"7c9640b3-96be-41ad-b5e7-d2de67269d7b","type":"DataRange1d"},"x_scale":{"id":"94e9792d-a9c3-4233-8dd0-80ff199e5dbf","type":"LinearScale"},"y_range":{"id":"427dcc26-21c4-402c-bdcf-86f4f66a2e6c","type":"DataRange1d"},"y_scale":{"id":"acca2007-b760-4a9c-8802-c7879d02ffc7","type":"LinearScale"}},"id":"eb180792-9dd0-4952-a935-07dede724965","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7e7a0712-775e-4699-ae64-49188b12fee5","type":"BasicTickFormatter"},{"attributes":{},"id":"475cb14b-b5e5-40bf-a052-75ccaca7d9ea","type":"SaveTool"},{"attributes":{"source":{"id":"6c915c72-a6dc-4281-8e3f-777c839df0dc","type":"ColumnDataSource"}},"id":"9bd3ab28-559f-4e20-9b54-379df75779f8","type":"CDSView"},{"attributes":{},"id":"a305c466-3869-4589-8440-7b4b4ddc1f04","type":"ResetTool"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c1a0c09-461a-490f-8588-c71c9f90db99","type":"AnnularWedge"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"green"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"green"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"83ad6ef0-a53f-494c-9a19-0a13b91c7a29","type":"AnnularWedge"},{"attributes":{"data_source":{"id":"6c915c72-a6dc-4281-8e3f-777c839df0dc","type":"ColumnDataSource"},"glyph":{"id":"83ad6ef0-a53f-494c-9a19-0a13b91c7a29","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4c1a0c09-461a-490f-8588-c71c9f90db99","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"9bd3ab28-559f-4e20-9b54-379df75779f8","type":"CDSView"}},"id":"88318432-4e5b-4e19-8485-1fca2a99fd08","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"eb180792-9dd0-4952-a935-07dede724965","subtype":"Figure","type":"Plot"},"ticker":{"id":"c61b7d00-29ec-4955-9550-00a09733e1c6","type":"BasicTicker"}},"id":"42c1cc56-5039-4dce-8329-15d0605060cf","type":"Grid"},{"attributes":{},"id":"94e9792d-a9c3-4233-8dd0-80ff199e5dbf","type":"LinearScale"},{"attributes":{},"id":"acca2007-b760-4a9c-8802-c7879d02ffc7","type":"LinearScale"},{"attributes":{},"id":"c61b7d00-29ec-4955-9550-00a09733e1c6","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"6c915c72-a6dc-4281-8e3f-777c839df0dc","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"90a9e3e4-cb3e-4d1c-a56f-44e806d1500f","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"184cc73a-a436-4bac-96f9-324954d075b0","type":"PanTool"},{"id":"346c3057-0f9f-49ad-8e59-4fd69061204d","type":"WheelZoomTool"},{"id":"2c2c6e1b-364f-42e6-bafb-a85e2906bff0","type":"BoxZoomTool"},{"id":"475cb14b-b5e5-40bf-a052-75ccaca7d9ea","type":"SaveTool"},{"id":"a305c466-3869-4589-8440-7b4b4ddc1f04","type":"ResetTool"},{"id":"2ab462be-4f1b-4719-b16a-daeb68e735fe","type":"HelpTool"}]},"id":"2cb1b212-61f5-4de0-863e-0720cf62f902","type":"Toolbar"},{"attributes":{},"id":"4bd0a161-4fea-41ab-8dad-1f810bb4a205","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"cdfe5274-bc88-4969-972a-73f9cdb20d9e","type":"Title"}],"root_ids":["eb180792-9dd0-4952-a935-07dede724965"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f5a677b8-cb5b-4279-879d-6f347211ef11","elementid":"e3769f24-3b92-4b43-948f-f666415c7f84","modelid":"eb180792-9dd0-4952-a935-07dede724965"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
