(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fe5527ed-0787-4fb8-9ffc-ba80eff74b9f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fe5527ed-0787-4fb8-9ffc-ba80eff74b9f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1b028994-b18a-4803-8aa7-1efcba6a5f87":{"roots":{"references":[{"attributes":{"data_source":{"id":"bebf0c00-246b-49a5-aa29-9066358233fd","type":"ColumnDataSource"},"glyph":{"id":"3ca5c57d-9f19-4e94-b1a4-2dd57383f204","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d0382a3e-da16-4eaf-9acd-23889b7f4b6f","type":"Ellipse"},"selection_glyph":null,"view":{"id":"5da68ef7-f593-475d-8a01-fb049e02edda","type":"CDSView"}},"id":"77ff9b4e-8cf4-496c-84cb-02694d663abf","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["width","y","x"],"data":{"width":[0.2,0.3,0.1],"x":[1,2,3],"y":[1,2,3]}},"id":"bebf0c00-246b-49a5-aa29-9066358233fd","type":"ColumnDataSource"},{"attributes":{},"id":"ac55b2d9-a208-4834-bd69-8374b476e8a9","type":"BasicTicker"},{"attributes":{},"id":"f6aa3b7f-8632-4c4c-8125-f2b1f4083b5b","type":"ResetTool"},{"attributes":{},"id":"127aaaf3-3f46-4742-8913-1f170407da46","type":"SaveTool"},{"attributes":{"plot":{"id":"3c9dc252-5796-408e-ac9c-c57c223f4a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"ac55b2d9-a208-4834-bd69-8374b476e8a9","type":"BasicTicker"}},"id":"e3629eb4-08a3-47bf-b459-5ba5a801d26d","type":"Grid"},{"attributes":{},"id":"6198cfeb-c7ee-4780-bedc-766da85f7789","type":"HelpTool"},{"attributes":{},"id":"b0de1cac-8481-411b-a1b7-93e600933968","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"3c9dc252-5796-408e-ac9c-c57c223f4a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"4221161b-c467-4543-bc82-dca4131d2ade","type":"BasicTicker"}},"id":"86f76c92-e38a-4dd4-987a-0de21cf8b511","type":"Grid"},{"attributes":{},"id":"8c619dbf-64ac-493d-877b-6f0139f6c5c8","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"b0de1cac-8481-411b-a1b7-93e600933968","type":"BasicTickFormatter"},"plot":{"id":"3c9dc252-5796-408e-ac9c-c57c223f4a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"ac55b2d9-a208-4834-bd69-8374b476e8a9","type":"BasicTicker"}},"id":"289a789f-4601-461c-bd0b-e8d9f3ccb0e5","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8b772b00-a819-4064-b6e7-3f92cdb904f4","type":"PanTool"},{"id":"11364204-a39f-40f4-859e-7cab91d15eb3","type":"WheelZoomTool"},{"id":"eab3a6b4-1a48-447a-a4e8-66cc9ef169f3","type":"BoxZoomTool"},{"id":"127aaaf3-3f46-4742-8913-1f170407da46","type":"SaveTool"},{"id":"f6aa3b7f-8632-4c4c-8125-f2b1f4083b5b","type":"ResetTool"},{"id":"6198cfeb-c7ee-4780-bedc-766da85f7789","type":"HelpTool"}]},"id":"a551a9a4-a34a-4a4d-bcf4-5354f2b91f7c","type":"Toolbar"},{"attributes":{},"id":"fd203f5b-6899-4f05-937e-6ab803cf5b76","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"00e55897-3e1c-4e92-a4ff-3ff4ee33d5ff","type":"Title"},{"attributes":{},"id":"db691d78-7dac-4186-af67-a93f2a183b8c","type":"LinearScale"},{"attributes":{},"id":"4221161b-c467-4543-bc82-dca4131d2ade","type":"BasicTicker"},{"attributes":{"below":[{"id":"289a789f-4601-461c-bd0b-e8d9f3ccb0e5","type":"LinearAxis"}],"left":[{"id":"069e2763-dfd1-40f1-a908-254308976a3c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"289a789f-4601-461c-bd0b-e8d9f3ccb0e5","type":"LinearAxis"},{"id":"e3629eb4-08a3-47bf-b459-5ba5a801d26d","type":"Grid"},{"id":"069e2763-dfd1-40f1-a908-254308976a3c","type":"LinearAxis"},{"id":"86f76c92-e38a-4dd4-987a-0de21cf8b511","type":"Grid"},{"id":"a1068317-8caa-45b4-b543-ae248dd63fee","type":"BoxAnnotation"},{"id":"77ff9b4e-8cf4-496c-84cb-02694d663abf","type":"GlyphRenderer"}],"title":{"id":"00e55897-3e1c-4e92-a4ff-3ff4ee33d5ff","type":"Title"},"toolbar":{"id":"a551a9a4-a34a-4a4d-bcf4-5354f2b91f7c","type":"Toolbar"},"x_range":{"id":"6a447de9-06f5-4e13-9c78-c12a1e8d28da","type":"DataRange1d"},"x_scale":{"id":"fd203f5b-6899-4f05-937e-6ab803cf5b76","type":"LinearScale"},"y_range":{"id":"dd95db9b-d83e-436f-841b-00e6090338aa","type":"DataRange1d"},"y_scale":{"id":"db691d78-7dac-4186-af67-a93f2a183b8c","type":"LinearScale"}},"id":"3c9dc252-5796-408e-ac9c-c57c223f4a6f","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"8c619dbf-64ac-493d-877b-6f0139f6c5c8","type":"BasicTickFormatter"},"plot":{"id":"3c9dc252-5796-408e-ac9c-c57c223f4a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"4221161b-c467-4543-bc82-dca4131d2ade","type":"BasicTicker"}},"id":"069e2763-dfd1-40f1-a908-254308976a3c","type":"LinearAxis"},{"attributes":{"source":{"id":"bebf0c00-246b-49a5-aa29-9066358233fd","type":"ColumnDataSource"}},"id":"5da68ef7-f593-475d-8a01-fb049e02edda","type":"CDSView"},{"attributes":{},"id":"8b772b00-a819-4064-b6e7-3f92cdb904f4","type":"PanTool"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"data","value":0.3},"line_color":{"value":"#CAB2D6"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"3ca5c57d-9f19-4e94-b1a4-2dd57383f204","type":"Ellipse"},{"attributes":{"callback":null},"id":"dd95db9b-d83e-436f-841b-00e6090338aa","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a1068317-8caa-45b4-b543-ae248dd63fee","type":"BoxAnnotation"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.3},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d0382a3e-da16-4eaf-9acd-23889b7f4b6f","type":"Ellipse"},{"attributes":{"callback":null},"id":"6a447de9-06f5-4e13-9c78-c12a1e8d28da","type":"DataRange1d"},{"attributes":{},"id":"11364204-a39f-40f4-859e-7cab91d15eb3","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"a1068317-8caa-45b4-b543-ae248dd63fee","type":"BoxAnnotation"}},"id":"eab3a6b4-1a48-447a-a4e8-66cc9ef169f3","type":"BoxZoomTool"}],"root_ids":["3c9dc252-5796-408e-ac9c-c57c223f4a6f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1b028994-b18a-4803-8aa7-1efcba6a5f87","elementid":"fe5527ed-0787-4fb8-9ffc-ba80eff74b9f","modelid":"3c9dc252-5796-408e-ac9c-c57c223f4a6f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
