(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("08e395cb-91fa-4b1f-b3f1-4f2b0f6d29ac");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '08e395cb-91fa-4b1f-b3f1-4f2b0f6d29ac' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8400abda-add0-463d-a4f2-b5d3db5ae467":{"roots":{"references":[{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"e8baab3d-41fd-4cb5-b72d-0e4258ff9414","type":"Range1d"},{"attributes":{},"id":"ff610d07-a563-46ca-8e35-e8349ce64423","type":"EdgesAndLinkedNodes"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1117fb56-2b5e-4f22-a204-bc48d5a01f86","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"91ed41d5-46d8-41eb-997c-f0fa3bece17a","type":"ColumnDataSource"},"glyph":{"id":"7a85dc59-576e-4c21-82ea-176b6aa7d1a3","type":"Circle"},"hover_glyph":{"id":"e572f06a-312d-4dba-a739-0e6fea233366","type":"Circle"},"muted_glyph":null,"selection_glyph":{"id":"49dc3a30-b330-412b-b5d4-4b3717075537","type":"Circle"},"view":{"id":"f6700c6c-1c06-48de-82e6-fa78d888ef71","type":"CDSView"}},"id":"1a946e92-a6f4-45ed-81ac-a4a25ae5c2cb","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#fdae61"},"size":{"units":"screen","value":15}},"id":"49dc3a30-b330-412b-b5d4-4b3717075537","type":"Circle"},{"attributes":{"plot_height":400,"plot_width":400,"renderers":[{"id":"1117fb56-2b5e-4f22-a204-bc48d5a01f86","type":"BoxAnnotation"},{"id":"aa5988df-7757-477d-b91e-3ffe09810089","type":"GraphRenderer"}],"title":{"id":"4691df89-dec1-47cd-8ee9-29ca99e7e005","type":"Title"},"toolbar":{"id":"b2f27984-7219-4eeb-8490-192b469f9767","type":"Toolbar"},"x_range":{"id":"e8baab3d-41fd-4cb5-b72d-0e4258ff9414","type":"Range1d"},"x_scale":{"id":"4ad1fee9-92bd-4d8b-a876-77775cf683f5","type":"LinearScale"},"y_range":{"id":"e174d6d8-a98b-400a-a7ea-2b39d0760959","type":"Range1d"},"y_scale":{"id":"c7f47484-848e-4b7e-aa97-137abffd5462","type":"LinearScale"}},"id":"84570e10-454b-4ace-a37b-b02987e0877f","type":"Plot"},{"attributes":{},"id":"4ad1fee9-92bd-4d8b-a876-77775cf683f5","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"03d9f9e4-df12-4b4b-ad74-735ccf0170c6","type":"ColumnDataSource"},{"attributes":{},"id":"c7f47484-848e-4b7e-aa97-137abffd5462","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#abdda4"},"size":{"units":"screen","value":15}},"id":"e572f06a-312d-4dba-a739-0e6fea233366","type":"Circle"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.9829730996839018,0.18374951781657034],"10":[-0.2736629900720829,0.961825643172819],"11":[-0.44573835577653825,0.8951632913550623],"12":[-0.6026346363792563,0.7980172272802396],"13":[-0.739008917220659,0.6736956436465573],"14":[-0.8502171357296142,0.5264321628773557],"15":[-0.9324722294043558,0.36124166618715287],"16":[-0.9829730996839018,0.18374951781657037],"17":[-1.0,1.2246467991473532e-16],"18":[-0.9829730996839018,-0.18374951781657015],"19":[-0.9324722294043557,-0.3612416661871531],"2":[0.9324722294043558,0.3612416661871529],"20":[-0.8502171357296141,-0.5264321628773558],"21":[-0.7390089172206591,-0.6736956436465572],"22":[-0.6026346363792565,-0.7980172272802394],"23":[-0.44573835577653803,-0.8951632913550625],"24":[-0.2736629900720831,-0.961825643172819],"25":[-0.0922683594633019,-0.9957341762950346],"26":[0.09226835946330156,-0.9957341762950346],"27":[0.2736629900720828,-0.961825643172819],"28":[0.44573835577653853,-0.8951632913550622],"29":[0.6026346363792562,-0.7980172272802397],"3":[0.8502171357296142,0.5264321628773557],"30":[0.7390089172206591,-0.6736956436465571],"31":[0.850217135729614,-0.5264321628773562],"32":[0.9324722294043558,-0.361241666187153],"33":[0.9829730996839018,-0.18374951781657006],"4":[0.7390089172206591,0.6736956436465572],"5":[0.6026346363792564,0.7980172272802395],"6":[0.4457383557765383,0.8951632913550623],"7":[0.2736629900720828,0.961825643172819],"8":[0.092268359463302,0.9957341762950345],"9":[-0.09226835946330189,0.9957341762950346]}},"id":"a933c005-8e2e-4290-b66e-d3fe3ecfa799","type":"StaticLayoutProvider"},{"attributes":{"data_source":{"id":"03d9f9e4-df12-4b4b-ad74-735ccf0170c6","type":"ColumnDataSource"},"glyph":{"id":"ec8a8108-e813-4ee7-8e0d-22ad0b92c98b","type":"MultiLine"},"hover_glyph":{"id":"2fc0a2fe-8387-41c6-83ac-afccc01a6bfa","type":"MultiLine"},"muted_glyph":null,"selection_glyph":{"id":"ce414cba-f379-4fbe-846d-7212168f3de3","type":"MultiLine"},"view":{"id":"059de7dc-42cd-4c9f-ae48-4168d395bcf2","type":"CDSView"}},"id":"9cc9533d-22be-4aad-a1c8-4d552fcda39c","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"#abdda4"},"line_width":{"value":5}},"id":"2fc0a2fe-8387-41c6-83ac-afccc01a6bfa","type":"MultiLine"},{"attributes":{},"id":"998f2f19-03c0-462a-81ba-c766ffb25be0","type":"NodesAndLinkedEdges"},{"attributes":{"line_alpha":{"value":0.8},"line_color":{"value":"#CCCCCC"},"line_width":{"value":5}},"id":"ec8a8108-e813-4ee7-8e0d-22ad0b92c98b","type":"MultiLine"},{"attributes":{"fill_color":{"value":"#2b83ba"},"size":{"units":"screen","value":15}},"id":"7a85dc59-576e-4c21-82ea-176b6aa7d1a3","type":"Circle"},{"attributes":{"plot":null,"text":"Graph Interaction Demonstration"},"id":"4691df89-dec1-47cd-8ee9-29ca99e7e005","type":"Title"},{"attributes":{"line_color":{"value":"#fdae61"},"line_width":{"value":5}},"id":"ce414cba-f379-4fbe-846d-7212168f3de3","type":"MultiLine"},{"attributes":{"edge_renderer":{"id":"9cc9533d-22be-4aad-a1c8-4d552fcda39c","type":"GlyphRenderer"},"inspection_policy":{"id":"ff610d07-a563-46ca-8e35-e8349ce64423","type":"EdgesAndLinkedNodes"},"layout_provider":{"id":"a933c005-8e2e-4290-b66e-d3fe3ecfa799","type":"StaticLayoutProvider"},"node_renderer":{"id":"1a946e92-a6f4-45ed-81ac-a4a25ae5c2cb","type":"GlyphRenderer"},"selection_policy":{"id":"998f2f19-03c0-462a-81ba-c766ffb25be0","type":"NodesAndLinkedEdges"}},"id":"aa5988df-7757-477d-b91e-3ffe09810089","type":"GraphRenderer"},{"attributes":{"source":{"id":"03d9f9e4-df12-4b4b-ad74-735ccf0170c6","type":"ColumnDataSource"}},"id":"059de7dc-42cd-4c9f-ae48-4168d395bcf2","type":"CDSView"},{"attributes":{"callback":null},"id":"25bd5607-5570-4311-806a-f028617184fe","type":"TapTool"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"e174d6d8-a98b-400a-a7ea-2b39d0760959","type":"Range1d"},{"attributes":{"callback":null,"tooltips":null},"id":"e505979a-fd89-4bdc-9c65-0aecf562f185","type":"HoverTool"},{"attributes":{"source":{"id":"91ed41d5-46d8-41eb-997c-f0fa3bece17a","type":"ColumnDataSource"}},"id":"f6700c6c-1c06-48de-82e6-fa78d888ef71","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e505979a-fd89-4bdc-9c65-0aecf562f185","type":"HoverTool"},{"id":"25bd5607-5570-4311-806a-f028617184fe","type":"TapTool"},{"id":"88a90208-40b5-4da9-be5c-1bf504a875e6","type":"BoxSelectTool"}]},"id":"b2f27984-7219-4eeb-8490-192b469f9767","type":"Toolbar"},{"attributes":{"callback":null,"overlay":{"id":"1117fb56-2b5e-4f22-a204-bc48d5a01f86","type":"BoxAnnotation"}},"id":"88a90208-40b5-4da9-be5c-1bf504a875e6","type":"BoxSelectTool"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"91ed41d5-46d8-41eb-997c-f0fa3bece17a","type":"ColumnDataSource"}],"root_ids":["84570e10-454b-4ace-a37b-b02987e0877f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8400abda-add0-463d-a4f2-b5d3db5ae467","elementid":"08e395cb-91fa-4b1f-b3f1-4f2b0f6d29ac","modelid":"84570e10-454b-4ace-a37b-b02987e0877f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
