(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e432e439-9155-4861-9edd-e82cfa8852c4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e432e439-9155-4861-9edd-e82cfa8852c4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"01e16ee7-d20a-4899-b182-e74325463f1b":{"roots":{"references":[{"attributes":{"data_source":{"id":"0e43693b-80d9-46dd-8aec-d0053b274c9a","type":"ColumnDataSource"},"glyph":{"id":"dded7ec7-028f-401e-af96-0abf628cf1c9","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"950621ba-ecb1-4e89-be3a-806733627564","type":"Patch"},"selection_glyph":null,"view":{"id":"c4991366-ee43-478b-a2e4-e009c5c146b5","type":"CDSView"}},"id":"149936f4-d7b4-4160-bdcb-d18d51efc874","type":"GlyphRenderer"},{"attributes":{},"id":"896e55e2-3ae4-426a-80f1-afefa22dbab1","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5,6],"y":[6,7,5,"NaN",7,3,6]}},"id":"0e43693b-80d9-46dd-8aec-d0053b274c9a","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"8ed9c4fb-7722-4b5d-b5fb-0e13c7ba3ff8","type":"BasicTickFormatter"},"plot":{"id":"1bf2fb83-cffb-443d-b878-175d43e61bd7","subtype":"Figure","type":"Plot"},"ticker":{"id":"7229747c-540b-4909-81ce-b8dcf9a83a01","type":"BasicTicker"}},"id":"5b3c4a6d-e869-4918-9768-38fad78779d0","type":"LinearAxis"},{"attributes":{},"id":"03c9ddb3-9d03-4582-8b88-a59e2fbbd86e","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"1bf2fb83-cffb-443d-b878-175d43e61bd7","subtype":"Figure","type":"Plot"},"ticker":{"id":"7229747c-540b-4909-81ce-b8dcf9a83a01","type":"BasicTicker"}},"id":"be56a03b-9d2a-40cf-997e-27d7bd0f946c","type":"Grid"},{"attributes":{"source":{"id":"0e43693b-80d9-46dd-8aec-d0053b274c9a","type":"ColumnDataSource"}},"id":"c4991366-ee43-478b-a2e4-e009c5c146b5","type":"CDSView"},{"attributes":{},"id":"59cdb4e2-c518-4b14-8d97-dbd86803cc65","type":"SaveTool"},{"attributes":{},"id":"84b7c6f1-2cd5-489e-8275-4793cde14477","type":"LinearScale"},{"attributes":{"overlay":{"id":"f410ba3a-f23b-4ecb-84f5-5436f4ab608b","type":"BoxAnnotation"}},"id":"32406643-d741-4e01-88c2-2708c40c20df","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"1bf2fb83-cffb-443d-b878-175d43e61bd7","subtype":"Figure","type":"Plot"},"ticker":{"id":"c477fadc-fd92-4536-9296-7550465c7f14","type":"BasicTicker"}},"id":"9475a1a6-5c5a-4fb1-90dd-f370e45b9d26","type":"Grid"},{"attributes":{"formatter":{"id":"5c0cbfb0-d29b-4977-b82b-dc01b7b4a4d4","type":"BasicTickFormatter"},"plot":{"id":"1bf2fb83-cffb-443d-b878-175d43e61bd7","subtype":"Figure","type":"Plot"},"ticker":{"id":"c477fadc-fd92-4536-9296-7550465c7f14","type":"BasicTicker"}},"id":"e61a420e-a60b-4150-b28f-c3bcbacb652c","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"896e55e2-3ae4-426a-80f1-afefa22dbab1","type":"PanTool"},{"id":"48b2a0c0-f38c-4535-8464-957e261d4df6","type":"WheelZoomTool"},{"id":"32406643-d741-4e01-88c2-2708c40c20df","type":"BoxZoomTool"},{"id":"59cdb4e2-c518-4b14-8d97-dbd86803cc65","type":"SaveTool"},{"id":"03c9ddb3-9d03-4582-8b88-a59e2fbbd86e","type":"ResetTool"},{"id":"a5e2fa44-567a-42e2-9390-08f4fcad7d4e","type":"HelpTool"}]},"id":"e44b313d-2c1e-4db4-ac91-f161379fe3d0","type":"Toolbar"},{"attributes":{},"id":"a5e2fa44-567a-42e2-9390-08f4fcad7d4e","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"950621ba-ecb1-4e89-be3a-806733627564","type":"Patch"},{"attributes":{"plot":null,"text":""},"id":"c0391cb6-6e05-44bb-bdd2-4e53a8c6eeb8","type":"Title"},{"attributes":{"callback":null},"id":"6d4c4d00-fede-4594-8de7-9ba034201562","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f410ba3a-f23b-4ecb-84f5-5436f4ab608b","type":"BoxAnnotation"},{"attributes":{},"id":"c477fadc-fd92-4536-9296-7550465c7f14","type":"BasicTicker"},{"attributes":{},"id":"8ed9c4fb-7722-4b5d-b5fb-0e13c7ba3ff8","type":"BasicTickFormatter"},{"attributes":{},"id":"5c0cbfb0-d29b-4977-b82b-dc01b7b4a4d4","type":"BasicTickFormatter"},{"attributes":{},"id":"fe2906e5-21f7-4266-8498-90f65e482684","type":"LinearScale"},{"attributes":{},"id":"48b2a0c0-f38c-4535-8464-957e261d4df6","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"e61a420e-a60b-4150-b28f-c3bcbacb652c","type":"LinearAxis"}],"left":[{"id":"5b3c4a6d-e869-4918-9768-38fad78779d0","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"e61a420e-a60b-4150-b28f-c3bcbacb652c","type":"LinearAxis"},{"id":"9475a1a6-5c5a-4fb1-90dd-f370e45b9d26","type":"Grid"},{"id":"5b3c4a6d-e869-4918-9768-38fad78779d0","type":"LinearAxis"},{"id":"be56a03b-9d2a-40cf-997e-27d7bd0f946c","type":"Grid"},{"id":"f410ba3a-f23b-4ecb-84f5-5436f4ab608b","type":"BoxAnnotation"},{"id":"149936f4-d7b4-4160-bdcb-d18d51efc874","type":"GlyphRenderer"}],"title":{"id":"c0391cb6-6e05-44bb-bdd2-4e53a8c6eeb8","type":"Title"},"toolbar":{"id":"e44b313d-2c1e-4db4-ac91-f161379fe3d0","type":"Toolbar"},"x_range":{"id":"303e91ec-51ac-46bc-ae61-3ab28de5f9fa","type":"DataRange1d"},"x_scale":{"id":"fe2906e5-21f7-4266-8498-90f65e482684","type":"LinearScale"},"y_range":{"id":"6d4c4d00-fede-4594-8de7-9ba034201562","type":"DataRange1d"},"y_scale":{"id":"84b7c6f1-2cd5-489e-8275-4793cde14477","type":"LinearScale"}},"id":"1bf2fb83-cffb-443d-b878-175d43e61bd7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"7229747c-540b-4909-81ce-b8dcf9a83a01","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"dded7ec7-028f-401e-af96-0abf628cf1c9","type":"Patch"},{"attributes":{"callback":null},"id":"303e91ec-51ac-46bc-ae61-3ab28de5f9fa","type":"DataRange1d"}],"root_ids":["1bf2fb83-cffb-443d-b878-175d43e61bd7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"01e16ee7-d20a-4899-b182-e74325463f1b","elementid":"e432e439-9155-4861-9edd-e82cfa8852c4","modelid":"1bf2fb83-cffb-443d-b878-175d43e61bd7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
