(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3dfff9bc-3f9a-4e29-b461-455a4d0ed506");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3dfff9bc-3f9a-4e29-b461-455a4d0ed506' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"19dd3227-860d-4e8f-bf53-77fa648a3fef":{"roots":{"references":[{"attributes":{},"id":"480319d8-5662-4c55-ae82-9a9616870848","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.5},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"80a1dab6-8723-4964-8dd3-c6480ec853c0","type":"Triangle"},{"attributes":{"formatter":{"id":"5e9e0c6f-4397-4e46-b235-18c211193b7a","type":"BasicTickFormatter"},"plot":{"id":"f95f2361-c850-4c38-bdc0-4fcbdd08a4d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"3d3cd575-d614-463f-85ce-a5ac7a7fec89","type":"BasicTicker"}},"id":"70b7f72c-218e-4f76-9ef2-41199d7262e1","type":"LinearAxis"},{"attributes":{},"id":"5fccc66b-be8e-492e-8abd-1bccf6338972","type":"ResetTool"},{"attributes":{},"id":"26d4dab5-94ca-40bc-b661-9cec248864d8","type":"LinearScale"},{"attributes":{},"id":"7891b070-a154-4b84-bd90-45d9c38ba845","type":"PanTool"},{"attributes":{"plot":{"id":"b620e4f1-a3e5-4a1f-9f7c-42814c3ec2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0356679-b042-44db-ba74-a4ac9ea3bb6a","type":"BasicTicker"}},"id":"b6cf97f8-4f85-4e9b-b73b-a87f0ff40d29","type":"Grid"},{"attributes":{},"id":"a10fd026-b2bf-442b-9e9d-403be8922c8e","type":"HelpTool"},{"attributes":{},"id":"b9359ce5-0847-4202-8992-b1ef82cc08f7","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5cf3f291-ae30-41c2-8a38-44a4ae2b7189","type":"Square"},{"attributes":{},"id":"c384cfcb-6802-41b0-9bd5-3b4cce0069fb","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"517ef094-4dc1-4255-8729-6ee30429d86c","type":"PanTool"},{"id":"5f989119-9392-4a15-9f27-f419464cbfe7","type":"WheelZoomTool"},{"id":"e3cdbd05-51b1-403f-887c-9129bc587b52","type":"BoxZoomTool"},{"id":"b9359ce5-0847-4202-8992-b1ef82cc08f7","type":"SaveTool"},{"id":"c63dc206-0c38-46be-a472-b8abb5a3f6c5","type":"ResetTool"},{"id":"5de195b0-61c2-4d3a-86b5-4415a7341190","type":"HelpTool"}]},"id":"0dcf4eca-73bc-4d97-bfbf-b772c0d1b787","type":"Toolbar"},{"attributes":{},"id":"fb32053a-0d9e-4062-8ee5-b2350572f7fb","type":"LinearScale"},{"attributes":{},"id":"a24da2dc-0e83-4a14-89a3-954f9b744342","type":"BasicTicker"},{"attributes":{},"id":"5f989119-9392-4a15-9f27-f419464cbfe7","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"4e5dfc43-2ae0-471a-8cda-9ed02d871194","type":"ColumnDataSource"},"glyph":{"id":"3a088b1b-0964-43af-b77b-877ff623f1ae","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b54a8d72-83bc-429f-8736-9dc37d45c6f0","type":"Circle"},"selection_glyph":null,"view":{"id":"6e30e2ea-e3b6-437d-825f-7bc0aa8f6900","type":"CDSView"}},"id":"093dbd4e-7b54-4517-bdea-65a77b414114","type":"GlyphRenderer"},{"attributes":{},"id":"b0356679-b042-44db-ba74-a4ac9ea3bb6a","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3a088b1b-0964-43af-b77b-877ff623f1ae","type":"Circle"},{"attributes":{},"id":"d2ce7cb1-e422-481c-89dc-b48a4385fe71","type":"SaveTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a419da4c-7c17-4e4e-8c1c-e83c65ebc193","type":"Triangle"},{"attributes":{},"id":"d5598065-250a-46f8-9a61-e2846a2f4696","type":"PanTool"},{"attributes":{"plot":{"id":"bf71665d-8046-4592-83a4-e1ebafce974f","subtype":"Figure","type":"Plot"},"ticker":{"id":"15b521f6-5cbc-4653-b60e-69c2afb2c186","type":"BasicTicker"}},"id":"cb5c08d7-a6ba-4f1c-8b28-066d3ad9bf41","type":"Grid"},{"attributes":{},"id":"517ef094-4dc1-4255-8729-6ee30429d86c","type":"PanTool"},{"attributes":{},"id":"9e6d2fa2-9e34-4d78-b793-97d76d359fcd","type":"BasicTickFormatter"},{"attributes":{},"id":"e7bc8c65-bf65-4a16-a5b5-ceeade9f4e8e","type":"BasicTicker"},{"attributes":{},"id":"f789eb9f-df88-4b91-b408-8a83e574c5f1","type":"LinearScale"},{"attributes":{"below":[{"id":"983c8a69-5faf-4627-ab14-2c726075a86f","type":"LinearAxis"}],"left":[{"id":"a6b3fadc-add6-49ec-a9f1-673215c9f5c7","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"983c8a69-5faf-4627-ab14-2c726075a86f","type":"LinearAxis"},{"id":"cb5c08d7-a6ba-4f1c-8b28-066d3ad9bf41","type":"Grid"},{"id":"a6b3fadc-add6-49ec-a9f1-673215c9f5c7","type":"LinearAxis"},{"id":"c4a9dde3-d6d2-4985-a44a-21b0bb61befa","type":"Grid"},{"id":"b8653cae-d557-4046-90ee-c4003d695fb0","type":"BoxAnnotation"},{"id":"093dbd4e-7b54-4517-bdea-65a77b414114","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"0dcf4eca-73bc-4d97-bfbf-b772c0d1b787","type":"Toolbar"},"x_range":{"id":"973f2bdf-bda0-41e3-83d0-1ee6ac48c863","type":"DataRange1d"},"x_scale":{"id":"ba55f622-2965-4563-8190-e210b97e33c1","type":"LinearScale"},"y_range":{"id":"ac641af5-4b38-4d72-be77-be8f2547489d","type":"DataRange1d"},"y_scale":{"id":"ded72844-46fe-4cc4-a951-af0364b8a054","type":"LinearScale"}},"id":"bf71665d-8046-4592-83a4-e1ebafce974f","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"601aa035-a90f-4581-8f95-71add458efd0","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b8653cae-d557-4046-90ee-c4003d695fb0","type":"BoxAnnotation"},{"attributes":{},"id":"c63dc206-0c38-46be-a472-b8abb5a3f6c5","type":"ResetTool"},{"attributes":{"formatter":{"id":"f9543291-cb66-43bd-99e1-27af37c36ee5","type":"BasicTickFormatter"},"plot":{"id":"bf71665d-8046-4592-83a4-e1ebafce974f","subtype":"Figure","type":"Plot"},"ticker":{"id":"15b521f6-5cbc-4653-b60e-69c2afb2c186","type":"BasicTicker"}},"id":"983c8a69-5faf-4627-ab14-2c726075a86f","type":"LinearAxis"},{"attributes":{},"id":"69e615c4-495b-4599-af5c-61f69d52f24c","type":"HelpTool"},{"attributes":{"source":{"id":"ff0cca06-0771-4447-931c-5babeb8ea73c","type":"ColumnDataSource"}},"id":"a5504571-e3f9-4efc-a2f3-0ecab2017879","type":"CDSView"},{"attributes":{"callback":null},"id":"faeada10-de75-4c4d-a361-deb8014361ce","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"b620e4f1-a3e5-4a1f-9f7c-42814c3ec2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7bc8c65-bf65-4a16-a5b5-ceeade9f4e8e","type":"BasicTicker"}},"id":"48bdb22f-f5f3-490d-a627-7636bab4577c","type":"Grid"},{"attributes":{"overlay":{"id":"d00b32f6-9255-4a48-9b2c-7aea6f685a6a","type":"BoxAnnotation"}},"id":"bc5f64ee-ef29-4c14-ade4-808a84b167d7","type":"BoxZoomTool"},{"attributes":{},"id":"15b521f6-5cbc-4653-b60e-69c2afb2c186","type":"BasicTicker"},{"attributes":{"below":[{"id":"c43f46be-c930-4671-bf23-ac66cc7ce0a2","type":"LinearAxis"}],"left":[{"id":"e5c0114e-b0e9-46e2-a356-6137f6f2a7a2","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"c43f46be-c930-4671-bf23-ac66cc7ce0a2","type":"LinearAxis"},{"id":"b6cf97f8-4f85-4e9b-b73b-a87f0ff40d29","type":"Grid"},{"id":"e5c0114e-b0e9-46e2-a356-6137f6f2a7a2","type":"LinearAxis"},{"id":"48bdb22f-f5f3-490d-a627-7636bab4577c","type":"Grid"},{"id":"ef7dcffa-122a-4497-abd1-4f5191ee9c1c","type":"BoxAnnotation"},{"id":"4f493162-3af8-4d6c-9104-3dd7cff37d23","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"d3b40a0b-4914-47c5-9802-84f73ed86d54","type":"Toolbar"},"x_range":{"id":"663a0273-993f-4113-94db-f7437e364396","type":"DataRange1d"},"x_scale":{"id":"ea63d50f-24d2-499e-b8c5-b347ef5522e3","type":"LinearScale"},"y_range":{"id":"533c3ccc-d98b-4e74-b51b-0b9167d96c61","type":"DataRange1d"},"y_scale":{"id":"fb32053a-0d9e-4062-8ee5-b2350572f7fb","type":"LinearScale"}},"id":"b620e4f1-a3e5-4a1f-9f7c-42814c3ec2ee","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"f95f2361-c850-4c38-bdc0-4fcbdd08a4d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"3d3cd575-d614-463f-85ce-a5ac7a7fec89","type":"BasicTicker"}},"id":"008f54d7-6ea1-458b-88b1-f23bf59c446d","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"f95f2361-c850-4c38-bdc0-4fcbdd08a4d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"2047e578-ca79-4073-9d19-aca9554c7adb","type":"BasicTicker"}},"id":"364966f1-c4eb-4ab7-ad4a-c678afcdc91d","type":"Grid"},{"attributes":{"children":[{"id":"bf71665d-8046-4592-83a4-e1ebafce974f","subtype":"Figure","type":"Plot"},{"id":"f95f2361-c850-4c38-bdc0-4fcbdd08a4d0","subtype":"Figure","type":"Plot"},{"id":"b620e4f1-a3e5-4a1f-9f7c-42814c3ec2ee","subtype":"Figure","type":"Plot"}]},"id":"9fd56dda-6ea7-4c0b-b1e7-dd448f574ea5","type":"Column"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"ff0cca06-0771-4447-931c-5babeb8ea73c","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"9e6d2fa2-9e34-4d78-b793-97d76d359fcd","type":"BasicTickFormatter"},"plot":{"id":"bf71665d-8046-4592-83a4-e1ebafce974f","subtype":"Figure","type":"Plot"},"ticker":{"id":"a24da2dc-0e83-4a14-89a3-954f9b744342","type":"BasicTicker"}},"id":"a6b3fadc-add6-49ec-a9f1-673215c9f5c7","type":"LinearAxis"},{"attributes":{"callback":null},"id":"533c3ccc-d98b-4e74-b51b-0b9167d96c61","type":"DataRange1d"},{"attributes":{},"id":"f9543291-cb66-43bd-99e1-27af37c36ee5","type":"BasicTickFormatter"},{"attributes":{},"id":"ded72844-46fe-4cc4-a951-af0364b8a054","type":"LinearScale"},{"attributes":{"data_source":{"id":"ff0cca06-0771-4447-931c-5babeb8ea73c","type":"ColumnDataSource"},"glyph":{"id":"afb52a4e-2362-4357-abba-7050cb3eec3d","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5cf3f291-ae30-41c2-8a38-44a4ae2b7189","type":"Square"},"selection_glyph":null,"view":{"id":"a5504571-e3f9-4efc-a2f3-0ecab2017879","type":"CDSView"}},"id":"4f493162-3af8-4d6c-9104-3dd7cff37d23","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b54a8d72-83bc-429f-8736-9dc37d45c6f0","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"olive"},"line_alpha":{"value":0.5},"line_color":{"value":"olive"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"afb52a4e-2362-4357-abba-7050cb3eec3d","type":"Square"},{"attributes":{},"id":"3d3cd575-d614-463f-85ce-a5ac7a7fec89","type":"BasicTicker"},{"attributes":{},"id":"5e9e0c6f-4397-4e46-b235-18c211193b7a","type":"BasicTickFormatter"},{"attributes":{},"id":"1d9880a5-018a-4356-887e-1763bd2e0c9f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"9b364ca9-6dcb-4fdf-bc88-4e572464f154","type":"BasicTickFormatter"},"plot":{"id":"b620e4f1-a3e5-4a1f-9f7c-42814c3ec2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"b0356679-b042-44db-ba74-a4ac9ea3bb6a","type":"BasicTicker"}},"id":"c43f46be-c930-4671-bf23-ac66cc7ce0a2","type":"LinearAxis"},{"attributes":{"formatter":{"id":"480319d8-5662-4c55-ae82-9a9616870848","type":"BasicTickFormatter"},"plot":{"id":"b620e4f1-a3e5-4a1f-9f7c-42814c3ec2ee","subtype":"Figure","type":"Plot"},"ticker":{"id":"e7bc8c65-bf65-4a16-a5b5-ceeade9f4e8e","type":"BasicTicker"}},"id":"e5c0114e-b0e9-46e2-a356-6137f6f2a7a2","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"ef7dcffa-122a-4497-abd1-4f5191ee9c1c","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"663a0273-993f-4113-94db-f7437e364396","type":"DataRange1d"},{"attributes":{"callback":null},"id":"973f2bdf-bda0-41e3-83d0-1ee6ac48c863","type":"DataRange1d"},{"attributes":{},"id":"e1d4ca6a-b53c-4c10-8c56-d0fcea8b33d1","type":"ResetTool"},{"attributes":{"overlay":{"id":"b8653cae-d557-4046-90ee-c4003d695fb0","type":"BoxAnnotation"}},"id":"e3cdbd05-51b1-403f-887c-9129bc587b52","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"bf71665d-8046-4592-83a4-e1ebafce974f","subtype":"Figure","type":"Plot"},"ticker":{"id":"a24da2dc-0e83-4a14-89a3-954f9b744342","type":"BasicTicker"}},"id":"c4a9dde3-d6d2-4985-a44a-21b0bb61befa","type":"Grid"},{"attributes":{"below":[{"id":"70b7f72c-218e-4f76-9ef2-41199d7262e1","type":"LinearAxis"}],"left":[{"id":"437231c0-44ed-4349-96a6-bfcebeb2a4f0","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"70b7f72c-218e-4f76-9ef2-41199d7262e1","type":"LinearAxis"},{"id":"008f54d7-6ea1-458b-88b1-f23bf59c446d","type":"Grid"},{"id":"437231c0-44ed-4349-96a6-bfcebeb2a4f0","type":"LinearAxis"},{"id":"364966f1-c4eb-4ab7-ad4a-c678afcdc91d","type":"Grid"},{"id":"d00b32f6-9255-4a48-9b2c-7aea6f685a6a","type":"BoxAnnotation"},{"id":"5e609e5c-ffd1-4f2f-b476-ffaae91338a5","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"87b965ac-830e-41c1-8b42-b01b153747ca","type":"Toolbar"},"x_range":{"id":"faeada10-de75-4c4d-a361-deb8014361ce","type":"DataRange1d"},"x_scale":{"id":"f789eb9f-df88-4b91-b408-8a83e574c5f1","type":"LinearScale"},"y_range":{"id":"601aa035-a90f-4581-8f95-71add458efd0","type":"DataRange1d"},"y_scale":{"id":"26d4dab5-94ca-40bc-b661-9cec248864d8","type":"LinearScale"}},"id":"f95f2361-c850-4c38-bdc0-4fcbdd08a4d0","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"ba55f622-2965-4563-8190-e210b97e33c1","type":"LinearScale"},{"attributes":{},"id":"e84dd789-06b1-4b60-a7b4-a63eaf9e3d74","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7891b070-a154-4b84-bd90-45d9c38ba845","type":"PanTool"},{"id":"5e747aa8-41bf-4bfc-af6c-dbaeeaabfb5f","type":"WheelZoomTool"},{"id":"bc5f64ee-ef29-4c14-ade4-808a84b167d7","type":"BoxZoomTool"},{"id":"d2ce7cb1-e422-481c-89dc-b48a4385fe71","type":"SaveTool"},{"id":"e1d4ca6a-b53c-4c10-8c56-d0fcea8b33d1","type":"ResetTool"},{"id":"a10fd026-b2bf-442b-9e9d-403be8922c8e","type":"HelpTool"}]},"id":"87b965ac-830e-41c1-8b42-b01b153747ca","type":"Toolbar"},{"attributes":{},"id":"9b364ca9-6dcb-4fdf-bc88-4e572464f154","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"f6e4337e-1d3b-4ec0-bcfe-464568e702bb","type":"ColumnDataSource"},{"attributes":{},"id":"ea63d50f-24d2-499e-b8c5-b347ef5522e3","type":"LinearScale"},{"attributes":{"source":{"id":"f6e4337e-1d3b-4ec0-bcfe-464568e702bb","type":"ColumnDataSource"}},"id":"6c298eff-0dbd-4c8f-9779-aaf500c18a78","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"4e5dfc43-2ae0-471a-8cda-9ed02d871194","type":"ColumnDataSource"},{"attributes":{},"id":"5e747aa8-41bf-4bfc-af6c-dbaeeaabfb5f","type":"WheelZoomTool"},{"attributes":{},"id":"5de195b0-61c2-4d3a-86b5-4415a7341190","type":"HelpTool"},{"attributes":{"callback":null},"id":"ac641af5-4b38-4d72-be77-be8f2547489d","type":"DataRange1d"},{"attributes":{},"id":"2047e578-ca79-4073-9d19-aca9554c7adb","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d00b32f6-9255-4a48-9b2c-7aea6f685a6a","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"1d9880a5-018a-4356-887e-1763bd2e0c9f","type":"BasicTickFormatter"},"plot":{"id":"f95f2361-c850-4c38-bdc0-4fcbdd08a4d0","subtype":"Figure","type":"Plot"},"ticker":{"id":"2047e578-ca79-4073-9d19-aca9554c7adb","type":"BasicTicker"}},"id":"437231c0-44ed-4349-96a6-bfcebeb2a4f0","type":"LinearAxis"},{"attributes":{"overlay":{"id":"ef7dcffa-122a-4497-abd1-4f5191ee9c1c","type":"BoxAnnotation"}},"id":"f660f96b-de76-42ef-837c-4f68e9d51bc1","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"f6e4337e-1d3b-4ec0-bcfe-464568e702bb","type":"ColumnDataSource"},"glyph":{"id":"80a1dab6-8723-4964-8dd3-c6480ec853c0","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a419da4c-7c17-4e4e-8c1c-e83c65ebc193","type":"Triangle"},"selection_glyph":null,"view":{"id":"6c298eff-0dbd-4c8f-9779-aaf500c18a78","type":"CDSView"}},"id":"5e609e5c-ffd1-4f2f-b476-ffaae91338a5","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"d5598065-250a-46f8-9a61-e2846a2f4696","type":"PanTool"},{"id":"e84dd789-06b1-4b60-a7b4-a63eaf9e3d74","type":"WheelZoomTool"},{"id":"f660f96b-de76-42ef-837c-4f68e9d51bc1","type":"BoxZoomTool"},{"id":"c384cfcb-6802-41b0-9bd5-3b4cce0069fb","type":"SaveTool"},{"id":"5fccc66b-be8e-492e-8abd-1bccf6338972","type":"ResetTool"},{"id":"69e615c4-495b-4599-af5c-61f69d52f24c","type":"HelpTool"}]},"id":"d3b40a0b-4914-47c5-9802-84f73ed86d54","type":"Toolbar"},{"attributes":{"source":{"id":"4e5dfc43-2ae0-471a-8cda-9ed02d871194","type":"ColumnDataSource"}},"id":"6e30e2ea-e3b6-437d-825f-7bc0aa8f6900","type":"CDSView"}],"root_ids":["9fd56dda-6ea7-4c0b-b1e7-dd448f574ea5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"19dd3227-860d-4e8f-bf53-77fa648a3fef","elementid":"3dfff9bc-3f9a-4e29-b461-455a4d0ed506","modelid":"9fd56dda-6ea7-4c0b-b1e7-dd448f574ea5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
