(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d52d48b0-047f-48ce-b7ae-3f71ce7fa57f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd52d48b0-047f-48ce-b7ae-3f71ce7fa57f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b38ce269-1e24-48d9-b53b-8234282ece8c":{"roots":{"references":[{"attributes":{"callback":null},"id":"4e49a6b8-66ab-4908-876a-851f95c09a6b","type":"DataRange1d"},{"attributes":{},"id":"3126f4fa-5123-47b2-b6d3-6753897661b5","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e9c849c9-8a74-4395-8754-bb4330fcf091","type":"PanTool"},{"id":"d777cdd8-f2a5-4cda-9028-79526c337ac8","type":"WheelZoomTool"},{"id":"8f6a3bec-e308-4756-8f8b-0de9890f2620","type":"BoxZoomTool"},{"id":"c3ddd812-078c-4136-9c08-2b8bbc9b852f","type":"SaveTool"},{"id":"6bc69b81-8c54-4d41-a5aa-63c96796fe6e","type":"ResetTool"},{"id":"488f0dbb-8487-4bb1-bcfe-6b8e1df8cd56","type":"HelpTool"}]},"id":"6707a563-3727-47b9-8bdc-102ff5978246","type":"Toolbar"},{"attributes":{},"id":"cb2d0d11-843c-459d-bbd8-acc16d000bfb","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"53495328-35b5-4a29-b24d-d79090c4acaa","type":"Circle"},{"attributes":{},"id":"e9c849c9-8a74-4395-8754-bb4330fcf091","type":"PanTool"},{"attributes":{},"id":"6bc69b81-8c54-4d41-a5aa-63c96796fe6e","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"708f7420-3203-4a2b-a7bc-c5a70975319a","type":"BoxAnnotation"},{"attributes":{},"id":"14ebfbab-ce17-467e-9fca-3da8184433c8","type":"BasicTicker"},{"attributes":{"below":[{"id":"0b06b120-1b1c-4711-b6e0-10b4afb6ea76","type":"LinearAxis"}],"left":[{"id":"f4ccb6fe-b9b0-414e-bba0-711c02decca0","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0b06b120-1b1c-4711-b6e0-10b4afb6ea76","type":"LinearAxis"},{"id":"a70579c1-a02a-49b3-8fb3-020a3cfb2eae","type":"Grid"},{"id":"f4ccb6fe-b9b0-414e-bba0-711c02decca0","type":"LinearAxis"},{"id":"0749b5d2-97e0-4592-b61a-06e52e0f6fdb","type":"Grid"},{"id":"708f7420-3203-4a2b-a7bc-c5a70975319a","type":"BoxAnnotation"},{"id":"eca2ee4c-05ba-4a45-823f-332906c35cfe","type":"GlyphRenderer"}],"title":{"id":"b390da6c-86ca-4c5c-b435-2b3bf45a45c7","type":"Title"},"toolbar":{"id":"6707a563-3727-47b9-8bdc-102ff5978246","type":"Toolbar"},"x_range":{"id":"4e49a6b8-66ab-4908-876a-851f95c09a6b","type":"DataRange1d"},"x_scale":{"id":"cb2d0d11-843c-459d-bbd8-acc16d000bfb","type":"LinearScale"},"y_range":{"id":"c4d56908-89fb-447e-9817-713dedd05a92","type":"DataRange1d"},"y_scale":{"id":"3126f4fa-5123-47b2-b6d3-6753897661b5","type":"LinearScale"}},"id":"70306076-a85a-49ba-adeb-addf79bcd32b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4624eedc-e37d-45d8-99b4-1fd43a10e6c9","type":"BasicTickFormatter"},{"attributes":{},"id":"e04793ff-4626-4d80-8e14-4f340726e4f0","type":"BasicTickFormatter"},{"attributes":{"bounds":[2,4],"dimension":1,"plot":{"id":"70306076-a85a-49ba-adeb-addf79bcd32b","subtype":"Figure","type":"Plot"},"ticker":{"id":"85931def-3712-42e4-a060-25cd4208a298","type":"BasicTicker"}},"id":"0749b5d2-97e0-4592-b61a-06e52e0f6fdb","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"131636f4-ceca-4cfa-8604-7e316948dbef","type":"Circle"},{"attributes":{"formatter":{"id":"4624eedc-e37d-45d8-99b4-1fd43a10e6c9","type":"BasicTickFormatter"},"plot":{"id":"70306076-a85a-49ba-adeb-addf79bcd32b","subtype":"Figure","type":"Plot"},"ticker":{"id":"85931def-3712-42e4-a060-25cd4208a298","type":"BasicTicker"}},"id":"f4ccb6fe-b9b0-414e-bba0-711c02decca0","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"b390da6c-86ca-4c5c-b435-2b3bf45a45c7","type":"Title"},{"attributes":{"formatter":{"id":"e04793ff-4626-4d80-8e14-4f340726e4f0","type":"BasicTickFormatter"},"plot":{"id":"70306076-a85a-49ba-adeb-addf79bcd32b","subtype":"Figure","type":"Plot"},"ticker":{"id":"14ebfbab-ce17-467e-9fca-3da8184433c8","type":"BasicTicker"}},"id":"0b06b120-1b1c-4711-b6e0-10b4afb6ea76","type":"LinearAxis"},{"attributes":{},"id":"85931def-3712-42e4-a060-25cd4208a298","type":"BasicTicker"},{"attributes":{},"id":"488f0dbb-8487-4bb1-bcfe-6b8e1df8cd56","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"5c1977f4-9d7a-45d2-8d30-6869b1f882ef","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"708f7420-3203-4a2b-a7bc-c5a70975319a","type":"BoxAnnotation"}},"id":"8f6a3bec-e308-4756-8f8b-0de9890f2620","type":"BoxZoomTool"},{"attributes":{"bounds":[2,4],"plot":{"id":"70306076-a85a-49ba-adeb-addf79bcd32b","subtype":"Figure","type":"Plot"},"ticker":{"id":"14ebfbab-ce17-467e-9fca-3da8184433c8","type":"BasicTicker"}},"id":"a70579c1-a02a-49b3-8fb3-020a3cfb2eae","type":"Grid"},{"attributes":{},"id":"c3ddd812-078c-4136-9c08-2b8bbc9b852f","type":"SaveTool"},{"attributes":{},"id":"d777cdd8-f2a5-4cda-9028-79526c337ac8","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"5c1977f4-9d7a-45d2-8d30-6869b1f882ef","type":"ColumnDataSource"},"glyph":{"id":"131636f4-ceca-4cfa-8604-7e316948dbef","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"53495328-35b5-4a29-b24d-d79090c4acaa","type":"Circle"},"selection_glyph":null,"view":{"id":"3f3e563e-d234-43c2-8ebe-35f03150d044","type":"CDSView"}},"id":"eca2ee4c-05ba-4a45-823f-332906c35cfe","type":"GlyphRenderer"},{"attributes":{"source":{"id":"5c1977f4-9d7a-45d2-8d30-6869b1f882ef","type":"ColumnDataSource"}},"id":"3f3e563e-d234-43c2-8ebe-35f03150d044","type":"CDSView"},{"attributes":{"callback":null},"id":"c4d56908-89fb-447e-9817-713dedd05a92","type":"DataRange1d"}],"root_ids":["70306076-a85a-49ba-adeb-addf79bcd32b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b38ce269-1e24-48d9-b53b-8234282ece8c","elementid":"d52d48b0-047f-48ce-b7ae-3f71ce7fa57f","modelid":"70306076-a85a-49ba-adeb-addf79bcd32b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
