(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("154346b4-c845-4bfa-ac28-154ddabc4512");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '154346b4-c845-4bfa-ac28-154ddabc4512' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2c7ccd25-70a2-4647-9e59-d0ad2b22cffd":{"roots":{"references":[{"attributes":{"formatter":{"id":"8bd5a5ca-9bbc-4a65-9537-f88edf560f58","type":"BasicTickFormatter"},"plot":{"id":"dfeb3467-e030-4ae5-8966-c2f2597a901f","subtype":"Figure","type":"Plot"},"ticker":{"id":"278f5414-eaf9-4b2f-b0a6-73d7d9b45ace","type":"BasicTicker"}},"id":"ec3266c5-bd27-4906-8550-365b634e1011","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"dfeb3467-e030-4ae5-8966-c2f2597a901f","subtype":"Figure","type":"Plot"},"ticker":{"id":"8cc2bade-e90b-4530-b9b4-760c0d5dc883","type":"BasicTicker"}},"id":"f6c9f6e7-8b64-4055-9c40-65237bbe5851","type":"Grid"},{"attributes":{},"id":"8b8c3720-50ff-441e-9921-493623be769a","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8a7d2e50-7b37-48f7-91f3-314aad9c400e","type":"PanTool"},{"id":"614302e4-2ed4-4a51-b0a4-e6c846d71ee9","type":"WheelZoomTool"},{"id":"db4d8ee6-72d3-47a8-bd15-a6b802fb6b49","type":"BoxZoomTool"},{"id":"3567735c-478b-4b8a-9dd1-3399e35210f5","type":"SaveTool"},{"id":"d4fb2d3a-5456-420d-b222-0a899f449151","type":"ResetTool"},{"id":"dd750622-e243-464d-b725-4907b435c0aa","type":"HelpTool"}]},"id":"3a85590b-65e5-428e-b3be-1a1796740e14","type":"Toolbar"},{"attributes":{"overlay":{"id":"9d474b52-bb76-4c9a-81eb-659048dd6897","type":"BoxAnnotation"}},"id":"db4d8ee6-72d3-47a8-bd15-a6b802fb6b49","type":"BoxZoomTool"},{"attributes":{},"id":"3567735c-478b-4b8a-9dd1-3399e35210f5","type":"SaveTool"},{"attributes":{"callback":null},"id":"56a44c43-324d-4858-951b-4d1c7f0d1fe0","type":"DataRange1d"},{"attributes":{"callback":null},"id":"bf0e2d4f-8a8b-4d1b-be33-18c1b59775fe","type":"DataRange1d"},{"attributes":{},"id":"278f5414-eaf9-4b2f-b0a6-73d7d9b45ace","type":"BasicTicker"},{"attributes":{},"id":"d99ea85b-a7a8-4140-b880-c09487332842","type":"LinearScale"},{"attributes":{"formatter":{"id":"af6b0413-cef6-4133-a010-40e0fa4cd172","type":"FuncTickFormatter"},"plot":{"id":"dfeb3467-e030-4ae5-8966-c2f2597a901f","subtype":"Figure","type":"Plot"},"ticker":{"id":"8cc2bade-e90b-4530-b9b4-760c0d5dc883","type":"BasicTicker"}},"id":"697d5e0b-ef31-47ae-a9e4-c63e98a29af6","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"f23fd6ed-ce29-45ab-838f-d09c57a413ea","type":"Circle"},{"attributes":{"below":[{"id":"ec3266c5-bd27-4906-8550-365b634e1011","type":"LinearAxis"}],"left":[{"id":"697d5e0b-ef31-47ae-a9e4-c63e98a29af6","type":"LinearAxis"}],"plot_height":500,"plot_width":500,"renderers":[{"id":"ec3266c5-bd27-4906-8550-365b634e1011","type":"LinearAxis"},{"id":"b39bb08c-4ccf-48c0-9a36-998a66f871ce","type":"Grid"},{"id":"697d5e0b-ef31-47ae-a9e4-c63e98a29af6","type":"LinearAxis"},{"id":"f6c9f6e7-8b64-4055-9c40-65237bbe5851","type":"Grid"},{"id":"9d474b52-bb76-4c9a-81eb-659048dd6897","type":"BoxAnnotation"},{"id":"97bcef0d-c76f-4703-8d99-a35c3c139084","type":"GlyphRenderer"}],"title":{"id":"f15e78c7-7125-4359-8f92-5c8ac9547ac6","type":"Title"},"toolbar":{"id":"3a85590b-65e5-428e-b3be-1a1796740e14","type":"Toolbar"},"x_range":{"id":"56a44c43-324d-4858-951b-4d1c7f0d1fe0","type":"DataRange1d"},"x_scale":{"id":"8b8c3720-50ff-441e-9921-493623be769a","type":"LinearScale"},"y_range":{"id":"bf0e2d4f-8a8b-4d1b-be33-18c1b59775fe","type":"DataRange1d"},"y_scale":{"id":"d99ea85b-a7a8-4140-b880-c09487332842","type":"LinearScale"}},"id":"dfeb3467-e030-4ae5-8966-c2f2597a901f","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"dfeb3467-e030-4ae5-8966-c2f2597a901f","subtype":"Figure","type":"Plot"},"ticker":{"id":"278f5414-eaf9-4b2f-b0a6-73d7d9b45ace","type":"BasicTicker"}},"id":"b39bb08c-4ccf-48c0-9a36-998a66f871ce","type":"Grid"},{"attributes":{},"id":"dd750622-e243-464d-b725-4907b435c0aa","type":"HelpTool"},{"attributes":{"data_source":{"id":"837cb7ca-e8c1-4efb-8fdb-d739f79ed876","type":"ColumnDataSource"},"glyph":{"id":"f23fd6ed-ce29-45ab-838f-d09c57a413ea","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"44626d5f-a029-4461-a859-9b0c59efd65c","type":"Circle"},"selection_glyph":null,"view":{"id":"f8731c5d-14c0-48a9-ba3e-70e5a592fc15","type":"CDSView"}},"id":"97bcef0d-c76f-4703-8d99-a35c3c139084","type":"GlyphRenderer"},{"attributes":{"source":{"id":"837cb7ca-e8c1-4efb-8fdb-d739f79ed876","type":"ColumnDataSource"}},"id":"f8731c5d-14c0-48a9-ba3e-70e5a592fc15","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9d474b52-bb76-4c9a-81eb-659048dd6897","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"f15e78c7-7125-4359-8f92-5c8ac9547ac6","type":"Title"},{"attributes":{},"id":"8cc2bade-e90b-4530-b9b4-760c0d5dc883","type":"BasicTicker"},{"attributes":{},"id":"8bd5a5ca-9bbc-4a65-9537-f88edf560f58","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0,2,4,6,8,10],"y":[6,2,4,10,8,0]}},"id":"837cb7ca-e8c1-4efb-8fdb-d739f79ed876","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":30},"x":{"field":"x"},"y":{"field":"y"}},"id":"44626d5f-a029-4461-a859-9b0c59efd65c","type":"Circle"},{"attributes":{},"id":"8a7d2e50-7b37-48f7-91f3-314aad9c400e","type":"PanTool"},{"attributes":{},"id":"614302e4-2ed4-4a51-b0a4-e6c846d71ee9","type":"WheelZoomTool"},{"attributes":{"code":"\n    return Math.floor(tick) + \" + \" + (tick % 1).toFixed(2)\n"},"id":"af6b0413-cef6-4133-a010-40e0fa4cd172","type":"FuncTickFormatter"},{"attributes":{},"id":"d4fb2d3a-5456-420d-b222-0a899f449151","type":"ResetTool"}],"root_ids":["dfeb3467-e030-4ae5-8966-c2f2597a901f"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2c7ccd25-70a2-4647-9e59-d0ad2b22cffd","elementid":"154346b4-c845-4bfa-ac28-154ddabc4512","modelid":"dfeb3467-e030-4ae5-8966-c2f2597a901f"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
