(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("487e3c9d-3593-4730-95c2-09f9fa177278");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '487e3c9d-3593-4730-95c2-09f9fa177278' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fb9625fb-1d27-47ad-a47a-d2b5f6321dc0":{"roots":{"references":[{"attributes":{"below":[{"id":"b26de366-f56b-4f84-849c-c91cc5e9f3dd","type":"LinearAxis"}],"left":[{"id":"76be735b-713f-457f-92fc-4460792bcb0c","type":"LogAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b26de366-f56b-4f84-849c-c91cc5e9f3dd","type":"LinearAxis"},{"id":"a7c1fb37-297e-4ed2-8569-f9a33804525b","type":"Grid"},{"id":"76be735b-713f-457f-92fc-4460792bcb0c","type":"LogAxis"},{"id":"b0e4bdc4-5785-4c3b-a46b-be76e729ec61","type":"Grid"},{"id":"038f121d-0bca-415e-8931-29ca8f21ca16","type":"BoxAnnotation"},{"id":"b0d2d6dd-811f-4adc-8ff1-39a6aa6a8a14","type":"GlyphRenderer"},{"id":"4ad3fadd-a752-44f6-a030-a9e7e1410f34","type":"GlyphRenderer"}],"title":{"id":"c423d8b1-ba58-4bd2-a67b-08963d5e6cb7","type":"Title"},"toolbar":{"id":"d6a84750-d61f-4892-8d06-c51466e9449c","type":"Toolbar"},"x_range":{"id":"5f4f9f1b-9e97-4876-a205-412169a7fa14","type":"DataRange1d"},"x_scale":{"id":"a8a05a09-66be-40a6-9931-e434019ebdf5","type":"LinearScale"},"y_range":{"id":"a3c413b9-558d-453c-8668-a08dc2667ce9","type":"DataRange1d"},"y_scale":{"id":"16f8b862-b9d2-47c0-bca4-a6f0995b4286","type":"LogScale"}},"id":"7896a96a-dffd-4273-bd3d-fa82ea93b1b1","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"f3945be4-5fa3-4e25-ad51-386896a68b61","type":"BasicTickFormatter"},"plot":{"id":"7896a96a-dffd-4273-bd3d-fa82ea93b1b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"0a3bac44-ef51-4706-9c6a-40e3ff44c543","type":"BasicTicker"}},"id":"b26de366-f56b-4f84-849c-c91cc5e9f3dd","type":"LinearAxis"},{"attributes":{},"id":"415b5b07-9442-4b12-b2b0-f2cfd382053f","type":"HelpTool"},{"attributes":{},"id":"983c1802-e8bf-4ede-b617-b232e94120b4","type":"SaveTool"},{"attributes":{"callback":null},"id":"a3c413b9-558d-453c-8668-a08dc2667ce9","type":"DataRange1d"},{"attributes":{},"id":"a8a05a09-66be-40a6-9931-e434019ebdf5","type":"LinearScale"},{"attributes":{"data_source":{"id":"15949ab3-9d98-44ab-9ec0-5216217f297a","type":"ColumnDataSource"},"glyph":{"id":"d2a02886-9736-46f2-8943-7b10f5406e5c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"21257a7e-ae24-4fb8-b8fb-99d0c9a6262d","type":"Circle"},"selection_glyph":null,"view":{"id":"beccc433-f8b5-4cff-a897-5a882fc656f9","type":"CDSView"}},"id":"4ad3fadd-a752-44f6-a030-a9e7e1410f34","type":"GlyphRenderer"},{"attributes":{},"id":"affa64be-6257-48c0-8bcf-9914ae1c17a1","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"15949ab3-9d98-44ab-9ec0-5216217f297a","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"c423d8b1-ba58-4bd2-a67b-08963d5e6cb7","type":"Title"},{"attributes":{"plot":{"id":"7896a96a-dffd-4273-bd3d-fa82ea93b1b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"0a3bac44-ef51-4706-9c6a-40e3ff44c543","type":"BasicTicker"}},"id":"a7c1fb37-297e-4ed2-8569-f9a33804525b","type":"Grid"},{"attributes":{},"id":"0a3bac44-ef51-4706-9c6a-40e3ff44c543","type":"BasicTicker"},{"attributes":{"formatter":{"id":"eee406a7-48e5-41e5-9f3e-53f54502aa55","type":"LogTickFormatter"},"plot":{"id":"7896a96a-dffd-4273-bd3d-fa82ea93b1b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"094dc157-74d8-4b6c-b4b4-0fe367229cf1","type":"LogTicker"}},"id":"76be735b-713f-457f-92fc-4460792bcb0c","type":"LogAxis"},{"attributes":{},"id":"8b1f3f4e-ab69-422c-940a-6a05d67992cc","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8b1f3f4e-ab69-422c-940a-6a05d67992cc","type":"PanTool"},{"id":"affa64be-6257-48c0-8bcf-9914ae1c17a1","type":"WheelZoomTool"},{"id":"367fc0ea-7f89-4c29-a137-b05af5828be8","type":"BoxZoomTool"},{"id":"983c1802-e8bf-4ede-b617-b232e94120b4","type":"SaveTool"},{"id":"b8c74c6b-8ab6-48c8-b1b2-4020c31caac3","type":"ResetTool"},{"id":"415b5b07-9442-4b12-b2b0-f2cfd382053f","type":"HelpTool"}]},"id":"d6a84750-d61f-4892-8d06-c51466e9449c","type":"Toolbar"},{"attributes":{},"id":"f3945be4-5fa3-4e25-ad51-386896a68b61","type":"BasicTickFormatter"},{"attributes":{"ticker":null},"id":"eee406a7-48e5-41e5-9f3e-53f54502aa55","type":"LogTickFormatter"},{"attributes":{},"id":"16f8b862-b9d2-47c0-bca4-a6f0995b4286","type":"LogScale"},{"attributes":{"dimension":1,"plot":{"id":"7896a96a-dffd-4273-bd3d-fa82ea93b1b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"094dc157-74d8-4b6c-b4b4-0fe367229cf1","type":"LogTicker"}},"id":"b0e4bdc4-5785-4c3b-a46b-be76e729ec61","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"1f58fb89-13a3-482a-aeea-9ef6d16b33a4","type":"Line"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"d2a02886-9736-46f2-8943-7b10f5406e5c","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"33a2e5d0-10bb-44da-8889-217a175814a5","type":"ColumnDataSource"},{"attributes":{"num_minor_ticks":10},"id":"094dc157-74d8-4b6c-b4b4-0fe367229cf1","type":"LogTicker"},{"attributes":{"source":{"id":"33a2e5d0-10bb-44da-8889-217a175814a5","type":"ColumnDataSource"}},"id":"4abfcec7-500e-49a7-a8ba-1aa5680ec6f9","type":"CDSView"},{"attributes":{"callback":null},"id":"5f4f9f1b-9e97-4876-a205-412169a7fa14","type":"DataRange1d"},{"attributes":{"source":{"id":"15949ab3-9d98-44ab-9ec0-5216217f297a","type":"ColumnDataSource"}},"id":"beccc433-f8b5-4cff-a897-5a882fc656f9","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"038f121d-0bca-415e-8931-29ca8f21ca16","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"038f121d-0bca-415e-8931-29ca8f21ca16","type":"BoxAnnotation"}},"id":"367fc0ea-7f89-4c29-a137-b05af5828be8","type":"BoxZoomTool"},{"attributes":{},"id":"b8c74c6b-8ab6-48c8-b1b2-4020c31caac3","type":"ResetTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"12e02f17-71de-4171-a8b7-75a513f626af","type":"Line"},{"attributes":{"data_source":{"id":"33a2e5d0-10bb-44da-8889-217a175814a5","type":"ColumnDataSource"},"glyph":{"id":"12e02f17-71de-4171-a8b7-75a513f626af","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1f58fb89-13a3-482a-aeea-9ef6d16b33a4","type":"Line"},"selection_glyph":null,"view":{"id":"4abfcec7-500e-49a7-a8ba-1aa5680ec6f9","type":"CDSView"}},"id":"b0d2d6dd-811f-4adc-8ff1-39a6aa6a8a14","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"21257a7e-ae24-4fb8-b8fb-99d0c9a6262d","type":"Circle"}],"root_ids":["7896a96a-dffd-4273-bd3d-fa82ea93b1b1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fb9625fb-1d27-47ad-a47a-d2b5f6321dc0","elementid":"487e3c9d-3593-4730-95c2-09f9fa177278","modelid":"7896a96a-dffd-4273-bd3d-fa82ea93b1b1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
