(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0f5e7cf0-a1da-4c1b-8467-b4799b8cf24b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0f5e7cf0-a1da-4c1b-8467-b4799b8cf24b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4c6ffb79-0c16-4bb1-ae6e-ec0ce0f5c6ff":{"roots":{"references":[{"attributes":{},"id":"5c845499-b6dd-4e0e-ae67-01513cd9383b","type":"BasicTicker"},{"attributes":{},"id":"b67fc02e-d493-4d72-858a-b61131331120","type":"ResetTool"},{"attributes":{},"id":"418fbbeb-3e06-48f7-927b-246fa1032ded","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"4fbb718a-6d57-47d3-9bcb-5da32c552166","type":"DataRange1d"},{"attributes":{"below":[{"id":"269f060d-74d6-409f-92a6-a77b73226636","type":"LinearAxis"}],"left":[{"id":"65e4188d-11a5-4fea-a8c1-6e69191a869a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"269f060d-74d6-409f-92a6-a77b73226636","type":"LinearAxis"},{"id":"acc1f0cf-432e-4c0c-ae04-25143e6e09c0","type":"Grid"},{"id":"65e4188d-11a5-4fea-a8c1-6e69191a869a","type":"LinearAxis"},{"id":"fe126038-6753-4001-821e-d0dec3840f2a","type":"Grid"},{"id":"7256ea96-61bb-4236-a27b-190cacc11f80","type":"BoxAnnotation"},{"id":"27ac28cd-653c-45ee-b738-7b37be10f3b7","type":"GlyphRenderer"}],"title":{"id":"3ec4fa53-fbc8-4c0e-b67e-421ecea738f0","type":"Title"},"toolbar":{"id":"d3c1264f-df72-4f5a-a636-89b346a961fe","type":"Toolbar"},"x_range":{"id":"9b62bf7c-e543-47f0-bf9d-66edc831c241","type":"DataRange1d"},"x_scale":{"id":"8892c85c-de8f-494d-a29c-5433b6af47fd","type":"LinearScale"},"y_range":{"id":"4fbb718a-6d57-47d3-9bcb-5da32c552166","type":"DataRange1d"},"y_scale":{"id":"9c4fee2c-3218-4238-983a-2f38f7c7f851","type":"LinearScale"}},"id":"d2594313-f387-4fa6-a7f6-25990e7cced0","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"ec30fa35-34b1-4079-8d94-3312f49459f8","type":"BasicTickFormatter"},"plot":{"id":"d2594313-f387-4fa6-a7f6-25990e7cced0","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c845499-b6dd-4e0e-ae67-01513cd9383b","type":"BasicTicker"}},"id":"269f060d-74d6-409f-92a6-a77b73226636","type":"LinearAxis"},{"attributes":{},"id":"895a4212-605a-4795-a7de-c3e2b75aa834","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"d2594313-f387-4fa6-a7f6-25990e7cced0","subtype":"Figure","type":"Plot"},"ticker":{"id":"1afc042a-41a5-4907-8625-d7c4069718c2","type":"BasicTicker"}},"id":"fe126038-6753-4001-821e-d0dec3840f2a","type":"Grid"},{"attributes":{},"id":"1afc042a-41a5-4907-8625-d7c4069718c2","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"3ec4fa53-fbc8-4c0e-b67e-421ecea738f0","type":"Title"},{"attributes":{},"id":"ec30fa35-34b1-4079-8d94-3312f49459f8","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"c6985b91-c69b-45b1-9330-76fd0a286dd8","type":"ColumnDataSource"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.6},"line_color":{"value":"firebrick"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"d20170d8-831e-4704-b2cb-26ec8a0e8143","type":"Wedge"},{"attributes":{"data_source":{"id":"c6985b91-c69b-45b1-9330-76fd0a286dd8","type":"ColumnDataSource"},"glyph":{"id":"d20170d8-831e-4704-b2cb-26ec8a0e8143","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6714172b-5efe-48bb-9d9e-dbb43e31653e","type":"Wedge"},"selection_glyph":null,"view":{"id":"83754e7b-0985-4665-a1b8-648312aed3a1","type":"CDSView"}},"id":"27ac28cd-653c-45ee-b738-7b37be10f3b7","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f939f483-71fc-4c8c-a92a-778e234e4257","type":"PanTool"},{"id":"418fbbeb-3e06-48f7-927b-246fa1032ded","type":"WheelZoomTool"},{"id":"93b43d04-896d-4c83-8be7-2f650b2e1da5","type":"BoxZoomTool"},{"id":"818f79ed-00a5-4c6b-a62f-4bab12cf801b","type":"SaveTool"},{"id":"b67fc02e-d493-4d72-858a-b61131331120","type":"ResetTool"},{"id":"895a4212-605a-4795-a7de-c3e2b75aa834","type":"HelpTool"}]},"id":"d3c1264f-df72-4f5a-a636-89b346a961fe","type":"Toolbar"},{"attributes":{"callback":null},"id":"9b62bf7c-e543-47f0-bf9d-66edc831c241","type":"DataRange1d"},{"attributes":{},"id":"9c4fee2c-3218-4238-983a-2f38f7c7f851","type":"LinearScale"},{"attributes":{"formatter":{"id":"69243c19-1349-48b2-aa80-48585ca42fea","type":"BasicTickFormatter"},"plot":{"id":"d2594313-f387-4fa6-a7f6-25990e7cced0","subtype":"Figure","type":"Plot"},"ticker":{"id":"1afc042a-41a5-4907-8625-d7c4069718c2","type":"BasicTicker"}},"id":"65e4188d-11a5-4fea-a8c1-6e69191a869a","type":"LinearAxis"},{"attributes":{},"id":"f939f483-71fc-4c8c-a92a-778e234e4257","type":"PanTool"},{"attributes":{},"id":"8892c85c-de8f-494d-a29c-5433b6af47fd","type":"LinearScale"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"6714172b-5efe-48bb-9d9e-dbb43e31653e","type":"Wedge"},{"attributes":{"source":{"id":"c6985b91-c69b-45b1-9330-76fd0a286dd8","type":"ColumnDataSource"}},"id":"83754e7b-0985-4665-a1b8-648312aed3a1","type":"CDSView"},{"attributes":{},"id":"818f79ed-00a5-4c6b-a62f-4bab12cf801b","type":"SaveTool"},{"attributes":{"plot":{"id":"d2594313-f387-4fa6-a7f6-25990e7cced0","subtype":"Figure","type":"Plot"},"ticker":{"id":"5c845499-b6dd-4e0e-ae67-01513cd9383b","type":"BasicTicker"}},"id":"acc1f0cf-432e-4c0c-ae04-25143e6e09c0","type":"Grid"},{"attributes":{},"id":"69243c19-1349-48b2-aa80-48585ca42fea","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7256ea96-61bb-4236-a27b-190cacc11f80","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"7256ea96-61bb-4236-a27b-190cacc11f80","type":"BoxAnnotation"}},"id":"93b43d04-896d-4c83-8be7-2f650b2e1da5","type":"BoxZoomTool"}],"root_ids":["d2594313-f387-4fa6-a7f6-25990e7cced0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4c6ffb79-0c16-4bb1-ae6e-ec0ce0f5c6ff","elementid":"0f5e7cf0-a1da-4c1b-8467-b4799b8cf24b","modelid":"d2594313-f387-4fa6-a7f6-25990e7cced0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
