(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9bbdb613-3346-45c4-9f3a-6599d3b78451");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9bbdb613-3346-45c4-9f3a-6599d3b78451' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2d5f06ec-642b-49c7-9540-4ecb2b68580b":{"roots":{"references":[{"attributes":{"formatter":{"id":"e146e462-cdfc-481b-bb81-b78a07de1dc5","type":"BasicTickFormatter"},"plot":{"id":"9c9d0e19-4a71-41c3-a3df-179eacfdd16b","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ab2b5af-3ea6-4cec-b3d8-c1deb5697637","type":"BasicTicker"}},"id":"e2fd8a39-6c97-44e6-b25e-4df6fd7c4400","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ee5efb31-69e8-4f3f-b124-529a7c1d7755","type":"Line"},{"attributes":{"callback":null},"id":"34417885-765e-4736-9b47-d4fc0c18cc1c","type":"DataRange1d"},{"attributes":{},"id":"827d3779-60a1-4aed-a341-6def7e562988","type":"PanTool"},{"attributes":{},"id":"e146e462-cdfc-481b-bb81-b78a07de1dc5","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"7778a5f2-35e8-414d-9abb-5bb805917285","type":"ColumnDataSource"},"glyph":{"id":"20f270bb-fd8d-4d55-9781-5513fa24ff60","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ee5efb31-69e8-4f3f-b124-529a7c1d7755","type":"Line"},"selection_glyph":null,"view":{"id":"0e3bd0ca-0589-45c2-af98-af1eba90e632","type":"CDSView"}},"id":"67a2162e-5d5b-4704-9512-703415e8f63e","type":"GlyphRenderer"},{"attributes":{},"id":"43e74969-b58c-4b25-a4c9-5f32bd3b76f9","type":"BasicTicker"},{"attributes":{"plot":{"id":"9c9d0e19-4a71-41c3-a3df-179eacfdd16b","subtype":"Figure","type":"Plot"},"ticker":{"id":"43e74969-b58c-4b25-a4c9-5f32bd3b76f9","type":"BasicTicker"}},"id":"7334e945-b45d-4900-91bb-150eb938cf23","type":"Grid"},{"attributes":{},"id":"c5a68612-0226-4db5-a7f6-1a7e311e68b0","type":"LinearScale"},{"attributes":{},"id":"2edf9d9d-1c91-4ef2-915a-3efed30a8ffe","type":"LinearScale"},{"attributes":{},"id":"f7b33290-54d8-40e2-b44a-46fbcd119d4e","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"827d3779-60a1-4aed-a341-6def7e562988","type":"PanTool"},{"id":"b44f113c-b758-4823-92fc-ab6d3a9ea412","type":"WheelZoomTool"},{"id":"27077806-75a1-4fd1-b588-e48c87a87623","type":"BoxZoomTool"},{"id":"d337633a-87a5-4c93-a4c4-b578bf9d893d","type":"SaveTool"},{"id":"f7b33290-54d8-40e2-b44a-46fbcd119d4e","type":"ResetTool"},{"id":"ef5dfe60-18ac-4b8a-ab0c-6586a8dc1a79","type":"HelpTool"}]},"id":"a3c64fb7-0d17-4bc6-9bab-191e55f10989","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a81a5dc2-7e1c-4eef-8764-7b170629107d","type":"BoxAnnotation"},{"attributes":{},"id":"1ab2b5af-3ea6-4cec-b3d8-c1deb5697637","type":"BasicTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"20f270bb-fd8d-4d55-9781-5513fa24ff60","type":"Line"},{"attributes":{"source":{"id":"7778a5f2-35e8-414d-9abb-5bb805917285","type":"ColumnDataSource"}},"id":"0e3bd0ca-0589-45c2-af98-af1eba90e632","type":"CDSView"},{"attributes":{"formatter":{"id":"3caff6f9-e01d-4dce-8d07-f0a3ba7eeebf","type":"BasicTickFormatter"},"plot":{"id":"9c9d0e19-4a71-41c3-a3df-179eacfdd16b","subtype":"Figure","type":"Plot"},"ticker":{"id":"43e74969-b58c-4b25-a4c9-5f32bd3b76f9","type":"BasicTicker"}},"id":"30e0e93d-a728-4d4a-9429-bffc061cca62","type":"LinearAxis"},{"attributes":{},"id":"d337633a-87a5-4c93-a4c4-b578bf9d893d","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"9c9d0e19-4a71-41c3-a3df-179eacfdd16b","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ab2b5af-3ea6-4cec-b3d8-c1deb5697637","type":"BasicTicker"}},"id":"d9f3f677-a326-49c3-8369-eb12324d4310","type":"Grid"},{"attributes":{"callback":null},"id":"58cb4662-71d8-4b61-8778-18c1691c8a35","type":"DataRange1d"},{"attributes":{"overlay":{"id":"a81a5dc2-7e1c-4eef-8764-7b170629107d","type":"BoxAnnotation"}},"id":"27077806-75a1-4fd1-b588-e48c87a87623","type":"BoxZoomTool"},{"attributes":{},"id":"ef5dfe60-18ac-4b8a-ab0c-6586a8dc1a79","type":"HelpTool"},{"attributes":{},"id":"b44f113c-b758-4823-92fc-ab6d3a9ea412","type":"WheelZoomTool"},{"attributes":{},"id":"3caff6f9-e01d-4dce-8d07-f0a3ba7eeebf","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"d51d447a-1f62-446e-a800-5fe396419309","type":"Title"},{"attributes":{"below":[{"id":"30e0e93d-a728-4d4a-9429-bffc061cca62","type":"LinearAxis"}],"left":[{"id":"e2fd8a39-6c97-44e6-b25e-4df6fd7c4400","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"30e0e93d-a728-4d4a-9429-bffc061cca62","type":"LinearAxis"},{"id":"7334e945-b45d-4900-91bb-150eb938cf23","type":"Grid"},{"id":"e2fd8a39-6c97-44e6-b25e-4df6fd7c4400","type":"LinearAxis"},{"id":"d9f3f677-a326-49c3-8369-eb12324d4310","type":"Grid"},{"id":"a81a5dc2-7e1c-4eef-8764-7b170629107d","type":"BoxAnnotation"},{"id":"67a2162e-5d5b-4704-9512-703415e8f63e","type":"GlyphRenderer"}],"title":{"id":"d51d447a-1f62-446e-a800-5fe396419309","type":"Title"},"toolbar":{"id":"a3c64fb7-0d17-4bc6-9bab-191e55f10989","type":"Toolbar"},"x_range":{"id":"58cb4662-71d8-4b61-8778-18c1691c8a35","type":"DataRange1d"},"x_scale":{"id":"c5a68612-0226-4db5-a7f6-1a7e311e68b0","type":"LinearScale"},"y_range":{"id":"34417885-765e-4736-9b47-d4fc0c18cc1c","type":"DataRange1d"},"y_scale":{"id":"2edf9d9d-1c91-4ef2-915a-3efed30a8ffe","type":"LinearScale"}},"id":"9c9d0e19-4a71-41c3-a3df-179eacfdd16b","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"7778a5f2-35e8-414d-9abb-5bb805917285","type":"ColumnDataSource"}],"root_ids":["9c9d0e19-4a71-41c3-a3df-179eacfdd16b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2d5f06ec-642b-49c7-9540-4ecb2b68580b","elementid":"9bbdb613-3346-45c4-9f3a-6599d3b78451","modelid":"9c9d0e19-4a71-41c3-a3df-179eacfdd16b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
