(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("966f1126-fda6-42a5-bd3e-6c109252d560");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '966f1126-fda6-42a5-bd3e-6c109252d560' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5cc41e8f-bc94-49b5-a19c-33cfe27a3057":{"roots":{"references":[{"attributes":{"callback":null},"id":"27cff8eb-1ef9-41ae-8e26-da8ddb76e1c5","type":"DataRange1d"},{"attributes":{},"id":"6b48aca6-a7c0-4615-8a9b-4b5b445de2d9","type":"BasicTickFormatter"},{"attributes":{"args":{"source":{"id":"3b63f1fa-14b2-4afe-a20a-3726171c0ca6","type":"ColumnDataSource"}},"code":"\n    var data = source.data;\n    var f = cb_obj.value\n    x = data['x']\n    y = data['y']\n    for (i = 0; i < x.length; i++) {\n        y[i] = Math.pow(x[i], f)\n    }\n    source.change.emit();\n"},"id":"2ec256de-eb51-4ae3-949e-c81536fa6ee9","type":"CustomJS"},{"attributes":{"plot":null,"text":""},"id":"85b6c319-2b03-4580-ab09-00ba14b24fb3","type":"Title"},{"attributes":{"formatter":{"id":"6b48aca6-a7c0-4615-8a9b-4b5b445de2d9","type":"BasicTickFormatter"},"plot":{"id":"1fc7bd82-0020-4e27-b0ca-33cbf9ff7271","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c2b2ea8-6fc3-41a8-989a-3bb7829a380b","type":"BasicTicker"}},"id":"d7dba56c-fbd7-4b13-a8b8-ca23b8c9fc23","type":"LinearAxis"},{"attributes":{"plot":{"id":"1fc7bd82-0020-4e27-b0ca-33cbf9ff7271","subtype":"Figure","type":"Plot"},"ticker":{"id":"d02fda4b-2cf3-4301-8a1c-fc0d3925e3ff","type":"BasicTicker"}},"id":"a2df7744-6075-47cf-9f97-bdf35fc6d8c9","type":"Grid"},{"attributes":{},"id":"233620fc-8f75-471d-9565-04c0ad1a071e","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"774ffb5e-1d90-4445-b105-a519af70ad74","type":"PanTool"},{"id":"f32baa1c-009c-4889-8836-61da3623aa67","type":"WheelZoomTool"},{"id":"b826c584-4745-4312-b548-b896fc5cce88","type":"BoxZoomTool"},{"id":"0ef24a21-da08-459e-8950-32e06249e329","type":"SaveTool"},{"id":"a70e4535-e14f-44d7-a8da-ec62b3450006","type":"ResetTool"},{"id":"233620fc-8f75-471d-9565-04c0ad1a071e","type":"HelpTool"}]},"id":"485bbbfe-eca7-44a1-bb50-324e00a9738e","type":"Toolbar"},{"attributes":{"callback":null},"id":"d1dc083a-b316-499d-86da-c655ba359778","type":"DataRange1d"},{"attributes":{"source":{"id":"3b63f1fa-14b2-4afe-a20a-3726171c0ca6","type":"ColumnDataSource"}},"id":"17de4777-1a02-4e9d-8cb9-78acebb2be60","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"bba6a61f-6506-4a82-b8a4-0ca3bc6c6a0c","type":"Line"},{"attributes":{"dimension":1,"plot":{"id":"1fc7bd82-0020-4e27-b0ca-33cbf9ff7271","subtype":"Figure","type":"Plot"},"ticker":{"id":"2c2b2ea8-6fc3-41a8-989a-3bb7829a380b","type":"BasicTicker"}},"id":"8dc8c416-3408-4837-a158-7d3a6124cbf6","type":"Grid"},{"attributes":{},"id":"f3cb47a3-3a8c-4444-b271-707b348f5109","type":"LinearScale"},{"attributes":{},"id":"7ca4ee3f-ae9b-4b1c-a8a6-7c06c721ed2a","type":"LinearScale"},{"attributes":{"children":[{"id":"17c8dc58-f7e5-475c-a440-0720f1c2a934","type":"Slider"}]},"id":"b45dbff9-fb13-4fce-a65c-2ed7b1447391","type":"WidgetBox"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"3b63f1fa-14b2-4afe-a20a-3726171c0ca6","type":"ColumnDataSource"},{"attributes":{},"id":"0ef24a21-da08-459e-8950-32e06249e329","type":"SaveTool"},{"attributes":{"children":[{"id":"b45dbff9-fb13-4fce-a65c-2ed7b1447391","type":"WidgetBox"},{"id":"1fc7bd82-0020-4e27-b0ca-33cbf9ff7271","subtype":"Figure","type":"Plot"}]},"id":"36f6c164-ef99-41f4-b546-b39c32985e60","type":"Column"},{"attributes":{},"id":"f32baa1c-009c-4889-8836-61da3623aa67","type":"WheelZoomTool"},{"attributes":{},"id":"774ffb5e-1d90-4445-b105-a519af70ad74","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8722f13c-f527-4815-9794-8499d799e84b","type":"BoxAnnotation"},{"attributes":{},"id":"559b39ca-bf08-4206-8b27-2d8ec04ff5be","type":"BasicTickFormatter"},{"attributes":{},"id":"d02fda4b-2cf3-4301-8a1c-fc0d3925e3ff","type":"BasicTicker"},{"attributes":{"callback":null,"end":4,"js_property_callbacks":{"change:value":[{"id":"2ec256de-eb51-4ae3-949e-c81536fa6ee9","type":"CustomJS"}]},"start":0.1,"step":0.1,"title":"power","value":1},"id":"17c8dc58-f7e5-475c-a440-0720f1c2a934","type":"Slider"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"7041f833-b12d-46d9-8803-38576eb1c364","type":"Line"},{"attributes":{},"id":"a70e4535-e14f-44d7-a8da-ec62b3450006","type":"ResetTool"},{"attributes":{"below":[{"id":"ef5b74c1-d01b-41ef-8116-78e3d1929179","type":"LinearAxis"}],"left":[{"id":"d7dba56c-fbd7-4b13-a8b8-ca23b8c9fc23","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ef5b74c1-d01b-41ef-8116-78e3d1929179","type":"LinearAxis"},{"id":"a2df7744-6075-47cf-9f97-bdf35fc6d8c9","type":"Grid"},{"id":"d7dba56c-fbd7-4b13-a8b8-ca23b8c9fc23","type":"LinearAxis"},{"id":"8dc8c416-3408-4837-a158-7d3a6124cbf6","type":"Grid"},{"id":"8722f13c-f527-4815-9794-8499d799e84b","type":"BoxAnnotation"},{"id":"5ca0bc1e-af60-4b8f-a6fe-d1250f128c2d","type":"GlyphRenderer"}],"title":{"id":"85b6c319-2b03-4580-ab09-00ba14b24fb3","type":"Title"},"toolbar":{"id":"485bbbfe-eca7-44a1-bb50-324e00a9738e","type":"Toolbar"},"x_range":{"id":"d1dc083a-b316-499d-86da-c655ba359778","type":"DataRange1d"},"x_scale":{"id":"f3cb47a3-3a8c-4444-b271-707b348f5109","type":"LinearScale"},"y_range":{"id":"27cff8eb-1ef9-41ae-8e26-da8ddb76e1c5","type":"DataRange1d"},"y_scale":{"id":"7ca4ee3f-ae9b-4b1c-a8a6-7c06c721ed2a","type":"LinearScale"}},"id":"1fc7bd82-0020-4e27-b0ca-33cbf9ff7271","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"8722f13c-f527-4815-9794-8499d799e84b","type":"BoxAnnotation"}},"id":"b826c584-4745-4312-b548-b896fc5cce88","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"3b63f1fa-14b2-4afe-a20a-3726171c0ca6","type":"ColumnDataSource"},"glyph":{"id":"7041f833-b12d-46d9-8803-38576eb1c364","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bba6a61f-6506-4a82-b8a4-0ca3bc6c6a0c","type":"Line"},"selection_glyph":null,"view":{"id":"17de4777-1a02-4e9d-8cb9-78acebb2be60","type":"CDSView"}},"id":"5ca0bc1e-af60-4b8f-a6fe-d1250f128c2d","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"559b39ca-bf08-4206-8b27-2d8ec04ff5be","type":"BasicTickFormatter"},"plot":{"id":"1fc7bd82-0020-4e27-b0ca-33cbf9ff7271","subtype":"Figure","type":"Plot"},"ticker":{"id":"d02fda4b-2cf3-4301-8a1c-fc0d3925e3ff","type":"BasicTicker"}},"id":"ef5b74c1-d01b-41ef-8116-78e3d1929179","type":"LinearAxis"},{"attributes":{},"id":"2c2b2ea8-6fc3-41a8-989a-3bb7829a380b","type":"BasicTicker"}],"root_ids":["36f6c164-ef99-41f4-b546-b39c32985e60"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5cc41e8f-bc94-49b5-a19c-33cfe27a3057","elementid":"966f1126-fda6-42a5-bd3e-6c109252d560","modelid":"36f6c164-ef99-41f4-b546-b39c32985e60"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
