(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dc8161ea-3ae7-4c49-ba10-b3433e810f4f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dc8161ea-3ae7-4c49-ba10-b3433e810f4f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"51d3419c-460d-45c5-8266-5b6d90224cb9":{"roots":{"references":[{"attributes":{},"id":"0c825a5c-48c8-4a1d-b12e-2e02a0661fe2","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"6ac9bfa0-dded-48bf-89db-54bf2f4440a5","type":"Circle"},{"attributes":{"label":{"field":"label"},"renderers":[{"id":"4acd0b7c-e56f-48b9-bd11-b78df926e94c","type":"GlyphRenderer"}]},"id":"e258c61a-f13d-4b9e-a259-debc2c6c5644","type":"LegendItem"},{"attributes":{"data_source":{"id":"2c7db381-5a9f-4783-9e1c-9a90d2ef1066","type":"ColumnDataSource"},"glyph":{"id":"1c159986-e5c8-4109-be94-889509130226","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6ac9bfa0-dded-48bf-89db-54bf2f4440a5","type":"Circle"},"selection_glyph":null,"view":{"id":"ee8cbf53-2131-436b-9db9-c0b1d0906a31","type":"CDSView"}},"id":"4acd0b7c-e56f-48b9-bd11-b78df926e94c","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":""},"id":"e9664b36-37b4-49d3-8b6f-89d7676ee910","type":"Title"},{"attributes":{"callback":null,"column_names":["color","y","label","x"],"data":{"color":["#ef8a62","#67a9cf","#ef8a62","#67a9cf","#ef8a62","#67a9cf"],"label":["hi","lo","hi","lo","hi","lo"],"x":[1,2,3,4,5,6],"y":[2,1,2,1,2,1]}},"id":"2c7db381-5a9f-4783-9e1c-9a90d2ef1066","type":"ColumnDataSource"},{"attributes":{},"id":"c4bf4252-c4f6-40b3-980e-beed36f6882e","type":"LinearScale"},{"attributes":{},"id":"b9928997-12f6-4b5e-97ce-ccd08aa4c1ba","type":"BasicTicker"},{"attributes":{"below":[{"id":"685075e9-3815-4d5d-b730-39bae1e4cd71","type":"LinearAxis"}],"left":[{"id":"b9982326-c9bd-4c6b-9904-9c9fccd5bdbc","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"685075e9-3815-4d5d-b730-39bae1e4cd71","type":"LinearAxis"},{"id":"822a6554-2cb1-4b78-bf15-16cbd2e97562","type":"Grid"},{"id":"b9982326-c9bd-4c6b-9904-9c9fccd5bdbc","type":"LinearAxis"},{"id":"05155e89-7665-4cd9-8532-12c0ef90d98a","type":"Grid"},{"id":"97d8ddb8-c3fe-46d7-8f27-8c9c5776f2a4","type":"Legend"},{"id":"4acd0b7c-e56f-48b9-bd11-b78df926e94c","type":"GlyphRenderer"}],"title":{"id":"e9664b36-37b4-49d3-8b6f-89d7676ee910","type":"Title"},"toolbar":{"id":"63f799a4-e46e-4fd6-b992-0ed156d21c12","type":"Toolbar"},"x_range":{"id":"6044f341-62ee-480c-81b8-c301dab48725","type":"Range1d"},"x_scale":{"id":"69764add-bac7-40be-89f3-b072830fb6d8","type":"LinearScale"},"y_range":{"id":"e45d01ac-d77e-4172-9f72-cafb8b4a1b2f","type":"Range1d"},"y_scale":{"id":"c4bf4252-c4f6-40b3-980e-beed36f6882e","type":"LinearScale"}},"id":"e753701f-dd65-40a3-af65-32c16127bb2d","subtype":"Figure","type":"Plot"},{"attributes":{"items":[{"id":"e258c61a-f13d-4b9e-a259-debc2c6c5644","type":"LegendItem"}],"plot":{"id":"e753701f-dd65-40a3-af65-32c16127bb2d","subtype":"Figure","type":"Plot"}},"id":"97d8ddb8-c3fe-46d7-8f27-8c9c5776f2a4","type":"Legend"},{"attributes":{},"id":"c4a30541-5af3-455d-a6d0-c046ca162ca1","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"c4a30541-5af3-455d-a6d0-c046ca162ca1","type":"BasicTickFormatter"},"plot":{"id":"e753701f-dd65-40a3-af65-32c16127bb2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9928997-12f6-4b5e-97ce-ccd08aa4c1ba","type":"BasicTicker"}},"id":"b9982326-c9bd-4c6b-9904-9c9fccd5bdbc","type":"LinearAxis"},{"attributes":{"plot":{"id":"e753701f-dd65-40a3-af65-32c16127bb2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"084eb374-b141-4263-ba2a-eba3c03002cb","type":"BasicTicker"}},"id":"822a6554-2cb1-4b78-bf15-16cbd2e97562","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ae127655-995d-4bb5-8185-577e7cbf9d2e","type":"SaveTool"}]},"id":"63f799a4-e46e-4fd6-b992-0ed156d21c12","type":"Toolbar"},{"attributes":{},"id":"69764add-bac7-40be-89f3-b072830fb6d8","type":"LinearScale"},{"attributes":{"callback":null,"end":7},"id":"6044f341-62ee-480c-81b8-c301dab48725","type":"Range1d"},{"attributes":{"dimension":1,"plot":{"id":"e753701f-dd65-40a3-af65-32c16127bb2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"b9928997-12f6-4b5e-97ce-ccd08aa4c1ba","type":"BasicTicker"}},"id":"05155e89-7665-4cd9-8532-12c0ef90d98a","type":"Grid"},{"attributes":{},"id":"084eb374-b141-4263-ba2a-eba3c03002cb","type":"BasicTicker"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"1c159986-e5c8-4109-be94-889509130226","type":"Circle"},{"attributes":{"formatter":{"id":"0c825a5c-48c8-4a1d-b12e-2e02a0661fe2","type":"BasicTickFormatter"},"plot":{"id":"e753701f-dd65-40a3-af65-32c16127bb2d","subtype":"Figure","type":"Plot"},"ticker":{"id":"084eb374-b141-4263-ba2a-eba3c03002cb","type":"BasicTicker"}},"id":"685075e9-3815-4d5d-b730-39bae1e4cd71","type":"LinearAxis"},{"attributes":{"callback":null,"end":3},"id":"e45d01ac-d77e-4172-9f72-cafb8b4a1b2f","type":"Range1d"},{"attributes":{"source":{"id":"2c7db381-5a9f-4783-9e1c-9a90d2ef1066","type":"ColumnDataSource"}},"id":"ee8cbf53-2131-436b-9db9-c0b1d0906a31","type":"CDSView"},{"attributes":{},"id":"ae127655-995d-4bb5-8185-577e7cbf9d2e","type":"SaveTool"}],"root_ids":["e753701f-dd65-40a3-af65-32c16127bb2d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"51d3419c-460d-45c5-8266-5b6d90224cb9","elementid":"dc8161ea-3ae7-4c49-ba10-b3433e810f4f","modelid":"e753701f-dd65-40a3-af65-32c16127bb2d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
