(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cfb5c657-c7db-4801-9286-f0a4944a2b6a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cfb5c657-c7db-4801-9286-f0a4944a2b6a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"452dfcd6-7f03-4052-9b72-513a5dd41b0a":{"roots":{"references":[{"attributes":{},"id":"334daa49-c3e4-4ac8-a0a0-43e19f84d29e","type":"LinearScale"},{"attributes":{"plot":{"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},"text":"VeeHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":2},"id":"e87d51fc-955e-44aa-81f7-1bb760bb49bf","type":"Label"},{"attributes":{"plot":{"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},"text":"OpenHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":0},"id":"b3ec52f7-74c2-403a-a163-0566aa56e600","type":"Label"},{"attributes":{"end":{"id":"21805a26-112f-48e6-b27c-fec33afb5785","type":"OpenHead"},"plot":{"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":0},"y_start":{"value":0}},"id":"d2be4b38-2500-4ee4-a93e-cfc37225a8a3","type":"Arrow"},{"attributes":{"plot":null},"id":"8218e4ee-9d7b-480a-9876-1d97594d38b2","type":"VeeHead"},{"attributes":{"end":{"id":"995ed6c7-c128-4a59-971c-c176ea7411fd","type":"NormalHead"},"plot":{"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":1},"y_start":{"value":1}},"id":"46b7ab51-be47-4f2f-9fff-270320262818","type":"Arrow"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"1ea4ca88-c86c-407c-b25c-207567c8b0e9","type":"Toolbar"},{"attributes":{"plot":{"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},"text":"NormalHead","text_baseline":"middle","x":0.2,"x_offset":20,"y":1},"id":"8469e81f-769a-49b5-98b5-2d56ecddfeef","type":"Label"},{"attributes":{"end":{"id":"8218e4ee-9d7b-480a-9876-1d97594d38b2","type":"VeeHead"},"plot":{"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.2},"x_start":{"value":0.2},"y_end":{"value":2},"y_start":{"value":2}},"id":"bb01411d-5da7-40c8-8d23-ff23c26ba6aa","type":"Arrow"},{"attributes":{"callback":null,"end":2.5,"start":-0.5},"id":"38d0046e-a4f9-48e7-bd33-4ccb948207a9","type":"Range1d"},{"attributes":{},"id":"d0dcb388-ff7e-4e35-9b3e-f4b51019e2bc","type":"LinearScale"},{"attributes":{"plot":null},"id":"995ed6c7-c128-4a59-971c-c176ea7411fd","type":"NormalHead"},{"attributes":{"plot":null,"text":""},"id":"34126814-c886-433a-9ec9-53e36d9f2d67","type":"Title"},{"attributes":{"plot":null},"id":"21805a26-112f-48e6-b27c-fec33afb5785","type":"OpenHead"},{"attributes":{"min_border_bottom":0,"min_border_left":0,"min_border_right":0,"min_border_top":0,"outline_line_color":{"value":null},"plot_height":105,"plot_width":150,"renderers":[{"id":"d2be4b38-2500-4ee4-a93e-cfc37225a8a3","type":"Arrow"},{"id":"b3ec52f7-74c2-403a-a163-0566aa56e600","type":"Label"},{"id":"46b7ab51-be47-4f2f-9fff-270320262818","type":"Arrow"},{"id":"8469e81f-769a-49b5-98b5-2d56ecddfeef","type":"Label"},{"id":"bb01411d-5da7-40c8-8d23-ff23c26ba6aa","type":"Arrow"},{"id":"e87d51fc-955e-44aa-81f7-1bb760bb49bf","type":"Label"}],"title":{"id":"34126814-c886-433a-9ec9-53e36d9f2d67","type":"Title"},"toolbar":{"id":"1ea4ca88-c86c-407c-b25c-207567c8b0e9","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1a0aaf09-7ce2-4479-a362-6916ac1bdf33","type":"Range1d"},"x_scale":{"id":"334daa49-c3e4-4ac8-a0a0-43e19f84d29e","type":"LinearScale"},"y_range":{"id":"38d0046e-a4f9-48e7-bd33-4ccb948207a9","type":"Range1d"},"y_scale":{"id":"d0dcb388-ff7e-4e35-9b3e-f4b51019e2bc","type":"LinearScale"}},"id":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc","type":"Plot"},{"attributes":{"callback":null},"id":"1a0aaf09-7ce2-4479-a362-6916ac1bdf33","type":"Range1d"}],"root_ids":["9bfb089c-bc77-4225-a774-ef6f2cc48bfc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"452dfcd6-7f03-4052-9b72-513a5dd41b0a","elementid":"cfb5c657-c7db-4801-9286-f0a4944a2b6a","modelid":"9bfb089c-bc77-4225-a774-ef6f2cc48bfc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
