(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c14e2586-b60b-41b3-9dc0-fc3aad25b064");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c14e2586-b60b-41b3-9dc0-fc3aad25b064' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"6982310e-fd85-4409-8be6-f8c716290c17":{"roots":{"references":[{"attributes":{},"id":"90493a00-62a2-4633-89e4-0261f00b8241","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"90493a00-62a2-4633-89e4-0261f00b8241","type":"BasicTickFormatter"},"plot":{"id":"72dad449-02e1-42bf-ab40-98b9d2e55085","subtype":"Figure","type":"Plot"},"ticker":{"id":"f18cec19-4d75-4ab6-bb86-48474d915a0b","type":"BasicTicker"}},"id":"272de992-32d3-45d3-bb13-147c52189556","type":"LinearAxis"},{"attributes":{},"id":"f18cec19-4d75-4ab6-bb86-48474d915a0b","type":"BasicTicker"},{"attributes":{"formatter":{"id":"af3b3976-0132-4bf6-98d0-b4280aa52a3e","type":"BasicTickFormatter"},"plot":{"id":"72dad449-02e1-42bf-ab40-98b9d2e55085","subtype":"Figure","type":"Plot"},"ticker":{"id":"580c1c46-fc4b-436b-bd08-8dc6c6a00a3f","type":"BasicTicker"},"visible":false},"id":"e371e0c7-aa35-498b-a5e5-d6aa1c11ff96","type":"LinearAxis"},{"attributes":{"callback":null},"id":"6757a710-d535-4475-b184-02365c796ac5","type":"DataRange1d"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"da351524-a6ad-4ea3-b63b-76dc75825114","type":"Line"},{"attributes":{"source":{"id":"c83fa37f-f01d-4b92-9bc3-25ab3b67c593","type":"ColumnDataSource"}},"id":"b979e2c6-2f5b-4469-941b-cbd6b0475a33","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"16836b60-6c86-492e-8bc7-d994d9367f94","type":"Line"},{"attributes":{"below":[{"id":"e371e0c7-aa35-498b-a5e5-d6aa1c11ff96","type":"LinearAxis"}],"left":[{"id":"272de992-32d3-45d3-bb13-147c52189556","type":"LinearAxis"}],"plot_height":200,"plot_width":500,"renderers":[{"id":"e371e0c7-aa35-498b-a5e5-d6aa1c11ff96","type":"LinearAxis"},{"id":"7e22c2ec-df7f-422c-b53a-b9430fbfcf2e","type":"Grid"},{"id":"272de992-32d3-45d3-bb13-147c52189556","type":"LinearAxis"},{"id":"b78cd003-3695-4d87-acc3-e36562ef98e9","type":"Grid"},{"id":"f374d6d2-5cae-4254-8a6f-36920d2fadce","type":"GlyphRenderer"},{"id":"71c1ba9e-2439-408c-9ce2-f958e30f14a0","type":"GlyphRenderer"}],"title":{"id":"0ec5f24f-b906-4196-ad0c-ae915dfccac4","type":"Title"},"toolbar":{"id":"dcb38236-6e21-4367-9365-f2a291e0c425","type":"Toolbar"},"x_range":{"id":"df04b47d-114c-4f03-8770-9bc197084be9","type":"DataRange1d"},"x_scale":{"id":"74eb896f-621b-4e5e-8284-0ac050d4bf08","type":"LinearScale"},"y_range":{"id":"6757a710-d535-4475-b184-02365c796ac5","type":"DataRange1d"},"y_scale":{"id":"610b87a6-d599-46b0-aa04-bf1f0bee6f3c","type":"LinearScale"}},"id":"72dad449-02e1-42bf-ab40-98b9d2e55085","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"6b3126d4-3859-48aa-b6c8-fe51a35574c2","type":"ColumnDataSource"},"glyph":{"id":"da351524-a6ad-4ea3-b63b-76dc75825114","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aa7729b2-6663-44f5-992d-b0bf86ccc6d2","type":"Line"},"selection_glyph":null,"view":{"id":"1effb915-6218-4dee-af17-5571b6ba8e10","type":"CDSView"}},"id":"f374d6d2-5cae-4254-8a6f-36920d2fadce","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"c83fa37f-f01d-4b92-9bc3-25ab3b67c593","type":"ColumnDataSource"},"glyph":{"id":"916ae9c6-1e16-4649-b4d0-10d9d2b0e887","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"16836b60-6c86-492e-8bc7-d994d9367f94","type":"Line"},"selection_glyph":null,"view":{"id":"b979e2c6-2f5b-4469-941b-cbd6b0475a33","type":"CDSView"},"visible":false},"id":"71c1ba9e-2439-408c-9ce2-f958e30f14a0","type":"GlyphRenderer"},{"attributes":{"source":{"id":"6b3126d4-3859-48aa-b6c8-fe51a35574c2","type":"ColumnDataSource"}},"id":"1effb915-6218-4dee-af17-5571b6ba8e10","type":"CDSView"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"916ae9c6-1e16-4649-b4d0-10d9d2b0e887","type":"Line"},{"attributes":{"plot":null,"text":""},"id":"0ec5f24f-b906-4196-ad0c-ae915dfccac4","type":"Title"},{"attributes":{},"id":"580c1c46-fc4b-436b-bd08-8dc6c6a00a3f","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"aa7729b2-6663-44f5-992d-b0bf86ccc6d2","type":"Line"},{"attributes":{"plot":{"id":"72dad449-02e1-42bf-ab40-98b9d2e55085","subtype":"Figure","type":"Plot"},"ticker":{"id":"580c1c46-fc4b-436b-bd08-8dc6c6a00a3f","type":"BasicTicker"},"visible":false},"id":"7e22c2ec-df7f-422c-b53a-b9430fbfcf2e","type":"Grid"},{"attributes":{},"id":"af3b3976-0132-4bf6-98d0-b4280aa52a3e","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"6b3126d4-3859-48aa-b6c8-fe51a35574c2","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"c83fa37f-f01d-4b92-9bc3-25ab3b67c593","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"dcb38236-6e21-4367-9365-f2a291e0c425","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"72dad449-02e1-42bf-ab40-98b9d2e55085","subtype":"Figure","type":"Plot"},"ticker":{"id":"f18cec19-4d75-4ab6-bb86-48474d915a0b","type":"BasicTicker"}},"id":"b78cd003-3695-4d87-acc3-e36562ef98e9","type":"Grid"},{"attributes":{"callback":null},"id":"df04b47d-114c-4f03-8770-9bc197084be9","type":"DataRange1d"},{"attributes":{},"id":"74eb896f-621b-4e5e-8284-0ac050d4bf08","type":"LinearScale"},{"attributes":{},"id":"610b87a6-d599-46b0-aa04-bf1f0bee6f3c","type":"LinearScale"}],"root_ids":["72dad449-02e1-42bf-ab40-98b9d2e55085"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"6982310e-fd85-4409-8be6-f8c716290c17","elementid":"c14e2586-b60b-41b3-9dc0-fc3aad25b064","modelid":"72dad449-02e1-42bf-ab40-98b9d2e55085"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
