(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("29f91905-7c4e-4384-8cba-514a77345503");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '29f91905-7c4e-4384-8cba-514a77345503' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1904119a-ec3f-49b4-906b-ccf3a5c9507a":{"roots":{"references":[{"attributes":{"data_source":{"id":"fdc5baea-72ed-43c2-9d81-f744052337d7","type":"ColumnDataSource"},"glyph":{"id":"ba7ac3fb-1e06-47d6-a2ef-94eb0fb412cb","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2ae969ca-614a-4625-a61f-25e652d1b83b","type":"MultiLine"},"selection_glyph":null,"view":{"id":"44a45f2c-7518-4aae-99d3-ad803ce7b002","type":"CDSView"}},"id":"00dbc5f5-71a4-45ed-942d-9d87ac608102","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"ba7ac3fb-1e06-47d6-a2ef-94eb0fb412cb","type":"MultiLine"},{"attributes":{},"id":"7fede667-d18d-4f65-89a3-7ea3395f584a","type":"HelpTool"},{"attributes":{},"id":"b62b23aa-f35d-491c-91db-1be906eecac6","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"8cdc2adf-4106-4dc9-ae30-6e6e1caed926","type":"DataRange1d"},{"attributes":{"formatter":{"id":"12f380cf-012e-4e93-85fd-4e389f41678c","type":"BasicTickFormatter"},"plot":{"id":"85d02d77-abb6-4d33-9015-acd19c2cdc05","subtype":"Figure","type":"Plot"},"ticker":{"id":"c1bcace6-3214-48ba-be2d-58edfa526972","type":"BasicTicker"}},"id":"8408cf31-460d-4bae-9981-02cf35a5ab74","type":"LinearAxis"},{"attributes":{},"id":"c1bcace6-3214-48ba-be2d-58edfa526972","type":"BasicTicker"},{"attributes":{},"id":"6c5eb680-747a-457f-a978-f53c27926719","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"767609fb-e945-4c3b-b868-50e389facf46","type":"BoxAnnotation"},{"attributes":{"source":{"id":"fdc5baea-72ed-43c2-9d81-f744052337d7","type":"ColumnDataSource"}},"id":"44a45f2c-7518-4aae-99d3-ad803ce7b002","type":"CDSView"},{"attributes":{"overlay":{"id":"767609fb-e945-4c3b-b868-50e389facf46","type":"BoxAnnotation"}},"id":"6e58f52f-76f7-47f9-aefc-456462223fc2","type":"BoxZoomTool"},{"attributes":{},"id":"ec473e6d-c636-4a4e-bf76-3911dca84c97","type":"SaveTool"},{"attributes":{"plot":{"id":"85d02d77-abb6-4d33-9015-acd19c2cdc05","subtype":"Figure","type":"Plot"},"ticker":{"id":"c1bcace6-3214-48ba-be2d-58edfa526972","type":"BasicTicker"}},"id":"426e3c3d-4101-4d01-9181-b903dfec5920","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":4},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"2ae969ca-614a-4625-a61f-25e652d1b83b","type":"MultiLine"},{"attributes":{"dimension":1,"plot":{"id":"85d02d77-abb6-4d33-9015-acd19c2cdc05","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcf26efe-4873-4ad2-8d05-f109d6cbc366","type":"BasicTicker"}},"id":"a9083e89-f487-494c-acc3-a9d29e97eb48","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"57600d2f-0288-4254-95bb-55e0ea12fc38","type":"Title"},{"attributes":{},"id":"46e0b83a-d234-44b0-818d-1bf2ec543293","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5dbcf763-f15d-4976-aab1-decce67ea105","type":"PanTool"},{"id":"b62b23aa-f35d-491c-91db-1be906eecac6","type":"WheelZoomTool"},{"id":"6e58f52f-76f7-47f9-aefc-456462223fc2","type":"BoxZoomTool"},{"id":"ec473e6d-c636-4a4e-bf76-3911dca84c97","type":"SaveTool"},{"id":"a63e8acf-f08d-4995-907d-a593e344a826","type":"ResetTool"},{"id":"7fede667-d18d-4f65-89a3-7ea3395f584a","type":"HelpTool"}]},"id":"b722ff26-9835-45c2-b010-1af55b82a8fa","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha"],"data":{"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"fdc5baea-72ed-43c2-9d81-f744052337d7","type":"ColumnDataSource"},{"attributes":{},"id":"12f380cf-012e-4e93-85fd-4e389f41678c","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"8408cf31-460d-4bae-9981-02cf35a5ab74","type":"LinearAxis"}],"left":[{"id":"fc564c0b-e578-40da-9f1b-be832c7b9b7f","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8408cf31-460d-4bae-9981-02cf35a5ab74","type":"LinearAxis"},{"id":"426e3c3d-4101-4d01-9181-b903dfec5920","type":"Grid"},{"id":"fc564c0b-e578-40da-9f1b-be832c7b9b7f","type":"LinearAxis"},{"id":"a9083e89-f487-494c-acc3-a9d29e97eb48","type":"Grid"},{"id":"767609fb-e945-4c3b-b868-50e389facf46","type":"BoxAnnotation"},{"id":"00dbc5f5-71a4-45ed-942d-9d87ac608102","type":"GlyphRenderer"}],"title":{"id":"57600d2f-0288-4254-95bb-55e0ea12fc38","type":"Title"},"toolbar":{"id":"b722ff26-9835-45c2-b010-1af55b82a8fa","type":"Toolbar"},"x_range":{"id":"8cdc2adf-4106-4dc9-ae30-6e6e1caed926","type":"DataRange1d"},"x_scale":{"id":"d7d1d462-85df-49f6-97f1-684088827586","type":"LinearScale"},"y_range":{"id":"fc3bcba7-2f0d-4ca4-893b-832099a79a6a","type":"DataRange1d"},"y_scale":{"id":"46e0b83a-d234-44b0-818d-1bf2ec543293","type":"LinearScale"}},"id":"85d02d77-abb6-4d33-9015-acd19c2cdc05","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"6c5eb680-747a-457f-a978-f53c27926719","type":"BasicTickFormatter"},"plot":{"id":"85d02d77-abb6-4d33-9015-acd19c2cdc05","subtype":"Figure","type":"Plot"},"ticker":{"id":"bcf26efe-4873-4ad2-8d05-f109d6cbc366","type":"BasicTicker"}},"id":"fc564c0b-e578-40da-9f1b-be832c7b9b7f","type":"LinearAxis"},{"attributes":{},"id":"d7d1d462-85df-49f6-97f1-684088827586","type":"LinearScale"},{"attributes":{},"id":"5dbcf763-f15d-4976-aab1-decce67ea105","type":"PanTool"},{"attributes":{},"id":"a63e8acf-f08d-4995-907d-a593e344a826","type":"ResetTool"},{"attributes":{"callback":null},"id":"fc3bcba7-2f0d-4ca4-893b-832099a79a6a","type":"DataRange1d"},{"attributes":{},"id":"bcf26efe-4873-4ad2-8d05-f109d6cbc366","type":"BasicTicker"}],"root_ids":["85d02d77-abb6-4d33-9015-acd19c2cdc05"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1904119a-ec3f-49b4-906b-ccf3a5c9507a","elementid":"29f91905-7c4e-4384-8cba-514a77345503","modelid":"85d02d77-abb6-4d33-9015-acd19c2cdc05"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
