(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("191b8df0-ceb0-4b7e-b1fd-4a672c1c4d8d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '191b8df0-ceb0-4b7e-b1fd-4a672c1c4d8d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"38d06faa-6bad-4e30-b1ce-baf33fdf9aed":{"roots":{"references":[{"attributes":{"overlay":{"id":"608b3438-1e27-4c46-a008-dccbbcda4bf5","type":"BoxAnnotation"}},"id":"2b5229a7-93b1-46f6-991a-81618a2050a5","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"684cbd48-28f6-4c12-8f93-29818b68ff42","type":"BasicTickFormatter"},"plot":{"id":"b3a94620-d361-4a6a-b17a-7383faef2ab0","subtype":"Figure","type":"Plot"},"ticker":{"id":"210a0e3b-e3e5-4f1a-91b6-fdfeb83cbf17","type":"BasicTicker"}},"id":"e6ce60d7-4391-4546-8232-0a0b49053072","type":"LinearAxis"},{"attributes":{"data_source":{"id":"27f2a263-d706-4c03-9e93-77e021b49b8a","type":"ColumnDataSource"},"glyph":{"id":"766e098c-5354-4a33-8e55-8cd398966dbc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"408b857c-395d-452f-aa76-90ee5e13d385","type":"Circle"},"selection_glyph":null,"view":{"id":"fcfc5249-e022-4151-85db-a63e118b5ec6","type":"CDSView"}},"id":"fd4ffb03-58b0-4b26-a6cc-043340fbe8ef","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"ba85de2d-0c29-464c-860f-c55fcd6dd875","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"66af8c43-7a44-4c85-8f0c-500003f0f0c0","type":"PanTool"},{"id":"a656a30a-9cd1-4c39-b6f4-56f73229d9a2","type":"WheelZoomTool"},{"id":"2b5229a7-93b1-46f6-991a-81618a2050a5","type":"BoxZoomTool"},{"id":"62942704-798c-4292-8aaa-c8b6e96b4da3","type":"SaveTool"},{"id":"9170331d-6e11-492e-9ab2-7d9307f60124","type":"ResetTool"},{"id":"0c6d303d-54fb-41e1-8113-67db018cd0ff","type":"HelpTool"}]},"id":"698ea2fd-6ecf-486e-9991-8189886dc0b5","type":"Toolbar"},{"attributes":{"below":[{"id":"2b37e331-e9bd-4ee4-bf89-dd228672f2d3","type":"LinearAxis"}],"left":[{"id":"e6ce60d7-4391-4546-8232-0a0b49053072","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2b37e331-e9bd-4ee4-bf89-dd228672f2d3","type":"LinearAxis"},{"id":"9758b0ca-3d19-498e-b700-e6cbef179fc3","type":"Grid"},{"id":"e6ce60d7-4391-4546-8232-0a0b49053072","type":"LinearAxis"},{"id":"d2785991-6b02-4efe-aa3f-e9290a343476","type":"Grid"},{"id":"608b3438-1e27-4c46-a008-dccbbcda4bf5","type":"BoxAnnotation"},{"id":"fd4ffb03-58b0-4b26-a6cc-043340fbe8ef","type":"GlyphRenderer"}],"title":{"id":"e8fa49ea-a5a0-4674-b89f-e395cc361d08","type":"Title"},"toolbar":{"id":"698ea2fd-6ecf-486e-9991-8189886dc0b5","type":"Toolbar"},"x_range":{"id":"c6e82d04-7935-4ed9-a409-d123872c080d","type":"DataRange1d"},"x_scale":{"id":"0113b7d3-1413-4ee9-adb4-ac378a321c5e","type":"LinearScale"},"y_range":{"id":"ba85de2d-0c29-464c-860f-c55fcd6dd875","type":"DataRange1d"},"y_scale":{"id":"cb20f182-b55e-40c3-b99d-6ae9a79b0b3c","type":"LinearScale"}},"id":"b3a94620-d361-4a6a-b17a-7383faef2ab0","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"grid_line_alpha":{"value":0.5},"grid_line_dash":[6,4],"plot":{"id":"b3a94620-d361-4a6a-b17a-7383faef2ab0","subtype":"Figure","type":"Plot"},"ticker":{"id":"210a0e3b-e3e5-4f1a-91b6-fdfeb83cbf17","type":"BasicTicker"}},"id":"d2785991-6b02-4efe-aa3f-e9290a343476","type":"Grid"},{"attributes":{"callback":null},"id":"c6e82d04-7935-4ed9-a409-d123872c080d","type":"DataRange1d"},{"attributes":{},"id":"0113b7d3-1413-4ee9-adb4-ac378a321c5e","type":"LinearScale"},{"attributes":{"formatter":{"id":"d7f20f48-d064-47ac-b0d0-dfb5ad07a4f5","type":"BasicTickFormatter"},"plot":{"id":"b3a94620-d361-4a6a-b17a-7383faef2ab0","subtype":"Figure","type":"Plot"},"ticker":{"id":"56abf44e-9c6c-4a00-967b-1555ec42c0ae","type":"BasicTicker"}},"id":"2b37e331-e9bd-4ee4-bf89-dd228672f2d3","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"408b857c-395d-452f-aa76-90ee5e13d385","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"e8fa49ea-a5a0-4674-b89f-e395cc361d08","type":"Title"},{"attributes":{},"id":"210a0e3b-e3e5-4f1a-91b6-fdfeb83cbf17","type":"BasicTicker"},{"attributes":{},"id":"66af8c43-7a44-4c85-8f0c-500003f0f0c0","type":"PanTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"27f2a263-d706-4c03-9e93-77e021b49b8a","type":"ColumnDataSource"},{"attributes":{},"id":"684cbd48-28f6-4c12-8f93-29818b68ff42","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"608b3438-1e27-4c46-a008-dccbbcda4bf5","type":"BoxAnnotation"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"b3a94620-d361-4a6a-b17a-7383faef2ab0","subtype":"Figure","type":"Plot"},"ticker":{"id":"56abf44e-9c6c-4a00-967b-1555ec42c0ae","type":"BasicTicker"}},"id":"9758b0ca-3d19-498e-b700-e6cbef179fc3","type":"Grid"},{"attributes":{"source":{"id":"27f2a263-d706-4c03-9e93-77e021b49b8a","type":"ColumnDataSource"}},"id":"fcfc5249-e022-4151-85db-a63e118b5ec6","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"766e098c-5354-4a33-8e55-8cd398966dbc","type":"Circle"},{"attributes":{},"id":"0c6d303d-54fb-41e1-8113-67db018cd0ff","type":"HelpTool"},{"attributes":{},"id":"62942704-798c-4292-8aaa-c8b6e96b4da3","type":"SaveTool"},{"attributes":{},"id":"a656a30a-9cd1-4c39-b6f4-56f73229d9a2","type":"WheelZoomTool"},{"attributes":{},"id":"9170331d-6e11-492e-9ab2-7d9307f60124","type":"ResetTool"},{"attributes":{},"id":"cb20f182-b55e-40c3-b99d-6ae9a79b0b3c","type":"LinearScale"},{"attributes":{},"id":"56abf44e-9c6c-4a00-967b-1555ec42c0ae","type":"BasicTicker"},{"attributes":{},"id":"d7f20f48-d064-47ac-b0d0-dfb5ad07a4f5","type":"BasicTickFormatter"}],"root_ids":["b3a94620-d361-4a6a-b17a-7383faef2ab0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"38d06faa-6bad-4e30-b1ce-baf33fdf9aed","elementid":"191b8df0-ceb0-4b7e-b1fd-4a672c1c4d8d","modelid":"b3a94620-d361-4a6a-b17a-7383faef2ab0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
