(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1f4d54fb-35e6-4cfa-98b2-db743a4bf814");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1f4d54fb-35e6-4cfa-98b2-db743a4bf814' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c44c2765-5bd1-446d-9a5b-b2f2a9bf4693":{"roots":{"references":[{"attributes":{"source":{"id":"6659c01f-4520-41ec-a953-515f30f11e88","type":"ColumnDataSource"}},"id":"7cb8403f-f8ae-45f6-a87c-ed86013e7e2b","type":"CDSView"},{"attributes":{"callback":null},"id":"3233ac56-d634-4f32-b7bf-8c7e35baa8ac","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6c50a703-8020-4130-84c8-5cf3e59fe110","type":"PanTool"},{"id":"787f916b-a914-40fb-96d6-546944fdd6ee","type":"WheelZoomTool"},{"id":"f34f4b68-b3c4-4f9b-9e0c-0e225cdbd1fb","type":"BoxZoomTool"},{"id":"2f704d69-f298-4a6a-87bf-8e7a55d06cdb","type":"SaveTool"},{"id":"d1f497d2-5f0d-4bf7-a3f9-5e34069554eb","type":"ResetTool"},{"id":"71541d46-b055-4509-8c7b-26bac98f4aa0","type":"HelpTool"}]},"id":"1027745c-e63f-45d9-a868-a2ba49c22c5b","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"6659c01f-4520-41ec-a953-515f30f11e88","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"3bca5f29-f604-4264-a574-cca1544209bf","type":"Title"},{"attributes":{"formatter":{"id":"93c6d141-cd0f-45e4-a0f2-49da83e8abc6","type":"BasicTickFormatter"},"plot":{"id":"3faab0ec-619f-4ff2-8f6f-c38f0dae60f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"49a31102-d35c-49f0-9476-d8bc66e382b9","type":"BasicTicker"}},"id":"9b2770fa-3f06-4117-843f-71187d4770a9","type":"LinearAxis"},{"attributes":{},"id":"2f704d69-f298-4a6a-87bf-8e7a55d06cdb","type":"SaveTool"},{"attributes":{"overlay":{"id":"2dbcc05f-ab07-40e0-adfa-46e4ca544035","type":"BoxAnnotation"}},"id":"f34f4b68-b3c4-4f9b-9e0c-0e225cdbd1fb","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"d7c97e47-e5bd-4586-ad90-2f21b88e5478","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"3faab0ec-619f-4ff2-8f6f-c38f0dae60f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"a74aecdb-4e28-4c1d-8229-cddfb1505632","type":"BasicTicker"}},"id":"73281bba-9b0e-48c9-a68c-c90544ca6da9","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"daa9f237-c302-4b52-8c4e-29dad6f03fe8","type":"Circle"},{"attributes":{},"id":"a74aecdb-4e28-4c1d-8229-cddfb1505632","type":"BasicTicker"},{"attributes":{},"id":"6c50a703-8020-4130-84c8-5cf3e59fe110","type":"PanTool"},{"attributes":{},"id":"49a31102-d35c-49f0-9476-d8bc66e382b9","type":"BasicTicker"},{"attributes":{},"id":"78fbffc1-b7dd-4358-8cbf-085592e70d9b","type":"BasicTickFormatter"},{"attributes":{},"id":"93c6d141-cd0f-45e4-a0f2-49da83e8abc6","type":"BasicTickFormatter"},{"attributes":{},"id":"b7f7ba6a-f5a8-47da-a922-f9ae398b8c44","type":"LinearScale"},{"attributes":{},"id":"787f916b-a914-40fb-96d6-546944fdd6ee","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"9b2770fa-3f06-4117-843f-71187d4770a9","type":"LinearAxis"}],"left":[{"id":"706ff86f-3751-4005-8247-4b489713fabb","type":"LinearAxis"}],"outline_line_alpha":{"value":0.3},"outline_line_color":{"value":"navy"},"outline_line_width":{"value":7},"plot_height":400,"plot_width":400,"renderers":[{"id":"9b2770fa-3f06-4117-843f-71187d4770a9","type":"LinearAxis"},{"id":"f1ffffed-b357-447b-9f0e-00cbf157cf7a","type":"Grid"},{"id":"706ff86f-3751-4005-8247-4b489713fabb","type":"LinearAxis"},{"id":"73281bba-9b0e-48c9-a68c-c90544ca6da9","type":"Grid"},{"id":"2dbcc05f-ab07-40e0-adfa-46e4ca544035","type":"BoxAnnotation"},{"id":"7d956318-6ae9-406f-8b20-f92e75b12512","type":"GlyphRenderer"}],"title":{"id":"3bca5f29-f604-4264-a574-cca1544209bf","type":"Title"},"toolbar":{"id":"1027745c-e63f-45d9-a868-a2ba49c22c5b","type":"Toolbar"},"x_range":{"id":"d7c97e47-e5bd-4586-ad90-2f21b88e5478","type":"DataRange1d"},"x_scale":{"id":"b7f7ba6a-f5a8-47da-a922-f9ae398b8c44","type":"LinearScale"},"y_range":{"id":"3233ac56-d634-4f32-b7bf-8c7e35baa8ac","type":"DataRange1d"},"y_scale":{"id":"2c47c4de-7ce6-4dcc-b934-b31de9635c91","type":"LinearScale"}},"id":"3faab0ec-619f-4ff2-8f6f-c38f0dae60f5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2c47c4de-7ce6-4dcc-b934-b31de9635c91","type":"LinearScale"},{"attributes":{},"id":"71541d46-b055-4509-8c7b-26bac98f4aa0","type":"HelpTool"},{"attributes":{"plot":{"id":"3faab0ec-619f-4ff2-8f6f-c38f0dae60f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"49a31102-d35c-49f0-9476-d8bc66e382b9","type":"BasicTicker"}},"id":"f1ffffed-b357-447b-9f0e-00cbf157cf7a","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2dbcc05f-ab07-40e0-adfa-46e4ca544035","type":"BoxAnnotation"},{"attributes":{},"id":"d1f497d2-5f0d-4bf7-a3f9-5e34069554eb","type":"ResetTool"},{"attributes":{"formatter":{"id":"78fbffc1-b7dd-4358-8cbf-085592e70d9b","type":"BasicTickFormatter"},"plot":{"id":"3faab0ec-619f-4ff2-8f6f-c38f0dae60f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"a74aecdb-4e28-4c1d-8229-cddfb1505632","type":"BasicTicker"}},"id":"706ff86f-3751-4005-8247-4b489713fabb","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"443b001d-04b5-482c-8fa2-e8fa6115d184","type":"Circle"},{"attributes":{"data_source":{"id":"6659c01f-4520-41ec-a953-515f30f11e88","type":"ColumnDataSource"},"glyph":{"id":"daa9f237-c302-4b52-8c4e-29dad6f03fe8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"443b001d-04b5-482c-8fa2-e8fa6115d184","type":"Circle"},"selection_glyph":null,"view":{"id":"7cb8403f-f8ae-45f6-a87c-ed86013e7e2b","type":"CDSView"}},"id":"7d956318-6ae9-406f-8b20-f92e75b12512","type":"GlyphRenderer"}],"root_ids":["3faab0ec-619f-4ff2-8f6f-c38f0dae60f5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c44c2765-5bd1-446d-9a5b-b2f2a9bf4693","elementid":"1f4d54fb-35e6-4cfa-98b2-db743a4bf814","modelid":"3faab0ec-619f-4ff2-8f6f-c38f0dae60f5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
