(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e746cd08-e5b9-414c-bdaa-7b50ba68a3af");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e746cd08-e5b9-414c-bdaa-7b50ba68a3af' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ce26ca1c-9f6e-4206-a84d-621eff5c4afe":{"roots":{"references":[{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"58018945-beb9-46bc-a726-522b8d64fa81","type":"FactorRange"},{"attributes":{"data_source":{"id":"2646b5cc-16ac-442e-a437-66062b3f00f9","type":"ColumnDataSource"},"glyph":{"id":"d1069251-4204-40b9-a791-6878937d3abe","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"28be8776-ceaa-42b1-83d6-28320e6b30a7","type":"VBar"},"selection_glyph":null,"view":{"id":"2a390f17-de05-408f-8da7-356651913457","type":"CDSView"}},"id":"662b39b6-296c-4a41-a42a-1ad49a02d0f2","type":"GlyphRenderer"},{"attributes":{},"id":"6710687b-2dde-4e20-8b57-c77595c0604e","type":"CategoricalScale"},{"attributes":{"source":{"id":"2646b5cc-16ac-442e-a437-66062b3f00f9","type":"ColumnDataSource"}},"id":"2a390f17-de05-408f-8da7-356651913457","type":"CDSView"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"662b39b6-296c-4a41-a42a-1ad49a02d0f2","type":"GlyphRenderer"}]},"id":"a1e6e494-c024-4455-a79a-1119c28d0462","type":"LegendItem"},{"attributes":{},"id":"6e91115c-ccd8-4acd-81bb-e0e5c96fd52f","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"255092ea-fc3a-4a04-8db9-415aaabaf3e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"6e91115c-ccd8-4acd-81bb-e0e5c96fd52f","type":"CategoricalTicker"}},"id":"8190e4a4-2873-4fb4-8cf0-2fa2730d99c3","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"255092ea-fc3a-4a04-8db9-415aaabaf3e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8ef325f-f874-4c16-a5ba-c645ac46ecdd","type":"BasicTicker"}},"id":"607f4d5b-44de-4691-aa0b-5d200bc0fc1f","type":"Grid"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"d1069251-4204-40b9-a791-6878937d3abe","type":"VBar"},{"attributes":{"items":[{"id":"a1e6e494-c024-4455-a79a-1119c28d0462","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"255092ea-fc3a-4a04-8db9-415aaabaf3e5","subtype":"Figure","type":"Plot"}},"id":"43c1cc02-056d-4674-9bd9-eab6af3e404d","type":"Legend"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"f6775a9f-8a0c-4707-9efc-01bb06cf4da7","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"28be8776-ceaa-42b1-83d6-28320e6b30a7","type":"VBar"},{"attributes":{"formatter":{"id":"61569051-6e5e-4194-8fcd-63f5bc1f234b","type":"BasicTickFormatter"},"plot":{"id":"255092ea-fc3a-4a04-8db9-415aaabaf3e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8ef325f-f874-4c16-a5ba-c645ac46ecdd","type":"BasicTicker"}},"id":"558092fb-9e1e-4237-bd98-5f2000e24cee","type":"LinearAxis"},{"attributes":{},"id":"5b2e1d2d-0a03-408c-b210-0cf1e3d10e5f","type":"LinearScale"},{"attributes":{},"id":"d8ef325f-f874-4c16-a5ba-c645ac46ecdd","type":"BasicTicker"},{"attributes":{},"id":"136e01ab-0e07-4b92-8f29-2cc9178f3fa3","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"136e01ab-0e07-4b92-8f29-2cc9178f3fa3","type":"CategoricalTickFormatter"},"plot":{"id":"255092ea-fc3a-4a04-8db9-415aaabaf3e5","subtype":"Figure","type":"Plot"},"ticker":{"id":"6e91115c-ccd8-4acd-81bb-e0e5c96fd52f","type":"CategoricalTicker"}},"id":"1e82248a-8a09-4a48-97fb-372cdddf25d4","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"1e82248a-8a09-4a48-97fb-372cdddf25d4","type":"CategoricalAxis"}],"left":[{"id":"558092fb-9e1e-4237-bd98-5f2000e24cee","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"1e82248a-8a09-4a48-97fb-372cdddf25d4","type":"CategoricalAxis"},{"id":"8190e4a4-2873-4fb4-8cf0-2fa2730d99c3","type":"Grid"},{"id":"558092fb-9e1e-4237-bd98-5f2000e24cee","type":"LinearAxis"},{"id":"607f4d5b-44de-4691-aa0b-5d200bc0fc1f","type":"Grid"},{"id":"43c1cc02-056d-4674-9bd9-eab6af3e404d","type":"Legend"},{"id":"662b39b6-296c-4a41-a42a-1ad49a02d0f2","type":"GlyphRenderer"}],"title":{"id":"f6775a9f-8a0c-4707-9efc-01bb06cf4da7","type":"Title"},"toolbar":{"id":"5dee48ed-e47d-4d54-a72e-b3deb4a2db35","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"58018945-beb9-46bc-a726-522b8d64fa81","type":"FactorRange"},"x_scale":{"id":"6710687b-2dde-4e20-8b57-c77595c0604e","type":"CategoricalScale"},"y_range":{"id":"117c61de-64d1-42d7-b881-88c04350c114","type":"Range1d"},"y_scale":{"id":"5b2e1d2d-0a03-408c-b210-0cf1e3d10e5f","type":"LinearScale"}},"id":"255092ea-fc3a-4a04-8db9-415aaabaf3e5","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"61569051-6e5e-4194-8fcd-63f5bc1f234b","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":9},"id":"117c61de-64d1-42d7-b881-88c04350c114","type":"Range1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"5dee48ed-e47d-4d54-a72e-b3deb4a2db35","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"2646b5cc-16ac-442e-a437-66062b3f00f9","type":"ColumnDataSource"}],"root_ids":["255092ea-fc3a-4a04-8db9-415aaabaf3e5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ce26ca1c-9f6e-4206-a84d-621eff5c4afe","elementid":"e746cd08-e5b9-414c-bdaa-7b50ba68a3af","modelid":"255092ea-fc3a-4a04-8db9-415aaabaf3e5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
