(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9b4ec2f7-b7f3-4e61-bd34-173995da2bd4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9b4ec2f7-b7f3-4e61-bd34-173995da2bd4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a3b8c7dc-aac5-41fa-becc-6097fca63f15":{"roots":{"references":[{"attributes":{"below":[{"id":"c5e69135-bae7-46e4-9ce1-22827f8e0389","type":"LinearAxis"}],"left":[{"id":"356f982e-95f3-4af5-b9c8-9a1c694e35b0","type":"LinearAxis"}],"renderers":[{"id":"c5e69135-bae7-46e4-9ce1-22827f8e0389","type":"LinearAxis"},{"id":"00320489-508b-4cb2-a15f-cce04febcb90","type":"Grid"},{"id":"356f982e-95f3-4af5-b9c8-9a1c694e35b0","type":"LinearAxis"},{"id":"288f0f2d-34b7-4fc0-abcc-65c80ee99ef9","type":"Grid"},{"id":"b31923a2-ac53-4f78-bc40-6c59073e2792","type":"GraphRenderer"}],"title":{"id":"13dd1f9a-fc40-45d6-ac72-aba145b53410","type":"Title"},"toolbar":{"id":"96ac39bf-a0c6-4d50-ac4a-e67afec42dd5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"5d8be8b1-7bb4-4795-8a35-0007787ab759","type":"Range1d"},"x_scale":{"id":"008254e2-768a-4528-b224-fbb8d50af0ac","type":"LinearScale"},"y_range":{"id":"102c5735-f9d8-4c1c-9ab4-733b438f2cf5","type":"Range1d"},"y_scale":{"id":"1dc019b8-65d0-4f5d-964f-81a4e5336338","type":"LinearScale"}},"id":"3d8b5e1d-0624-4a6d-b620-a55b480852c4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"df3492a0-e86a-4876-9ee0-7c9f007dc32a","type":"BasicTicker"},{"attributes":{},"id":"1dc019b8-65d0-4f5d-964f-81a4e5336338","type":"LinearScale"},{"attributes":{},"id":"897f80c4-3d4a-442f-8a0b-daa3302a21b2","type":"MultiLine"},{"attributes":{"edge_renderer":{"id":"206ea040-8450-4d9d-869a-726f9e8a7316","type":"GlyphRenderer"},"inspection_policy":{"id":"1efb0440-c612-48c6-a36d-f68026fda0a2","type":"NodesOnly"},"layout_provider":{"id":"41462823-c7c0-41a3-a45d-d6829afc579b","type":"StaticLayoutProvider"},"node_renderer":{"id":"edeeeb3e-8f56-441e-aa3e-25a578fbb69d","type":"GlyphRenderer"},"selection_policy":{"id":"3243cd22-4ad4-4acb-aae6-19a5e853c5e5","type":"NodesOnly"}},"id":"b31923a2-ac53-4f78-bc40-6c59073e2792","type":"GraphRenderer"},{"attributes":{},"id":"1efb0440-c612-48c6-a36d-f68026fda0a2","type":"NodesOnly"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"cb2461e8-0cee-44d7-93b4-c484969834f4","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"5d8be8b1-7bb4-4795-8a35-0007787ab759","type":"Range1d"},{"attributes":{},"id":"dfaa3b42-434a-4416-becd-5f9049edfc07","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"69587cb0-7e7f-4420-b7de-48f7644ac823","type":"ColumnDataSource"},{"attributes":{},"id":"b3cfaacf-1c61-43cf-bc15-a9cf0e03eaaa","type":"Circle"},{"attributes":{"source":{"id":"cb2461e8-0cee-44d7-93b4-c484969834f4","type":"ColumnDataSource"}},"id":"e093edc0-75d6-4b32-8001-30c443bfd5e3","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"96ac39bf-a0c6-4d50-ac4a-e67afec42dd5","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"3d8b5e1d-0624-4a6d-b620-a55b480852c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"df3492a0-e86a-4876-9ee0-7c9f007dc32a","type":"BasicTicker"}},"id":"288f0f2d-34b7-4fc0-abcc-65c80ee99ef9","type":"Grid"},{"attributes":{"data_source":{"id":"cb2461e8-0cee-44d7-93b4-c484969834f4","type":"ColumnDataSource"},"glyph":{"id":"897f80c4-3d4a-442f-8a0b-daa3302a21b2","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e093edc0-75d6-4b32-8001-30c443bfd5e3","type":"CDSView"}},"id":"206ea040-8450-4d9d-869a-726f9e8a7316","type":"GlyphRenderer"},{"attributes":{},"id":"a710b3a9-8089-4c45-992d-e511de6e8d6c","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"69587cb0-7e7f-4420-b7de-48f7644ac823","type":"ColumnDataSource"},"glyph":{"id":"b3cfaacf-1c61-43cf-bc15-a9cf0e03eaaa","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ceaf73aa-cb56-408b-b693-17cf33dd92d5","type":"CDSView"}},"id":"edeeeb3e-8f56-441e-aa3e-25a578fbb69d","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Networkx Integration Demonstration"},"id":"13dd1f9a-fc40-45d6-ac72-aba145b53410","type":"Title"},{"attributes":{},"id":"3243cd22-4ad4-4acb-aae6-19a5e853c5e5","type":"NodesOnly"},{"attributes":{"plot":{"id":"3d8b5e1d-0624-4a6d-b620-a55b480852c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"df399226-a39d-4b42-b328-ccb0defac049","type":"BasicTicker"}},"id":"00320489-508b-4cb2-a15f-cce04febcb90","type":"Grid"},{"attributes":{},"id":"008254e2-768a-4528-b224-fbb8d50af0ac","type":"LinearScale"},{"attributes":{"source":{"id":"69587cb0-7e7f-4420-b7de-48f7644ac823","type":"ColumnDataSource"}},"id":"ceaf73aa-cb56-408b-b693-17cf33dd92d5","type":"CDSView"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"102c5735-f9d8-4c1c-9ab4-733b438f2cf5","type":"Range1d"},{"attributes":{"formatter":{"id":"dfaa3b42-434a-4416-becd-5f9049edfc07","type":"BasicTickFormatter"},"plot":{"id":"3d8b5e1d-0624-4a6d-b620-a55b480852c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"df3492a0-e86a-4876-9ee0-7c9f007dc32a","type":"BasicTicker"}},"id":"356f982e-95f3-4af5-b9c8-9a1c694e35b0","type":"LinearAxis"},{"attributes":{"formatter":{"id":"a710b3a9-8089-4c45-992d-e511de6e8d6c","type":"BasicTickFormatter"},"plot":{"id":"3d8b5e1d-0624-4a6d-b620-a55b480852c4","subtype":"Figure","type":"Plot"},"ticker":{"id":"df399226-a39d-4b42-b328-ccb0defac049","type":"BasicTicker"}},"id":"c5e69135-bae7-46e4-9ce1-22827f8e0389","type":"LinearAxis"},{"attributes":{},"id":"df399226-a39d-4b42-b328-ccb0defac049","type":"BasicTicker"},{"attributes":{"graph_layout":{"0":[0.4821750707225114,-0.30354965500301423],"1":[0.16735937311380367,-0.6882933159203255],"10":[1.0,-0.16500730451019952],"11":[0.6279273458543368,-0.8327651274697451],"12":[0.8934456477818205,-0.47021617006722183],"13":[0.02966672204381271,-0.4992352663273252],"14":[-0.9904002278452971,0.08519532476288783],"15":[-0.9426527566110012,-0.3452197195329907],"16":[0.805273951496291,0.6126065832493066],"17":[0.20274005551980934,-1.0],"18":[-0.5959749707974432,0.49134872444107347],"19":[0.1540127703305818,-0.17843228377932174],"2":[-0.06740546485400878,-0.3072319742984625],"20":[-1.0,-0.13369657375979738],"21":[0.7608444747438978,-0.6957298048720417],"22":[-0.8207122871404167,0.2621488737548361],"23":[-0.5593675327026183,0.7069113177928503],"24":[0.11533357860232352,0.9681077799985056],"25":[-0.16351468134592673,0.9715442431866024],"26":[-0.7727769716658168,0.5901430912081338],"27":[-0.20325082401149575,0.5306780834682201],"28":[-0.09258508254136022,0.1639177463842243],"29":[-0.8916415985463642,0.4189520504428108],"3":[0.4503414780862651,-0.6256723385373466],"30":[-0.4906219334100903,-0.5433113195636523],"31":[-0.0007006329446970216,0.4114265150219625],"32":[-0.6340338385379686,0.04795967395762557],"33":[-0.49603077726525047,0.035104404743578455],"4":[0.9924399954455878,0.014515200000894346],"5":[0.993978760047419,0.19776939757548262],"6":[0.9122752125803204,0.3399575133260868],"7":[0.3488025723300874,-0.869681225009419],"8":[-0.29569926618126363,-0.33943052176723476],"9":[-0.6879554614437828,-0.6534318821617884]}},"id":"41462823-c7c0-41a3-a45d-d6829afc579b","type":"StaticLayoutProvider"}],"root_ids":["3d8b5e1d-0624-4a6d-b620-a55b480852c4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a3b8c7dc-aac5-41fa-becc-6097fca63f15","elementid":"9b4ec2f7-b7f3-4e61-bd34-173995da2bd4","modelid":"3d8b5e1d-0624-4a6d-b620-a55b480852c4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
