(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c1b1c142-391b-452f-b1ac-25ca3c6da086");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c1b1c142-391b-452f-b1ac-25ca3c6da086' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"245fe062-71fd-466d-864f-90dc44ec2094":{"roots":{"references":[{"attributes":{},"id":"da4fe748-8f4f-4315-8452-22686cdeaf71","type":"LinearScale"},{"attributes":{},"id":"7e283958-9e24-44da-9d90-f9fe28e62a1b","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"375848e8-da1e-4498-865a-2da9e8f956ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab959b43-774f-4c4d-9867-249d51e75902","type":"BasicTicker"}},"id":"2baa1bef-c86b-48ad-8e4a-7cff145abe44","type":"Grid"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"3b23317c-99b5-449f-ac5b-a89e13c4e166","type":"PanTool"},{"id":"a127fde8-dce1-43dc-a755-28c5db27538b","type":"WheelZoomTool"},{"id":"cbf65a8d-554f-4e72-a1c7-153e674bdd53","type":"BoxZoomTool"},{"id":"119e5693-0924-486a-9ba7-17b1812a8005","type":"SaveTool"},{"id":"f9a37729-1028-430b-bdf5-9d696108ea57","type":"ResetTool"},{"id":"b3272e39-2c48-405d-9583-6fd115c5d838","type":"HelpTool"},{"id":"b2e52c9c-400b-4293-a8ce-a8837a415a67","type":"PanTool"},{"id":"6f6d1b78-9dcd-4940-94de-5c48e99c8347","type":"WheelZoomTool"},{"id":"969ce095-e338-4aad-b8a7-f3bb31ec4445","type":"BoxZoomTool"},{"id":"29fcf17b-3fda-43e8-91a6-2dc1852d0e15","type":"SaveTool"},{"id":"7c6d3c58-3323-4087-8af3-4f15d3c9433b","type":"ResetTool"},{"id":"60d14e76-a98a-4a7a-b0cf-937f8865a44e","type":"HelpTool"},{"id":"56597193-b529-4873-9de9-ec46512140e4","type":"PanTool"},{"id":"68c5e4dc-66c6-4a77-9871-542d8eb4822e","type":"WheelZoomTool"},{"id":"48323558-f3b4-4a04-859f-400e38708d0f","type":"BoxZoomTool"},{"id":"3ba1b956-c083-4b92-8c42-be5792d31a62","type":"SaveTool"},{"id":"734501b2-04dc-4692-8ad5-39d4304efcdf","type":"ResetTool"},{"id":"13d83e2d-3613-4e11-a8a8-7c0b028257a5","type":"HelpTool"}]},"id":"a7725a4c-ef90-4193-a5ae-26e3e8cec3fa","type":"ToolbarBox"},{"attributes":{},"id":"7c6d3c58-3323-4087-8af3-4f15d3c9433b","type":"ResetTool"},{"attributes":{"formatter":{"id":"d2792876-0d37-4ce1-9647-2db3c185234c","type":"BasicTickFormatter"},"plot":{"id":"4cd5d91c-65c5-4281-a158-65f4cc142b15","subtype":"Figure","type":"Plot"},"ticker":{"id":"d88a99a0-0e34-4112-a713-5a63f89e1a6f","type":"BasicTicker"}},"id":"c1fa46c7-4a3e-484b-950c-c767e2120f23","type":"LinearAxis"},{"attributes":{},"id":"5d9f1dc3-2dc9-447e-b9c3-9a8cac124929","type":"BasicTicker"},{"attributes":{"overlay":{"id":"21773f88-27d4-4144-83c2-976fbb52a1a2","type":"BoxAnnotation"}},"id":"cbf65a8d-554f-4e72-a1c7-153e674bdd53","type":"BoxZoomTool"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4b8dee68-69ba-438c-852a-51606dfec2e4","type":"Circle"},{"attributes":{},"id":"60d14e76-a98a-4a7a-b0cf-937f8865a44e","type":"HelpTool"},{"attributes":{"data_source":{"id":"9c88a4a3-c012-4928-8411-0e786ee4d742","type":"ColumnDataSource"},"glyph":{"id":"4b8dee68-69ba-438c-852a-51606dfec2e4","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"475b055f-fa10-4c4a-b3a4-12b43d88720d","type":"Circle"},"selection_glyph":null,"view":{"id":"b455880b-7355-473e-a119-2bd3df787284","type":"CDSView"}},"id":"ac3593e5-a838-482e-8242-bacb1c62816f","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"194a9eef-85e4-4125-8511-33a2fa710fcf","type":"Square"},{"attributes":{"formatter":{"id":"7e283958-9e24-44da-9d90-f9fe28e62a1b","type":"BasicTickFormatter"},"plot":{"id":"3e4efdda-0eb9-44cf-b074-76d8adc1fc17","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d9f1dc3-2dc9-447e-b9c3-9a8cac124929","type":"BasicTicker"}},"id":"2b002dd1-7a98-4660-9236-5b9c9978cbc1","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"21773f88-27d4-4144-83c2-976fbb52a1a2","type":"BoxAnnotation"},{"attributes":{},"id":"9fee88b4-6660-4e52-8799-7940963de983","type":"LinearScale"},{"attributes":{},"id":"2d6beb05-e985-454a-8f4f-5065b4dcb3dc","type":"BasicTicker"},{"attributes":{"callback":null},"id":"e5602385-becb-4fc0-9959-6e4cfa5e87af","type":"DataRange1d"},{"attributes":{},"id":"3b23317c-99b5-449f-ac5b-a89e13c4e166","type":"PanTool"},{"attributes":{"plot":{"id":"3e4efdda-0eb9-44cf-b074-76d8adc1fc17","subtype":"Figure","type":"Plot"},"ticker":{"id":"5497203a-51b3-4dc5-8dba-1ac669d764f5","type":"BasicTicker"}},"id":"da5c16d7-686b-4340-8802-bee2e1519b10","type":"Grid"},{"attributes":{},"id":"56597193-b529-4873-9de9-ec46512140e4","type":"PanTool"},{"attributes":{"plot":{"id":"375848e8-da1e-4498-865a-2da9e8f956ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"615fb726-d0b1-48ed-89cf-aea77c12b853","type":"BasicTicker"}},"id":"b04d0d8f-fb5b-4497-9917-98028049ec68","type":"Grid"},{"attributes":{"callback":null},"id":"cb0c9681-1204-43df-9221-547f5e7d76b8","type":"DataRange1d"},{"attributes":{"formatter":{"id":"93cb9770-bcdd-4287-915f-89f30922da70","type":"BasicTickFormatter"},"plot":{"id":"375848e8-da1e-4498-865a-2da9e8f956ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab959b43-774f-4c4d-9867-249d51e75902","type":"BasicTicker"}},"id":"9d34e05e-42a6-4521-af91-4ab8233c0518","type":"LinearAxis"},{"attributes":{},"id":"ea20f134-8bda-49c2-b6f5-434fb045f0bf","type":"BasicTickFormatter"},{"attributes":{},"id":"b3272e39-2c48-405d-9583-6fd115c5d838","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"9c88a4a3-c012-4928-8411-0e786ee4d742","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3b23317c-99b5-449f-ac5b-a89e13c4e166","type":"PanTool"},{"id":"a127fde8-dce1-43dc-a755-28c5db27538b","type":"WheelZoomTool"},{"id":"cbf65a8d-554f-4e72-a1c7-153e674bdd53","type":"BoxZoomTool"},{"id":"119e5693-0924-486a-9ba7-17b1812a8005","type":"SaveTool"},{"id":"f9a37729-1028-430b-bdf5-9d696108ea57","type":"ResetTool"},{"id":"b3272e39-2c48-405d-9583-6fd115c5d838","type":"HelpTool"}]},"id":"df713a98-6799-4ad6-894c-07650c91183d","type":"Toolbar"},{"attributes":{"children":[{"id":"4cd5d91c-65c5-4281-a158-65f4cc142b15","subtype":"Figure","type":"Plot"},{"id":"3e4efdda-0eb9-44cf-b074-76d8adc1fc17","subtype":"Figure","type":"Plot"}]},"id":"0acd9fd8-9355-4260-93d0-d5c571d4ebbb","type":"Row"},{"attributes":{"formatter":{"id":"244ae50b-c71b-4190-8a38-8e46d8ae4c18","type":"BasicTickFormatter"},"plot":{"id":"4cd5d91c-65c5-4281-a158-65f4cc142b15","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d6beb05-e985-454a-8f4f-5065b4dcb3dc","type":"BasicTicker"}},"id":"13d215c5-2b74-4a01-9c63-5705ba1ca8a8","type":"LinearAxis"},{"attributes":{},"id":"5497203a-51b3-4dc5-8dba-1ac669d764f5","type":"BasicTicker"},{"attributes":{"children":[{"id":"a7725a4c-ef90-4193-a5ae-26e3e8cec3fa","type":"ToolbarBox"},{"id":"4344e389-5405-4ce9-a07c-e1430ad77cc5","type":"Column"}]},"id":"2e79fa3a-9fac-487b-8e58-89c6423fa3e1","type":"Column"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"97257061-2d44-4fbd-9cff-ae15bd7eb74e","type":"BoxAnnotation"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"475b055f-fa10-4c4a-b3a4-12b43d88720d","type":"Circle"},{"attributes":{"formatter":{"id":"6431b46e-323a-4d6a-8cbb-db6f137c60dc","type":"BasicTickFormatter"},"plot":{"id":"375848e8-da1e-4498-865a-2da9e8f956ae","subtype":"Figure","type":"Plot"},"ticker":{"id":"615fb726-d0b1-48ed-89cf-aea77c12b853","type":"BasicTicker"}},"id":"66886841-547a-4fd3-9ccf-ca74dfb78f8f","type":"LinearAxis"},{"attributes":{"overlay":{"id":"54c6f4db-1f37-4e98-87fc-34f25d181e40","type":"BoxAnnotation"}},"id":"969ce095-e338-4aad-b8a7-f3bb31ec4445","type":"BoxZoomTool"},{"attributes":{},"id":"e8628e9b-b51a-4959-8f27-303a25cf0045","type":"LinearScale"},{"attributes":{},"id":"9d1270d6-29ac-4d69-bc15-4a3d0946c504","type":"LinearScale"},{"attributes":{"data_source":{"id":"8672abbb-c826-4c6e-aa7f-6e2fe81bf1a9","type":"ColumnDataSource"},"glyph":{"id":"b5bfd9cb-a198-44e2-8694-b6633ff34b5a","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6d09e489-9295-4221-92e1-e8fb32ae65da","type":"Triangle"},"selection_glyph":null,"view":{"id":"0c2b30ed-ee8c-4631-9e03-e2d08471d04a","type":"CDSView"}},"id":"44495f6d-04c9-421d-bdf2-a0058d9c924c","type":"GlyphRenderer"},{"attributes":{},"id":"93cb9770-bcdd-4287-915f-89f30922da70","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"4cd5d91c-65c5-4281-a158-65f4cc142b15","subtype":"Figure","type":"Plot"},"ticker":{"id":"2d6beb05-e985-454a-8f4f-5065b4dcb3dc","type":"BasicTicker"}},"id":"a47be67d-6d8c-4ea4-b381-9f5c457ba08b","type":"Grid"},{"attributes":{},"id":"d2792876-0d37-4ce1-9647-2db3c185234c","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"4e3dfdd7-2d9e-4865-a2ea-4c746e094dd0","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"37e37262-1ada-426e-8c83-fd8cffeaf60c","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"4cd5d91c-65c5-4281-a158-65f4cc142b15","subtype":"Figure","type":"Plot"},"ticker":{"id":"d88a99a0-0e34-4112-a713-5a63f89e1a6f","type":"BasicTicker"}},"id":"dc5a813f-afb3-434e-bb57-d28fb01780b3","type":"Grid"},{"attributes":{"callback":null},"id":"518a5ccf-d62d-400b-b7c3-371f47f10990","type":"DataRange1d"},{"attributes":{},"id":"734501b2-04dc-4692-8ad5-39d4304efcdf","type":"ResetTool"},{"attributes":{},"id":"6f6d1b78-9dcd-4940-94de-5c48e99c8347","type":"WheelZoomTool"},{"attributes":{},"id":"119e5693-0924-486a-9ba7-17b1812a8005","type":"SaveTool"},{"attributes":{},"id":"615fb726-d0b1-48ed-89cf-aea77c12b853","type":"BasicTicker"},{"attributes":{},"id":"244ae50b-c71b-4190-8a38-8e46d8ae4c18","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"375848e8-da1e-4498-865a-2da9e8f956ae","subtype":"Figure","type":"Plot"}]},"id":"a14b4498-c1ab-4347-8329-a2f9bedecbb3","type":"Row"},{"attributes":{"plot":null,"text":""},"id":"eaf530bd-b2d5-4d73-b638-a814a495c70f","type":"Title"},{"attributes":{},"id":"3d1a3ce9-a5ed-4127-955d-40b644c1f38c","type":"LinearScale"},{"attributes":{"overlay":{"id":"97257061-2d44-4fbd-9cff-ae15bd7eb74e","type":"BoxAnnotation"}},"id":"48323558-f3b4-4a04-859f-400e38708d0f","type":"BoxZoomTool"},{"attributes":{"source":{"id":"9c88a4a3-c012-4928-8411-0e786ee4d742","type":"ColumnDataSource"}},"id":"b455880b-7355-473e-a119-2bd3df787284","type":"CDSView"},{"attributes":{},"id":"a127fde8-dce1-43dc-a755-28c5db27538b","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b2e52c9c-400b-4293-a8ce-a8837a415a67","type":"PanTool"},{"id":"6f6d1b78-9dcd-4940-94de-5c48e99c8347","type":"WheelZoomTool"},{"id":"969ce095-e338-4aad-b8a7-f3bb31ec4445","type":"BoxZoomTool"},{"id":"29fcf17b-3fda-43e8-91a6-2dc1852d0e15","type":"SaveTool"},{"id":"7c6d3c58-3323-4087-8af3-4f15d3c9433b","type":"ResetTool"},{"id":"60d14e76-a98a-4a7a-b0cf-937f8865a44e","type":"HelpTool"}]},"id":"7e8beee5-4f7e-4b50-9515-f1eb24d5f033","type":"Toolbar"},{"attributes":{"source":{"id":"8672abbb-c826-4c6e-aa7f-6e2fe81bf1a9","type":"ColumnDataSource"}},"id":"0c2b30ed-ee8c-4631-9e03-e2d08471d04a","type":"CDSView"},{"attributes":{"below":[{"id":"13d215c5-2b74-4a01-9c63-5705ba1ca8a8","type":"LinearAxis"}],"left":[{"id":"c1fa46c7-4a3e-484b-950c-c767e2120f23","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"13d215c5-2b74-4a01-9c63-5705ba1ca8a8","type":"LinearAxis"},{"id":"a47be67d-6d8c-4ea4-b381-9f5c457ba08b","type":"Grid"},{"id":"c1fa46c7-4a3e-484b-950c-c767e2120f23","type":"LinearAxis"},{"id":"dc5a813f-afb3-434e-bb57-d28fb01780b3","type":"Grid"},{"id":"21773f88-27d4-4144-83c2-976fbb52a1a2","type":"BoxAnnotation"},{"id":"ac3593e5-a838-482e-8242-bacb1c62816f","type":"GlyphRenderer"}],"title":{"id":"a9d0f91d-84d0-4c85-bb6e-c3bcdf1b1de9","type":"Title"},"toolbar":{"id":"df713a98-6799-4ad6-894c-07650c91183d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"518a5ccf-d62d-400b-b7c3-371f47f10990","type":"DataRange1d"},"x_scale":{"id":"9d1270d6-29ac-4d69-bc15-4a3d0946c504","type":"LinearScale"},"y_range":{"id":"ba7f5d34-f9bf-4135-a24c-3e83828767a4","type":"DataRange1d"},"y_scale":{"id":"da4fe748-8f4f-4315-8452-22686cdeaf71","type":"LinearScale"}},"id":"4cd5d91c-65c5-4281-a158-65f4cc142b15","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b2e52c9c-400b-4293-a8ce-a8837a415a67","type":"PanTool"},{"attributes":{"data_source":{"id":"4e3dfdd7-2d9e-4865-a2ea-4c746e094dd0","type":"ColumnDataSource"},"glyph":{"id":"6e5dbfc2-e068-44a7-8979-3f312e5c8b7d","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"194a9eef-85e4-4125-8511-33a2fa710fcf","type":"Square"},"selection_glyph":null,"view":{"id":"592b6300-5932-4b22-98f9-fce9a2ab7ad7","type":"CDSView"}},"id":"1a86577e-a0db-4fde-9fe0-47fdaac4bd41","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"db8c7993-1ac4-40d5-bb2a-2037c687274a","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b5bfd9cb-a198-44e2-8694-b6633ff34b5a","type":"Triangle"},{"attributes":{"source":{"id":"4e3dfdd7-2d9e-4865-a2ea-4c746e094dd0","type":"ColumnDataSource"}},"id":"592b6300-5932-4b22-98f9-fce9a2ab7ad7","type":"CDSView"},{"attributes":{"below":[{"id":"83b9a547-8379-4d28-ac6f-e5e5c3db9e7a","type":"LinearAxis"}],"left":[{"id":"2b002dd1-7a98-4660-9236-5b9c9978cbc1","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"83b9a547-8379-4d28-ac6f-e5e5c3db9e7a","type":"LinearAxis"},{"id":"da5c16d7-686b-4340-8802-bee2e1519b10","type":"Grid"},{"id":"2b002dd1-7a98-4660-9236-5b9c9978cbc1","type":"LinearAxis"},{"id":"f57c134f-602c-49fa-8294-f0993ea749dd","type":"Grid"},{"id":"54c6f4db-1f37-4e98-87fc-34f25d181e40","type":"BoxAnnotation"},{"id":"44495f6d-04c9-421d-bdf2-a0058d9c924c","type":"GlyphRenderer"}],"title":{"id":"37e37262-1ada-426e-8c83-fd8cffeaf60c","type":"Title"},"toolbar":{"id":"7e8beee5-4f7e-4b50-9515-f1eb24d5f033","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"db8c7993-1ac4-40d5-bb2a-2037c687274a","type":"DataRange1d"},"x_scale":{"id":"dcd2ee58-0921-4b00-8d80-cdbe351ac8de","type":"LinearScale"},"y_range":{"id":"3679c414-196d-4658-a8b0-50c4c345e9c4","type":"DataRange1d"},"y_scale":{"id":"3d1a3ce9-a5ed-4127-955d-40b644c1f38c","type":"LinearScale"}},"id":"3e4efdda-0eb9-44cf-b074-76d8adc1fc17","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3ba1b956-c083-4b92-8c42-be5792d31a62","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"3e4efdda-0eb9-44cf-b074-76d8adc1fc17","subtype":"Figure","type":"Plot"},"ticker":{"id":"5d9f1dc3-2dc9-447e-b9c3-9a8cac124929","type":"BasicTicker"}},"id":"f57c134f-602c-49fa-8294-f0993ea749dd","type":"Grid"},{"attributes":{},"id":"68c5e4dc-66c6-4a77-9871-542d8eb4822e","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"66886841-547a-4fd3-9ccf-ca74dfb78f8f","type":"LinearAxis"}],"left":[{"id":"9d34e05e-42a6-4521-af91-4ab8233c0518","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"66886841-547a-4fd3-9ccf-ca74dfb78f8f","type":"LinearAxis"},{"id":"b04d0d8f-fb5b-4497-9917-98028049ec68","type":"Grid"},{"id":"9d34e05e-42a6-4521-af91-4ab8233c0518","type":"LinearAxis"},{"id":"2baa1bef-c86b-48ad-8e4a-7cff145abe44","type":"Grid"},{"id":"97257061-2d44-4fbd-9cff-ae15bd7eb74e","type":"BoxAnnotation"},{"id":"1a86577e-a0db-4fde-9fe0-47fdaac4bd41","type":"GlyphRenderer"}],"title":{"id":"eaf530bd-b2d5-4d73-b638-a814a495c70f","type":"Title"},"toolbar":{"id":"bf36b73d-4bdf-422f-8d04-49cb7154adc9","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e5602385-becb-4fc0-9959-6e4cfa5e87af","type":"DataRange1d"},"x_scale":{"id":"e8628e9b-b51a-4959-8f27-303a25cf0045","type":"LinearScale"},"y_range":{"id":"cb0c9681-1204-43df-9221-547f5e7d76b8","type":"DataRange1d"},"y_scale":{"id":"9fee88b4-6660-4e52-8799-7940963de983","type":"LinearScale"}},"id":"375848e8-da1e-4498-865a-2da9e8f956ae","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"8672abbb-c826-4c6e-aa7f-6e2fe81bf1a9","type":"ColumnDataSource"},{"attributes":{},"id":"29fcf17b-3fda-43e8-91a6-2dc1852d0e15","type":"SaveTool"},{"attributes":{"callback":null},"id":"ba7f5d34-f9bf-4135-a24c-3e83828767a4","type":"DataRange1d"},{"attributes":{},"id":"13d83e2d-3613-4e11-a8a8-7c0b028257a5","type":"HelpTool"},{"attributes":{},"id":"ab959b43-774f-4c4d-9867-249d51e75902","type":"BasicTicker"},{"attributes":{},"id":"d88a99a0-0e34-4112-a713-5a63f89e1a6f","type":"BasicTicker"},{"attributes":{},"id":"f9a37729-1028-430b-bdf5-9d696108ea57","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6d09e489-9295-4221-92e1-e8fb32ae65da","type":"Triangle"},{"attributes":{},"id":"6431b46e-323a-4d6a-8cbb-db6f137c60dc","type":"BasicTickFormatter"},{"attributes":{},"id":"dcd2ee58-0921-4b00-8d80-cdbe351ac8de","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"56597193-b529-4873-9de9-ec46512140e4","type":"PanTool"},{"id":"68c5e4dc-66c6-4a77-9871-542d8eb4822e","type":"WheelZoomTool"},{"id":"48323558-f3b4-4a04-859f-400e38708d0f","type":"BoxZoomTool"},{"id":"3ba1b956-c083-4b92-8c42-be5792d31a62","type":"SaveTool"},{"id":"734501b2-04dc-4692-8ad5-39d4304efcdf","type":"ResetTool"},{"id":"13d83e2d-3613-4e11-a8a8-7c0b028257a5","type":"HelpTool"}]},"id":"bf36b73d-4bdf-422f-8d04-49cb7154adc9","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"a9d0f91d-84d0-4c85-bb6e-c3bcdf1b1de9","type":"Title"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"6e5dbfc2-e068-44a7-8979-3f312e5c8b7d","type":"Square"},{"attributes":{"callback":null},"id":"3679c414-196d-4658-a8b0-50c4c345e9c4","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"54c6f4db-1f37-4e98-87fc-34f25d181e40","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"0acd9fd8-9355-4260-93d0-d5c571d4ebbb","type":"Row"},{"id":"a14b4498-c1ab-4347-8329-a2f9bedecbb3","type":"Row"}]},"id":"4344e389-5405-4ce9-a07c-e1430ad77cc5","type":"Column"},{"attributes":{"formatter":{"id":"ea20f134-8bda-49c2-b6f5-434fb045f0bf","type":"BasicTickFormatter"},"plot":{"id":"3e4efdda-0eb9-44cf-b074-76d8adc1fc17","subtype":"Figure","type":"Plot"},"ticker":{"id":"5497203a-51b3-4dc5-8dba-1ac669d764f5","type":"BasicTicker"}},"id":"83b9a547-8379-4d28-ac6f-e5e5c3db9e7a","type":"LinearAxis"}],"root_ids":["2e79fa3a-9fac-487b-8e58-89c6423fa3e1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"245fe062-71fd-466d-864f-90dc44ec2094","elementid":"c1b1c142-391b-452f-b1ac-25ca3c6da086","modelid":"2e79fa3a-9fac-487b-8e58-89c6423fa3e1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
