(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("72825b41-606f-4389-ae6e-6fdf7161b4ef");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '72825b41-606f-4389-ae6e-6fdf7161b4ef' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c928028d-4d7e-4245-bac6-e429455c0f65":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f457f88c-5b53-4cdf-b04b-d9e77b8b4a5b","type":"PanTool"},{"id":"237f118e-032f-445d-8675-dffd4f227ade","type":"WheelZoomTool"},{"id":"7ce87735-e4dd-40c8-99b8-daff962043eb","type":"BoxZoomTool"},{"id":"69f47bbf-3428-4c1b-be9a-c499a0d3619d","type":"SaveTool"},{"id":"d88c334c-270e-4c04-af33-08a9809b5fb4","type":"ResetTool"},{"id":"c5114ac7-d333-4f8c-90b0-d48f8fdefb1b","type":"HelpTool"}]},"id":"e07f57ed-c78f-4df1-97d6-7fa279f1fad6","type":"Toolbar"},{"attributes":{},"id":"69f47bbf-3428-4c1b-be9a-c499a0d3619d","type":"SaveTool"},{"attributes":{},"id":"372d3128-045d-410d-a585-78e8209eba25","type":"LinearScale"},{"attributes":{"formatter":{"id":"e4bd0904-394a-42d0-8fa6-ba96b95d42a0","type":"BasicTickFormatter"},"plot":{"id":"2c118f3c-f1ed-4d1c-89d6-77d1aceb4996","subtype":"Figure","type":"Plot"},"ticker":{"id":"a0273eec-96a8-460e-9871-01302f3651f4","type":"BasicTicker"}},"id":"ed27791f-91d5-4f40-a2da-376f640b53b5","type":"LinearAxis"},{"attributes":{"data_source":{"id":"5f0c80de-3b69-4325-aed5-6d7544d9e76f","type":"ColumnDataSource"},"glyph":{"id":"852485e5-acda-483b-9bcb-746d15a11e5c","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ebfa0c69-8b53-45ee-9a38-ea9743f4abe2","type":"Patch"},"selection_glyph":null,"view":{"id":"a2b2a22e-e974-4be8-b78b-c5d5511b0bca","type":"CDSView"}},"id":"fd0e3eb6-b0ee-4633-8267-21c2f1944416","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"2c118f3c-f1ed-4d1c-89d6-77d1aceb4996","subtype":"Figure","type":"Plot"},"ticker":{"id":"a0273eec-96a8-460e-9871-01302f3651f4","type":"BasicTicker"}},"id":"f71d75ba-24dd-4f3e-8e36-880ec53e2ee0","type":"Grid"},{"attributes":{"below":[{"id":"c4317714-4493-4f77-8725-07b860be4f69","type":"LinearAxis"}],"left":[{"id":"ed27791f-91d5-4f40-a2da-376f640b53b5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c4317714-4493-4f77-8725-07b860be4f69","type":"LinearAxis"},{"id":"eeecdd19-bb59-4ffc-96df-6b69c159b25b","type":"Grid"},{"id":"ed27791f-91d5-4f40-a2da-376f640b53b5","type":"LinearAxis"},{"id":"f71d75ba-24dd-4f3e-8e36-880ec53e2ee0","type":"Grid"},{"id":"a05b1713-711d-4504-bde3-0f876ac7cd37","type":"BoxAnnotation"},{"id":"fd0e3eb6-b0ee-4633-8267-21c2f1944416","type":"GlyphRenderer"}],"title":{"id":"dc71fc7c-c8e4-4efc-9697-7c05c7d1f08c","type":"Title"},"toolbar":{"id":"e07f57ed-c78f-4df1-97d6-7fa279f1fad6","type":"Toolbar"},"x_range":{"id":"66da6aca-1ef6-424c-a713-484ab52337e7","type":"DataRange1d"},"x_scale":{"id":"372d3128-045d-410d-a585-78e8209eba25","type":"LinearScale"},"y_range":{"id":"10bf6331-edfb-4f73-b16a-f399045c1cab","type":"DataRange1d"},"y_scale":{"id":"ecaa6615-24b1-4de3-bb92-a5f5a33b4068","type":"LinearScale"}},"id":"2c118f3c-f1ed-4d1c-89d6-77d1aceb4996","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2ceb6d91-63ff-4c67-a44b-2934bee0c35d","type":"BasicTickFormatter"},{"attributes":{},"id":"d88c334c-270e-4c04-af33-08a9809b5fb4","type":"ResetTool"},{"attributes":{"formatter":{"id":"2ceb6d91-63ff-4c67-a44b-2934bee0c35d","type":"BasicTickFormatter"},"plot":{"id":"2c118f3c-f1ed-4d1c-89d6-77d1aceb4996","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8045e26-fde2-443b-99f6-6a39d48f635c","type":"BasicTicker"}},"id":"c4317714-4493-4f77-8725-07b860be4f69","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"5f0c80de-3b69-4325-aed5-6d7544d9e76f","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"dc71fc7c-c8e4-4efc-9697-7c05c7d1f08c","type":"Title"},{"attributes":{},"id":"237f118e-032f-445d-8675-dffd4f227ade","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"ebfa0c69-8b53-45ee-9a38-ea9743f4abe2","type":"Patch"},{"attributes":{},"id":"e4bd0904-394a-42d0-8fa6-ba96b95d42a0","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"66da6aca-1ef6-424c-a713-484ab52337e7","type":"DataRange1d"},{"attributes":{"source":{"id":"5f0c80de-3b69-4325-aed5-6d7544d9e76f","type":"ColumnDataSource"}},"id":"a2b2a22e-e974-4be8-b78b-c5d5511b0bca","type":"CDSView"},{"attributes":{},"id":"f457f88c-5b53-4cdf-b04b-d9e77b8b4a5b","type":"PanTool"},{"attributes":{},"id":"c5114ac7-d333-4f8c-90b0-d48f8fdefb1b","type":"HelpTool"},{"attributes":{},"id":"d8045e26-fde2-443b-99f6-6a39d48f635c","type":"BasicTicker"},{"attributes":{},"id":"ecaa6615-24b1-4de3-bb92-a5f5a33b4068","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"852485e5-acda-483b-9bcb-746d15a11e5c","type":"Patch"},{"attributes":{},"id":"a0273eec-96a8-460e-9871-01302f3651f4","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a05b1713-711d-4504-bde3-0f876ac7cd37","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"10bf6331-edfb-4f73-b16a-f399045c1cab","type":"DataRange1d"},{"attributes":{"plot":{"id":"2c118f3c-f1ed-4d1c-89d6-77d1aceb4996","subtype":"Figure","type":"Plot"},"ticker":{"id":"d8045e26-fde2-443b-99f6-6a39d48f635c","type":"BasicTicker"}},"id":"eeecdd19-bb59-4ffc-96df-6b69c159b25b","type":"Grid"},{"attributes":{"overlay":{"id":"a05b1713-711d-4504-bde3-0f876ac7cd37","type":"BoxAnnotation"}},"id":"7ce87735-e4dd-40c8-99b8-daff962043eb","type":"BoxZoomTool"}],"root_ids":["2c118f3c-f1ed-4d1c-89d6-77d1aceb4996"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c928028d-4d7e-4245-bac6-e429455c0f65","elementid":"72825b41-606f-4389-ae6e-6fdf7161b4ef","modelid":"2c118f3c-f1ed-4d1c-89d6-77d1aceb4996"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
