(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e97dfca8-80e9-4d2d-a0f9-6eed9e671737");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e97dfca8-80e9-4d2d-a0f9-6eed9e671737' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"07a78e10-0b2e-4026-a426-79d6d569a1cb":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ec96d7fb-d529-4ca0-b0c5-efbaf4496741","type":"TapTool"}]},"id":"4e102063-b3b7-4935-b4db-c1bc55dd55dd","type":"Toolbar"},{"attributes":{"callback":null},"id":"7bfb80b6-281b-460d-8e6b-0a687a387bfa","type":"DataRange1d"},{"attributes":{},"id":"0c3a5597-4ee8-4bf3-a96e-caf545e01be3","type":"LinearScale"},{"attributes":{"callback":null},"id":"0c4d7f9f-928b-4833-bbc3-fbf8803e4dd0","type":"DataRange1d"},{"attributes":{},"id":"f2a68ddb-36d8-4d04-a0ea-fcd1e0b50598","type":"LinearScale"},{"attributes":{"plot":{"id":"d1ef06da-fc1f-4abd-a88c-281d2e02e1aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"05e8a5e3-d264-4cc6-94be-d5db77b6e028","type":"BasicTicker"}},"id":"053f6896-d2d1-4b9a-b9de-bd1710154e25","type":"Grid"},{"attributes":{"below":[{"id":"ebdf8810-b69a-4325-b05e-2fc54b07cb0a","type":"LinearAxis"}],"left":[{"id":"0e8e4e1c-a1cd-4878-80e8-b7e3fa553d2c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ebdf8810-b69a-4325-b05e-2fc54b07cb0a","type":"LinearAxis"},{"id":"053f6896-d2d1-4b9a-b9de-bd1710154e25","type":"Grid"},{"id":"0e8e4e1c-a1cd-4878-80e8-b7e3fa553d2c","type":"LinearAxis"},{"id":"f6781ba4-17d0-4741-a645-289381331577","type":"Grid"},{"id":"ec841e27-3f23-4f43-b8d2-4857eb6bedac","type":"GlyphRenderer"}],"title":{"id":"c62bc0b0-3626-482b-adad-972674f719ab","type":"Title"},"toolbar":{"id":"4e102063-b3b7-4935-b4db-c1bc55dd55dd","type":"Toolbar"},"x_range":{"id":"7bfb80b6-281b-460d-8e6b-0a687a387bfa","type":"DataRange1d"},"x_scale":{"id":"f2a68ddb-36d8-4d04-a0ea-fcd1e0b50598","type":"LinearScale"},"y_range":{"id":"0c4d7f9f-928b-4833-bbc3-fbf8803e4dd0","type":"DataRange1d"},"y_scale":{"id":"0c3a5597-4ee8-4bf3-a96e-caf545e01be3","type":"LinearScale"}},"id":"d1ef06da-fc1f-4abd-a88c-281d2e02e1aa","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"}},"id":"a8cc582e-1abe-4a0c-bbd1-5152ec8e3491","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"490de7d0-a2b8-4d7a-bf9f-9dc047c13e1b","type":"Circle"},{"attributes":{},"id":"c85f7321-6fd0-46ec-9a21-31f7de82e2de","type":"BasicTickFormatter"},{"attributes":{},"id":"eb660327-6ea2-4ff5-8a78-e163aa0e62c6","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"c62bc0b0-3626-482b-adad-972674f719ab","type":"Title"},{"attributes":{},"id":"df30c814-8e67-45cc-a90b-f40b8be86b4b","type":"BasicTicker"},{"attributes":{"formatter":{"id":"c85f7321-6fd0-46ec-9a21-31f7de82e2de","type":"BasicTickFormatter"},"plot":{"id":"d1ef06da-fc1f-4abd-a88c-281d2e02e1aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"05e8a5e3-d264-4cc6-94be-d5db77b6e028","type":"BasicTicker"}},"id":"ebdf8810-b69a-4325-b05e-2fc54b07cb0a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"ec96d7fb-d529-4ca0-b0c5-efbaf4496741","type":"TapTool"},{"attributes":{},"id":"05e8a5e3-d264-4cc6-94be-d5db77b6e028","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"4ab6dac3-3ea4-4876-a0a7-5ce5cabe8d73","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"eb660327-6ea2-4ff5-8a78-e163aa0e62c6","type":"BasicTickFormatter"},"plot":{"id":"d1ef06da-fc1f-4abd-a88c-281d2e02e1aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"df30c814-8e67-45cc-a90b-f40b8be86b4b","type":"BasicTicker"}},"id":"0e8e4e1c-a1cd-4878-80e8-b7e3fa553d2c","type":"LinearAxis"},{"attributes":{"source":{"id":"4ab6dac3-3ea4-4876-a0a7-5ce5cabe8d73","type":"ColumnDataSource"}},"id":"f4411899-0845-472a-b182-2b72ba9e7bd4","type":"CDSView"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":null}},"id":"3b646e3c-ad51-47cb-821d-bcee02332799","type":"Circle"},{"attributes":{"data_source":{"id":"4ab6dac3-3ea4-4876-a0a7-5ce5cabe8d73","type":"ColumnDataSource"},"glyph":{"id":"490de7d0-a2b8-4d7a-bf9f-9dc047c13e1b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a8cc582e-1abe-4a0c-bbd1-5152ec8e3491","type":"Circle"},"selection_glyph":{"id":"3b646e3c-ad51-47cb-821d-bcee02332799","type":"Circle"},"view":{"id":"f4411899-0845-472a-b182-2b72ba9e7bd4","type":"CDSView"}},"id":"ec841e27-3f23-4f43-b8d2-4857eb6bedac","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"d1ef06da-fc1f-4abd-a88c-281d2e02e1aa","subtype":"Figure","type":"Plot"},"ticker":{"id":"df30c814-8e67-45cc-a90b-f40b8be86b4b","type":"BasicTicker"}},"id":"f6781ba4-17d0-4741-a645-289381331577","type":"Grid"}],"root_ids":["d1ef06da-fc1f-4abd-a88c-281d2e02e1aa"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"07a78e10-0b2e-4026-a426-79d6d569a1cb","elementid":"e97dfca8-80e9-4d2d-a0f9-6eed9e671737","modelid":"d1ef06da-fc1f-4abd-a88c-281d2e02e1aa"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
