(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a456433f-ce32-4a49-9fb9-340e7f014039");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a456433f-ce32-4a49-9fb9-340e7f014039' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d1945e42-3008-4fdc-9c62-b31cfbc5e660":{"roots":{"references":[{"attributes":{"callback":null},"id":"399194b3-5dbe-4584-8b6e-6b947288cdcf","type":"DataRange1d"},{"attributes":{},"id":"3cd65c7f-ce15-4168-8445-2920ff6e2a9f","type":"PanTool"},{"attributes":{},"id":"a90a50f3-bfb6-467c-a9b6-1d851338b796","type":"LinearScale"},{"attributes":{"source":{"id":"f3d97d11-a1e7-4628-aa70-49d42cb41ebd","type":"ColumnDataSource"}},"id":"682dcd0f-8bbd-41d4-9937-dd2145e06fb8","type":"CDSView"},{"attributes":{},"id":"bc59bb0a-2ddb-4e24-aba6-88e31beaa65d","type":"BasicTicker"},{"attributes":{},"id":"0f54d905-1482-43b3-b63a-522038dac43f","type":"ResetTool"},{"attributes":{"data_source":{"id":"f3d97d11-a1e7-4628-aa70-49d42cb41ebd","type":"ColumnDataSource"},"glyph":{"id":"1fdfc4fe-2fcd-47ea-b1ed-fa666345a1f3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"179a5c26-e5a7-4643-a470-f73602827e5f","type":"Circle"},"selection_glyph":null,"view":{"id":"682dcd0f-8bbd-41d4-9937-dd2145e06fb8","type":"CDSView"}},"id":"b5584c09-f868-4cd7-a93c-16eb148c88d6","type":"GlyphRenderer"},{"attributes":{},"id":"45e3d584-5b5a-44fc-a75f-a6be7a969a6d","type":"BasicTickFormatter"},{"attributes":{},"id":"7a0c565f-bf37-4e3c-afa5-0cfecff81c4c","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"c9dddaa9-d414-4663-a302-17a14b7b51bb","subtype":"Figure","type":"Plot"},"ticker":{"id":"f32bd9d0-8f5e-40ff-b54f-9d53171e6845","type":"BasicTicker"}},"id":"dba0ecd9-2f90-4c5f-b99a-31ee37d72814","type":"Grid"},{"attributes":{"overlay":{"id":"2020e5d9-0a8f-452e-a519-9b2daea1ef46","type":"BoxAnnotation"}},"id":"49910ce1-aa7a-4145-a952-4db4f50e8923","type":"BoxZoomTool"},{"attributes":{},"id":"f32bd9d0-8f5e-40ff-b54f-9d53171e6845","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2020e5d9-0a8f-452e-a519-9b2daea1ef46","type":"BoxAnnotation"},{"attributes":{},"id":"c2a78b60-8ea6-419b-a690-b3ce86109df4","type":"HelpTool"},{"attributes":{"plot":{"id":"c9dddaa9-d414-4663-a302-17a14b7b51bb","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc59bb0a-2ddb-4e24-aba6-88e31beaa65d","type":"BasicTicker"}},"id":"8f9d786d-5dd4-4980-9824-ccc43afc7959","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"4d8fd19f-7a0b-48b6-9936-7555342fd9b2","type":"Title"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"1fdfc4fe-2fcd-47ea-b1ed-fa666345a1f3","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3cd65c7f-ce15-4168-8445-2920ff6e2a9f","type":"PanTool"},{"id":"7a0c565f-bf37-4e3c-afa5-0cfecff81c4c","type":"WheelZoomTool"},{"id":"49910ce1-aa7a-4145-a952-4db4f50e8923","type":"BoxZoomTool"},{"id":"a70f59de-6760-4e25-a80f-fdd48c4d9706","type":"SaveTool"},{"id":"0f54d905-1482-43b3-b63a-522038dac43f","type":"ResetTool"},{"id":"c2a78b60-8ea6-419b-a690-b3ce86109df4","type":"HelpTool"}]},"id":"2057cc0d-a725-4434-aa8e-76c541bae0d0","type":"Toolbar"},{"attributes":{},"id":"2a474b45-6872-4c5d-bc14-79dd8b8cea78","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"f3d97d11-a1e7-4628-aa70-49d42cb41ebd","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"08eb9074-c547-456e-9f43-7165d428fe83","type":"DataRange1d"},{"attributes":{"below":[{"id":"845f9eb4-430d-4292-92c8-1056a7260849","type":"LinearAxis"}],"left":[{"id":"b2736169-66be-4244-926d-cb29a38fcd01","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"845f9eb4-430d-4292-92c8-1056a7260849","type":"LinearAxis"},{"id":"8f9d786d-5dd4-4980-9824-ccc43afc7959","type":"Grid"},{"id":"b2736169-66be-4244-926d-cb29a38fcd01","type":"LinearAxis"},{"id":"dba0ecd9-2f90-4c5f-b99a-31ee37d72814","type":"Grid"},{"id":"2020e5d9-0a8f-452e-a519-9b2daea1ef46","type":"BoxAnnotation"},{"id":"b5584c09-f868-4cd7-a93c-16eb148c88d6","type":"GlyphRenderer"}],"title":{"id":"4d8fd19f-7a0b-48b6-9936-7555342fd9b2","type":"Title"},"toolbar":{"id":"2057cc0d-a725-4434-aa8e-76c541bae0d0","type":"Toolbar"},"x_range":{"id":"399194b3-5dbe-4584-8b6e-6b947288cdcf","type":"DataRange1d"},"x_scale":{"id":"2a474b45-6872-4c5d-bc14-79dd8b8cea78","type":"LinearScale"},"y_range":{"id":"08eb9074-c547-456e-9f43-7165d428fe83","type":"DataRange1d"},"y_scale":{"id":"a90a50f3-bfb6-467c-a9b6-1d851338b796","type":"LinearScale"}},"id":"c9dddaa9-d414-4663-a302-17a14b7b51bb","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"b7b7b280-ab85-4c87-8883-4e00d669eb94","type":"BasicTickFormatter"},"plot":{"id":"c9dddaa9-d414-4663-a302-17a14b7b51bb","subtype":"Figure","type":"Plot"},"ticker":{"id":"f32bd9d0-8f5e-40ff-b54f-9d53171e6845","type":"BasicTicker"}},"id":"b2736169-66be-4244-926d-cb29a38fcd01","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"179a5c26-e5a7-4643-a470-f73602827e5f","type":"Circle"},{"attributes":{"formatter":{"id":"45e3d584-5b5a-44fc-a75f-a6be7a969a6d","type":"BasicTickFormatter"},"plot":{"id":"c9dddaa9-d414-4663-a302-17a14b7b51bb","subtype":"Figure","type":"Plot"},"ticker":{"id":"bc59bb0a-2ddb-4e24-aba6-88e31beaa65d","type":"BasicTicker"}},"id":"845f9eb4-430d-4292-92c8-1056a7260849","type":"LinearAxis"},{"attributes":{},"id":"a70f59de-6760-4e25-a80f-fdd48c4d9706","type":"SaveTool"},{"attributes":{},"id":"b7b7b280-ab85-4c87-8883-4e00d669eb94","type":"BasicTickFormatter"}],"root_ids":["c9dddaa9-d414-4663-a302-17a14b7b51bb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d1945e42-3008-4fdc-9c62-b31cfbc5e660","elementid":"a456433f-ce32-4a49-9fb9-340e7f014039","modelid":"c9dddaa9-d414-4663-a302-17a14b7b51bb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
