(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("dca34e33-91eb-4d9e-b8ca-ffad491e818d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'dca34e33-91eb-4d9e-b8ca-ffad491e818d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"43d7f547-8e02-4b59-8881-261a6327e163":{"roots":{"references":[{"attributes":{"formatter":{"id":"cf342fde-1190-4c9f-9550-55d3665d427e","type":"BasicTickFormatter"},"plot":{"id":"972377e3-81a3-4e76-a85b-a503fdca0e28","subtype":"Figure","type":"Plot"},"ticker":{"id":"255ef129-81af-4324-8a60-be45cb6e272c","type":"BasicTicker"}},"id":"af9b8f44-89b8-4c90-b2f6-2661c9371452","type":"LinearAxis"},{"attributes":{},"id":"fd17e191-7bde-4656-bece-f4f4cce66eb3","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"f01561e4-086d-462f-83c5-5c6736532aa7","type":"Circle"},{"attributes":{"plot":{"id":"972377e3-81a3-4e76-a85b-a503fdca0e28","subtype":"Figure","type":"Plot"},"ticker":{"id":"255ef129-81af-4324-8a60-be45cb6e272c","type":"BasicTicker"}},"id":"126cd262-1d39-4faf-91f9-bc819f21ea5f","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"972377e3-81a3-4e76-a85b-a503fdca0e28","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed9170d9-552c-4783-a5c6-79434de4e6bf","type":"BasicTicker"}},"id":"0c4b3d16-166f-4a87-ba5b-eb4cbe4fc129","type":"Grid"},{"attributes":{"source":{"id":"80688324-0cc3-438e-9141-bf965117a1a0","type":"ColumnDataSource"}},"id":"51bb0a9b-ca76-44dd-8e64-5f89567ab78e","type":"CDSView"},{"attributes":{"formatter":{"id":"ff68717e-160f-4fb9-95e8-aa180ddd903c","type":"BasicTickFormatter"},"plot":{"id":"972377e3-81a3-4e76-a85b-a503fdca0e28","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed9170d9-552c-4783-a5c6-79434de4e6bf","type":"BasicTicker"}},"id":"159ce423-4726-4330-baff-3999ca1bb74d","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"b9bb8e44-ae66-4eeb-bf3a-b1c8d8d8dbce","type":"Circle"},{"attributes":{"callback":null},"id":"ec2f5f53-7e69-4c62-b2e9-b0456edf5631","type":"DataRange1d"},{"attributes":{},"id":"f41b24e8-5d4d-489f-957e-2b8881f5fa64","type":"LinearScale"},{"attributes":{"below":[{"id":"af9b8f44-89b8-4c90-b2f6-2661c9371452","type":"LinearAxis"}],"left":[{"id":"159ce423-4726-4330-baff-3999ca1bb74d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"af9b8f44-89b8-4c90-b2f6-2661c9371452","type":"LinearAxis"},{"id":"126cd262-1d39-4faf-91f9-bc819f21ea5f","type":"Grid"},{"id":"159ce423-4726-4330-baff-3999ca1bb74d","type":"LinearAxis"},{"id":"0c4b3d16-166f-4a87-ba5b-eb4cbe4fc129","type":"Grid"},{"id":"647ef25d-e5ac-4d18-8b2f-6733e9802559","type":"GlyphRenderer"}],"title":{"id":"6ce3e815-8162-433b-88a6-c76c7c43f1db","type":"Title"},"toolbar":{"id":"14762083-55c5-4497-80a4-66dd5a822b05","type":"Toolbar"},"x_range":{"id":"ec2f5f53-7e69-4c62-b2e9-b0456edf5631","type":"DataRange1d"},"x_scale":{"id":"fd17e191-7bde-4656-bece-f4f4cce66eb3","type":"LinearScale"},"y_range":{"id":"e12f486b-283a-4bdc-9e79-e4e34857e5b5","type":"DataRange1d"},"y_scale":{"id":"f41b24e8-5d4d-489f-957e-2b8881f5fa64","type":"LinearScale"}},"id":"972377e3-81a3-4e76-a85b-a503fdca0e28","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"80688324-0cc3-438e-9141-bf965117a1a0","type":"ColumnDataSource"},"glyph":{"id":"f01561e4-086d-462f-83c5-5c6736532aa7","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b9bb8e44-ae66-4eeb-bf3a-b1c8d8d8dbce","type":"Circle"},"selection_glyph":null,"view":{"id":"51bb0a9b-ca76-44dd-8e64-5f89567ab78e","type":"CDSView"}},"id":"647ef25d-e5ac-4d18-8b2f-6733e9802559","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"e12f486b-283a-4bdc-9e79-e4e34857e5b5","type":"DataRange1d"},{"attributes":{},"id":"ed9170d9-552c-4783-a5c6-79434de4e6bf","type":"BasicTicker"},{"attributes":{},"id":"255ef129-81af-4324-8a60-be45cb6e272c","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Mouse over the dots"},"id":"6ce3e815-8162-433b-88a6-c76c7c43f1db","type":"Title"},{"attributes":{"callback":null,"column_names":["imgs","y","desc","fonts","x"],"data":{"desc":["A","b","C","d","E"],"fonts":["<i>italics</i>","<pre>pre</pre>","<b>bold</b>","<small>small</small>","<del>del</del>"],"imgs":["https://bokeh.pydata.org/static/snake.jpg","https://bokeh.pydata.org/static/snake2.png","https://bokeh.pydata.org/static/snake3D.png","https://bokeh.pydata.org/static/snake4_TheRevenge.png","https://bokeh.pydata.org/static/snakebite.jpg"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"80688324-0cc3-438e-9141-bf965117a1a0","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bedacde1-f04c-4d2e-90c5-2f78b10c1b46","type":"HoverTool"}]},"id":"14762083-55c5-4497-80a4-66dd5a822b05","type":"Toolbar"},{"attributes":{},"id":"ff68717e-160f-4fb9-95e8-aa180ddd903c","type":"BasicTickFormatter"},{"attributes":{"callback":null,"tooltips":"\n    <div>\n        <div>\n            <img\n                src=\"@imgs\" height=\"42\" alt=\"@imgs\" width=\"42\"\n                style=\"float: left; margin: 0px 15px 15px 0px;\"\n                border=\"2\"\n            ></img>\n        </div>\n        <div>\n            <span style=\"font-size: 17px; font-weight: bold;\">@desc</span>\n            <span style=\"font-size: 15px; color: #966;\">[$index]</span>\n        </div>\n        <div>\n            <span>@fonts{safe}</span>\n        </div>\n        <div>\n            <span style=\"font-size: 15px;\">Location</span>\n            <span style=\"font-size: 10px; color: #696;\">($x, $y)</span>\n        </div>\n    </div>\n    "},"id":"bedacde1-f04c-4d2e-90c5-2f78b10c1b46","type":"HoverTool"},{"attributes":{},"id":"cf342fde-1190-4c9f-9550-55d3665d427e","type":"BasicTickFormatter"}],"root_ids":["972377e3-81a3-4e76-a85b-a503fdca0e28"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"43d7f547-8e02-4b59-8881-261a6327e163","elementid":"dca34e33-91eb-4d9e-b8ca-ffad491e818d","modelid":"972377e3-81a3-4e76-a85b-a503fdca0e28"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
