(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1e78fe8f-dcc1-4253-90f4-259628fa5f3d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1e78fe8f-dcc1-4253-90f4-259628fa5f3d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"330dce6f-ef13-4982-bb64-eb970585391e":{"roots":{"references":[{"attributes":{},"id":"da7a68d7-c178-4437-8a62-8416bcb8d56b","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"95b50dd2-e39e-43d1-be86-35d01f93d208","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"70aae61a-9ac3-4af9-b810-65af619bb3a7","type":"DataRange1d"},{"attributes":{},"id":"d960b92b-c7fe-4391-988d-593cc3b260d0","type":"HelpTool"},{"attributes":{},"id":"b2ad38df-9edb-4810-afdc-b8a8cdba250f","type":"LinearScale"},{"attributes":{"data_source":{"id":"a45c74c9-e6da-43fb-b0d5-ead72a0625cb","type":"ColumnDataSource"},"glyph":{"id":"5b78ee11-4caf-40f2-81c5-9a7e26685459","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"631ac9e6-2d39-4035-8a21-cb6cc1fd92c1","type":"Circle"},"selection_glyph":null,"view":{"id":"8784aee6-80f9-4424-952e-a6628dadb1c2","type":"CDSView"}},"id":"07433c57-bff9-41d6-8d73-56a0fea0ef3d","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"87cbefe5-ae9b-441a-925e-9ca3bbc070f6","type":"LinearAxis"}],"left":[{"id":"6bd52a88-cf93-4486-9581-ccdcc12f1011","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"87cbefe5-ae9b-441a-925e-9ca3bbc070f6","type":"LinearAxis"},{"id":"bd4bbad5-09f7-4966-b2c6-de1bd529ee53","type":"Grid"},{"id":"6bd52a88-cf93-4486-9581-ccdcc12f1011","type":"LinearAxis"},{"id":"83e18dd5-6138-4479-b708-1b1747a78910","type":"Grid"},{"id":"95b50dd2-e39e-43d1-be86-35d01f93d208","type":"BoxAnnotation"},{"id":"07433c57-bff9-41d6-8d73-56a0fea0ef3d","type":"GlyphRenderer"}],"title":{"id":"3cc9a981-5b90-49c3-b4a2-3a0ff52730f9","type":"Title"},"toolbar":{"id":"999f9820-5788-4160-a505-053d5a70f75a","type":"Toolbar"},"x_range":{"id":"70aae61a-9ac3-4af9-b810-65af619bb3a7","type":"DataRange1d"},"x_scale":{"id":"b2ad38df-9edb-4810-afdc-b8a8cdba250f","type":"LinearScale"},"y_range":{"id":"f8c9b670-5194-4350-bcff-eff4b5d8af78","type":"DataRange1d"},"y_scale":{"id":"69612fc1-0062-43f3-9ea2-0c3406d7764b","type":"LinearScale"}},"id":"06601497-eb8e-4949-a64b-a8b50aea9db0","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"f8c9b670-5194-4350-bcff-eff4b5d8af78","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"06601497-eb8e-4949-a64b-a8b50aea9db0","subtype":"Figure","type":"Plot"},"ticker":{"id":"26f46c67-d2dd-4742-a3da-6d39afe31f12","type":"BasicTicker"}},"id":"83e18dd5-6138-4479-b708-1b1747a78910","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"631ac9e6-2d39-4035-8a21-cb6cc1fd92c1","type":"Circle"},{"attributes":{},"id":"9f6fe013-a8ff-44a7-8b15-a0119f25e99a","type":"WheelZoomTool"},{"attributes":{"plot":null,"text":""},"id":"3cc9a981-5b90-49c3-b4a2-3a0ff52730f9","type":"Title"},{"attributes":{"source":{"id":"a45c74c9-e6da-43fb-b0d5-ead72a0625cb","type":"ColumnDataSource"}},"id":"8784aee6-80f9-4424-952e-a6628dadb1c2","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"da7a68d7-c178-4437-8a62-8416bcb8d56b","type":"PanTool"},{"id":"9f6fe013-a8ff-44a7-8b15-a0119f25e99a","type":"WheelZoomTool"},{"id":"a1252361-1930-4c46-9871-c382bb216562","type":"BoxZoomTool"},{"id":"aa4d343e-e1e1-4c23-974f-7fd785992c5c","type":"SaveTool"},{"id":"f0d9855d-41ea-4b74-9b80-51320d532105","type":"ResetTool"},{"id":"d960b92b-c7fe-4391-988d-593cc3b260d0","type":"HelpTool"}]},"id":"999f9820-5788-4160-a505-053d5a70f75a","type":"Toolbar"},{"attributes":{},"id":"26f46c67-d2dd-4742-a3da-6d39afe31f12","type":"BasicTicker"},{"attributes":{"overlay":{"id":"95b50dd2-e39e-43d1-be86-35d01f93d208","type":"BoxAnnotation"}},"id":"a1252361-1930-4c46-9871-c382bb216562","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"a45c74c9-e6da-43fb-b0d5-ead72a0625cb","type":"ColumnDataSource"},{"attributes":{"bounds":[2,4],"formatter":{"id":"40c948f5-96aa-458e-92f6-69c0611a1ccd","type":"BasicTickFormatter"},"plot":{"id":"06601497-eb8e-4949-a64b-a8b50aea9db0","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea527289-8aac-437e-8533-c4e245fb9108","type":"BasicTicker"}},"id":"87cbefe5-ae9b-441a-925e-9ca3bbc070f6","type":"LinearAxis"},{"attributes":{"plot":{"id":"06601497-eb8e-4949-a64b-a8b50aea9db0","subtype":"Figure","type":"Plot"},"ticker":{"id":"ea527289-8aac-437e-8533-c4e245fb9108","type":"BasicTicker"}},"id":"bd4bbad5-09f7-4966-b2c6-de1bd529ee53","type":"Grid"},{"attributes":{},"id":"ea527289-8aac-437e-8533-c4e245fb9108","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"5b78ee11-4caf-40f2-81c5-9a7e26685459","type":"Circle"},{"attributes":{},"id":"f0d9855d-41ea-4b74-9b80-51320d532105","type":"ResetTool"},{"attributes":{},"id":"69612fc1-0062-43f3-9ea2-0c3406d7764b","type":"LinearScale"},{"attributes":{},"id":"40c948f5-96aa-458e-92f6-69c0611a1ccd","type":"BasicTickFormatter"},{"attributes":{},"id":"8659a0a4-247d-4553-aebc-c508d452e711","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"8659a0a4-247d-4553-aebc-c508d452e711","type":"BasicTickFormatter"},"plot":{"id":"06601497-eb8e-4949-a64b-a8b50aea9db0","subtype":"Figure","type":"Plot"},"ticker":{"id":"26f46c67-d2dd-4742-a3da-6d39afe31f12","type":"BasicTicker"}},"id":"6bd52a88-cf93-4486-9581-ccdcc12f1011","type":"LinearAxis"},{"attributes":{},"id":"aa4d343e-e1e1-4c23-974f-7fd785992c5c","type":"SaveTool"}],"root_ids":["06601497-eb8e-4949-a64b-a8b50aea9db0"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"330dce6f-ef13-4982-bb64-eb970585391e","elementid":"1e78fe8f-dcc1-4253-90f4-259628fa5f3d","modelid":"06601497-eb8e-4949-a64b-a8b50aea9db0"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
