(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2ba90292-c520-41a9-8bc8-88c98c709df6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2ba90292-c520-41a9-8bc8-88c98c709df6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d7dbbfb0-9b31-47ce-b36f-fe45860fdc84":{"roots":{"references":[{"attributes":{"plot":{"id":"196249aa-9267-4531-8e91-20406b66f0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"613019c4-6a77-4aa2-9616-89915f895dad","type":"BasicTicker"}},"id":"bf529afd-34c0-478e-b26b-6df5b3c951a3","type":"Grid"},{"attributes":{},"id":"29c42eeb-4f62-4cad-b334-5a14be43a1c3","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5f4aba4e-ca6a-450b-89dd-b12f1c76fbf1","type":"PanTool"},{"id":"0e7ce047-1803-488e-903c-db705abb6d04","type":"WheelZoomTool"},{"id":"16c755a8-e3f6-491c-8c2b-8c8c06d2c89d","type":"BoxZoomTool"},{"id":"0e411efa-23a9-4e87-a6fe-2c00a4bbef3b","type":"SaveTool"},{"id":"d7d9bf21-9f63-4b62-bb83-9b5d1817688f","type":"ResetTool"},{"id":"0a6096a6-ba75-46be-955e-74312169f642","type":"HelpTool"}]},"id":"dc10db4d-8c28-4842-b224-b503a51ef543","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"196249aa-9267-4531-8e91-20406b66f0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a6eb973-754a-41d3-a528-a2ffd498c7ed","type":"BasicTicker"}},"id":"389ad53c-81f0-46ed-a254-ae13b23d7af6","type":"Grid"},{"attributes":{"overlay":{"id":"5733d1ad-d8ff-4595-9e8c-aec99cda5587","type":"BoxAnnotation"}},"id":"16c755a8-e3f6-491c-8c2b-8c8c06d2c89d","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"e8a96fca-dcad-4f8e-a136-508ed55d4d3c","type":"Title"},{"attributes":{"formatter":{"id":"29c42eeb-4f62-4cad-b334-5a14be43a1c3","type":"BasicTickFormatter"},"plot":{"id":"196249aa-9267-4531-8e91-20406b66f0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"613019c4-6a77-4aa2-9616-89915f895dad","type":"BasicTicker"}},"id":"1efff40a-2183-402d-8dd1-b0daebde09bf","type":"LinearAxis"},{"attributes":{},"id":"6a6eb973-754a-41d3-a528-a2ffd498c7ed","type":"BasicTicker"},{"attributes":{},"id":"0a6096a6-ba75-46be-955e-74312169f642","type":"HelpTool"},{"attributes":{"data_source":{"id":"ce1cd410-d671-4ac9-a8c7-211f70d59a1d","type":"ColumnDataSource"},"glyph":{"id":"eac64bee-c6cb-44f4-a898-f756a1647af1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7c54c37f-afee-4cdb-b02a-7f768ac3e588","type":"Circle"},"selection_glyph":null,"view":{"id":"7240fe9c-8242-4851-986c-ca7c909806a7","type":"CDSView"}},"id":"1a68cc19-ac02-48a5-b71a-87d593f3ea29","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"ce1cd410-d671-4ac9-a8c7-211f70d59a1d","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"eac64bee-c6cb-44f4-a898-f756a1647af1","type":"Circle"},{"attributes":{},"id":"d7d9bf21-9f63-4b62-bb83-9b5d1817688f","type":"ResetTool"},{"attributes":{},"id":"73a3fae0-677b-418d-92bd-1ac8f6a794c3","type":"LinearScale"},{"attributes":{},"id":"613019c4-6a77-4aa2-9616-89915f895dad","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c54c37f-afee-4cdb-b02a-7f768ac3e588","type":"Circle"},{"attributes":{"callback":null,"end":20},"id":"ac1e77bc-e906-4bf9-a57b-3c78de859dd3","type":"Range1d"},{"attributes":{},"id":"4bf28a68-6ca2-42b7-b9fd-617a4d85eee4","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"1efff40a-2183-402d-8dd1-b0daebde09bf","type":"LinearAxis"}],"left":[{"id":"9079d0d9-6daa-4d79-bce2-de2c82b30e72","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"1efff40a-2183-402d-8dd1-b0daebde09bf","type":"LinearAxis"},{"id":"bf529afd-34c0-478e-b26b-6df5b3c951a3","type":"Grid"},{"id":"9079d0d9-6daa-4d79-bce2-de2c82b30e72","type":"LinearAxis"},{"id":"389ad53c-81f0-46ed-a254-ae13b23d7af6","type":"Grid"},{"id":"5733d1ad-d8ff-4595-9e8c-aec99cda5587","type":"BoxAnnotation"},{"id":"1a68cc19-ac02-48a5-b71a-87d593f3ea29","type":"GlyphRenderer"}],"title":{"id":"e8a96fca-dcad-4f8e-a136-508ed55d4d3c","type":"Title"},"toolbar":{"id":"dc10db4d-8c28-4842-b224-b503a51ef543","type":"Toolbar"},"x_range":{"id":"ac1e77bc-e906-4bf9-a57b-3c78de859dd3","type":"Range1d"},"x_scale":{"id":"73a3fae0-677b-418d-92bd-1ac8f6a794c3","type":"LinearScale"},"y_range":{"id":"411286cd-9f95-40a1-96bd-1667ee25e90d","type":"Range1d"},"y_scale":{"id":"eb860542-723c-47a3-9ada-072a178381e4","type":"LinearScale"}},"id":"196249aa-9267-4531-8e91-20406b66f0e3","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5f4aba4e-ca6a-450b-89dd-b12f1c76fbf1","type":"PanTool"},{"attributes":{},"id":"0e7ce047-1803-488e-903c-db705abb6d04","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"4bf28a68-6ca2-42b7-b9fd-617a4d85eee4","type":"BasicTickFormatter"},"plot":{"id":"196249aa-9267-4531-8e91-20406b66f0e3","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a6eb973-754a-41d3-a528-a2ffd498c7ed","type":"BasicTicker"}},"id":"9079d0d9-6daa-4d79-bce2-de2c82b30e72","type":"LinearAxis"},{"attributes":{},"id":"0e411efa-23a9-4e87-a6fe-2c00a4bbef3b","type":"SaveTool"},{"attributes":{"callback":null,"end":15},"id":"411286cd-9f95-40a1-96bd-1667ee25e90d","type":"Range1d"},{"attributes":{"source":{"id":"ce1cd410-d671-4ac9-a8c7-211f70d59a1d","type":"ColumnDataSource"}},"id":"7240fe9c-8242-4851-986c-ca7c909806a7","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5733d1ad-d8ff-4595-9e8c-aec99cda5587","type":"BoxAnnotation"},{"attributes":{},"id":"eb860542-723c-47a3-9ada-072a178381e4","type":"LinearScale"}],"root_ids":["196249aa-9267-4531-8e91-20406b66f0e3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d7dbbfb0-9b31-47ce-b36f-fe45860fdc84","elementid":"2ba90292-c520-41a9-8bc8-88c98c709df6","modelid":"196249aa-9267-4531-8e91-20406b66f0e3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
