(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("89a05b21-0476-4616-a8d6-e13c6a2651ec");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '89a05b21-0476-4616-a8d6-e13c6a2651ec' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bdf22ad1-c080-4567-8f1f-5625a3128fde":{"roots":{"references":[{"attributes":{"formatter":{"id":"a8575104-f1a6-4ac3-9f94-fb8124cb465b","type":"NumeralTickFormatter"},"plot":{"id":"5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"232b51d4-e28c-476a-a272-284346f2e67c","type":"BasicTicker"}},"id":"2555e65d-cf3c-4413-a6cc-20d819e3fb3c","type":"LinearAxis"},{"attributes":{},"id":"3a8871bb-b7b0-43c3-93f8-e7fbbbff0dde","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ec7d842f-61f5-495c-8b69-4f16892a8df9","type":"NumeralTickFormatter"},"plot":{"id":"5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a8871bb-b7b0-43c3-93f8-e7fbbbff0dde","type":"BasicTicker"}},"id":"8df28183-4ca4-4b1e-a1d8-4a3304bafeb4","type":"LinearAxis"},{"attributes":{},"id":"6d7a9a3a-af7c-4edc-93c9-e40c864817b4","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ed48c469-66e5-4eb2-abc1-86567253001f","type":"PanTool"},{"id":"c59f105f-831e-4789-b125-252ee0147084","type":"WheelZoomTool"},{"id":"ab669a46-2d9e-426e-a41a-4b0b3e27b88b","type":"BoxZoomTool"},{"id":"a9d53c08-9f56-4284-bf18-da3e84b5d6b1","type":"SaveTool"},{"id":"b73cb5a1-7ef3-4600-a475-6fc0203ef027","type":"ResetTool"},{"id":"4bee99fd-4aa2-491f-bab6-e684e040f36c","type":"HelpTool"}]},"id":"74bcbda9-206e-4f28-a5c7-f26f520ca3ba","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"232b51d4-e28c-476a-a272-284346f2e67c","type":"BasicTicker"}},"id":"3bfd7c52-d77c-4f60-801e-89c3a01a4864","type":"Grid"},{"attributes":{"below":[{"id":"8df28183-4ca4-4b1e-a1d8-4a3304bafeb4","type":"LinearAxis"}],"left":[{"id":"2555e65d-cf3c-4413-a6cc-20d819e3fb3c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8df28183-4ca4-4b1e-a1d8-4a3304bafeb4","type":"LinearAxis"},{"id":"6d7bbe62-74ad-47f8-9022-7c8a7e7f49b0","type":"Grid"},{"id":"2555e65d-cf3c-4413-a6cc-20d819e3fb3c","type":"LinearAxis"},{"id":"3bfd7c52-d77c-4f60-801e-89c3a01a4864","type":"Grid"},{"id":"5236ebec-d70d-4f8a-84eb-52e9ac8a1f35","type":"BoxAnnotation"},{"id":"65b65818-69f8-4a36-aafd-ee564e37f821","type":"GlyphRenderer"}],"title":{"id":"3699ef32-7c2a-43ed-9e94-907ca663d902","type":"Title"},"toolbar":{"id":"74bcbda9-206e-4f28-a5c7-f26f520ca3ba","type":"Toolbar"},"x_range":{"id":"75e91496-1771-4b5f-999a-524a9e14dba8","type":"DataRange1d"},"x_scale":{"id":"f1ca2f79-9f41-4d2e-96aa-915fb45a619d","type":"LinearScale"},"y_range":{"id":"9c08af71-796f-4bcf-9bbc-ebabdb04cd52","type":"DataRange1d"},"y_scale":{"id":"6d7a9a3a-af7c-4edc-93c9-e40c864817b4","type":"LinearScale"}},"id":"5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a8871bb-b7b0-43c3-93f8-e7fbbbff0dde","type":"BasicTicker"}},"id":"6d7bbe62-74ad-47f8-9022-7c8a7e7f49b0","type":"Grid"},{"attributes":{},"id":"a9d53c08-9f56-4284-bf18-da3e84b5d6b1","type":"SaveTool"},{"attributes":{"format":"0.0%"},"id":"ec7d842f-61f5-495c-8b69-4f16892a8df9","type":"NumeralTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3bd95343-6682-4719-9190-bed4352a45e3","type":"Circle"},{"attributes":{"overlay":{"id":"5236ebec-d70d-4f8a-84eb-52e9ac8a1f35","type":"BoxAnnotation"}},"id":"ab669a46-2d9e-426e-a41a-4b0b3e27b88b","type":"BoxZoomTool"},{"attributes":{"source":{"id":"6dc4bd5b-0144-4d42-a03a-dffeabf40b1b","type":"ColumnDataSource"}},"id":"1779f6b9-cc86-4bff-9325-5bc8c4db9757","type":"CDSView"},{"attributes":{"format":"$0.00"},"id":"a8575104-f1a6-4ac3-9f94-fb8124cb465b","type":"NumeralTickFormatter"},{"attributes":{"data_source":{"id":"6dc4bd5b-0144-4d42-a03a-dffeabf40b1b","type":"ColumnDataSource"},"glyph":{"id":"2689d585-1116-4e1a-8838-0f42e004e89b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3bd95343-6682-4719-9190-bed4352a45e3","type":"Circle"},"selection_glyph":null,"view":{"id":"1779f6b9-cc86-4bff-9325-5bc8c4db9757","type":"CDSView"}},"id":"65b65818-69f8-4a36-aafd-ee564e37f821","type":"GlyphRenderer"},{"attributes":{},"id":"ed48c469-66e5-4eb2-abc1-86567253001f","type":"PanTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2689d585-1116-4e1a-8838-0f42e004e89b","type":"Circle"},{"attributes":{"callback":null},"id":"9c08af71-796f-4bcf-9bbc-ebabdb04cd52","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"3699ef32-7c2a-43ed-9e94-907ca663d902","type":"Title"},{"attributes":{},"id":"f1ca2f79-9f41-4d2e-96aa-915fb45a619d","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5236ebec-d70d-4f8a-84eb-52e9ac8a1f35","type":"BoxAnnotation"},{"attributes":{},"id":"4bee99fd-4aa2-491f-bab6-e684e040f36c","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"6dc4bd5b-0144-4d42-a03a-dffeabf40b1b","type":"ColumnDataSource"},{"attributes":{},"id":"c59f105f-831e-4789-b125-252ee0147084","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"75e91496-1771-4b5f-999a-524a9e14dba8","type":"DataRange1d"},{"attributes":{},"id":"232b51d4-e28c-476a-a272-284346f2e67c","type":"BasicTicker"},{"attributes":{},"id":"b73cb5a1-7ef3-4600-a475-6fc0203ef027","type":"ResetTool"}],"root_ids":["5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bdf22ad1-c080-4567-8f1f-5625a3128fde","elementid":"89a05b21-0476-4616-a8d6-e13c6a2651ec","modelid":"5b48e4e3-49e7-4c9c-89c7-81f009a5ef7e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
