(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3863b6bb-14fc-455b-850e-90402a135021");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3863b6bb-14fc-455b-850e-90402a135021' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5fd93338-3c9d-46f7-846f-d28c379c3a9c":{"roots":{"references":[{"attributes":{"booleans":[true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,true,false,false,false,false,false,false,true,true,true,true,true]},"id":"37861b5e-e42f-4bb3-a196-42b012792c0a","type":"BooleanFilter"},{"attributes":{"dimension":1,"plot":{"id":"e0438ea5-a628-415c-9ab3-0166ffbdca7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9229cf99-4a25-4d3a-87bd-85b677b58fa9","type":"BasicTicker"}},"id":"f7b2fca9-1f8b-4874-99c3-415f7f81e56b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"f0edeb06-f472-4237-8151-264b6627d705","type":"PolyAnnotation"},{"attributes":{"formatter":{"id":"2981ee26-3f8b-43e9-849d-4af00486bd90","type":"BasicTickFormatter"},"plot":{"id":"e0438ea5-a628-415c-9ab3-0166ffbdca7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"9229cf99-4a25-4d3a-87bd-85b677b58fa9","type":"BasicTicker"}},"id":"4ae83c35-2530-4441-806d-6e301f65294d","type":"LinearAxis"},{"attributes":{"plot":{"id":"da0b2fe4-c9ea-4c35-ac65-9e5919a29106","subtype":"Figure","type":"Plot"},"ticker":{"id":"3df931e5-52ef-4a39-af0b-87bd76082e7c","type":"BasicTicker"}},"id":"e6e8596d-6d38-4a69-b218-392fa30b8398","type":"Grid"},{"attributes":{},"id":"69a404db-efe7-4073-b806-f58c30fa1227","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"cc5ba5c4-73a1-458e-86a5-0838220d0bab","type":"BoxSelectTool"},{"id":"1fb869e8-d058-4aee-95fa-1e298309dc6c","type":"LassoSelectTool"},{"id":"af0ddd89-ada5-4292-b2c7-7fec6bedc927","type":"HoverTool"},{"id":"6bb383bb-ff8a-4a32-aee4-74fd6ee5a326","type":"HelpTool"}]},"id":"8b21ace7-7065-49d4-ae8c-384689175834","type":"Toolbar"},{"attributes":{"callback":null},"id":"dacb1fda-1739-4e64-8705-4c6472e731d7","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"a9adeb5c-d2ee-42c5-a176-b12c4edc1f8a","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"723e4c4e-6fa1-4428-b3f4-da1bb65669a3","type":"DataRange1d"},{"attributes":{"source":{"id":"ed1f34e8-44cb-4082-b06c-b7fe52cc6941","type":"ColumnDataSource"}},"id":"7ea5d669-9c65-4f34-a25e-fc7ca503ee73","type":"CDSView"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"ba7bfeb1-248c-473d-a5a0-f2103e5ec864","type":"Circle"},{"attributes":{"below":[{"id":"d9a8b97a-dd4a-457b-8292-896346bf40fb","type":"LinearAxis"}],"left":[{"id":"4ae83c35-2530-4441-806d-6e301f65294d","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d9a8b97a-dd4a-457b-8292-896346bf40fb","type":"LinearAxis"},{"id":"7261aa06-d280-4e1e-88ad-73de7e143aa7","type":"Grid"},{"id":"4ae83c35-2530-4441-806d-6e301f65294d","type":"LinearAxis"},{"id":"f7b2fca9-1f8b-4874-99c3-415f7f81e56b","type":"Grid"},{"id":"a9adeb5c-d2ee-42c5-a176-b12c4edc1f8a","type":"BoxAnnotation"},{"id":"f0edeb06-f472-4237-8151-264b6627d705","type":"PolyAnnotation"},{"id":"2f489f48-52b8-47c6-b8fd-6aa9e4d353b3","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"8b21ace7-7065-49d4-ae8c-384689175834","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"723e4c4e-6fa1-4428-b3f4-da1bb65669a3","type":"DataRange1d"},"x_scale":{"id":"16e36bc7-45fa-415a-9ac9-8debccff3f68","type":"LinearScale"},"y_range":{"id":"dacb1fda-1739-4e64-8705-4c6472e731d7","type":"DataRange1d"},"y_scale":{"id":"95fecbbf-0a68-46cc-a883-e43b35410c9c","type":"LinearScale"}},"id":"e0438ea5-a628-415c-9ab3-0166ffbdca7e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"b2f9834a-ddcf-4884-ac2b-85784ba1ddfd","type":"BasicTickFormatter"},{"attributes":{},"id":"6bb383bb-ff8a-4a32-aee4-74fd6ee5a326","type":"HelpTool"},{"attributes":{"children":[{"id":"66ef15b3-f915-4a82-9bde-af65431e86d8","type":"ToolbarBox"},{"id":"68328814-ef06-4a17-8331-0f72f248b264","type":"Column"}]},"id":"c181f5a5-e6c4-405d-b571-c8bd98fb1e02","type":"Column"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"1f5b180d-1e75-40c3-ba92-4f96b68da01b","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"b9f013f4-5169-4a1d-95bb-20c6248e6f3a","type":"Circle"},{"attributes":{"data_source":{"id":"ed1f34e8-44cb-4082-b06c-b7fe52cc6941","type":"ColumnDataSource"},"glyph":{"id":"b9f013f4-5169-4a1d-95bb-20c6248e6f3a","type":"Circle"},"hover_glyph":{"id":"ba7bfeb1-248c-473d-a5a0-f2103e5ec864","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"9c5ae34e-039b-4bcb-b023-093e997a9548","type":"Circle"},"selection_glyph":null,"view":{"id":"8dacc3be-c270-4988-9b3c-27a477d98d18","type":"CDSView"}},"id":"f0d99871-c5b8-4d6e-8d74-d3a733ea3bcd","type":"GlyphRenderer"},{"attributes":{"children":[{"id":"e0438ea5-a628-415c-9ab3-0166ffbdca7e","subtype":"Figure","type":"Plot"},{"id":"da0b2fe4-c9ea-4c35-ac65-9e5919a29106","subtype":"Figure","type":"Plot"}]},"id":"7f4598ee-49f6-4cf9-bf49-4249d8a1c71a","type":"Row"},{"attributes":{"below":[{"id":"84acd738-30b6-4856-a5fc-3c37d71f1535","type":"LinearAxis"}],"left":[{"id":"c422dd5c-cd2a-42a0-a1b4-e48cfa0161de","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"84acd738-30b6-4856-a5fc-3c37d71f1535","type":"LinearAxis"},{"id":"e6e8596d-6d38-4a69-b218-392fa30b8398","type":"Grid"},{"id":"c422dd5c-cd2a-42a0-a1b4-e48cfa0161de","type":"LinearAxis"},{"id":"b41bc222-a1d1-44c4-9159-dac44045fc7d","type":"Grid"},{"id":"e3ce248d-d596-4b9c-9ed6-e93a7f361fad","type":"BoxAnnotation"},{"id":"ee1a2241-5685-4664-9b27-7c5ba61a8a52","type":"PolyAnnotation"},{"id":"f0d99871-c5b8-4d6e-8d74-d3a733ea3bcd","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"3660e6b0-5086-4d3f-8b42-b05c22008f71","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9c4b27ea-168c-4287-af6a-9bdf94ad133f","type":"DataRange1d"},"x_scale":{"id":"9ed68700-36f9-4605-a68b-bbb3fc8bccc8","type":"LinearScale"},"y_range":{"id":"7c8e9e2a-0f8a-4053-8d4f-7427a6d22b62","type":"DataRange1d"},"y_scale":{"id":"797ed553-ad76-4d70-bcb8-f14c7f08b6a9","type":"LinearScale"}},"id":"da0b2fe4-c9ea-4c35-ac65-9e5919a29106","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"99fbf688-7afa-4327-856f-35a2413b974a","type":"HoverTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5eeb3846-9e4e-4d7c-9b62-ac3782cf4e7f","type":"BoxSelectTool"},{"id":"98704e41-5ecb-4f0e-8f06-a7a8d54cd96e","type":"LassoSelectTool"},{"id":"99fbf688-7afa-4327-856f-35a2413b974a","type":"HoverTool"},{"id":"fdce6494-0ae6-4538-af92-21495a7dfe90","type":"HelpTool"}]},"id":"3660e6b0-5086-4d3f-8b42-b05c22008f71","type":"Toolbar"},{"attributes":{},"id":"9ed68700-36f9-4605-a68b-bbb3fc8bccc8","type":"LinearScale"},{"attributes":{},"id":"797ed553-ad76-4d70-bcb8-f14c7f08b6a9","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"fa674e85-205b-4d95-8801-893d4459639a","type":"Circle"},{"attributes":{"callback":null,"overlay":{"id":"ee1a2241-5685-4664-9b27-7c5ba61a8a52","type":"PolyAnnotation"}},"id":"98704e41-5ecb-4f0e-8f06-a7a8d54cd96e","type":"LassoSelectTool"},{"attributes":{"callback":null},"id":"af0ddd89-ada5-4292-b2c7-7fec6bedc927","type":"HoverTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y0"}},"id":"72dc2041-4df4-4f20-8727-110d35a6178e","type":"Circle"},{"attributes":{"callback":null},"id":"7c8e9e2a-0f8a-4053-8d4f-7427a6d22b62","type":"DataRange1d"},{"attributes":{},"id":"9229cf99-4a25-4d3a-87bd-85b677b58fa9","type":"BasicTicker"},{"attributes":{},"id":"16e36bc7-45fa-415a-9ac9-8debccff3f68","type":"LinearScale"},{"attributes":{"data_source":{"id":"ed1f34e8-44cb-4082-b06c-b7fe52cc6941","type":"ColumnDataSource"},"glyph":{"id":"fa674e85-205b-4d95-8801-893d4459639a","type":"Circle"},"hover_glyph":{"id":"1f5b180d-1e75-40c3-ba92-4f96b68da01b","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"72dc2041-4df4-4f20-8727-110d35a6178e","type":"Circle"},"selection_glyph":null,"view":{"id":"7ea5d669-9c65-4f34-a25e-fc7ca503ee73","type":"CDSView"}},"id":"2f489f48-52b8-47c6-b8fd-6aa9e4d353b3","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"b2f9834a-ddcf-4884-ac2b-85784ba1ddfd","type":"BasicTickFormatter"},"plot":{"id":"e0438ea5-a628-415c-9ab3-0166ffbdca7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd86c5cd-0adf-4900-8d8b-a2ac4c98ebf9","type":"BasicTicker"}},"id":"d9a8b97a-dd4a-457b-8292-896346bf40fb","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"ee1a2241-5685-4664-9b27-7c5ba61a8a52","type":"PolyAnnotation"},{"attributes":{},"id":"fdce6494-0ae6-4538-af92-21495a7dfe90","type":"HelpTool"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"cc5ba5c4-73a1-458e-86a5-0838220d0bab","type":"BoxSelectTool"},{"id":"1fb869e8-d058-4aee-95fa-1e298309dc6c","type":"LassoSelectTool"},{"id":"af0ddd89-ada5-4292-b2c7-7fec6bedc927","type":"HoverTool"},{"id":"6bb383bb-ff8a-4a32-aee4-74fd6ee5a326","type":"HelpTool"},{"id":"5eeb3846-9e4e-4d7c-9b62-ac3782cf4e7f","type":"BoxSelectTool"},{"id":"98704e41-5ecb-4f0e-8f06-a7a8d54cd96e","type":"LassoSelectTool"},{"id":"99fbf688-7afa-4327-856f-35a2413b974a","type":"HoverTool"},{"id":"fdce6494-0ae6-4538-af92-21495a7dfe90","type":"HelpTool"}]},"id":"66ef15b3-f915-4a82-9bde-af65431e86d8","type":"ToolbarBox"},{"attributes":{"dimension":1,"plot":{"id":"da0b2fe4-c9ea-4c35-ac65-9e5919a29106","subtype":"Figure","type":"Plot"},"ticker":{"id":"69a404db-efe7-4073-b806-f58c30fa1227","type":"BasicTicker"}},"id":"b41bc222-a1d1-44c4-9159-dac44045fc7d","type":"Grid"},{"attributes":{},"id":"dd86c5cd-0adf-4900-8d8b-a2ac4c98ebf9","type":"BasicTicker"},{"attributes":{},"id":"b8a8dc53-ef54-42af-9c4b-222e7bff3ec3","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"e3ce248d-d596-4b9c-9ed6-e93a7f361fad","type":"BoxAnnotation"},"renderers":[{"id":"f0d99871-c5b8-4d6e-8d74-d3a733ea3bcd","type":"GlyphRenderer"}]},"id":"5eeb3846-9e4e-4d7c-9b62-ac3782cf4e7f","type":"BoxSelectTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y1"}},"id":"9c5ae34e-039b-4bcb-b023-093e997a9548","type":"Circle"},{"attributes":{},"id":"95fecbbf-0a68-46cc-a883-e43b35410c9c","type":"LinearScale"},{"attributes":{"callback":null,"overlay":{"id":"f0edeb06-f472-4237-8151-264b6627d705","type":"PolyAnnotation"}},"id":"1fb869e8-d058-4aee-95fa-1e298309dc6c","type":"LassoSelectTool"},{"attributes":{"plot":{"id":"e0438ea5-a628-415c-9ab3-0166ffbdca7e","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd86c5cd-0adf-4900-8d8b-a2ac4c98ebf9","type":"BasicTicker"}},"id":"7261aa06-d280-4e1e-88ad-73de7e143aa7","type":"Grid"},{"attributes":{"callback":null,"overlay":{"id":"a9adeb5c-d2ee-42c5-a176-b12c4edc1f8a","type":"BoxAnnotation"},"renderers":[{"id":"2f489f48-52b8-47c6-b8fd-6aa9e4d353b3","type":"GlyphRenderer"}]},"id":"cc5ba5c4-73a1-458e-86a5-0838220d0bab","type":"BoxSelectTool"},{"attributes":{},"id":"2981ee26-3f8b-43e9-849d-4af00486bd90","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"7f4598ee-49f6-4cf9-bf49-4249d8a1c71a","type":"Row"}]},"id":"68328814-ef06-4a17-8331-0f72f248b264","type":"Column"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"ed1f34e8-44cb-4082-b06c-b7fe52cc6941","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b8a8dc53-ef54-42af-9c4b-222e7bff3ec3","type":"BasicTickFormatter"},"plot":{"id":"da0b2fe4-c9ea-4c35-ac65-9e5919a29106","subtype":"Figure","type":"Plot"},"ticker":{"id":"3df931e5-52ef-4a39-af0b-87bd76082e7c","type":"BasicTicker"}},"id":"84acd738-30b6-4856-a5fc-3c37d71f1535","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e3ce248d-d596-4b9c-9ed6-e93a7f361fad","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"ef6276ce-01dd-4718-babf-0ce5b2ce55c9","type":"BasicTickFormatter"},"plot":{"id":"da0b2fe4-c9ea-4c35-ac65-9e5919a29106","subtype":"Figure","type":"Plot"},"ticker":{"id":"69a404db-efe7-4073-b806-f58c30fa1227","type":"BasicTicker"}},"id":"c422dd5c-cd2a-42a0-a1b4-e48cfa0161de","type":"LinearAxis"},{"attributes":{},"id":"ef6276ce-01dd-4718-babf-0ce5b2ce55c9","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"9c4b27ea-168c-4287-af6a-9bdf94ad133f","type":"DataRange1d"},{"attributes":{"filters":[{"id":"37861b5e-e42f-4bb3-a196-42b012792c0a","type":"BooleanFilter"}],"source":{"id":"ed1f34e8-44cb-4082-b06c-b7fe52cc6941","type":"ColumnDataSource"}},"id":"8dacc3be-c270-4988-9b3c-27a477d98d18","type":"CDSView"},{"attributes":{},"id":"3df931e5-52ef-4a39-af0b-87bd76082e7c","type":"BasicTicker"}],"root_ids":["c181f5a5-e6c4-405d-b571-c8bd98fb1e02"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5fd93338-3c9d-46f7-846f-d28c379c3a9c","elementid":"3863b6bb-14fc-455b-850e-90402a135021","modelid":"c181f5a5-e6c4-405d-b571-c8bd98fb1e02"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
