(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c7702303-6a2e-494e-9c97-779fbeb2a5cc");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c7702303-6a2e-494e-9c97-779fbeb2a5cc' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"47e41c58-2cb8-4f9b-aa81-dcd8c6fd110a":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"a2515693-cf90-44e7-88af-cebf1a0d8f81","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"63f806ab-1545-402d-90cc-33d0b2c9a044","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"7aead28e-6d57-4e78-9394-a3c493f89f79","subtype":"Figure","type":"Plot"},"ticker":{"id":"6803fb0a-f97e-4b8d-a772-da462d99fbdb","type":"BasicTicker"}},"id":"4573163a-86a1-4fc8-93e6-77a4b282cc08","type":"Grid"},{"attributes":{"formatter":{"id":"0a712712-3ba0-4970-8b74-0504b5cf984a","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"7aead28e-6d57-4e78-9394-a3c493f89f79","subtype":"Figure","type":"Plot"},"ticker":{"id":"0949f2cb-50bc-4e1b-a725-8c14d787f76b","type":"CategoricalTicker"}},"id":"0573c8b6-c089-48ad-a44b-90a63f41e4d1","type":"CategoricalAxis"},{"attributes":{},"id":"1f0a5507-2812-439c-9c79-1707bbf3b40e","type":"CategoricalScale"},{"attributes":{},"id":"0a712712-3ba0-4970-8b74-0504b5cf984a","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"2ddf6142-43f9-4f52-9416-923033efc6aa","type":"BasicTickFormatter"},"plot":{"id":"7aead28e-6d57-4e78-9394-a3c493f89f79","subtype":"Figure","type":"Plot"},"ticker":{"id":"6803fb0a-f97e-4b8d-a772-da462d99fbdb","type":"BasicTicker"}},"id":"e5545a2c-65b1-42d8-94d7-7329601a0ee8","type":"LinearAxis"},{"attributes":{},"id":"0949f2cb-50bc-4e1b-a725-8c14d787f76b","type":"CategoricalTicker"},{"attributes":{},"id":"2ddf6142-43f9-4f52-9416-923033efc6aa","type":"BasicTickFormatter"},{"attributes":{},"id":"6803fb0a-f97e-4b8d-a772-da462d99fbdb","type":"BasicTicker"},{"attributes":{"below":[{"id":"0573c8b6-c089-48ad-a44b-90a63f41e4d1","type":"CategoricalAxis"}],"left":[{"id":"e5545a2c-65b1-42d8-94d7-7329601a0ee8","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"0573c8b6-c089-48ad-a44b-90a63f41e4d1","type":"CategoricalAxis"},{"id":"7699b1c7-4aa8-4416-a014-8397b3e862f7","type":"Grid"},{"id":"e5545a2c-65b1-42d8-94d7-7329601a0ee8","type":"LinearAxis"},{"id":"4573163a-86a1-4fc8-93e6-77a4b282cc08","type":"Grid"},{"id":"3af6c36c-d2ed-4415-a872-b520f384195a","type":"GlyphRenderer"}],"title":{"id":"82b46d19-28ff-4291-a81f-9b1b42fc2fa3","type":"Title"},"toolbar":{"id":"63f806ab-1545-402d-90cc-33d0b2c9a044","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7e17965b-f4ca-4c76-8ce9-6a7dfcafd2d5","type":"FactorRange"},"x_scale":{"id":"1f0a5507-2812-439c-9c79-1707bbf3b40e","type":"CategoricalScale"},"y_range":{"id":"e90e4535-87b9-4cd5-8abe-ed21b795c4b0","type":"DataRange1d"},"y_scale":{"id":"ee78a0fd-3c8d-4493-af59-9093b15153f9","type":"LinearScale"}},"id":"7aead28e-6d57-4e78-9394-a3c493f89f79","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"7e17965b-f4ca-4c76-8ce9-6a7dfcafd2d5","type":"FactorRange"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"03102718-b4a7-4d09-bd21-5810b2f1a0a7","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"03102718-b4a7-4d09-bd21-5810b2f1a0a7","type":"ColumnDataSource"},"glyph":{"id":"a2515693-cf90-44e7-88af-cebf1a0d8f81","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5f60cc93-7445-4afe-a7e2-4c8cf0e361b8","type":"VBar"},"selection_glyph":null,"view":{"id":"fb97999f-0c2e-4cc3-8288-3ddd635140e7","type":"CDSView"}},"id":"3af6c36c-d2ed-4415-a872-b520f384195a","type":"GlyphRenderer"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"5f60cc93-7445-4afe-a7e2-4c8cf0e361b8","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"e90e4535-87b9-4cd5-8abe-ed21b795c4b0","type":"DataRange1d"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"7aead28e-6d57-4e78-9394-a3c493f89f79","subtype":"Figure","type":"Plot"},"ticker":{"id":"0949f2cb-50bc-4e1b-a725-8c14d787f76b","type":"CategoricalTicker"}},"id":"7699b1c7-4aa8-4416-a014-8397b3e862f7","type":"Grid"},{"attributes":{},"id":"ee78a0fd-3c8d-4493-af59-9093b15153f9","type":"LinearScale"},{"attributes":{"source":{"id":"03102718-b4a7-4d09-bd21-5810b2f1a0a7","type":"ColumnDataSource"}},"id":"fb97999f-0c2e-4cc3-8288-3ddd635140e7","type":"CDSView"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"82b46d19-28ff-4291-a81f-9b1b42fc2fa3","type":"Title"}],"root_ids":["7aead28e-6d57-4e78-9394-a3c493f89f79"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"47e41c58-2cb8-4f9b-aa81-dcd8c6fd110a","elementid":"c7702303-6a2e-494e-9c97-779fbeb2a5cc","modelid":"7aead28e-6d57-4e78-9394-a3c493f89f79"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
