(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cbc040cf-fc9c-4090-a584-da0c7f10c7c0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cbc040cf-fc9c-4090-a584-da0c7f10c7c0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"37cd912d-eb0b-402e-b446-d75931cc6215":{"roots":{"references":[{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"31b63727-82ea-432b-bb10-d851e51036d1","type":"BasicTickFormatter"},"plot":{"id":"02bceaa9-8824-47cc-b3df-d4fde348f66b","type":"Plot"},"ticker":{"id":"d1d52c71-b761-495e-921e-77864b101986","type":"BasicTicker"}},"id":"74ffb5a8-453e-4f49-bf4f-19d0e5849d85","type":"LinearAxis"},{"attributes":{"data_source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"},"glyph":{"id":"aac10912-7e65-4a0c-afed-7922791730db","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ab8579ab-46e0-48ad-95a2-1bc810d12b34","type":"CDSView"}},"id":"f26047c6-1d58-4522-a226-a166bced269e","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"},"glyph":{"id":"0a92e117-6b7e-435c-88b8-22410aacfb12","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d339f121-975c-4d08-8cac-c76135726aab","type":"CDSView"}},"id":"c23b7b0f-29c2-41b9-8e3c-d2537503c948","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"6e31bd0f-4087-4ea6-92aa-a7ed8b005aaa","type":"Line"},{"attributes":{"source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"}},"id":"4bf8d21b-25f9-4759-a37a-d1ddf58df718","type":"CDSView"},{"attributes":{},"id":"ce643ca0-49fe-47b9-bf95-94f2396cf834","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xiv"},"y":{"field":"yiv"}},"id":"e42b2359-fb2e-4a51-a659-13e28fddb8c3","type":"Circle"},{"attributes":{},"id":"8eeed7cc-eed1-4596-b38b-0558da2afeda","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"02bceaa9-8824-47cc-b3df-d4fde348f66b","type":"Plot"},"ticker":{"id":"73cca2e7-c165-4893-b71f-c2f7f1480692","type":"BasicTicker"}},"id":"1918c7ba-89a4-4d87-a360-bc3a46af1e50","type":"Grid"},{"attributes":{},"id":"c410ccca-0c90-4140-9c16-2f532bc4b7d4","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xiii"},"y":{"field":"yiii"}},"id":"d12bbdd8-26fb-467d-94ab-b54a3fc832e2","type":"Circle"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"c480a244-c7e3-4516-b285-25d892e864ff","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"53b8b855-b735-4fde-9aae-df50f425b78c","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"c480a244-c7e3-4516-b285-25d892e864ff","type":"LinearAxis"},{"id":"53b8b855-b735-4fde-9aae-df50f425b78c","type":"LinearAxis"},{"id":"bd9875ae-9626-477f-a2f5-8f0c6939c9f8","type":"Grid"},{"id":"4a47fa4d-c45b-4d8e-bf12-a84dc261cc50","type":"Grid"},{"id":"ec065b0f-9da9-4132-973b-6a9c4caf3973","type":"GlyphRenderer"},{"id":"7b63e39c-6690-4883-b775-f94f3d80203e","type":"GlyphRenderer"}],"title":{"id":"578691de-84e7-4ff9-b59f-673fdca7b362","type":"Title"},"toolbar":{"id":"192125e3-e07d-4f4e-8145-bf7c28b66ef4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ec06597e-f5b9-4121-8e37-296c37e9708e","type":"Range1d"},"x_scale":{"id":"c410ccca-0c90-4140-9c16-2f532bc4b7d4","type":"LinearScale"},"y_range":{"id":"d9a7a287-9f7c-44ff-a3af-ef652beb6db1","type":"Range1d"},"y_scale":{"id":"40542a0b-5a32-492c-90f6-d8bddd5e1dcc","type":"LinearScale"}},"id":"198b46ec-8f68-43cb-82a2-f03ffcc7122d","type":"Plot"},{"attributes":{},"id":"b30cccb5-a9b1-4880-956b-4d705f08d1be","type":"BasicTickFormatter"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"b30cccb5-a9b1-4880-956b-4d705f08d1be","type":"BasicTickFormatter"},"plot":{"id":"0aea2f91-5886-4455-a61a-ebf8edce35af","type":"Plot"},"ticker":{"id":"2d3e587e-e9b9-41ed-9c9f-89086e16c307","type":"BasicTicker"}},"id":"dfd89d0d-7ad7-4887-8680-8d8b935fe9d8","type":"LinearAxis"},{"attributes":{"plot":{"id":"0aea2f91-5886-4455-a61a-ebf8edce35af","type":"Plot"},"ticker":{"id":"2d3e587e-e9b9-41ed-9c9f-89086e16c307","type":"BasicTicker"}},"id":"0b0fcf6e-2631-434c-bac5-7f2dd094d77f","type":"Grid"},{"attributes":{"plot":{"id":"02bceaa9-8824-47cc-b3df-d4fde348f66b","type":"Plot"},"ticker":{"id":"d1d52c71-b761-495e-921e-77864b101986","type":"BasicTicker"}},"id":"d2b1be1a-110c-4a35-bfb4-4e254fa74eef","type":"Grid"},{"attributes":{"children":[{"id":"0aea2f91-5886-4455-a61a-ebf8edce35af","type":"Plot"},{"id":"02bceaa9-8824-47cc-b3df-d4fde348f66b","type":"Plot"}]},"id":"a0426710-7332-4ffc-b2f2-f6151f98ac19","type":"Row"},{"attributes":{"plot":null,"text":"IV"},"id":"578691de-84e7-4ff9-b59f-673fdca7b362","type":"Title"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"0592ec62-7211-484b-b12c-a729853a2a95","type":"BasicTickFormatter"},"plot":{"id":"02bceaa9-8824-47cc-b3df-d4fde348f66b","type":"Plot"},"ticker":{"id":"73cca2e7-c165-4893-b71f-c2f7f1480692","type":"BasicTicker"}},"id":"f7d18f6d-a9d2-415d-a9cb-b0bb4b5f9fea","type":"LinearAxis"},{"attributes":{},"id":"0592ec62-7211-484b-b12c-a729853a2a95","type":"BasicTickFormatter"},{"attributes":{},"id":"73cca2e7-c165-4893-b71f-c2f7f1480692","type":"BasicTicker"},{"attributes":{"callback":null,"end":20.5,"start":-0.5},"id":"d9a7a287-9f7c-44ff-a3af-ef652beb6db1","type":"Range1d"},{"attributes":{"plot":{"id":"198b46ec-8f68-43cb-82a2-f03ffcc7122d","type":"Plot"},"ticker":{"id":"49f7c032-55c6-4f15-94e8-786005843163","type":"BasicTicker"}},"id":"bd9875ae-9626-477f-a2f5-8f0c6939c9f8","type":"Grid"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"74ffb5a8-453e-4f49-bf4f-19d0e5849d85","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"f7d18f6d-a9d2-415d-a9cb-b0bb4b5f9fea","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"74ffb5a8-453e-4f49-bf4f-19d0e5849d85","type":"LinearAxis"},{"id":"f7d18f6d-a9d2-415d-a9cb-b0bb4b5f9fea","type":"LinearAxis"},{"id":"d2b1be1a-110c-4a35-bfb4-4e254fa74eef","type":"Grid"},{"id":"1918c7ba-89a4-4d87-a360-bc3a46af1e50","type":"Grid"},{"id":"f26047c6-1d58-4522-a226-a166bced269e","type":"GlyphRenderer"},{"id":"6980d7dd-fcd8-4a31-aff5-7cf9e9d9213f","type":"GlyphRenderer"}],"title":{"id":"2d5779b8-bd88-4a30-a1b0-d0aea7bf960b","type":"Title"},"toolbar":{"id":"c1bbdaa3-7d9e-4d70-9c14-62b8f689463e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ec06597e-f5b9-4121-8e37-296c37e9708e","type":"Range1d"},"x_scale":{"id":"8eeed7cc-eed1-4596-b38b-0558da2afeda","type":"LinearScale"},"y_range":{"id":"d9a7a287-9f7c-44ff-a3af-ef652beb6db1","type":"Range1d"},"y_scale":{"id":"ba11730c-0a18-40e1-8f97-fd0157c1d979","type":"LinearScale"}},"id":"02bceaa9-8824-47cc-b3df-d4fde348f66b","type":"Plot"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"3d3e8d30-7b85-4cbd-936a-208dea5418ca","type":"BasicTickFormatter"},"plot":{"id":"0aea2f91-5886-4455-a61a-ebf8edce35af","type":"Plot"},"ticker":{"id":"980f61d9-18fd-4c93-acd2-ba3ed078d084","type":"BasicTicker"}},"id":"4a58d36e-ac4f-432d-9e9f-907cbc9fe70e","type":"LinearAxis"},{"attributes":{},"id":"49f7c032-55c6-4f15-94e8-786005843163","type":"BasicTicker"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"77fb92cd-0293-4302-8497-99e51653c11c","type":"BasicTickFormatter"},"plot":{"id":"cf65e683-3bb0-4d8a-b740-c38346b06600","type":"Plot"},"ticker":{"id":"bd66f680-d0ff-436b-95fe-3df72bf38f02","type":"BasicTicker"}},"id":"247c9878-d793-4be8-99e9-c61e5c3defe8","type":"LinearAxis"},{"attributes":{},"id":"3d3e8d30-7b85-4cbd-936a-208dea5418ca","type":"BasicTickFormatter"},{"attributes":{},"id":"89f747e6-d0e5-44e8-a707-9f59143b7531","type":"LinearScale"},{"attributes":{},"id":"788db7db-2d03-443d-93cf-a6d37f3a519f","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"}},"id":"87251344-d339-41f8-9aff-72b10bf46bba","type":"CDSView"},{"attributes":{"source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"}},"id":"13b2da44-ce0b-4ed2-a1ca-be55d6a308e0","type":"CDSView"},{"attributes":{},"id":"bd66f680-d0ff-436b-95fe-3df72bf38f02","type":"BasicTicker"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"788db7db-2d03-443d-93cf-a6d37f3a519f","type":"BasicTickFormatter"},"plot":{"id":"cf65e683-3bb0-4d8a-b740-c38346b06600","type":"Plot"},"ticker":{"id":"3ff22109-4b83-4757-895b-ee6f75af907b","type":"BasicTicker"}},"id":"5c6dd35d-4317-44b4-8417-f55952c26b71","type":"LinearAxis"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"ce643ca0-49fe-47b9-bf95-94f2396cf834","type":"BasicTickFormatter"},"plot":{"id":"198b46ec-8f68-43cb-82a2-f03ffcc7122d","type":"Plot"},"ticker":{"id":"74c7921c-c0d2-49e3-985c-94b5a6910934","type":"BasicTicker"}},"id":"53b8b855-b735-4fde-9aae-df50f425b78c","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"198b46ec-8f68-43cb-82a2-f03ffcc7122d","type":"Plot"},"ticker":{"id":"74c7921c-c0d2-49e3-985c-94b5a6910934","type":"BasicTicker"}},"id":"4a47fa4d-c45b-4d8e-bf12-a84dc261cc50","type":"Grid"},{"attributes":{},"id":"2d3e587e-e9b9-41ed-9c9f-89086e16c307","type":"BasicTicker"},{"attributes":{},"id":"d1d52c71-b761-495e-921e-77864b101986","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"573cf5fe-8d31-44b9-9e70-5e2dee59a20a","type":"Toolbar"},{"attributes":{"plot":null,"text":"III"},"id":"b3666bf0-ae85-4c47-b346-b88f646371dc","type":"Title"},{"attributes":{},"id":"2a347831-4139-4025-a7b6-0f9c36aeb815","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xii"},"y":{"field":"yii"}},"id":"79b9218b-f751-4729-9e71-26e12e8926e3","type":"Circle"},{"attributes":{"children":[{"id":"cf65e683-3bb0-4d8a-b740-c38346b06600","type":"Plot"},{"id":"198b46ec-8f68-43cb-82a2-f03ffcc7122d","type":"Plot"}]},"id":"1caefe6c-82af-4ecf-af57-39eaa84b8e8d","type":"Row"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"9c5b4faf-77e3-4936-8602-52e58f118f7a","type":"Line"},{"attributes":{"data_source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"},"glyph":{"id":"9c5b4faf-77e3-4936-8602-52e58f118f7a","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"13b2da44-ce0b-4ed2-a1ca-be55d6a308e0","type":"CDSView"}},"id":"e6f608d9-39e9-4b9a-adc9-3b635aba7aa2","type":"GlyphRenderer"},{"attributes":{},"id":"980f61d9-18fd-4c93-acd2-ba3ed078d084","type":"BasicTicker"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"dfd89d0d-7ad7-4887-8680-8d8b935fe9d8","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"4a58d36e-ac4f-432d-9e9f-907cbc9fe70e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"dfd89d0d-7ad7-4887-8680-8d8b935fe9d8","type":"LinearAxis"},{"id":"4a58d36e-ac4f-432d-9e9f-907cbc9fe70e","type":"LinearAxis"},{"id":"0b0fcf6e-2631-434c-bac5-7f2dd094d77f","type":"Grid"},{"id":"a0c28e70-28e3-4ba0-abd4-47ffca82e605","type":"Grid"},{"id":"ac49e562-2e2e-4f94-856b-cb115d6924e0","type":"GlyphRenderer"},{"id":"c23b7b0f-29c2-41b9-8e3c-d2537503c948","type":"GlyphRenderer"}],"title":{"id":"5308395b-f56f-4a63-9fa0-1b77dc711241","type":"Title"},"toolbar":{"id":"573cf5fe-8d31-44b9-9e70-5e2dee59a20a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ec06597e-f5b9-4121-8e37-296c37e9708e","type":"Range1d"},"x_scale":{"id":"61021adc-c75d-45ec-b2fc-c49ae10c6cc6","type":"LinearScale"},"y_range":{"id":"d9a7a287-9f7c-44ff-a3af-ef652beb6db1","type":"Range1d"},"y_scale":{"id":"2a347831-4139-4025-a7b6-0f9c36aeb815","type":"LinearScale"}},"id":"0aea2f91-5886-4455-a61a-ebf8edce35af","type":"Plot"},{"attributes":{"data_source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"},"glyph":{"id":"6e31bd0f-4087-4ea6-92aa-a7ed8b005aaa","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"244f44c1-b731-4b94-a8af-08bb0cb301ed","type":"CDSView"}},"id":"ac49e562-2e2e-4f94-856b-cb115d6924e0","type":"GlyphRenderer"},{"attributes":{},"id":"31b63727-82ea-432b-bb10-d851e51036d1","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#cc6633"},"line_color":{"value":"#cc6633"},"size":{"units":"screen","value":12},"x":{"field":"xi"},"y":{"field":"yi"}},"id":"0a92e117-6b7e-435c-88b8-22410aacfb12","type":"Circle"},{"attributes":{},"id":"ba11730c-0a18-40e1-8f97-fd0157c1d979","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"cf65e683-3bb0-4d8a-b740-c38346b06600","type":"Plot"},"ticker":{"id":"3ff22109-4b83-4757-895b-ee6f75af907b","type":"BasicTicker"}},"id":"ee206b0e-c575-49a3-ab82-81be8a0f3bb8","type":"Grid"},{"attributes":{"plot":null,"text":"II"},"id":"2d5779b8-bd88-4a30-a1b0-d0aea7bf960b","type":"Title"},{"attributes":{"source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"}},"id":"ceea3da1-a1f0-429e-b0ef-875c6703947a","type":"CDSView"},{"attributes":{},"id":"61021adc-c75d-45ec-b2fc-c49ae10c6cc6","type":"LinearScale"},{"attributes":{"source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"}},"id":"ab8579ab-46e0-48ad-95a2-1bc810d12b34","type":"CDSView"},{"attributes":{},"id":"fc08bbf0-4b14-41bc-849b-cbd9d8a2c493","type":"BasicTickFormatter"},{"attributes":{},"id":"3ff22109-4b83-4757-895b-ee6f75af907b","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAA4L9WVVVVVVX9P6uqqqqqqhBAAAAAAAAAGkCrqqqqqqohQFZVVVVVVSZAAAAAAAAAK0CsqqqqqqovQKuqqqqqKjJAAAAAAACANEA=","dtype":"float64","shape":[10]},"y":{"__ndarray__":"AAAAAAAABkBWVVVVVVUPQFZVVVVVVRRAAAAAAAAAGUCrqqqqqqodQKuqqqqqKiFAAAAAAACAI0BWVVVVVdUlQKuqqqqqKihAAAAAAACAKkA=","dtype":"float64","shape":[10]}}},"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"},{"attributes":{"callback":null,"end":20.5,"start":-0.5},"id":"ec06597e-f5b9-4121-8e37-296c37e9708e","type":"Range1d"},{"attributes":{"plot":null,"text":"I"},"id":"5308395b-f56f-4a63-9fa0-1b77dc711241","type":"Title"},{"attributes":{"axis_line_color":{"value":null},"formatter":{"id":"fc08bbf0-4b14-41bc-849b-cbd9d8a2c493","type":"BasicTickFormatter"},"plot":{"id":"198b46ec-8f68-43cb-82a2-f03ffcc7122d","type":"Plot"},"ticker":{"id":"49f7c032-55c6-4f15-94e8-786005843163","type":"BasicTicker"}},"id":"c480a244-c7e3-4516-b285-25d892e864ff","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"50f1db3b-8dd4-4f35-8b22-167c48eb2cd5","type":"Line"},{"attributes":{"source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"}},"id":"06df938a-9504-4292-bb6e-54fd859dfc54","type":"CDSView"},{"attributes":{"data_source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"},"glyph":{"id":"d12bbdd8-26fb-467d-94ab-b54a3fc832e2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"06df938a-9504-4292-bb6e-54fd859dfc54","type":"CDSView"}},"id":"aa4063ac-a365-477a-b577-3b921a998ead","type":"GlyphRenderer"},{"attributes":{},"id":"77fb92cd-0293-4302-8497-99e51653c11c","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"192125e3-e07d-4f4e-8145-bf7c28b66ef4","type":"Toolbar"},{"attributes":{"background_fill_color":{"value":"#e9e0db"},"below":[{"id":"247c9878-d793-4be8-99e9-c61e5c3defe8","type":"LinearAxis"}],"border_fill_color":{"value":"white"},"left":[{"id":"5c6dd35d-4317-44b4-8417-f55952c26b71","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"247c9878-d793-4be8-99e9-c61e5c3defe8","type":"LinearAxis"},{"id":"5c6dd35d-4317-44b4-8417-f55952c26b71","type":"LinearAxis"},{"id":"d87f6b15-fc42-4f6f-a1f7-4f48a8ba3af7","type":"Grid"},{"id":"ee206b0e-c575-49a3-ab82-81be8a0f3bb8","type":"Grid"},{"id":"e6f608d9-39e9-4b9a-adc9-3b635aba7aa2","type":"GlyphRenderer"},{"id":"aa4063ac-a365-477a-b577-3b921a998ead","type":"GlyphRenderer"}],"title":{"id":"b3666bf0-ae85-4c47-b346-b88f646371dc","type":"Title"},"toolbar":{"id":"2c7fc178-bb15-469b-9658-18ae2fbd06ae","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ec06597e-f5b9-4121-8e37-296c37e9708e","type":"Range1d"},"x_scale":{"id":"89f747e6-d0e5-44e8-a707-9f59143b7531","type":"LinearScale"},"y_range":{"id":"d9a7a287-9f7c-44ff-a3af-ef652beb6db1","type":"Range1d"},"y_scale":{"id":"7c138998-6d42-473a-bca8-4cdc15a8de57","type":"LinearScale"}},"id":"cf65e683-3bb0-4d8a-b740-c38346b06600","type":"Plot"},{"attributes":{},"id":"74c7921c-c0d2-49e3-985c-94b5a6910934","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2c7fc178-bb15-469b-9658-18ae2fbd06ae","type":"Toolbar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c1bbdaa3-7d9e-4d70-9c14-62b8f689463e","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["yiii","yi","xi","xii","yii","yiv","xiv","xiii"],"data":{"xi":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xii":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xiii":{"__ndarray__":"AAAAAAAAJEAAAAAAAAAgQAAAAAAAACpAAAAAAAAAIkAAAAAAAAAmQAAAAAAAACxAAAAAAAAAGEAAAAAAAAAQQAAAAAAAAChAAAAAAAAAHEAAAAAAAAAUQA==","dtype":"float64","shape":[11]},"xiv":{"__ndarray__":"AAAAAAAAIEAAAAAAAAAgQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAgQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAzQAAAAAAAACBAAAAAAAAAIEAAAAAAAAAgQA==","dtype":"float64","shape":[11]},"yi":{"__ndarray__":"FK5H4XoUIEDNzMzMzMwbQFK4HoXrUR5AH4XrUbieIUApXI/C9aggQOxRuB6F6yNA9ihcj8L1HEAK16NwPQoRQK5H4XoUriVASOF6FK5HE0C4HoXrUbgWQA==","dtype":"float64","shape":[11]},"yii":{"__ndarray__":"SOF6FK5HIkBI4XoUrkcgQHsUrkfheiFACtejcD2KIUCF61G4HoUiQDMzMzMzMyBAhetRuB6FGEDNzMzMzMwIQMP1KFyPQiJACtejcD0KHUD2KFyPwvUSQA==","dtype":"float64","shape":[11]},"yiii":{"__ndarray__":"16NwPQrXHUAUrkfhehQbQHsUrkfheilAcT0K16NwHEA9CtejcD0fQK5H4XoUriFAUrgehetRGECPwvUoXI8VQM3MzMzMTCBArkfhehSuGUDsUbgehesWQA==","dtype":"float64","shape":[11]},"yiv":{"__ndarray__":"UrgehetRGkAK16NwPQoXQNejcD0K1x5ArkfhehSuIUBxPQrXo/AgQClcj8L1KBxAAAAAAAAAFUAAAAAAAAApQD0K16NwPRZApHA9CtejH0CPwvUoXI8bQA==","dtype":"float64","shape":[11]}}},"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"cf65e683-3bb0-4d8a-b740-c38346b06600","type":"Plot"},"ticker":{"id":"bd66f680-d0ff-436b-95fe-3df72bf38f02","type":"BasicTicker"}},"id":"d87f6b15-fc42-4f6f-a1f7-4f48a8ba3af7","type":"Grid"},{"attributes":{},"id":"40542a0b-5a32-492c-90f6-d8bddd5e1dcc","type":"LinearScale"},{"attributes":{"children":[{"id":"a0426710-7332-4ffc-b2f2-f6151f98ac19","type":"Row"},{"id":"1caefe6c-82af-4ecf-af57-39eaa84b8e8d","type":"Row"}]},"id":"7f608020-491d-4be6-9e3f-6226f40f7758","type":"Column"},{"attributes":{"data_source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"},"glyph":{"id":"e42b2359-fb2e-4a51-a659-13e28fddb8c3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"4bf8d21b-25f9-4759-a37a-d1ddf58df718","type":"CDSView"}},"id":"7b63e39c-6690-4883-b775-f94f3d80203e","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"},"glyph":{"id":"79b9218b-f751-4729-9e71-26e12e8926e3","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"ceea3da1-a1f0-429e-b0ef-875c6703947a","type":"CDSView"}},"id":"6980d7dd-fcd8-4a31-aff5-7cf9e9d9213f","type":"GlyphRenderer"},{"attributes":{"source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"}},"id":"244f44c1-b731-4b94-a8af-08bb0cb301ed","type":"CDSView"},{"attributes":{},"id":"7c138998-6d42-473a-bca8-4cdc15a8de57","type":"LinearScale"},{"attributes":{"source":{"id":"c8c99e8c-5a65-41c6-8820-57420553ec73","type":"ColumnDataSource"}},"id":"d339f121-975c-4d08-8cac-c76135726aab","type":"CDSView"},{"attributes":{"line_color":{"value":"#666699"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"aac10912-7e65-4a0c-afed-7922791730db","type":"Line"},{"attributes":{"dimension":1,"plot":{"id":"0aea2f91-5886-4455-a61a-ebf8edce35af","type":"Plot"},"ticker":{"id":"980f61d9-18fd-4c93-acd2-ba3ed078d084","type":"BasicTicker"}},"id":"a0c28e70-28e3-4ba0-abd4-47ffca82e605","type":"Grid"},{"attributes":{"data_source":{"id":"68d98abd-1b21-4f7d-aac3-ccea6be18040","type":"ColumnDataSource"},"glyph":{"id":"50f1db3b-8dd4-4f35-8b22-167c48eb2cd5","type":"Line"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"87251344-d339-41f8-9aff-72b10bf46bba","type":"CDSView"}},"id":"ec065b0f-9da9-4132-973b-6a9c4caf3973","type":"GlyphRenderer"}],"root_ids":["7f608020-491d-4be6-9e3f-6226f40f7758"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"37cd912d-eb0b-402e-b446-d75931cc6215","elementid":"cbc040cf-fc9c-4090-a584-da0c7f10c7c0","modelid":"7f608020-491d-4be6-9e3f-6226f40f7758"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
