(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1a9e1afa-1db7-4a34-bb4a-e3bc6c02d609");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1a9e1afa-1db7-4a34-bb4a-e3bc6c02d609' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f7f6852b-d836-42f9-b427-d8f193df4d27":{"roots":{"references":[{"attributes":{},"id":"0294eaa8-a54f-4656-b3a8-9ad4f23889ed","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"49d1577a-fc48-47cf-89b8-edbb2ac26fcb","type":"Circle"},{"attributes":{},"id":"c4af5b12-3b92-4b95-9973-79924214b743","type":"BasicTickFormatter"},{"attributes":{"url":"http://www.colors.commutercreative.com/@color/"},"id":"2fbd2772-cf50-43b5-999e-5c185f7f858d","type":"OpenURL"},{"attributes":{"formatter":{"id":"603017ee-f630-45e3-babe-27263a22a565","type":"BasicTickFormatter"},"plot":{"id":"3715a93c-c582-4ab4-a771-2d5234646abf","subtype":"Figure","type":"Plot"},"ticker":{"id":"598bef9c-325d-46c4-9f50-5ca7ac8fedb4","type":"BasicTicker"}},"id":"0f9771d2-44ca-4aeb-b80f-b11f327aed8d","type":"LinearAxis"},{"attributes":{"callback":{"id":"2fbd2772-cf50-43b5-999e-5c185f7f858d","type":"OpenURL"}},"id":"f8036525-e4ec-4551-b5b8-c4f1a168335c","type":"TapTool"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8b87635d-ed78-43fa-b483-6d238d200f20","type":"Circle"},{"attributes":{"below":[{"id":"ee786a89-7c18-45e1-b524-845915deccea","type":"LinearAxis"}],"left":[{"id":"0f9771d2-44ca-4aeb-b80f-b11f327aed8d","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ee786a89-7c18-45e1-b524-845915deccea","type":"LinearAxis"},{"id":"155fdfc4-6e96-4b24-8071-dfbbede7b19d","type":"Grid"},{"id":"0f9771d2-44ca-4aeb-b80f-b11f327aed8d","type":"LinearAxis"},{"id":"e6902908-d4f1-4f6b-a315-f2aefd2f1dba","type":"Grid"},{"id":"6f9ab8f2-7787-48ee-b5b7-760308bbace5","type":"GlyphRenderer"}],"title":{"id":"962a6a86-4723-4abc-ad15-09aadc375f32","type":"Title"},"toolbar":{"id":"028c9b18-0f61-4de8-bbd7-6eec50812e72","type":"Toolbar"},"x_range":{"id":"a846008e-a477-4dea-a27b-1e8f56104e3f","type":"DataRange1d"},"x_scale":{"id":"83d6173f-494b-41dc-bb67-7616de2302bb","type":"LinearScale"},"y_range":{"id":"3a803b3b-9ca2-4a75-93af-6237f9b92d87","type":"DataRange1d"},"y_scale":{"id":"b9b1efd5-fd3b-4443-9192-98e66e9cbc25","type":"LinearScale"}},"id":"3715a93c-c582-4ab4-a771-2d5234646abf","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"3715a93c-c582-4ab4-a771-2d5234646abf","subtype":"Figure","type":"Plot"},"ticker":{"id":"0294eaa8-a54f-4656-b3a8-9ad4f23889ed","type":"BasicTicker"}},"id":"155fdfc4-6e96-4b24-8071-dfbbede7b19d","type":"Grid"},{"attributes":{"callback":null},"id":"3a803b3b-9ca2-4a75-93af-6237f9b92d87","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c4af5b12-3b92-4b95-9973-79924214b743","type":"BasicTickFormatter"},"plot":{"id":"3715a93c-c582-4ab4-a771-2d5234646abf","subtype":"Figure","type":"Plot"},"ticker":{"id":"0294eaa8-a54f-4656-b3a8-9ad4f23889ed","type":"BasicTicker"}},"id":"ee786a89-7c18-45e1-b524-845915deccea","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f8036525-e4ec-4551-b5b8-c4f1a168335c","type":"TapTool"}]},"id":"028c9b18-0f61-4de8-bbd7-6eec50812e72","type":"Toolbar"},{"attributes":{},"id":"b9b1efd5-fd3b-4443-9192-98e66e9cbc25","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"3715a93c-c582-4ab4-a771-2d5234646abf","subtype":"Figure","type":"Plot"},"ticker":{"id":"598bef9c-325d-46c4-9f50-5ca7ac8fedb4","type":"BasicTicker"}},"id":"e6902908-d4f1-4f6b-a315-f2aefd2f1dba","type":"Grid"},{"attributes":{"data_source":{"id":"1a2cd3be-09be-43f1-bc99-80cbed25264b","type":"ColumnDataSource"},"glyph":{"id":"8b87635d-ed78-43fa-b483-6d238d200f20","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"49d1577a-fc48-47cf-89b8-edbb2ac26fcb","type":"Circle"},"selection_glyph":null,"view":{"id":"23b33b27-0bde-4bba-82c9-72093c119e07","type":"CDSView"}},"id":"6f9ab8f2-7787-48ee-b5b7-760308bbace5","type":"GlyphRenderer"},{"attributes":{},"id":"83d6173f-494b-41dc-bb67-7616de2302bb","type":"LinearScale"},{"attributes":{},"id":"598bef9c-325d-46c4-9f50-5ca7ac8fedb4","type":"BasicTicker"},{"attributes":{"plot":null,"text":"Click the Dots"},"id":"962a6a86-4723-4abc-ad15-09aadc375f32","type":"Title"},{"attributes":{"callback":null},"id":"a846008e-a477-4dea-a27b-1e8f56104e3f","type":"DataRange1d"},{"attributes":{"source":{"id":"1a2cd3be-09be-43f1-bc99-80cbed25264b","type":"ColumnDataSource"}},"id":"23b33b27-0bde-4bba-82c9-72093c119e07","type":"CDSView"},{"attributes":{"callback":null,"column_names":["color","y","x"],"data":{"color":["navy","orange","olive","firebrick","gold"],"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"1a2cd3be-09be-43f1-bc99-80cbed25264b","type":"ColumnDataSource"},{"attributes":{},"id":"603017ee-f630-45e3-babe-27263a22a565","type":"BasicTickFormatter"}],"root_ids":["3715a93c-c582-4ab4-a771-2d5234646abf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f7f6852b-d836-42f9-b427-d8f193df4d27","elementid":"1a9e1afa-1db7-4a34-bb4a-e3bc6c02d609","modelid":"3715a93c-c582-4ab4-a771-2d5234646abf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
