(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6b44465a-de66-4178-b6f6-dc464c52cc01");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6b44465a-de66-4178-b6f6-dc464c52cc01' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"57631b22-66bd-4f18-921b-2dbb8be12680":{"roots":{"references":[{"attributes":{},"id":"3f0ef69b-b6ad-4719-9150-51f5995a657a","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"97596544-70d7-4dc6-9acc-21b0f08b559b","type":"HBar"},{"attributes":{},"id":"8ac79f7e-4c88-4c96-8bcd-6a41614674eb","type":"LinearScale"},{"attributes":{},"id":"f24c9263-6912-41d2-b0ae-f043ff0d92c7","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1.2,2.5,3.7],"y":[1,2,3]}},"id":"f0a29570-a980-480f-a875-119f22390e80","type":"ColumnDataSource"},{"attributes":{},"id":"59a17131-4dc6-449e-8879-501c30873943","type":"HelpTool"},{"attributes":{"data_source":{"id":"f0a29570-a980-480f-a875-119f22390e80","type":"ColumnDataSource"},"glyph":{"id":"8bcb5803-98ce-4072-9e41-0d221a1ad36d","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"97596544-70d7-4dc6-9acc-21b0f08b559b","type":"HBar"},"selection_glyph":null,"view":{"id":"d4dde2c6-e1bd-4aa7-a71d-fb56d73161bb","type":"CDSView"}},"id":"bf512695-67f6-4595-a5e1-68249070ab6c","type":"GlyphRenderer"},{"attributes":{},"id":"2b2ac97c-a8a3-42c8-814e-193a4411f994","type":"BasicTicker"},{"attributes":{"below":[{"id":"8ce6c7fe-2411-489a-93b3-fcbb6f313f58","type":"LinearAxis"}],"left":[{"id":"585a52ad-ced6-439e-91b7-9431b809d714","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"8ce6c7fe-2411-489a-93b3-fcbb6f313f58","type":"LinearAxis"},{"id":"f2b952a8-2972-4de4-9f87-7c59b9ffa57b","type":"Grid"},{"id":"585a52ad-ced6-439e-91b7-9431b809d714","type":"LinearAxis"},{"id":"aebdc677-958f-47c0-b9d5-167f20c86a5b","type":"Grid"},{"id":"238c0fb9-bcc8-4c33-acaf-1b1f7e87add8","type":"BoxAnnotation"},{"id":"bf512695-67f6-4595-a5e1-68249070ab6c","type":"GlyphRenderer"}],"title":{"id":"5e849007-1026-464a-ab09-147d46bb44f4","type":"Title"},"toolbar":{"id":"163747ef-1e10-4fc4-a006-83115ef5739a","type":"Toolbar"},"x_range":{"id":"71f47e1c-4f73-41b6-afb2-3f4224ee68b6","type":"DataRange1d"},"x_scale":{"id":"8ac79f7e-4c88-4c96-8bcd-6a41614674eb","type":"LinearScale"},"y_range":{"id":"52f9a40f-e0a4-4c04-aa2e-ac40fd2d8f3d","type":"DataRange1d"},"y_scale":{"id":"fb058180-51e0-42b7-b4dd-8dff389cb98d","type":"LinearScale"}},"id":"be138b57-b3a1-41d5-a011-6c6564dc6998","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"be138b57-b3a1-41d5-a011-6c6564dc6998","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b2ac97c-a8a3-42c8-814e-193a4411f994","type":"BasicTicker"}},"id":"f2b952a8-2972-4de4-9f87-7c59b9ffa57b","type":"Grid"},{"attributes":{},"id":"0d628f62-e04a-408d-bbab-57ae6d45ba36","type":"PanTool"},{"attributes":{},"id":"fb81ae8d-f146-4ff9-9370-a7de7a146e2b","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"b3a01a93-4656-4934-9255-bc785badbba7","type":"BasicTickFormatter"},"plot":{"id":"be138b57-b3a1-41d5-a011-6c6564dc6998","subtype":"Figure","type":"Plot"},"ticker":{"id":"5b5e1c66-2d81-465a-91f3-85f4a8f477d6","type":"BasicTicker"}},"id":"585a52ad-ced6-439e-91b7-9431b809d714","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"be138b57-b3a1-41d5-a011-6c6564dc6998","subtype":"Figure","type":"Plot"},"ticker":{"id":"5b5e1c66-2d81-465a-91f3-85f4a8f477d6","type":"BasicTicker"}},"id":"aebdc677-958f-47c0-b9d5-167f20c86a5b","type":"Grid"},{"attributes":{"source":{"id":"f0a29570-a980-480f-a875-119f22390e80","type":"ColumnDataSource"}},"id":"d4dde2c6-e1bd-4aa7-a71d-fb56d73161bb","type":"CDSView"},{"attributes":{"callback":null},"id":"71f47e1c-4f73-41b6-afb2-3f4224ee68b6","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0d628f62-e04a-408d-bbab-57ae6d45ba36","type":"PanTool"},{"id":"fb81ae8d-f146-4ff9-9370-a7de7a146e2b","type":"WheelZoomTool"},{"id":"9af4ee7b-92a8-4a5a-b9b1-c8c4b831cfa3","type":"BoxZoomTool"},{"id":"f8a7389e-332d-4903-b4db-a4929c4f7eb2","type":"SaveTool"},{"id":"3f0ef69b-b6ad-4719-9150-51f5995a657a","type":"ResetTool"},{"id":"59a17131-4dc6-449e-8879-501c30873943","type":"HelpTool"}]},"id":"163747ef-1e10-4fc4-a006-83115ef5739a","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"238c0fb9-bcc8-4c33-acaf-1b1f7e87add8","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"f24c9263-6912-41d2-b0ae-f043ff0d92c7","type":"BasicTickFormatter"},"plot":{"id":"be138b57-b3a1-41d5-a011-6c6564dc6998","subtype":"Figure","type":"Plot"},"ticker":{"id":"2b2ac97c-a8a3-42c8-814e-193a4411f994","type":"BasicTicker"}},"id":"8ce6c7fe-2411-489a-93b3-fcbb6f313f58","type":"LinearAxis"},{"attributes":{"overlay":{"id":"238c0fb9-bcc8-4c33-acaf-1b1f7e87add8","type":"BoxAnnotation"}},"id":"9af4ee7b-92a8-4a5a-b9b1-c8c4b831cfa3","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"5e849007-1026-464a-ab09-147d46bb44f4","type":"Title"},{"attributes":{"callback":null},"id":"52f9a40f-e0a4-4c04-aa2e-ac40fd2d8f3d","type":"DataRange1d"},{"attributes":{},"id":"fb058180-51e0-42b7-b4dd-8dff389cb98d","type":"LinearScale"},{"attributes":{},"id":"f8a7389e-332d-4903-b4db-a4929c4f7eb2","type":"SaveTool"},{"attributes":{},"id":"5b5e1c66-2d81-465a-91f3-85f4a8f477d6","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"navy"},"height":{"value":0.5},"line_color":{"value":"navy"},"right":{"field":"right"},"y":{"field":"y"}},"id":"8bcb5803-98ce-4072-9e41-0d221a1ad36d","type":"HBar"},{"attributes":{},"id":"b3a01a93-4656-4934-9255-bc785badbba7","type":"BasicTickFormatter"}],"root_ids":["be138b57-b3a1-41d5-a011-6c6564dc6998"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"57631b22-66bd-4f18-921b-2dbb8be12680","elementid":"6b44465a-de66-4178-b6f6-dc464c52cc01","modelid":"be138b57-b3a1-41d5-a011-6c6564dc6998"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
