(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a99df68c-c42e-424b-8c70-d3bc4b5d8481");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a99df68c-c42e-424b-8c70-d3bc4b5d8481' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"39e89000-7943-42df-bae6-fbb4173352fa":{"roots":{"references":[{"attributes":{"below":[{"id":"1dcda1d6-8976-4454-b00e-2058ecc054d1","type":"LinearAxis"}],"left":[{"id":"4d26a871-d328-4e48-853e-22b782a015fd","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1dcda1d6-8976-4454-b00e-2058ecc054d1","type":"LinearAxis"},{"id":"32ff6c77-5d06-445d-8d2a-bb6ee7c18d2f","type":"Grid"},{"id":"4d26a871-d328-4e48-853e-22b782a015fd","type":"LinearAxis"},{"id":"2accd99e-b61a-4b8a-aaa2-5716a286c325","type":"Grid"},{"id":"17508688-149f-426d-a4b1-12f6d916853e","type":"BoxAnnotation"},{"id":"e88f037b-c88f-4f2a-ae8a-f1f9c3a7d0c7","type":"GlyphRenderer"}],"title":{"id":"2a9a3fd3-854e-4dc4-acff-1c3531332bf2","type":"Title"},"title_location":"left","toolbar":{"id":"31dc5ada-8081-4d2f-9366-4924229974de","type":"Toolbar"},"x_range":{"id":"ed7ab66f-c8e7-46fe-acdc-2604bdef45e7","type":"DataRange1d"},"x_scale":{"id":"f0521728-d881-4270-aa91-23096e66cdae","type":"LinearScale"},"y_range":{"id":"1cb25ccb-7c43-45db-b59d-1305fb699392","type":"DataRange1d"},"y_scale":{"id":"ebd4e3de-ce04-47ba-91ca-3671cb70c079","type":"LinearScale"}},"id":"1944229a-1717-41e7-ae3d-74d8708c2d4c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5f7fe860-2ef2-4314-9ae4-2741e23c5d8a","type":"HelpTool"},{"attributes":{},"id":"ebd4e3de-ce04-47ba-91ca-3671cb70c079","type":"LinearScale"},{"attributes":{},"id":"98ee0bb8-b917-4e12-88e3-9aff9e17a0a6","type":"BasicTicker"},{"attributes":{"callback":null},"id":"1cb25ccb-7c43-45db-b59d-1305fb699392","type":"DataRange1d"},{"attributes":{"source":{"id":"fd439e85-242d-450f-8eda-6d1ece3e2488","type":"ColumnDataSource"}},"id":"f10ba325-3139-4624-8e23-be2a3bb37c91","type":"CDSView"},{"attributes":{"overlay":{"id":"17508688-149f-426d-a4b1-12f6d916853e","type":"BoxAnnotation"}},"id":"3a88e564-8cfa-46b2-82ae-3bd1bdd79cc4","type":"BoxZoomTool"},{"attributes":{},"id":"0119eeb3-32d9-4001-b924-259db16104cd","type":"ResetTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"9aa6e959-30d5-43b9-9a30-7bfb10f76f37","type":"Circle"},{"attributes":{"formatter":{"id":"34fe1c72-0532-4083-82f0-9c816dece88a","type":"BasicTickFormatter"},"plot":{"id":"1944229a-1717-41e7-ae3d-74d8708c2d4c","subtype":"Figure","type":"Plot"},"ticker":{"id":"8ecb5b4e-25b9-4571-97c0-e189600705e2","type":"BasicTicker"}},"id":"4d26a871-d328-4e48-853e-22b782a015fd","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"17508688-149f-426d-a4b1-12f6d916853e","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"1944229a-1717-41e7-ae3d-74d8708c2d4c","subtype":"Figure","type":"Plot"},"ticker":{"id":"8ecb5b4e-25b9-4571-97c0-e189600705e2","type":"BasicTicker"}},"id":"2accd99e-b61a-4b8a-aaa2-5716a286c325","type":"Grid"},{"attributes":{},"id":"34fe1c72-0532-4083-82f0-9c816dece88a","type":"BasicTickFormatter"},{"attributes":{},"id":"af5f6392-03dd-42b7-9d2c-8b09373d7a2c","type":"PanTool"},{"attributes":{},"id":"fc4d23b3-fe55-44eb-b096-d653a08547ba","type":"SaveTool"},{"attributes":{"callback":null},"id":"ed7ab66f-c8e7-46fe-acdc-2604bdef45e7","type":"DataRange1d"},{"attributes":{},"id":"f0521728-d881-4270-aa91-23096e66cdae","type":"LinearScale"},{"attributes":{"formatter":{"id":"c921bc47-1327-45bf-b786-49e65b9e73c3","type":"BasicTickFormatter"},"plot":{"id":"1944229a-1717-41e7-ae3d-74d8708c2d4c","subtype":"Figure","type":"Plot"},"ticker":{"id":"98ee0bb8-b917-4e12-88e3-9aff9e17a0a6","type":"BasicTicker"}},"id":"1dcda1d6-8976-4454-b00e-2058ecc054d1","type":"LinearAxis"},{"attributes":{"plot":{"id":"1944229a-1717-41e7-ae3d-74d8708c2d4c","subtype":"Figure","type":"Plot"},"ticker":{"id":"98ee0bb8-b917-4e12-88e3-9aff9e17a0a6","type":"BasicTicker"}},"id":"32ff6c77-5d06-445d-8d2a-bb6ee7c18d2f","type":"Grid"},{"attributes":{"plot":null,"text":"Left Title"},"id":"2a9a3fd3-854e-4dc4-acff-1c3531332bf2","type":"Title"},{"attributes":{},"id":"8ecb5b4e-25b9-4571-97c0-e189600705e2","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"af5f6392-03dd-42b7-9d2c-8b09373d7a2c","type":"PanTool"},{"id":"1da5710d-e4ac-4803-bdc9-33b3c3d61f70","type":"WheelZoomTool"},{"id":"3a88e564-8cfa-46b2-82ae-3bd1bdd79cc4","type":"BoxZoomTool"},{"id":"fc4d23b3-fe55-44eb-b096-d653a08547ba","type":"SaveTool"},{"id":"0119eeb3-32d9-4001-b924-259db16104cd","type":"ResetTool"},{"id":"5f7fe860-2ef2-4314-9ae4-2741e23c5d8a","type":"HelpTool"}]},"id":"31dc5ada-8081-4d2f-9366-4924229974de","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"fd439e85-242d-450f-8eda-6d1ece3e2488","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"917797b4-4633-4548-aeb6-0671c4cff5c9","type":"Circle"},{"attributes":{"data_source":{"id":"fd439e85-242d-450f-8eda-6d1ece3e2488","type":"ColumnDataSource"},"glyph":{"id":"9aa6e959-30d5-43b9-9a30-7bfb10f76f37","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"917797b4-4633-4548-aeb6-0671c4cff5c9","type":"Circle"},"selection_glyph":null,"view":{"id":"f10ba325-3139-4624-8e23-be2a3bb37c91","type":"CDSView"}},"id":"e88f037b-c88f-4f2a-ae8a-f1f9c3a7d0c7","type":"GlyphRenderer"},{"attributes":{},"id":"c921bc47-1327-45bf-b786-49e65b9e73c3","type":"BasicTickFormatter"},{"attributes":{},"id":"1da5710d-e4ac-4803-bdc9-33b3c3d61f70","type":"WheelZoomTool"}],"root_ids":["1944229a-1717-41e7-ae3d-74d8708c2d4c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"39e89000-7943-42df-bae6-fbb4173352fa","elementid":"a99df68c-c42e-424b-8c70-d3bc4b5d8481","modelid":"1944229a-1717-41e7-ae3d-74d8708c2d4c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
