(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("54359ffe-bc3a-4861-acef-0924aa39ca39");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '54359ffe-bc3a-4861-acef-0924aa39ca39' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"ad1a60c5-0875-4ff2-84f1-f93191530709":{"roots":{"references":[{"attributes":{"below":[{"id":"98a49778-e826-4eda-94b8-21bdabfc9ad7","type":"CategoricalAxis"}],"left":[{"id":"29756913-aa7f-4950-b156-026d89dbc03d","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"98a49778-e826-4eda-94b8-21bdabfc9ad7","type":"CategoricalAxis"},{"id":"5c01dc6c-c728-4097-8850-378002c268e5","type":"Grid"},{"id":"29756913-aa7f-4950-b156-026d89dbc03d","type":"LinearAxis"},{"id":"ab43a3a6-18a5-4bf6-9dcd-9de3543b8680","type":"Grid"},{"id":"56dae25a-d2cf-42fd-8e0e-6a258cea8ec6","type":"GlyphRenderer"}],"title":{"id":"0265c78a-cdcd-41b1-9ce0-82debe987992","type":"Title"},"toolbar":{"id":"ebeeff55-db3d-4536-83a8-daa930ccf6f2","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"bdbda0da-d446-4fa4-9133-1f3b7078ce85","type":"FactorRange"},"x_scale":{"id":"a0e524b2-cef1-422b-a58a-e0809b365a8d","type":"CategoricalScale"},"y_range":{"id":"cabc6668-6c83-4209-8bd7-4b4373c09bc1","type":"DataRange1d"},"y_scale":{"id":"2c0df551-85fe-4ac4-8373-359eaa91f572","type":"LinearScale"}},"id":"b354cd4a-2029-4afa-8212-ba9d4f6d0107","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2e2b2523-b19f-4aeb-b90f-5a4a24d6ffd3","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"ab2d8c78-b719-47cc-9f27-ce17498cde13","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"b354cd4a-2029-4afa-8212-ba9d4f6d0107","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e2b2523-b19f-4aeb-b90f-5a4a24d6ffd3","type":"BasicTicker"}},"id":"ab43a3a6-18a5-4bf6-9dcd-9de3543b8680","type":"Grid"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"b354cd4a-2029-4afa-8212-ba9d4f6d0107","subtype":"Figure","type":"Plot"},"ticker":{"id":"b229069c-51b4-4663-9feb-c213708f93b2","type":"CategoricalTicker"}},"id":"5c01dc6c-c728-4097-8850-378002c268e5","type":"Grid"},{"attributes":{"formatter":{"id":"88948da7-50be-4b7a-abce-48b067c1581a","type":"CategoricalTickFormatter"},"plot":{"id":"b354cd4a-2029-4afa-8212-ba9d4f6d0107","subtype":"Figure","type":"Plot"},"ticker":{"id":"b229069c-51b4-4663-9feb-c213708f93b2","type":"CategoricalTicker"}},"id":"98a49778-e826-4eda-94b8-21bdabfc9ad7","type":"CategoricalAxis"},{"attributes":{},"id":"88948da7-50be-4b7a-abce-48b067c1581a","type":"CategoricalTickFormatter"},{"attributes":{},"id":"a0e524b2-cef1-422b-a58a-e0809b365a8d","type":"CategoricalScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"top"},"width":{"value":0.9},"x":{"field":"x"}},"id":"58599b0e-7390-45fc-93dc-7bb78dc447e5","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ebeeff55-db3d-4536-83a8-daa930ccf6f2","type":"Toolbar"},{"attributes":{},"id":"b229069c-51b4-4663-9feb-c213708f93b2","type":"CategoricalTicker"},{"attributes":{"formatter":{"id":"95560128-7dec-429e-8d43-e1733dc6fc65","type":"BasicTickFormatter"},"plot":{"id":"b354cd4a-2029-4afa-8212-ba9d4f6d0107","subtype":"Figure","type":"Plot"},"ticker":{"id":"2e2b2523-b19f-4aeb-b90f-5a4a24d6ffd3","type":"BasicTicker"}},"id":"29756913-aa7f-4950-b156-026d89dbc03d","type":"LinearAxis"},{"attributes":{"callback":null,"start":0},"id":"cabc6668-6c83-4209-8bd7-4b4373c09bc1","type":"DataRange1d"},{"attributes":{},"id":"2c0df551-85fe-4ac4-8373-359eaa91f572","type":"LinearScale"},{"attributes":{"source":{"id":"5ada607b-fdbc-4167-8157-56cc31c7eb31","type":"ColumnDataSource"}},"id":"55d55b78-33ba-4a5f-9b0b-6ee4c2900755","type":"CDSView"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"0265c78a-cdcd-41b1-9ce0-82debe987992","type":"Title"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":[5,3,4,2,4,6],"x":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"5ada607b-fdbc-4167-8157-56cc31c7eb31","type":"ColumnDataSource"},{"attributes":{},"id":"95560128-7dec-429e-8d43-e1733dc6fc65","type":"BasicTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"bdbda0da-d446-4fa4-9133-1f3b7078ce85","type":"FactorRange"},{"attributes":{"data_source":{"id":"5ada607b-fdbc-4167-8157-56cc31c7eb31","type":"ColumnDataSource"},"glyph":{"id":"ab2d8c78-b719-47cc-9f27-ce17498cde13","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"58599b0e-7390-45fc-93dc-7bb78dc447e5","type":"VBar"},"selection_glyph":null,"view":{"id":"55d55b78-33ba-4a5f-9b0b-6ee4c2900755","type":"CDSView"}},"id":"56dae25a-d2cf-42fd-8e0e-6a258cea8ec6","type":"GlyphRenderer"}],"root_ids":["b354cd4a-2029-4afa-8212-ba9d4f6d0107"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"ad1a60c5-0875-4ff2-84f1-f93191530709","elementid":"54359ffe-bc3a-4861-acef-0924aa39ca39","modelid":"b354cd4a-2029-4afa-8212-ba9d4f6d0107"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
