(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("45c2d15e-4faa-472e-9dfc-1b45874c1628");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '45c2d15e-4faa-472e-9dfc-1b45874c1628' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7cf8dc32-2235-498d-9833-e3d4d6577339":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"4347f4f5-cea9-4edc-be20-93ff262756e8","subtype":"Figure","type":"Plot"},"ticker":{"id":"6aa88cd4-9dbc-4d3e-aaf0-0fa9afe3e2b1","type":"CategoricalTicker"}},"id":"d0768aea-9da4-4650-9040-0d68626b04cd","type":"Grid"},{"attributes":{},"id":"2a808025-7833-4727-ab6c-08188b18c347","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"10e730d4-b02d-40a6-901c-ed577a7647e3","type":"CategoricalTickFormatter"},"plot":{"id":"4347f4f5-cea9-4edc-be20-93ff262756e8","subtype":"Figure","type":"Plot"},"ticker":{"id":"6aa88cd4-9dbc-4d3e-aaf0-0fa9afe3e2b1","type":"CategoricalTicker"}},"id":"9163e942-b148-4b40-af9a-8e8891aa7143","type":"CategoricalAxis"},{"attributes":{"callback":null},"id":"e30aecb4-4eeb-4382-8f7d-a0956025e6f7","type":"DataRange1d"},{"attributes":{},"id":"dc50d2c8-3834-40ea-a61b-7251c2986a47","type":"PanTool"},{"attributes":{"below":[{"id":"f50cc24f-6354-409d-8f89-6e634aaf4745","type":"LinearAxis"}],"left":[{"id":"9163e942-b148-4b40-af9a-8e8891aa7143","type":"CategoricalAxis"}],"renderers":[{"id":"f50cc24f-6354-409d-8f89-6e634aaf4745","type":"LinearAxis"},{"id":"54559cb8-b448-4cc8-8754-98ffdfcde4b8","type":"Grid"},{"id":"9163e942-b148-4b40-af9a-8e8891aa7143","type":"CategoricalAxis"},{"id":"d0768aea-9da4-4650-9040-0d68626b04cd","type":"Grid"},{"id":"3a1932f9-5b4e-45e2-a99c-a747a6488f5f","type":"BoxAnnotation"},{"id":"81229a33-7f17-4eef-9e9c-a5c9e3560947","type":"GlyphRenderer"}],"title":{"id":"0ebcad97-7fc2-46f3-973a-e36b29b659f4","type":"Title"},"toolbar":{"id":"346d1b19-efcb-4755-a253-a2adb9406287","type":"Toolbar"},"x_range":{"id":"e30aecb4-4eeb-4382-8f7d-a0956025e6f7","type":"DataRange1d"},"x_scale":{"id":"39d78c65-9aa4-4dd8-9851-5900730eb446","type":"LinearScale"},"y_range":{"id":"5fd3e2ca-8540-4869-92af-ad55a16d0a25","type":"FactorRange"},"y_scale":{"id":"cb4f4a5d-f98a-46b6-98e4-34ebff4d09b6","type":"CategoricalScale"}},"id":"4347f4f5-cea9-4edc-be20-93ff262756e8","subtype":"Figure","type":"Plot"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"fa68571d-5944-415f-a184-79dde58e53ee","type":"Circle"},{"attributes":{"overlay":{"id":"3a1932f9-5b4e-45e2-a99c-a747a6488f5f","type":"BoxAnnotation"}},"id":"840d9900-e379-47c5-95aa-3b91f3f0670f","type":"BoxZoomTool"},{"attributes":{},"id":"6aa88cd4-9dbc-4d3e-aaf0-0fa9afe3e2b1","type":"CategoricalTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"dc50d2c8-3834-40ea-a61b-7251c2986a47","type":"PanTool"},{"id":"601012f3-6724-4b06-bd16-6f1901b480dc","type":"WheelZoomTool"},{"id":"840d9900-e379-47c5-95aa-3b91f3f0670f","type":"BoxZoomTool"},{"id":"a8c3c347-f139-405d-9f9c-0c46775c0843","type":"SaveTool"},{"id":"b6d89008-468f-47bd-907f-f5df52e8d081","type":"ResetTool"},{"id":"6569461f-fc03-42ea-bdab-e71e11cdf612","type":"HelpTool"}]},"id":"346d1b19-efcb-4755-a253-a2adb9406287","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"0ebcad97-7fc2-46f3-973a-e36b29b659f4","type":"Title"},{"attributes":{"formatter":{"id":"2a808025-7833-4727-ab6c-08188b18c347","type":"BasicTickFormatter"},"plot":{"id":"4347f4f5-cea9-4edc-be20-93ff262756e8","subtype":"Figure","type":"Plot"},"ticker":{"id":"fdf9004e-975f-48a7-855b-288142b0a99b","type":"BasicTicker"}},"id":"f50cc24f-6354-409d-8f89-6e634aaf4745","type":"LinearAxis"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"5fd3e2ca-8540-4869-92af-ad55a16d0a25","type":"FactorRange"},{"attributes":{},"id":"cb4f4a5d-f98a-46b6-98e4-34ebff4d09b6","type":"CategoricalScale"},{"attributes":{},"id":"b6d89008-468f-47bd-907f-f5df52e8d081","type":"ResetTool"},{"attributes":{},"id":"fdf9004e-975f-48a7-855b-288142b0a99b","type":"BasicTicker"},{"attributes":{},"id":"a8c3c347-f139-405d-9f9c-0c46775c0843","type":"SaveTool"},{"attributes":{},"id":"601012f3-6724-4b06-bd16-6f1901b480dc","type":"WheelZoomTool"},{"attributes":{},"id":"6569461f-fc03-42ea-bdab-e71e11cdf612","type":"HelpTool"},{"attributes":{},"id":"39d78c65-9aa4-4dd8-9851-5900730eb446","type":"LinearScale"},{"attributes":{},"id":"10e730d4-b02d-40a6-901c-ed577a7647e3","type":"CategoricalTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"82146799-f11e-43de-90b8-19549eaac7fc","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"d62b4829-8d21-4bb5-8076-4585050cbaf0","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"d62b4829-8d21-4bb5-8076-4585050cbaf0","type":"ColumnDataSource"},"glyph":{"id":"fa68571d-5944-415f-a184-79dde58e53ee","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"82146799-f11e-43de-90b8-19549eaac7fc","type":"Circle"},"selection_glyph":null,"view":{"id":"61edccfd-d232-488a-9410-34c09af866fc","type":"CDSView"}},"id":"81229a33-7f17-4eef-9e9c-a5c9e3560947","type":"GlyphRenderer"},{"attributes":{"source":{"id":"d62b4829-8d21-4bb5-8076-4585050cbaf0","type":"ColumnDataSource"}},"id":"61edccfd-d232-488a-9410-34c09af866fc","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3a1932f9-5b4e-45e2-a99c-a747a6488f5f","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"4347f4f5-cea9-4edc-be20-93ff262756e8","subtype":"Figure","type":"Plot"},"ticker":{"id":"fdf9004e-975f-48a7-855b-288142b0a99b","type":"BasicTicker"}},"id":"54559cb8-b448-4cc8-8754-98ffdfcde4b8","type":"Grid"}],"root_ids":["4347f4f5-cea9-4edc-be20-93ff262756e8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7cf8dc32-2235-498d-9833-e3d4d6577339","elementid":"45c2d15e-4faa-472e-9dfc-1b45874c1628","modelid":"4347f4f5-cea9-4edc-be20-93ff262756e8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
