(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0476a1bf-15cd-4598-a769-05d63aaa78e2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0476a1bf-15cd-4598-a769-05d63aaa78e2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bc324c8a-0c02-4ff5-8fb3-9086cb807da8":{"roots":{"references":[{"attributes":{},"id":"9af47fde-33c1-49b6-bec6-779be2117aa4","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0dfdd12f-dfae-4343-9bd3-be62013bd671","type":"BasicTicker"}},"id":"753d6875-de07-4608-9f44-a6c62b162114","type":"Grid"},{"attributes":{},"id":"b692802d-0392-44d2-ba10-9df2d63da39d","type":"BasicTickFormatter"},{"attributes":{"end":{"id":"6bb14a00-a5b9-4bab-a5d4-74cd2beb3a81","type":"OpenHead"},"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":1},"x_start":{"value":0},"y_end":{"value":0},"y_start":{"value":0}},"id":"760c8008-93db-4597-9160-2c0a894c5f53","type":"Arrow"},{"attributes":{},"id":"610397ad-33d2-49e4-9aef-bccf407cd3fd","type":"SaveTool"},{"attributes":{},"id":"454158b6-e318-4bda-8ad6-9f29143bf37f","type":"PanTool"},{"attributes":{},"id":"ab43115c-d9e7-47a8-95f0-31d9aefdb7f0","type":"HelpTool"},{"attributes":{},"id":"0dfdd12f-dfae-4343-9bd3-be62013bd671","type":"BasicTicker"},{"attributes":{"callback":null},"id":"58a9d351-8540-4e7c-8ba9-d4eac305db2c","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"f8819da6-81dd-41eb-8506-026a848f7b89","type":"Circle"},{"attributes":{},"id":"40e04732-f46d-40b4-be83-be87691a86b4","type":"WheelZoomTool"},{"attributes":{"source":{"id":"3369efea-1f8b-4e4f-b7b3-07a32a0a8447","type":"ColumnDataSource"}},"id":"3954b0e0-1310-402d-a0c3-750e65859dfd","type":"CDSView"},{"attributes":{"end":{"id":"7052d823-8d72-4546-abe1-ae6bfb116d7f","type":"NormalHead"},"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0.5},"x_start":{"value":1},"y_end":{"value":0.7},"y_start":{"value":0}},"id":"a85424e9-d4a1-4231-b001-ada2c24a94ba","type":"Arrow"},{"attributes":{"formatter":{"id":"9af47fde-33c1-49b6-bec6-779be2117aa4","type":"BasicTickFormatter"},"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"0dfdd12f-dfae-4343-9bd3-be62013bd671","type":"BasicTicker"}},"id":"049f50f0-c085-457b-a9c5-81f6ce6b6f47","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"orange"},"plot":null},"id":"7052d823-8d72-4546-abe1-ae6bfb116d7f","type":"NormalHead"},{"attributes":{"line_color":{"value":"firebrick"},"line_width":{"value":4},"plot":null},"id":"6bb14a00-a5b9-4bab-a5d4-74cd2beb3a81","type":"OpenHead"},{"attributes":{"below":[{"id":"866f03de-2d38-4255-93df-e018677679f9","type":"LinearAxis"}],"left":[{"id":"049f50f0-c085-457b-a9c5-81f6ce6b6f47","type":"LinearAxis"}],"renderers":[{"id":"866f03de-2d38-4255-93df-e018677679f9","type":"LinearAxis"},{"id":"6eef497f-c850-485b-8593-b4c15f4df9f2","type":"Grid"},{"id":"049f50f0-c085-457b-a9c5-81f6ce6b6f47","type":"LinearAxis"},{"id":"753d6875-de07-4608-9f44-a6c62b162114","type":"Grid"},{"id":"2d8da4fe-f74e-4f36-9bf2-925cdb9dd6ab","type":"BoxAnnotation"},{"id":"8bff7432-17f4-4a10-bae9-807061356180","type":"GlyphRenderer"},{"id":"760c8008-93db-4597-9160-2c0a894c5f53","type":"Arrow"},{"id":"a85424e9-d4a1-4231-b001-ada2c24a94ba","type":"Arrow"},{"id":"e6c2eca5-ea86-4ab2-aacc-3c75a20e112f","type":"Arrow"}],"title":{"id":"276fae8f-1297-4650-ac39-f5898ad496cd","type":"Title"},"toolbar":{"id":"4be32754-c3b5-4975-b12a-7947e38f3e45","type":"Toolbar"},"x_range":{"id":"a93b3c8b-8bb3-4dca-b053-461c872f188c","type":"DataRange1d"},"x_scale":{"id":"102df541-2a64-4b17-9d38-d36a65ce2777","type":"LinearScale"},"y_range":{"id":"58a9d351-8540-4e7c-8ba9-d4eac305db2c","type":"DataRange1d"},"y_scale":{"id":"a1d5346f-8235-47d8-b0c8-9b12b546a1f5","type":"LinearScale"}},"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"b692802d-0392-44d2-ba10-9df2d63da39d","type":"BasicTickFormatter"},"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d1ff114-def0-4917-8dab-345a3a0099f2","type":"BasicTicker"}},"id":"866f03de-2d38-4255-93df-e018677679f9","type":"LinearAxis"},{"attributes":{"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d1ff114-def0-4917-8dab-345a3a0099f2","type":"BasicTicker"}},"id":"6eef497f-c850-485b-8593-b4c15f4df9f2","type":"Grid"},{"attributes":{},"id":"6ff2ace6-8f37-41f1-ae43-939e28e56249","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"field":"fill_color"},"line_color":{"field":"line_color"},"radius":{"units":"data","value":0.1},"x":{"field":"x"},"y":{"field":"y"}},"id":"499abfbe-f302-4798-8810-cba05035c528","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"454158b6-e318-4bda-8ad6-9f29143bf37f","type":"PanTool"},{"id":"40e04732-f46d-40b4-be83-be87691a86b4","type":"WheelZoomTool"},{"id":"d0d6c8c4-031f-4a79-9e9a-565c21167ba2","type":"BoxZoomTool"},{"id":"610397ad-33d2-49e4-9aef-bccf407cd3fd","type":"SaveTool"},{"id":"6ff2ace6-8f37-41f1-ae43-939e28e56249","type":"ResetTool"},{"id":"ab43115c-d9e7-47a8-95f0-31d9aefdb7f0","type":"HelpTool"}]},"id":"4be32754-c3b5-4975-b12a-7947e38f3e45","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"276fae8f-1297-4650-ac39-f5898ad496cd","type":"Title"},{"attributes":{},"id":"1d1ff114-def0-4917-8dab-345a3a0099f2","type":"BasicTicker"},{"attributes":{"overlay":{"id":"2d8da4fe-f74e-4f36-9bf2-925cdb9dd6ab","type":"BoxAnnotation"}},"id":"d0d6c8c4-031f-4a79-9e9a-565c21167ba2","type":"BoxZoomTool"},{"attributes":{"end":{"id":"3622638e-c5fc-415c-b198-1f6cb268544a","type":"VeeHead"},"line_color":{"value":"red"},"plot":{"id":"097526ed-153d-4c96-b76c-35ba3ad48cd8","subtype":"Figure","type":"Plot"},"source":null,"start":null,"x_end":{"value":0},"x_start":{"value":0.5},"y_end":{"value":0},"y_start":{"value":0.7}},"id":"e6c2eca5-ea86-4ab2-aacc-3c75a20e112f","type":"Arrow"},{"attributes":{},"id":"a1d5346f-8235-47d8-b0c8-9b12b546a1f5","type":"LinearScale"},{"attributes":{},"id":"102df541-2a64-4b17-9d38-d36a65ce2777","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2d8da4fe-f74e-4f36-9bf2-925cdb9dd6ab","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"3369efea-1f8b-4e4f-b7b3-07a32a0a8447","type":"ColumnDataSource"},"glyph":{"id":"499abfbe-f302-4798-8810-cba05035c528","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f8819da6-81dd-41eb-8506-026a848f7b89","type":"Circle"},"selection_glyph":null,"view":{"id":"3954b0e0-1310-402d-a0c3-750e65859dfd","type":"CDSView"}},"id":"8bff7432-17f4-4a10-bae9-807061356180","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["navy","yellow","red"],"line_color":["navy","yellow","red"],"x":[0,1,0.5],"y":[0,0,0.7]}},"id":"3369efea-1f8b-4e4f-b7b3-07a32a0a8447","type":"ColumnDataSource"},{"attributes":{"plot":null,"size":35},"id":"3622638e-c5fc-415c-b198-1f6cb268544a","type":"VeeHead"},{"attributes":{"callback":null},"id":"a93b3c8b-8bb3-4dca-b053-461c872f188c","type":"DataRange1d"}],"root_ids":["097526ed-153d-4c96-b76c-35ba3ad48cd8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bc324c8a-0c02-4ff5-8fb3-9086cb807da8","elementid":"0476a1bf-15cd-4598-a769-05d63aaa78e2","modelid":"097526ed-153d-4c96-b76c-35ba3ad48cd8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
