(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("207356ee-08f3-47dc-8afa-7456250f5922");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '207356ee-08f3-47dc-8afa-7456250f5922' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"70f82db6-359a-413b-94cf-e9dfdf7b03d2":{"roots":{"references":[{"attributes":{"source":{"id":"b10f24a6-a0ab-4f0c-9259-4792e84dbfb1","type":"ColumnDataSource"}},"id":"a6046ff5-8dcf-49e9-9bec-8e10c6364b58","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"97965a0a-e10e-4f1c-9033-5936598f0254","type":"Circle"},{"attributes":{},"id":"ab6844e3-bd5f-4a05-bd4a-c3f53435c7c9","type":"LinearScale"},{"attributes":{"plot":{"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ea52bb8-2c2e-487b-ae8d-217183a3cc18","type":"BasicTicker"}},"id":"326a4455-5151-46a7-8ca7-7b01981822f3","type":"Grid"},{"attributes":{"below":[{"id":"1aa6c085-9fb3-49be-b9bc-6c8507e56526","type":"LinearAxis"}],"left":[{"id":"96d2183e-2153-4ab1-be01-0c45a86dbcae","type":"LinearAxis"}],"renderers":[{"id":"1aa6c085-9fb3-49be-b9bc-6c8507e56526","type":"LinearAxis"},{"id":"326a4455-5151-46a7-8ca7-7b01981822f3","type":"Grid"},{"id":"96d2183e-2153-4ab1-be01-0c45a86dbcae","type":"LinearAxis"},{"id":"3189727d-cc0b-4c18-a143-867513e2abc2","type":"Grid"},{"id":"d7d724b2-5afb-4429-80ee-67add24e90e4","type":"BoxAnnotation"},{"id":"7d7e6f60-082e-4de5-a82b-3212c99abccc","type":"GlyphRenderer"},{"id":"a1a19eb0-23bb-427a-ae05-6d508330f943","type":"LabelSet"},{"id":"5c888876-6444-4107-8afd-3d56b2f18893","type":"Label"}],"title":{"id":"92f627fe-1983-427e-b1da-36ba899d1cdd","type":"Title"},"toolbar":{"id":"e9d312f7-9e01-4904-ba7e-e39656afe719","type":"Toolbar"},"x_range":{"id":"6162866b-5343-4aa7-8fdf-ad2bcd691012","type":"Range1d"},"x_scale":{"id":"ab6844e3-bd5f-4a05-bd4a-c3f53435c7c9","type":"LinearScale"},"y_range":{"id":"992e7826-d527-4429-acdc-abdb0035cfcb","type":"DataRange1d"},"y_scale":{"id":"dcb3708c-69bc-4838-85fb-22576e4385e0","type":"LinearScale"}},"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"b10f24a6-a0ab-4f0c-9259-4792e84dbfb1","type":"ColumnDataSource"},"glyph":{"id":"97965a0a-e10e-4f1c-9033-5936598f0254","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0c4073d3-1ec0-47b0-9dc0-38ee39b4c5ec","type":"Circle"},"selection_glyph":null,"view":{"id":"a6046ff5-8dcf-49e9-9bec-8e10c6364b58","type":"CDSView"}},"id":"7d7e6f60-082e-4de5-a82b-3212c99abccc","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["names","weight","height"],"data":{"height":[66,71,72,68,58,62],"names":["Mark","Amir","Matt","Greg","Owen","Juan"],"weight":[165,189,220,141,260,174]}},"id":"b10f24a6-a0ab-4f0c-9259-4792e84dbfb1","type":"ColumnDataSource"},{"attributes":{},"id":"a62e3940-2895-400e-a72e-5ef8830314ef","type":"HelpTool"},{"attributes":{"callback":null},"id":"992e7826-d527-4429-acdc-abdb0035cfcb","type":"DataRange1d"},{"attributes":{},"id":"6f019307-b547-45de-b4b7-a3edaef4bb24","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"d7d724b2-5afb-4429-80ee-67add24e90e4","type":"BoxAnnotation"}},"id":"3cae5d4e-33b6-4dc4-9c1f-9fa3b3b3d0bb","type":"BoxZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7173fa69-2494-4d32-97b4-e783dad6b06d","type":"PanTool"},{"id":"4f601122-915b-4787-b985-c69212d36b9f","type":"WheelZoomTool"},{"id":"3cae5d4e-33b6-4dc4-9c1f-9fa3b3b3d0bb","type":"BoxZoomTool"},{"id":"cc5cbbd4-7db3-4191-b426-016460c18d35","type":"SaveTool"},{"id":"ecd4843c-f5c8-4396-b374-d73d97014193","type":"ResetTool"},{"id":"a62e3940-2895-400e-a72e-5ef8830314ef","type":"HelpTool"}]},"id":"e9d312f7-9e01-4904-ba7e-e39656afe719","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d7d724b2-5afb-4429-80ee-67add24e90e4","type":"BoxAnnotation"},{"attributes":{"callback":null,"end":275,"start":140},"id":"6162866b-5343-4aa7-8fdf-ad2bcd691012","type":"Range1d"},{"attributes":{},"id":"dcb3708c-69bc-4838-85fb-22576e4385e0","type":"LinearScale"},{"attributes":{},"id":"c8a338ad-4c3c-4f7d-bd58-47aeaec573a3","type":"BasicTicker"},{"attributes":{"background_fill_color":{"value":"white"},"border_line_color":{"value":"black"},"plot":{"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},"render_mode":"css","text":"Collected by Luke C. 2016-04-01","x":70,"x_units":"screen","y":70,"y_units":"screen"},"id":"5c888876-6444-4107-8afd-3d56b2f18893","type":"Label"},{"attributes":{},"id":"4f601122-915b-4787-b985-c69212d36b9f","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"weight"},"y":{"field":"height"}},"id":"0c4073d3-1ec0-47b0-9dc0-38ee39b4c5ec","type":"Circle"},{"attributes":{"axis_label":"Height (in)","formatter":{"id":"6f019307-b547-45de-b4b7-a3edaef4bb24","type":"BasicTickFormatter"},"plot":{"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8a338ad-4c3c-4f7d-bd58-47aeaec573a3","type":"BasicTicker"}},"id":"96d2183e-2153-4ab1-be01-0c45a86dbcae","type":"LinearAxis"},{"attributes":{},"id":"7173fa69-2494-4d32-97b4-e783dad6b06d","type":"PanTool"},{"attributes":{"axis_label":"Weight (lbs)","formatter":{"id":"d88fa434-e823-4698-8e7d-ef8747adc75a","type":"BasicTickFormatter"},"plot":{"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},"ticker":{"id":"3ea52bb8-2c2e-487b-ae8d-217183a3cc18","type":"BasicTicker"}},"id":"1aa6c085-9fb3-49be-b9bc-6c8507e56526","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c8a338ad-4c3c-4f7d-bd58-47aeaec573a3","type":"BasicTicker"}},"id":"3189727d-cc0b-4c18-a143-867513e2abc2","type":"Grid"},{"attributes":{"plot":null,"text":"Dist. of 10th Grade Students at Lee High"},"id":"92f627fe-1983-427e-b1da-36ba899d1cdd","type":"Title"},{"attributes":{},"id":"cc5cbbd4-7db3-4191-b426-016460c18d35","type":"SaveTool"},{"attributes":{},"id":"d88fa434-e823-4698-8e7d-ef8747adc75a","type":"BasicTickFormatter"},{"attributes":{"level":"glyph","plot":{"id":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e","subtype":"Figure","type":"Plot"},"source":{"id":"b10f24a6-a0ab-4f0c-9259-4792e84dbfb1","type":"ColumnDataSource"},"text":{"field":"names"},"x":{"field":"weight"},"x_offset":{"value":5},"y":{"field":"height"},"y_offset":{"value":5}},"id":"a1a19eb0-23bb-427a-ae05-6d508330f943","type":"LabelSet"},{"attributes":{},"id":"3ea52bb8-2c2e-487b-ae8d-217183a3cc18","type":"BasicTicker"},{"attributes":{},"id":"ecd4843c-f5c8-4396-b374-d73d97014193","type":"ResetTool"}],"root_ids":["e7dda8e8-db6b-4a08-9e9f-ef4b1892183e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"70f82db6-359a-413b-94cf-e9dfdf7b03d2","elementid":"207356ee-08f3-47dc-8afa-7456250f5922","modelid":"e7dda8e8-db6b-4a08-9e9f-ef4b1892183e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
