(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bb689c8b-b975-4e2a-bb3c-f5d95fbcf2cd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bb689c8b-b975-4e2a-bb3c-f5d95fbcf2cd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9261edaa-c7d7-4f1e-8902-d84c1a55ab04":{"roots":{"references":[{"attributes":{},"id":"77577280-cdcb-44cc-952b-68b0598804b3","type":"BasicTicker"},{"attributes":{},"id":"db22d78a-0bd0-4463-b839-a1fef1de2b79","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"7209966e-4724-4dab-b9fc-6cd0e6c5dcbe","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.6},"fill_color":{"value":"orange"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"orange"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"2c12f6fb-57ed-45ad-94eb-a2edba5bd885","type":"Annulus"},{"attributes":{},"id":"f17f6bea-3806-41c8-bed8-1ab687af8560","type":"LinearScale"},{"attributes":{"data_source":{"id":"2129d142-1721-43d2-869b-46d61a63ad3f","type":"ColumnDataSource"},"glyph":{"id":"2c12f6fb-57ed-45ad-94eb-a2edba5bd885","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0971b522-6535-47ee-b45e-66d1f375a16e","type":"Annulus"},"selection_glyph":null,"view":{"id":"eafbd907-8d91-44aa-a070-213b94bce172","type":"CDSView"}},"id":"c7e5578e-d3c6-4d7e-823f-4aefbbf200d9","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"5aeeebeb-1336-4abf-abee-6d227309530a","type":"BoxAnnotation"}},"id":"5e8e8a97-4c38-454a-880b-7f9cb1f14a48","type":"BoxZoomTool"},{"attributes":{},"id":"4a59783b-7425-4c80-92ca-3fbecf78221f","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"2129d142-1721-43d2-869b-46d61a63ad3f","type":"ColumnDataSource"}},"id":"eafbd907-8d91-44aa-a070-213b94bce172","type":"CDSView"},{"attributes":{"plot":{"id":"69764f80-8cbd-47c6-860b-343c7aadf4f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e84469e-0599-49f0-8654-fe815d3871e3","type":"BasicTicker"}},"id":"43cae926-548c-4ee1-b439-e8a5b928fde2","type":"Grid"},{"attributes":{},"id":"55b3100f-8acd-4ed5-96dd-c3e09444863f","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"x":{"field":"x"},"y":{"field":"y"}},"id":"0971b522-6535-47ee-b45e-66d1f375a16e","type":"Annulus"},{"attributes":{},"id":"a576661e-8eaa-4e87-bbf9-c40adce94398","type":"SaveTool"},{"attributes":{"formatter":{"id":"eb910f7f-f3a6-454d-adad-5554a293dacb","type":"BasicTickFormatter"},"plot":{"id":"69764f80-8cbd-47c6-860b-343c7aadf4f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"77577280-cdcb-44cc-952b-68b0598804b3","type":"BasicTicker"}},"id":"a810eb11-e328-4b3c-8878-cd4188c43de1","type":"LinearAxis"},{"attributes":{"below":[{"id":"2c5f4705-6a0c-4588-bc61-b803d4447f25","type":"LinearAxis"}],"left":[{"id":"a810eb11-e328-4b3c-8878-cd4188c43de1","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2c5f4705-6a0c-4588-bc61-b803d4447f25","type":"LinearAxis"},{"id":"43cae926-548c-4ee1-b439-e8a5b928fde2","type":"Grid"},{"id":"a810eb11-e328-4b3c-8878-cd4188c43de1","type":"LinearAxis"},{"id":"b05cdea6-2447-4902-bde5-d9e946cdda1d","type":"Grid"},{"id":"5aeeebeb-1336-4abf-abee-6d227309530a","type":"BoxAnnotation"},{"id":"c7e5578e-d3c6-4d7e-823f-4aefbbf200d9","type":"GlyphRenderer"}],"title":{"id":"7c56c647-971a-4dbe-96a5-775bbadab313","type":"Title"},"toolbar":{"id":"774f1124-ec95-4974-a401-d57a7b966ec0","type":"Toolbar"},"x_range":{"id":"7209966e-4724-4dab-b9fc-6cd0e6c5dcbe","type":"DataRange1d"},"x_scale":{"id":"f17f6bea-3806-41c8-bed8-1ab687af8560","type":"LinearScale"},"y_range":{"id":"7be0f444-f623-4536-8177-a9e1fb0a9b84","type":"DataRange1d"},"y_scale":{"id":"6b8f3241-3c90-4887-bdc3-31521615bf83","type":"LinearScale"}},"id":"69764f80-8cbd-47c6-860b-343c7aadf4f1","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6b8f3241-3c90-4887-bdc3-31521615bf83","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"2129d142-1721-43d2-869b-46d61a63ad3f","type":"ColumnDataSource"},{"attributes":{"plot":null,"text":""},"id":"7c56c647-971a-4dbe-96a5-775bbadab313","type":"Title"},{"attributes":{},"id":"aac0ecc4-a33a-423f-88a7-65a73ba04383","type":"PanTool"},{"attributes":{},"id":"1e84469e-0599-49f0-8654-fe815d3871e3","type":"BasicTicker"},{"attributes":{},"id":"82b9d565-6041-460e-9dff-e1b278028f59","type":"HelpTool"},{"attributes":{"formatter":{"id":"4a59783b-7425-4c80-92ca-3fbecf78221f","type":"BasicTickFormatter"},"plot":{"id":"69764f80-8cbd-47c6-860b-343c7aadf4f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e84469e-0599-49f0-8654-fe815d3871e3","type":"BasicTicker"}},"id":"2c5f4705-6a0c-4588-bc61-b803d4447f25","type":"LinearAxis"},{"attributes":{},"id":"eb910f7f-f3a6-454d-adad-5554a293dacb","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"69764f80-8cbd-47c6-860b-343c7aadf4f1","subtype":"Figure","type":"Plot"},"ticker":{"id":"77577280-cdcb-44cc-952b-68b0598804b3","type":"BasicTicker"}},"id":"b05cdea6-2447-4902-bde5-d9e946cdda1d","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"aac0ecc4-a33a-423f-88a7-65a73ba04383","type":"PanTool"},{"id":"db22d78a-0bd0-4463-b839-a1fef1de2b79","type":"WheelZoomTool"},{"id":"5e8e8a97-4c38-454a-880b-7f9cb1f14a48","type":"BoxZoomTool"},{"id":"a576661e-8eaa-4e87-bbf9-c40adce94398","type":"SaveTool"},{"id":"55b3100f-8acd-4ed5-96dd-c3e09444863f","type":"ResetTool"},{"id":"82b9d565-6041-460e-9dff-e1b278028f59","type":"HelpTool"}]},"id":"774f1124-ec95-4974-a401-d57a7b966ec0","type":"Toolbar"},{"attributes":{"callback":null},"id":"7be0f444-f623-4536-8177-a9e1fb0a9b84","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5aeeebeb-1336-4abf-abee-6d227309530a","type":"BoxAnnotation"}],"root_ids":["69764f80-8cbd-47c6-860b-343c7aadf4f1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9261edaa-c7d7-4f1e-8902-d84c1a55ab04","elementid":"bb689c8b-b975-4e2a-bb3c-f5d95fbcf2cd","modelid":"69764f80-8cbd-47c6-860b-343c7aadf4f1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
