(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4b35e49c-a0a9-4dd9-9bc8-be86bd94ab40");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4b35e49c-a0a9-4dd9-9bc8-be86bd94ab40' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"859b9f52-14ad-4770-ae45-9c1666b677f7":{"roots":{"references":[{"attributes":{"callback":null,"start":0},"id":"8c5af847-5401-44ab-aab9-7279fb01299b","type":"DataRange1d"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"39359198-93ee-44a5-ba34-dadce2525fb1","type":"FactorRange"},{"attributes":{},"id":"8c082c35-2c2c-4e53-b689-d0d1065a7531","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"e46e2f74-56dc-4bec-bdec-6b65563e5d40","type":"Title"},{"attributes":{"formatter":{"id":"5f0690d4-b592-4879-a06c-264a0c60bc07","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"03b5df29-b53b-43a8-baa4-553553fbc604","subtype":"Figure","type":"Plot"},"ticker":{"id":"21fcae36-ca9e-44af-bb45-6eae9c79e964","type":"CategoricalTicker"}},"id":"d56618c3-567b-4e92-8eb8-3d4f667d6a60","type":"CategoricalAxis"},{"attributes":{"data_source":{"id":"744777f4-e11b-442f-8d7b-6049d11f25b4","type":"ColumnDataSource"},"glyph":{"id":"9730cc0b-c5aa-48ba-ba7c-d7b77b552102","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e51dbce-f035-4ed7-8f0f-a7943adfbf7a","type":"VBar"},"selection_glyph":null,"view":{"id":"80b3aba6-fb90-4755-9bee-628cf53c4793","type":"CDSView"}},"id":"422e9e9d-57be-4445-aa7f-6ce6b3df549b","type":"GlyphRenderer"},{"attributes":{},"id":"5f0690d4-b592-4879-a06c-264a0c60bc07","type":"CategoricalTickFormatter"},{"attributes":{},"id":"6235a9bd-3c45-48eb-8b19-ef68b04aa784","type":"CategoricalScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"848dd61d-b40e-42e0-b24c-63acf490d21b","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"744777f4-e11b-442f-8d7b-6049d11f25b4","type":"ColumnDataSource"},{"attributes":{"source":{"id":"744777f4-e11b-442f-8d7b-6049d11f25b4","type":"ColumnDataSource"}},"id":"80b3aba6-fb90-4755-9bee-628cf53c4793","type":"CDSView"},{"attributes":{"below":[{"id":"d56618c3-567b-4e92-8eb8-3d4f667d6a60","type":"CategoricalAxis"}],"left":[{"id":"3ccabf7d-058c-4e98-a8c0-0e623ec71d5b","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"d56618c3-567b-4e92-8eb8-3d4f667d6a60","type":"CategoricalAxis"},{"id":"044720eb-da7b-43ec-8ad2-7f274fdbe210","type":"Grid"},{"id":"3ccabf7d-058c-4e98-a8c0-0e623ec71d5b","type":"LinearAxis"},{"id":"53cf327e-f357-440b-97ac-70a0016752cc","type":"Grid"},{"id":"422e9e9d-57be-4445-aa7f-6ce6b3df549b","type":"GlyphRenderer"}],"title":{"id":"e46e2f74-56dc-4bec-bdec-6b65563e5d40","type":"Title"},"toolbar":{"id":"848dd61d-b40e-42e0-b24c-63acf490d21b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"39359198-93ee-44a5-ba34-dadce2525fb1","type":"FactorRange"},"x_scale":{"id":"6235a9bd-3c45-48eb-8b19-ef68b04aa784","type":"CategoricalScale"},"y_range":{"id":"8c5af847-5401-44ab-aab9-7279fb01299b","type":"DataRange1d"},"y_scale":{"id":"b3240730-799f-4c06-a183-7c7c18f0eecc","type":"LinearScale"}},"id":"03b5df29-b53b-43a8-baa4-553553fbc604","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"2e51dbce-f035-4ed7-8f0f-a7943adfbf7a","type":"VBar"},{"attributes":{"formatter":{"id":"8c082c35-2c2c-4e53-b689-d0d1065a7531","type":"BasicTickFormatter"},"plot":{"id":"03b5df29-b53b-43a8-baa4-553553fbc604","subtype":"Figure","type":"Plot"},"ticker":{"id":"af5f0288-a76f-4a11-a39f-aacc8383b84f","type":"BasicTicker"}},"id":"3ccabf7d-058c-4e98-a8c0-0e623ec71d5b","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"9730cc0b-c5aa-48ba-ba7c-d7b77b552102","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"03b5df29-b53b-43a8-baa4-553553fbc604","subtype":"Figure","type":"Plot"},"ticker":{"id":"af5f0288-a76f-4a11-a39f-aacc8383b84f","type":"BasicTicker"}},"id":"53cf327e-f357-440b-97ac-70a0016752cc","type":"Grid"},{"attributes":{},"id":"21fcae36-ca9e-44af-bb45-6eae9c79e964","type":"CategoricalTicker"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"03b5df29-b53b-43a8-baa4-553553fbc604","subtype":"Figure","type":"Plot"},"ticker":{"id":"21fcae36-ca9e-44af-bb45-6eae9c79e964","type":"CategoricalTicker"}},"id":"044720eb-da7b-43ec-8ad2-7f274fdbe210","type":"Grid"},{"attributes":{},"id":"af5f0288-a76f-4a11-a39f-aacc8383b84f","type":"BasicTicker"},{"attributes":{},"id":"b3240730-799f-4c06-a183-7c7c18f0eecc","type":"LinearScale"}],"root_ids":["03b5df29-b53b-43a8-baa4-553553fbc604"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"859b9f52-14ad-4770-ae45-9c1666b677f7","elementid":"4b35e49c-a0a9-4dd9-9bc8-be86bd94ab40","modelid":"03b5df29-b53b-43a8-baa4-553553fbc604"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
