(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8debabd1-1c45-4f03-90de-590f621ddd9d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8debabd1-1c45-4f03-90de-590f621ddd9d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"55e72b76-fca7-43b8-85c6-70e741853dfb":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"d039a79e-ae81-447d-a0d0-55df7886097b","subtype":"Figure","type":"Plot"},"ticker":{"id":"199e075b-19a0-40f4-92d4-970c74c474ca","type":"BasicTicker"}},"id":"5705365b-bfff-4e36-a99b-4fd8b17573e4","type":"Grid"},{"attributes":{},"id":"17abdbee-5cce-4922-a234-64e1cabf32cc","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"add09494-e5c6-45c0-824d-160c62c5dbee","type":"Circle"},{"attributes":{"align":"right","background_fill_color":{"value":"#aaaaee"},"plot":null,"text":"Title With Options","text_color":{"value":"orange"},"text_font_size":{"value":"25px"}},"id":"876d155c-8574-4cf5-adfc-0b2b554e2e32","type":"Title"},{"attributes":{},"id":"3b922dab-c4fd-48c0-980c-764a62895dfe","type":"WheelZoomTool"},{"attributes":{},"id":"276257fd-f725-486f-b752-912d64cc1623","type":"BasicTickFormatter"},{"attributes":{},"id":"c6f88f06-bc81-49f2-9057-50b31d05da20","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"276257fd-f725-486f-b752-912d64cc1623","type":"BasicTickFormatter"},"plot":{"id":"d039a79e-ae81-447d-a0d0-55df7886097b","subtype":"Figure","type":"Plot"},"ticker":{"id":"199e075b-19a0-40f4-92d4-970c74c474ca","type":"BasicTicker"}},"id":"c2f48ff7-cf4c-4910-89d7-1f00c9e67f29","type":"LinearAxis"},{"attributes":{},"id":"a8ec7266-a1ec-463b-bf74-0e4efabcad81","type":"ResetTool"},{"attributes":{"callback":null},"id":"b8abe84d-e467-4682-abf0-b05a1664c40d","type":"DataRange1d"},{"attributes":{"formatter":{"id":"c6f88f06-bc81-49f2-9057-50b31d05da20","type":"BasicTickFormatter"},"plot":{"id":"d039a79e-ae81-447d-a0d0-55df7886097b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bed04388-d4d7-4b49-8fca-c4f6984f6bba","type":"BasicTicker"}},"id":"ffbc6034-5ce7-435e-8f71-9bd6232b36f9","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"3ca8c8b0-e56e-4a84-9bdc-26f805403cec","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b2461754-045c-4df8-9502-2feb4b6f16bf","type":"DataRange1d"},{"attributes":{"data_source":{"id":"3ca8c8b0-e56e-4a84-9bdc-26f805403cec","type":"ColumnDataSource"},"glyph":{"id":"00cf9dfc-6072-440b-a71c-41d409d360fc","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"add09494-e5c6-45c0-824d-160c62c5dbee","type":"Circle"},"selection_glyph":null,"view":{"id":"b876aadd-a4bc-447b-8620-76a1af1ca1a7","type":"CDSView"}},"id":"e5fcc960-d1c0-41d1-aedc-b14ce3375d6e","type":"GlyphRenderer"},{"attributes":{},"id":"199e075b-19a0-40f4-92d4-970c74c474ca","type":"BasicTicker"},{"attributes":{},"id":"2c7f9666-3ebc-4082-b95e-5fb960d65ead","type":"HelpTool"},{"attributes":{},"id":"bed04388-d4d7-4b49-8fca-c4f6984f6bba","type":"BasicTicker"},{"attributes":{"plot":{"id":"d039a79e-ae81-447d-a0d0-55df7886097b","subtype":"Figure","type":"Plot"},"ticker":{"id":"bed04388-d4d7-4b49-8fca-c4f6984f6bba","type":"BasicTicker"}},"id":"681fe2d2-ebd9-4562-bf20-d733d0876ce9","type":"Grid"},{"attributes":{},"id":"dd4187bf-c41a-4b41-b27f-511fc3a87b87","type":"LinearScale"},{"attributes":{"source":{"id":"3ca8c8b0-e56e-4a84-9bdc-26f805403cec","type":"ColumnDataSource"}},"id":"b876aadd-a4bc-447b-8620-76a1af1ca1a7","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9820e79a-b8da-400a-a28b-2b7cb4764335","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"ffbc6034-5ce7-435e-8f71-9bd6232b36f9","type":"LinearAxis"}],"left":[{"id":"c2f48ff7-cf4c-4910-89d7-1f00c9e67f29","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"ffbc6034-5ce7-435e-8f71-9bd6232b36f9","type":"LinearAxis"},{"id":"681fe2d2-ebd9-4562-bf20-d733d0876ce9","type":"Grid"},{"id":"c2f48ff7-cf4c-4910-89d7-1f00c9e67f29","type":"LinearAxis"},{"id":"5705365b-bfff-4e36-a99b-4fd8b17573e4","type":"Grid"},{"id":"9820e79a-b8da-400a-a28b-2b7cb4764335","type":"BoxAnnotation"},{"id":"e5fcc960-d1c0-41d1-aedc-b14ce3375d6e","type":"GlyphRenderer"}],"title":{"id":"876d155c-8574-4cf5-adfc-0b2b554e2e32","type":"Title"},"toolbar":{"id":"4550faaf-21a1-4a25-9f99-c7add8c37bed","type":"Toolbar"},"x_range":{"id":"b8abe84d-e467-4682-abf0-b05a1664c40d","type":"DataRange1d"},"x_scale":{"id":"dd4187bf-c41a-4b41-b27f-511fc3a87b87","type":"LinearScale"},"y_range":{"id":"b2461754-045c-4df8-9502-2feb4b6f16bf","type":"DataRange1d"},"y_scale":{"id":"17abdbee-5cce-4922-a234-64e1cabf32cc","type":"LinearScale"}},"id":"d039a79e-ae81-447d-a0d0-55df7886097b","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a4a3f97d-ad5c-4cbb-b774-ae71134c9fca","type":"SaveTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"00cf9dfc-6072-440b-a71c-41d409d360fc","type":"Circle"},{"attributes":{"overlay":{"id":"9820e79a-b8da-400a-a28b-2b7cb4764335","type":"BoxAnnotation"}},"id":"019b20fe-040e-4ebe-9298-4ea989906244","type":"BoxZoomTool"},{"attributes":{},"id":"db5c3b4d-2344-4381-b755-b24848ae6d96","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"db5c3b4d-2344-4381-b755-b24848ae6d96","type":"PanTool"},{"id":"3b922dab-c4fd-48c0-980c-764a62895dfe","type":"WheelZoomTool"},{"id":"019b20fe-040e-4ebe-9298-4ea989906244","type":"BoxZoomTool"},{"id":"a4a3f97d-ad5c-4cbb-b774-ae71134c9fca","type":"SaveTool"},{"id":"a8ec7266-a1ec-463b-bf74-0e4efabcad81","type":"ResetTool"},{"id":"2c7f9666-3ebc-4082-b95e-5fb960d65ead","type":"HelpTool"}]},"id":"4550faaf-21a1-4a25-9f99-c7add8c37bed","type":"Toolbar"}],"root_ids":["d039a79e-ae81-447d-a0d0-55df7886097b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"55e72b76-fca7-43b8-85c6-70e741853dfb","elementid":"8debabd1-1c45-4f03-90de-590f621ddd9d","modelid":"d039a79e-ae81-447d-a0d0-55df7886097b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
