(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("397651ee-1e9a-4631-8e6c-7745fcfd14eb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '397651ee-1e9a-4631-8e6c-7745fcfd14eb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"13b2b9de-aa57-4ce4-8d0f-d27cd3ee6141":{"roots":{"references":[{"attributes":{"data_source":{"id":"ca23fb0b-21e2-4215-9a20-4041c4c9c881","type":"ColumnDataSource"},"glyph":{"id":"3d47d35c-2722-409e-9f93-3c82293d677f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"10725ef2-81e9-469c-b80d-ec3c6a436a3c","type":"Circle"},"selection_glyph":null,"view":{"id":"3bcd7e40-dd95-4380-95e6-c00e759a86ea","type":"CDSView"}},"id":"3820bec6-519b-48cb-8714-a595cacc6fc4","type":"GlyphRenderer"},{"attributes":{"source":{"id":"ca23fb0b-21e2-4215-9a20-4041c4c9c881","type":"ColumnDataSource"}},"id":"3bcd7e40-dd95-4380-95e6-c00e759a86ea","type":"CDSView"},{"attributes":{"formatter":{"id":"940a4fa7-2b0d-40cf-a94e-269a9a0da07c","type":"BasicTickFormatter"},"plot":{"id":"81fcdabd-5666-456d-9169-dc9fd1000805","subtype":"Figure","type":"Plot"},"ticker":{"id":"2de87d19-c951-4f9a-9b05-fb542dabbe94","type":"BasicTicker"}},"id":"2daee7e6-715c-4b95-9200-8404854bbff2","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"3d47d35c-2722-409e-9f93-3c82293d677f","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"81fcdabd-5666-456d-9169-dc9fd1000805","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6909da3-c04d-434e-b110-a2c85c823e1b","type":"BasicTicker"}},"id":"f7339fbf-40e7-4a92-af76-4e4071a2e284","type":"Grid"},{"attributes":{"align":"center","plot":{"id":"81fcdabd-5666-456d-9169-dc9fd1000805","subtype":"Figure","type":"Plot"},"text":"Bottom Centered Title"},"id":"e9e3a0a7-5994-4bee-b002-71cb06241c51","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"10725ef2-81e9-469c-b80d-ec3c6a436a3c","type":"Circle"},{"attributes":{"overlay":{"id":"fc14b60f-0e0c-4cdb-b763-8f4e86b21712","type":"BoxAnnotation"}},"id":"828026c5-b054-4c7a-843b-9c9cb6a2cac2","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"2daee7e6-715c-4b95-9200-8404854bbff2","type":"LinearAxis"},{"id":"e9e3a0a7-5994-4bee-b002-71cb06241c51","type":"Title"}],"left":[{"id":"71655ee2-7f63-4c42-8aef-c414b071ac81","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"2daee7e6-715c-4b95-9200-8404854bbff2","type":"LinearAxis"},{"id":"41c619a1-f823-4a44-8257-731a08b2bd70","type":"Grid"},{"id":"71655ee2-7f63-4c42-8aef-c414b071ac81","type":"LinearAxis"},{"id":"f7339fbf-40e7-4a92-af76-4e4071a2e284","type":"Grid"},{"id":"fc14b60f-0e0c-4cdb-b763-8f4e86b21712","type":"BoxAnnotation"},{"id":"3820bec6-519b-48cb-8714-a595cacc6fc4","type":"GlyphRenderer"},{"id":"e9e3a0a7-5994-4bee-b002-71cb06241c51","type":"Title"}],"title":{"id":"3103e4a9-b4bd-4fcf-a743-c2ec707e295d","type":"Title"},"title_location":"left","toolbar":{"id":"d6bfcb20-d7d0-41be-b113-923fe6d16f9c","type":"Toolbar"},"x_range":{"id":"f88145ea-3788-4615-b9a0-f435ec675195","type":"DataRange1d"},"x_scale":{"id":"34008081-262a-4f1f-849b-af9cb92ea670","type":"LinearScale"},"y_range":{"id":"634090d2-80b6-4624-b351-a4ed1bec27f4","type":"DataRange1d"},"y_scale":{"id":"4afa430b-51be-4f5f-a5d0-88b9499ae894","type":"LinearScale"}},"id":"81fcdabd-5666-456d-9169-dc9fd1000805","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3eca74b6-28bc-4e5c-b3bd-f2f73b6af39c","type":"BasicTickFormatter"},{"attributes":{},"id":"f6909da3-c04d-434e-b110-a2c85c823e1b","type":"BasicTicker"},{"attributes":{},"id":"4afa430b-51be-4f5f-a5d0-88b9499ae894","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"ca23fb0b-21e2-4215-9a20-4041c4c9c881","type":"ColumnDataSource"},{"attributes":{},"id":"a130255c-7f48-49bf-ae0f-5bb1a1e95b1e","type":"SaveTool"},{"attributes":{"formatter":{"id":"3eca74b6-28bc-4e5c-b3bd-f2f73b6af39c","type":"BasicTickFormatter"},"plot":{"id":"81fcdabd-5666-456d-9169-dc9fd1000805","subtype":"Figure","type":"Plot"},"ticker":{"id":"f6909da3-c04d-434e-b110-a2c85c823e1b","type":"BasicTicker"}},"id":"71655ee2-7f63-4c42-8aef-c414b071ac81","type":"LinearAxis"},{"attributes":{},"id":"87eba6ce-72ef-4262-a043-53ba1c257249","type":"HelpTool"},{"attributes":{"callback":null},"id":"f88145ea-3788-4615-b9a0-f435ec675195","type":"DataRange1d"},{"attributes":{"plot":{"id":"81fcdabd-5666-456d-9169-dc9fd1000805","subtype":"Figure","type":"Plot"},"ticker":{"id":"2de87d19-c951-4f9a-9b05-fb542dabbe94","type":"BasicTicker"}},"id":"41c619a1-f823-4a44-8257-731a08b2bd70","type":"Grid"},{"attributes":{"plot":null,"text":"Left Title"},"id":"3103e4a9-b4bd-4fcf-a743-c2ec707e295d","type":"Title"},{"attributes":{},"id":"ecb40a81-641f-492e-9878-800bb1f31553","type":"WheelZoomTool"},{"attributes":{},"id":"a10d1e7a-58ce-4fa3-94ed-cfb3e9492fb5","type":"PanTool"},{"attributes":{},"id":"2de87d19-c951-4f9a-9b05-fb542dabbe94","type":"BasicTicker"},{"attributes":{},"id":"34008081-262a-4f1f-849b-af9cb92ea670","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fc14b60f-0e0c-4cdb-b763-8f4e86b21712","type":"BoxAnnotation"},{"attributes":{},"id":"e94f20e8-21b8-4496-b574-158308d391eb","type":"ResetTool"},{"attributes":{},"id":"940a4fa7-2b0d-40cf-a94e-269a9a0da07c","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"634090d2-80b6-4624-b351-a4ed1bec27f4","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a10d1e7a-58ce-4fa3-94ed-cfb3e9492fb5","type":"PanTool"},{"id":"ecb40a81-641f-492e-9878-800bb1f31553","type":"WheelZoomTool"},{"id":"828026c5-b054-4c7a-843b-9c9cb6a2cac2","type":"BoxZoomTool"},{"id":"a130255c-7f48-49bf-ae0f-5bb1a1e95b1e","type":"SaveTool"},{"id":"e94f20e8-21b8-4496-b574-158308d391eb","type":"ResetTool"},{"id":"87eba6ce-72ef-4262-a043-53ba1c257249","type":"HelpTool"}]},"id":"d6bfcb20-d7d0-41be-b113-923fe6d16f9c","type":"Toolbar"}],"root_ids":["81fcdabd-5666-456d-9169-dc9fd1000805"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"13b2b9de-aa57-4ce4-8d0f-d27cd3ee6141","elementid":"397651ee-1e9a-4631-8e6c-7745fcfd14eb","modelid":"81fcdabd-5666-456d-9169-dc9fd1000805"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
