(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6054b403-58b8-41ec-9b90-a2574aac24bb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6054b403-58b8-41ec-9b90-a2574aac24bb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"de0d4180-1e38-47bd-8950-40f7caf4012c":{"roots":{"references":[{"attributes":{},"id":"892b9597-6395-419e-b9ea-f92d22ab65b7","type":"BasicTicker"},{"attributes":{"below":[{"id":"dbc755d6-8eeb-44a5-b7ad-82f115052f1f","type":"CategoricalAxis"}],"left":[{"id":"272fa406-d9d3-48b5-a68b-3f335bc3de65","type":"CategoricalAxis"}],"renderers":[{"id":"dbc755d6-8eeb-44a5-b7ad-82f115052f1f","type":"CategoricalAxis"},{"id":"31420ca1-ff16-4a29-bb2a-bab59f168327","type":"Grid"},{"id":"272fa406-d9d3-48b5-a68b-3f335bc3de65","type":"CategoricalAxis"},{"id":"40977f67-92bd-4f6e-a414-296ca0c13c8b","type":"Grid"},{"id":"596dfeac-25fe-49ff-b525-2cc8d6875f20","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"69b8d91e-ce89-4f30-92fd-9a716f3c5b61","type":"Title"},"toolbar":{"id":"cd9afdc9-e9cd-46ca-a93f-09b2008135e5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"1243088a-2d1f-4949-9fa1-74bf42df96f2","type":"FactorRange"},"x_scale":{"id":"19d393f9-18a3-4636-9d25-75c7ddd8d128","type":"CategoricalScale"},"y_range":{"id":"664c0ca2-7b92-483b-bc04-f3dc2791caf9","type":"FactorRange"},"y_scale":{"id":"a7bcb668-2701-49b7-b08d-060367e70190","type":"CategoricalScale"}},"id":"ba0d3068-b7ce-4648-b87f-3df15f116506","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y1","y0","x1"],"data":{"x1":[50,40,65,10,25,37,80,60],"y0":["a","b","c","d","e","f","g","h"],"y1":["a","b","c","d","e","f","g","h"]}},"id":"34daea43-e83d-4b78-9820-a7aa23b46c79","type":"ColumnDataSource"},{"attributes":{},"id":"11ad25ca-4752-456d-959a-dc8cc156ce8b","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"end":100},"id":"9ad723e6-6523-4b59-bbe8-d979b643db07","type":"Range1d"},{"attributes":{},"id":"a7bcb668-2701-49b7-b08d-060367e70190","type":"CategoricalScale"},{"attributes":{"below":[{"id":"133e8dfe-ef3b-4699-8d37-c9f7f9e50958","type":"LinearAxis"}],"left":[{"id":"10fe5019-637e-4a50-91a2-318528742dc3","type":"CategoricalAxis"}],"renderers":[{"id":"133e8dfe-ef3b-4699-8d37-c9f7f9e50958","type":"LinearAxis"},{"id":"a6557260-74b1-4532-b7eb-178d8edfd711","type":"Grid"},{"id":"10fe5019-637e-4a50-91a2-318528742dc3","type":"CategoricalAxis"},{"id":"c44fe012-073e-4747-bebe-7f82c82b6a8d","type":"Grid"},{"id":"0958a06d-f8f3-4c04-b6af-2e015a6a4112","type":"GlyphRenderer"},{"id":"4e788435-912e-499e-84ee-c792139a96af","type":"GlyphRenderer"}],"sizing_mode":"scale_width","title":{"id":"4aa43240-bf3f-4d0e-bf11-ef76ecba205a","type":"Title"},"toolbar":{"id":"ca7a52a0-26d1-442b-a907-e17a7b48673b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9ad723e6-6523-4b59-bbe8-d979b643db07","type":"Range1d"},"x_scale":{"id":"e59b3724-8585-4f2b-88b0-a972e5b1f93c","type":"LinearScale"},"y_range":{"id":"0cd44731-67c0-4840-b4da-71547bf8253c","type":"FactorRange"},"y_scale":{"id":"d8334ce0-56b0-42fd-ae32-bbded803229c","type":"CategoricalScale"}},"id":"118a72c7-44e9-477c-9262-8bacd46e0bdf","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"92363c4b-fe22-44df-90c5-acb4613ad51d","type":"ColumnDataSource"}},"id":"8b8716aa-33e2-4b8b-8e26-4e90f8a48f02","type":"CDSView"},{"attributes":{"data_source":{"id":"977b913a-00c0-41e1-9bee-8215ef91ec57","type":"ColumnDataSource"},"glyph":{"id":"62309bf6-498f-4d02-b911-71cffb6dd521","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"40b1be3a-6f4f-4942-acaf-c9b966efcb32","type":"Rect"},"selection_glyph":null,"view":{"id":"3775fadd-6415-4ce3-ad1b-a175543a6b91","type":"CDSView"}},"id":"596dfeac-25fe-49ff-b525-2cc8d6875f20","type":"GlyphRenderer"},{"attributes":{"source":{"id":"34daea43-e83d-4b78-9820-a7aa23b46c79","type":"ColumnDataSource"}},"id":"2ff948d2-51c7-4a67-b6f6-761c37e1eca8","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"d826d57a-f515-4380-93c9-b977a981075a","type":"Circle"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"1243088a-2d1f-4949-9fa1-74bf42df96f2","type":"FactorRange"},{"attributes":{},"id":"ab7d3db7-ed71-4c54-86c9-211c23869360","type":"CategoricalTickFormatter"},{"attributes":{"formatter":{"id":"ab7d3db7-ed71-4c54-86c9-211c23869360","type":"CategoricalTickFormatter"},"plot":{"id":"118a72c7-44e9-477c-9262-8bacd46e0bdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"d754a808-b700-4220-b69d-9aff201dc751","type":"CategoricalTicker"}},"id":"10fe5019-637e-4a50-91a2-318528742dc3","type":"CategoricalAxis"},{"attributes":{"dimension":1,"plot":{"id":"118a72c7-44e9-477c-9262-8bacd46e0bdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"d754a808-b700-4220-b69d-9aff201dc751","type":"CategoricalTicker"}},"id":"c44fe012-073e-4747-bebe-7f82c82b6a8d","type":"Grid"},{"attributes":{"plot":{"id":"ba0d3068-b7ce-4648-b87f-3df15f116506","subtype":"Figure","type":"Plot"},"ticker":{"id":"90a7291b-10f9-4c87-8451-585200721b90","type":"CategoricalTicker"}},"id":"31420ca1-ff16-4a29-bb2a-bab59f168327","type":"Grid"},{"attributes":{},"id":"112bf76f-c4cd-4b1c-a2c3-6d081ae53f6d","type":"CategoricalTickFormatter"},{"attributes":{},"id":"deb4b19b-d887-4fb5-950c-55e7e47f38e8","type":"CategoricalTicker"},{"attributes":{"plot":{"id":"118a72c7-44e9-477c-9262-8bacd46e0bdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"892b9597-6395-419e-b9ea-f92d22ab65b7","type":"BasicTicker"}},"id":"a6557260-74b1-4532-b7eb-178d8edfd711","type":"Grid"},{"attributes":{"callback":null},"id":"fd40dafc-6ba1-4c3c-8397-6b0f485272e2","type":"HoverTool"},{"attributes":{},"id":"19d393f9-18a3-4636-9d25-75c7ddd8d128","type":"CategoricalScale"},{"attributes":{"formatter":{"id":"c81ada78-6bfa-4511-804e-4efc3eb3be8d","type":"BasicTickFormatter"},"plot":{"id":"118a72c7-44e9-477c-9262-8bacd46e0bdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"892b9597-6395-419e-b9ea-f92d22ab65b7","type":"BasicTicker"}},"id":"133e8dfe-ef3b-4699-8d37-c9f7f9e50958","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"108bc14d-2fb3-4335-b46f-c11ec160ab39","type":"Segment"},{"attributes":{"callback":null,"factors":["a","b","c","d","e","f","g","h"]},"id":"0cd44731-67c0-4840-b4da-71547bf8253c","type":"FactorRange"},{"attributes":{"line_color":{"value":"green"},"line_width":{"value":2},"x0":{"value":0},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"6e34cc69-c5cf-4d76-9de9-7d830b0e8e59","type":"Segment"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"40b1be3a-6f4f-4942-acaf-c9b966efcb32","type":"Rect"},{"attributes":{},"id":"d754a808-b700-4220-b69d-9aff201dc751","type":"CategoricalTicker"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":1},"line_color":{"field":"line_color"},"width":{"units":"data","value":1},"x":{"field":"x"},"y":{"field":"y"}},"id":"62309bf6-498f-4d02-b911-71cffb6dd521","type":"Rect"},{"attributes":{},"id":"d8334ce0-56b0-42fd-ae32-bbded803229c","type":"CategoricalScale"},{"attributes":{"children":[{"id":"ba0d3068-b7ce-4648-b87f-3df15f116506","subtype":"Figure","type":"Plot"},{"id":"118a72c7-44e9-477c-9262-8bacd46e0bdf","subtype":"Figure","type":"Plot"}],"sizing_mode":"scale_width"},"id":"233b38d0-8042-41e4-b2bc-74e45c5b6064","type":"Row"},{"attributes":{"formatter":{"id":"11ad25ca-4752-456d-959a-dc8cc156ce8b","type":"CategoricalTickFormatter"},"plot":{"id":"ba0d3068-b7ce-4648-b87f-3df15f116506","subtype":"Figure","type":"Plot"},"ticker":{"id":"90a7291b-10f9-4c87-8451-585200721b90","type":"CategoricalTicker"}},"id":"dbc755d6-8eeb-44a5-b7ad-82f115052f1f","type":"CategoricalAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"ca7a52a0-26d1-442b-a907-e17a7b48673b","type":"Toolbar"},{"attributes":{},"id":"e59b3724-8585-4f2b-88b0-a972e5b1f93c","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[50,40,65,10,25,37,80,60],"y":["a","b","c","d","e","f","g","h"]}},"id":"92363c4b-fe22-44df-90c5-acb4613ad51d","type":"ColumnDataSource"},{"attributes":{},"id":"90a7291b-10f9-4c87-8451-585200721b90","type":"CategoricalTicker"},{"attributes":{"fill_color":{"value":"orange"},"line_color":{"value":"green"},"line_width":{"value":3},"size":{"units":"screen","value":15},"x":{"field":"x"},"y":{"field":"y"}},"id":"a7567aef-c612-47d7-a93e-fa820bea89aa","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x","line_color","fill_color"],"data":{"fill_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"line_color":["#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B","#79BD9A","#CFF09E","#79BD9A","#0B486B"],"x":["foo 123","foo 123","foo 123","bar:0.2","bar:0.2","bar:0.2","baz-10","baz-10","baz-10"],"y":["foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10","foo 123","bar:0.2","baz-10"]}},"id":"977b913a-00c0-41e1-9bee-8215ef91ec57","type":"ColumnDataSource"},{"attributes":{"source":{"id":"977b913a-00c0-41e1-9bee-8215ef91ec57","type":"ColumnDataSource"}},"id":"3775fadd-6415-4ce3-ad1b-a175543a6b91","type":"CDSView"},{"attributes":{},"id":"c81ada78-6bfa-4511-804e-4efc3eb3be8d","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"ba0d3068-b7ce-4648-b87f-3df15f116506","subtype":"Figure","type":"Plot"},"ticker":{"id":"deb4b19b-d887-4fb5-950c-55e7e47f38e8","type":"CategoricalTicker"}},"id":"40977f67-92bd-4f6e-a414-296ca0c13c8b","type":"Grid"},{"attributes":{"plot":null,"text":"Categorical Heatmap"},"id":"69b8d91e-ce89-4f30-92fd-9a716f3c5b61","type":"Title"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fd40dafc-6ba1-4c3c-8397-6b0f485272e2","type":"HoverTool"}]},"id":"cd9afdc9-e9cd-46ca-a93f-09b2008135e5","type":"Toolbar"},{"attributes":{"data_source":{"id":"34daea43-e83d-4b78-9820-a7aa23b46c79","type":"ColumnDataSource"},"glyph":{"id":"6e34cc69-c5cf-4d76-9de9-7d830b0e8e59","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"108bc14d-2fb3-4335-b46f-c11ec160ab39","type":"Segment"},"selection_glyph":null,"view":{"id":"2ff948d2-51c7-4a67-b6f6-761c37e1eca8","type":"CDSView"}},"id":"0958a06d-f8f3-4c04-b6af-2e015a6a4112","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Categorical Dot Plot"},"id":"4aa43240-bf3f-4d0e-bf11-ef76ecba205a","type":"Title"},{"attributes":{"data_source":{"id":"92363c4b-fe22-44df-90c5-acb4613ad51d","type":"ColumnDataSource"},"glyph":{"id":"a7567aef-c612-47d7-a93e-fa820bea89aa","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d826d57a-f515-4380-93c9-b977a981075a","type":"Circle"},"selection_glyph":null,"view":{"id":"8b8716aa-33e2-4b8b-8e26-4e90f8a48f02","type":"CDSView"}},"id":"4e788435-912e-499e-84ee-c792139a96af","type":"GlyphRenderer"},{"attributes":{"callback":null,"factors":["foo 123","bar:0.2","baz-10"]},"id":"664c0ca2-7b92-483b-bc04-f3dc2791caf9","type":"FactorRange"},{"attributes":{"formatter":{"id":"112bf76f-c4cd-4b1c-a2c3-6d081ae53f6d","type":"CategoricalTickFormatter"},"plot":{"id":"ba0d3068-b7ce-4648-b87f-3df15f116506","subtype":"Figure","type":"Plot"},"ticker":{"id":"deb4b19b-d887-4fb5-950c-55e7e47f38e8","type":"CategoricalTicker"}},"id":"272fa406-d9d3-48b5-a68b-3f335bc3de65","type":"CategoricalAxis"}],"root_ids":["233b38d0-8042-41e4-b2bc-74e45c5b6064"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"de0d4180-1e38-47bd-8950-40f7caf4012c","elementid":"6054b403-58b8-41ec-9b90-a2574aac24bb","modelid":"233b38d0-8042-41e4-b2bc-74e45c5b6064"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
