(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("af0fa014-6cb2-494b-bedd-75547a3455df");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'af0fa014-6cb2-494b-bedd-75547a3455df' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cbf2093f-9277-40d8-b38f-ae682beb2a98":{"roots":{"references":[{"attributes":{},"id":"c40007e3-420e-46c9-8ff8-2e4d8d03f6ae","type":"BasicTicker"},{"attributes":{},"id":"fee2f2d3-e1f9-44f4-b57d-0767ea01cf2e","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d7cb129b-173f-47cf-9364-d635519e3a84","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"1e7b5ea1-a5ab-44ee-a8d1-96ca68527492","subtype":"Figure","type":"Plot"},"ticker":{"id":"c40007e3-420e-46c9-8ff8-2e4d8d03f6ae","type":"BasicTicker"}},"id":"335ee9e4-b95d-4d09-8ff6-c2854a73c23b","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"24c61b42-b958-47e1-b978-542beba94f5f","type":"Circle"},{"attributes":{"below":[{"id":"6933e711-1348-4f39-b8f9-8e2906d423c3","type":"LinearAxis"}],"border_fill_color":{"value":"whitesmoke"},"left":[{"id":"36d4d845-429a-4979-8348-7d1e3834ba6a","type":"LinearAxis"}],"min_border_left":80,"plot_height":400,"plot_width":400,"renderers":[{"id":"6933e711-1348-4f39-b8f9-8e2906d423c3","type":"LinearAxis"},{"id":"fb20a2ee-4cc6-4f2b-81c4-44af6a55e205","type":"Grid"},{"id":"36d4d845-429a-4979-8348-7d1e3834ba6a","type":"LinearAxis"},{"id":"335ee9e4-b95d-4d09-8ff6-c2854a73c23b","type":"Grid"},{"id":"d7cb129b-173f-47cf-9364-d635519e3a84","type":"BoxAnnotation"},{"id":"6ee0bb9e-7fff-403d-99d0-5a4adf65eb14","type":"GlyphRenderer"}],"title":{"id":"e679b774-b869-4ee5-91fd-9ace9dd68854","type":"Title"},"toolbar":{"id":"95017a75-3821-458a-9689-4d8a7dd8b4f1","type":"Toolbar"},"x_range":{"id":"c3ba0b74-4448-44fe-abdc-8d9442796448","type":"DataRange1d"},"x_scale":{"id":"fee2f2d3-e1f9-44f4-b57d-0767ea01cf2e","type":"LinearScale"},"y_range":{"id":"49303941-5409-49c4-b38f-b44a9eb6436e","type":"DataRange1d"},"y_scale":{"id":"a4269a5f-9d8f-46e5-bd80-305a4d64332c","type":"LinearScale"}},"id":"1e7b5ea1-a5ab-44ee-a8d1-96ca68527492","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8f1e3d5d-9dfe-4e20-bb2b-dfe38de9fffd","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"3228db9b-83ae-4395-9086-e5e7eaeff8b5","type":"BasicTickFormatter"},"plot":{"id":"1e7b5ea1-a5ab-44ee-a8d1-96ca68527492","subtype":"Figure","type":"Plot"},"ticker":{"id":"c40007e3-420e-46c9-8ff8-2e4d8d03f6ae","type":"BasicTicker"}},"id":"36d4d845-429a-4979-8348-7d1e3834ba6a","type":"LinearAxis"},{"attributes":{},"id":"3228db9b-83ae-4395-9086-e5e7eaeff8b5","type":"BasicTickFormatter"},{"attributes":{},"id":"423d35ff-9520-49b6-a579-763c2f35b1f5","type":"PanTool"},{"attributes":{},"id":"36e6ea22-9076-452e-8152-69bb0fd2b783","type":"BasicTicker"},{"attributes":{},"id":"670690cf-9153-4eff-8e41-267f0003ffb4","type":"ResetTool"},{"attributes":{"callback":null},"id":"c3ba0b74-4448-44fe-abdc-8d9442796448","type":"DataRange1d"},{"attributes":{"overlay":{"id":"d7cb129b-173f-47cf-9364-d635519e3a84","type":"BoxAnnotation"}},"id":"ae3e54db-336e-44a3-a6f7-2e27ef2fe855","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"1e7b5ea1-a5ab-44ee-a8d1-96ca68527492","subtype":"Figure","type":"Plot"},"ticker":{"id":"36e6ea22-9076-452e-8152-69bb0fd2b783","type":"BasicTicker"}},"id":"fb20a2ee-4cc6-4f2b-81c4-44af6a55e205","type":"Grid"},{"attributes":{"data_source":{"id":"434ca405-1564-49a5-ac89-ccd7d21a93c7","type":"ColumnDataSource"},"glyph":{"id":"24c61b42-b958-47e1-b978-542beba94f5f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"febede32-1483-4370-97e2-eb52dbde9a8a","type":"Circle"},"selection_glyph":null,"view":{"id":"ab162d8f-ab25-4d63-a07e-c9b7d5830d7e","type":"CDSView"}},"id":"6ee0bb9e-7fff-403d-99d0-5a4adf65eb14","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"434ca405-1564-49a5-ac89-ccd7d21a93c7","type":"ColumnDataSource"},{"attributes":{},"id":"0603056a-220b-47f7-a2eb-972a7be28781","type":"HelpTool"},{"attributes":{"formatter":{"id":"0a6806f0-a8ec-4cee-84f1-b5beb1e60fde","type":"BasicTickFormatter"},"plot":{"id":"1e7b5ea1-a5ab-44ee-a8d1-96ca68527492","subtype":"Figure","type":"Plot"},"ticker":{"id":"36e6ea22-9076-452e-8152-69bb0fd2b783","type":"BasicTicker"}},"id":"6933e711-1348-4f39-b8f9-8e2906d423c3","type":"LinearAxis"},{"attributes":{},"id":"a4269a5f-9d8f-46e5-bd80-305a4d64332c","type":"LinearScale"},{"attributes":{"callback":null},"id":"49303941-5409-49c4-b38f-b44a9eb6436e","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"423d35ff-9520-49b6-a579-763c2f35b1f5","type":"PanTool"},{"id":"8f1e3d5d-9dfe-4e20-bb2b-dfe38de9fffd","type":"WheelZoomTool"},{"id":"ae3e54db-336e-44a3-a6f7-2e27ef2fe855","type":"BoxZoomTool"},{"id":"461c9954-9592-43dc-8fae-97e1b9c2c2f9","type":"SaveTool"},{"id":"670690cf-9153-4eff-8e41-267f0003ffb4","type":"ResetTool"},{"id":"0603056a-220b-47f7-a2eb-972a7be28781","type":"HelpTool"}]},"id":"95017a75-3821-458a-9689-4d8a7dd8b4f1","type":"Toolbar"},{"attributes":{},"id":"461c9954-9592-43dc-8fae-97e1b9c2c2f9","type":"SaveTool"},{"attributes":{"source":{"id":"434ca405-1564-49a5-ac89-ccd7d21a93c7","type":"ColumnDataSource"}},"id":"ab162d8f-ab25-4d63-a07e-c9b7d5830d7e","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"febede32-1483-4370-97e2-eb52dbde9a8a","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"e679b774-b869-4ee5-91fd-9ace9dd68854","type":"Title"},{"attributes":{},"id":"0a6806f0-a8ec-4cee-84f1-b5beb1e60fde","type":"BasicTickFormatter"}],"root_ids":["1e7b5ea1-a5ab-44ee-a8d1-96ca68527492"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cbf2093f-9277-40d8-b38f-ae682beb2a98","elementid":"af0fa014-6cb2-494b-bedd-75547a3455df","modelid":"1e7b5ea1-a5ab-44ee-a8d1-96ca68527492"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
