(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("41116cea-85dc-44f8-86d3-86aebf0b46c3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '41116cea-85dc-44f8-86d3-86aebf0b46c3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0615f7a8-6418-426f-91ea-09cead2377ad":{"roots":{"references":[{"attributes":{"plot":{"id":"5d6e24fb-3b67-43e2-8770-7c2dfeaa567c","type":"Plot"},"ticker":{"id":"e7e5cbe4-39eb-44b3-b41a-c3d6a82cfbeb","type":"BasicTicker"}},"id":"fe885437-5e38-4dd0-beb5-fbed255772c1","type":"Grid"},{"attributes":{},"id":"e7e5cbe4-39eb-44b3-b41a-c3d6a82cfbeb","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"5d6e24fb-3b67-43e2-8770-7c2dfeaa567c","type":"Plot"},"ticker":{"id":"6539b8cf-ba37-45a6-9149-66b4fad37d5d","type":"BasicTicker"}},"id":"697e577d-0a3e-4bc8-956e-e7108c29ef1f","type":"Grid"},{"attributes":{"data_source":{"id":"ea4bf5f8-27e7-4bdd-b0d1-34d0231fd747","type":"ColumnDataSource"},"glyph":{"id":"74ef016c-52f2-418c-aec7-1e73161868f0","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"2a98d4ba-daff-4a2e-bf52-d4119cebb147","type":"CDSView"}},"id":"76f76bae-ec8c-4e84-9f0c-139b46439cef","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"132c89b6-fe9b-4240-bfe6-0b2db6fdf5c0","type":"BasicTickFormatter"},"plot":{"id":"5d6e24fb-3b67-43e2-8770-7c2dfeaa567c","type":"Plot"},"ticker":{"id":"6539b8cf-ba37-45a6-9149-66b4fad37d5d","type":"BasicTicker"}},"id":"d020993e-4828-4b31-9f67-d6d3a4808a8d","type":"LinearAxis"},{"attributes":{"callback":null},"id":"b34abb18-f834-4465-a05f-0221af7ad8fb","type":"DataRange1d"},{"attributes":{},"id":"315f6abc-0234-4d9c-a1f9-16894c8d749a","type":"LinearScale"},{"attributes":{"formatter":{"id":"916c7064-f723-4d6c-85a0-aa72f9255988","type":"BasicTickFormatter"},"plot":{"id":"5d6e24fb-3b67-43e2-8770-7c2dfeaa567c","type":"Plot"},"ticker":{"id":"e7e5cbe4-39eb-44b3-b41a-c3d6a82cfbeb","type":"BasicTicker"}},"id":"777baee3-2ef1-4fd0-b55d-2b254fc3f734","type":"LinearAxis"},{"attributes":{},"id":"6539b8cf-ba37-45a6-9149-66b4fad37d5d","type":"BasicTicker"},{"attributes":{"source":{"id":"ea4bf5f8-27e7-4bdd-b0d1-34d0231fd747","type":"ColumnDataSource"}},"id":"2a98d4ba-daff-4a2e-bf52-d4119cebb147","type":"CDSView"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#8888ee"},"inner_radius":{"units":"data","value":0.2},"outer_radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"74ef016c-52f2-418c-aec7-1e73161868f0","type":"AnnularWedge"},{"attributes":{},"id":"916c7064-f723-4d6c-85a0-aa72f9255988","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"777baee3-2ef1-4fd0-b55d-2b254fc3f734","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"d020993e-4828-4b31-9f67-d6d3a4808a8d","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"76f76bae-ec8c-4e84-9f0c-139b46439cef","type":"GlyphRenderer"},{"id":"777baee3-2ef1-4fd0-b55d-2b254fc3f734","type":"LinearAxis"},{"id":"d020993e-4828-4b31-9f67-d6d3a4808a8d","type":"LinearAxis"},{"id":"fe885437-5e38-4dd0-beb5-fbed255772c1","type":"Grid"},{"id":"697e577d-0a3e-4bc8-956e-e7108c29ef1f","type":"Grid"}],"title":null,"toolbar":{"id":"0a3f9106-fd4d-4674-a8e0-aa5b5c10a256","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"b34abb18-f834-4465-a05f-0221af7ad8fb","type":"DataRange1d"},"x_scale":{"id":"14e01429-2d87-4df9-bcbb-3893b298b808","type":"LinearScale"},"y_range":{"id":"805d7c02-c9b6-43e5-9645-91a47b9976a5","type":"DataRange1d"},"y_scale":{"id":"315f6abc-0234-4d9c-a1f9-16894c8d749a","type":"LinearScale"}},"id":"5d6e24fb-3b67-43e2-8770-7c2dfeaa567c","type":"Plot"},{"attributes":{"callback":null},"id":"805d7c02-c9b6-43e5-9645-91a47b9976a5","type":"DataRange1d"},{"attributes":{},"id":"14e01429-2d87-4df9-bcbb-3893b298b808","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"0a3f9106-fd4d-4674-a8e0-aa5b5c10a256","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"393d3d3dzT+amZmZmZnRP0VERERERNQ/7+7u7u7u1j+amZmZmZnZP0VERERERNw/7+7u7u7u3j/NzMzMzMzgPyIiIiIiIuI/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"ea4bf5f8-27e7-4bdd-b0d1-34d0231fd747","type":"ColumnDataSource"},{"attributes":{},"id":"132c89b6-fe9b-4240-bfe6-0b2db6fdf5c0","type":"BasicTickFormatter"}],"root_ids":["5d6e24fb-3b67-43e2-8770-7c2dfeaa567c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0615f7a8-6418-426f-91ea-09cead2377ad","elementid":"41116cea-85dc-44f8-86d3-86aebf0b46c3","modelid":"5d6e24fb-3b67-43e2-8770-7c2dfeaa567c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
