(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7e90bec5-1072-4f72-a812-37b891155684");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7e90bec5-1072-4f72-a812-37b891155684' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5f4ffa49-a265-4254-a091-2ea68d14cd74":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#7fc97f"},"inner_radius":{"units":"data","value":0.2},"outer_radius":{"units":"data","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"5335f4ba-4f92-4d99-9fdb-ab20aae143ee","type":"Annulus"},{"attributes":{},"id":"077d52ea-ec17-4be1-97c6-0cd78c42eec5","type":"BasicTickFormatter"},{"attributes":{},"id":"57f1de97-62e9-4e95-a371-bb9fe3a05cc2","type":"BasicTickFormatter"},{"attributes":{},"id":"2710e52d-7142-4303-9ce0-7def3ada47c9","type":"BasicTicker"},{"attributes":{"data_source":{"id":"e5e8bcdb-c9b3-4596-a6cf-f5e241c188d5","type":"ColumnDataSource"},"glyph":{"id":"5335f4ba-4f92-4d99-9fdb-ab20aae143ee","type":"Annulus"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"33c387b1-1d9c-43d2-ba8b-e32e0092c19d","type":"CDSView"}},"id":"b9b01d73-fc89-4c8a-bdef-3ce0de093b12","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"5031d1fc-7c7d-4063-80e7-08760ff4fe7c","type":"DataRange1d"},{"attributes":{"plot":{"id":"1292e8bb-14d4-4987-80aa-35b7175260fe","type":"Plot"},"ticker":{"id":"711897db-f975-4595-b185-98e8f7f4f14e","type":"BasicTicker"}},"id":"13fb2a22-ada1-47ff-b6d0-9e14e44a9f47","type":"Grid"},{"attributes":{},"id":"d4c5a698-0ef7-4fcf-ac35-f839bb64d59b","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"69664e5b-4e7c-4313-95a1-934a41e5cb75","type":"Toolbar"},{"attributes":{"callback":null},"id":"70dcf035-e5fa-4d3c-9b15-1449aace5852","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"1292e8bb-14d4-4987-80aa-35b7175260fe","type":"Plot"},"ticker":{"id":"2710e52d-7142-4303-9ce0-7def3ada47c9","type":"BasicTicker"}},"id":"82908df1-c86d-4e9c-8c7d-3682928d879c","type":"Grid"},{"attributes":{"formatter":{"id":"077d52ea-ec17-4be1-97c6-0cd78c42eec5","type":"BasicTickFormatter"},"plot":{"id":"1292e8bb-14d4-4987-80aa-35b7175260fe","type":"Plot"},"ticker":{"id":"711897db-f975-4595-b185-98e8f7f4f14e","type":"BasicTicker"}},"id":"1bfd11eb-cde3-490f-ba5f-241edd614f8d","type":"LinearAxis"},{"attributes":{"below":[{"id":"1bfd11eb-cde3-490f-ba5f-241edd614f8d","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"ab27ae08-d4ed-4e07-b321-5fb3a336fbad","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"b9b01d73-fc89-4c8a-bdef-3ce0de093b12","type":"GlyphRenderer"},{"id":"1bfd11eb-cde3-490f-ba5f-241edd614f8d","type":"LinearAxis"},{"id":"ab27ae08-d4ed-4e07-b321-5fb3a336fbad","type":"LinearAxis"},{"id":"13fb2a22-ada1-47ff-b6d0-9e14e44a9f47","type":"Grid"},{"id":"82908df1-c86d-4e9c-8c7d-3682928d879c","type":"Grid"}],"title":null,"toolbar":{"id":"69664e5b-4e7c-4313-95a1-934a41e5cb75","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"70dcf035-e5fa-4d3c-9b15-1449aace5852","type":"DataRange1d"},"x_scale":{"id":"9c930ed2-66e6-4eb3-8755-fcaec85d7cff","type":"LinearScale"},"y_range":{"id":"5031d1fc-7c7d-4063-80e7-08760ff4fe7c","type":"DataRange1d"},"y_scale":{"id":"d4c5a698-0ef7-4fcf-ac35-f839bb64d59b","type":"LinearScale"}},"id":"1292e8bb-14d4-4987-80aa-35b7175260fe","type":"Plot"},{"attributes":{"source":{"id":"e5e8bcdb-c9b3-4596-a6cf-f5e241c188d5","type":"ColumnDataSource"}},"id":"33c387b1-1d9c-43d2-ba8b-e32e0092c19d","type":"CDSView"},{"attributes":{"formatter":{"id":"57f1de97-62e9-4e95-a371-bb9fe3a05cc2","type":"BasicTickFormatter"},"plot":{"id":"1292e8bb-14d4-4987-80aa-35b7175260fe","type":"Plot"},"ticker":{"id":"2710e52d-7142-4303-9ce0-7def3ada47c9","type":"BasicTicker"}},"id":"ab27ae08-d4ed-4e07-b321-5fb3a336fbad","type":"LinearAxis"},{"attributes":{},"id":"9c930ed2-66e6-4eb3-8755-fcaec85d7cff","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"e5e8bcdb-c9b3-4596-a6cf-f5e241c188d5","type":"ColumnDataSource"},{"attributes":{},"id":"711897db-f975-4595-b185-98e8f7f4f14e","type":"BasicTicker"}],"root_ids":["1292e8bb-14d4-4987-80aa-35b7175260fe"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5f4ffa49-a265-4254-a091-2ea68d14cd74","elementid":"7e90bec5-1072-4f72-a812-37b891155684","modelid":"1292e8bb-14d4-4987-80aa-35b7175260fe"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
