(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("db6f67c8-34f0-461f-94f0-7c29f299398b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'db6f67c8-34f0-461f-94f0-7c29f299398b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9b7f1bc6-a432-48af-83e3-12e466f17cfe":{"roots":{"references":[{"attributes":{},"id":"f478b621-a4f1-4b77-bfb1-95a2985c0979","type":"LinearScale"},{"attributes":{"source":{"id":"a268ba8a-d524-42ae-9853-53fe28b2d7e3","type":"ColumnDataSource"}},"id":"2cb9100e-64a5-48ee-8f64-7744ad76ce53","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"1c076c68-12a1-4cc2-8607-0dab51b152df","type":"Plot"},"ticker":{"id":"dc90eb7f-043f-46f7-8a27-49aa9ac493c9","type":"BasicTicker"}},"id":"596ea01f-adf1-4ac3-ad1c-bba7071f7519","type":"Grid"},{"attributes":{},"id":"e11bcb4c-9cbb-4992-9088-1dbec7c3c38e","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e11bcb4c-9cbb-4992-9088-1dbec7c3c38e","type":"BasicTickFormatter"},"plot":{"id":"1c076c68-12a1-4cc2-8607-0dab51b152df","type":"Plot"},"ticker":{"id":"dc6f50aa-2edb-460f-90f8-a0f90b7c4e59","type":"BasicTicker"}},"id":"d1b5b581-d1cd-4ddf-96d3-a9078043997f","type":"LinearAxis"},{"attributes":{"formatter":{"id":"0ca6fce8-edc4-4dd3-88b7-cb1b7b3121d1","type":"BasicTickFormatter"},"plot":{"id":"1c076c68-12a1-4cc2-8607-0dab51b152df","type":"Plot"},"ticker":{"id":"dc90eb7f-043f-46f7-8a27-49aa9ac493c9","type":"BasicTicker"}},"id":"6422d802-65c4-4983-b50c-6d89e7b7d406","type":"LinearAxis"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"line_color":{"value":"#beaed4"},"line_width":{"value":3},"radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"ea70ccd2-b845-4e12-8257-3d4f105c4a9c","type":"Arc"},{"attributes":{"callback":null},"id":"bdf0fdc6-890d-4159-9f07-a3f713d59eaf","type":"DataRange1d"},{"attributes":{},"id":"dc6f50aa-2edb-460f-90f8-a0f90b7c4e59","type":"BasicTicker"},{"attributes":{},"id":"574933eb-8e09-4f90-b713-66a54b924ee4","type":"LinearScale"},{"attributes":{},"id":"0ca6fce8-edc4-4dd3-88b7-cb1b7b3121d1","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"ebe17136-6b88-474b-bdcb-d503ffcd55d8","type":"DataRange1d"},{"attributes":{"below":[{"id":"d1b5b581-d1cd-4ddf-96d3-a9078043997f","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"6422d802-65c4-4983-b50c-6d89e7b7d406","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"ab67eae7-db9b-49ab-8d40-b3bc028b5225","type":"GlyphRenderer"},{"id":"d1b5b581-d1cd-4ddf-96d3-a9078043997f","type":"LinearAxis"},{"id":"6422d802-65c4-4983-b50c-6d89e7b7d406","type":"LinearAxis"},{"id":"fabc8506-1d04-475c-b885-80c4fe4ec658","type":"Grid"},{"id":"596ea01f-adf1-4ac3-ad1c-bba7071f7519","type":"Grid"}],"title":null,"toolbar":{"id":"92acbde9-e3dc-4c43-81f0-9ee946fca68b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ebe17136-6b88-474b-bdcb-d503ffcd55d8","type":"DataRange1d"},"x_scale":{"id":"574933eb-8e09-4f90-b713-66a54b924ee4","type":"LinearScale"},"y_range":{"id":"bdf0fdc6-890d-4159-9f07-a3f713d59eaf","type":"DataRange1d"},"y_scale":{"id":"f478b621-a4f1-4b77-bfb1-95a2985c0979","type":"LinearScale"}},"id":"1c076c68-12a1-4cc2-8607-0dab51b152df","type":"Plot"},{"attributes":{"data_source":{"id":"a268ba8a-d524-42ae-9853-53fe28b2d7e3","type":"ColumnDataSource"},"glyph":{"id":"ea70ccd2-b845-4e12-8257-3d4f105c4a9c","type":"Arc"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"2cb9100e-64a5-48ee-8f64-7744ad76ce53","type":"CDSView"}},"id":"ab67eae7-db9b-49ab-8d40-b3bc028b5225","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"92acbde9-e3dc-4c43-81f0-9ee946fca68b","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"a268ba8a-d524-42ae-9853-53fe28b2d7e3","type":"ColumnDataSource"},{"attributes":{},"id":"dc90eb7f-043f-46f7-8a27-49aa9ac493c9","type":"BasicTicker"},{"attributes":{"plot":{"id":"1c076c68-12a1-4cc2-8607-0dab51b152df","type":"Plot"},"ticker":{"id":"dc6f50aa-2edb-460f-90f8-a0f90b7c4e59","type":"BasicTicker"}},"id":"fabc8506-1d04-475c-b885-80c4fe4ec658","type":"Grid"}],"root_ids":["1c076c68-12a1-4cc2-8607-0dab51b152df"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9b7f1bc6-a432-48af-83e3-12e466f17cfe","elementid":"db6f67c8-34f0-461f-94f0-7c29f299398b","modelid":"1c076c68-12a1-4cc2-8607-0dab51b152df"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
