(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("7476b95b-8bf2-48be-824a-f116a3ca8996");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '7476b95b-8bf2-48be-824a-f116a3ca8996' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"19bb78d1-496e-4cb4-ba68-567cbf25514d":{"roots":{"references":[{"attributes":{},"id":"5458cae7-7b66-424d-aa10-9c0e32d13e34","type":"LinearScale"},{"attributes":{"below":[{"id":"a390e85c-81c7-4271-aa80-3c9cfcbcd631","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"28ed83eb-fd13-485f-91a9-28838abec33c","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"5c518af3-e17f-4e71-84ad-960fb2e58f7f","type":"GlyphRenderer"},{"id":"a390e85c-81c7-4271-aa80-3c9cfcbcd631","type":"LinearAxis"},{"id":"28ed83eb-fd13-485f-91a9-28838abec33c","type":"LinearAxis"},{"id":"1f55f9c6-5384-497a-bfb9-62a0836c5fbf","type":"Grid"},{"id":"b47cca76-e7de-43c7-9740-459dc03a2af0","type":"Grid"}],"title":null,"toolbar":{"id":"bfb1b2a3-5da8-4972-b35b-d4307c9c78de","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"12e60553-a458-45f8-854b-34981c1969d4","type":"DataRange1d"},"x_scale":{"id":"0bf9dd53-c5b4-4931-942b-b5898b51d939","type":"LinearScale"},"y_range":{"id":"2136ede0-b10d-439e-8d79-84550e0b70c1","type":"DataRange1d"},"y_scale":{"id":"5458cae7-7b66-424d-aa10-9c0e32d13e34","type":"LinearScale"}},"id":"eda122d8-478b-499f-ae48-b535908e9907","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"bfb1b2a3-5da8-4972-b35b-d4307c9c78de","type":"Toolbar"},{"attributes":{},"id":"d997bb57-523b-4620-8446-a9866a2d3849","type":"BasicTicker"},{"attributes":{"cx0":{"field":"xp01"},"cx1":{"field":"xm01"},"cy0":{"field":"yp01"},"cy1":{"field":"ym01"},"line_color":{"value":"#D95F02"},"line_width":{"value":2},"x0":{"field":"x"},"x1":{"field":"xp02"},"y0":{"field":"y"},"y1":{"field":"y"}},"id":"7a3efe66-52e6-4107-9a08-dc370298aa38","type":"Bezier"},{"attributes":{},"id":"dd1f4af5-c5a7-4d0b-800f-7542fce1ab9b","type":"BasicTicker"},{"attributes":{"plot":{"id":"eda122d8-478b-499f-ae48-b535908e9907","type":"Plot"},"ticker":{"id":"dd1f4af5-c5a7-4d0b-800f-7542fce1ab9b","type":"BasicTicker"}},"id":"1f55f9c6-5384-497a-bfb9-62a0836c5fbf","type":"Grid"},{"attributes":{"callback":null},"id":"2136ede0-b10d-439e-8d79-84550e0b70c1","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"eda122d8-478b-499f-ae48-b535908e9907","type":"Plot"},"ticker":{"id":"d997bb57-523b-4620-8446-a9866a2d3849","type":"BasicTicker"}},"id":"b47cca76-e7de-43c7-9740-459dc03a2af0","type":"Grid"},{"attributes":{},"id":"080ef0ba-5945-40de-9f23-7226476c0af7","type":"BasicTickFormatter"},{"attributes":{},"id":"0bf9dd53-c5b4-4931-942b-b5898b51d939","type":"LinearScale"},{"attributes":{"source":{"id":"a495289c-fb40-4567-bbef-4d8a7b5ab8af","type":"ColumnDataSource"}},"id":"e6dea42f-d739-4e8a-ae14-52b9dc54fa26","type":"CDSView"},{"attributes":{"formatter":{"id":"080ef0ba-5945-40de-9f23-7226476c0af7","type":"BasicTickFormatter"},"plot":{"id":"eda122d8-478b-499f-ae48-b535908e9907","type":"Plot"},"ticker":{"id":"dd1f4af5-c5a7-4d0b-800f-7542fce1ab9b","type":"BasicTicker"}},"id":"a390e85c-81c7-4271-aa80-3c9cfcbcd631","type":"LinearAxis"},{"attributes":{},"id":"ba47de83-e9d5-4a31-8c5d-71a29e82de2f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"ba47de83-e9d5-4a31-8c5d-71a29e82de2f","type":"BasicTickFormatter"},"plot":{"id":"eda122d8-478b-499f-ae48-b535908e9907","type":"Plot"},"ticker":{"id":"d997bb57-523b-4620-8446-a9866a2d3849","type":"BasicTicker"}},"id":"28ed83eb-fd13-485f-91a9-28838abec33c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"12e60553-a458-45f8-854b-34981c1969d4","type":"DataRange1d"},{"attributes":{"data_source":{"id":"a495289c-fb40-4567-bbef-4d8a7b5ab8af","type":"ColumnDataSource"},"glyph":{"id":"7a3efe66-52e6-4107-9a08-dc370298aa38","type":"Bezier"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e6dea42f-d739-4e8a-ae14-52b9dc54fa26","type":"CDSView"}},"id":"5c518af3-e17f-4e71-84ad-960fb2e58f7f","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","ym01","yp01","xm01","x","xp01","xp02"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xm01":{"__ndarray__":"zczMzMzMAMCamZmZmZn5v5qZmZmZmfG/MzMzMzMz47+amZmZmZm5v5qZmZmZmdk/zczMzMzM7D9mZmZmZmb2P2ZmZmZmZv4/","dtype":"float64","shape":[9]},"xp01":{"__ndarray__":"ZmZmZmZm/r9mZmZmZmb2v83MzMzMzOy/mpmZmZmZ2b+amZmZmZm5PzMzMzMzM+M/mpmZmZmZ8T+amZmZmZn5P83MzMzMzABA","dtype":"float64","shape":[9]},"xp02":{"__ndarray__":"mpmZmZmZ+b+amZmZmZnxvzMzMzMzM+O/mJmZmZmZub+amZmZmZnZP83MzMzMzOw/ZmZmZmZm9j9mZmZmZmb+PzMzMzMzMwNA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"ym01":{"__ndarray__":"ZmZmZmZmDkBmZmZmZmYAQJqZmZmZmek/mJmZmZmZqT+amZmZmZnJv5iZmZmZmak/mpmZmZmZ6T9mZmZmZmYAQGZmZmZmZg5A","dtype":"float64","shape":[9]},"yp01":{"__ndarray__":"zczMzMzMEECamZmZmZkDQDMzMzMzM/M/zczMzMzM3D+amZmZmZnJP83MzMzMzNw/MzMzMzMz8z+amZmZmZkDQM3MzMzMzBBA","dtype":"float64","shape":[9]}}},"id":"a495289c-fb40-4567-bbef-4d8a7b5ab8af","type":"ColumnDataSource"}],"root_ids":["eda122d8-478b-499f-ae48-b535908e9907"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"19bb78d1-496e-4cb4-ba68-567cbf25514d","elementid":"7476b95b-8bf2-48be-824a-f116a3ca8996","modelid":"eda122d8-478b-499f-ae48-b535908e9907"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
