(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("75ca9c07-10e9-46af-b300-928e61f0f758");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '75ca9c07-10e9-46af-b300-928e61f0f758' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"fc96bed0-5d51-4d69-809a-b5784b474291":{"roots":{"references":[{"attributes":{},"id":"5a68a1ba-0880-41fe-8324-a36b45286703","type":"LinearScale"},{"attributes":{"h":{"units":"data","value":20},"url":{"field":"url"},"w":{"units":"data","value":20},"x":{"field":"x2"},"y":{"field":"y2"}},"id":"a712dfc1-abd8-4733-bb3d-641977f47163","type":"ImageURL"},{"attributes":{},"id":"2330d7bc-dc09-4bc2-b532-aaeb2255abda","type":"BasicTicker"},{"attributes":{"source":{"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"}},"id":"eea9a788-c501-4730-ae18-137873003ac9","type":"CDSView"},{"attributes":{"formatter":{"id":"a0a63d89-c8a1-468e-84b5-a3f1f5f6c44c","type":"BasicTickFormatter"},"plot":{"id":"15a8b8a4-c934-4ce9-9835-8655b02ba59a","type":"Plot"},"ticker":{"id":"2330d7bc-dc09-4bc2-b532-aaeb2255abda","type":"BasicTicker"}},"id":"bece52a9-d480-414e-9e66-2c3be47b3e9e","type":"LinearAxis"},{"attributes":{},"id":"7b79db65-17fa-4dbd-ac40-725e1dea3bc9","type":"BasicTicker"},{"attributes":{"data_source":{"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"},"glyph":{"id":"a712dfc1-abd8-4733-bb3d-641977f47163","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5e12fc34-443e-4ab2-b1f7-20852b96f642","type":"CDSView"}},"id":"5dc76337-84c0-466d-bff2-35a2db2c3038","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"faba86c4-ac8e-4e0c-be4c-6061cd473030","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"15a8b8a4-c934-4ce9-9835-8655b02ba59a","type":"Plot"},"ticker":{"id":"2330d7bc-dc09-4bc2-b532-aaeb2255abda","type":"BasicTicker"}},"id":"0f29073b-438c-475e-893c-2d43caa77434","type":"Grid"},{"attributes":{"formatter":{"id":"a2003d4d-d74e-41aa-aac2-5a55c8fec773","type":"BasicTickFormatter"},"plot":{"id":"15a8b8a4-c934-4ce9-9835-8655b02ba59a","type":"Plot"},"ticker":{"id":"7b79db65-17fa-4dbd-ac40-725e1dea3bc9","type":"BasicTicker"}},"id":"0d4c83b6-8a2e-4049-a210-ee61bcd5c652","type":"LinearAxis"},{"attributes":{"anchor":"center","h":{"field":"h1","units":"data"},"url":{"field":"url"},"w":{"field":"w1","units":"data"},"x":{"field":"x1"},"y":{"field":"y1"}},"id":"c63bb970-98f5-47b3-98a0-0db6284c934f","type":"ImageURL"},{"attributes":{"source":{"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"}},"id":"5e12fc34-443e-4ab2-b1f7-20852b96f642","type":"CDSView"},{"attributes":{},"id":"6997b1e9-e107-4823-adc0-cabd678aef31","type":"LinearScale"},{"attributes":{"plot":{"id":"15a8b8a4-c934-4ce9-9835-8655b02ba59a","type":"Plot"},"ticker":{"id":"7b79db65-17fa-4dbd-ac40-725e1dea3bc9","type":"BasicTicker"}},"id":"7772c15f-86cf-4aac-bf6b-3e4fe1a4c7f8","type":"Grid"},{"attributes":{"data_source":{"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"},"glyph":{"id":"f22a264b-8fdb-4506-9c9e-186bfac252a9","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"eea9a788-c501-4730-ae18-137873003ac9","type":"CDSView"}},"id":"6b8b2d0d-8b3e-478a-b00c-ef131e82b71f","type":"GlyphRenderer"},{"attributes":{"callback":null,"end":200,"start":-100},"id":"96aab321-6ea7-40dd-9b19-32fea865a385","type":"Range1d"},{"attributes":{"callback":null,"column_names":["x2","y1","h1","w1","url","x1","y2"],"data":{"h1":{"__ndarray__":"AAAAAAAAJEAAAAAAAAA0QAAAAAAAAD5AAAAAAAAAREAAAAAAAABJQA==","dtype":"float64","shape":[5]},"url":["https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png","https://bokeh.pydata.org/en/latest/_static/images/logo.png"],"w1":{"__ndarray__":"AAAAAAAAJEAAAAAAAAA0QAAAAAAAAD5AAAAAAAAAREAAAAAAAABJQA==","dtype":"float64","shape":[5]},"x1":{"__ndarray__":"AAAAAAAAAAAAAAAAAMBCQAAAAAAAwFJAAAAAAAAgXEAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"x2":{"__ndarray__":"AAAAAAAAScAAAAAAAAAAAAAAAAAAAElAAAAAAAAAWUAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"y1":{"__ndarray__":"AAAAAAAAAAAAAAAAAMBCQAAAAAAAwFJAAAAAAAAgXEAAAAAAAMBiQA==","dtype":"float64","shape":[5]},"y2":{"__ndarray__":"AAAAAAAAAAAAAAAAAABJQAAAAAAAAFlAAAAAAADAYkAAAAAAAABpQA==","dtype":"float64","shape":[5]}}},"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"},"glyph":{"id":"c63bb970-98f5-47b3-98a0-0db6284c934f","type":"ImageURL"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"d62f0240-a6dd-479a-93e8-fa676837a3ad","type":"CDSView"}},"id":"25087837-c12f-4a6e-a409-dd6bd73a32b5","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"0d4c83b6-8a2e-4049-a210-ee61bcd5c652","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"bece52a9-d480-414e-9e66-2c3be47b3e9e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"25087837-c12f-4a6e-a409-dd6bd73a32b5","type":"GlyphRenderer"},{"id":"5dc76337-84c0-466d-bff2-35a2db2c3038","type":"GlyphRenderer"},{"id":"6b8b2d0d-8b3e-478a-b00c-ef131e82b71f","type":"GlyphRenderer"},{"id":"0d4c83b6-8a2e-4049-a210-ee61bcd5c652","type":"LinearAxis"},{"id":"bece52a9-d480-414e-9e66-2c3be47b3e9e","type":"LinearAxis"},{"id":"7772c15f-86cf-4aac-bf6b-3e4fe1a4c7f8","type":"Grid"},{"id":"0f29073b-438c-475e-893c-2d43caa77434","type":"Grid"}],"title":null,"toolbar":{"id":"faba86c4-ac8e-4e0c-be4c-6061cd473030","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"55667c7e-bd5d-4ae3-8942-c353be35cc87","type":"Range1d"},"x_scale":{"id":"5a68a1ba-0880-41fe-8324-a36b45286703","type":"LinearScale"},"y_range":{"id":"96aab321-6ea7-40dd-9b19-32fea865a385","type":"Range1d"},"y_scale":{"id":"6997b1e9-e107-4823-adc0-cabd678aef31","type":"LinearScale"}},"id":"15a8b8a4-c934-4ce9-9835-8655b02ba59a","type":"Plot"},{"attributes":{"anchor":"bottom_right","url":{"value":"https://bokeh.pydata.org/en/latest/_static/images/logo.png"},"x":{"value":200},"y":{"value":-100}},"id":"f22a264b-8fdb-4506-9c9e-186bfac252a9","type":"ImageURL"},{"attributes":{},"id":"a0a63d89-c8a1-468e-84b5-a3f1f5f6c44c","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":200,"start":-100},"id":"55667c7e-bd5d-4ae3-8942-c353be35cc87","type":"Range1d"},{"attributes":{},"id":"a2003d4d-d74e-41aa-aac2-5a55c8fec773","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"19104bfc-e2db-42d3-86ac-734a64357254","type":"ColumnDataSource"}},"id":"d62f0240-a6dd-479a-93e8-fa676837a3ad","type":"CDSView"}],"root_ids":["15a8b8a4-c934-4ce9-9835-8655b02ba59a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"fc96bed0-5d51-4d69-809a-b5784b474291","elementid":"75ca9c07-10e9-46af-b300-928e61f0f758","modelid":"15a8b8a4-c934-4ce9-9835-8655b02ba59a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
