(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c236130c-7136-407b-877d-6f4fa09149f0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c236130c-7136-407b-877d-6f4fa09149f0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8a2fea21-bc2e-4524-9019-153ac89c2aef":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"644c9475-0a7b-438c-917a-ba6620018425","type":"Toolbar"},{"attributes":{"plot":{"id":"20e76419-52aa-42f2-a2a7-274ba20deef8","type":"Plot"},"ticker":{"id":"d1deb96e-3c30-4020-b138-432993a7ed9d","type":"BasicTicker"}},"id":"19b34618-ce9d-4b35-924e-5c0bc9dd89d9","type":"Grid"},{"attributes":{},"id":"6c170412-a018-4f2c-92ac-e3475340fd0e","type":"BasicTicker"},{"attributes":{},"id":"5a087569-3863-4f8f-a487-32b9be471fb4","type":"LinearScale"},{"attributes":{"formatter":{"id":"add636ad-86a8-4059-9e7a-721d26cc2db6","type":"BasicTickFormatter"},"plot":{"id":"20e76419-52aa-42f2-a2a7-274ba20deef8","type":"Plot"},"ticker":{"id":"6c170412-a018-4f2c-92ac-e3475340fd0e","type":"BasicTicker"}},"id":"18a28a1c-9150-4247-92a0-b8f86fd906d2","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"20e76419-52aa-42f2-a2a7-274ba20deef8","type":"Plot"},"ticker":{"id":"6c170412-a018-4f2c-92ac-e3475340fd0e","type":"BasicTicker"}},"id":"02374aa5-ba08-4c32-979f-6e49cf37213c","type":"Grid"},{"attributes":{"data_source":{"id":"8f472014-97a5-4aca-b6c3-d36233e0f9d7","type":"ColumnDataSource"},"glyph":{"id":"f6ef2b60-a93e-4a41-a846-6e0491556250","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"35bf07f3-888b-4c6c-920c-68d024b6a9d5","type":"CDSView"}},"id":"0ccd2bed-e813-4b11-9fae-d4968da230b4","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"88bc5b86-f081-47dd-b282-c232f42d8307","type":"DataRange1d"},{"attributes":{"source":{"id":"8f472014-97a5-4aca-b6c3-d36233e0f9d7","type":"ColumnDataSource"}},"id":"35bf07f3-888b-4c6c-920c-68d024b6a9d5","type":"CDSView"},{"attributes":{"line_color":{"value":"#8073ac"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"f6ef2b60-a93e-4a41-a846-6e0491556250","type":"MultiLine"},{"attributes":{},"id":"d1deb96e-3c30-4020-b138-432993a7ed9d","type":"BasicTicker"},{"attributes":{},"id":"f46e247c-6d8a-41fa-8387-15261d7b0137","type":"LinearScale"},{"attributes":{"callback":null},"id":"fe1c37d3-4e76-409a-b9cd-666f612f794a","type":"DataRange1d"},{"attributes":{"below":[{"id":"2c180b47-a0bd-4524-beee-8b32e9b12a06","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"18a28a1c-9150-4247-92a0-b8f86fd906d2","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"0ccd2bed-e813-4b11-9fae-d4968da230b4","type":"GlyphRenderer"},{"id":"2c180b47-a0bd-4524-beee-8b32e9b12a06","type":"LinearAxis"},{"id":"18a28a1c-9150-4247-92a0-b8f86fd906d2","type":"LinearAxis"},{"id":"19b34618-ce9d-4b35-924e-5c0bc9dd89d9","type":"Grid"},{"id":"02374aa5-ba08-4c32-979f-6e49cf37213c","type":"Grid"}],"title":null,"toolbar":{"id":"644c9475-0a7b-438c-917a-ba6620018425","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"88bc5b86-f081-47dd-b282-c232f42d8307","type":"DataRange1d"},"x_scale":{"id":"5a087569-3863-4f8f-a487-32b9be471fb4","type":"LinearScale"},"y_range":{"id":"fe1c37d3-4e76-409a-b9cd-666f612f794a","type":"DataRange1d"},"y_scale":{"id":"f46e247c-6d8a-41fa-8387-15261d7b0137","type":"LinearScale"}},"id":"20e76419-52aa-42f2-a2a7-274ba20deef8","type":"Plot"},{"attributes":{},"id":"add636ad-86a8-4059-9e7a-721d26cc2db6","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["xs","ys"],"data":{"xs":[{"__ndarray__":"uB6F61G4AMD2KFyPwvUAwAAAAAAAAADAFK5H4XoU/r+PwvUoXI/+vw==","dtype":"float64","shape":[5]},{"__ndarray__":"L90kBoGV+b/qJjEIrBz6vwAAAAAAAPi/FtnO91Pj9b/RItv5fmr2vw==","dtype":"float64","shape":[5]},{"__ndarray__":"7nw/NV668b/n+6nx0k3yvwAAAAAAAPC/MQisHFpk678lBoGVQ4vsvw==","dtype":"float64","shape":[5]},{"__ndarray__":"WDm0yHa+47/LoUW28/3kvwAAAAAAAOC/arx0kxgE1r9QjZduEoPYvw==","dtype":"float64","shape":[5]},{"__ndarray__":"VOOlm8QgwL8aL90kBoHFvwAAAAAAAAAAGi/dJAaBxT9U46WbxCDAPw==","dtype":"float64","shape":[5]},{"__ndarray__":"XI/C9Shc1z97FK5H4XrUPwAAAAAAAOA/wvUoXI/C5T9SuB6F61HkPw==","dtype":"float64","shape":[5]},{"__ndarray__":"MQisHFpk6z9CYOXQItvpPwAAAAAAAPA/30+Nl24S8z/n+6nx0k3yPw==","dtype":"float64","shape":[5]},{"__ndarray__":"WmQ730+N9T8j2/l+arz0PwAAAAAAAPg/3SQGgZVD+z+mm8QgsHL6Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"nMQgsHJo/T8lBoGVQ4v8PwAAAAAAAABA7nw/NV66AUCyne+nxksBQA==","dtype":"float64","shape":[5]}],"ys":[{"__ndarray__":"MzMzMzMzD0AUrkfhehQQQGZmZmZmZhBAFK5H4XoUEEAzMzMzMzMPQA==","dtype":"float64","shape":[5]},{"__ndarray__":"H4XrUbgeAUCTGARWDi0CQOF6FK5H4QJAkxgEVg4tAkAfhetRuB4BQA==","dtype":"float64","shape":[5]},{"__ndarray__":"KVyPwvUo7D/8qfHSTWLwP+xRuB6F6/E//Knx0k1i8D8pXI/C9SjsPw==","dtype":"float64","shape":[5]},{"__ndarray__":"uB6F61G4vj9Ei2zn+6nRP1K4HoXrUdg/RIts5/up0T+4HoXrUbi+Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"61G4HoXrwb946SYxCKycP+tRuB6F68E/eOkmMQisnD/rUbgehevBvw==","dtype":"float64","shape":[5]},{"__ndarray__":"mJmZmZmZuT/sUbgehevRP5qZmZmZmdk/7FG4HoXr0T+YmZmZmZm5Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"4XoUrkfh6j9QjZduEoPwP5DC9Shcj/I/UI2XbhKD8D/hehSuR+HqPw==","dtype":"float64","shape":[5]},{"__ndarray__":"pHA9CtejAEASg8DKoUUCQFyPwvUoXANAEoPAyqFFAkCkcD0K16MAQA==","dtype":"float64","shape":[5]},{"__ndarray__":"j8L1KFyPDkC+nxov3SQQQLgehetRuBBAvp8aL90kEECPwvUoXI8OQA==","dtype":"float64","shape":[5]}]}},"id":"8f472014-97a5-4aca-b6c3-d36233e0f9d7","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"08f4df7e-2dc6-4106-ae95-1a537c4eb51b","type":"BasicTickFormatter"},"plot":{"id":"20e76419-52aa-42f2-a2a7-274ba20deef8","type":"Plot"},"ticker":{"id":"d1deb96e-3c30-4020-b138-432993a7ed9d","type":"BasicTicker"}},"id":"2c180b47-a0bd-4524-beee-8b32e9b12a06","type":"LinearAxis"},{"attributes":{},"id":"08f4df7e-2dc6-4106-ae95-1a537c4eb51b","type":"BasicTickFormatter"}],"root_ids":["20e76419-52aa-42f2-a2a7-274ba20deef8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8a2fea21-bc2e-4524-9019-153ac89c2aef","elementid":"c236130c-7136-407b-877d-6f4fa09149f0","modelid":"20e76419-52aa-42f2-a2a7-274ba20deef8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
