(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5c477210-f617-4e31-8877-5611cac71cf0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5c477210-f617-4e31-8877-5611cac71cf0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"65457a2b-b72a-48b7-925b-3a51dafa778e":{"roots":{"references":[{"attributes":{},"id":"8b27f815-d4d0-4e8a-8648-e7ba25add40c","type":"BasicTicker"},{"attributes":{"source":{"id":"d5759339-0371-45df-a8e1-71d0a8336427","type":"ColumnDataSource"}},"id":"82709648-d5ea-4cf0-b403-4fbd98b7fadb","type":"CDSView"},{"attributes":{},"id":"ecc2480a-510b-4286-95ed-a48e376b950c","type":"LinearScale"},{"attributes":{"below":[{"id":"d1c162b4-f4ef-4616-bed6-cafcc6b9ff3a","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"7d75d955-430e-4865-a8cc-a5d169545e1a","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"8521f87d-8862-4060-8d0a-cf26dc32d635","type":"GlyphRenderer"},{"id":"d1c162b4-f4ef-4616-bed6-cafcc6b9ff3a","type":"LinearAxis"},{"id":"7d75d955-430e-4865-a8cc-a5d169545e1a","type":"LinearAxis"},{"id":"945e61b2-5429-458a-9253-bc5063999cb8","type":"Grid"},{"id":"47a65eb3-e08e-4987-9218-4e83e17908c4","type":"Grid"}],"title":null,"toolbar":{"id":"9bcac49b-7368-4506-a815-8a301be3f2f0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"63dba2dc-da11-4813-ac93-b98f253fbd88","type":"DataRange1d"},"x_scale":{"id":"ecc2480a-510b-4286-95ed-a48e376b950c","type":"LinearScale"},"y_range":{"id":"125fa6b0-2711-45c1-a3e7-c12f0873c557","type":"DataRange1d"},"y_scale":{"id":"db633130-856d-4e14-a2cc-020f38ef8b1a","type":"LinearScale"}},"id":"ef5bb076-4678-4df4-a6c0-7fad8042b8b2","type":"Plot"},{"attributes":{"callback":null},"id":"63dba2dc-da11-4813-ac93-b98f253fbd88","type":"DataRange1d"},{"attributes":{"data_source":{"id":"d5759339-0371-45df-a8e1-71d0a8336427","type":"ColumnDataSource"},"glyph":{"id":"40d4235a-1f00-49fd-82a2-d011c30e88fa","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"82709648-d5ea-4cf0-b403-4fbd98b7fadb","type":"CDSView"}},"id":"8521f87d-8862-4060-8d0a-cf26dc32d635","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"ef5bb076-4678-4df4-a6c0-7fad8042b8b2","type":"Plot"},"ticker":{"id":"8b27f815-d4d0-4e8a-8648-e7ba25add40c","type":"BasicTicker"}},"id":"945e61b2-5429-458a-9253-bc5063999cb8","type":"Grid"},{"attributes":{"formatter":{"id":"9febe226-dfb5-44e3-afdc-34f68eae5f3c","type":"BasicTickFormatter"},"plot":{"id":"ef5bb076-4678-4df4-a6c0-7fad8042b8b2","type":"Plot"},"ticker":{"id":"8b27f815-d4d0-4e8a-8648-e7ba25add40c","type":"BasicTicker"}},"id":"d1c162b4-f4ef-4616-bed6-cafcc6b9ff3a","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#1d91d0"},"height":{"units":"data","value":0.6},"width":{"units":"data","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"40d4235a-1f00-49fd-82a2-d011c30e88fa","type":"Oval"},{"attributes":{},"id":"9febe226-dfb5-44e3-afdc-34f68eae5f3c","type":"BasicTickFormatter"},{"attributes":{},"id":"db633130-856d-4e14-a2cc-020f38ef8b1a","type":"LinearScale"},{"attributes":{"formatter":{"id":"f84599c7-4a6a-41f1-8c12-98e935b82cdf","type":"BasicTickFormatter"},"plot":{"id":"ef5bb076-4678-4df4-a6c0-7fad8042b8b2","type":"Plot"},"ticker":{"id":"85a3f113-2f2b-41ce-b100-fe82d73036e9","type":"BasicTicker"}},"id":"7d75d955-430e-4865-a8cc-a5d169545e1a","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"9bcac49b-7368-4506-a815-8a301be3f2f0","type":"Toolbar"},{"attributes":{},"id":"85a3f113-2f2b-41ce-b100-fe82d73036e9","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"d5759339-0371-45df-a8e1-71d0a8336427","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"125fa6b0-2711-45c1-a3e7-c12f0873c557","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"ef5bb076-4678-4df4-a6c0-7fad8042b8b2","type":"Plot"},"ticker":{"id":"85a3f113-2f2b-41ce-b100-fe82d73036e9","type":"BasicTicker"}},"id":"47a65eb3-e08e-4987-9218-4e83e17908c4","type":"Grid"},{"attributes":{},"id":"f84599c7-4a6a-41f1-8c12-98e935b82cdf","type":"BasicTickFormatter"}],"root_ids":["ef5bb076-4678-4df4-a6c0-7fad8042b8b2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"65457a2b-b72a-48b7-925b-3a51dafa778e","elementid":"5c477210-f617-4e31-8877-5611cac71cf0","modelid":"ef5bb076-4678-4df4-a6c0-7fad8042b8b2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
