(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("15a37c32-7b91-42e2-a7c1-6eacfbd8f972");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '15a37c32-7b91-42e2-a7c1-6eacfbd8f972' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a4c12e98-f51e-4def-bb46-798d1425e7d0":{"roots":{"references":[{"attributes":{},"id":"9c49947a-017b-4ec4-9393-45fc6894b7b6","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"475ad763-2f92-440b-a44e-3a58eaac1ded","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"a9a35c82-9ae4-45ae-99bf-79ad92b029b3","type":"Plot"},"ticker":{"id":"16525c70-8819-41c4-a0d0-48684311c161","type":"BasicTicker"}},"id":"bad59675-4d5b-47f2-8e9c-1ee924ed976e","type":"Grid"},{"attributes":{"source":{"id":"45074a1b-cf3a-417a-9839-b80b8cc66365","type":"ColumnDataSource"}},"id":"984e0a2b-1108-4e6f-af57-c070cfdbae50","type":"CDSView"},{"attributes":{"below":[{"id":"9c9ed858-f169-4f84-9496-ff65c93198bd","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b001a05a-e1be-48c8-93ff-701110950047","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"5755bcf9-4eff-47dd-a677-92d0e991ac45","type":"GlyphRenderer"},{"id":"9c9ed858-f169-4f84-9496-ff65c93198bd","type":"LinearAxis"},{"id":"b001a05a-e1be-48c8-93ff-701110950047","type":"LinearAxis"},{"id":"c44790fd-29bb-4069-843f-527295a53759","type":"Grid"},{"id":"bad59675-4d5b-47f2-8e9c-1ee924ed976e","type":"Grid"}],"title":null,"toolbar":{"id":"475ad763-2f92-440b-a44e-3a58eaac1ded","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3ff6fa43-4ebd-4b10-aabf-68a179cb28f8","type":"DataRange1d"},"x_scale":{"id":"41d6a442-26b8-4182-bf80-4b41d456a0f3","type":"LinearScale"},"y_range":{"id":"3abc8303-43f6-41ce-afe6-a149945f8907","type":"DataRange1d"},"y_scale":{"id":"b1d09c62-0650-43dd-b7e0-6e951a0a1b5e","type":"LinearScale"}},"id":"a9a35c82-9ae4-45ae-99bf-79ad92b029b3","type":"Plot"},{"attributes":{"formatter":{"id":"23cdf928-eae2-48f1-8e04-b4098629da27","type":"BasicTickFormatter"},"plot":{"id":"a9a35c82-9ae4-45ae-99bf-79ad92b029b3","type":"Plot"},"ticker":{"id":"16525c70-8819-41c4-a0d0-48684311c161","type":"BasicTicker"}},"id":"b001a05a-e1be-48c8-93ff-701110950047","type":"LinearAxis"},{"attributes":{"plot":{"id":"a9a35c82-9ae4-45ae-99bf-79ad92b029b3","type":"Plot"},"ticker":{"id":"4d588fd0-99a3-4a19-894b-02a0928c79da","type":"BasicTicker"}},"id":"c44790fd-29bb-4069-843f-527295a53759","type":"Grid"},{"attributes":{},"id":"4d588fd0-99a3-4a19-894b-02a0928c79da","type":"BasicTicker"},{"attributes":{},"id":"41d6a442-26b8-4182-bf80-4b41d456a0f3","type":"LinearScale"},{"attributes":{},"id":"16525c70-8819-41c4-a0d0-48684311c161","type":"BasicTicker"},{"attributes":{"data_source":{"id":"45074a1b-cf3a-417a-9839-b80b8cc66365","type":"ColumnDataSource"},"glyph":{"id":"444477a1-03fc-430a-8ec0-27bd936c6789","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"984e0a2b-1108-4e6f-af57-c070cfdbae50","type":"CDSView"}},"id":"5755bcf9-4eff-47dd-a677-92d0e991ac45","type":"GlyphRenderer"},{"attributes":{},"id":"23cdf928-eae2-48f1-8e04-b4098629da27","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"9c49947a-017b-4ec4-9393-45fc6894b7b6","type":"BasicTickFormatter"},"plot":{"id":"a9a35c82-9ae4-45ae-99bf-79ad92b029b3","type":"Plot"},"ticker":{"id":"4d588fd0-99a3-4a19-894b-02a0928c79da","type":"BasicTicker"}},"id":"9c9ed858-f169-4f84-9496-ff65c93198bd","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#fb9a99"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"444477a1-03fc-430a-8ec0-27bd936c6789","type":"Patches"},{"attributes":{},"id":"b1d09c62-0650-43dd-b7e0-6e951a0a1b5e","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["xs","ys"],"data":{"xs":[{"__ndarray__":"uB6F61G4AMD2KFyPwvUAwAAAAAAAAADAFK5H4XoU/r+PwvUoXI/+vw==","dtype":"float64","shape":[5]},{"__ndarray__":"L90kBoGV+b/qJjEIrBz6vwAAAAAAAPi/FtnO91Pj9b/RItv5fmr2vw==","dtype":"float64","shape":[5]},{"__ndarray__":"7nw/NV668b/n+6nx0k3yvwAAAAAAAPC/MQisHFpk678lBoGVQ4vsvw==","dtype":"float64","shape":[5]},{"__ndarray__":"WDm0yHa+47/LoUW28/3kvwAAAAAAAOC/arx0kxgE1r9QjZduEoPYvw==","dtype":"float64","shape":[5]},{"__ndarray__":"VOOlm8QgwL8aL90kBoHFvwAAAAAAAAAAGi/dJAaBxT9U46WbxCDAPw==","dtype":"float64","shape":[5]},{"__ndarray__":"XI/C9Shc1z97FK5H4XrUPwAAAAAAAOA/wvUoXI/C5T9SuB6F61HkPw==","dtype":"float64","shape":[5]},{"__ndarray__":"MQisHFpk6z9CYOXQItvpPwAAAAAAAPA/30+Nl24S8z/n+6nx0k3yPw==","dtype":"float64","shape":[5]},{"__ndarray__":"WmQ730+N9T8j2/l+arz0PwAAAAAAAPg/3SQGgZVD+z+mm8QgsHL6Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"nMQgsHJo/T8lBoGVQ4v8PwAAAAAAAABA7nw/NV66AUCyne+nxksBQA==","dtype":"float64","shape":[5]}],"ys":[{"__ndarray__":"MzMzMzMzD0AUrkfhehQQQGZmZmZmZhBAFK5H4XoUEEAzMzMzMzMPQA==","dtype":"float64","shape":[5]},{"__ndarray__":"H4XrUbgeAUCTGARWDi0CQOF6FK5H4QJAkxgEVg4tAkAfhetRuB4BQA==","dtype":"float64","shape":[5]},{"__ndarray__":"KVyPwvUo7D/8qfHSTWLwP+xRuB6F6/E//Knx0k1i8D8pXI/C9SjsPw==","dtype":"float64","shape":[5]},{"__ndarray__":"uB6F61G4vj9Ei2zn+6nRP1K4HoXrUdg/RIts5/up0T+4HoXrUbi+Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"61G4HoXrwb946SYxCKycP+tRuB6F68E/eOkmMQisnD/rUbgehevBvw==","dtype":"float64","shape":[5]},{"__ndarray__":"mJmZmZmZuT/sUbgehevRP5qZmZmZmdk/7FG4HoXr0T+YmZmZmZm5Pw==","dtype":"float64","shape":[5]},{"__ndarray__":"4XoUrkfh6j9QjZduEoPwP5DC9Shcj/I/UI2XbhKD8D/hehSuR+HqPw==","dtype":"float64","shape":[5]},{"__ndarray__":"pHA9CtejAEASg8DKoUUCQFyPwvUoXANAEoPAyqFFAkCkcD0K16MAQA==","dtype":"float64","shape":[5]},{"__ndarray__":"j8L1KFyPDkC+nxov3SQQQLgehetRuBBAvp8aL90kEECPwvUoXI8OQA==","dtype":"float64","shape":[5]}]}},"id":"45074a1b-cf3a-417a-9839-b80b8cc66365","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"3abc8303-43f6-41ce-afe6-a149945f8907","type":"DataRange1d"},{"attributes":{"callback":null},"id":"3ff6fa43-4ebd-4b10-aabf-68a179cb28f8","type":"DataRange1d"}],"root_ids":["a9a35c82-9ae4-45ae-99bf-79ad92b029b3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a4c12e98-f51e-4def-bb46-798d1425e7d0","elementid":"15a37c32-7b91-42e2-a7c1-6eacfbd8f972","modelid":"a9a35c82-9ae4-45ae-99bf-79ad92b029b3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
