(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("58aa556a-8c53-42c7-b594-24b61261c032");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '58aa556a-8c53-42c7-b594-24b61261c032' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4fc060d2-0cfc-4b0a-bb0b-7fde705760e4":{"roots":{"references":[{"attributes":{"plot":{"id":"27bdae30-6937-424c-a996-95928704443d","type":"Plot"},"ticker":{"id":"e1ce4004-ff48-4302-a3ab-a1daf3c8f30d","type":"BasicTicker"}},"id":"0cf2e0b0-2c7f-4be6-857b-f4ec0efb929e","type":"Grid"},{"attributes":{},"id":"11b30595-3c0a-4201-ba70-c27b5503303a","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"640cec93-aaee-4cd9-9fcd-e4208adf9e1b","type":"Toolbar"},{"attributes":{},"id":"f5781589-73a4-422c-9566-62edd2b83efc","type":"BasicTicker"},{"attributes":{},"id":"e1ce4004-ff48-4302-a3ab-a1daf3c8f30d","type":"BasicTicker"},{"attributes":{"source":{"id":"55122375-158a-4769-ac90-a8b06c6307c2","type":"ColumnDataSource"}},"id":"5cbee1e3-3b29-43fb-91f2-f602ebbdfb11","type":"CDSView"},{"attributes":{},"id":"9972f086-4853-4f33-afbb-0cdd28a87d40","type":"BasicTickFormatter"},{"attributes":{"bottom":{"field":"bottom"},"fill_color":{"value":"#b3de69"},"left":{"field":"left"},"right":{"field":"right"},"top":{"field":"top"}},"id":"c6197a19-0961-4e32-bc71-782c3baf2269","type":"Quad"},{"attributes":{"callback":null},"id":"b10468e3-3530-421c-9707-7343cd0ebec6","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["top","right","bottom","left"],"data":{"bottom":{"__ndarray__":"ZmZmZmZmEEAzMzMzMzMEQGZmZmZmZvY/MzMzMzMz5z8AAAAAAADgPzMzMzMzM+c/ZmZmZmZm9j8zMzMzMzMEQGZmZmZmZhBA","dtype":"float64","shape":[9]},"left":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"right":{"__ndarray__":"zMzMzMzM7L+amZmZmZnrvzQzMzMzM+O/AAAAAAAAyL8zMzMzMzPTPzMzMzMzM+k/MzMzMzMz8z9nZmZmZmb3PwAAAAAAAPg/","dtype":"float64","shape":[9]},"top":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"55122375-158a-4769-ac90-a8b06c6307c2","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"775fc849-c10d-4968-8047-aae7a1eedeb5","type":"DataRange1d"},{"attributes":{"data_source":{"id":"55122375-158a-4769-ac90-a8b06c6307c2","type":"ColumnDataSource"},"glyph":{"id":"c6197a19-0961-4e32-bc71-782c3baf2269","type":"Quad"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5cbee1e3-3b29-43fb-91f2-f602ebbdfb11","type":"CDSView"}},"id":"05288856-542c-45c4-bcfc-a9a276d9ff66","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"747db101-710a-4377-b8f4-a2e0aa045c99","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"44373fa9-b4f4-4209-b9f0-24ac10055552","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"05288856-542c-45c4-bcfc-a9a276d9ff66","type":"GlyphRenderer"},{"id":"747db101-710a-4377-b8f4-a2e0aa045c99","type":"LinearAxis"},{"id":"44373fa9-b4f4-4209-b9f0-24ac10055552","type":"LinearAxis"},{"id":"0cf2e0b0-2c7f-4be6-857b-f4ec0efb929e","type":"Grid"},{"id":"58dae77b-70ca-4bf7-b34c-44eab7c1c239","type":"Grid"}],"title":null,"toolbar":{"id":"640cec93-aaee-4cd9-9fcd-e4208adf9e1b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"775fc849-c10d-4968-8047-aae7a1eedeb5","type":"DataRange1d"},"x_scale":{"id":"d664a0cc-db4c-421e-aada-69d98ef4c999","type":"LinearScale"},"y_range":{"id":"b10468e3-3530-421c-9707-7343cd0ebec6","type":"DataRange1d"},"y_scale":{"id":"11b30595-3c0a-4201-ba70-c27b5503303a","type":"LinearScale"}},"id":"27bdae30-6937-424c-a996-95928704443d","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"27bdae30-6937-424c-a996-95928704443d","type":"Plot"},"ticker":{"id":"f5781589-73a4-422c-9566-62edd2b83efc","type":"BasicTicker"}},"id":"58dae77b-70ca-4bf7-b34c-44eab7c1c239","type":"Grid"},{"attributes":{},"id":"d664a0cc-db4c-421e-aada-69d98ef4c999","type":"LinearScale"},{"attributes":{},"id":"7573b6c9-151e-41b7-9b06-660284ead214","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"7573b6c9-151e-41b7-9b06-660284ead214","type":"BasicTickFormatter"},"plot":{"id":"27bdae30-6937-424c-a996-95928704443d","type":"Plot"},"ticker":{"id":"e1ce4004-ff48-4302-a3ab-a1daf3c8f30d","type":"BasicTicker"}},"id":"747db101-710a-4377-b8f4-a2e0aa045c99","type":"LinearAxis"},{"attributes":{"formatter":{"id":"9972f086-4853-4f33-afbb-0cdd28a87d40","type":"BasicTickFormatter"},"plot":{"id":"27bdae30-6937-424c-a996-95928704443d","type":"Plot"},"ticker":{"id":"f5781589-73a4-422c-9566-62edd2b83efc","type":"BasicTicker"}},"id":"44373fa9-b4f4-4209-b9f0-24ac10055552","type":"LinearAxis"}],"root_ids":["27bdae30-6937-424c-a996-95928704443d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4fc060d2-0cfc-4b0a-bb0b-7fde705760e4","elementid":"58aa556a-8c53-42c7-b594-24b61261c032","modelid":"27bdae30-6937-424c-a996-95928704443d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
