(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("20187437-0575-4d14-96de-60a7e8eb6f46");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '20187437-0575-4d14-96de-60a7e8eb6f46' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"17ece4a4-f64d-4eb7-b567-621b9298b3ec":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c4c3c63e-5cb3-41b4-938b-7c62bbc0f3a4","type":"Toolbar"},{"attributes":{},"id":"63ff16b0-a3c9-4f00-a445-a5ca5401516c","type":"BasicTicker"},{"attributes":{"plot":{"id":"39f8b651-4a1f-4092-b1b2-298cc639a727","type":"Plot"},"ticker":{"id":"63ff16b0-a3c9-4f00-a445-a5ca5401516c","type":"BasicTicker"}},"id":"b9ce5d4d-98d8-401b-a861-2abe3487af31","type":"Grid"},{"attributes":{"formatter":{"id":"2719e46a-56fb-40e1-b39a-5694af659240","type":"BasicTickFormatter"},"plot":{"id":"39f8b651-4a1f-4092-b1b2-298cc639a727","type":"Plot"},"ticker":{"id":"8be789e3-9e64-42ed-b16c-36e25e09b6ed","type":"BasicTicker"}},"id":"87d26b7e-247a-4880-b625-3a83d3151de5","type":"LinearAxis"},{"attributes":{"below":[{"id":"e0b6e278-6bf9-4a57-845c-b1293b701d9f","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"87d26b7e-247a-4880-b625-3a83d3151de5","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"a3e1c261-d337-4fde-b928-506494e9cc15","type":"GlyphRenderer"},{"id":"e0b6e278-6bf9-4a57-845c-b1293b701d9f","type":"LinearAxis"},{"id":"87d26b7e-247a-4880-b625-3a83d3151de5","type":"LinearAxis"},{"id":"b9ce5d4d-98d8-401b-a861-2abe3487af31","type":"Grid"},{"id":"3547ed95-3402-4dd6-a51a-48ab3fe99c3b","type":"Grid"}],"title":null,"toolbar":{"id":"c4c3c63e-5cb3-41b4-938b-7c62bbc0f3a4","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"301d4dbc-a8e2-4746-8928-af134ad8d213","type":"DataRange1d"},"x_scale":{"id":"c1ca820d-68c1-409a-9545-58ec353a485b","type":"LinearScale"},"y_range":{"id":"7d1d4cb8-9a33-4be8-aa40-6c11c258ce3b","type":"DataRange1d"},"y_scale":{"id":"0c15c9a0-97b2-45d3-a51a-2124a4f195ee","type":"LinearScale"}},"id":"39f8b651-4a1f-4092-b1b2-298cc639a727","type":"Plot"},{"attributes":{},"id":"578191d0-2b5e-463e-babf-3724f20979ca","type":"BasicTickFormatter"},{"attributes":{},"id":"2719e46a-56fb-40e1-b39a-5694af659240","type":"BasicTickFormatter"},{"attributes":{},"id":"c1ca820d-68c1-409a-9545-58ec353a485b","type":"LinearScale"},{"attributes":{"formatter":{"id":"578191d0-2b5e-463e-babf-3724f20979ca","type":"BasicTickFormatter"},"plot":{"id":"39f8b651-4a1f-4092-b1b2-298cc639a727","type":"Plot"},"ticker":{"id":"63ff16b0-a3c9-4f00-a445-a5ca5401516c","type":"BasicTicker"}},"id":"e0b6e278-6bf9-4a57-845c-b1293b701d9f","type":"LinearAxis"},{"attributes":{"data_source":{"id":"e4531d74-6dbc-4faa-905c-152e6187223d","type":"ColumnDataSource"},"glyph":{"id":"6cd24410-cdba-4c2a-bd71-ac1b7e5aed6a","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"dc9f7097-8b8a-4998-95f8-80ae5289867b","type":"CDSView"}},"id":"a3e1c261-d337-4fde-b928-506494e9cc15","type":"GlyphRenderer"},{"attributes":{"angle":{"units":"rad","value":-2.0},"length":{"field":"l","units":"data"},"line_color":{"value":"#fb8072"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"6cd24410-cdba-4c2a-bd71-ac1b7e5aed6a","type":"Ray"},{"attributes":{"callback":null},"id":"7d1d4cb8-9a33-4be8-aa40-6c11c258ce3b","type":"DataRange1d"},{"attributes":{},"id":"0c15c9a0-97b2-45d3-a51a-2124a4f195ee","type":"LinearScale"},{"attributes":{},"id":"8be789e3-9e64-42ed-b16c-36e25e09b6ed","type":"BasicTicker"},{"attributes":{"callback":null},"id":"301d4dbc-a8e2-4746-8928-af134ad8d213","type":"DataRange1d"},{"attributes":{"source":{"id":"e4531d74-6dbc-4faa-905c-152e6187223d","type":"ColumnDataSource"}},"id":"dc9f7097-8b8a-4998-95f8-80ae5289867b","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"39f8b651-4a1f-4092-b1b2-298cc639a727","type":"Plot"},"ticker":{"id":"8be789e3-9e64-42ed-b16c-36e25e09b6ed","type":"BasicTicker"}},"id":"3547ed95-3402-4dd6-a51a-48ab3fe99c3b","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x","l"],"data":{"l":{"__ndarray__":"AAAAAAAALkAAAAAAAIAxQAAAAAAAADRAAAAAAACANkAAAAAAAAA5QAAAAAAAgDtAAAAAAAAAPkAAAAAAAEBAQAAAAAAAgEFA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"e4531d74-6dbc-4faa-905c-152e6187223d","type":"ColumnDataSource"}],"root_ids":["39f8b651-4a1f-4092-b1b2-298cc639a727"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"17ece4a4-f64d-4eb7-b567-621b9298b3ec","elementid":"20187437-0575-4d14-96de-60a7e8eb6f46","modelid":"39f8b651-4a1f-4092-b1b2-298cc639a727"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
