(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b1320275-3d87-4bd6-93c0-b824275c8cbd");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b1320275-3d87-4bd6-93c0-b824275c8cbd' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3ad33c17-b449-4ce1-bb89-e289fdea14ba":{"roots":{"references":[{"attributes":{"formatter":{"id":"240613a7-adc1-4284-afb1-20f1ee1f9b2f","type":"BasicTickFormatter"},"plot":{"id":"36c3a201-3b91-4ec8-b252-527abc500ced","type":"Plot"},"ticker":{"id":"58e59f21-9bd0-40a3-a951-22113d4b155f","type":"BasicTicker"}},"id":"a411f2b4-e01a-4908-aa81-0bac7d1a582e","type":"LinearAxis"},{"attributes":{"source":{"id":"039f02e1-c2ef-4fe8-8911-ccf1097ca4a0","type":"ColumnDataSource"}},"id":"35315b3f-2045-47d8-93ef-2d03700d10a1","type":"CDSView"},{"attributes":{"plot":{"id":"36c3a201-3b91-4ec8-b252-527abc500ced","type":"Plot"},"ticker":{"id":"89ce278e-85f1-4996-8383-918d9f76df19","type":"BasicTicker"}},"id":"5d70ff34-f347-4129-a804-37705a265eee","type":"Grid"},{"attributes":{"below":[{"id":"03e261a5-0585-4143-aea9-973834a355bf","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"a411f2b4-e01a-4908-aa81-0bac7d1a582e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"5a6b0c32-3510-49c5-8c73-a2a56b6ed54e","type":"GlyphRenderer"},{"id":"03e261a5-0585-4143-aea9-973834a355bf","type":"LinearAxis"},{"id":"a411f2b4-e01a-4908-aa81-0bac7d1a582e","type":"LinearAxis"},{"id":"5d70ff34-f347-4129-a804-37705a265eee","type":"Grid"},{"id":"85b6639d-efc2-460d-a58b-7457d4647677","type":"Grid"}],"title":null,"toolbar":{"id":"5348f146-b6b3-4bac-b116-fc32a4990afb","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a5e08617-8ebe-41eb-ba63-795b3042a449","type":"DataRange1d"},"x_scale":{"id":"916d817d-7e5e-4997-b085-1d4148bcc7ac","type":"LinearScale"},"y_range":{"id":"a80628a7-2781-42d6-9010-8398e4d3e11a","type":"DataRange1d"},"y_scale":{"id":"d683702f-1fce-4e8c-bd10-43937cf89dfa","type":"LinearScale"}},"id":"36c3a201-3b91-4ec8-b252-527abc500ced","type":"Plot"},{"attributes":{},"id":"58e59f21-9bd0-40a3-a951-22113d4b155f","type":"BasicTicker"},{"attributes":{},"id":"d683702f-1fce-4e8c-bd10-43937cf89dfa","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"5348f146-b6b3-4bac-b116-fc32a4990afb","type":"Toolbar"},{"attributes":{"data_source":{"id":"039f02e1-c2ef-4fe8-8911-ccf1097ca4a0","type":"ColumnDataSource"},"glyph":{"id":"0d85bda8-9ff5-487d-a1fe-e3a498c62777","type":"Rect"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"35315b3f-2045-47d8-93ef-2d03700d10a1","type":"CDSView"}},"id":"5a6b0c32-3510-49c5-8c73-a2a56b6ed54e","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"a80628a7-2781-42d6-9010-8398e4d3e11a","type":"DataRange1d"},{"attributes":{},"id":"89ce278e-85f1-4996-8383-918d9f76df19","type":"BasicTicker"},{"attributes":{},"id":"240613a7-adc1-4284-afb1-20f1ee1f9b2f","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"aafd93e2-24ec-49e5-9cc9-c9263f9fbfbe","type":"BasicTickFormatter"},"plot":{"id":"36c3a201-3b91-4ec8-b252-527abc500ced","type":"Plot"},"ticker":{"id":"89ce278e-85f1-4996-8383-918d9f76df19","type":"BasicTicker"}},"id":"03e261a5-0585-4143-aea9-973834a355bf","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#CAB2D6"},"height":{"field":"h","units":"data"},"width":{"field":"w","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"0d85bda8-9ff5-487d-a1fe-e3a498c62777","type":"Rect"},{"attributes":{},"id":"aafd93e2-24ec-49e5-9cc9-c9263f9fbfbe","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"36c3a201-3b91-4ec8-b252-527abc500ced","type":"Plot"},"ticker":{"id":"58e59f21-9bd0-40a3-a951-22113d4b155f","type":"BasicTicker"}},"id":"85b6639d-efc2-460d-a58b-7457d4647677","type":"Grid"},{"attributes":{},"id":"916d817d-7e5e-4997-b085-1d4148bcc7ac","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","h","w","x"],"data":{"h":{"__ndarray__":"AAAAAAAA4D9mZmZmZmbaP2ZmZmZmZtY/AAAAAAAA1D8zMzMzMzPTPwAAAAAAANQ/ZmZmZmZm1j9mZmZmZmbaPwAAAAAAAOA/","dtype":"float64","shape":[9]},"w":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"039f02e1-c2ef-4fe8-8911-ccf1097ca4a0","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"a5e08617-8ebe-41eb-ba63-795b3042a449","type":"DataRange1d"}],"root_ids":["36c3a201-3b91-4ec8-b252-527abc500ced"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3ad33c17-b449-4ce1-bb89-e289fdea14ba","elementid":"b1320275-3d87-4bd6-93c0-b824275c8cbd","modelid":"36c3a201-3b91-4ec8-b252-527abc500ced"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
