(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("104ef51e-588d-4e17-9f7a-da60d489de44");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '104ef51e-588d-4e17-9f7a-da60d489de44' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"cc4b7f64-1e38-4c79-91a4-33c028ada944":{"roots":{"references":[{"attributes":{"below":[{"id":"cac8097b-8274-4c8e-8180-0574cfc93c1e","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"ba84ea41-ecbf-4949-b7b3-9c7b938cef84","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"b52acca4-1b9e-49e7-b570-2ac46b9ae980","type":"GlyphRenderer"},{"id":"cac8097b-8274-4c8e-8180-0574cfc93c1e","type":"LinearAxis"},{"id":"ba84ea41-ecbf-4949-b7b3-9c7b938cef84","type":"LinearAxis"},{"id":"59b2c43b-6ec8-4973-b611-9410b0a4050b","type":"Grid"},{"id":"bd954fab-b41c-45e0-9528-062309256bd1","type":"Grid"}],"title":null,"toolbar":{"id":"4a2af9bc-bab9-4adf-8cf8-6496c450434e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"a86ab682-d49b-4228-9cb5-e74255d09b67","type":"DataRange1d"},"x_scale":{"id":"c66de2d9-da0e-4907-b256-8c4ea12bcdc8","type":"LinearScale"},"y_range":{"id":"6733cdf7-bd5a-4ccf-947e-68da0659647e","type":"DataRange1d"},"y_scale":{"id":"133b966b-2e8a-4a89-980f-88c62db23391","type":"LinearScale"}},"id":"5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379","type":"Plot"},{"attributes":{"formatter":{"id":"e2265270-444e-4d72-a7c4-212e13b237f5","type":"BasicTickFormatter"},"plot":{"id":"5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379","type":"Plot"},"ticker":{"id":"4293ff57-4cb2-4001-b643-2fb932bb6c0a","type":"BasicTicker"}},"id":"cac8097b-8274-4c8e-8180-0574cfc93c1e","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379","type":"Plot"},"ticker":{"id":"2258ac48-779e-43c9-bde6-621d6a6176d8","type":"BasicTicker"}},"id":"bd954fab-b41c-45e0-9528-062309256bd1","type":"Grid"},{"attributes":{"callback":null},"id":"a86ab682-d49b-4228-9cb5-e74255d09b67","type":"DataRange1d"},{"attributes":{"callback":null},"id":"6733cdf7-bd5a-4ccf-947e-68da0659647e","type":"DataRange1d"},{"attributes":{},"id":"e2265270-444e-4d72-a7c4-212e13b237f5","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["xm01","y","ym01","x"],"data":{"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"xm01":{"__ndarray__":"zMzMzMzM7L+amZmZmZnrvzQzMzMzM+O/AAAAAAAAyL8zMzMzMzPTPzMzMzMzM+k/MzMzMzMz8z9nZmZmZmb3PwAAAAAAAPg/","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"ym01":{"__ndarray__":"ZmZmZmZmEEAzMzMzMzMEQGZmZmZmZvY/MzMzMzMz5z8AAAAAAADgPzMzMzMzM+c/ZmZmZmZm9j8zMzMzMzMEQGZmZmZmZhBA","dtype":"float64","shape":[9]}}},"id":"19823fb9-db33-4f02-9518-02f19a2c8039","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"#f4a582"},"line_width":{"value":3},"x0":{"field":"x"},"x1":{"field":"xm01"},"y0":{"field":"y"},"y1":{"field":"ym01"}},"id":"817d14e4-84a7-4acf-a2ec-86d176d86dc3","type":"Segment"},{"attributes":{},"id":"2258ac48-779e-43c9-bde6-621d6a6176d8","type":"BasicTicker"},{"attributes":{"plot":{"id":"5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379","type":"Plot"},"ticker":{"id":"4293ff57-4cb2-4001-b643-2fb932bb6c0a","type":"BasicTicker"}},"id":"59b2c43b-6ec8-4973-b611-9410b0a4050b","type":"Grid"},{"attributes":{"data_source":{"id":"19823fb9-db33-4f02-9518-02f19a2c8039","type":"ColumnDataSource"},"glyph":{"id":"817d14e4-84a7-4acf-a2ec-86d176d86dc3","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"58cd76fc-3f9d-4583-8c88-8b38e6955e51","type":"CDSView"}},"id":"b52acca4-1b9e-49e7-b570-2ac46b9ae980","type":"GlyphRenderer"},{"attributes":{},"id":"4293ff57-4cb2-4001-b643-2fb932bb6c0a","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ef455908-aa5d-43e0-bf56-d24cd7576882","type":"BasicTickFormatter"},"plot":{"id":"5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379","type":"Plot"},"ticker":{"id":"2258ac48-779e-43c9-bde6-621d6a6176d8","type":"BasicTicker"}},"id":"ba84ea41-ecbf-4949-b7b3-9c7b938cef84","type":"LinearAxis"},{"attributes":{},"id":"c66de2d9-da0e-4907-b256-8c4ea12bcdc8","type":"LinearScale"},{"attributes":{},"id":"133b966b-2e8a-4a89-980f-88c62db23391","type":"LinearScale"},{"attributes":{"source":{"id":"19823fb9-db33-4f02-9518-02f19a2c8039","type":"ColumnDataSource"}},"id":"58cd76fc-3f9d-4583-8c88-8b38e6955e51","type":"CDSView"},{"attributes":{},"id":"ef455908-aa5d-43e0-bf56-d24cd7576882","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"4a2af9bc-bab9-4adf-8cf8-6496c450434e","type":"Toolbar"}],"root_ids":["5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"cc4b7f64-1e38-4c79-91a4-33c028ada944","elementid":"104ef51e-588d-4e17-9f7a-da60d489de44","modelid":"5e4b8ff6-fed2-4c2f-ab3b-7b0f96aa2379"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
