(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("72f7ea2c-85c6-4915-b33b-6b4308dc8e2d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '72f7ea2c-85c6-4915-b33b-6b4308dc8e2d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"00c7a788-e2fc-4bb0-a800-9b515ec63f42":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#b3de69"},"top":{"field":"top"},"width":{"value":0.5},"x":{"field":"x"}},"id":"07d59d22-c571-4550-b721-b64a6fe68d7b","type":"VBar"},{"attributes":{"callback":null},"id":"9464e645-4eee-4bb4-a2a5-de5ee41362df","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"5bdad777-0fb0-4813-be02-17030c5b7d36","type":"Plot"},"ticker":{"id":"d3b2f48c-a734-4965-9f99-a69453c2e869","type":"BasicTicker"}},"id":"470b9ce9-1bb4-4054-b43d-dee5c4a4e070","type":"Grid"},{"attributes":{"formatter":{"id":"3c0aafc9-c0a5-4dfe-b0de-e756a92aae7b","type":"BasicTickFormatter"},"plot":{"id":"5bdad777-0fb0-4813-be02-17030c5b7d36","type":"Plot"},"ticker":{"id":"ced3a676-da4c-4db1-a051-04265f06efe5","type":"BasicTicker"}},"id":"222bd896-c2e5-40c9-a427-c02711b635b8","type":"LinearAxis"},{"attributes":{"plot":{"id":"5bdad777-0fb0-4813-be02-17030c5b7d36","type":"Plot"},"ticker":{"id":"ced3a676-da4c-4db1-a051-04265f06efe5","type":"BasicTicker"}},"id":"11ba6f23-b638-4e59-a7de-921c1bdf683d","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"faa588b1-8d9e-48b6-8c7e-843622e36c08","type":"Toolbar"},{"attributes":{"data_source":{"id":"51470176-99d8-4c47-825d-9942f7ba9b1a","type":"ColumnDataSource"},"glyph":{"id":"07d59d22-c571-4550-b721-b64a6fe68d7b","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c0ba3b20-af1e-42fd-a590-c4e397dba449","type":"CDSView"}},"id":"70f38844-8d25-4720-b399-c0d2f5b90f00","type":"GlyphRenderer"},{"attributes":{},"id":"e8b720a6-669b-4540-975d-3b87ff5de14e","type":"LinearScale"},{"attributes":{},"id":"d3b2f48c-a734-4965-9f99-a69453c2e869","type":"BasicTicker"},{"attributes":{"source":{"id":"51470176-99d8-4c47-825d-9942f7ba9b1a","type":"ColumnDataSource"}},"id":"c0ba3b20-af1e-42fd-a590-c4e397dba449","type":"CDSView"},{"attributes":{"formatter":{"id":"0d35627c-bee3-4044-9460-5f8392c95cc6","type":"BasicTickFormatter"},"plot":{"id":"5bdad777-0fb0-4813-be02-17030c5b7d36","type":"Plot"},"ticker":{"id":"d3b2f48c-a734-4965-9f99-a69453c2e869","type":"BasicTicker"}},"id":"d70b3ab0-cc61-4c45-a2bc-725ffd235639","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["x","top"],"data":{"top":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]}}},"id":"51470176-99d8-4c47-825d-9942f7ba9b1a","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"b60e7bbe-8952-4c54-bb00-b6647087eb39","type":"DataRange1d"},{"attributes":{},"id":"d9a3f404-adb1-4c0c-bf1e-d2698b3ab3bd","type":"LinearScale"},{"attributes":{},"id":"0d35627c-bee3-4044-9460-5f8392c95cc6","type":"BasicTickFormatter"},{"attributes":{},"id":"3c0aafc9-c0a5-4dfe-b0de-e756a92aae7b","type":"BasicTickFormatter"},{"attributes":{},"id":"ced3a676-da4c-4db1-a051-04265f06efe5","type":"BasicTicker"},{"attributes":{"below":[{"id":"222bd896-c2e5-40c9-a427-c02711b635b8","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"d70b3ab0-cc61-4c45-a2bc-725ffd235639","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"70f38844-8d25-4720-b399-c0d2f5b90f00","type":"GlyphRenderer"},{"id":"222bd896-c2e5-40c9-a427-c02711b635b8","type":"LinearAxis"},{"id":"d70b3ab0-cc61-4c45-a2bc-725ffd235639","type":"LinearAxis"},{"id":"11ba6f23-b638-4e59-a7de-921c1bdf683d","type":"Grid"},{"id":"470b9ce9-1bb4-4054-b43d-dee5c4a4e070","type":"Grid"}],"title":null,"toolbar":{"id":"faa588b1-8d9e-48b6-8c7e-843622e36c08","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9464e645-4eee-4bb4-a2a5-de5ee41362df","type":"DataRange1d"},"x_scale":{"id":"e8b720a6-669b-4540-975d-3b87ff5de14e","type":"LinearScale"},"y_range":{"id":"b60e7bbe-8952-4c54-bb00-b6647087eb39","type":"DataRange1d"},"y_scale":{"id":"d9a3f404-adb1-4c0c-bf1e-d2698b3ab3bd","type":"LinearScale"}},"id":"5bdad777-0fb0-4813-be02-17030c5b7d36","type":"Plot"}],"root_ids":["5bdad777-0fb0-4813-be02-17030c5b7d36"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"00c7a788-e2fc-4bb0-a800-9b515ec63f42","elementid":"72f7ea2c-85c6-4915-b33b-6b4308dc8e2d","modelid":"5bdad777-0fb0-4813-be02-17030c5b7d36"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
