(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("18f3dc36-3e81-4490-a5a4-cb551d7d27ab");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '18f3dc36-3e81-4490-a5a4-cb551d7d27ab' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"184337c1-cd29-410d-a93e-2b06b8e38724":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"755a7113-131a-4115-bcf9-efdb16e1094b","type":"Toolbar"},{"attributes":{},"id":"590dabab-412d-45a5-b546-72787c93089c","type":"BasicTickFormatter"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#B3DE69"},"radius":{"field":"r","units":"data"},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"4895b103-c3d9-4bf3-9c08-27d132edcb84","type":"Wedge"},{"attributes":{"callback":null},"id":"738cb86f-e53b-4470-a5e4-2e5ac7b3093a","type":"DataRange1d"},{"attributes":{"source":{"id":"bb224765-45cc-4877-85b4-92223f653544","type":"ColumnDataSource"}},"id":"5eaaf5ca-ec51-44f8-a2b3-7185733f5a9d","type":"CDSView"},{"attributes":{},"id":"c3e15321-701f-4aac-a69f-63ba2c5fc503","type":"LinearScale"},{"attributes":{"below":[{"id":"630cdd10-5a57-406e-afc7-5e76b8ef9bf8","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"7f335576-c5bb-41a4-adba-da103a2f2462","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"9880d880-3ebc-4a70-a74a-151ba80649c0","type":"GlyphRenderer"},{"id":"630cdd10-5a57-406e-afc7-5e76b8ef9bf8","type":"LinearAxis"},{"id":"7f335576-c5bb-41a4-adba-da103a2f2462","type":"LinearAxis"},{"id":"907e826c-ce37-4e45-866f-a8ea036f7ee8","type":"Grid"},{"id":"8743ff05-6eb6-4196-84ad-38a5890907be","type":"Grid"}],"title":null,"toolbar":{"id":"755a7113-131a-4115-bcf9-efdb16e1094b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"738cb86f-e53b-4470-a5e4-2e5ac7b3093a","type":"DataRange1d"},"x_scale":{"id":"c3e15321-701f-4aac-a69f-63ba2c5fc503","type":"LinearScale"},"y_range":{"id":"fd4351b6-447c-429d-9d45-c951a3a9f734","type":"DataRange1d"},"y_scale":{"id":"d35cee4f-f4bb-4342-91e0-a6244281ed7f","type":"LinearScale"}},"id":"d01788b5-9e92-4aa8-bef5-946bec51d51b","type":"Plot"},{"attributes":{},"id":"207366fd-016c-4972-a226-b310791f2008","type":"BasicTicker"},{"attributes":{"callback":null},"id":"fd4351b6-447c-429d-9d45-c951a3a9f734","type":"DataRange1d"},{"attributes":{"plot":{"id":"d01788b5-9e92-4aa8-bef5-946bec51d51b","type":"Plot"},"ticker":{"id":"1f11dedc-03e3-4648-884c-4f424a22ae95","type":"BasicTicker"}},"id":"907e826c-ce37-4e45-866f-a8ea036f7ee8","type":"Grid"},{"attributes":{},"id":"7cbdc617-5f5b-4eec-b28d-e571b800a2d5","type":"BasicTickFormatter"},{"attributes":{},"id":"d35cee4f-f4bb-4342-91e0-a6244281ed7f","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"d01788b5-9e92-4aa8-bef5-946bec51d51b","type":"Plot"},"ticker":{"id":"207366fd-016c-4972-a226-b310791f2008","type":"BasicTicker"}},"id":"8743ff05-6eb6-4196-84ad-38a5890907be","type":"Grid"},{"attributes":{},"id":"1f11dedc-03e3-4648-884c-4f424a22ae95","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","r"],"data":{"r":{"__ndarray__":"VVVVVVVVxT+ZmZmZmZnJP97d3d3d3c0/ERERERER0T8zMzMzMzPTP1VVVVVVVdU/d3d3d3d31z+amZmZmZnZP7y7u7u7u9s/","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"bb224765-45cc-4877-85b4-92223f653544","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"590dabab-412d-45a5-b546-72787c93089c","type":"BasicTickFormatter"},"plot":{"id":"d01788b5-9e92-4aa8-bef5-946bec51d51b","type":"Plot"},"ticker":{"id":"1f11dedc-03e3-4648-884c-4f424a22ae95","type":"BasicTicker"}},"id":"630cdd10-5a57-406e-afc7-5e76b8ef9bf8","type":"LinearAxis"},{"attributes":{"data_source":{"id":"bb224765-45cc-4877-85b4-92223f653544","type":"ColumnDataSource"},"glyph":{"id":"4895b103-c3d9-4bf3-9c08-27d132edcb84","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5eaaf5ca-ec51-44f8-a2b3-7185733f5a9d","type":"CDSView"}},"id":"9880d880-3ebc-4a70-a74a-151ba80649c0","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"7cbdc617-5f5b-4eec-b28d-e571b800a2d5","type":"BasicTickFormatter"},"plot":{"id":"d01788b5-9e92-4aa8-bef5-946bec51d51b","type":"Plot"},"ticker":{"id":"207366fd-016c-4972-a226-b310791f2008","type":"BasicTicker"}},"id":"7f335576-c5bb-41a4-adba-da103a2f2462","type":"LinearAxis"}],"root_ids":["d01788b5-9e92-4aa8-bef5-946bec51d51b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"184337c1-cd29-410d-a93e-2b06b8e38724","elementid":"18f3dc36-3e81-4490-a5a4-cb551d7d27ab","modelid":"d01788b5-9e92-4aa8-bef5-946bec51d51b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
