(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("61fd2b12-e6bb-49c5-bb0b-0c61d5d27bc8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '61fd2b12-e6bb-49c5-bb0b-0c61d5d27bc8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5a6cc7de-feab-49f9-96c4-a038617f20ac":{"roots":{"references":[{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#f0027f"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0b8afc3-84ee-48d7-83a7-b3996ecf1e1a","type":"Asterisk"},{"attributes":{},"id":"5dc365f8-a30b-49e8-a269-756589de46ea","type":"BasicTicker"},{"attributes":{"source":{"id":"7cd714fd-375c-4d12-9b95-8d6abf29335f","type":"ColumnDataSource"}},"id":"5102d994-1d83-4f27-89f5-5d7a520d3f45","type":"CDSView"},{"attributes":{"plot":{"id":"c0e60667-9314-478f-9696-19c63d10097c","type":"Plot"},"ticker":{"id":"0992a11d-544c-4854-a948-30b7adf3db10","type":"BasicTicker"}},"id":"1aced6af-64a3-420c-9a30-a16862a319ff","type":"Grid"},{"attributes":{"callback":null},"id":"6477e57d-5993-45a2-9314-9a743220b41b","type":"DataRange1d"},{"attributes":{"data_source":{"id":"7cd714fd-375c-4d12-9b95-8d6abf29335f","type":"ColumnDataSource"},"glyph":{"id":"b0b8afc3-84ee-48d7-83a7-b3996ecf1e1a","type":"Asterisk"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"5102d994-1d83-4f27-89f5-5d7a520d3f45","type":"CDSView"}},"id":"c9ad6fd9-b67d-4c51-8e88-23ffceeb0bbc","type":"GlyphRenderer"},{"attributes":{},"id":"0992a11d-544c-4854-a948-30b7adf3db10","type":"BasicTicker"},{"attributes":{"below":[{"id":"f7cfa0d1-600f-44a3-a71f-4775edd04047","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"980e3757-2897-4536-98fd-aad2510ce644","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"c9ad6fd9-b67d-4c51-8e88-23ffceeb0bbc","type":"GlyphRenderer"},{"id":"f7cfa0d1-600f-44a3-a71f-4775edd04047","type":"LinearAxis"},{"id":"980e3757-2897-4536-98fd-aad2510ce644","type":"LinearAxis"},{"id":"1aced6af-64a3-420c-9a30-a16862a319ff","type":"Grid"},{"id":"8aa89262-9c98-47bd-a5a5-678e8a58cbb9","type":"Grid"}],"title":null,"toolbar":{"id":"f0092fe7-640b-4a1a-a879-9019d2dcf70e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2fb701e5-a69d-4fd2-b4b9-933dd5ff03b1","type":"DataRange1d"},"x_scale":{"id":"05b4d1f1-ed78-4606-8fc0-ae5ed2ebccb5","type":"LinearScale"},"y_range":{"id":"6477e57d-5993-45a2-9314-9a743220b41b","type":"DataRange1d"},"y_scale":{"id":"6cff70ff-2edf-41b7-af3a-18a824f14961","type":"LinearScale"}},"id":"c0e60667-9314-478f-9696-19c63d10097c","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"c0e60667-9314-478f-9696-19c63d10097c","type":"Plot"},"ticker":{"id":"5dc365f8-a30b-49e8-a269-756589de46ea","type":"BasicTicker"}},"id":"8aa89262-9c98-47bd-a5a5-678e8a58cbb9","type":"Grid"},{"attributes":{},"id":"6cff70ff-2edf-41b7-af3a-18a824f14961","type":"LinearScale"},{"attributes":{"formatter":{"id":"5e657674-6f4c-4b6c-b06b-b61c7c1f796a","type":"BasicTickFormatter"},"plot":{"id":"c0e60667-9314-478f-9696-19c63d10097c","type":"Plot"},"ticker":{"id":"0992a11d-544c-4854-a948-30b7adf3db10","type":"BasicTicker"}},"id":"f7cfa0d1-600f-44a3-a71f-4775edd04047","type":"LinearAxis"},{"attributes":{"formatter":{"id":"2ee82638-965f-4cf6-975c-aaf8548fadfa","type":"BasicTickFormatter"},"plot":{"id":"c0e60667-9314-478f-9696-19c63d10097c","type":"Plot"},"ticker":{"id":"5dc365f8-a30b-49e8-a269-756589de46ea","type":"BasicTicker"}},"id":"980e3757-2897-4536-98fd-aad2510ce644","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f0092fe7-640b-4a1a-a879-9019d2dcf70e","type":"Toolbar"},{"attributes":{},"id":"2ee82638-965f-4cf6-975c-aaf8548fadfa","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"7cd714fd-375c-4d12-9b95-8d6abf29335f","type":"ColumnDataSource"},{"attributes":{},"id":"5e657674-6f4c-4b6c-b06b-b61c7c1f796a","type":"BasicTickFormatter"},{"attributes":{},"id":"05b4d1f1-ed78-4606-8fc0-ae5ed2ebccb5","type":"LinearScale"},{"attributes":{"callback":null},"id":"2fb701e5-a69d-4fd2-b4b9-933dd5ff03b1","type":"DataRange1d"}],"root_ids":["c0e60667-9314-478f-9696-19c63d10097c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5a6cc7de-feab-49f9-96c4-a038617f20ac","elementid":"61fd2b12-e6bb-49c5-bb0b-0c61d5d27bc8","modelid":"c0e60667-9314-478f-9696-19c63d10097c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
