(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2985d03c-60bf-4b2b-9f73-e544a273c8aa");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2985d03c-60bf-4b2b-9f73-e544a273c8aa' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5e275e25-b19a-4634-904a-ddc761b44b29":{"roots":{"references":[{"attributes":{"source":{"id":"8db2a961-c5ba-4ae4-b728-fc24fb6b7ea1","type":"ColumnDataSource"}},"id":"089272db-7d92-4b68-8461-15ff1f93f066","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"2ecaa4d6-ce2f-4566-aaa3-b85c302005a7","type":"Toolbar"},{"attributes":{},"id":"44010aeb-0aa0-44f5-8276-f962f4831a0e","type":"LinearScale"},{"attributes":{"formatter":{"id":"87606ae0-3937-478f-87b9-317393552bdc","type":"BasicTickFormatter"},"plot":{"id":"047cf94b-e6c5-4b50-aa69-0bd959563535","type":"Plot"},"ticker":{"id":"bee98e16-a9a3-4642-a950-ce529e248e19","type":"BasicTicker"}},"id":"b002d00d-9417-44f0-a914-5807037fcecb","type":"LinearAxis"},{"attributes":{"data_source":{"id":"8db2a961-c5ba-4ae4-b728-fc24fb6b7ea1","type":"ColumnDataSource"},"glyph":{"id":"02d639b5-5a06-4fe3-a94d-dc73f82ea4b5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"089272db-7d92-4b68-8461-15ff1f93f066","type":"CDSView"}},"id":"7426d299-baf3-4154-90e7-7cc002e74eef","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"e738e82e-12b9-4c1e-af4b-820603813a14","type":"BasicTickFormatter"},"plot":{"id":"047cf94b-e6c5-4b50-aa69-0bd959563535","type":"Plot"},"ticker":{"id":"e673d610-aa40-44df-815e-bba62ec17d47","type":"BasicTicker"}},"id":"b1d106a9-849e-4aa9-8de1-b2b2369b45ec","type":"LinearAxis"},{"attributes":{},"id":"e673d610-aa40-44df-815e-bba62ec17d47","type":"BasicTicker"},{"attributes":{"plot":{"id":"047cf94b-e6c5-4b50-aa69-0bd959563535","type":"Plot"},"ticker":{"id":"e673d610-aa40-44df-815e-bba62ec17d47","type":"BasicTicker"}},"id":"0dbbca13-79c0-42c9-ba88-c9bfcf9f4a28","type":"Grid"},{"attributes":{},"id":"bee98e16-a9a3-4642-a950-ce529e248e19","type":"BasicTicker"},{"attributes":{"callback":null},"id":"ecabd073-67b7-4333-9486-7cfa947f0d79","type":"DataRange1d"},{"attributes":{},"id":"87606ae0-3937-478f-87b9-317393552bdc","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"b1d106a9-849e-4aa9-8de1-b2b2369b45ec","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"b002d00d-9417-44f0-a914-5807037fcecb","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"7426d299-baf3-4154-90e7-7cc002e74eef","type":"GlyphRenderer"},{"id":"b1d106a9-849e-4aa9-8de1-b2b2369b45ec","type":"LinearAxis"},{"id":"b002d00d-9417-44f0-a914-5807037fcecb","type":"LinearAxis"},{"id":"0dbbca13-79c0-42c9-ba88-c9bfcf9f4a28","type":"Grid"},{"id":"3242f2da-e232-4187-bc5d-29bb4f8df531","type":"Grid"}],"title":null,"toolbar":{"id":"2ecaa4d6-ce2f-4566-aaa3-b85c302005a7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ecabd073-67b7-4333-9486-7cfa947f0d79","type":"DataRange1d"},"x_scale":{"id":"beb86709-3ae8-40df-8e55-131f5345a8b1","type":"LinearScale"},"y_range":{"id":"483ca276-77b8-4c6c-93f8-56ada3177b3e","type":"DataRange1d"},"y_scale":{"id":"44010aeb-0aa0-44f5-8276-f962f4831a0e","type":"LinearScale"}},"id":"047cf94b-e6c5-4b50-aa69-0bd959563535","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"8db2a961-c5ba-4ae4-b728-fc24fb6b7ea1","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"047cf94b-e6c5-4b50-aa69-0bd959563535","type":"Plot"},"ticker":{"id":"bee98e16-a9a3-4642-a950-ce529e248e19","type":"BasicTicker"}},"id":"3242f2da-e232-4187-bc5d-29bb4f8df531","type":"Grid"},{"attributes":{"callback":null},"id":"483ca276-77b8-4c6c-93f8-56ada3177b3e","type":"DataRange1d"},{"attributes":{},"id":"e738e82e-12b9-4c1e-af4b-820603813a14","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#3288Bd"},"line_width":{"value":3},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"02d639b5-5a06-4fe3-a94d-dc73f82ea4b5","type":"Circle"},{"attributes":{},"id":"beb86709-3ae8-40df-8e55-131f5345a8b1","type":"LinearScale"}],"root_ids":["047cf94b-e6c5-4b50-aa69-0bd959563535"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5e275e25-b19a-4634-904a-ddc761b44b29","elementid":"2985d03c-60bf-4b2b-9f73-e544a273c8aa","modelid":"047cf94b-e6c5-4b50-aa69-0bd959563535"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
