(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0b77c332-89be-48d3-8b31-681c9e9489d3");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0b77c332-89be-48d3-8b31-681c9e9489d3' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f96bcde-eb33-4608-94b6-bd1ffd95d7ab":{"roots":{"references":[{"attributes":{},"id":"87fc1634-b811-406e-a126-019e92da2918","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"87fc1634-b811-406e-a126-019e92da2918","type":"BasicTickFormatter"},"plot":{"id":"df36f718-8836-44a9-ac41-880e6e4ed708","type":"Plot"},"ticker":{"id":"726801fc-0f2b-4f9b-af6c-8f52c370f29f","type":"BasicTicker"}},"id":"9a144d70-7b3b-43bb-83f4-e622f991193d","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"55f78405-cdd9-4150-8845-f2e1b89155f8","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"55f78405-cdd9-4150-8845-f2e1b89155f8","type":"ColumnDataSource"},"glyph":{"id":"c77e5043-1b7b-4e7f-8485-1927e9b38e48","type":"CircleCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"059a144c-2074-4b45-8f60-d85096fa06fb","type":"CDSView"}},"id":"6b293462-c0f8-46e0-ac4d-c1d08a39a3c4","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"e264fe69-3e4a-48e1-bd06-823a4cea0fae","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"9a144d70-7b3b-43bb-83f4-e622f991193d","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"6b293462-c0f8-46e0-ac4d-c1d08a39a3c4","type":"GlyphRenderer"},{"id":"e264fe69-3e4a-48e1-bd06-823a4cea0fae","type":"LinearAxis"},{"id":"9a144d70-7b3b-43bb-83f4-e622f991193d","type":"LinearAxis"},{"id":"ba9a363e-7f25-42e2-9758-4e310550feab","type":"Grid"},{"id":"6f78eb16-05fb-4ebc-aaaa-44d9b0fded8d","type":"Grid"}],"title":null,"toolbar":{"id":"627fe0b6-0724-411c-9c35-5d9dd1b1faae","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ed50a1a0-1986-419a-9261-0008e248ba3d","type":"DataRange1d"},"x_scale":{"id":"96ac27b4-b6d2-4972-b438-90941defa852","type":"LinearScale"},"y_range":{"id":"285ddd0c-a659-42cf-8cc9-12f152b1732e","type":"DataRange1d"},"y_scale":{"id":"b6fea4dc-bdf4-4c2e-ac76-593e03a7ada6","type":"LinearScale"}},"id":"df36f718-8836-44a9-ac41-880e6e4ed708","type":"Plot"},{"attributes":{},"id":"b6fea4dc-bdf4-4c2e-ac76-593e03a7ada6","type":"LinearScale"},{"attributes":{"callback":null},"id":"285ddd0c-a659-42cf-8cc9-12f152b1732e","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"df36f718-8836-44a9-ac41-880e6e4ed708","type":"Plot"},"ticker":{"id":"726801fc-0f2b-4f9b-af6c-8f52c370f29f","type":"BasicTicker"}},"id":"6f78eb16-05fb-4ebc-aaaa-44d9b0fded8d","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"627fe0b6-0724-411c-9c35-5d9dd1b1faae","type":"Toolbar"},{"attributes":{"callback":null},"id":"ed50a1a0-1986-419a-9261-0008e248ba3d","type":"DataRange1d"},{"attributes":{},"id":"8bd43452-f98c-43f8-abf5-787f6b5b1a59","type":"BasicTicker"},{"attributes":{"plot":{"id":"df36f718-8836-44a9-ac41-880e6e4ed708","type":"Plot"},"ticker":{"id":"8bd43452-f98c-43f8-abf5-787f6b5b1a59","type":"BasicTicker"}},"id":"ba9a363e-7f25-42e2-9758-4e310550feab","type":"Grid"},{"attributes":{"source":{"id":"55f78405-cdd9-4150-8845-f2e1b89155f8","type":"ColumnDataSource"}},"id":"059a144c-2074-4b45-8f60-d85096fa06fb","type":"CDSView"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fb8072"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"c77e5043-1b7b-4e7f-8485-1927e9b38e48","type":"CircleCross"},{"attributes":{},"id":"726801fc-0f2b-4f9b-af6c-8f52c370f29f","type":"BasicTicker"},{"attributes":{},"id":"aff48d0c-721c-4aac-abe0-3577bd12a2dc","type":"BasicTickFormatter"},{"attributes":{},"id":"96ac27b4-b6d2-4972-b438-90941defa852","type":"LinearScale"},{"attributes":{"formatter":{"id":"aff48d0c-721c-4aac-abe0-3577bd12a2dc","type":"BasicTickFormatter"},"plot":{"id":"df36f718-8836-44a9-ac41-880e6e4ed708","type":"Plot"},"ticker":{"id":"8bd43452-f98c-43f8-abf5-787f6b5b1a59","type":"BasicTicker"}},"id":"e264fe69-3e4a-48e1-bd06-823a4cea0fae","type":"LinearAxis"}],"root_ids":["df36f718-8836-44a9-ac41-880e6e4ed708"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f96bcde-eb33-4608-94b6-bd1ffd95d7ab","elementid":"0b77c332-89be-48d3-8b31-681c9e9489d3","modelid":"df36f718-8836-44a9-ac41-880e6e4ed708"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
