(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("516beab3-edc7-4b77-818e-2c8bb4b18cd4");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '516beab3-edc7-4b77-818e-2c8bb4b18cd4' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1f156d11-8d6d-4fe7-8e7c-0da2a122f120":{"roots":{"references":[{"attributes":{},"id":"fafc5594-25d8-42b4-8cb7-ed10c9b6f50e","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"fd8021ad-b2bd-4202-b765-5fec0530dc87","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#386cb0"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"d7c1abdb-d1ce-4d56-a461-e4fb57c40b5d","type":"DiamondCross"},{"attributes":{"plot":{"id":"a32b2860-0f60-4a5b-87eb-93882518f32e","type":"Plot"},"ticker":{"id":"fafc5594-25d8-42b4-8cb7-ed10c9b6f50e","type":"BasicTicker"}},"id":"d5ceb840-4e09-4891-9443-940a3068df1d","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a7428791-4e03-40c3-9c4f-08f2e234b39d","type":"Toolbar"},{"attributes":{"below":[{"id":"8d9ef0d5-0ba7-4ff5-9b60-aad081e19e42","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"5e06a207-237e-41f0-b6b2-6558861a401e","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"7c6a23ac-b0d3-499b-b966-bd3794e4946d","type":"GlyphRenderer"},{"id":"8d9ef0d5-0ba7-4ff5-9b60-aad081e19e42","type":"LinearAxis"},{"id":"5e06a207-237e-41f0-b6b2-6558861a401e","type":"LinearAxis"},{"id":"d5ceb840-4e09-4891-9443-940a3068df1d","type":"Grid"},{"id":"aebdb41a-2128-4f5f-858c-d7be8d5c9587","type":"Grid"}],"title":null,"toolbar":{"id":"a7428791-4e03-40c3-9c4f-08f2e234b39d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8fce7e37-e2f5-448b-8c62-fce8b3fe60b7","type":"DataRange1d"},"x_scale":{"id":"5226865f-4aff-4c0d-88ce-e23e48b4b735","type":"LinearScale"},"y_range":{"id":"02c21d7c-228e-4b23-99e0-cee1a4932d10","type":"DataRange1d"},"y_scale":{"id":"2ca0dc87-c609-4b8e-92e2-b2e44293fe31","type":"LinearScale"}},"id":"a32b2860-0f60-4a5b-87eb-93882518f32e","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"a32b2860-0f60-4a5b-87eb-93882518f32e","type":"Plot"},"ticker":{"id":"70bd6712-ace3-43df-80ef-b2755e311ee7","type":"BasicTicker"}},"id":"aebdb41a-2128-4f5f-858c-d7be8d5c9587","type":"Grid"},{"attributes":{"callback":null},"id":"8fce7e37-e2f5-448b-8c62-fce8b3fe60b7","type":"DataRange1d"},{"attributes":{"callback":null},"id":"02c21d7c-228e-4b23-99e0-cee1a4932d10","type":"DataRange1d"},{"attributes":{},"id":"5226865f-4aff-4c0d-88ce-e23e48b4b735","type":"LinearScale"},{"attributes":{},"id":"70bd6712-ace3-43df-80ef-b2755e311ee7","type":"BasicTicker"},{"attributes":{"formatter":{"id":"daea92d2-6c5c-44aa-91cb-5afb73fb28f4","type":"BasicTickFormatter"},"plot":{"id":"a32b2860-0f60-4a5b-87eb-93882518f32e","type":"Plot"},"ticker":{"id":"fafc5594-25d8-42b4-8cb7-ed10c9b6f50e","type":"BasicTicker"}},"id":"8d9ef0d5-0ba7-4ff5-9b60-aad081e19e42","type":"LinearAxis"},{"attributes":{},"id":"3207f4f3-f27d-4202-b048-3c981d81c197","type":"BasicTickFormatter"},{"attributes":{},"id":"2ca0dc87-c609-4b8e-92e2-b2e44293fe31","type":"LinearScale"},{"attributes":{},"id":"daea92d2-6c5c-44aa-91cb-5afb73fb28f4","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"3207f4f3-f27d-4202-b048-3c981d81c197","type":"BasicTickFormatter"},"plot":{"id":"a32b2860-0f60-4a5b-87eb-93882518f32e","type":"Plot"},"ticker":{"id":"70bd6712-ace3-43df-80ef-b2755e311ee7","type":"BasicTicker"}},"id":"5e06a207-237e-41f0-b6b2-6558861a401e","type":"LinearAxis"},{"attributes":{"source":{"id":"fd8021ad-b2bd-4202-b765-5fec0530dc87","type":"ColumnDataSource"}},"id":"2f323e50-27cd-4c4e-9091-4cf8e784cf9e","type":"CDSView"},{"attributes":{"data_source":{"id":"fd8021ad-b2bd-4202-b765-5fec0530dc87","type":"ColumnDataSource"},"glyph":{"id":"d7c1abdb-d1ce-4d56-a461-e4fb57c40b5d","type":"DiamondCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"2f323e50-27cd-4c4e-9091-4cf8e784cf9e","type":"CDSView"}},"id":"7c6a23ac-b0d3-499b-b966-bd3794e4946d","type":"GlyphRenderer"}],"root_ids":["a32b2860-0f60-4a5b-87eb-93882518f32e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1f156d11-8d6d-4fe7-8e7c-0da2a122f120","elementid":"516beab3-edc7-4b77-818e-2c8bb4b18cd4","modelid":"a32b2860-0f60-4a5b-87eb-93882518f32e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
