(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6f1195dc-bb00-42b9-aac6-49cf3cc49d69");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6f1195dc-bb00-42b9-aac6-49cf3cc49d69' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"62b08c88-d243-44a1-9f73-e09e83554a92":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"f88aa51b-9190-476e-b3c5-c468d77b80e5","type":"Plot"},"ticker":{"id":"7c52a277-92d5-4dc7-ab2e-fe23b852f658","type":"BasicTicker"}},"id":"34f985c8-636e-4b31-9099-dc5484d7780c","type":"Grid"},{"attributes":{"callback":null},"id":"e5e86673-1dc8-47e0-9d30-187cc23f9c06","type":"DataRange1d"},{"attributes":{"formatter":{"id":"080864d5-cb41-4419-838d-7e0ef56e2c5e","type":"BasicTickFormatter"},"plot":{"id":"f88aa51b-9190-476e-b3c5-c468d77b80e5","type":"Plot"},"ticker":{"id":"7c52a277-92d5-4dc7-ab2e-fe23b852f658","type":"BasicTicker"}},"id":"081cf781-433f-4b3e-95a6-ae8d98ffee61","type":"LinearAxis"},{"attributes":{"data_source":{"id":"7fd1aba6-30aa-4d9c-a098-a1139a5e063d","type":"ColumnDataSource"},"glyph":{"id":"208159bc-cce1-4b04-8a36-b4714813c220","type":"SquareCross"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"c99fa660-da79-4245-b89c-5c6f09ed5286","type":"CDSView"}},"id":"c67ccfbb-4b4e-476f-9fe7-49b9b7eb99dc","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"64fbee5c-0717-4344-9aae-e4c667689c9e","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"081cf781-433f-4b3e-95a6-ae8d98ffee61","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"c67ccfbb-4b4e-476f-9fe7-49b9b7eb99dc","type":"GlyphRenderer"},{"id":"64fbee5c-0717-4344-9aae-e4c667689c9e","type":"LinearAxis"},{"id":"081cf781-433f-4b3e-95a6-ae8d98ffee61","type":"LinearAxis"},{"id":"b0e603fa-a4e0-46d0-bed9-b3e9b0533779","type":"Grid"},{"id":"34f985c8-636e-4b31-9099-dc5484d7780c","type":"Grid"}],"title":null,"toolbar":{"id":"e96eeb8c-ddf2-4827-bd52-402c3e7155f6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"e5e86673-1dc8-47e0-9d30-187cc23f9c06","type":"DataRange1d"},"x_scale":{"id":"32b1300b-d0d5-41cd-88ba-dfdc0c04a3d0","type":"LinearScale"},"y_range":{"id":"aeb45377-bd39-41f9-8992-b1489cf9054b","type":"DataRange1d"},"y_scale":{"id":"8cb9c3bf-83db-4d99-80f7-17b64e5eb965","type":"LinearScale"}},"id":"f88aa51b-9190-476e-b3c5-c468d77b80e5","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"e96eeb8c-ddf2-4827-bd52-402c3e7155f6","type":"Toolbar"},{"attributes":{"formatter":{"id":"92a91a35-ce8f-44d5-bc2e-e66844739c69","type":"BasicTickFormatter"},"plot":{"id":"f88aa51b-9190-476e-b3c5-c468d77b80e5","type":"Plot"},"ticker":{"id":"d6fd8d47-332f-43d7-b607-093853e374d7","type":"BasicTicker"}},"id":"64fbee5c-0717-4344-9aae-e4c667689c9e","type":"LinearAxis"},{"attributes":{},"id":"d6fd8d47-332f-43d7-b607-093853e374d7","type":"BasicTicker"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#7fc97f"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"208159bc-cce1-4b04-8a36-b4714813c220","type":"SquareCross"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"7fd1aba6-30aa-4d9c-a098-a1139a5e063d","type":"ColumnDataSource"},{"attributes":{},"id":"7c52a277-92d5-4dc7-ab2e-fe23b852f658","type":"BasicTicker"},{"attributes":{},"id":"8cb9c3bf-83db-4d99-80f7-17b64e5eb965","type":"LinearScale"},{"attributes":{},"id":"32b1300b-d0d5-41cd-88ba-dfdc0c04a3d0","type":"LinearScale"},{"attributes":{"plot":{"id":"f88aa51b-9190-476e-b3c5-c468d77b80e5","type":"Plot"},"ticker":{"id":"d6fd8d47-332f-43d7-b607-093853e374d7","type":"BasicTicker"}},"id":"b0e603fa-a4e0-46d0-bed9-b3e9b0533779","type":"Grid"},{"attributes":{"source":{"id":"7fd1aba6-30aa-4d9c-a098-a1139a5e063d","type":"ColumnDataSource"}},"id":"c99fa660-da79-4245-b89c-5c6f09ed5286","type":"CDSView"},{"attributes":{},"id":"080864d5-cb41-4419-838d-7e0ef56e2c5e","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"aeb45377-bd39-41f9-8992-b1489cf9054b","type":"DataRange1d"},{"attributes":{},"id":"92a91a35-ce8f-44d5-bc2e-e66844739c69","type":"BasicTickFormatter"}],"root_ids":["f88aa51b-9190-476e-b3c5-c468d77b80e5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"62b08c88-d243-44a1-9f73-e09e83554a92","elementid":"6f1195dc-bb00-42b9-aac6-49cf3cc49d69","modelid":"f88aa51b-9190-476e-b3c5-c468d77b80e5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
