(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5b02f637-b062-4138-8d87-875aded5aa03");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5b02f637-b062-4138-8d87-875aded5aa03' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b6a5071c-f631-4d8d-a75d-14b87fecd5d8":{"roots":{"references":[{"attributes":{},"id":"c514a582-dcab-4a86-a70f-c27e46f7122a","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"5442720d-f7c7-4b1f-a25c-3eb695ea96ce","type":"ColumnDataSource"},{"attributes":{},"id":"fc4484e5-dd9d-4a0f-a4aa-ec02568c9ceb","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"36b5d233-fa8e-467c-abb6-258b0daba9fe","type":"DataRange1d"},{"attributes":{"formatter":{"id":"fc4484e5-dd9d-4a0f-a4aa-ec02568c9ceb","type":"BasicTickFormatter"},"plot":{"id":"4628b63e-3397-44ae-ad3a-8664c06e5924","type":"Plot"},"ticker":{"id":"110319eb-ac26-4793-ab25-3e186b28ff45","type":"BasicTicker"}},"id":"e984c6e0-83fe-4377-a933-e2989ba3b098","type":"LinearAxis"},{"attributes":{"plot":{"id":"4628b63e-3397-44ae-ad3a-8664c06e5924","type":"Plot"},"ticker":{"id":"110319eb-ac26-4793-ab25-3e186b28ff45","type":"BasicTicker"}},"id":"56859849-4a72-44bd-b6bd-7be9c00fe00b","type":"Grid"},{"attributes":{"formatter":{"id":"2116de99-66e1-4d8f-8e0e-ebea3e2af234","type":"BasicTickFormatter"},"plot":{"id":"4628b63e-3397-44ae-ad3a-8664c06e5924","type":"Plot"},"ticker":{"id":"1bb83ddf-3901-4884-81f5-aafa8f9aa7af","type":"BasicTicker"}},"id":"5dc53a85-262d-4bc7-aeb5-fdcb32be0c1b","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"4628b63e-3397-44ae-ad3a-8664c06e5924","type":"Plot"},"ticker":{"id":"1bb83ddf-3901-4884-81f5-aafa8f9aa7af","type":"BasicTicker"}},"id":"a74b872a-d50c-4275-8f25-b3c545521309","type":"Grid"},{"attributes":{"below":[{"id":"e984c6e0-83fe-4377-a933-e2989ba3b098","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"5dc53a85-262d-4bc7-aeb5-fdcb32be0c1b","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"6af74acb-15aa-46a8-bf07-ed55d641e225","type":"GlyphRenderer"},{"id":"e984c6e0-83fe-4377-a933-e2989ba3b098","type":"LinearAxis"},{"id":"5dc53a85-262d-4bc7-aeb5-fdcb32be0c1b","type":"LinearAxis"},{"id":"56859849-4a72-44bd-b6bd-7be9c00fe00b","type":"Grid"},{"id":"a74b872a-d50c-4275-8f25-b3c545521309","type":"Grid"}],"title":null,"toolbar":{"id":"f9932543-48aa-4e1b-b7bf-eb6300dd6ad7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f26da2e9-d302-4be8-9d30-8614d30775a2","type":"DataRange1d"},"x_scale":{"id":"48b2b220-02f0-430c-bde8-a7f766cf9194","type":"LinearScale"},"y_range":{"id":"36b5d233-fa8e-467c-abb6-258b0daba9fe","type":"DataRange1d"},"y_scale":{"id":"c514a582-dcab-4a86-a70f-c27e46f7122a","type":"LinearScale"}},"id":"4628b63e-3397-44ae-ad3a-8664c06e5924","type":"Plot"},{"attributes":{"data_source":{"id":"5442720d-f7c7-4b1f-a25c-3eb695ea96ce","type":"ColumnDataSource"},"glyph":{"id":"fe511fe7-ddca-4aa9-8777-ea3a795229e6","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"6651371d-6638-4eec-9801-a1db2a3f00f5","type":"CDSView"}},"id":"6af74acb-15aa-46a8-bf07-ed55d641e225","type":"GlyphRenderer"},{"attributes":{"source":{"id":"5442720d-f7c7-4b1f-a25c-3eb695ea96ce","type":"ColumnDataSource"}},"id":"6651371d-6638-4eec-9801-a1db2a3f00f5","type":"CDSView"},{"attributes":{},"id":"2116de99-66e1-4d8f-8e0e-ebea3e2af234","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#99d594"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"fe511fe7-ddca-4aa9-8777-ea3a795229e6","type":"Triangle"},{"attributes":{},"id":"48b2b220-02f0-430c-bde8-a7f766cf9194","type":"LinearScale"},{"attributes":{"callback":null},"id":"f26da2e9-d302-4be8-9d30-8614d30775a2","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"f9932543-48aa-4e1b-b7bf-eb6300dd6ad7","type":"Toolbar"},{"attributes":{},"id":"1bb83ddf-3901-4884-81f5-aafa8f9aa7af","type":"BasicTicker"},{"attributes":{},"id":"110319eb-ac26-4793-ab25-3e186b28ff45","type":"BasicTicker"}],"root_ids":["4628b63e-3397-44ae-ad3a-8664c06e5924"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b6a5071c-f631-4d8d-a75d-14b87fecd5d8","elementid":"5b02f637-b062-4138-8d87-875aded5aa03","modelid":"4628b63e-3397-44ae-ad3a-8664c06e5924"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
