(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("511e2391-0d2b-463f-bfb8-372beedcd256");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '511e2391-0d2b-463f-bfb8-372beedcd256' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"05e2e36c-d634-4eb5-bb9a-566fb831f6c5":{"roots":{"references":[{"attributes":{"source":{"id":"472e2def-c805-45c0-969b-2b23c2abde29","type":"ColumnDataSource"}},"id":"2e075bef-c96e-440d-b722-46160845cb15","type":"CDSView"},{"attributes":{},"id":"75fe7f5a-4630-42da-b4fb-e2c9bf6a46a5","type":"LinearScale"},{"attributes":{},"id":"9648e593-62d6-4818-a3a4-0d2c3edaf14e","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"8f797f98-1e72-405e-9456-15acd3abb448","type":"DataRange1d"},{"attributes":{"data_source":{"id":"472e2def-c805-45c0-969b-2b23c2abde29","type":"ColumnDataSource"},"glyph":{"id":"ad9afb82-ed58-4aee-908d-85456155d2da","type":"X"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"2e075bef-c96e-440d-b722-46160845cb15","type":"CDSView"}},"id":"94acce0c-e6f1-4ac4-b473-37f2d8347d63","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"2582d45d-21c4-417b-b302-bb78449f73eb","type":"LinearAxis"}],"h_symmetry":false,"left":[{"id":"8804194b-a321-493c-bd3c-bfe73942dfad","type":"LinearAxis"}],"min_border":0,"plot_height":300,"plot_width":300,"renderers":[{"id":"94acce0c-e6f1-4ac4-b473-37f2d8347d63","type":"GlyphRenderer"},{"id":"2582d45d-21c4-417b-b302-bb78449f73eb","type":"LinearAxis"},{"id":"8804194b-a321-493c-bd3c-bfe73942dfad","type":"LinearAxis"},{"id":"a1b1db01-23d6-4efd-b34a-022b18755161","type":"Grid"},{"id":"edb7595b-52ae-4a81-9dbd-69f9d0b6800f","type":"Grid"}],"title":null,"toolbar":{"id":"a37c17de-908e-4dcd-84cc-09c7a83bd4d3","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8f797f98-1e72-405e-9456-15acd3abb448","type":"DataRange1d"},"x_scale":{"id":"990cfd85-b1df-4b32-994b-14e7cf971eff","type":"LinearScale"},"y_range":{"id":"7bb11bf0-2696-4e07-baed-8d75922011ae","type":"DataRange1d"},"y_scale":{"id":"75fe7f5a-4630-42da-b4fb-e2c9bf6a46a5","type":"LinearScale"}},"id":"b3f35093-9646-4340-9524-57f9076f08a1","type":"Plot"},{"attributes":{"callback":null},"id":"7bb11bf0-2696-4e07-baed-8d75922011ae","type":"DataRange1d"},{"attributes":{},"id":"990cfd85-b1df-4b32-994b-14e7cf971eff","type":"LinearScale"},{"attributes":{"formatter":{"id":"9648e593-62d6-4818-a3a4-0d2c3edaf14e","type":"BasicTickFormatter"},"plot":{"id":"b3f35093-9646-4340-9524-57f9076f08a1","type":"Plot"},"ticker":{"id":"67d0b2d8-1ce0-45d4-a8e0-f926b7719877","type":"BasicTicker"}},"id":"2582d45d-21c4-417b-b302-bb78449f73eb","type":"LinearAxis"},{"attributes":{"plot":{"id":"b3f35093-9646-4340-9524-57f9076f08a1","type":"Plot"},"ticker":{"id":"67d0b2d8-1ce0-45d4-a8e0-f926b7719877","type":"BasicTicker"}},"id":"a1b1db01-23d6-4efd-b34a-022b18755161","type":"Grid"},{"attributes":{"formatter":{"id":"2a9d3a57-40c8-4453-9013-6ce9330b8d4b","type":"BasicTickFormatter"},"plot":{"id":"b3f35093-9646-4340-9524-57f9076f08a1","type":"Plot"},"ticker":{"id":"638c44f5-6dc1-487f-8403-451943f40607","type":"BasicTicker"}},"id":"8804194b-a321-493c-bd3c-bfe73942dfad","type":"LinearAxis"},{"attributes":{},"id":"67d0b2d8-1ce0-45d4-a8e0-f926b7719877","type":"BasicTicker"},{"attributes":{},"id":"638c44f5-6dc1-487f-8403-451943f40607","type":"BasicTicker"},{"attributes":{},"id":"2a9d3a57-40c8-4453-9013-6ce9330b8d4b","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"b3f35093-9646-4340-9524-57f9076f08a1","type":"Plot"},"ticker":{"id":"638c44f5-6dc1-487f-8403-451943f40607","type":"BasicTicker"}},"id":"edb7595b-52ae-4a81-9dbd-69f9d0b6800f","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a37c17de-908e-4dcd-84cc-09c7a83bd4d3","type":"Toolbar"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#fdae6b"},"line_width":{"value":2},"size":{"field":"sizes","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ad9afb82-ed58-4aee-908d-85456155d2da","type":"X"},{"attributes":{"callback":null,"column_names":["y","x","sizes"],"data":{"sizes":{"__ndarray__":"AAAAAAAAJEAAAAAAAIAmQAAAAAAAAClAAAAAAACAK0AAAAAAAAAuQAAAAAAAQDBAAAAAAACAMUAAAAAAAMAyQAAAAAAAADRA","dtype":"float64","shape":[9]},"x":{"__ndarray__":"AAAAAAAAAMAAAAAAAAD4vwAAAAAAAPC/AAAAAAAA4L8AAAAAAAAAAAAAAAAAAOA/AAAAAAAA8D8AAAAAAAD4PwAAAAAAAABA","dtype":"float64","shape":[9]},"y":{"__ndarray__":"AAAAAAAAEEAAAAAAAAACQAAAAAAAAPA/AAAAAAAA0D8AAAAAAAAAAAAAAAAAANA/AAAAAAAA8D8AAAAAAAACQAAAAAAAABBA","dtype":"float64","shape":[9]}}},"id":"472e2def-c805-45c0-969b-2b23c2abde29","type":"ColumnDataSource"}],"root_ids":["b3f35093-9646-4340-9524-57f9076f08a1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"05e2e36c-d634-4eb5-bb9a-566fb831f6c5","elementid":"511e2391-0d2b-463f-bfb8-372beedcd256","modelid":"b3f35093-9646-4340-9524-57f9076f08a1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
