(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("cc5c8201-963a-4600-a380-0336ffe80a91");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'cc5c8201-963a-4600-a380-0336ffe80a91' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a2eb0f3c-adc5-4284-a8f9-1bca800e4e78":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8308eaae-8dbb-49c8-8b80-743951050c78","type":"Circle"},{"attributes":{"plot":{"id":"8963687e-1f7c-4a83-b3dd-3355d2403500","subtype":"Figure","type":"Plot"},"ticker":{"id":"7da7da4c-1163-49ca-8a39-6653abaec90d","type":"BasicTicker"}},"id":"746756a0-eebd-4451-92c6-804be47588d5","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"cc595fa0-d8b5-475d-85f4-c6b5f48ff06a","type":"Title"},{"attributes":{"formatter":{"id":"905192a5-37f2-4b6e-a32c-df1396195ff1","type":"BasicTickFormatter"},"plot":{"id":"8963687e-1f7c-4a83-b3dd-3355d2403500","subtype":"Figure","type":"Plot"},"ticker":{"id":"7da7da4c-1163-49ca-8a39-6653abaec90d","type":"BasicTicker"}},"id":"52eaa119-df77-405f-9cb4-f63c36accc2d","type":"LinearAxis"},{"attributes":{"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"652b9dd0-f2f7-4e55-a411-d77059e67f67","type":"Line"},{"attributes":{},"id":"4b51c4e8-4c76-4f08-be3f-583d5ee0d0fa","type":"LinearScale"},{"attributes":{},"id":"5e1eb069-5722-43a4-9439-f0eb0a976680","type":"ResetTool"},{"attributes":{"plot":{"id":"0f83327d-7794-4c91-9498-efaf794a8ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"80d65db4-4d29-42ac-8887-c3861eb97c03","type":"BasicTicker"}},"id":"a1622f68-b102-444d-8b8b-8751dabb88af","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"f2ddc559-c9a4-4c69-a641-8c52255a8b97","type":"ColumnDataSource"},{"attributes":{},"id":"857246f2-aad8-4111-92c7-5928940b4a07","type":"BasicTicker"},{"attributes":{},"id":"48b8314d-6aeb-406e-a0ce-d71c376c4f13","type":"LinearScale"},{"attributes":{},"id":"9f9ae4d6-09ef-4128-9e4b-04b9b52b7adf","type":"ResetTool"},{"attributes":{},"id":"acd06788-a314-4369-869d-57e42fff40b4","type":"BasicTicker"},{"attributes":{},"id":"80d65db4-4d29-42ac-8887-c3861eb97c03","type":"BasicTicker"},{"attributes":{"formatter":{"id":"ae0dc23a-9c02-42ba-88de-793ee86be6f6","type":"BasicTickFormatter"},"plot":{"id":"0f83327d-7794-4c91-9498-efaf794a8ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"acd06788-a314-4369-869d-57e42fff40b4","type":"BasicTicker"}},"id":"da0b4616-94fa-4a10-86d9-c2c7242b03e1","type":"LinearAxis"},{"attributes":{"source":{"id":"12e5c1b2-6c4c-49ca-b843-5f362614c896","type":"ColumnDataSource"}},"id":"b967f198-39e6-42ce-8db3-b0f4fae9a957","type":"CDSView"},{"attributes":{},"id":"bbaace2e-7d9e-490e-a2f9-aeb385e2b410","type":"LinearScale"},{"attributes":{},"id":"bea40412-4900-4e4a-bdaa-4ea450257338","type":"PanTool"},{"attributes":{"overlay":{"id":"c41db579-9869-49f2-8f13-b70427693ca8","type":"BoxAnnotation"}},"id":"153b4863-d0b9-4fee-afd4-0ceee07ae8e3","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"12e5c1b2-6c4c-49ca-b843-5f362614c896","type":"ColumnDataSource"},"glyph":{"id":"8308eaae-8dbb-49c8-8b80-743951050c78","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"82889997-571d-48fc-8798-969394e15b17","type":"Circle"},"selection_glyph":null,"view":{"id":"b967f198-39e6-42ce-8db3-b0f4fae9a957","type":"CDSView"}},"id":"f1b0fa7f-4197-4313-8c5c-dc15155f87c6","type":"GlyphRenderer"},{"attributes":{},"id":"fe0b74d5-0f43-44fa-8fec-87edc294d836","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"fa32bf18-8c7f-4956-8ab0-0a44d484a968","type":"BoxAnnotation"}},"id":"75abd3de-dcaa-4b34-bf87-161b9f14225d","type":"BoxZoomTool"},{"attributes":{},"id":"7da7da4c-1163-49ca-8a39-6653abaec90d","type":"BasicTicker"},{"attributes":{"below":[{"id":"2656c7ed-ecf7-4213-913a-1d81155dd93b","type":"LinearAxis"}],"left":[{"id":"da0b4616-94fa-4a10-86d9-c2c7242b03e1","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"2656c7ed-ecf7-4213-913a-1d81155dd93b","type":"LinearAxis"},{"id":"a1622f68-b102-444d-8b8b-8751dabb88af","type":"Grid"},{"id":"da0b4616-94fa-4a10-86d9-c2c7242b03e1","type":"LinearAxis"},{"id":"3998cd30-f31d-4ef5-912a-48642406a5aa","type":"Grid"},{"id":"c41db579-9869-49f2-8f13-b70427693ca8","type":"BoxAnnotation"},{"id":"73e566ee-205a-4769-b6df-9d423219668d","type":"GlyphRenderer"}],"title":{"id":"b498e231-9854-4c43-8915-e3a16efe7632","type":"Title"},"toolbar":{"id":"9f5e7af8-2c72-4b83-af12-62ac28acdef7","type":"Toolbar"},"x_range":{"id":"d15a3db3-5d8d-4ae0-bd68-ae503eb25e4d","type":"DataRange1d"},"x_scale":{"id":"4b51c4e8-4c76-4f08-be3f-583d5ee0d0fa","type":"LinearScale"},"y_range":{"id":"68844f91-8597-4c24-b451-c145d962ad47","type":"DataRange1d"},"y_scale":{"id":"bbaace2e-7d9e-490e-a2f9-aeb385e2b410","type":"LinearScale"}},"id":"0f83327d-7794-4c91-9498-efaf794a8ea8","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"fa32bf18-8c7f-4956-8ab0-0a44d484a968","type":"BoxAnnotation"},{"attributes":{},"id":"905192a5-37f2-4b6e-a32c-df1396195ff1","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"43011920-580a-43c2-8099-ccfd1e19c57d","type":"BasicTickFormatter"},"plot":{"id":"8963687e-1f7c-4a83-b3dd-3355d2403500","subtype":"Figure","type":"Plot"},"ticker":{"id":"857246f2-aad8-4111-92c7-5928940b4a07","type":"BasicTicker"}},"id":"210efc33-105e-47c8-b939-2801de8652d7","type":"LinearAxis"},{"attributes":{"below":[{"id":"52eaa119-df77-405f-9cb4-f63c36accc2d","type":"LinearAxis"}],"left":[{"id":"210efc33-105e-47c8-b939-2801de8652d7","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"52eaa119-df77-405f-9cb4-f63c36accc2d","type":"LinearAxis"},{"id":"746756a0-eebd-4451-92c6-804be47588d5","type":"Grid"},{"id":"210efc33-105e-47c8-b939-2801de8652d7","type":"LinearAxis"},{"id":"d3241aaf-0f9e-4630-8a1f-cb57549d3c10","type":"Grid"},{"id":"fa32bf18-8c7f-4956-8ab0-0a44d484a968","type":"BoxAnnotation"},{"id":"f1b0fa7f-4197-4313-8c5c-dc15155f87c6","type":"GlyphRenderer"}],"title":{"id":"cc595fa0-d8b5-475d-85f4-c6b5f48ff06a","type":"Title"},"toolbar":{"id":"dc791b33-d25a-4148-ab82-a06084b48644","type":"Toolbar"},"x_range":{"id":"225c4a92-92ad-4f16-b3b3-2751bca50af0","type":"DataRange1d"},"x_scale":{"id":"b7965617-4f6d-4b12-b855-bc22b119bc5d","type":"LinearScale"},"y_range":{"id":"7c6c2f0d-44e0-432e-8603-2c7c3083d058","type":"DataRange1d"},"y_scale":{"id":"48b8314d-6aeb-406e-a0ce-d71c376c4f13","type":"LinearScale"}},"id":"8963687e-1f7c-4a83-b3dd-3355d2403500","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"b498e231-9854-4c43-8915-e3a16efe7632","type":"Title"},{"attributes":{},"id":"43011920-580a-43c2-8099-ccfd1e19c57d","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"82889997-571d-48fc-8798-969394e15b17","type":"Circle"},{"attributes":{},"id":"2ce573cf-e8ef-484c-ba9d-543531be3834","type":"HelpTool"},{"attributes":{},"id":"236116a7-64d6-43dd-a7e3-2a462aa4734f","type":"SaveTool"},{"attributes":{},"id":"ae0dc23a-9c02-42ba-88de-793ee86be6f6","type":"BasicTickFormatter"},{"attributes":{},"id":"4e9f2015-b680-4738-8f61-61d64a6752af","type":"PanTool"},{"attributes":{"child":{"id":"0f83327d-7794-4c91-9498-efaf794a8ea8","subtype":"Figure","type":"Plot"},"title":"line"},"id":"3bf26af3-d3a8-4a82-be9d-2d13cbca2e69","type":"Panel"},{"attributes":{"data_source":{"id":"f2ddc559-c9a4-4c69-a641-8c52255a8b97","type":"ColumnDataSource"},"glyph":{"id":"652b9dd0-f2f7-4e55-a411-d77059e67f67","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"27d6d1c6-0ddf-4b7b-8487-093229b04add","type":"Line"},"selection_glyph":null,"view":{"id":"78edb8fa-2ab9-4e40-9fa1-ede261b0dd9e","type":"CDSView"}},"id":"73e566ee-205a-4769-b6df-9d423219668d","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"27d6d1c6-0ddf-4b7b-8487-093229b04add","type":"Line"},{"attributes":{},"id":"c0634e92-65b5-491c-86dd-dcc8a1b77b3a","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"12e5c1b2-6c4c-49ca-b843-5f362614c896","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"68844f91-8597-4c24-b451-c145d962ad47","type":"DataRange1d"},{"attributes":{"callback":null},"id":"7c6c2f0d-44e0-432e-8603-2c7c3083d058","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"8963687e-1f7c-4a83-b3dd-3355d2403500","subtype":"Figure","type":"Plot"},"ticker":{"id":"857246f2-aad8-4111-92c7-5928940b4a07","type":"BasicTicker"}},"id":"d3241aaf-0f9e-4630-8a1f-cb57549d3c10","type":"Grid"},{"attributes":{"source":{"id":"f2ddc559-c9a4-4c69-a641-8c52255a8b97","type":"ColumnDataSource"}},"id":"78edb8fa-2ab9-4e40-9fa1-ede261b0dd9e","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c41db579-9869-49f2-8f13-b70427693ca8","type":"BoxAnnotation"},{"attributes":{},"id":"b7965617-4f6d-4b12-b855-bc22b119bc5d","type":"LinearScale"},{"attributes":{"callback":null,"tabs":[{"id":"127db8aa-7f04-4416-9fbc-f3fb1d3ed975","type":"Panel"},{"id":"3bf26af3-d3a8-4a82-be9d-2d13cbca2e69","type":"Panel"}]},"id":"aa3d8fa2-30d0-47cd-9d9d-68b411860d5a","type":"Tabs"},{"attributes":{"callback":null},"id":"d15a3db3-5d8d-4ae0-bd68-ae503eb25e4d","type":"DataRange1d"},{"attributes":{},"id":"51202e4c-1d58-4f6a-bd8d-173d329d9908","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"225c4a92-92ad-4f16-b3b3-2751bca50af0","type":"DataRange1d"},{"attributes":{},"id":"8749b5eb-0a7b-4588-9f37-664b2f596ea2","type":"HelpTool"},{"attributes":{"formatter":{"id":"51202e4c-1d58-4f6a-bd8d-173d329d9908","type":"BasicTickFormatter"},"plot":{"id":"0f83327d-7794-4c91-9498-efaf794a8ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"80d65db4-4d29-42ac-8887-c3861eb97c03","type":"BasicTicker"}},"id":"2656c7ed-ecf7-4213-913a-1d81155dd93b","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bea40412-4900-4e4a-bdaa-4ea450257338","type":"PanTool"},{"id":"8afbf3bd-0d6c-403e-9322-460af07e55bd","type":"WheelZoomTool"},{"id":"153b4863-d0b9-4fee-afd4-0ceee07ae8e3","type":"BoxZoomTool"},{"id":"236116a7-64d6-43dd-a7e3-2a462aa4734f","type":"SaveTool"},{"id":"9f9ae4d6-09ef-4128-9e4b-04b9b52b7adf","type":"ResetTool"},{"id":"2ce573cf-e8ef-484c-ba9d-543531be3834","type":"HelpTool"}]},"id":"9f5e7af8-2c72-4b83-af12-62ac28acdef7","type":"Toolbar"},{"attributes":{"child":{"id":"8963687e-1f7c-4a83-b3dd-3355d2403500","subtype":"Figure","type":"Plot"},"title":"circle"},"id":"127db8aa-7f04-4416-9fbc-f3fb1d3ed975","type":"Panel"},{"attributes":{},"id":"8afbf3bd-0d6c-403e-9322-460af07e55bd","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"0f83327d-7794-4c91-9498-efaf794a8ea8","subtype":"Figure","type":"Plot"},"ticker":{"id":"acd06788-a314-4369-869d-57e42fff40b4","type":"BasicTicker"}},"id":"3998cd30-f31d-4ef5-912a-48642406a5aa","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4e9f2015-b680-4738-8f61-61d64a6752af","type":"PanTool"},{"id":"fe0b74d5-0f43-44fa-8fec-87edc294d836","type":"WheelZoomTool"},{"id":"75abd3de-dcaa-4b34-bf87-161b9f14225d","type":"BoxZoomTool"},{"id":"c0634e92-65b5-491c-86dd-dcc8a1b77b3a","type":"SaveTool"},{"id":"5e1eb069-5722-43a4-9439-f0eb0a976680","type":"ResetTool"},{"id":"8749b5eb-0a7b-4588-9f37-664b2f596ea2","type":"HelpTool"}]},"id":"dc791b33-d25a-4148-ab82-a06084b48644","type":"Toolbar"}],"root_ids":["aa3d8fa2-30d0-47cd-9d9d-68b411860d5a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a2eb0f3c-adc5-4284-a8f9-1bca800e4e78","elementid":"cc5c8201-963a-4600-a380-0336ffe80a91","modelid":"aa3d8fa2-30d0-47cd-9d9d-68b411860d5a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
