(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9a26968b-2885-4bb5-b57c-87c99974f5af");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9a26968b-2885-4bb5-b57c-87c99974f5af' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8c516188-022c-40ee-bfa2-8b5019cc3316":{"roots":{"references":[{"attributes":{"data_source":{"id":"8de0f302-30ae-4783-937b-e9b4328893d7","type":"ColumnDataSource"},"glyph":{"id":"8058d2c2-dbf0-4d4e-8315-72107fcea480","type":"Asterisk"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1141d7c5-5de4-48ef-807c-be66cbfec7d8","type":"Asterisk"},"selection_glyph":null,"view":{"id":"87d5df96-730e-4706-8db6-b0d1f80a0e2c","type":"CDSView"}},"id":"d6974368-3a14-4811-ad3c-df1be9980364","type":"GlyphRenderer"},{"attributes":{},"id":"28cf78a3-e388-454f-b843-bc5602007a33","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"209143e3-7989-4a1d-afc4-dff647128b1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"af44ebda-a2d5-4ac4-8187-8f6d6d9d4d06","type":"BasicTicker"}},"id":"311f5c11-8903-448f-9e88-d2fc81a23a45","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"08906455-689b-4707-b02c-a2e60592d7dd","type":"Title"},{"attributes":{},"id":"fd55fe91-19d6-43a5-bd60-b7a48c7a81e2","type":"LinearScale"},{"attributes":{"overlay":{"id":"14d68c5f-8d70-4da4-9b70-fbf4911c48f0","type":"BoxAnnotation"}},"id":"40f9180e-7407-4795-abce-0814005445d8","type":"BoxZoomTool"},{"attributes":{"fill_color":{"value":"#F0027F"},"line_color":{"value":"#F0027F"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"8058d2c2-dbf0-4d4e-8315-72107fcea480","type":"Asterisk"},{"attributes":{},"id":"ddc1b3a6-c3c6-49f7-a094-f64fe4f0e971","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"de460d54-573e-433c-9886-5cd7d5d6645a","type":"BasicTickFormatter"},"plot":{"id":"209143e3-7989-4a1d-afc4-dff647128b1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"af44ebda-a2d5-4ac4-8187-8f6d6d9d4d06","type":"BasicTicker"}},"id":"bee473be-fb7b-47cb-88ac-2bfeea727584","type":"LinearAxis"},{"attributes":{},"id":"07d5d313-aab8-4c6a-95f1-6f420a67c536","type":"ResetTool"},{"attributes":{},"id":"e27944fc-d258-4cc7-8e9c-0a09b12043dc","type":"BasicTicker"},{"attributes":{"source":{"id":"8de0f302-30ae-4783-937b-e9b4328893d7","type":"ColumnDataSource"}},"id":"87d5df96-730e-4706-8db6-b0d1f80a0e2c","type":"CDSView"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"8de0f302-30ae-4783-937b-e9b4328893d7","type":"ColumnDataSource"},{"attributes":{},"id":"78ea7bb4-6e7c-46b2-82e2-b508d387faa6","type":"WheelZoomTool"},{"attributes":{},"id":"af44ebda-a2d5-4ac4-8187-8f6d6d9d4d06","type":"BasicTicker"},{"attributes":{"below":[{"id":"98cc4a33-8078-4859-8b67-309296350b03","type":"LinearAxis"}],"left":[{"id":"bee473be-fb7b-47cb-88ac-2bfeea727584","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"98cc4a33-8078-4859-8b67-309296350b03","type":"LinearAxis"},{"id":"3c0b3616-b371-4cd6-94b9-4cf14afeda75","type":"Grid"},{"id":"bee473be-fb7b-47cb-88ac-2bfeea727584","type":"LinearAxis"},{"id":"311f5c11-8903-448f-9e88-d2fc81a23a45","type":"Grid"},{"id":"14d68c5f-8d70-4da4-9b70-fbf4911c48f0","type":"BoxAnnotation"},{"id":"d6974368-3a14-4811-ad3c-df1be9980364","type":"GlyphRenderer"}],"title":{"id":"08906455-689b-4707-b02c-a2e60592d7dd","type":"Title"},"toolbar":{"id":"9c6098bc-90a2-4d3b-9e5a-9f7ab20da1bb","type":"Toolbar"},"x_range":{"id":"9d9a712c-9da9-45d9-944f-7facdd80a584","type":"DataRange1d"},"x_scale":{"id":"fd55fe91-19d6-43a5-bd60-b7a48c7a81e2","type":"LinearScale"},"y_range":{"id":"561d7d03-40df-4a03-b10a-a116c0a18058","type":"DataRange1d"},"y_scale":{"id":"3bf74b2c-7d82-45bb-ab85-01f340130003","type":"LinearScale"}},"id":"209143e3-7989-4a1d-afc4-dff647128b1a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f50bca58-bbb2-475f-9a2d-210ee56aee0b","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"1141d7c5-5de4-48ef-807c-be66cbfec7d8","type":"Asterisk"},{"attributes":{"plot":{"id":"209143e3-7989-4a1d-afc4-dff647128b1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e27944fc-d258-4cc7-8e9c-0a09b12043dc","type":"BasicTicker"}},"id":"3c0b3616-b371-4cd6-94b9-4cf14afeda75","type":"Grid"},{"attributes":{"callback":null},"id":"9d9a712c-9da9-45d9-944f-7facdd80a584","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"14d68c5f-8d70-4da4-9b70-fbf4911c48f0","type":"BoxAnnotation"},{"attributes":{},"id":"3bf74b2c-7d82-45bb-ab85-01f340130003","type":"LinearScale"},{"attributes":{"formatter":{"id":"ddc1b3a6-c3c6-49f7-a094-f64fe4f0e971","type":"BasicTickFormatter"},"plot":{"id":"209143e3-7989-4a1d-afc4-dff647128b1a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e27944fc-d258-4cc7-8e9c-0a09b12043dc","type":"BasicTicker"}},"id":"98cc4a33-8078-4859-8b67-309296350b03","type":"LinearAxis"},{"attributes":{},"id":"d2509c1d-6d33-4980-a0a6-d8345b772a49","type":"HelpTool"},{"attributes":{},"id":"de460d54-573e-433c-9886-5cd7d5d6645a","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"561d7d03-40df-4a03-b10a-a116c0a18058","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f50bca58-bbb2-475f-9a2d-210ee56aee0b","type":"PanTool"},{"id":"78ea7bb4-6e7c-46b2-82e2-b508d387faa6","type":"WheelZoomTool"},{"id":"40f9180e-7407-4795-abce-0814005445d8","type":"BoxZoomTool"},{"id":"28cf78a3-e388-454f-b843-bc5602007a33","type":"SaveTool"},{"id":"07d5d313-aab8-4c6a-95f1-6f420a67c536","type":"ResetTool"},{"id":"d2509c1d-6d33-4980-a0a6-d8345b772a49","type":"HelpTool"}]},"id":"9c6098bc-90a2-4d3b-9e5a-9f7ab20da1bb","type":"Toolbar"}],"root_ids":["209143e3-7989-4a1d-afc4-dff647128b1a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8c516188-022c-40ee-bfa2-8b5019cc3316","elementid":"9a26968b-2885-4bb5-b57c-87c99974f5af","modelid":"209143e3-7989-4a1d-afc4-dff647128b1a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
