(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("96de8aac-4609-4396-8e51-5b5d9b8ce16e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '96de8aac-4609-4396-8e51-5b5d9b8ce16e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"48cd5474-61fc-462d-bbdf-9ce886281008":{"roots":{"references":[{"attributes":{},"id":"602a945b-cf4d-47a7-a415-915a571d259e","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#DE2D26"},"line_color":{"value":"#DE2D26"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"1c8af926-6f5c-4396-9fca-51a5dd7d1eec","type":"InvertedTriangle"},{"attributes":{},"id":"bf19dc83-418a-4022-b222-027926e26b32","type":"LinearScale"},{"attributes":{"formatter":{"id":"1fb99d8a-ec15-44ee-b7f8-f91e26040ed2","type":"BasicTickFormatter"},"plot":{"id":"fdbee054-ee97-4285-b3eb-caff7fb9c69c","subtype":"Figure","type":"Plot"},"ticker":{"id":"602a945b-cf4d-47a7-a415-915a571d259e","type":"BasicTicker"}},"id":"02ffdf56-6a86-489c-87e3-bd5b0d54d734","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"fdbee054-ee97-4285-b3eb-caff7fb9c69c","subtype":"Figure","type":"Plot"},"ticker":{"id":"602a945b-cf4d-47a7-a415-915a571d259e","type":"BasicTicker"}},"id":"578084f8-8817-487e-846b-f0502be69b90","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"8f37962f-9a93-4fac-aabe-18ee767f391d","type":"Title"},{"attributes":{},"id":"430fc0bc-f84d-46ac-9fda-56a3586daade","type":"LinearScale"},{"attributes":{},"id":"c12f2ff9-e053-4c02-9071-36c733af421f","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c12f2ff9-e053-4c02-9071-36c733af421f","type":"PanTool"},{"id":"a0f25704-0123-421a-a2c7-c0b22547760a","type":"WheelZoomTool"},{"id":"2c70da46-0fec-4e8e-b505-05e161d366b4","type":"BoxZoomTool"},{"id":"1d8fa7eb-b912-47ad-8dfd-22a0024a7edb","type":"SaveTool"},{"id":"5b508193-8f0c-482b-aba2-be6255a552eb","type":"ResetTool"},{"id":"1c62eef8-5e30-4cb0-8145-13d5c644f67e","type":"HelpTool"}]},"id":"b4aa57a0-a33a-47da-adc0-86d86fb3fe68","type":"Toolbar"},{"attributes":{"callback":null},"id":"d8b33143-a98a-41b3-90fb-23758c1cb28f","type":"DataRange1d"},{"attributes":{"source":{"id":"6e62b2b0-e249-47b3-a8bd-bf9cbfaedb86","type":"ColumnDataSource"}},"id":"a73918c6-9c6a-48f7-90a3-a8f728148125","type":"CDSView"},{"attributes":{"formatter":{"id":"7a509f73-3fe9-4b93-92c0-4df58c3b3017","type":"BasicTickFormatter"},"plot":{"id":"fdbee054-ee97-4285-b3eb-caff7fb9c69c","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3615e23-a368-4d9e-b285-a368f5af2ed8","type":"BasicTicker"}},"id":"0bcd12b6-7ea1-4658-b956-2306bc5d3cf8","type":"LinearAxis"},{"attributes":{},"id":"7a509f73-3fe9-4b93-92c0-4df58c3b3017","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"6e62b2b0-e249-47b3-a8bd-bf9cbfaedb86","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"411ff2a1-93bf-459d-b341-6fb18b5c833b","type":"DataRange1d"},{"attributes":{"plot":{"id":"fdbee054-ee97-4285-b3eb-caff7fb9c69c","subtype":"Figure","type":"Plot"},"ticker":{"id":"f3615e23-a368-4d9e-b285-a368f5af2ed8","type":"BasicTicker"}},"id":"5e7408d8-b983-4d8b-94b5-b09bc3af10e4","type":"Grid"},{"attributes":{"overlay":{"id":"02f31a59-3bd3-4931-ad16-e95f70707605","type":"BoxAnnotation"}},"id":"2c70da46-0fec-4e8e-b505-05e161d366b4","type":"BoxZoomTool"},{"attributes":{},"id":"1d8fa7eb-b912-47ad-8dfd-22a0024a7edb","type":"SaveTool"},{"attributes":{},"id":"5b508193-8f0c-482b-aba2-be6255a552eb","type":"ResetTool"},{"attributes":{"data_source":{"id":"6e62b2b0-e249-47b3-a8bd-bf9cbfaedb86","type":"ColumnDataSource"},"glyph":{"id":"1c8af926-6f5c-4396-9fca-51a5dd7d1eec","type":"InvertedTriangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"795cb00e-9642-40ba-9bee-d89b9b22f5da","type":"InvertedTriangle"},"selection_glyph":null,"view":{"id":"a73918c6-9c6a-48f7-90a3-a8f728148125","type":"CDSView"}},"id":"63d0398b-074f-431b-bfa5-05b901ee47f7","type":"GlyphRenderer"},{"attributes":{},"id":"a0f25704-0123-421a-a2c7-c0b22547760a","type":"WheelZoomTool"},{"attributes":{},"id":"1fb99d8a-ec15-44ee-b7f8-f91e26040ed2","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"02f31a59-3bd3-4931-ad16-e95f70707605","type":"BoxAnnotation"},{"attributes":{"below":[{"id":"0bcd12b6-7ea1-4658-b956-2306bc5d3cf8","type":"LinearAxis"}],"left":[{"id":"02ffdf56-6a86-489c-87e3-bd5b0d54d734","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0bcd12b6-7ea1-4658-b956-2306bc5d3cf8","type":"LinearAxis"},{"id":"5e7408d8-b983-4d8b-94b5-b09bc3af10e4","type":"Grid"},{"id":"02ffdf56-6a86-489c-87e3-bd5b0d54d734","type":"LinearAxis"},{"id":"578084f8-8817-487e-846b-f0502be69b90","type":"Grid"},{"id":"02f31a59-3bd3-4931-ad16-e95f70707605","type":"BoxAnnotation"},{"id":"63d0398b-074f-431b-bfa5-05b901ee47f7","type":"GlyphRenderer"}],"title":{"id":"8f37962f-9a93-4fac-aabe-18ee767f391d","type":"Title"},"toolbar":{"id":"b4aa57a0-a33a-47da-adc0-86d86fb3fe68","type":"Toolbar"},"x_range":{"id":"d8b33143-a98a-41b3-90fb-23758c1cb28f","type":"DataRange1d"},"x_scale":{"id":"430fc0bc-f84d-46ac-9fda-56a3586daade","type":"LinearScale"},"y_range":{"id":"411ff2a1-93bf-459d-b341-6fb18b5c833b","type":"DataRange1d"},"y_scale":{"id":"bf19dc83-418a-4022-b222-027926e26b32","type":"LinearScale"}},"id":"fdbee054-ee97-4285-b3eb-caff7fb9c69c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"1c62eef8-5e30-4cb0-8145-13d5c644f67e","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"795cb00e-9642-40ba-9bee-d89b9b22f5da","type":"InvertedTriangle"},{"attributes":{},"id":"f3615e23-a368-4d9e-b285-a368f5af2ed8","type":"BasicTicker"}],"root_ids":["fdbee054-ee97-4285-b3eb-caff7fb9c69c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"48cd5474-61fc-462d-bbdf-9ce886281008","elementid":"96de8aac-4609-4396-8e51-5b5d9b8ce16e","modelid":"fdbee054-ee97-4285-b3eb-caff7fb9c69c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
