(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a0e23134-7197-420b-b5b3-10a924ad2aa8");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a0e23134-7197-420b-b5b3-10a924ad2aa8' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"7942be20-08fd-4d63-9275-97a4de6fc29a":{"roots":{"references":[{"attributes":{"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7f615f5f-24d5-4d7f-b87a-4be36477352f","type":"Line"},{"attributes":{},"id":"bb80c093-6f94-48ae-b8ad-724adb27354f","type":"BasicTicker"},{"attributes":{},"id":"1494f267-3010-4ce3-92b9-2df256be32ec","type":"LinearScale"},{"attributes":{},"id":"75a05c13-0ba7-4fa0-b3b2-830b8e56c254","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"c57150f1-7bc1-45dd-a512-cc7f00b95342","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"07c1f387-388b-4247-b1a3-e4e5692f6d62","type":"LinearAxis"}],"left":[{"id":"5ee97f95-8110-4aab-9b54-88161d053348","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"07c1f387-388b-4247-b1a3-e4e5692f6d62","type":"LinearAxis"},{"id":"6526bd92-062c-4a47-b37f-7c3aef11fb67","type":"Grid"},{"id":"5ee97f95-8110-4aab-9b54-88161d053348","type":"LinearAxis"},{"id":"2251f6cf-903d-428b-8d85-ff03c92fffff","type":"Grid"},{"id":"2205b530-215b-43b6-aba7-b9aa95d03aa9","type":"BoxAnnotation"},{"id":"0b9c9d00-b0c7-4687-a531-d4f13a35e745","type":"GlyphRenderer"}],"title":{"id":"5bb67ff2-314d-4dd4-b2ee-10f0bb8c99ff","type":"Title"},"toolbar":{"id":"6324b853-2cf1-4a5c-9aff-cd3f4de17917","type":"Toolbar"},"x_range":{"id":"f9cd3fa3-6c9e-42eb-80e9-221c6ce65394","type":"DataRange1d"},"x_scale":{"id":"1494f267-3010-4ce3-92b9-2df256be32ec","type":"LinearScale"},"y_range":{"id":"0a83baed-42ec-42a0-9ac4-32a1b5bc7171","type":"DataRange1d"},"y_scale":{"id":"683efa11-edd6-4a99-81b4-465f837b5453","type":"LinearScale"}},"id":"b777ebd7-8588-4ad6-91b5-6cf24bde4d29","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"c57150f1-7bc1-45dd-a512-cc7f00b95342","type":"ColumnDataSource"},"glyph":{"id":"7f615f5f-24d5-4d7f-b87a-4be36477352f","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"06fa2c20-e6e0-463c-86d3-2e871e8aa225","type":"Line"},"selection_glyph":null,"view":{"id":"1a478023-9943-425a-a034-2a6bd9a3f6cc","type":"CDSView"}},"id":"0b9c9d00-b0c7-4687-a531-d4f13a35e745","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"line"},"id":"5bb67ff2-314d-4dd4-b2ee-10f0bb8c99ff","type":"Title"},{"attributes":{},"id":"683efa11-edd6-4a99-81b4-465f837b5453","type":"LinearScale"},{"attributes":{"plot":{"id":"b777ebd7-8588-4ad6-91b5-6cf24bde4d29","subtype":"Figure","type":"Plot"},"ticker":{"id":"cd578f43-fe0e-4d56-874b-545a36e2f518","type":"BasicTicker"}},"id":"6526bd92-062c-4a47-b37f-7c3aef11fb67","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2205b530-215b-43b6-aba7-b9aa95d03aa9","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"2205b530-215b-43b6-aba7-b9aa95d03aa9","type":"BoxAnnotation"}},"id":"aaef7e7a-c6f4-4831-8d40-c68cf5847880","type":"BoxZoomTool"},{"attributes":{},"id":"05234a7b-67e4-49ad-983f-cc625204910f","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"f9cd3fa3-6c9e-42eb-80e9-221c6ce65394","type":"DataRange1d"},{"attributes":{},"id":"480f28c8-5e3b-4a0f-88f2-bdc52bb37bf5","type":"SaveTool"},{"attributes":{},"id":"cd578f43-fe0e-4d56-874b-545a36e2f518","type":"BasicTicker"},{"attributes":{},"id":"1382e226-d4c3-4902-84fb-158541f5c7cc","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"b777ebd7-8588-4ad6-91b5-6cf24bde4d29","subtype":"Figure","type":"Plot"},"ticker":{"id":"bb80c093-6f94-48ae-b8ad-724adb27354f","type":"BasicTicker"}},"id":"2251f6cf-903d-428b-8d85-ff03c92fffff","type":"Grid"},{"attributes":{},"id":"d2db38fd-62db-4a20-a713-87f0b53e1710","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"d21ff6d6-ce85-4afc-8e5b-b6db1acc7c5e","type":"BasicTickFormatter"},"plot":{"id":"b777ebd7-8588-4ad6-91b5-6cf24bde4d29","subtype":"Figure","type":"Plot"},"ticker":{"id":"bb80c093-6f94-48ae-b8ad-724adb27354f","type":"BasicTicker"}},"id":"5ee97f95-8110-4aab-9b54-88161d053348","type":"LinearAxis"},{"attributes":{"source":{"id":"c57150f1-7bc1-45dd-a512-cc7f00b95342","type":"ColumnDataSource"}},"id":"1a478023-9943-425a-a034-2a6bd9a3f6cc","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"06fa2c20-e6e0-463c-86d3-2e871e8aa225","type":"Line"},{"attributes":{},"id":"f64f2f00-6789-406c-9e21-6175d0514c3f","type":"PanTool"},{"attributes":{"callback":null},"id":"0a83baed-42ec-42a0-9ac4-32a1b5bc7171","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f64f2f00-6789-406c-9e21-6175d0514c3f","type":"PanTool"},{"id":"d2db38fd-62db-4a20-a713-87f0b53e1710","type":"WheelZoomTool"},{"id":"aaef7e7a-c6f4-4831-8d40-c68cf5847880","type":"BoxZoomTool"},{"id":"480f28c8-5e3b-4a0f-88f2-bdc52bb37bf5","type":"SaveTool"},{"id":"1382e226-d4c3-4902-84fb-158541f5c7cc","type":"ResetTool"},{"id":"75a05c13-0ba7-4fa0-b3b2-830b8e56c254","type":"HelpTool"}]},"id":"6324b853-2cf1-4a5c-9aff-cd3f4de17917","type":"Toolbar"},{"attributes":{"formatter":{"id":"05234a7b-67e4-49ad-983f-cc625204910f","type":"BasicTickFormatter"},"plot":{"id":"b777ebd7-8588-4ad6-91b5-6cf24bde4d29","subtype":"Figure","type":"Plot"},"ticker":{"id":"cd578f43-fe0e-4d56-874b-545a36e2f518","type":"BasicTicker"}},"id":"07c1f387-388b-4247-b1a3-e4e5692f6d62","type":"LinearAxis"},{"attributes":{},"id":"d21ff6d6-ce85-4afc-8e5b-b6db1acc7c5e","type":"BasicTickFormatter"}],"root_ids":["b777ebd7-8588-4ad6-91b5-6cf24bde4d29"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"7942be20-08fd-4d63-9275-97a4de6fc29a","elementid":"a0e23134-7197-420b-b5b3-10a924ad2aa8","modelid":"b777ebd7-8588-4ad6-91b5-6cf24bde4d29"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
