(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("328e79f5-8a6d-40e9-b86e-043099a0019e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '328e79f5-8a6d-40e9-b86e-043099a0019e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"80e3d362-deff-4008-826c-a75c4e8a830d":{"roots":{"references":[{"attributes":{},"id":"c51a3f32-2f5a-4847-9f4f-b5250633179b","type":"BasicTicker"},{"attributes":{"callback":null},"id":"70189e8b-b8c1-43d6-a72e-519af04cf2af","type":"DataRange1d"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"e1b38999-e8d0-4746-9d7d-296907ceb6eb","type":"MultiLine"},{"attributes":{"formatter":{"id":"d048f8a1-6a74-4889-86db-4faca594564f","type":"BasicTickFormatter"},"plot":{"id":"55367b66-543d-4892-a81b-336d6b5c883e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c51a3f32-2f5a-4847-9f4f-b5250633179b","type":"BasicTicker"}},"id":"3dcd467d-6698-4f11-b0ed-422862fde19d","type":"LinearAxis"},{"attributes":{"line_color":{"field":"line_color"},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"575c7482-2748-446f-8b24-2d33ad5785d3","type":"MultiLine"},{"attributes":{},"id":"c121a027-b84c-4079-a8f4-061f01b14241","type":"HelpTool"},{"attributes":{"callback":null},"id":"5d00d08d-0324-4d77-ad25-69b457ecb537","type":"DataRange1d"},{"attributes":{"source":{"id":"7e8df68a-f63a-4150-9c87-dc7166ed1502","type":"ColumnDataSource"}},"id":"e2ce5807-f6b3-479f-8ffb-91bde3c66d96","type":"CDSView"},{"attributes":{"formatter":{"id":"c006d4f8-2cdb-4639-82a9-8b2b22a61f65","type":"BasicTickFormatter"},"plot":{"id":"55367b66-543d-4892-a81b-336d6b5c883e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7254781d-e387-4e2e-a929-b006ef12ddca","type":"BasicTicker"}},"id":"dfbfce6b-1e39-4c3d-b43a-3bc18ccc5948","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"55367b66-543d-4892-a81b-336d6b5c883e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7254781d-e387-4e2e-a929-b006ef12ddca","type":"BasicTicker"}},"id":"ea9588f8-a10b-4ff1-963e-60daaf182175","type":"Grid"},{"attributes":{},"id":"af399c39-5e70-48ad-93c0-cb6098038e54","type":"SaveTool"},{"attributes":{"data_source":{"id":"7e8df68a-f63a-4150-9c87-dc7166ed1502","type":"ColumnDataSource"},"glyph":{"id":"575c7482-2748-446f-8b24-2d33ad5785d3","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e1b38999-e8d0-4746-9d7d-296907ceb6eb","type":"MultiLine"},"selection_glyph":null,"view":{"id":"e2ce5807-f6b3-479f-8ffb-91bde3c66d96","type":"CDSView"}},"id":"ea888179-18fe-4203-8cca-a143e005edfd","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"3dcd467d-6698-4f11-b0ed-422862fde19d","type":"LinearAxis"}],"left":[{"id":"dfbfce6b-1e39-4c3d-b43a-3bc18ccc5948","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"3dcd467d-6698-4f11-b0ed-422862fde19d","type":"LinearAxis"},{"id":"09e7f190-0567-4490-9d99-2906ec7a31cc","type":"Grid"},{"id":"dfbfce6b-1e39-4c3d-b43a-3bc18ccc5948","type":"LinearAxis"},{"id":"ea9588f8-a10b-4ff1-963e-60daaf182175","type":"Grid"},{"id":"1e107e21-a16a-4ad9-9ad1-1d1c282aef13","type":"BoxAnnotation"},{"id":"ea888179-18fe-4203-8cca-a143e005edfd","type":"GlyphRenderer"}],"title":{"id":"4aa51882-683d-4822-a6a1-3b599eea3a20","type":"Title"},"toolbar":{"id":"374f3dce-52bf-46cb-b15e-073e02c8e9fd","type":"Toolbar"},"x_range":{"id":"70189e8b-b8c1-43d6-a72e-519af04cf2af","type":"DataRange1d"},"x_scale":{"id":"2c6643ff-d0d7-4320-94e7-5fcc4d38dfa0","type":"LinearScale"},"y_range":{"id":"5d00d08d-0324-4d77-ad25-69b457ecb537","type":"DataRange1d"},"y_scale":{"id":"89a3aa4d-119b-490f-bfa7-bb13a823f0cf","type":"LinearScale"}},"id":"55367b66-543d-4892-a81b-336d6b5c883e","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1e107e21-a16a-4ad9-9ad1-1d1c282aef13","type":"BoxAnnotation"},{"attributes":{},"id":"c006d4f8-2cdb-4639-82a9-8b2b22a61f65","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["xs","ys","line_color"],"data":{"line_color":["red","green"],"xs":[[1,2,3],[2,3,4]],"ys":[[6,7,2],[4,5,7]]}},"id":"7e8df68a-f63a-4150-9c87-dc7166ed1502","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"1e107e21-a16a-4ad9-9ad1-1d1c282aef13","type":"BoxAnnotation"}},"id":"5542781f-ca51-4cfe-a8e4-0b398a0f679b","type":"BoxZoomTool"},{"attributes":{},"id":"2c6643ff-d0d7-4320-94e7-5fcc4d38dfa0","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"4aa51882-683d-4822-a6a1-3b599eea3a20","type":"Title"},{"attributes":{},"id":"5b39407a-8c35-4d0d-b12c-39974053ba69","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"55367b66-543d-4892-a81b-336d6b5c883e","subtype":"Figure","type":"Plot"},"ticker":{"id":"c51a3f32-2f5a-4847-9f4f-b5250633179b","type":"BasicTicker"}},"id":"09e7f190-0567-4490-9d99-2906ec7a31cc","type":"Grid"},{"attributes":{},"id":"ec787daa-da60-49f5-8b5c-d4e6028f042c","type":"PanTool"},{"attributes":{},"id":"50cb887c-a901-4f35-b4c9-ce69f76b87b4","type":"ResetTool"},{"attributes":{},"id":"d048f8a1-6a74-4889-86db-4faca594564f","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ec787daa-da60-49f5-8b5c-d4e6028f042c","type":"PanTool"},{"id":"5b39407a-8c35-4d0d-b12c-39974053ba69","type":"WheelZoomTool"},{"id":"5542781f-ca51-4cfe-a8e4-0b398a0f679b","type":"BoxZoomTool"},{"id":"af399c39-5e70-48ad-93c0-cb6098038e54","type":"SaveTool"},{"id":"50cb887c-a901-4f35-b4c9-ce69f76b87b4","type":"ResetTool"},{"id":"c121a027-b84c-4079-a8f4-061f01b14241","type":"HelpTool"}]},"id":"374f3dce-52bf-46cb-b15e-073e02c8e9fd","type":"Toolbar"},{"attributes":{},"id":"89a3aa4d-119b-490f-bfa7-bb13a823f0cf","type":"LinearScale"},{"attributes":{},"id":"7254781d-e387-4e2e-a929-b006ef12ddca","type":"BasicTicker"}],"root_ids":["55367b66-543d-4892-a81b-336d6b5c883e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"80e3d362-deff-4008-826c-a75c4e8a830d","elementid":"328e79f5-8a6d-40e9-b86e-043099a0019e","modelid":"55367b66-543d-4892-a81b-336d6b5c883e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
