(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("178dff04-8f30-4d44-a2da-babc082b07db");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '178dff04-8f30-4d44-a2da-babc082b07db' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"90a6c9f3-3549-4234-a6ca-0e095850ac30":{"roots":{"references":[{"attributes":{},"id":"7d85deb5-09b1-4484-a268-284334653484","type":"WheelZoomTool"},{"attributes":{},"id":"1d059a0e-6e52-494c-a6c0-6330302cd736","type":"ResetTool"},{"attributes":{"below":[{"id":"17aec178-89b1-4d7f-9932-5982aec206a7","type":"LinearAxis"}],"left":[{"id":"8dd162c2-8c0a-4995-9c1b-caafa4cf5588","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"17aec178-89b1-4d7f-9932-5982aec206a7","type":"LinearAxis"},{"id":"43cefe7d-bc60-4dfc-8561-863469c21b4e","type":"Grid"},{"id":"8dd162c2-8c0a-4995-9c1b-caafa4cf5588","type":"LinearAxis"},{"id":"f4e9ca97-aa4a-4c62-93ce-8e6da8c92a3e","type":"Grid"},{"id":"7c7b5d03-ff60-4c30-abfd-8a29151b58f7","type":"BoxAnnotation"},{"id":"b8e51d1e-f576-43b0-acf2-0d7389d3f6b2","type":"GlyphRenderer"}],"title":{"id":"dc518d7d-d3c9-4b63-bdd4-6a9368148615","type":"Title"},"toolbar":{"id":"8214f1b2-2648-4de4-8045-30d21e556554","type":"Toolbar"},"x_range":{"id":"0ae12d94-d672-443b-a47d-d9c96099f1d2","type":"DataRange1d"},"x_scale":{"id":"a56be85d-8a57-443e-b863-9abf102cd121","type":"LinearScale"},"y_range":{"id":"262332bc-c883-415c-8a20-f2b5b15c28a1","type":"DataRange1d"},"y_scale":{"id":"52b00df8-0f6a-4b1f-a926-9bf7e0bda187","type":"LinearScale"}},"id":"836b1b69-2034-46c2-b1c6-dabaebf174f5","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"a89e343d-1a2f-4899-89f1-e85515d5cf58","type":"BasicTickFormatter"},"plot":{"id":"836b1b69-2034-46c2-b1c6-dabaebf174f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5162bec-16ab-432b-a94b-11470f39f821","type":"BasicTicker"}},"id":"8dd162c2-8c0a-4995-9c1b-caafa4cf5588","type":"LinearAxis"},{"attributes":{},"id":"dabbacec-d187-4368-ab24-03f492d0c356","type":"SaveTool"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_color":{"value":"#1D91C0"},"height":{"units":"data","value":0.4},"line_color":{"value":"#1D91C0"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4b47c1d1-619d-4b16-a7aa-bf18ea2093e3","type":"Oval"},{"attributes":{"plot":{"id":"836b1b69-2034-46c2-b1c6-dabaebf174f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"bdbd71d3-50b6-455d-b652-08d9b761e286","type":"BasicTicker"}},"id":"43cefe7d-bc60-4dfc-8561-863469c21b4e","type":"Grid"},{"attributes":{},"id":"1d38a6bb-e587-4b51-b58e-acea6059f92a","type":"PanTool"},{"attributes":{"angle":{"units":"rad","value":-0.7},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.4},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"units":"data","value":0.2},"x":{"field":"x"},"y":{"field":"y"}},"id":"47297c56-7016-46c4-92ae-90a5091eb2d1","type":"Oval"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"1d38a6bb-e587-4b51-b58e-acea6059f92a","type":"PanTool"},{"id":"7d85deb5-09b1-4484-a268-284334653484","type":"WheelZoomTool"},{"id":"80915b45-1c1b-4f68-ab06-8e7fe0b7468d","type":"BoxZoomTool"},{"id":"dabbacec-d187-4368-ab24-03f492d0c356","type":"SaveTool"},{"id":"1d059a0e-6e52-494c-a6c0-6330302cd736","type":"ResetTool"},{"id":"f6f7bed4-563a-4ad2-8c69-e56ec9639737","type":"HelpTool"}]},"id":"8214f1b2-2648-4de4-8045-30d21e556554","type":"Toolbar"},{"attributes":{},"id":"f6f7bed4-563a-4ad2-8c69-e56ec9639737","type":"HelpTool"},{"attributes":{"data_source":{"id":"054ec80a-9b43-46a6-b081-99b67aeda6dc","type":"ColumnDataSource"},"glyph":{"id":"4b47c1d1-619d-4b16-a7aa-bf18ea2093e3","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"47297c56-7016-46c4-92ae-90a5091eb2d1","type":"Oval"},"selection_glyph":null,"view":{"id":"983752c2-853a-4dda-81fd-21c2e520ca7f","type":"CDSView"}},"id":"b8e51d1e-f576-43b0-acf2-0d7389d3f6b2","type":"GlyphRenderer"},{"attributes":{"source":{"id":"054ec80a-9b43-46a6-b081-99b67aeda6dc","type":"ColumnDataSource"}},"id":"983752c2-853a-4dda-81fd-21c2e520ca7f","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7c7b5d03-ff60-4c30-abfd-8a29151b58f7","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"262332bc-c883-415c-8a20-f2b5b15c28a1","type":"DataRange1d"},{"attributes":{},"id":"a89e343d-1a2f-4899-89f1-e85515d5cf58","type":"BasicTickFormatter"},{"attributes":{},"id":"52b00df8-0f6a-4b1f-a926-9bf7e0bda187","type":"LinearScale"},{"attributes":{},"id":"d5162bec-16ab-432b-a94b-11470f39f821","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"836b1b69-2034-46c2-b1c6-dabaebf174f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"d5162bec-16ab-432b-a94b-11470f39f821","type":"BasicTicker"}},"id":"f4e9ca97-aa4a-4c62-93ce-8e6da8c92a3e","type":"Grid"},{"attributes":{},"id":"bdbd71d3-50b6-455d-b652-08d9b761e286","type":"BasicTicker"},{"attributes":{},"id":"67d60fa3-6292-4d50-88b1-253fbb137808","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"054ec80a-9b43-46a6-b081-99b67aeda6dc","type":"ColumnDataSource"},{"attributes":{},"id":"a56be85d-8a57-443e-b863-9abf102cd121","type":"LinearScale"},{"attributes":{"overlay":{"id":"7c7b5d03-ff60-4c30-abfd-8a29151b58f7","type":"BoxAnnotation"}},"id":"80915b45-1c1b-4f68-ab06-8e7fe0b7468d","type":"BoxZoomTool"},{"attributes":{"plot":null,"text":""},"id":"dc518d7d-d3c9-4b63-bdd4-6a9368148615","type":"Title"},{"attributes":{"formatter":{"id":"67d60fa3-6292-4d50-88b1-253fbb137808","type":"BasicTickFormatter"},"plot":{"id":"836b1b69-2034-46c2-b1c6-dabaebf174f5","subtype":"Figure","type":"Plot"},"ticker":{"id":"bdbd71d3-50b6-455d-b652-08d9b761e286","type":"BasicTicker"}},"id":"17aec178-89b1-4d7f-9932-5982aec206a7","type":"LinearAxis"},{"attributes":{"callback":null},"id":"0ae12d94-d672-443b-a47d-d9c96099f1d2","type":"DataRange1d"}],"root_ids":["836b1b69-2034-46c2-b1c6-dabaebf174f5"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"90a6c9f3-3549-4234-a6ca-0e095850ac30","elementid":"178dff04-8f30-4d44-a2da-babc082b07db","modelid":"836b1b69-2034-46c2-b1c6-dabaebf174f5"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
