(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("19d5f260-9421-408b-ae3e-f06cd460f632");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '19d5f260-9421-408b-ae3e-f06cd460f632' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"884bf3ab-b69a-410b-8202-40a5de5ca7a5":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"76f7665a-7db8-46b3-bcd0-88e59ebcd2e1","type":"Title"},{"attributes":{},"id":"7637ed3d-39bc-4915-af4c-a8559da4c2ec","type":"LinearScale"},{"attributes":{"callback":null},"id":"acf3fd74-ea45-4e25-88ce-d66244ea01ef","type":"DataRange1d"},{"attributes":{},"id":"c4233ba4-2a35-481a-83c9-9a135f9653b0","type":"HelpTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fc9f8804-b3bb-4780-a055-143d8153d13c","type":"PanTool"},{"id":"3db172a9-8a47-4504-8122-36e13801fb91","type":"WheelZoomTool"},{"id":"510646eb-df0e-4ba2-9fc3-f10c1e42f1d0","type":"BoxZoomTool"},{"id":"6d8c5e3a-5e7e-4131-80ff-1c0cac934adc","type":"SaveTool"},{"id":"bf70f36b-2c2d-45f3-9310-8d26d7b97294","type":"ResetTool"},{"id":"c4233ba4-2a35-481a-83c9-9a135f9653b0","type":"HelpTool"}]},"id":"0cb26ec5-759c-4755-80ef-5dae6e33f56d","type":"Toolbar"},{"attributes":{"below":[{"id":"42e5b0f5-15ed-453a-be0e-c394d48d5ee4","type":"LinearAxis"}],"left":[{"id":"fae8eedb-4789-47de-91c1-cf12332e44d1","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"42e5b0f5-15ed-453a-be0e-c394d48d5ee4","type":"LinearAxis"},{"id":"2657a6fb-87a2-4d19-bdb8-a901212a85a2","type":"Grid"},{"id":"fae8eedb-4789-47de-91c1-cf12332e44d1","type":"LinearAxis"},{"id":"6d5943e3-3225-474f-b62c-2d4dba17c451","type":"Grid"},{"id":"0ee17f46-7602-4a8f-8361-378bdb48f09e","type":"BoxAnnotation"},{"id":"6566fe6f-4e91-4d41-bbae-a841cbd20d3d","type":"GlyphRenderer"}],"title":{"id":"76f7665a-7db8-46b3-bcd0-88e59ebcd2e1","type":"Title"},"toolbar":{"id":"0cb26ec5-759c-4755-80ef-5dae6e33f56d","type":"Toolbar"},"x_range":{"id":"acf3fd74-ea45-4e25-88ce-d66244ea01ef","type":"DataRange1d"},"x_scale":{"id":"e38045c4-b4c6-4720-874a-41ab7be9fda4","type":"LinearScale"},"y_range":{"id":"24ef177c-b8fb-4900-bf29-51a9b971fdae","type":"DataRange1d"},"y_scale":{"id":"7637ed3d-39bc-4915-af4c-a8559da4c2ec","type":"LinearScale"}},"id":"f8974e4b-210f-4801-946c-43476abab3d4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"3db172a9-8a47-4504-8122-36e13801fb91","type":"WheelZoomTool"},{"attributes":{},"id":"e38045c4-b4c6-4720-874a-41ab7be9fda4","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"f8974e4b-210f-4801-946c-43476abab3d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"e0bf94bf-938a-4978-ae48-0cd293cb1730","type":"BasicTicker"}},"id":"6d5943e3-3225-474f-b62c-2d4dba17c451","type":"Grid"},{"attributes":{"formatter":{"id":"c931b4e0-0cff-4b9e-aed0-669c6918a347","type":"BasicTickFormatter"},"plot":{"id":"f8974e4b-210f-4801-946c-43476abab3d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"e0bf94bf-938a-4978-ae48-0cd293cb1730","type":"BasicTicker"}},"id":"fae8eedb-4789-47de-91c1-cf12332e44d1","type":"LinearAxis"},{"attributes":{"angle":{"units":"rad","value":-0.7},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"2db0769f-8905-47d5-a095-4360be155b54","type":"Ray"},{"attributes":{},"id":"fc9f8804-b3bb-4780-a055-143d8153d13c","type":"PanTool"},{"attributes":{"angle":{"units":"rad","value":-0.7},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"03476177-8a8f-4256-afad-47f1cf30cd67","type":"Ray"},{"attributes":{},"id":"e0bf94bf-938a-4978-ae48-0cd293cb1730","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"1e0a5489-59f0-42c6-80b5-a8fa8b5e3117","type":"ColumnDataSource"},{"attributes":{},"id":"6d8c5e3a-5e7e-4131-80ff-1c0cac934adc","type":"SaveTool"},{"attributes":{"plot":{"id":"f8974e4b-210f-4801-946c-43476abab3d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc4f6023-3ea6-431e-8c51-38a8f8e2f0eb","type":"BasicTicker"}},"id":"2657a6fb-87a2-4d19-bdb8-a901212a85a2","type":"Grid"},{"attributes":{},"id":"bf70f36b-2c2d-45f3-9310-8d26d7b97294","type":"ResetTool"},{"attributes":{},"id":"fc4f6023-3ea6-431e-8c51-38a8f8e2f0eb","type":"BasicTicker"},{"attributes":{"formatter":{"id":"2ba92531-2d52-4eb2-b488-5094e80fc26e","type":"BasicTickFormatter"},"plot":{"id":"f8974e4b-210f-4801-946c-43476abab3d4","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc4f6023-3ea6-431e-8c51-38a8f8e2f0eb","type":"BasicTicker"}},"id":"42e5b0f5-15ed-453a-be0e-c394d48d5ee4","type":"LinearAxis"},{"attributes":{"callback":null},"id":"24ef177c-b8fb-4900-bf29-51a9b971fdae","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0ee17f46-7602-4a8f-8361-378bdb48f09e","type":"BoxAnnotation"},{"attributes":{"source":{"id":"1e0a5489-59f0-42c6-80b5-a8fa8b5e3117","type":"ColumnDataSource"}},"id":"c3b06526-efe9-4e84-bf8a-1934a83d48f7","type":"CDSView"},{"attributes":{},"id":"c931b4e0-0cff-4b9e-aed0-669c6918a347","type":"BasicTickFormatter"},{"attributes":{},"id":"2ba92531-2d52-4eb2-b488-5094e80fc26e","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"1e0a5489-59f0-42c6-80b5-a8fa8b5e3117","type":"ColumnDataSource"},"glyph":{"id":"2db0769f-8905-47d5-a095-4360be155b54","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"03476177-8a8f-4256-afad-47f1cf30cd67","type":"Ray"},"selection_glyph":null,"view":{"id":"c3b06526-efe9-4e84-bf8a-1934a83d48f7","type":"CDSView"}},"id":"6566fe6f-4e91-4d41-bbae-a841cbd20d3d","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"0ee17f46-7602-4a8f-8361-378bdb48f09e","type":"BoxAnnotation"}},"id":"510646eb-df0e-4ba2-9fc3-f10c1e42f1d0","type":"BoxZoomTool"}],"root_ids":["f8974e4b-210f-4801-946c-43476abab3d4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"884bf3ab-b69a-410b-8202-40a5de5ca7a5","elementid":"19d5f260-9421-408b-ae3e-f06cd460f632","modelid":"f8974e4b-210f-4801-946c-43476abab3d4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
