(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("630b2bfc-af24-4e7e-9a5f-3224d75dbe10");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '630b2bfc-af24-4e7e-9a5f-3224d75dbe10' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"30e5e775-abc1-4ee0-a23d-485021eedea3":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"e2ec72f6-1c86-4c2a-b72d-8465a439e511","type":"Square"},{"attributes":{"source":{"id":"85f3d430-6265-4f45-9643-3bdc2fbd49e4","type":"ColumnDataSource"}},"id":"c2142362-eeae-4bf2-b230-03fac41c5415","type":"CDSView"},{"attributes":{},"id":"bdc9091d-b512-49b5-9d1a-a226f75a4132","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"85302d47-3d9f-44af-bee2-031a038bdbe6","type":"Title"},{"attributes":{},"id":"47a87385-7b57-4393-a909-af04d068d3f0","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"022b3937-eb64-498d-afd5-7acd7b5eda08","type":"BasicTickFormatter"},"plot":{"id":"4319b142-f1a6-486d-ab34-d167de3ad549","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca206524-4808-47af-ac12-6d11d79e127d","type":"BasicTicker"}},"id":"58581ac9-152d-4b50-95ff-113a66a47f51","type":"LinearAxis"},{"attributes":{"callback":null},"id":"bfe79d98-d858-4544-b26f-d38555c057dd","type":"DataRange1d"},{"attributes":{"callback":null},"id":"2682e25f-d26a-4a56-b665-385d6cf19223","type":"DataRange1d"},{"attributes":{},"id":"149a5e88-3693-4df3-90c9-dc188a8365b2","type":"ResetTool"},{"attributes":{},"id":"7e55abac-fd6a-4d8a-8b58-8b1eb91640c5","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y","size"],"data":{"size":[10,20,30],"x":[1,2,3],"y":[1,2,3]}},"id":"85f3d430-6265-4f45-9643-3bdc2fbd49e4","type":"ColumnDataSource"},{"attributes":{},"id":"a2c01853-edd6-49f3-adde-0f5bd0803bcd","type":"BasicTicker"},{"attributes":{"data_source":{"id":"85f3d430-6265-4f45-9643-3bdc2fbd49e4","type":"ColumnDataSource"},"glyph":{"id":"9cb2bfa8-6624-425a-b6ee-85ce42ec8542","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e2ec72f6-1c86-4c2a-b72d-8465a439e511","type":"Square"},"selection_glyph":null,"view":{"id":"c2142362-eeae-4bf2-b230-03fac41c5415","type":"CDSView"}},"id":"b2378b46-dbe0-4afb-bf02-5cfff302c5e6","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"8b9de1d8-21b5-4ce0-b356-4bb64cd909bd","type":"PanTool"},{"id":"47a87385-7b57-4393-a909-af04d068d3f0","type":"WheelZoomTool"},{"id":"e3b18339-77d3-4d1e-918a-fb39740ed7c5","type":"BoxZoomTool"},{"id":"bbb747f7-7643-4333-b401-5f9f225dc2a1","type":"SaveTool"},{"id":"149a5e88-3693-4df3-90c9-dc188a8365b2","type":"ResetTool"},{"id":"e288a67b-3b2a-4fb9-a7b3-bfabbf47547f","type":"HelpTool"}]},"id":"d72c0019-62b2-436f-b970-88cf7d0e91bb","type":"Toolbar"},{"attributes":{},"id":"e288a67b-3b2a-4fb9-a7b3-bfabbf47547f","type":"HelpTool"},{"attributes":{},"id":"022b3937-eb64-498d-afd5-7acd7b5eda08","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"d37f33ba-550a-4337-ab79-67408b831759","type":"LinearAxis"}],"left":[{"id":"58581ac9-152d-4b50-95ff-113a66a47f51","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"d37f33ba-550a-4337-ab79-67408b831759","type":"LinearAxis"},{"id":"31a42fd1-2891-4ec5-a5f1-942fdb0728bf","type":"Grid"},{"id":"58581ac9-152d-4b50-95ff-113a66a47f51","type":"LinearAxis"},{"id":"0c30a828-7fbf-4a14-9df7-e4a76375c0b0","type":"Grid"},{"id":"3c5ef760-6d56-4a2a-8838-e6d52971ae23","type":"BoxAnnotation"},{"id":"b2378b46-dbe0-4afb-bf02-5cfff302c5e6","type":"GlyphRenderer"}],"title":{"id":"85302d47-3d9f-44af-bee2-031a038bdbe6","type":"Title"},"toolbar":{"id":"d72c0019-62b2-436f-b970-88cf7d0e91bb","type":"Toolbar"},"x_range":{"id":"bfe79d98-d858-4544-b26f-d38555c057dd","type":"DataRange1d"},"x_scale":{"id":"7e55abac-fd6a-4d8a-8b58-8b1eb91640c5","type":"LinearScale"},"y_range":{"id":"2682e25f-d26a-4a56-b665-385d6cf19223","type":"DataRange1d"},"y_scale":{"id":"bdc9091d-b512-49b5-9d1a-a226f75a4132","type":"LinearScale"}},"id":"4319b142-f1a6-486d-ab34-d167de3ad549","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"3c5ef760-6d56-4a2a-8838-e6d52971ae23","type":"BoxAnnotation"}},"id":"e3b18339-77d3-4d1e-918a-fb39740ed7c5","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"4319b142-f1a6-486d-ab34-d167de3ad549","subtype":"Figure","type":"Plot"},"ticker":{"id":"ca206524-4808-47af-ac12-6d11d79e127d","type":"BasicTicker"}},"id":"0c30a828-7fbf-4a14-9df7-e4a76375c0b0","type":"Grid"},{"attributes":{},"id":"ad9dc286-034e-4846-a3c0-95b4610b218f","type":"BasicTickFormatter"},{"attributes":{},"id":"bbb747f7-7643-4333-b401-5f9f225dc2a1","type":"SaveTool"},{"attributes":{},"id":"ca206524-4808-47af-ac12-6d11d79e127d","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"3c5ef760-6d56-4a2a-8838-e6d52971ae23","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"ad9dc286-034e-4846-a3c0-95b4610b218f","type":"BasicTickFormatter"},"plot":{"id":"4319b142-f1a6-486d-ab34-d167de3ad549","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2c01853-edd6-49f3-adde-0f5bd0803bcd","type":"BasicTicker"}},"id":"d37f33ba-550a-4337-ab79-67408b831759","type":"LinearAxis"},{"attributes":{},"id":"8b9de1d8-21b5-4ce0-b356-4bb64cd909bd","type":"PanTool"},{"attributes":{"plot":{"id":"4319b142-f1a6-486d-ab34-d167de3ad549","subtype":"Figure","type":"Plot"},"ticker":{"id":"a2c01853-edd6-49f3-adde-0f5bd0803bcd","type":"BasicTicker"}},"id":"31a42fd1-2891-4ec5-a5f1-942fdb0728bf","type":"Grid"},{"attributes":{"fill_color":{"value":"#74ADD1"},"line_color":{"value":"#74ADD1"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"9cb2bfa8-6624-425a-b6ee-85ce42ec8542","type":"Square"}],"root_ids":["4319b142-f1a6-486d-ab34-d167de3ad549"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"30e5e775-abc1-4ee0-a23d-485021eedea3","elementid":"630b2bfc-af24-4e7e-9a5f-3224d75dbe10","modelid":"4319b142-f1a6-486d-ab34-d167de3ad549"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
