(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a15c0475-356f-4ada-8437-3b7d84fbcae0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a15c0475-356f-4ada-8437-3b7d84fbcae0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5dd60052-b1e4-4d51-83b1-589d32091123":{"roots":{"references":[{"attributes":{"dimension":1,"plot":{"id":"733ad925-5946-4b12-b365-ff5733474e5d","subtype":"Figure","type":"Plot"},"ticker":{"id":"5f39f1e0-dc88-4a2e-a2f7-ffb24d35b9fd","type":"BasicTicker"}},"id":"2fbb2519-b730-4546-9265-6963c4a6e0b9","type":"Grid"},{"attributes":{},"id":"534c02ee-8207-479b-a709-917bc723fe2f","type":"HelpTool"},{"attributes":{},"id":"659994b4-ab5b-4c64-8f0e-1d5a61706243","type":"BasicTickFormatter"},{"attributes":{},"id":"1e46089f-8e91-4344-906d-930e39ba3425","type":"LinearScale"},{"attributes":{"data_source":{"id":"05338320-d4c5-4204-83b5-2e81242bd623","type":"ColumnDataSource"},"glyph":{"id":"ea99084e-dc8f-4979-a310-1ae77dfea6f8","type":"SquareCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"16d5475a-a4ef-4837-8933-8143da1b50bd","type":"SquareCross"},"selection_glyph":null,"view":{"id":"7de9a6f1-9074-43b9-ad5d-f0bcd79e2453","type":"CDSView"}},"id":"fc52d5ad-b680-4a74-9b40-0ca77f5fcb4f","type":"GlyphRenderer"},{"attributes":{"source":{"id":"05338320-d4c5-4204-83b5-2e81242bd623","type":"ColumnDataSource"}},"id":"7de9a6f1-9074-43b9-ad5d-f0bcd79e2453","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"db1a0f25-0825-4a9a-a059-d2b4bd75df04","type":"Title"},{"attributes":{"callback":null},"id":"5cce8e4d-f815-4289-8742-b0aa11b29f37","type":"DataRange1d"},{"attributes":{},"id":"5f39f1e0-dc88-4a2e-a2f7-ffb24d35b9fd","type":"BasicTicker"},{"attributes":{},"id":"b5db3a6f-d044-400a-b1d0-c6b176b317a4","type":"PanTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b5db3a6f-d044-400a-b1d0-c6b176b317a4","type":"PanTool"},{"id":"7ce10d1c-505d-41ed-b9a9-cb84ff01c7b1","type":"WheelZoomTool"},{"id":"5ac66f2a-4146-4a5c-9451-c7f4998e67b1","type":"BoxZoomTool"},{"id":"597152b9-91e7-44f6-a4e6-44ddf6cb1821","type":"SaveTool"},{"id":"e45c97d9-4a59-4168-ab53-721bbd69eb37","type":"ResetTool"},{"id":"534c02ee-8207-479b-a709-917bc723fe2f","type":"HelpTool"}]},"id":"bdaeefd4-307b-45fe-9311-4cd234425ab9","type":"Toolbar"},{"attributes":{"below":[{"id":"75a35794-754a-4b48-9593-e61a73c2d0ed","type":"LinearAxis"}],"left":[{"id":"b261801b-2cd6-4035-ad2a-4d849c4ab3df","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"75a35794-754a-4b48-9593-e61a73c2d0ed","type":"LinearAxis"},{"id":"cdb43935-2871-4a30-9ec3-59678aa62774","type":"Grid"},{"id":"b261801b-2cd6-4035-ad2a-4d849c4ab3df","type":"LinearAxis"},{"id":"2fbb2519-b730-4546-9265-6963c4a6e0b9","type":"Grid"},{"id":"b292c00d-20d8-4c13-85d0-2672f04b0e65","type":"BoxAnnotation"},{"id":"fc52d5ad-b680-4a74-9b40-0ca77f5fcb4f","type":"GlyphRenderer"}],"title":{"id":"db1a0f25-0825-4a9a-a059-d2b4bd75df04","type":"Title"},"toolbar":{"id":"bdaeefd4-307b-45fe-9311-4cd234425ab9","type":"Toolbar"},"x_range":{"id":"17540233-c5b0-4c04-bf23-2de4a5303b1d","type":"DataRange1d"},"x_scale":{"id":"1e46089f-8e91-4344-906d-930e39ba3425","type":"LinearScale"},"y_range":{"id":"5cce8e4d-f815-4289-8742-b0aa11b29f37","type":"DataRange1d"},"y_scale":{"id":"f4dd87b0-daf6-4a0e-8b5f-0022b69d0450","type":"LinearScale"}},"id":"733ad925-5946-4b12-b365-ff5733474e5d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"597152b9-91e7-44f6-a4e6-44ddf6cb1821","type":"SaveTool"},{"attributes":{},"id":"e45c97d9-4a59-4168-ab53-721bbd69eb37","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"05338320-d4c5-4204-83b5-2e81242bd623","type":"ColumnDataSource"},{"attributes":{},"id":"684f9149-b998-466f-8dfc-5b37c18a9151","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b292c00d-20d8-4c13-85d0-2672f04b0e65","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"b292c00d-20d8-4c13-85d0-2672f04b0e65","type":"BoxAnnotation"}},"id":"5ac66f2a-4146-4a5c-9451-c7f4998e67b1","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"16d5475a-a4ef-4837-8933-8143da1b50bd","type":"SquareCross"},{"attributes":{"formatter":{"id":"c70d79a2-fe86-49d3-ae38-6a0687fb5bb0","type":"BasicTickFormatter"},"plot":{"id":"733ad925-5946-4b12-b365-ff5733474e5d","subtype":"Figure","type":"Plot"},"ticker":{"id":"684f9149-b998-466f-8dfc-5b37c18a9151","type":"BasicTicker"}},"id":"75a35794-754a-4b48-9593-e61a73c2d0ed","type":"LinearAxis"},{"attributes":{"callback":null},"id":"17540233-c5b0-4c04-bf23-2de4a5303b1d","type":"DataRange1d"},{"attributes":{},"id":"f4dd87b0-daf6-4a0e-8b5f-0022b69d0450","type":"LinearScale"},{"attributes":{"plot":{"id":"733ad925-5946-4b12-b365-ff5733474e5d","subtype":"Figure","type":"Plot"},"ticker":{"id":"684f9149-b998-466f-8dfc-5b37c18a9151","type":"BasicTicker"}},"id":"cdb43935-2871-4a30-9ec3-59678aa62774","type":"Grid"},{"attributes":{"formatter":{"id":"659994b4-ab5b-4c64-8f0e-1d5a61706243","type":"BasicTickFormatter"},"plot":{"id":"733ad925-5946-4b12-b365-ff5733474e5d","subtype":"Figure","type":"Plot"},"ticker":{"id":"5f39f1e0-dc88-4a2e-a2f7-ffb24d35b9fd","type":"BasicTicker"}},"id":"b261801b-2cd6-4035-ad2a-4d849c4ab3df","type":"LinearAxis"},{"attributes":{},"id":"7ce10d1c-505d-41ed-b9a9-cb84ff01c7b1","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#7FC97F"},"line_width":{"value":2},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ea99084e-dc8f-4979-a310-1ae77dfea6f8","type":"SquareCross"},{"attributes":{},"id":"c70d79a2-fe86-49d3-ae38-6a0687fb5bb0","type":"BasicTickFormatter"}],"root_ids":["733ad925-5946-4b12-b365-ff5733474e5d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5dd60052-b1e4-4d51-83b1-589d32091123","elementid":"a15c0475-356f-4ada-8437-3b7d84fbcae0","modelid":"733ad925-5946-4b12-b365-ff5733474e5d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
