(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("57258580-da20-4428-bc19-0708f4fe4931");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '57258580-da20-4428-bc19-0708f4fe4931' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"aa0d7387-212a-4085-89a9-6e0e931ceaf7":{"roots":{"references":[{"attributes":{},"id":"9b2ea401-bda7-44c6-b660-f9c7da5507a7","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"2b344d97-145d-48e3-b47b-33289a2eadf7","type":"ColumnDataSource"}},"id":"207c5150-f55f-442c-be57-82a2b54584d2","type":"CDSView"},{"attributes":{},"id":"ea1ca868-f7d5-4c70-a5e1-f6ff47e3cb6f","type":"BasicTickFormatter"},{"attributes":{},"id":"06b58fef-9bcc-466d-aa7b-02704cee6bc1","type":"BasicTicker"},{"attributes":{"below":[{"id":"900507a5-3219-433e-9483-ffce2026cfd8","type":"LinearAxis"}],"left":[{"id":"3cb44fde-8229-4bcd-a53c-b8b91808159a","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"900507a5-3219-433e-9483-ffce2026cfd8","type":"LinearAxis"},{"id":"b0588c58-6b4c-46bd-8fc0-d1702446633b","type":"Grid"},{"id":"3cb44fde-8229-4bcd-a53c-b8b91808159a","type":"LinearAxis"},{"id":"edd1884f-49d6-4853-bf85-5a9a3cbc0df0","type":"Grid"},{"id":"cc35b7cd-5ede-4d0a-a7b8-e8756bb29180","type":"BoxAnnotation"},{"id":"c3597127-0143-49bf-9121-6ce92a003087","type":"GlyphRenderer"}],"title":{"id":"27764233-a4e0-4457-a0d6-2dbc77b55552","type":"Title"},"toolbar":{"id":"7f373501-558a-4e53-8704-084c716b54ed","type":"Toolbar"},"x_range":{"id":"5de20e2a-25a1-4e61-b403-c1792c387da8","type":"DataRange1d"},"x_scale":{"id":"aa11c5bb-67db-4291-a695-f6247e7daf08","type":"LinearScale"},"y_range":{"id":"c3a19512-6497-4124-884f-b7d0c4291eeb","type":"DataRange1d"},"y_scale":{"id":"2c385e4f-7fce-433d-9c6a-c2796af94175","type":"LinearScale"}},"id":"ba487dda-0b50-4a64-b576-1d4d2a690181","subtype":"Figure","type":"Plot"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"screen","value":15},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"b0730af8-81c7-48d5-aa1c-5f8eda5dd0b5","type":"Wedge"},{"attributes":{"end_angle":{"units":"rad","value":4.1},"fill_color":{"value":"#2b8cbe"},"line_color":{"value":"#2b8cbe"},"radius":{"units":"screen","value":15},"start_angle":{"units":"rad","value":0.6},"x":{"field":"x"},"y":{"field":"y"}},"id":"8c58ed14-626d-4318-83e1-5566f3ee7687","type":"Wedge"},{"attributes":{"plot":null,"text":""},"id":"27764233-a4e0-4457-a0d6-2dbc77b55552","type":"Title"},{"attributes":{"plot":{"id":"ba487dda-0b50-4a64-b576-1d4d2a690181","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1e1ed2e-c200-4ebc-85f9-44384caa715d","type":"BasicTicker"}},"id":"b0588c58-6b4c-46bd-8fc0-d1702446633b","type":"Grid"},{"attributes":{},"id":"550ee8a9-fb57-4d06-b7ff-c6e9a0963bba","type":"HelpTool"},{"attributes":{},"id":"f1e1ed2e-c200-4ebc-85f9-44384caa715d","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"2b344d97-145d-48e3-b47b-33289a2eadf7","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cc35b7cd-5ede-4d0a-a7b8-e8756bb29180","type":"BoxAnnotation"},{"attributes":{"formatter":{"id":"ea1ca868-f7d5-4c70-a5e1-f6ff47e3cb6f","type":"BasicTickFormatter"},"plot":{"id":"ba487dda-0b50-4a64-b576-1d4d2a690181","subtype":"Figure","type":"Plot"},"ticker":{"id":"06b58fef-9bcc-466d-aa7b-02704cee6bc1","type":"BasicTicker"}},"id":"3cb44fde-8229-4bcd-a53c-b8b91808159a","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"ba487dda-0b50-4a64-b576-1d4d2a690181","subtype":"Figure","type":"Plot"},"ticker":{"id":"06b58fef-9bcc-466d-aa7b-02704cee6bc1","type":"BasicTicker"}},"id":"edd1884f-49d6-4853-bf85-5a9a3cbc0df0","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a83e8623-4094-4a33-89a5-4854814f20f5","type":"PanTool"},{"id":"5fcb4214-4798-453c-bc40-06635921abf6","type":"WheelZoomTool"},{"id":"1a49cbcb-a9ed-4163-a9c8-b8e0310144e5","type":"BoxZoomTool"},{"id":"30f9a4e3-58f0-4e52-b88f-fb5ae3e829b2","type":"SaveTool"},{"id":"71304d34-2267-412d-957f-8c1d2efad9ed","type":"ResetTool"},{"id":"550ee8a9-fb57-4d06-b7ff-c6e9a0963bba","type":"HelpTool"}]},"id":"7f373501-558a-4e53-8704-084c716b54ed","type":"Toolbar"},{"attributes":{"callback":null},"id":"c3a19512-6497-4124-884f-b7d0c4291eeb","type":"DataRange1d"},{"attributes":{},"id":"71304d34-2267-412d-957f-8c1d2efad9ed","type":"ResetTool"},{"attributes":{"overlay":{"id":"cc35b7cd-5ede-4d0a-a7b8-e8756bb29180","type":"BoxAnnotation"}},"id":"1a49cbcb-a9ed-4163-a9c8-b8e0310144e5","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"2b344d97-145d-48e3-b47b-33289a2eadf7","type":"ColumnDataSource"},"glyph":{"id":"8c58ed14-626d-4318-83e1-5566f3ee7687","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b0730af8-81c7-48d5-aa1c-5f8eda5dd0b5","type":"Wedge"},"selection_glyph":null,"view":{"id":"207c5150-f55f-442c-be57-82a2b54584d2","type":"CDSView"}},"id":"c3597127-0143-49bf-9121-6ce92a003087","type":"GlyphRenderer"},{"attributes":{},"id":"5fcb4214-4798-453c-bc40-06635921abf6","type":"WheelZoomTool"},{"attributes":{},"id":"30f9a4e3-58f0-4e52-b88f-fb5ae3e829b2","type":"SaveTool"},{"attributes":{"formatter":{"id":"9b2ea401-bda7-44c6-b660-f9c7da5507a7","type":"BasicTickFormatter"},"plot":{"id":"ba487dda-0b50-4a64-b576-1d4d2a690181","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1e1ed2e-c200-4ebc-85f9-44384caa715d","type":"BasicTicker"}},"id":"900507a5-3219-433e-9483-ffce2026cfd8","type":"LinearAxis"},{"attributes":{},"id":"2c385e4f-7fce-433d-9c6a-c2796af94175","type":"LinearScale"},{"attributes":{"callback":null},"id":"5de20e2a-25a1-4e61-b403-c1792c387da8","type":"DataRange1d"},{"attributes":{},"id":"a83e8623-4094-4a33-89a5-4854814f20f5","type":"PanTool"},{"attributes":{},"id":"aa11c5bb-67db-4291-a695-f6247e7daf08","type":"LinearScale"}],"root_ids":["ba487dda-0b50-4a64-b576-1d4d2a690181"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"aa0d7387-212a-4085-89a9-6e0e931ceaf7","elementid":"57258580-da20-4428-bc19-0708f4fe4931","modelid":"ba487dda-0b50-4a64-b576-1d4d2a690181"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
