(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("029ba9d5-8baa-42c2-a3d0-3abe0fc05d18");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '029ba9d5-8baa-42c2-a3d0-3abe0fc05d18' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1c4a2c18-b6e4-4b2b-83cc-acd3d9bc960e":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"a5958e3a-aa57-4e30-8b0d-8d91b3546790","type":"X"},{"attributes":{"formatter":{"id":"f3f5cf1e-ab90-4c14-9de7-a1ffa9197cf4","type":"BasicTickFormatter"},"plot":{"id":"a9b1f59e-3b85-450a-9cd7-78028772090a","subtype":"Figure","type":"Plot"},"ticker":{"id":"cc07609f-e9e6-4696-8e1f-c7f586f8f234","type":"BasicTicker"}},"id":"f31b573d-d5b4-4e01-9bec-31374cb6e7f2","type":"LinearAxis"},{"attributes":{"source":{"id":"b7f35136-ea40-49f8-9f16-d5e398bb5351","type":"ColumnDataSource"}},"id":"e4ded627-ea99-496e-abb8-dbb6e7d8819f","type":"CDSView"},{"attributes":{},"id":"32abc136-71d1-4c37-9b07-0d8f4aabbc5d","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"a9b1f59e-3b85-450a-9cd7-78028772090a","subtype":"Figure","type":"Plot"},"ticker":{"id":"cc07609f-e9e6-4696-8e1f-c7f586f8f234","type":"BasicTicker"}},"id":"2a6e527b-80bc-42ba-beaa-021c4fff9eb1","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","y","size"],"data":{"size":[10,20,25],"x":[1,2,3],"y":[1,2,3]}},"id":"b7f35136-ea40-49f8-9f16-d5e398bb5351","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f74ac451-dfb0-463e-a611-8a5ae2548368","type":"PanTool"},{"id":"9e712029-b8ad-43d2-9e2f-b588bebd8681","type":"WheelZoomTool"},{"id":"268fccdd-7cf5-4c26-b43a-abe1d9a4ddd8","type":"BoxZoomTool"},{"id":"faac195f-ef11-4efd-9600-2d79edca6658","type":"SaveTool"},{"id":"28cf3342-ee0d-450d-ac53-e554f3223455","type":"ResetTool"},{"id":"9c569063-fb70-4014-b908-fc2215cc0575","type":"HelpTool"}]},"id":"ecebb102-76dd-4431-8b97-145ed83ac243","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"88911112-1368-480b-b32b-6a2d50cf9b99","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"a9b1f59e-3b85-450a-9cd7-78028772090a","subtype":"Figure","type":"Plot"},"ticker":{"id":"32abc136-71d1-4c37-9b07-0d8f4aabbc5d","type":"BasicTicker"}},"id":"f901d4cb-2a5b-4cf0-b49c-2943c61cf9e0","type":"Grid"},{"attributes":{},"id":"f74ac451-dfb0-463e-a611-8a5ae2548368","type":"PanTool"},{"attributes":{},"id":"9c569063-fb70-4014-b908-fc2215cc0575","type":"HelpTool"},{"attributes":{},"id":"f3f5cf1e-ab90-4c14-9de7-a1ffa9197cf4","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"e154bbee-fad0-4cc9-88ea-642c52959e0a","type":"LinearAxis"}],"left":[{"id":"f31b573d-d5b4-4e01-9bec-31374cb6e7f2","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"e154bbee-fad0-4cc9-88ea-642c52959e0a","type":"LinearAxis"},{"id":"f901d4cb-2a5b-4cf0-b49c-2943c61cf9e0","type":"Grid"},{"id":"f31b573d-d5b4-4e01-9bec-31374cb6e7f2","type":"LinearAxis"},{"id":"2a6e527b-80bc-42ba-beaa-021c4fff9eb1","type":"Grid"},{"id":"88911112-1368-480b-b32b-6a2d50cf9b99","type":"BoxAnnotation"},{"id":"c8c69540-03a1-48e0-86a4-72e8cfabd130","type":"GlyphRenderer"}],"title":{"id":"2ac43a72-382c-48ef-8140-919b1c23c494","type":"Title"},"toolbar":{"id":"ecebb102-76dd-4431-8b97-145ed83ac243","type":"Toolbar"},"x_range":{"id":"5e2b6ff1-d29a-40b0-82e6-c688ea796d5e","type":"DataRange1d"},"x_scale":{"id":"65fdc73a-19a9-4576-810c-d5b93212fea8","type":"LinearScale"},"y_range":{"id":"dfa5af54-6ecd-4c90-9e29-663cb738515b","type":"DataRange1d"},"y_scale":{"id":"e9506fab-d68b-4de5-bd3d-8a7e2b696703","type":"LinearScale"}},"id":"a9b1f59e-3b85-450a-9cd7-78028772090a","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"9e712029-b8ad-43d2-9e2f-b588bebd8681","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"dfa5af54-6ecd-4c90-9e29-663cb738515b","type":"DataRange1d"},{"attributes":{"callback":null},"id":"5e2b6ff1-d29a-40b0-82e6-c688ea796d5e","type":"DataRange1d"},{"attributes":{},"id":"cc07609f-e9e6-4696-8e1f-c7f586f8f234","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#fa9fb5"},"line_color":{"value":"#fa9fb5"},"size":{"field":"size","units":"screen"},"x":{"field":"x"},"y":{"field":"y"}},"id":"3b0c4b54-82a5-4c41-86ba-2ebe2a90893f","type":"X"},{"attributes":{},"id":"65fdc73a-19a9-4576-810c-d5b93212fea8","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"2ac43a72-382c-48ef-8140-919b1c23c494","type":"Title"},{"attributes":{},"id":"e9506fab-d68b-4de5-bd3d-8a7e2b696703","type":"LinearScale"},{"attributes":{"formatter":{"id":"4cd1372f-f242-49a6-a56e-8db21629fc90","type":"BasicTickFormatter"},"plot":{"id":"a9b1f59e-3b85-450a-9cd7-78028772090a","subtype":"Figure","type":"Plot"},"ticker":{"id":"32abc136-71d1-4c37-9b07-0d8f4aabbc5d","type":"BasicTicker"}},"id":"e154bbee-fad0-4cc9-88ea-642c52959e0a","type":"LinearAxis"},{"attributes":{},"id":"4cd1372f-f242-49a6-a56e-8db21629fc90","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"88911112-1368-480b-b32b-6a2d50cf9b99","type":"BoxAnnotation"}},"id":"268fccdd-7cf5-4c26-b43a-abe1d9a4ddd8","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"b7f35136-ea40-49f8-9f16-d5e398bb5351","type":"ColumnDataSource"},"glyph":{"id":"3b0c4b54-82a5-4c41-86ba-2ebe2a90893f","type":"X"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a5958e3a-aa57-4e30-8b0d-8d91b3546790","type":"X"},"selection_glyph":null,"view":{"id":"e4ded627-ea99-496e-abb8-dbb6e7d8819f","type":"CDSView"}},"id":"c8c69540-03a1-48e0-86a4-72e8cfabd130","type":"GlyphRenderer"},{"attributes":{},"id":"faac195f-ef11-4efd-9600-2d79edca6658","type":"SaveTool"},{"attributes":{},"id":"28cf3342-ee0d-450d-ac53-e554f3223455","type":"ResetTool"}],"root_ids":["a9b1f59e-3b85-450a-9cd7-78028772090a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1c4a2c18-b6e4-4b2b-83cc-acd3d9bc960e","elementid":"029ba9d5-8baa-42c2-a3d0-3abe0fc05d18","modelid":"a9b1f59e-3b85-450a-9cd7-78028772090a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
