(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b749bbd9-b748-4eb0-a1a5-c4673455d3f1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b749bbd9-b748-4eb0-a1a5-c4673455d3f1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e2ec725e-bcad-4791-bc9d-97eb505072a0":{"roots":{"references":[{"attributes":{},"id":"82427767-45c8-41a8-a1e2-bc8d3fea954b","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"09add299-4079-456a-90e6-f345bf21e61d","type":"CircleX"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"858d9886-a4a4-4fe0-af6d-5c5d2a0730e0","type":"PanTool"},{"id":"cfb2764d-52c3-4fcb-ace2-d58b11d694c8","type":"WheelZoomTool"},{"id":"1df92d65-be15-488b-a7df-240aca7e49ee","type":"BoxZoomTool"},{"id":"bce25c50-99ba-49d2-81c0-4ad9f4c56068","type":"SaveTool"},{"id":"23315f6c-4eea-4bcf-84fe-7c233b8859ec","type":"ResetTool"},{"id":"961d2936-7787-4c05-a0ff-88276c8baa5f","type":"HelpTool"}]},"id":"484f9569-8aef-41b1-b3d9-b5c1eb5b3771","type":"Toolbar"},{"attributes":{"formatter":{"id":"07646ce0-f57c-4c22-a719-837f874f7a1e","type":"BasicTickFormatter"},"plot":{"id":"530eec57-674c-4bcd-be6c-b5f2fffb2b96","subtype":"Figure","type":"Plot"},"ticker":{"id":"c700237d-9bb0-48c8-9ac5-232ca65261a4","type":"BasicTicker"}},"id":"1c57bde8-6a60-4275-90ee-8430fea0bdaa","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"36cec47b-ee72-4efc-987e-ab8f6b1ca837","type":"BoxAnnotation"},{"attributes":{},"id":"ad409a87-9bba-47c0-824f-6aa181fe58dd","type":"BasicTicker"},{"attributes":{"data_source":{"id":"47fd71e2-2444-4133-b354-0a9d1813f7e0","type":"ColumnDataSource"},"glyph":{"id":"39e09063-b77e-48aa-a9e2-3e49b4d1802c","type":"CircleX"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"09add299-4079-456a-90e6-f345bf21e61d","type":"CircleX"},"selection_glyph":null,"view":{"id":"7902090c-69de-4be2-9609-2c1f11d18806","type":"CDSView"}},"id":"0bbb39f7-7ed6-4389-bd26-1197a55d479e","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"36cec47b-ee72-4efc-987e-ab8f6b1ca837","type":"BoxAnnotation"}},"id":"1df92d65-be15-488b-a7df-240aca7e49ee","type":"BoxZoomTool"},{"attributes":{},"id":"bce25c50-99ba-49d2-81c0-4ad9f4c56068","type":"SaveTool"},{"attributes":{"plot":{"id":"530eec57-674c-4bcd-be6c-b5f2fffb2b96","subtype":"Figure","type":"Plot"},"ticker":{"id":"c700237d-9bb0-48c8-9ac5-232ca65261a4","type":"BasicTicker"}},"id":"681c953f-4b42-49d8-b949-f86874b9a6b1","type":"Grid"},{"attributes":{"formatter":{"id":"7e7830a8-5fec-4556-998e-fad7de05bef6","type":"BasicTickFormatter"},"plot":{"id":"530eec57-674c-4bcd-be6c-b5f2fffb2b96","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad409a87-9bba-47c0-824f-6aa181fe58dd","type":"BasicTicker"}},"id":"53ff18bc-a083-4543-b2c2-35aac46b943c","type":"LinearAxis"},{"attributes":{"callback":null},"id":"518ac097-b9ac-42ad-8b5b-8f8ec5572529","type":"DataRange1d"},{"attributes":{},"id":"858d9886-a4a4-4fe0-af6d-5c5d2a0730e0","type":"PanTool"},{"attributes":{},"id":"c700237d-9bb0-48c8-9ac5-232ca65261a4","type":"BasicTicker"},{"attributes":{},"id":"cfb2764d-52c3-4fcb-ace2-d58b11d694c8","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"47fd71e2-2444-4133-b354-0a9d1813f7e0","type":"ColumnDataSource"},{"attributes":{},"id":"07646ce0-f57c-4c22-a719-837f874f7a1e","type":"BasicTickFormatter"},{"attributes":{},"id":"23315f6c-4eea-4bcf-84fe-7c233b8859ec","type":"ResetTool"},{"attributes":{"source":{"id":"47fd71e2-2444-4133-b354-0a9d1813f7e0","type":"ColumnDataSource"}},"id":"7902090c-69de-4be2-9609-2c1f11d18806","type":"CDSView"},{"attributes":{},"id":"fedbee1b-a356-4506-b2b1-88886d83fda1","type":"LinearScale"},{"attributes":{},"id":"961d2936-7787-4c05-a0ff-88276c8baa5f","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"#DD1C77"},"line_color":{"value":"#DD1C77"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"39e09063-b77e-48aa-a9e2-3e49b4d1802c","type":"CircleX"},{"attributes":{},"id":"7e7830a8-5fec-4556-998e-fad7de05bef6","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"6042ed23-7527-44ed-abd8-1511b071fee8","type":"DataRange1d"},{"attributes":{"below":[{"id":"1c57bde8-6a60-4275-90ee-8430fea0bdaa","type":"LinearAxis"}],"left":[{"id":"53ff18bc-a083-4543-b2c2-35aac46b943c","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"1c57bde8-6a60-4275-90ee-8430fea0bdaa","type":"LinearAxis"},{"id":"681c953f-4b42-49d8-b949-f86874b9a6b1","type":"Grid"},{"id":"53ff18bc-a083-4543-b2c2-35aac46b943c","type":"LinearAxis"},{"id":"b75fecf8-73bb-4e5e-8a44-7c4e79db0ba5","type":"Grid"},{"id":"36cec47b-ee72-4efc-987e-ab8f6b1ca837","type":"BoxAnnotation"},{"id":"0bbb39f7-7ed6-4389-bd26-1197a55d479e","type":"GlyphRenderer"}],"title":{"id":"b0b438c8-6bed-4348-8e87-fd63858e7875","type":"Title"},"toolbar":{"id":"484f9569-8aef-41b1-b3d9-b5c1eb5b3771","type":"Toolbar"},"x_range":{"id":"518ac097-b9ac-42ad-8b5b-8f8ec5572529","type":"DataRange1d"},"x_scale":{"id":"fedbee1b-a356-4506-b2b1-88886d83fda1","type":"LinearScale"},"y_range":{"id":"6042ed23-7527-44ed-abd8-1511b071fee8","type":"DataRange1d"},"y_scale":{"id":"82427767-45c8-41a8-a1e2-bc8d3fea954b","type":"LinearScale"}},"id":"530eec57-674c-4bcd-be6c-b5f2fffb2b96","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"530eec57-674c-4bcd-be6c-b5f2fffb2b96","subtype":"Figure","type":"Plot"},"ticker":{"id":"ad409a87-9bba-47c0-824f-6aa181fe58dd","type":"BasicTicker"}},"id":"b75fecf8-73bb-4e5e-8a44-7c4e79db0ba5","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"b0b438c8-6bed-4348-8e87-fd63858e7875","type":"Title"}],"root_ids":["530eec57-674c-4bcd-be6c-b5f2fffb2b96"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e2ec725e-bcad-4791-bc9d-97eb505072a0","elementid":"b749bbd9-b748-4eb0-a1a5-c4673455d3f1","modelid":"530eec57-674c-4bcd-be6c-b5f2fffb2b96"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
