(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("453f33f9-1bd9-44e3-8c84-915ef5e9e086");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '453f33f9-1bd9-44e3-8c84-915ef5e9e086' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9911f2c4-2b03-4c8b-8b01-3c038450429e":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"e6aa5ff3-3f6b-408d-84b1-1aabbb868c3c","type":"PanTool"},{"id":"a8e80bf6-52f4-4c00-ac1e-b410c723bf03","type":"WheelZoomTool"},{"id":"f1b56989-58f3-4601-ac71-2ab7454500ad","type":"BoxZoomTool"},{"id":"fc5857ba-0a91-4b18-aec9-a9e11fc76a2c","type":"SaveTool"},{"id":"c548d850-4af5-4249-82cf-2273110cb8f2","type":"ResetTool"},{"id":"9cfbd3cc-5788-4d7e-82f4-4db25c65d623","type":"HelpTool"}]},"id":"9953460a-3691-48a8-bbe6-f0c10f583a36","type":"Toolbar"},{"attributes":{"callback":null},"id":"ba27eed4-2614-493e-8103-4fc6a0581cac","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"1b10534d-2169-4505-a445-0bb27f1bb6df","type":"BoxAnnotation"},{"attributes":{},"id":"e6aa5ff3-3f6b-408d-84b1-1aabbb868c3c","type":"PanTool"},{"attributes":{"overlay":{"id":"1b10534d-2169-4505-a445-0bb27f1bb6df","type":"BoxAnnotation"}},"id":"f1b56989-58f3-4601-ac71-2ab7454500ad","type":"BoxZoomTool"},{"attributes":{},"id":"429c8a5c-51a8-4961-93a6-af90348acf3a","type":"BasicTicker"},{"attributes":{},"id":"a6fa49c5-06f4-4985-884d-112ad2504556","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"1f0655c9-a657-4006-a2db-ad86cc53a317","subtype":"Figure","type":"Plot"},"ticker":{"id":"dbd8e2b9-11bb-46e7-9aca-049dd8b813f8","type":"BasicTicker"}},"id":"320616f7-158e-49a9-bcab-431ada261f44","type":"Grid"},{"attributes":{"data_source":{"id":"67fc8835-b549-4555-bb68-de057520a610","type":"ColumnDataSource"},"glyph":{"id":"96be177e-f9dc-43ef-8b90-70174deae23f","type":"Cross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cba8a117-a4f1-48e0-999a-61654f047903","type":"Cross"},"selection_glyph":null,"view":{"id":"fde87d63-24f2-44ab-88a4-bc26b9f2e47c","type":"CDSView"}},"id":"4d143c70-bd7e-434b-bd07-d6a82ed9558b","type":"GlyphRenderer"},{"attributes":{},"id":"c8ab0f74-0c42-4117-983d-58931e135233","type":"LinearScale"},{"attributes":{"formatter":{"id":"a6fa49c5-06f4-4985-884d-112ad2504556","type":"BasicTickFormatter"},"plot":{"id":"1f0655c9-a657-4006-a2db-ad86cc53a317","subtype":"Figure","type":"Plot"},"ticker":{"id":"dbd8e2b9-11bb-46e7-9aca-049dd8b813f8","type":"BasicTicker"}},"id":"c204fa6b-dd9f-4217-9602-bbfb1418bebc","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"c7062619-488a-47e4-abe3-9929e00b1801","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"1f0655c9-a657-4006-a2db-ad86cc53a317","subtype":"Figure","type":"Plot"},"ticker":{"id":"429c8a5c-51a8-4961-93a6-af90348acf3a","type":"BasicTicker"}},"id":"a801a05d-3d37-4148-8be9-6ddd790da5dc","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"cba8a117-a4f1-48e0-999a-61654f047903","type":"Cross"},{"attributes":{},"id":"b1bf1d10-e366-4080-af4b-b86517a4b615","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"485b608e-a4af-4a47-996a-540e0946a8a3","type":"DataRange1d"},{"attributes":{},"id":"c548d850-4af5-4249-82cf-2273110cb8f2","type":"ResetTool"},{"attributes":{"below":[{"id":"c204fa6b-dd9f-4217-9602-bbfb1418bebc","type":"LinearAxis"}],"left":[{"id":"a4258641-4b76-4051-bbed-0ce29ac124ef","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"c204fa6b-dd9f-4217-9602-bbfb1418bebc","type":"LinearAxis"},{"id":"320616f7-158e-49a9-bcab-431ada261f44","type":"Grid"},{"id":"a4258641-4b76-4051-bbed-0ce29ac124ef","type":"LinearAxis"},{"id":"a801a05d-3d37-4148-8be9-6ddd790da5dc","type":"Grid"},{"id":"1b10534d-2169-4505-a445-0bb27f1bb6df","type":"BoxAnnotation"},{"id":"4d143c70-bd7e-434b-bd07-d6a82ed9558b","type":"GlyphRenderer"}],"title":{"id":"c7062619-488a-47e4-abe3-9929e00b1801","type":"Title"},"toolbar":{"id":"9953460a-3691-48a8-bbe6-f0c10f583a36","type":"Toolbar"},"x_range":{"id":"ba27eed4-2614-493e-8103-4fc6a0581cac","type":"DataRange1d"},"x_scale":{"id":"a4a38a2a-b4f6-4559-84a8-bf320b0c9ff9","type":"LinearScale"},"y_range":{"id":"485b608e-a4af-4a47-996a-540e0946a8a3","type":"DataRange1d"},"y_scale":{"id":"c8ab0f74-0c42-4117-983d-58931e135233","type":"LinearScale"}},"id":"1f0655c9-a657-4006-a2db-ad86cc53a317","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a4a38a2a-b4f6-4559-84a8-bf320b0c9ff9","type":"LinearScale"},{"attributes":{},"id":"9cfbd3cc-5788-4d7e-82f4-4db25c65d623","type":"HelpTool"},{"attributes":{},"id":"fc5857ba-0a91-4b18-aec9-a9e11fc76a2c","type":"SaveTool"},{"attributes":{"source":{"id":"67fc8835-b549-4555-bb68-de057520a610","type":"ColumnDataSource"}},"id":"fde87d63-24f2-44ab-88a4-bc26b9f2e47c","type":"CDSView"},{"attributes":{},"id":"dbd8e2b9-11bb-46e7-9aca-049dd8b813f8","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"67fc8835-b549-4555-bb68-de057520a610","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"b1bf1d10-e366-4080-af4b-b86517a4b615","type":"BasicTickFormatter"},"plot":{"id":"1f0655c9-a657-4006-a2db-ad86cc53a317","subtype":"Figure","type":"Plot"},"ticker":{"id":"429c8a5c-51a8-4961-93a6-af90348acf3a","type":"BasicTicker"}},"id":"a4258641-4b76-4051-bbed-0ce29ac124ef","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#E6550D"},"line_color":{"value":"#E6550D"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"96be177e-f9dc-43ef-8b90-70174deae23f","type":"Cross"},{"attributes":{},"id":"a8e80bf6-52f4-4c00-ac1e-b410c723bf03","type":"WheelZoomTool"}],"root_ids":["1f0655c9-a657-4006-a2db-ad86cc53a317"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9911f2c4-2b03-4c8b-8b01-3c038450429e","elementid":"453f33f9-1bd9-44e3-8c84-915ef5e9e086","modelid":"1f0655c9-a657-4006-a2db-ad86cc53a317"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
