(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("1d6e79bd-1a53-4493-a3e0-c455b3c2b50c");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '1d6e79bd-1a53-4493-a3e0-c455b3c2b50c' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3e310514-baee-4653-b54b-ab63effc80df":{"roots":{"references":[{"attributes":{},"id":"61249862-4f7a-418b-84f5-8d082950405e","type":"WheelZoomTool"},{"attributes":{},"id":"08d43c09-23fc-4640-ac0c-88e9f312cafa","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"667a863a-006c-4cab-a03c-17c361b18e92","type":"ColumnDataSource"},{"attributes":{},"id":"7715572e-6295-4605-8fb8-451e135332e0","type":"BasicTicker"},{"attributes":{},"id":"5f6bf44b-113d-4457-9e54-048e4a1d6c4e","type":"LinearScale"},{"attributes":{},"id":"4f4789d9-4692-48bc-a9d9-f9bfd5cf23d6","type":"PanTool"},{"attributes":{"overlay":{"id":"2a7adaff-6e04-42e5-8474-a1d4241d0916","type":"BoxAnnotation"}},"id":"1e52c3ae-e93d-4b5d-be4b-4049c6962a7a","type":"BoxZoomTool"},{"attributes":{"source":{"id":"667a863a-006c-4cab-a03c-17c361b18e92","type":"ColumnDataSource"}},"id":"4026c9df-279a-477d-95bb-ec581f8d270e","type":"CDSView"},{"attributes":{"plot":null,"text":""},"id":"35cea784-2a6f-4c54-96b1-5a212f5481c6","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"6ca59993-a2b9-41b0-99f0-ac0afea1ad89","subtype":"Figure","type":"Plot"},"ticker":{"id":"7715572e-6295-4605-8fb8-451e135332e0","type":"BasicTicker"}},"id":"08ddfb09-b26c-457b-be49-7dc792a45298","type":"Grid"},{"attributes":{"below":[{"id":"0246a1b4-5d07-4416-bee4-400f80d2eaf3","type":"LinearAxis"}],"left":[{"id":"56a8e8ed-5776-4b78-862a-23f6a7549906","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"0246a1b4-5d07-4416-bee4-400f80d2eaf3","type":"LinearAxis"},{"id":"974ab378-cb69-458b-bbca-b0eac3ed8bbc","type":"Grid"},{"id":"56a8e8ed-5776-4b78-862a-23f6a7549906","type":"LinearAxis"},{"id":"08ddfb09-b26c-457b-be49-7dc792a45298","type":"Grid"},{"id":"2a7adaff-6e04-42e5-8474-a1d4241d0916","type":"BoxAnnotation"},{"id":"001ff898-f173-40f5-87f1-dcb8af615850","type":"GlyphRenderer"}],"title":{"id":"35cea784-2a6f-4c54-96b1-5a212f5481c6","type":"Title"},"toolbar":{"id":"f7336422-c0da-4b76-bd29-5773b1f22500","type":"Toolbar"},"x_range":{"id":"3729f721-e76d-449f-a001-351ed51df7ea","type":"DataRange1d"},"x_scale":{"id":"800cf02e-7526-4bd8-903e-ef7a9d44dbb6","type":"LinearScale"},"y_range":{"id":"80eb03e0-5db4-456d-8dc5-5f8ad048bf84","type":"DataRange1d"},"y_scale":{"id":"5f6bf44b-113d-4457-9e54-048e4a1d6c4e","type":"LinearScale"}},"id":"6ca59993-a2b9-41b0-99f0-ac0afea1ad89","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"08d43c09-23fc-4640-ac0c-88e9f312cafa","type":"BasicTickFormatter"},"plot":{"id":"6ca59993-a2b9-41b0-99f0-ac0afea1ad89","subtype":"Figure","type":"Plot"},"ticker":{"id":"7715572e-6295-4605-8fb8-451e135332e0","type":"BasicTicker"}},"id":"56a8e8ed-5776-4b78-862a-23f6a7549906","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"158f96b6-8570-46ec-84d8-6f2acfb25e55","type":"DiamondCross"},{"attributes":{},"id":"0d035104-dd1f-48a9-aac6-be0efec9185c","type":"SaveTool"},{"attributes":{"callback":null},"id":"80eb03e0-5db4-456d-8dc5-5f8ad048bf84","type":"DataRange1d"},{"attributes":{"data_source":{"id":"667a863a-006c-4cab-a03c-17c361b18e92","type":"ColumnDataSource"},"glyph":{"id":"99562cf7-db1e-46e2-b707-764a4cc40fcb","type":"DiamondCross"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"158f96b6-8570-46ec-84d8-6f2acfb25e55","type":"DiamondCross"},"selection_glyph":null,"view":{"id":"4026c9df-279a-477d-95bb-ec581f8d270e","type":"CDSView"}},"id":"001ff898-f173-40f5-87f1-dcb8af615850","type":"GlyphRenderer"},{"attributes":{},"id":"4b9cb978-6dec-4d5a-9552-39dbd25ed4f9","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4f4789d9-4692-48bc-a9d9-f9bfd5cf23d6","type":"PanTool"},{"id":"61249862-4f7a-418b-84f5-8d082950405e","type":"WheelZoomTool"},{"id":"1e52c3ae-e93d-4b5d-be4b-4049c6962a7a","type":"BoxZoomTool"},{"id":"0d035104-dd1f-48a9-aac6-be0efec9185c","type":"SaveTool"},{"id":"4b9cb978-6dec-4d5a-9552-39dbd25ed4f9","type":"ResetTool"},{"id":"8a0c0ab8-0554-4484-9b93-426bd8303a2f","type":"HelpTool"}]},"id":"f7336422-c0da-4b76-bd29-5773b1f22500","type":"Toolbar"},{"attributes":{"plot":{"id":"6ca59993-a2b9-41b0-99f0-ac0afea1ad89","subtype":"Figure","type":"Plot"},"ticker":{"id":"cf7b1413-238c-4104-829d-e17b055dbbd8","type":"BasicTicker"}},"id":"974ab378-cb69-458b-bbca-b0eac3ed8bbc","type":"Grid"},{"attributes":{},"id":"800cf02e-7526-4bd8-903e-ef7a9d44dbb6","type":"LinearScale"},{"attributes":{"callback":null},"id":"3729f721-e76d-449f-a001-351ed51df7ea","type":"DataRange1d"},{"attributes":{},"id":"a3736154-94b4-4261-94dd-ad419418ca96","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2a7adaff-6e04-42e5-8474-a1d4241d0916","type":"BoxAnnotation"},{"attributes":{},"id":"cf7b1413-238c-4104-829d-e17b055dbbd8","type":"BasicTicker"},{"attributes":{"formatter":{"id":"a3736154-94b4-4261-94dd-ad419418ca96","type":"BasicTickFormatter"},"plot":{"id":"6ca59993-a2b9-41b0-99f0-ac0afea1ad89","subtype":"Figure","type":"Plot"},"ticker":{"id":"cf7b1413-238c-4104-829d-e17b055dbbd8","type":"BasicTicker"}},"id":"0246a1b4-5d07-4416-bee4-400f80d2eaf3","type":"LinearAxis"},{"attributes":{"fill_color":{"value":null},"line_color":{"value":"#386CB0"},"line_width":{"value":2},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"99562cf7-db1e-46e2-b707-764a4cc40fcb","type":"DiamondCross"},{"attributes":{},"id":"8a0c0ab8-0554-4484-9b93-426bd8303a2f","type":"HelpTool"}],"root_ids":["6ca59993-a2b9-41b0-99f0-ac0afea1ad89"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3e310514-baee-4653-b54b-ab63effc80df","elementid":"1d6e79bd-1a53-4493-a3e0-c455b3c2b50c","modelid":"6ca59993-a2b9-41b0-99f0-ac0afea1ad89"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
