(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5f494b74-669a-488a-a917-4d386baacbbe");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5f494b74-669a-488a-a917-4d386baacbbe' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f15ae411-bfc0-405e-920d-fc0a2dac0a40":{"roots":{"references":[{"attributes":{},"id":"96bc0e1c-4009-4e9c-9b34-92969dc511b5","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"54472efe-a17d-47a8-8768-e208435e3e18","type":"Title"},{"attributes":{},"id":"807306e0-f241-4316-852c-9006ac9af940","type":"LinearScale"},{"attributes":{"callback":null},"id":"f5e1dd6f-d2ee-4792-8195-c4101bf4825a","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"a3763982-2d7a-45f5-80c7-e4934ba63dd5","type":"PanTool"},{"id":"8b02f5e9-043d-42aa-a417-40f6915fbfb3","type":"WheelZoomTool"},{"id":"3d4d5a86-7682-421f-8970-7f044c061f9a","type":"BoxZoomTool"},{"id":"622b1791-9b89-4376-a4e6-00f5ee1b8dbd","type":"SaveTool"},{"id":"c67fb796-0da2-417c-942c-b23aa12af4a5","type":"ResetTool"},{"id":"66db4a8f-9ad4-44db-8a3f-e1962e69c54c","type":"HelpTool"}]},"id":"5fba4698-3933-43b1-8c7b-8ec225a4fe77","type":"Toolbar"},{"attributes":{"below":[{"id":"5e71808a-23d5-4e72-8e53-0a6d6010d9c4","type":"LinearAxis"}],"left":[{"id":"cd8b4a30-bdc5-4993-bcda-de37c3e41e52","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"5e71808a-23d5-4e72-8e53-0a6d6010d9c4","type":"LinearAxis"},{"id":"2316ff3e-bacc-403d-80ab-144292021da2","type":"Grid"},{"id":"cd8b4a30-bdc5-4993-bcda-de37c3e41e52","type":"LinearAxis"},{"id":"e6f61706-5e70-43a0-b44a-7ce9d33f7f20","type":"Grid"},{"id":"cf089cb3-fd3a-4b17-9dcf-68d1f3613c7e","type":"BoxAnnotation"},{"id":"5a2aae35-ffb7-41c7-b61f-12d629912037","type":"GlyphRenderer"}],"title":{"id":"54472efe-a17d-47a8-8768-e208435e3e18","type":"Title"},"toolbar":{"id":"5fba4698-3933-43b1-8c7b-8ec225a4fe77","type":"Toolbar"},"x_range":{"id":"f5e1dd6f-d2ee-4792-8195-c4101bf4825a","type":"DataRange1d"},"x_scale":{"id":"db958db2-6910-4289-b719-bdbdec01f80e","type":"LinearScale"},"y_range":{"id":"bb2ecff6-d19b-4247-8765-01171be6a782","type":"DataRange1d"},"y_scale":{"id":"807306e0-f241-4316-852c-9006ac9af940","type":"LinearScale"}},"id":"8edc40f6-9be3-421d-bcf3-9cb4bf96849a","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"b6b74aab-6cfe-4f0e-97f5-54037f4bd93e","type":"ColumnDataSource"}},"id":"d61be554-46da-4adc-a6f0-14db10121c60","type":"CDSView"},{"attributes":{"formatter":{"id":"2b3da875-d0e1-4ba4-a86e-38212ed8a48e","type":"BasicTickFormatter"},"plot":{"id":"8edc40f6-9be3-421d-bcf3-9cb4bf96849a","subtype":"Figure","type":"Plot"},"ticker":{"id":"96bc0e1c-4009-4e9c-9b34-92969dc511b5","type":"BasicTicker"}},"id":"5e71808a-23d5-4e72-8e53-0a6d6010d9c4","type":"LinearAxis"},{"attributes":{},"id":"38028f0c-f83f-4776-8a87-97dec71149e6","type":"BasicTickFormatter"},{"attributes":{},"id":"c67fb796-0da2-417c-942c-b23aa12af4a5","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"f245f5bc-00ff-4057-9b69-189caed264c8","type":"HBar"},{"attributes":{},"id":"8b02f5e9-043d-42aa-a417-40f6915fbfb3","type":"WheelZoomTool"},{"attributes":{},"id":"db958db2-6910-4289-b719-bdbdec01f80e","type":"LinearScale"},{"attributes":{},"id":"02a25667-9773-403a-a59d-8e7e097acd1a","type":"BasicTicker"},{"attributes":{},"id":"66db4a8f-9ad4-44db-8a3f-e1962e69c54c","type":"HelpTool"},{"attributes":{"overlay":{"id":"cf089cb3-fd3a-4b17-9dcf-68d1f3613c7e","type":"BoxAnnotation"}},"id":"3d4d5a86-7682-421f-8970-7f044c061f9a","type":"BoxZoomTool"},{"attributes":{"data_source":{"id":"b6b74aab-6cfe-4f0e-97f5-54037f4bd93e","type":"ColumnDataSource"},"glyph":{"id":"11c8300f-e1f9-44a8-92b7-c21d2785fa9a","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f245f5bc-00ff-4057-9b69-189caed264c8","type":"HBar"},"selection_glyph":null,"view":{"id":"d61be554-46da-4adc-a6f0-14db10121c60","type":"CDSView"}},"id":"5a2aae35-ffb7-41c7-b61f-12d629912037","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"8edc40f6-9be3-421d-bcf3-9cb4bf96849a","subtype":"Figure","type":"Plot"},"ticker":{"id":"96bc0e1c-4009-4e9c-9b34-92969dc511b5","type":"BasicTicker"}},"id":"2316ff3e-bacc-403d-80ab-144292021da2","type":"Grid"},{"attributes":{"formatter":{"id":"38028f0c-f83f-4776-8a87-97dec71149e6","type":"BasicTickFormatter"},"plot":{"id":"8edc40f6-9be3-421d-bcf3-9cb4bf96849a","subtype":"Figure","type":"Plot"},"ticker":{"id":"02a25667-9773-403a-a59d-8e7e097acd1a","type":"BasicTicker"}},"id":"cd8b4a30-bdc5-4993-bcda-de37c3e41e52","type":"LinearAxis"},{"attributes":{"callback":null},"id":"bb2ecff6-d19b-4247-8765-01171be6a782","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#CAB2D6"},"height":{"value":0.5},"line_color":{"value":"#CAB2D6"},"right":{"field":"right"},"y":{"field":"y"}},"id":"11c8300f-e1f9-44a8-92b7-c21d2785fa9a","type":"HBar"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1,2,3],"y":[1,2,3]}},"id":"b6b74aab-6cfe-4f0e-97f5-54037f4bd93e","type":"ColumnDataSource"},{"attributes":{},"id":"a3763982-2d7a-45f5-80c7-e4934ba63dd5","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"8edc40f6-9be3-421d-bcf3-9cb4bf96849a","subtype":"Figure","type":"Plot"},"ticker":{"id":"02a25667-9773-403a-a59d-8e7e097acd1a","type":"BasicTicker"}},"id":"e6f61706-5e70-43a0-b44a-7ce9d33f7f20","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cf089cb3-fd3a-4b17-9dcf-68d1f3613c7e","type":"BoxAnnotation"},{"attributes":{},"id":"622b1791-9b89-4376-a4e6-00f5ee1b8dbd","type":"SaveTool"},{"attributes":{},"id":"2b3da875-d0e1-4ba4-a86e-38212ed8a48e","type":"BasicTickFormatter"}],"root_ids":["8edc40f6-9be3-421d-bcf3-9cb4bf96849a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f15ae411-bfc0-405e-920d-fc0a2dac0a40","elementid":"5f494b74-669a-488a-a917-4d386baacbbe","modelid":"8edc40f6-9be3-421d-bcf3-9cb4bf96849a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
