(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b26d4741-2640-48e9-bd60-8878df5a2079");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b26d4741-2640-48e9-bd60-8878df5a2079' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2629e885-d773-4a1b-bcec-a910f815f39d":{"roots":{"references":[{"attributes":{"formatter":{"id":"1da8c51a-6f34-4dfb-b856-3df0a6b7affc","type":"BasicTickFormatter"},"plot":{"id":"050cebb5-d11e-4c30-a7ba-c52d04696c77","subtype":"Figure","type":"Plot"},"ticker":{"id":"8f821166-21ea-4e8d-b735-9a896a3c7ddf","type":"BasicTicker"}},"id":"220e616f-a6d8-472d-a2db-2dba14d533a9","type":"LinearAxis"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"c8cc8b7e-b9fa-4582-bb50-8338dbd4096c","type":"Line"},{"attributes":{"source":{"id":"70b940a2-76e1-47dd-816c-008fd5ac1dc7","type":"ColumnDataSource"}},"id":"6c5834da-d78e-4bd0-81f3-62636595b17a","type":"CDSView"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"38a856b7-5e01-48f6-a516-4d6d8ded1bc5","type":"Circle"},{"attributes":{"data_source":{"id":"70b940a2-76e1-47dd-816c-008fd5ac1dc7","type":"ColumnDataSource"},"glyph":{"id":"38a856b7-5e01-48f6-a516-4d6d8ded1bc5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0d69e55c-1009-41b3-b907-59b6acd54d14","type":"Circle"},"selection_glyph":null,"view":{"id":"6c5834da-d78e-4bd0-81f3-62636595b17a","type":"CDSView"}},"id":"4c65b06d-1c2f-41fc-aec0-bcc685dc7807","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"214fcf47-dbc2-4eab-a1c9-a39f43d5857f","type":"LinearAxis"}],"left":[{"id":"220e616f-a6d8-472d-a2db-2dba14d533a9","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"214fcf47-dbc2-4eab-a1c9-a39f43d5857f","type":"LinearAxis"},{"id":"ab3ab83b-ab7b-4b53-bcd5-f8fa1c979a0b","type":"Grid"},{"id":"220e616f-a6d8-472d-a2db-2dba14d533a9","type":"LinearAxis"},{"id":"4983879a-fae2-4c05-beb4-b3c7ed2bfe3e","type":"Grid"},{"id":"99bb7f09-079c-4856-a889-a76ef1d9725a","type":"BoxAnnotation"},{"id":"adb095ee-17f5-449f-9d49-3786538c92f9","type":"GlyphRenderer"},{"id":"4c65b06d-1c2f-41fc-aec0-bcc685dc7807","type":"GlyphRenderer"}],"title":{"id":"5b0fcb80-642e-4db9-850c-830bc080996c","type":"Title"},"toolbar":{"id":"be6a540b-b14b-4f06-8b44-183cc9993bc8","type":"Toolbar"},"x_range":{"id":"67b49d89-a066-4755-8d65-d1f3fb1b0eb0","type":"DataRange1d"},"x_scale":{"id":"096ed8b0-d62f-4a27-93eb-e0145a07dbd6","type":"LinearScale"},"y_range":{"id":"1ad4d432-417c-453d-a97d-e29178c4bdaa","type":"DataRange1d"},"y_scale":{"id":"24469f70-8796-4c60-974e-880bdac6616e","type":"LinearScale"}},"id":"050cebb5-d11e-4c30-a7ba-c52d04696c77","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"99bb7f09-079c-4856-a889-a76ef1d9725a","type":"BoxAnnotation"}},"id":"56f9d91b-5af2-4817-804d-21b9f15a7213","type":"BoxZoomTool"},{"attributes":{},"id":"377d76b6-9857-4382-a25b-777cd0f6bde0","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"050cebb5-d11e-4c30-a7ba-c52d04696c77","subtype":"Figure","type":"Plot"},"ticker":{"id":"8f821166-21ea-4e8d-b735-9a896a3c7ddf","type":"BasicTicker"}},"id":"4983879a-fae2-4c05-beb4-b3c7ed2bfe3e","type":"Grid"},{"attributes":{"callback":null},"id":"1ad4d432-417c-453d-a97d-e29178c4bdaa","type":"DataRange1d"},{"attributes":{},"id":"1da8c51a-6f34-4dfb-b856-3df0a6b7affc","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"example"},"id":"5b0fcb80-642e-4db9-850c-830bc080996c","type":"Title"},{"attributes":{},"id":"fd05683e-a928-4506-8bca-88e5ca948a4d","type":"PanTool"},{"attributes":{"data_source":{"id":"a4551e2f-1d37-47fa-93f4-fd072da0a948","type":"ColumnDataSource"},"glyph":{"id":"c8cc8b7e-b9fa-4582-bb50-8338dbd4096c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3043c72d-a07c-4236-ad7e-a8242c08cb56","type":"Line"},"selection_glyph":null,"view":{"id":"6f6da763-e9b6-4d8d-bb21-93492a686e1a","type":"CDSView"}},"id":"adb095ee-17f5-449f-9d49-3786538c92f9","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,6,4,5]}},"id":"a4551e2f-1d37-47fa-93f4-fd072da0a948","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"050cebb5-d11e-4c30-a7ba-c52d04696c77","subtype":"Figure","type":"Plot"},"ticker":{"id":"377d76b6-9857-4382-a25b-777cd0f6bde0","type":"BasicTicker"}},"id":"ab3ab83b-ab7b-4b53-bcd5-f8fa1c979a0b","type":"Grid"},{"attributes":{"callback":null},"id":"67b49d89-a066-4755-8d65-d1f3fb1b0eb0","type":"DataRange1d"},{"attributes":{},"id":"54acdac0-7b13-4add-b296-000504acb0d6","type":"WheelZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"0d69e55c-1009-41b3-b907-59b6acd54d14","type":"Circle"},{"attributes":{},"id":"8f821166-21ea-4e8d-b735-9a896a3c7ddf","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"fd05683e-a928-4506-8bca-88e5ca948a4d","type":"PanTool"},{"id":"54acdac0-7b13-4add-b296-000504acb0d6","type":"WheelZoomTool"},{"id":"56f9d91b-5af2-4817-804d-21b9f15a7213","type":"BoxZoomTool"},{"id":"8c50b302-d1f6-451e-a135-9bd35d64b524","type":"SaveTool"},{"id":"d5775410-f89f-47d4-9778-715faa691b71","type":"ResetTool"},{"id":"8698ae58-65fe-4402-af3e-b7fd8b9e1887","type":"HelpTool"}]},"id":"be6a540b-b14b-4f06-8b44-183cc9993bc8","type":"Toolbar"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"3043c72d-a07c-4236-ad7e-a8242c08cb56","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,6,4,5]}},"id":"70b940a2-76e1-47dd-816c-008fd5ac1dc7","type":"ColumnDataSource"},{"attributes":{},"id":"27a85d8b-de51-4827-bf59-dda93ad05205","type":"BasicTickFormatter"},{"attributes":{},"id":"096ed8b0-d62f-4a27-93eb-e0145a07dbd6","type":"LinearScale"},{"attributes":{},"id":"8c50b302-d1f6-451e-a135-9bd35d64b524","type":"SaveTool"},{"attributes":{},"id":"24469f70-8796-4c60-974e-880bdac6616e","type":"LinearScale"},{"attributes":{"formatter":{"id":"27a85d8b-de51-4827-bf59-dda93ad05205","type":"BasicTickFormatter"},"plot":{"id":"050cebb5-d11e-4c30-a7ba-c52d04696c77","subtype":"Figure","type":"Plot"},"ticker":{"id":"377d76b6-9857-4382-a25b-777cd0f6bde0","type":"BasicTicker"}},"id":"214fcf47-dbc2-4eab-a1c9-a39f43d5857f","type":"LinearAxis"},{"attributes":{"source":{"id":"a4551e2f-1d37-47fa-93f4-fd072da0a948","type":"ColumnDataSource"}},"id":"6f6da763-e9b6-4d8d-bb21-93492a686e1a","type":"CDSView"},{"attributes":{},"id":"d5775410-f89f-47d4-9778-715faa691b71","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"99bb7f09-079c-4856-a889-a76ef1d9725a","type":"BoxAnnotation"},{"attributes":{},"id":"8698ae58-65fe-4402-af3e-b7fd8b9e1887","type":"HelpTool"}],"root_ids":["050cebb5-d11e-4c30-a7ba-c52d04696c77"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2629e885-d773-4a1b-bcec-a910f815f39d","elementid":"b26d4741-2640-48e9-bd60-8878df5a2079","modelid":"050cebb5-d11e-4c30-a7ba-c52d04696c77"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
