(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("97d3f352-fcc9-4a7f-9597-a4b70791a7e0");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '97d3f352-fcc9-4a7f-9597-a4b70791a7e0' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"41b4f2fb-62b7-4d05-bb66-07a0bbf9972b":{"roots":{"references":[{"attributes":{},"id":"bb9c3cae-f61a-4264-a75e-e79a706d17ff","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"6d953458-e4fb-4fbe-bd88-73522212f63b","type":"Circle"},{"attributes":{},"id":"9bbd20ed-cf18-4507-a8dd-a0a123b16868","type":"BasicTickFormatter"},{"attributes":{},"id":"e6a2c584-8fc9-439d-ab62-8a37b410684a","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"bb9c3cae-f61a-4264-a75e-e79a706d17ff","type":"BasicTickFormatter"},"plot":{"id":"ab579a82-d4d1-4521-a879-d156f09866a7","subtype":"Figure","type":"Plot"},"ticker":{"id":"37098725-1c9c-4340-abc2-45db93606762","type":"BasicTicker"}},"id":"051bacca-5586-4790-9ac7-5c11ce8b0c85","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"ab579a82-d4d1-4521-a879-d156f09866a7","subtype":"Figure","type":"Plot"},"ticker":{"id":"37098725-1c9c-4340-abc2-45db93606762","type":"BasicTicker"}},"id":"74e57be5-5147-40a7-af86-a4643da93567","type":"Grid"},{"attributes":{"plot":{"id":"ab579a82-d4d1-4521-a879-d156f09866a7","subtype":"Figure","type":"Plot"},"ticker":{"id":"423fc031-1105-4cb7-957d-130ac3a70d05","type":"BasicTicker"}},"id":"87bcd4c2-3988-426c-a200-69e427fab823","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e459a26-a4e6-4cf5-8c9d-ec7aa5ee8e9b","type":"Circle"},{"attributes":{"plot":null,"text":"Basic Title"},"id":"ee4fefdf-80cd-4e55-8fdb-11d789b64c1b","type":"Title"},{"attributes":{},"id":"1937cdf9-eb43-4263-ba20-13325dde0090","type":"LinearScale"},{"attributes":{},"id":"1bf441de-7cff-4d95-9078-01a3e8f2176a","type":"ResetTool"},{"attributes":{"data_source":{"id":"0f393a19-eb97-4288-9e84-2a7ef5c73614","type":"ColumnDataSource"},"glyph":{"id":"6d953458-e4fb-4fbe-bd88-73522212f63b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e459a26-a4e6-4cf5-8c9d-ec7aa5ee8e9b","type":"Circle"},"selection_glyph":null,"view":{"id":"5bd38765-3f06-4667-b36b-1c02525a54c6","type":"CDSView"}},"id":"c6f04c18-f3b9-441f-a1eb-5115b5872ecc","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"0f393a19-eb97-4288-9e84-2a7ef5c73614","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"026f98dc-c341-4d32-b002-571c9c91cf82","type":"DataRange1d"},{"attributes":{},"id":"74c25350-7ee8-46ee-994c-3749620ff7fc","type":"HelpTool"},{"attributes":{},"id":"fffd82d2-e143-45bc-b254-5bb3d2e26ca3","type":"SaveTool"},{"attributes":{},"id":"ba7de651-2b7f-4a4c-a8ac-71a6e94f47c2","type":"PanTool"},{"attributes":{"formatter":{"id":"9bbd20ed-cf18-4507-a8dd-a0a123b16868","type":"BasicTickFormatter"},"plot":{"id":"ab579a82-d4d1-4521-a879-d156f09866a7","subtype":"Figure","type":"Plot"},"ticker":{"id":"423fc031-1105-4cb7-957d-130ac3a70d05","type":"BasicTicker"}},"id":"8615bf14-3a45-415a-9893-f36dbac5f8d7","type":"LinearAxis"},{"attributes":{"source":{"id":"0f393a19-eb97-4288-9e84-2a7ef5c73614","type":"ColumnDataSource"}},"id":"5bd38765-3f06-4667-b36b-1c02525a54c6","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"2c9a1d88-3958-435d-bfa2-4264b4d80ea9","type":"BoxAnnotation"},{"attributes":{},"id":"423fc031-1105-4cb7-957d-130ac3a70d05","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"ba7de651-2b7f-4a4c-a8ac-71a6e94f47c2","type":"PanTool"},{"id":"e6a2c584-8fc9-439d-ab62-8a37b410684a","type":"WheelZoomTool"},{"id":"a5a506b6-06aa-4683-8fe4-db90f98f6aff","type":"BoxZoomTool"},{"id":"fffd82d2-e143-45bc-b254-5bb3d2e26ca3","type":"SaveTool"},{"id":"1bf441de-7cff-4d95-9078-01a3e8f2176a","type":"ResetTool"},{"id":"74c25350-7ee8-46ee-994c-3749620ff7fc","type":"HelpTool"}]},"id":"cbc0345c-5766-4f03-bf2c-6bb89e49e105","type":"Toolbar"},{"attributes":{"below":[{"id":"8615bf14-3a45-415a-9893-f36dbac5f8d7","type":"LinearAxis"}],"left":[{"id":"051bacca-5586-4790-9ac7-5c11ce8b0c85","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"8615bf14-3a45-415a-9893-f36dbac5f8d7","type":"LinearAxis"},{"id":"87bcd4c2-3988-426c-a200-69e427fab823","type":"Grid"},{"id":"051bacca-5586-4790-9ac7-5c11ce8b0c85","type":"LinearAxis"},{"id":"74e57be5-5147-40a7-af86-a4643da93567","type":"Grid"},{"id":"2c9a1d88-3958-435d-bfa2-4264b4d80ea9","type":"BoxAnnotation"},{"id":"c6f04c18-f3b9-441f-a1eb-5115b5872ecc","type":"GlyphRenderer"}],"title":{"id":"ee4fefdf-80cd-4e55-8fdb-11d789b64c1b","type":"Title"},"toolbar":{"id":"cbc0345c-5766-4f03-bf2c-6bb89e49e105","type":"Toolbar"},"x_range":{"id":"ef6327db-e465-496d-a819-0bd63dde2f85","type":"DataRange1d"},"x_scale":{"id":"e9c876f1-84bb-4d1c-8708-001b8bda848a","type":"LinearScale"},"y_range":{"id":"026f98dc-c341-4d32-b002-571c9c91cf82","type":"DataRange1d"},"y_scale":{"id":"1937cdf9-eb43-4263-ba20-13325dde0090","type":"LinearScale"}},"id":"ab579a82-d4d1-4521-a879-d156f09866a7","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"e9c876f1-84bb-4d1c-8708-001b8bda848a","type":"LinearScale"},{"attributes":{"callback":null},"id":"ef6327db-e465-496d-a819-0bd63dde2f85","type":"DataRange1d"},{"attributes":{},"id":"37098725-1c9c-4340-abc2-45db93606762","type":"BasicTicker"},{"attributes":{"overlay":{"id":"2c9a1d88-3958-435d-bfa2-4264b4d80ea9","type":"BoxAnnotation"}},"id":"a5a506b6-06aa-4683-8fe4-db90f98f6aff","type":"BoxZoomTool"}],"root_ids":["ab579a82-d4d1-4521-a879-d156f09866a7"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"41b4f2fb-62b7-4d05-bb66-07a0bbf9972b","elementid":"97d3f352-fcc9-4a7f-9597-a4b70791a7e0","modelid":"ab579a82-d4d1-4521-a879-d156f09866a7"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
