(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fe44861d-345d-420f-bf7e-b32b98bc6e47");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fe44861d-345d-420f-bf7e-b32b98bc6e47' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"5299a9d3-4f05-4e64-9477-50971c3e0af8":{"roots":{"references":[{"attributes":{"callback":null},"id":"36b16b5d-f931-45e3-a0e0-d6594e9add1d","type":"DataRange1d"},{"attributes":{},"id":"79f59efc-c7ae-451e-b00d-81c4d9870df5","type":"SaveTool"},{"attributes":{},"id":"5008f6a8-1f2f-46aa-8520-94afdf7c8613","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2],"y":[3,4]}},"id":"4661f4c5-cd9b-4d52-8dae-f7397cf612f8","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"f9eef161-3003-4ec8-bea3-a299f8e01723","type":"PanTool"},{"id":"8984a0be-5831-42a8-b626-c338cc8eeb24","type":"WheelZoomTool"},{"id":"977ab6f9-e541-4a67-8df2-3e45aa365bf8","type":"BoxZoomTool"},{"id":"79f59efc-c7ae-451e-b00d-81c4d9870df5","type":"SaveTool"},{"id":"5008f6a8-1f2f-46aa-8520-94afdf7c8613","type":"ResetTool"},{"id":"2326547e-e920-49ca-9605-f0d7daf21e7b","type":"HelpTool"}]},"id":"f5d78b6e-598c-479b-a6e2-e18bf9ac3172","type":"Toolbar"},{"attributes":{"plot":{"id":"d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34","subtype":"Figure","type":"Plot"},"ticker":{"id":"c785d384-7f1e-4ec2-a008-e0a2db29dbf7","type":"BasicTicker"}},"id":"a6f60925-e5c2-4710-be6b-2db72e48c3ae","type":"Grid"},{"attributes":{},"id":"9cf3e4f8-c1ed-46df-bccf-a693f382e49a","type":"BasicTickFormatter"},{"attributes":{},"id":"f9eef161-3003-4ec8-bea3-a299f8e01723","type":"PanTool"},{"attributes":{"formatter":{"id":"9cf3e4f8-c1ed-46df-bccf-a693f382e49a","type":"BasicTickFormatter"},"plot":{"id":"d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b35b149-8936-4005-90c5-dd1f2f8b8baa","type":"BasicTicker"}},"id":"6b15d045-3e75-47bc-8191-e30049bc3da9","type":"LinearAxis"},{"attributes":{},"id":"8984a0be-5831-42a8-b626-c338cc8eeb24","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"bd40630b-9c41-4496-b945-c4860c922195","type":"DataRange1d"},{"attributes":{"formatter":{"id":"4b151474-5b1b-41a4-9831-b46be17f07ff","type":"BasicTickFormatter"},"plot":{"id":"d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34","subtype":"Figure","type":"Plot"},"ticker":{"id":"c785d384-7f1e-4ec2-a008-e0a2db29dbf7","type":"BasicTicker"}},"id":"848debec-fe2f-4e02-ae80-376f1b9bae48","type":"LinearAxis"},{"attributes":{"plot":null,"text":"Top Title with Toolbar"},"id":"9cd8762a-8506-4c38-ad9d-81433cf84d28","type":"Title"},{"attributes":{"overlay":{"id":"11ee77c8-3d60-44c9-9f9a-8c34add25b7e","type":"BoxAnnotation"}},"id":"977ab6f9-e541-4a67-8df2-3e45aa365bf8","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b35b149-8936-4005-90c5-dd1f2f8b8baa","type":"BasicTicker"}},"id":"441ae23b-ac37-4060-bb7c-997c744e033f","type":"Grid"},{"attributes":{},"id":"4b151474-5b1b-41a4-9831-b46be17f07ff","type":"BasicTickFormatter"},{"attributes":{},"id":"b36ff2b4-a290-4438-8a41-825a9b55f3e3","type":"LinearScale"},{"attributes":{},"id":"2326547e-e920-49ca-9605-f0d7daf21e7b","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"abe5771f-decb-4f8d-8473-82b509acdcfa","type":"Circle"},{"attributes":{},"id":"4058c456-3810-4060-a2e3-160c0072ab36","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7c6d5aaf-1b41-4422-96e4-5b74cebb264a","type":"Circle"},{"attributes":{"source":{"id":"4661f4c5-cd9b-4d52-8dae-f7397cf612f8","type":"ColumnDataSource"}},"id":"85839a6d-9011-4da1-893a-859aa7873a76","type":"CDSView"},{"attributes":{},"id":"6b35b149-8936-4005-90c5-dd1f2f8b8baa","type":"BasicTicker"},{"attributes":{"below":[{"id":"848debec-fe2f-4e02-ae80-376f1b9bae48","type":"LinearAxis"}],"left":[{"id":"6b15d045-3e75-47bc-8191-e30049bc3da9","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"848debec-fe2f-4e02-ae80-376f1b9bae48","type":"LinearAxis"},{"id":"a6f60925-e5c2-4710-be6b-2db72e48c3ae","type":"Grid"},{"id":"6b15d045-3e75-47bc-8191-e30049bc3da9","type":"LinearAxis"},{"id":"441ae23b-ac37-4060-bb7c-997c744e033f","type":"Grid"},{"id":"11ee77c8-3d60-44c9-9f9a-8c34add25b7e","type":"BoxAnnotation"},{"id":"6590c122-08b5-4d13-88d7-c9b73503fad0","type":"GlyphRenderer"}],"title":{"id":"9cd8762a-8506-4c38-ad9d-81433cf84d28","type":"Title"},"toolbar":{"id":"f5d78b6e-598c-479b-a6e2-e18bf9ac3172","type":"Toolbar"},"toolbar_location":"above","x_range":{"id":"36b16b5d-f931-45e3-a0e0-d6594e9add1d","type":"DataRange1d"},"x_scale":{"id":"b36ff2b4-a290-4438-8a41-825a9b55f3e3","type":"LinearScale"},"y_range":{"id":"bd40630b-9c41-4496-b945-c4860c922195","type":"DataRange1d"},"y_scale":{"id":"4058c456-3810-4060-a2e3-160c0072ab36","type":"LinearScale"}},"id":"d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c785d384-7f1e-4ec2-a008-e0a2db29dbf7","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"11ee77c8-3d60-44c9-9f9a-8c34add25b7e","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"4661f4c5-cd9b-4d52-8dae-f7397cf612f8","type":"ColumnDataSource"},"glyph":{"id":"7c6d5aaf-1b41-4422-96e4-5b74cebb264a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"abe5771f-decb-4f8d-8473-82b509acdcfa","type":"Circle"},"selection_glyph":null,"view":{"id":"85839a6d-9011-4da1-893a-859aa7873a76","type":"CDSView"}},"id":"6590c122-08b5-4d13-88d7-c9b73503fad0","type":"GlyphRenderer"}],"root_ids":["d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"5299a9d3-4f05-4e64-9477-50971c3e0af8","elementid":"fe44861d-345d-420f-bf7e-b32b98bc6e47","modelid":"d1d8cc3f-1e48-4abe-8eed-43f70ddd5f34"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
