(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("15929039-a1f7-47a1-b88d-904b58c79146");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '15929039-a1f7-47a1-b88d-904b58c79146' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"dd09853e-e8e5-4074-ba98-65c496144611":{"roots":{"references":[{"attributes":{"source":{"id":"5b32c45f-22c1-49c0-9daa-3fc7999f3a0f","type":"ColumnDataSource"}},"id":"36533405-b90a-425a-80cc-87dac9fff206","type":"CDSView"},{"attributes":{},"id":"21a95f36-aa53-4d4c-ba4d-e30de949b697","type":"BasicTicker"},{"attributes":{"plot":{"id":"9d622593-6413-498b-8559-e49e675b1a93","subtype":"Figure","type":"Plot"},"ticker":{"id":"21a95f36-aa53-4d4c-ba4d-e30de949b697","type":"BasicTicker"}},"id":"d16f18a1-e336-4ea8-83a0-e9132944fa0e","type":"Grid"},{"attributes":{"callback":null,"end":7},"id":"9940c508-c25f-4050-8d0f-80ea2dbaf680","type":"Range1d"},{"attributes":{"below":[{"id":"d4c4644a-27cb-4c7b-9e1e-44fa4d2a4969","type":"LinearAxis"}],"left":[{"id":"dad6afe1-fe0e-4acc-9cc7-7a5b86378cf3","type":"LinearAxis"}],"plot_height":300,"renderers":[{"id":"d4c4644a-27cb-4c7b-9e1e-44fa4d2a4969","type":"LinearAxis"},{"id":"d16f18a1-e336-4ea8-83a0-e9132944fa0e","type":"Grid"},{"id":"dad6afe1-fe0e-4acc-9cc7-7a5b86378cf3","type":"LinearAxis"},{"id":"df5d9611-70e0-44d3-a5bb-7ba296bff71d","type":"Grid"},{"id":"7d49340c-4c3f-4062-a6b2-cf6c460cfc88","type":"Legend"},{"id":"a8f5706b-4c05-4c57-aefe-d5a181a7e325","type":"GlyphRenderer"}],"title":{"id":"dc86995e-11c2-4760-a9f1-07c86125024b","type":"Title"},"toolbar":{"id":"4e0667e5-f2c6-4e22-97b1-f4618d019ce0","type":"Toolbar"},"x_range":{"id":"9940c508-c25f-4050-8d0f-80ea2dbaf680","type":"Range1d"},"x_scale":{"id":"7adfaa6c-bce5-4536-bd85-f2a19bfd4c44","type":"LinearScale"},"y_range":{"id":"9eb6a90b-e83b-4fdf-a90a-e1bc211bb6b4","type":"Range1d"},"y_scale":{"id":"6814428d-0d2f-471d-a3cc-fc5a01cdee65","type":"LinearScale"}},"id":"9d622593-6413-498b-8559-e49e675b1a93","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4537298a-97e0-410a-91f0-6d457aa8810f","type":"SaveTool"}]},"id":"4e0667e5-f2c6-4e22-97b1-f4618d019ce0","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"dc86995e-11c2-4760-a9f1-07c86125024b","type":"Title"},{"attributes":{},"id":"b44eeba1-57f4-487f-8f5b-693bb8ceed1a","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":3},"id":"9eb6a90b-e83b-4fdf-a90a-e1bc211bb6b4","type":"Range1d"},{"attributes":{"callback":null,"column_names":["color","y","label","x"],"data":{"color":["#ef8a62","#67a9cf","#ef8a62","#67a9cf","#ef8a62","#67a9cf"],"label":["hi","lo","hi","lo","hi","lo"],"x":[1,2,3,4,5,6],"y":[2,1,2,1,2,1]}},"id":"5b32c45f-22c1-49c0-9daa-3fc7999f3a0f","type":"ColumnDataSource"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"c667fc85-92c4-48fe-b449-6d954e83c7f0","type":"Circle"},{"attributes":{},"id":"6814428d-0d2f-471d-a3cc-fc5a01cdee65","type":"LinearScale"},{"attributes":{"formatter":{"id":"42fc0868-a64b-49a3-9ca3-3f79f3564dc9","type":"BasicTickFormatter"},"plot":{"id":"9d622593-6413-498b-8559-e49e675b1a93","subtype":"Figure","type":"Plot"},"ticker":{"id":"e474c507-d143-43e9-a28c-5177e2aa3b1a","type":"BasicTicker"}},"id":"dad6afe1-fe0e-4acc-9cc7-7a5b86378cf3","type":"LinearAxis"},{"attributes":{"items":[{"id":"ad6e550c-ca3f-4634-94db-e886b422375c","type":"LegendItem"}],"plot":{"id":"9d622593-6413-498b-8559-e49e675b1a93","subtype":"Figure","type":"Plot"}},"id":"7d49340c-4c3f-4062-a6b2-cf6c460cfc88","type":"Legend"},{"attributes":{"dimension":1,"plot":{"id":"9d622593-6413-498b-8559-e49e675b1a93","subtype":"Figure","type":"Plot"},"ticker":{"id":"e474c507-d143-43e9-a28c-5177e2aa3b1a","type":"BasicTicker"}},"id":"df5d9611-70e0-44d3-a5bb-7ba296bff71d","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.5},"x":{"field":"x"},"y":{"field":"y"}},"id":"d4b163e3-4c48-4428-a9c8-1ffcb3af5c3d","type":"Circle"},{"attributes":{"data_source":{"id":"5b32c45f-22c1-49c0-9daa-3fc7999f3a0f","type":"ColumnDataSource"},"glyph":{"id":"c667fc85-92c4-48fe-b449-6d954e83c7f0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d4b163e3-4c48-4428-a9c8-1ffcb3af5c3d","type":"Circle"},"selection_glyph":null,"view":{"id":"36533405-b90a-425a-80cc-87dac9fff206","type":"CDSView"}},"id":"a8f5706b-4c05-4c57-aefe-d5a181a7e325","type":"GlyphRenderer"},{"attributes":{},"id":"42fc0868-a64b-49a3-9ca3-3f79f3564dc9","type":"BasicTickFormatter"},{"attributes":{"label":{"field":"label"},"renderers":[{"id":"a8f5706b-4c05-4c57-aefe-d5a181a7e325","type":"GlyphRenderer"}]},"id":"ad6e550c-ca3f-4634-94db-e886b422375c","type":"LegendItem"},{"attributes":{"formatter":{"id":"b44eeba1-57f4-487f-8f5b-693bb8ceed1a","type":"BasicTickFormatter"},"plot":{"id":"9d622593-6413-498b-8559-e49e675b1a93","subtype":"Figure","type":"Plot"},"ticker":{"id":"21a95f36-aa53-4d4c-ba4d-e30de949b697","type":"BasicTicker"}},"id":"d4c4644a-27cb-4c7b-9e1e-44fa4d2a4969","type":"LinearAxis"},{"attributes":{},"id":"4537298a-97e0-410a-91f0-6d457aa8810f","type":"SaveTool"},{"attributes":{},"id":"e474c507-d143-43e9-a28c-5177e2aa3b1a","type":"BasicTicker"},{"attributes":{},"id":"7adfaa6c-bce5-4536-bd85-f2a19bfd4c44","type":"LinearScale"}],"root_ids":["9d622593-6413-498b-8559-e49e675b1a93"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"dd09853e-e8e5-4074-ba98-65c496144611","elementid":"15929039-a1f7-47a1-b88d-904b58c79146","modelid":"9d622593-6413-498b-8559-e49e675b1a93"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
