(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("6901aae7-9ca6-47ef-9a55-6968aef0d5cb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '6901aae7-9ca6-47ef-9a55-6968aef0d5cb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9ec78505-93d4-4383-a217-91ea4121ed66":{"roots":{"references":[{"attributes":{},"id":"39d8a9c1-9207-410c-b685-42abaac7a8ff","type":"CategoricalTicker"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"6058a76f-1189-4f1e-9dff-73d88bcd05f3","type":"Title"},{"attributes":{"source":{"id":"c5364025-dc3b-4cdf-92df-49c9769f8d86","type":"ColumnDataSource"}},"id":"86f8af9c-b258-455d-9cbd-6c88be7b592d","type":"CDSView"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"af6a1a1d-317b-41c0-9aac-7e9107ba4286","subtype":"Figure","type":"Plot"},"ticker":{"id":"39d8a9c1-9207-410c-b685-42abaac7a8ff","type":"CategoricalTicker"}},"id":"df841042-e8b3-4a33-b676-a912b313bfbe","type":"Grid"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"3701a251-e227-43fd-a9de-ab6bcf05aa00","type":"FactorRange"},{"attributes":{"callback":null,"column_names":["color","counts","fruits"],"data":{"color":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"],"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"c5364025-dc3b-4cdf-92df-49c9769f8d86","type":"ColumnDataSource"},{"attributes":{"fill_color":{"field":"color"},"line_color":{"field":"color"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"55fa2315-95d2-4341-badd-e71757f67caa","type":"VBar"},{"attributes":{},"id":"7cb56a34-c58d-4675-bce6-837bf62bbc1c","type":"CategoricalScale"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"560a055f-6d72-4ad4-b8d6-7cc19b22dcf0","type":"GlyphRenderer"}]},"id":"b6437f9d-e037-43cd-88f7-6a3ec09bfa68","type":"LegendItem"},{"attributes":{},"id":"c9854a83-dbf2-444b-a058-f5e94f04c2e8","type":"BasicTicker"},{"attributes":{"formatter":{"id":"25ee5731-2fcb-4943-92c2-2b22e241508b","type":"CategoricalTickFormatter"},"plot":{"id":"af6a1a1d-317b-41c0-9aac-7e9107ba4286","subtype":"Figure","type":"Plot"},"ticker":{"id":"39d8a9c1-9207-410c-b685-42abaac7a8ff","type":"CategoricalTicker"}},"id":"1bd1aed7-00fe-4e65-aa75-2b047d3622c3","type":"CategoricalAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"827d03b5-dbed-4b34-9838-fe88d1165ef4","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"af6a1a1d-317b-41c0-9aac-7e9107ba4286","subtype":"Figure","type":"Plot"},"ticker":{"id":"c9854a83-dbf2-444b-a058-f5e94f04c2e8","type":"BasicTicker"}},"id":"3018c4d0-c681-471f-aa99-60341149dc17","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"826f81d1-99d2-4baa-b6a5-0bb29ae1b6d8","type":"Toolbar"},{"attributes":{"items":[{"id":"b6437f9d-e037-43cd-88f7-6a3ec09bfa68","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"af6a1a1d-317b-41c0-9aac-7e9107ba4286","subtype":"Figure","type":"Plot"}},"id":"fde37a6a-15e0-4b66-929b-b1915c1e16ae","type":"Legend"},{"attributes":{},"id":"f4cc9278-4d18-4ea0-aac8-d472ffae3329","type":"LinearScale"},{"attributes":{"callback":null,"end":9},"id":"da63db0f-5b43-4023-a8d0-9445a95ec1c4","type":"Range1d"},{"attributes":{"data_source":{"id":"c5364025-dc3b-4cdf-92df-49c9769f8d86","type":"ColumnDataSource"},"glyph":{"id":"55fa2315-95d2-4341-badd-e71757f67caa","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"827d03b5-dbed-4b34-9838-fe88d1165ef4","type":"VBar"},"selection_glyph":null,"view":{"id":"86f8af9c-b258-455d-9cbd-6c88be7b592d","type":"CDSView"}},"id":"560a055f-6d72-4ad4-b8d6-7cc19b22dcf0","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"50d37f65-0640-4440-b342-1b26c7011138","type":"BasicTickFormatter"},"plot":{"id":"af6a1a1d-317b-41c0-9aac-7e9107ba4286","subtype":"Figure","type":"Plot"},"ticker":{"id":"c9854a83-dbf2-444b-a058-f5e94f04c2e8","type":"BasicTicker"}},"id":"2d120c5d-c4a8-481b-913c-7e0659c47220","type":"LinearAxis"},{"attributes":{},"id":"25ee5731-2fcb-4943-92c2-2b22e241508b","type":"CategoricalTickFormatter"},{"attributes":{},"id":"50d37f65-0640-4440-b342-1b26c7011138","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"1bd1aed7-00fe-4e65-aa75-2b047d3622c3","type":"CategoricalAxis"}],"left":[{"id":"2d120c5d-c4a8-481b-913c-7e0659c47220","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"1bd1aed7-00fe-4e65-aa75-2b047d3622c3","type":"CategoricalAxis"},{"id":"df841042-e8b3-4a33-b676-a912b313bfbe","type":"Grid"},{"id":"2d120c5d-c4a8-481b-913c-7e0659c47220","type":"LinearAxis"},{"id":"3018c4d0-c681-471f-aa99-60341149dc17","type":"Grid"},{"id":"fde37a6a-15e0-4b66-929b-b1915c1e16ae","type":"Legend"},{"id":"560a055f-6d72-4ad4-b8d6-7cc19b22dcf0","type":"GlyphRenderer"}],"title":{"id":"6058a76f-1189-4f1e-9dff-73d88bcd05f3","type":"Title"},"toolbar":{"id":"826f81d1-99d2-4baa-b6a5-0bb29ae1b6d8","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3701a251-e227-43fd-a9de-ab6bcf05aa00","type":"FactorRange"},"x_scale":{"id":"7cb56a34-c58d-4675-bce6-837bf62bbc1c","type":"CategoricalScale"},"y_range":{"id":"da63db0f-5b43-4023-a8d0-9445a95ec1c4","type":"Range1d"},"y_scale":{"id":"f4cc9278-4d18-4ea0-aac8-d472ffae3329","type":"LinearScale"}},"id":"af6a1a1d-317b-41c0-9aac-7e9107ba4286","subtype":"Figure","type":"Plot"}],"root_ids":["af6a1a1d-317b-41c0-9aac-7e9107ba4286"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9ec78505-93d4-4383-a217-91ea4121ed66","elementid":"6901aae7-9ca6-47ef-9a55-6968aef0d5cb","modelid":"af6a1a1d-317b-41c0-9aac-7e9107ba4286"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
