(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ce4148f2-20d4-45cc-8495-b754882271c5");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ce4148f2-20d4-45cc-8495-b754882271c5' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c14b50a4-36be-4aa3-9230-1b0c264afc9a":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["counts","fruits"],"data":{"counts":[5,3,4,2,4,6],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"53d68b29-86e5-45ed-9524-c1a4724455b0","type":"ColumnDataSource"},{"attributes":{},"id":"5c98365f-9198-46a9-a12e-47ea6212becb","type":"BasicTickFormatter"},{"attributes":{"callback":null,"end":9,"start":0},"id":"37999324-f6ad-4198-b623-6e21a7cd7e7c","type":"DataRange1d"},{"attributes":{"overlay":{"id":"8fc80723-a440-43f2-a9e2-e466b5680e21","type":"BoxAnnotation"}},"id":"e9afd874-61b5-441b-a604-49a5251ec3ce","type":"BoxZoomTool"},{"attributes":{},"id":"7f920ea2-24ed-4f0d-963d-8aba8d1bf0eb","type":"BasicTicker"},{"attributes":{"items":[{"id":"9d0e1e05-3ad7-4e97-8424-c1bb056183e6","type":"LegendItem"}],"location":"top_center","orientation":"horizontal","plot":{"id":"1f297daa-9197-4cf5-bf3a-ad4241da115e","subtype":"Figure","type":"Plot"}},"id":"5790d9d3-aca3-4759-b1ce-d197f231b0dc","type":"Legend"},{"attributes":{"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"palette":["#3288bd","#99d594","#e6f598","#fee08b","#fc8d59","#d53e4f"]},"id":"e8544f8d-2f9e-4f25-9481-0be06f5f22dc","type":"CategoricalColorMapper"},{"attributes":{},"id":"e0353e13-489c-447a-ae1f-0a03322b0d64","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"636c7ccc-7b1d-4677-b5ac-530e3d135922","type":"PanTool"},{"id":"9e1ac737-24a8-408c-bca8-09dfeef2d3e3","type":"WheelZoomTool"},{"id":"e9afd874-61b5-441b-a604-49a5251ec3ce","type":"BoxZoomTool"},{"id":"91fefbf4-7207-4eda-ad81-01fad7cd9a9e","type":"SaveTool"},{"id":"13cbc26d-6427-4f82-9882-ffba9819d1c2","type":"ResetTool"},{"id":"04ae87d7-359b-48b8-b562-a5e926ef16e7","type":"HelpTool"}]},"id":"229a3e18-1fb1-40da-88b0-29af99771494","type":"Toolbar"},{"attributes":{"formatter":{"id":"5c98365f-9198-46a9-a12e-47ea6212becb","type":"BasicTickFormatter"},"plot":{"id":"1f297daa-9197-4cf5-bf3a-ad4241da115e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f920ea2-24ed-4f0d-963d-8aba8d1bf0eb","type":"BasicTicker"}},"id":"234032c7-8cf3-4bce-b251-2cbfd376e92d","type":"LinearAxis"},{"attributes":{},"id":"44919e5b-3fb9-4335-a114-6192a5393f6a","type":"CategoricalTicker"},{"attributes":{},"id":"13cbc26d-6427-4f82-9882-ffba9819d1c2","type":"ResetTool"},{"attributes":{},"id":"04ae87d7-359b-48b8-b562-a5e926ef16e7","type":"HelpTool"},{"attributes":{},"id":"636c7ccc-7b1d-4677-b5ac-530e3d135922","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"ecbb2db5-6878-487f-9654-44509e3a9f4c","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"1f297daa-9197-4cf5-bf3a-ad4241da115e","subtype":"Figure","type":"Plot"},"ticker":{"id":"7f920ea2-24ed-4f0d-963d-8aba8d1bf0eb","type":"BasicTicker"}},"id":"478c8ad1-8cea-4e69-844e-c30d8d84f191","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8fc80723-a440-43f2-a9e2-e466b5680e21","type":"BoxAnnotation"},{"attributes":{"source":{"id":"53d68b29-86e5-45ed-9524-c1a4724455b0","type":"ColumnDataSource"}},"id":"667e7f70-4377-47bb-a919-8394e074aaf2","type":"CDSView"},{"attributes":{"label":{"field":"fruits"},"renderers":[{"id":"731219c4-bb7e-43af-a46b-f1dcbe1f0af9","type":"GlyphRenderer"}]},"id":"9d0e1e05-3ad7-4e97-8424-c1bb056183e6","type":"LegendItem"},{"attributes":{},"id":"9e1ac737-24a8-408c-bca8-09dfeef2d3e3","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"55bb6511-1ba8-441a-9535-6b58266c6082","type":"CategoricalAxis"}],"left":[{"id":"234032c7-8cf3-4bce-b251-2cbfd376e92d","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"55bb6511-1ba8-441a-9535-6b58266c6082","type":"CategoricalAxis"},{"id":"9c175f55-f84f-4092-a987-a533f19d2a58","type":"Grid"},{"id":"234032c7-8cf3-4bce-b251-2cbfd376e92d","type":"LinearAxis"},{"id":"478c8ad1-8cea-4e69-844e-c30d8d84f191","type":"Grid"},{"id":"8fc80723-a440-43f2-a9e2-e466b5680e21","type":"BoxAnnotation"},{"id":"5790d9d3-aca3-4759-b1ce-d197f231b0dc","type":"Legend"},{"id":"731219c4-bb7e-43af-a46b-f1dcbe1f0af9","type":"GlyphRenderer"}],"title":{"id":"a264d800-e432-4c85-a36c-f3f7812b635e","type":"Title"},"toolbar":{"id":"229a3e18-1fb1-40da-88b0-29af99771494","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"7d919648-cf8a-4a9d-b0ad-d73841d945a7","type":"FactorRange"},"x_scale":{"id":"f83717d7-18b9-4b61-a4ef-5ffd653d1e8c","type":"CategoricalScale"},"y_range":{"id":"37999324-f6ad-4198-b623-6e21a7cd7e7c","type":"DataRange1d"},"y_scale":{"id":"e0353e13-489c-447a-ae1f-0a03322b0d64","type":"LinearScale"}},"id":"1f297daa-9197-4cf5-bf3a-ad4241da115e","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":"Fruit Counts"},"id":"a264d800-e432-4c85-a36c-f3f7812b635e","type":"Title"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]},"id":"7d919648-cf8a-4a9d-b0ad-d73841d945a7","type":"FactorRange"},{"attributes":{"data_source":{"id":"53d68b29-86e5-45ed-9524-c1a4724455b0","type":"ColumnDataSource"},"glyph":{"id":"83bdc4b1-cf53-4512-bcf3-1065b07d8180","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ecbb2db5-6878-487f-9654-44509e3a9f4c","type":"VBar"},"selection_glyph":null,"view":{"id":"667e7f70-4377-47bb-a919-8394e074aaf2","type":"CDSView"}},"id":"731219c4-bb7e-43af-a46b-f1dcbe1f0af9","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"4eb14079-5285-4cd8-86b5-a22c8943bad0","type":"CategoricalTickFormatter"},"plot":{"id":"1f297daa-9197-4cf5-bf3a-ad4241da115e","subtype":"Figure","type":"Plot"},"ticker":{"id":"44919e5b-3fb9-4335-a114-6192a5393f6a","type":"CategoricalTicker"}},"id":"55bb6511-1ba8-441a-9535-6b58266c6082","type":"CategoricalAxis"},{"attributes":{},"id":"f83717d7-18b9-4b61-a4ef-5ffd653d1e8c","type":"CategoricalScale"},{"attributes":{},"id":"4eb14079-5285-4cd8-86b5-a22c8943bad0","type":"CategoricalTickFormatter"},{"attributes":{"fill_color":{"field":"fruits","transform":{"id":"e8544f8d-2f9e-4f25-9481-0be06f5f22dc","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"83bdc4b1-cf53-4512-bcf3-1065b07d8180","type":"VBar"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"1f297daa-9197-4cf5-bf3a-ad4241da115e","subtype":"Figure","type":"Plot"},"ticker":{"id":"44919e5b-3fb9-4335-a114-6192a5393f6a","type":"CategoricalTicker"}},"id":"9c175f55-f84f-4092-a987-a533f19d2a58","type":"Grid"},{"attributes":{},"id":"91fefbf4-7207-4eda-ad81-01fad7cd9a9e","type":"SaveTool"}],"root_ids":["1f297daa-9197-4cf5-bf3a-ad4241da115e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c14b50a4-36be-4aa3-9230-1b0c264afc9a","elementid":"ce4148f2-20d4-45cc-8495-b754882271c5","modelid":"1f297daa-9197-4cf5-bf3a-ad4241da115e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
