(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("eac759b3-a5f6-46ad-9efe-3fef55f36fda");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'eac759b3-a5f6-46ad-9efe-3fef55f36fda' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e037fd84-921a-413f-8ffe-5f3c5e08b540":{"roots":{"references":[{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"2c9e42e3-8675-4eb6-b268-3f4618b13714","type":"FactorRange"},{"attributes":{"below":[{"id":"fcb811de-2b3d-44e7-bc54-ead29656f7ec","type":"CategoricalAxis"}],"left":[{"id":"cd06936a-9e7d-4898-aaa8-c27cfb139b16","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"fcb811de-2b3d-44e7-bc54-ead29656f7ec","type":"CategoricalAxis"},{"id":"53b2d2af-c2a9-426a-b4bf-d49d80126128","type":"Grid"},{"id":"cd06936a-9e7d-4898-aaa8-c27cfb139b16","type":"LinearAxis"},{"id":"16dffce5-378f-477a-9fe5-e1b3383363f9","type":"Grid"},{"id":"d70427e5-20de-43bf-a2a7-a698c6eb4639","type":"GlyphRenderer"}],"title":{"id":"58631f40-6e77-4000-9c36-f4a371b39ca9","type":"Title"},"toolbar":{"id":"a5515ff3-2415-4e56-b037-aba7eeb409e7","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"2c9e42e3-8675-4eb6-b268-3f4618b13714","type":"FactorRange"},"x_scale":{"id":"b24fc1bf-e553-4e98-b861-bd2131b5157d","type":"CategoricalScale"},"y_range":{"id":"1a3ef155-1609-41b2-879c-f5d64e6d109e","type":"DataRange1d"},"y_scale":{"id":"9868bb71-72d3-4bb1-ab72-c2e15939e4e6","type":"LinearScale"}},"id":"d456b454-ed85-494a-be2f-85b8eab1c84d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"f5be0962-7421-43d5-9c98-deb34509cfd9","type":"BasicTicker"},{"attributes":{},"id":"fff4513e-9704-4cd9-b121-e7b925326c36","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"58631f40-6e77-4000-9c36-f4a371b39ca9","type":"Title"},{"attributes":{},"id":"b24fc1bf-e553-4e98-b861-bd2131b5157d","type":"CategoricalScale"},{"attributes":{"source":{"id":"c9d7fbab-44dc-43cf-98d0-356da3e93b60","type":"ColumnDataSource"}},"id":"49644256-3b17-4506-8a8d-70218ad5f06d","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a5515ff3-2415-4e56-b037-aba7eeb409e7","type":"Toolbar"},{"attributes":{},"id":"9868bb71-72d3-4bb1-ab72-c2e15939e4e6","type":"LinearScale"},{"attributes":{"formatter":{"id":"33731d6f-2d73-401c-a146-e1fde5796ae9","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"d456b454-ed85-494a-be2f-85b8eab1c84d","subtype":"Figure","type":"Plot"},"ticker":{"id":"662ee522-e570-48c6-94e2-4725e6fafcf9","type":"CategoricalTicker"}},"id":"fcb811de-2b3d-44e7-bc54-ead29656f7ec","type":"CategoricalAxis"},{"attributes":{"formatter":{"id":"fff4513e-9704-4cd9-b121-e7b925326c36","type":"BasicTickFormatter"},"plot":{"id":"d456b454-ed85-494a-be2f-85b8eab1c84d","subtype":"Figure","type":"Plot"},"ticker":{"id":"f5be0962-7421-43d5-9c98-deb34509cfd9","type":"BasicTicker"}},"id":"cd06936a-9e7d-4898-aaa8-c27cfb139b16","type":"LinearAxis"},{"attributes":{"data_source":{"id":"c9d7fbab-44dc-43cf-98d0-356da3e93b60","type":"ColumnDataSource"},"glyph":{"id":"3b903b09-524f-47a5-a9d6-6c0620c0f245","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"31071e3d-0a71-458e-916e-5257c000af7e","type":"VBar"},"selection_glyph":null,"view":{"id":"49644256-3b17-4506-8a8d-70218ad5f06d","type":"CDSView"}},"id":"d70427e5-20de-43bf-a2a7-a698c6eb4639","type":"GlyphRenderer"},{"attributes":{},"id":"33731d6f-2d73-401c-a146-e1fde5796ae9","type":"CategoricalTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"31071e3d-0a71-458e-916e-5257c000af7e","type":"VBar"},{"attributes":{"callback":null,"start":0},"id":"1a3ef155-1609-41b2-879c-f5d64e6d109e","type":"DataRange1d"},{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"d3f96c3c-6e95-42e4-a976-1272ecd81183","type":"CategoricalColorMapper"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"d456b454-ed85-494a-be2f-85b8eab1c84d","subtype":"Figure","type":"Plot"},"ticker":{"id":"662ee522-e570-48c6-94e2-4725e6fafcf9","type":"CategoricalTicker"}},"id":"53b2d2af-c2a9-426a-b4bf-d49d80126128","type":"Grid"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"d3f96c3c-6e95-42e4-a976-1272ecd81183","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"3b903b09-524f-47a5-a9d6-6c0620c0f245","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"d456b454-ed85-494a-be2f-85b8eab1c84d","subtype":"Figure","type":"Plot"},"ticker":{"id":"f5be0962-7421-43d5-9c98-deb34509cfd9","type":"BasicTicker"}},"id":"16dffce5-378f-477a-9fe5-e1b3383363f9","type":"Grid"},{"attributes":{},"id":"662ee522-e570-48c6-94e2-4725e6fafcf9","type":"CategoricalTicker"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"c9d7fbab-44dc-43cf-98d0-356da3e93b60","type":"ColumnDataSource"}],"root_ids":["d456b454-ed85-494a-be2f-85b8eab1c84d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e037fd84-921a-413f-8ffe-5f3c5e08b540","elementid":"eac759b3-a5f6-46ad-9efe-3fef55f36fda","modelid":"d456b454-ed85-494a-be2f-85b8eab1c84d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
