(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("596f0cf9-0a6e-4b59-86bd-2f6a10e631e1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '596f0cf9-0a6e-4b59-86bd-2f6a10e631e1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e4e6cf67-0087-4841-8e15-42849cdd629a":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,4,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"},{"attributes":{"items":[{"id":"07b854c8-4407-48cb-bd3a-fda5d152faf6","type":"LegendItem"},{"id":"066eb0e0-e03c-491b-ada7-2a7936f7456a","type":"LegendItem"},{"id":"3afc6eef-99b3-403c-b45a-00e2bc3ce07b","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"82e8d611-d295-450c-8fb7-4446f6840924","subtype":"Figure","type":"Plot"}},"id":"f004f81a-bdb5-4710-8410-4afa4c4829b3","type":"Legend"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"6d17290d-c12a-4695-a108-434e46f1146c","type":"GlyphRenderer"}]},"id":"07b854c8-4407-48cb-bd3a-fda5d152faf6","type":"LegendItem"},{"attributes":{},"id":"dc9645bf-9220-403b-bce6-a3304a86c094","type":"CategoricalTickFormatter"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"228c4f26-003e-4eaa-802a-f41bca2b9cfb","type":"FactorRange"},{"attributes":{"bottom":{"expr":{"id":"f6679ab6-4820-4262-8b37-8b257f06f93d","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"7343bf4a-3f39-45f7-aa3f-812c4b498f06","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"38a26aa9-01fb-4bfa-bea6-5fbbe52cf72e","type":"VBar"},{"attributes":{"fields":[]},"id":"f6679ab6-4820-4262-8b37-8b257f06f93d","type":"Stack"},{"attributes":{"source":{"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"}},"id":"ba610628-b7b2-4c0d-a3d9-d500b28c9bfe","type":"CDSView"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"82e8d611-d295-450c-8fb7-4446f6840924","subtype":"Figure","type":"Plot"},"ticker":{"id":"a78bb166-9bf8-41cb-810c-2fa1c424dcb0","type":"CategoricalTicker"}},"id":"b940275a-d5a7-4cc6-8cd5-503cb4f50d3e","type":"Grid"},{"attributes":{"bottom":{"expr":{"id":"a9bd0af3-cc98-45e4-9f52-ce833e3ef562","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"6282ca93-197c-410c-858a-07e668f324d9","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"caedd891-3196-4693-a4e7-5958db747884","type":"VBar"},{"attributes":{"bottom":{"expr":{"id":"a9bd0af3-cc98-45e4-9f52-ce833e3ef562","type":"Stack"}},"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"expr":{"id":"6282ca93-197c-410c-858a-07e668f324d9","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"b11c7988-3d58-4863-9346-af4b684d902a","type":"VBar"},{"attributes":{},"id":"695be211-230c-4d1f-8350-f1e0cd7cdd63","type":"LinearScale"},{"attributes":{"bottom":{"expr":{"id":"f6679ab6-4820-4262-8b37-8b257f06f93d","type":"Stack"}},"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"expr":{"id":"7343bf4a-3f39-45f7-aa3f-812c4b498f06","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"0f1b3a5f-605d-4962-9b7f-4372e7cfd77b","type":"VBar"},{"attributes":{"data_source":{"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"},"glyph":{"id":"b11c7988-3d58-4863-9346-af4b684d902a","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"caedd891-3196-4693-a4e7-5958db747884","type":"VBar"},"selection_glyph":null,"view":{"id":"a12ddd24-45fe-439f-9cc8-7e5285310247","type":"CDSView"}},"id":"993d9939-3097-4198-84c7-7147dbbec596","type":"GlyphRenderer"},{"attributes":{"bottom":{"expr":{"id":"3a798916-19e4-4cf5-a8fd-b1e31489d623","type":"Stack"}},"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"expr":{"id":"440b346a-fc94-44ec-b42c-c380135d8234","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"74e9f3be-a308-4482-8045-f522c3b8ec23","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"c5c343a0-2f74-4e53-900b-a71ce79f225b","type":"Toolbar"},{"attributes":{"source":{"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"}},"id":"b966ce56-c37c-413d-b1ac-98c9a18abf5e","type":"CDSView"},{"attributes":{"callback":null,"start":0},"id":"96b16ccb-fa45-4f90-856b-83e4e8d89e6a","type":"DataRange1d"},{"attributes":{"formatter":{"id":"dc9645bf-9220-403b-bce6-a3304a86c094","type":"CategoricalTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"82e8d611-d295-450c-8fb7-4446f6840924","subtype":"Figure","type":"Plot"},"ticker":{"id":"a78bb166-9bf8-41cb-810c-2fa1c424dcb0","type":"CategoricalTicker"}},"id":"a57dc927-07fe-4abd-a2ef-3b3d5ea43026","type":"CategoricalAxis"},{"attributes":{"below":[{"id":"a57dc927-07fe-4abd-a2ef-3b3d5ea43026","type":"CategoricalAxis"}],"left":[{"id":"55516e17-8101-4824-9556-1f9bc3c42405","type":"LinearAxis"}],"outline_line_color":{"value":null},"plot_height":250,"renderers":[{"id":"a57dc927-07fe-4abd-a2ef-3b3d5ea43026","type":"CategoricalAxis"},{"id":"b940275a-d5a7-4cc6-8cd5-503cb4f50d3e","type":"Grid"},{"id":"55516e17-8101-4824-9556-1f9bc3c42405","type":"LinearAxis"},{"id":"d8f87ea3-c7e6-4457-b377-0d607f5766c4","type":"Grid"},{"id":"f004f81a-bdb5-4710-8410-4afa4c4829b3","type":"Legend"},{"id":"6d17290d-c12a-4695-a108-434e46f1146c","type":"GlyphRenderer"},{"id":"86b7e0bd-af17-491b-ab3b-d3430e1dc9fd","type":"GlyphRenderer"},{"id":"993d9939-3097-4198-84c7-7147dbbec596","type":"GlyphRenderer"}],"title":{"id":"856a3442-5e81-404b-b055-009e0ba2cb83","type":"Title"},"toolbar":{"id":"c5c343a0-2f74-4e53-900b-a71ce79f225b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"228c4f26-003e-4eaa-802a-f41bca2b9cfb","type":"FactorRange"},"x_scale":{"id":"70df7d86-aa67-48c2-b683-0da0ac04497e","type":"CategoricalScale"},"y_range":{"id":"96b16ccb-fa45-4f90-856b-83e4e8d89e6a","type":"DataRange1d"},"y_scale":{"id":"695be211-230c-4d1f-8350-f1e0cd7cdd63","type":"LinearScale"}},"id":"82e8d611-d295-450c-8fb7-4446f6840924","subtype":"Figure","type":"Plot"},{"attributes":{"bottom":{"expr":{"id":"3a798916-19e4-4cf5-a8fd-b1e31489d623","type":"Stack"}},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"expr":{"id":"440b346a-fc94-44ec-b42c-c380135d8234","type":"Stack"}},"width":{"value":0.9},"x":{"field":"fruits"}},"id":"95804fe6-1aba-424e-9d10-8e87b9e9dd20","type":"VBar"},{"attributes":{},"id":"1ad2a841-00e8-4c42-bafb-8dbe8660ddb1","type":"BasicTickFormatter"},{"attributes":{"fields":["2015"]},"id":"7343bf4a-3f39-45f7-aa3f-812c4b498f06","type":"Stack"},{"attributes":{"fields":["2015","2016","2017"]},"id":"6282ca93-197c-410c-858a-07e668f324d9","type":"Stack"},{"attributes":{"source":{"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"}},"id":"a12ddd24-45fe-439f-9cc8-7e5285310247","type":"CDSView"},{"attributes":{"formatter":{"id":"1ad2a841-00e8-4c42-bafb-8dbe8660ddb1","type":"BasicTickFormatter"},"minor_tick_line_color":{"value":null},"plot":{"id":"82e8d611-d295-450c-8fb7-4446f6840924","subtype":"Figure","type":"Plot"},"ticker":{"id":"47e92b8f-6fed-4bad-bb06-adc1c051df45","type":"BasicTicker"}},"id":"55516e17-8101-4824-9556-1f9bc3c42405","type":"LinearAxis"},{"attributes":{"fields":["2015"]},"id":"3a798916-19e4-4cf5-a8fd-b1e31489d623","type":"Stack"},{"attributes":{"fields":["2015","2016"]},"id":"a9bd0af3-cc98-45e4-9f52-ce833e3ef562","type":"Stack"},{"attributes":{},"id":"47e92b8f-6fed-4bad-bb06-adc1c051df45","type":"BasicTicker"},{"attributes":{"data_source":{"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"},"glyph":{"id":"74e9f3be-a308-4482-8045-f522c3b8ec23","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"95804fe6-1aba-424e-9d10-8e87b9e9dd20","type":"VBar"},"selection_glyph":null,"view":{"id":"b966ce56-c37c-413d-b1ac-98c9a18abf5e","type":"CDSView"}},"id":"86b7e0bd-af17-491b-ab3b-d3430e1dc9fd","type":"GlyphRenderer"},{"attributes":{},"id":"70df7d86-aa67-48c2-b683-0da0ac04497e","type":"CategoricalScale"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"856a3442-5e81-404b-b055-009e0ba2cb83","type":"Title"},{"attributes":{"fields":["2015","2016"]},"id":"440b346a-fc94-44ec-b42c-c380135d8234","type":"Stack"},{"attributes":{"data_source":{"id":"d701f5ad-3465-4355-8757-61e034d30d42","type":"ColumnDataSource"},"glyph":{"id":"0f1b3a5f-605d-4962-9b7f-4372e7cfd77b","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"38a26aa9-01fb-4bfa-bea6-5fbbe52cf72e","type":"VBar"},"selection_glyph":null,"view":{"id":"ba610628-b7b2-4c0d-a3d9-d500b28c9bfe","type":"CDSView"}},"id":"6d17290d-c12a-4695-a108-434e46f1146c","type":"GlyphRenderer"},{"attributes":{},"id":"a78bb166-9bf8-41cb-810c-2fa1c424dcb0","type":"CategoricalTicker"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"86b7e0bd-af17-491b-ab3b-d3430e1dc9fd","type":"GlyphRenderer"}]},"id":"066eb0e0-e03c-491b-ada7-2a7936f7456a","type":"LegendItem"},{"attributes":{"dimension":1,"plot":{"id":"82e8d611-d295-450c-8fb7-4446f6840924","subtype":"Figure","type":"Plot"},"ticker":{"id":"47e92b8f-6fed-4bad-bb06-adc1c051df45","type":"BasicTicker"}},"id":"d8f87ea3-c7e6-4457-b377-0d607f5766c4","type":"Grid"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"993d9939-3097-4198-84c7-7147dbbec596","type":"GlyphRenderer"}]},"id":"3afc6eef-99b3-403c-b45a-00e2bc3ce07b","type":"LegendItem"}],"root_ids":["82e8d611-d295-450c-8fb7-4446f6840924"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e4e6cf67-0087-4841-8e15-42849cdd629a","elementid":"596f0cf9-0a6e-4b59-86bd-2f6a10e631e1","modelid":"82e8d611-d295-450c-8fb7-4446f6840924"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
