(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a40ee803-cece-4387-b276-fdcc483e24f9");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a40ee803-cece-4387-b276-fdcc483e24f9' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b302988f-4974-4c6b-a314-09c2849fd139":{"roots":{"references":[{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2.5,3,2],"y":[2,3,1,1.5]}},"id":"8195d18b-fed1-4bf9-9b6f-67d7070fe583","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"d090e6cc-3fbb-4d63-bbfd-18eed321208c","subtype":"Figure","type":"Plot"},"ticker":{"id":"30dfafb5-23b2-4645-a02e-119135a9ff61","type":"BasicTicker"}},"id":"948fb362-40ff-4781-a00a-2b7f7f520971","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"d090e6cc-3fbb-4d63-bbfd-18eed321208c","subtype":"Figure","type":"Plot"},"ticker":{"id":"74e94c12-bad1-4cb3-86ba-4254445e1cc0","type":"BasicTicker"}},"id":"749e9dd8-2d0f-48fd-9751-18bbe029a38b","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"4c9f18a0-2dd3-40d9-b5a0-77f73de18962","type":"Circle"},{"attributes":{},"id":"30dfafb5-23b2-4645-a02e-119135a9ff61","type":"BasicTicker"},{"attributes":{},"id":"425c09c2-bdd5-4f48-934f-17fec6dd8a4a","type":"BasicTickFormatter"},{"attributes":{},"id":"55340b8f-345d-4dd6-a1fb-9c109fccab32","type":"SaveTool"},{"attributes":{},"id":"e8f91c7f-e68e-45cf-aa92-860a3509c00e","type":"ResetTool"},{"attributes":{"callback":null},"id":"cef8ebd7-ac09-4f92-9bbc-ae35ff61136b","type":"DataRange1d"},{"attributes":{},"id":"74e94c12-bad1-4cb3-86ba-4254445e1cc0","type":"BasicTicker"},{"attributes":{},"id":"76d0d57e-8f14-4ff9-bd13-4fe10238b34b","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"8efbadb0-4da0-4e19-aa41-51d3f24ed9bb","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"d7893c84-7209-4b8b-adc9-491423fb1fd6","type":"Title"},{"attributes":{"callback":null},"id":"43de9000-5fa6-4034-9662-674d3f8dea01","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d15b18d2-1561-4b78-90a8-8af3be6c0e21","type":"BasicTickFormatter"},"plot":{"id":"d090e6cc-3fbb-4d63-bbfd-18eed321208c","subtype":"Figure","type":"Plot"},"ticker":{"id":"74e94c12-bad1-4cb3-86ba-4254445e1cc0","type":"BasicTicker"}},"id":"56059e69-8c0b-4e38-9e2e-f6b215605eef","type":"LinearAxis"},{"attributes":{"source":{"id":"8195d18b-fed1-4bf9-9b6f-67d7070fe583","type":"ColumnDataSource"}},"id":"aa858dca-daf1-453b-b7e3-e0c3269b9bd4","type":"CDSView"},{"attributes":{},"id":"d15b18d2-1561-4b78-90a8-8af3be6c0e21","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"8195d18b-fed1-4bf9-9b6f-67d7070fe583","type":"ColumnDataSource"},"glyph":{"id":"8efbadb0-4da0-4e19-aa41-51d3f24ed9bb","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4c9f18a0-2dd3-40d9-b5a0-77f73de18962","type":"Circle"},"selection_glyph":null,"view":{"id":"aa858dca-daf1-453b-b7e3-e0c3269b9bd4","type":"CDSView"}},"id":"bf1f7bbb-1871-40fe-850a-84fad005cab5","type":"GlyphRenderer"},{"attributes":{},"id":"53b4c594-aabe-496b-9053-3b088b6316ae","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"76d0d57e-8f14-4ff9-bd13-4fe10238b34b","type":"PanTool"},{"id":"e8f91c7f-e68e-45cf-aa92-860a3509c00e","type":"ResetTool"},{"id":"55340b8f-345d-4dd6-a1fb-9c109fccab32","type":"SaveTool"}]},"id":"656b7420-d2dd-423a-b823-4003ce45d7a4","type":"Toolbar"},{"attributes":{"below":[{"id":"dbc02d52-250d-4063-9ab8-05ed8fc6dcbf","type":"LinearAxis"}],"left":[{"id":"56059e69-8c0b-4e38-9e2e-f6b215605eef","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"dbc02d52-250d-4063-9ab8-05ed8fc6dcbf","type":"LinearAxis"},{"id":"948fb362-40ff-4781-a00a-2b7f7f520971","type":"Grid"},{"id":"56059e69-8c0b-4e38-9e2e-f6b215605eef","type":"LinearAxis"},{"id":"749e9dd8-2d0f-48fd-9751-18bbe029a38b","type":"Grid"},{"id":"bf1f7bbb-1871-40fe-850a-84fad005cab5","type":"GlyphRenderer"}],"title":{"id":"d7893c84-7209-4b8b-adc9-491423fb1fd6","type":"Title"},"toolbar":{"id":"656b7420-d2dd-423a-b823-4003ce45d7a4","type":"Toolbar"},"x_range":{"id":"43de9000-5fa6-4034-9662-674d3f8dea01","type":"DataRange1d"},"x_scale":{"id":"53b4c594-aabe-496b-9053-3b088b6316ae","type":"LinearScale"},"y_range":{"id":"cef8ebd7-ac09-4f92-9bbc-ae35ff61136b","type":"DataRange1d"},"y_scale":{"id":"535ffc2d-6453-4dbd-a007-6a8ee00d3fb4","type":"LinearScale"}},"id":"d090e6cc-3fbb-4d63-bbfd-18eed321208c","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"535ffc2d-6453-4dbd-a007-6a8ee00d3fb4","type":"LinearScale"},{"attributes":{"formatter":{"id":"425c09c2-bdd5-4f48-934f-17fec6dd8a4a","type":"BasicTickFormatter"},"plot":{"id":"d090e6cc-3fbb-4d63-bbfd-18eed321208c","subtype":"Figure","type":"Plot"},"ticker":{"id":"30dfafb5-23b2-4645-a02e-119135a9ff61","type":"BasicTicker"}},"id":"dbc02d52-250d-4063-9ab8-05ed8fc6dcbf","type":"LinearAxis"}],"root_ids":["d090e6cc-3fbb-4d63-bbfd-18eed321208c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b302988f-4974-4c6b-a314-09c2849fd139","elementid":"a40ee803-cece-4387-b276-fdcc483e24f9","modelid":"d090e6cc-3fbb-4d63-bbfd-18eed321208c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
