(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3ffee844-ad3b-47db-bf8f-9e46357f8771");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3ffee844-ad3b-47db-bf8f-9e46357f8771' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2b5b7b10-47d7-47f5-ba26-e3c6c561f4d8":{"roots":{"references":[{"attributes":{"children":[{"id":"2448975d-f526-47d7-873e-e881f1fb302c","type":"ToolbarBox"},{"id":"340b8748-57ed-47ad-bbae-6dc8c23fd149","type":"Column"}]},"id":"39eec36a-971e-495c-821e-63134c840819","type":"Column"},{"attributes":{"callback":null,"overlay":{"id":"af5524ad-e4a2-4deb-a328-48d030b420b9","type":"PolyAnnotation"}},"id":"eaea5f2d-9e10-4094-ab91-1ccfc4da1753","type":"LassoSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"512bd93f-ee5a-4d7a-8732-51e8379c2b25","type":"PolyAnnotation"}},"id":"26f9da74-5509-43cc-8755-18cde7bebd7c","type":"LassoSelectTool"},{"attributes":{},"id":"9ab5f19a-02bc-4dd1-9e2c-66d645486f37","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"512bd93f-ee5a-4d7a-8732-51e8379c2b25","type":"PolyAnnotation"},{"attributes":{"callback":null},"id":"a792f08a-25c9-48b1-accc-9fc01313549a","type":"DataRange1d"},{"attributes":{},"id":"486b8e39-cd2c-4f27-8e41-0196d6505fd3","type":"BasicTicker"},{"attributes":{},"id":"ae07ee2f-cee2-46b0-886a-b6318d539838","type":"HelpTool"},{"attributes":{"callback":null,"overlay":{"id":"591b62e9-e884-441a-ac4a-e95550034878","type":"BoxAnnotation"},"renderers":[{"id":"fc3f8be2-fab9-4a14-99a2-c350f5d5f2bb","type":"GlyphRenderer"}]},"id":"3a138bd1-c63b-45c7-b262-e515aca0529b","type":"BoxSelectTool"},{"attributes":{"callback":null,"overlay":{"id":"4c91cb6c-07a5-41ee-bb21-08dd88c4de36","type":"BoxAnnotation"},"renderers":[{"id":"335b3aa6-a6c6-47c0-a728-493cc779f227","type":"GlyphRenderer"}]},"id":"3e623bcf-1383-495d-8b06-0651a62bcf46","type":"BoxSelectTool"},{"attributes":{"data_source":{"id":"68abe09c-afb8-49cc-a67a-2a587618e7ee","type":"ColumnDataSource"},"glyph":{"id":"7b54d702-f866-4015-ba14-596fd39c8cb5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1aa0772a-295f-4cc4-a89c-66f5f4b7a969","type":"Circle"},"selection_glyph":null,"view":{"id":"debdae38-5b33-465f-a806-94c2d7c673bd","type":"CDSView"}},"id":"335b3aa6-a6c6-47c0-a728-493cc779f227","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"68abe09c-afb8-49cc-a67a-2a587618e7ee","type":"ColumnDataSource"},"glyph":{"id":"2961edc2-ef45-4410-a3e4-63a8deaa359b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"df2556c7-1f64-4f8e-82ae-722f06570a49","type":"Circle"},"selection_glyph":null,"view":{"id":"bad63d63-8bb4-41f2-bb76-68c398b7f2ee","type":"CDSView"}},"id":"fc3f8be2-fab9-4a14-99a2-c350f5d5f2bb","type":"GlyphRenderer"},{"attributes":{},"id":"3c7bc3e5-3212-4c9b-9475-3add3755eb43","type":"LinearScale"},{"attributes":{},"id":"9feff0cb-f9eb-48dd-878b-c8b1488a1b45","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"xs_units":"screen","ys_units":"screen"},"id":"af5524ad-e4a2-4deb-a328-48d030b420b9","type":"PolyAnnotation"},{"attributes":{"formatter":{"id":"49d6235a-a101-4faa-a9ef-78320916b2dd","type":"BasicTickFormatter"},"plot":{"id":"d88fafca-57ca-4b79-8705-93d7c41903b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"486b8e39-cd2c-4f27-8e41-0196d6505fd3","type":"BasicTicker"}},"id":"211d4e70-928b-4702-a41f-2b63a6f74f5c","type":"LinearAxis"},{"attributes":{},"id":"2afb0001-74e6-49ac-b043-7beba121b197","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"d88fafca-57ca-4b79-8705-93d7c41903b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"cbfa229e-cd08-45bd-be92-3bbf1eca57e8","type":"BasicTicker"}},"id":"3a6836cf-4edd-431a-9c93-bc55a7d11a07","type":"Grid"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"3a138bd1-c63b-45c7-b262-e515aca0529b","type":"BoxSelectTool"},{"id":"26f9da74-5509-43cc-8755-18cde7bebd7c","type":"LassoSelectTool"},{"id":"ae07ee2f-cee2-46b0-886a-b6318d539838","type":"HelpTool"},{"id":"3e623bcf-1383-495d-8b06-0651a62bcf46","type":"BoxSelectTool"},{"id":"eaea5f2d-9e10-4094-ab91-1ccfc4da1753","type":"LassoSelectTool"},{"id":"a68cce33-c1bb-4a7f-aec4-ce282844e158","type":"HelpTool"}]},"id":"2448975d-f526-47d7-873e-e881f1fb302c","type":"ToolbarBox"},{"attributes":{"below":[{"id":"cbb3f43e-ba71-400d-b54b-4e5e549675f4","type":"LinearAxis"}],"left":[{"id":"b3f5989e-5166-45d9-9b71-c6e7ea3610fb","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"cbb3f43e-ba71-400d-b54b-4e5e549675f4","type":"LinearAxis"},{"id":"8ee80dfe-8374-4a07-8217-55c6b0eb1320","type":"Grid"},{"id":"b3f5989e-5166-45d9-9b71-c6e7ea3610fb","type":"LinearAxis"},{"id":"1a6ba27c-82f6-4489-8004-b893ef3d838d","type":"Grid"},{"id":"4c91cb6c-07a5-41ee-bb21-08dd88c4de36","type":"BoxAnnotation"},{"id":"af5524ad-e4a2-4deb-a328-48d030b420b9","type":"PolyAnnotation"},{"id":"335b3aa6-a6c6-47c0-a728-493cc779f227","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"b71a3be5-5f7a-4d9f-8d65-ac60b0290ea5","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"8a0b4276-3cc5-4ef8-95cc-ed9b6c342cf0","type":"DataRange1d"},"x_scale":{"id":"9feff0cb-f9eb-48dd-878b-c8b1488a1b45","type":"LinearScale"},"y_range":{"id":"b52af182-8aa7-4287-a5e9-1e9be7e40fc2","type":"DataRange1d"},"y_scale":{"id":"3c7bc3e5-3212-4c9b-9475-3add3755eb43","type":"LinearScale"}},"id":"a485226c-317d-4f43-aac1-66dc9d9eaa64","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"58883f4b-d5a2-4a08-a5fc-c22de8a4c499","type":"BasicTicker"},{"attributes":{"below":[{"id":"211d4e70-928b-4702-a41f-2b63a6f74f5c","type":"LinearAxis"}],"left":[{"id":"cfa51fc9-cefe-4a05-92a4-c88e1f21f903","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"211d4e70-928b-4702-a41f-2b63a6f74f5c","type":"LinearAxis"},{"id":"9c236313-08f9-405e-b620-29f3bea716a6","type":"Grid"},{"id":"cfa51fc9-cefe-4a05-92a4-c88e1f21f903","type":"LinearAxis"},{"id":"3a6836cf-4edd-431a-9c93-bc55a7d11a07","type":"Grid"},{"id":"591b62e9-e884-441a-ac4a-e95550034878","type":"BoxAnnotation"},{"id":"512bd93f-ee5a-4d7a-8732-51e8379c2b25","type":"PolyAnnotation"},{"id":"fc3f8be2-fab9-4a14-99a2-c350f5d5f2bb","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"07bbbd45-b40b-41a4-8551-86babd9e045a","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"ba060a95-c5e4-40c6-bcba-e92d7a903580","type":"DataRange1d"},"x_scale":{"id":"0c8d716b-f530-4cd2-9c83-e7c4525a75f6","type":"LinearScale"},"y_range":{"id":"a792f08a-25c9-48b1-accc-9fc01313549a","type":"DataRange1d"},"y_scale":{"id":"9ab5f19a-02bc-4dd1-9e2c-66d645486f37","type":"LinearScale"}},"id":"d88fafca-57ca-4b79-8705-93d7c41903b4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"5c8b1ec3-5fa4-4a48-b4ef-30aea43402c2","type":"BasicTickFormatter"},{"attributes":{},"id":"a68cce33-c1bb-4a7f-aec4-ce282844e158","type":"HelpTool"},{"attributes":{"formatter":{"id":"475f3437-463b-4170-9170-6635aaf0583f","type":"BasicTickFormatter"},"plot":{"id":"d88fafca-57ca-4b79-8705-93d7c41903b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"cbfa229e-cd08-45bd-be92-3bbf1eca57e8","type":"BasicTicker"}},"id":"cfa51fc9-cefe-4a05-92a4-c88e1f21f903","type":"LinearAxis"},{"attributes":{"children":[{"id":"d88fafca-57ca-4b79-8705-93d7c41903b4","subtype":"Figure","type":"Plot"},{"id":"a485226c-317d-4f43-aac1-66dc9d9eaa64","subtype":"Figure","type":"Plot"}]},"id":"80e8c324-db16-4b8a-9228-c1ec7b31155c","type":"Row"},{"attributes":{"formatter":{"id":"5c8b1ec3-5fa4-4a48-b4ef-30aea43402c2","type":"BasicTickFormatter"},"plot":{"id":"a485226c-317d-4f43-aac1-66dc9d9eaa64","subtype":"Figure","type":"Plot"},"ticker":{"id":"58883f4b-d5a2-4a08-a5fc-c22de8a4c499","type":"BasicTicker"}},"id":"cbb3f43e-ba71-400d-b54b-4e5e549675f4","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3e623bcf-1383-495d-8b06-0651a62bcf46","type":"BoxSelectTool"},{"id":"eaea5f2d-9e10-4094-ab91-1ccfc4da1753","type":"LassoSelectTool"},{"id":"a68cce33-c1bb-4a7f-aec4-ce282844e158","type":"HelpTool"}]},"id":"b71a3be5-5f7a-4d9f-8d65-ac60b0290ea5","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"591b62e9-e884-441a-ac4a-e95550034878","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"ba060a95-c5e4-40c6-bcba-e92d7a903580","type":"DataRange1d"},{"attributes":{"plot":{"id":"a485226c-317d-4f43-aac1-66dc9d9eaa64","subtype":"Figure","type":"Plot"},"ticker":{"id":"58883f4b-d5a2-4a08-a5fc-c22de8a4c499","type":"BasicTicker"}},"id":"8ee80dfe-8374-4a07-8217-55c6b0eb1320","type":"Grid"},{"attributes":{"formatter":{"id":"23ee5580-bec7-48b8-8858-91c1121f60e6","type":"BasicTickFormatter"},"plot":{"id":"a485226c-317d-4f43-aac1-66dc9d9eaa64","subtype":"Figure","type":"Plot"},"ticker":{"id":"2afb0001-74e6-49ac-b043-7beba121b197","type":"BasicTicker"}},"id":"b3f5989e-5166-45d9-9b71-c6e7ea3610fb","type":"LinearAxis"},{"attributes":{"children":[{"id":"80e8c324-db16-4b8a-9228-c1ec7b31155c","type":"Row"}]},"id":"340b8748-57ed-47ad-bbae-6dc8c23fd149","type":"Column"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"df2556c7-1f64-4f8e-82ae-722f06570a49","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y0"}},"id":"2961edc2-ef45-4410-a3e4-63a8deaa359b","type":"Circle"},{"attributes":{},"id":"23ee5580-bec7-48b8-8858-91c1121f60e6","type":"BasicTickFormatter"},{"attributes":{},"id":"0c8d716b-f530-4cd2-9c83-e7c4525a75f6","type":"LinearScale"},{"attributes":{"source":{"id":"68abe09c-afb8-49cc-a67a-2a587618e7ee","type":"ColumnDataSource"}},"id":"bad63d63-8bb4-41f2-bb76-68c398b7f2ee","type":"CDSView"},{"attributes":{"callback":null},"id":"b52af182-8aa7-4287-a5e9-1e9be7e40fc2","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"a485226c-317d-4f43-aac1-66dc9d9eaa64","subtype":"Figure","type":"Plot"},"ticker":{"id":"2afb0001-74e6-49ac-b043-7beba121b197","type":"BasicTicker"}},"id":"1a6ba27c-82f6-4489-8004-b893ef3d838d","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"7b54d702-f866-4015-ba14-596fd39c8cb5","type":"Circle"},{"attributes":{"callback":null,"column_names":["y1","y0","x"],"data":{"x":[-20,-19,-18,-17,-16,-15,-14,-13,-12,-11,-10,-9,-8,-7,-6,-5,-4,-3,-2,-1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y0":[20,19,18,17,16,15,14,13,12,11,10,9,8,7,6,5,4,3,2,1,0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20],"y1":[400,361,324,289,256,225,196,169,144,121,100,81,64,49,36,25,16,9,4,1,0,1,4,9,16,25,36,49,64,81,100,121,144,169,196,225,256,289,324,361,400]}},"id":"68abe09c-afb8-49cc-a67a-2a587618e7ee","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3a138bd1-c63b-45c7-b262-e515aca0529b","type":"BoxSelectTool"},{"id":"26f9da74-5509-43cc-8755-18cde7bebd7c","type":"LassoSelectTool"},{"id":"ae07ee2f-cee2-46b0-886a-b6318d539838","type":"HelpTool"}]},"id":"07bbbd45-b40b-41a4-8551-86babd9e045a","type":"Toolbar"},{"attributes":{},"id":"cbfa229e-cd08-45bd-be92-3bbf1eca57e8","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y1"}},"id":"1aa0772a-295f-4cc4-a89c-66f5f4b7a969","type":"Circle"},{"attributes":{"source":{"id":"68abe09c-afb8-49cc-a67a-2a587618e7ee","type":"ColumnDataSource"}},"id":"debdae38-5b33-465f-a806-94c2d7c673bd","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"4c91cb6c-07a5-41ee-bb21-08dd88c4de36","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"8a0b4276-3cc5-4ef8-95cc-ed9b6c342cf0","type":"DataRange1d"},{"attributes":{"plot":{"id":"d88fafca-57ca-4b79-8705-93d7c41903b4","subtype":"Figure","type":"Plot"},"ticker":{"id":"486b8e39-cd2c-4f27-8e41-0196d6505fd3","type":"BasicTicker"}},"id":"9c236313-08f9-405e-b620-29f3bea716a6","type":"Grid"},{"attributes":{},"id":"475f3437-463b-4170-9170-6635aaf0583f","type":"BasicTickFormatter"},{"attributes":{},"id":"49d6235a-a101-4faa-a9ef-78320916b2dd","type":"BasicTickFormatter"}],"root_ids":["39eec36a-971e-495c-821e-63134c840819"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2b5b7b10-47d7-47f5-ba26-e3c6c561f4d8","elementid":"3ffee844-ad3b-47db-bf8f-9e46357f8771","modelid":"39eec36a-971e-495c-821e-63134c840819"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
