(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4b1e5754-c231-4993-a576-bd05d7998f37");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4b1e5754-c231-4993-a576-bd05d7998f37' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bc575c75-c62b-4528-a6ec-6d8484d08917":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e169d3aa-52f8-4d03-b8b4-ad9c8b87df8b","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[1,2,3,4,5]}},"id":"90bf8954-9116-4534-b8b5-cdb78e733445","type":"ColumnDataSource"},{"attributes":{},"id":"34b9645e-6328-476f-9f39-a8558e634760","type":"BasicTicker"},{"attributes":{"callback":null},"id":"c5ca0872-c6e1-4314-b744-856b086da2ad","type":"DataRange1d"},{"attributes":{"dimension":1,"plot":{"id":"c66aa9dd-4462-4faf-bd75-b8af15471a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"23d4a39a-9ddb-4bfc-9a4f-4c5be6b3e118","type":"BasicTicker"}},"id":"bf83a696-3edb-4f44-93e8-250cc1ac0b10","type":"Grid"},{"attributes":{"children":[{"id":"4ebb74d1-1db7-4648-a2d8-d5cbde39c1bb","type":"Row"}]},"id":"3e0331da-db70-4794-87c1-452dc6e43e78","type":"Column"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"9fce4451-f695-4607-8471-55a1f6128d39","type":"BoxAnnotation"},{"attributes":{"plot":null,"text":""},"id":"9d75aecc-c0fe-4654-9167-2514af19f51d","type":"Title"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9f767e8a-5acd-4bdb-8b90-7cd7998be9e6","type":"Circle"},{"attributes":{"formatter":{"id":"6ef09f66-1e5b-4650-b88d-7ff971a51e15","type":"BasicTickFormatter"},"plot":{"id":"c66aa9dd-4462-4faf-bd75-b8af15471a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"23d4a39a-9ddb-4bfc-9a4f-4c5be6b3e118","type":"BasicTicker"}},"id":"864b4fc5-a274-42ea-8985-4f05f376b441","type":"LinearAxis"},{"attributes":{"callback":null},"id":"ffbc5476-3373-46c1-97f8-38bd71e1138e","type":"HoverTool"},{"attributes":{"data_source":{"id":"90bf8954-9116-4534-b8b5-cdb78e733445","type":"ColumnDataSource"},"glyph":{"id":"2b0ed68c-2a83-460d-b499-e043b9f433b1","type":"Circle"},"hover_glyph":{"id":"129b9dd1-d8a4-449a-aadf-1e3afcd25cfb","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"9f767e8a-5acd-4bdb-8b90-7cd7998be9e6","type":"Circle"},"selection_glyph":null,"view":{"id":"f4797405-c806-467b-b5ae-f7fed3719a89","type":"CDSView"}},"id":"bf5348fc-bf6e-439a-8906-4b74a90b6c7e","type":"GlyphRenderer"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7617918d-868c-4a02-adb2-dfca35f79c72","type":"BoxAnnotation"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"129b9dd1-d8a4-449a-aadf-1e3afcd25cfb","type":"Circle"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"427edd32-ced2-46a5-95f6-018fefc358f0","type":"BoxSelectTool"},{"id":"ffbc5476-3373-46c1-97f8-38bd71e1138e","type":"HoverTool"},{"id":"016cfc62-8ff2-4866-b9d0-2d979ec2446b","type":"ResetTool"},{"id":"0ee9785e-959a-4b94-bdd1-f5304826c0f0","type":"BoxSelectTool"},{"id":"91ca1de1-0382-4854-aae1-c31d2b723419","type":"HoverTool"},{"id":"b78b9f84-58a3-4803-acd8-634c9fd771e5","type":"ResetTool"}]},"id":"70fffc1e-3cd8-4b21-bd4f-d459dabc6cc5","type":"ToolbarBox"},{"attributes":{"plot":{"id":"c66aa9dd-4462-4faf-bd75-b8af15471a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"34b9645e-6328-476f-9f39-a8558e634760","type":"BasicTicker"}},"id":"27e1d133-fc28-45d7-8e61-1b770d9adf64","type":"Grid"},{"attributes":{"children":[{"id":"cfefe747-b40c-458b-950c-efa4148c1f6f","subtype":"Figure","type":"Plot"},{"id":"c66aa9dd-4462-4faf-bd75-b8af15471a6f","subtype":"Figure","type":"Plot"}]},"id":"4ebb74d1-1db7-4648-a2d8-d5cbde39c1bb","type":"Row"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"427edd32-ced2-46a5-95f6-018fefc358f0","type":"BoxSelectTool"},{"id":"ffbc5476-3373-46c1-97f8-38bd71e1138e","type":"HoverTool"},{"id":"016cfc62-8ff2-4866-b9d0-2d979ec2446b","type":"ResetTool"}]},"id":"803a4d8f-5aa3-4bdd-9619-512bb4cba9ce","type":"Toolbar"},{"attributes":{},"id":"fda40863-4725-4b5c-90e2-b74db23281a3","type":"BasicTickFormatter"},{"attributes":{},"id":"00fe5eab-c6d7-4654-b093-1b034ff79c31","type":"BasicTickFormatter"},{"attributes":{},"id":"3793d368-42ed-4df1-a334-97577b122656","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"7617918d-868c-4a02-adb2-dfca35f79c72","type":"BoxAnnotation"},"renderers":[{"id":"bf5348fc-bf6e-439a-8906-4b74a90b6c7e","type":"GlyphRenderer"}]},"id":"427edd32-ced2-46a5-95f6-018fefc358f0","type":"BoxSelectTool"},{"attributes":{},"id":"6ef09f66-1e5b-4650-b88d-7ff971a51e15","type":"BasicTickFormatter"},{"attributes":{"callback":null,"overlay":{"id":"9fce4451-f695-4607-8471-55a1f6128d39","type":"BoxAnnotation"},"renderers":[{"id":"5b36b302-34d6-4e3e-b833-53f1a3c46ae9","type":"GlyphRenderer"}]},"id":"0ee9785e-959a-4b94-bdd1-f5304826c0f0","type":"BoxSelectTool"},{"attributes":{"formatter":{"id":"00fe5eab-c6d7-4654-b093-1b034ff79c31","type":"BasicTickFormatter"},"plot":{"id":"cfefe747-b40c-458b-950c-efa4148c1f6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab89b764-d0ef-487c-8867-ebfa558c060f","type":"BasicTicker"}},"id":"c2c74346-fe48-4161-9664-d65134db9ac8","type":"LinearAxis"},{"attributes":{},"id":"23d4a39a-9ddb-4bfc-9a4f-4c5be6b3e118","type":"BasicTicker"},{"attributes":{"callback":null},"id":"91ca1de1-0382-4854-aae1-c31d2b723419","type":"HoverTool"},{"attributes":{"children":[{"id":"70fffc1e-3cd8-4b21-bd4f-d459dabc6cc5","type":"ToolbarBox"},{"id":"3e0331da-db70-4794-87c1-452dc6e43e78","type":"Column"}]},"id":"a13a2026-46f9-44e7-9862-c058cfde95f6","type":"Column"},{"attributes":{},"id":"016cfc62-8ff2-4866-b9d0-2d979ec2446b","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0ee9785e-959a-4b94-bdd1-f5304826c0f0","type":"BoxSelectTool"},{"id":"91ca1de1-0382-4854-aae1-c31d2b723419","type":"HoverTool"},{"id":"b78b9f84-58a3-4803-acd8-634c9fd771e5","type":"ResetTool"}]},"id":"8078b23d-13b8-4be5-af72-71da8564880e","type":"Toolbar"},{"attributes":{"filters":[{"id":"e4fe338a-b0bf-4b69-8f08-efc587ed0786","type":"BooleanFilter"}],"source":{"id":"90bf8954-9116-4534-b8b5-cdb78e733445","type":"ColumnDataSource"}},"id":"15af7e6f-4aee-4a7c-93f1-94968e2022f3","type":"CDSView"},{"attributes":{},"id":"f9ede398-e16f-4e20-a0f9-88e457063c33","type":"LinearScale"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"12a99f3c-08c1-4288-9fb3-da7388381006","type":"Circle"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2b0ed68c-2a83-460d-b499-e043b9f433b1","type":"Circle"},{"attributes":{},"id":"d4848ba3-019f-4b07-804f-86baa6e3b63a","type":"BasicTicker"},{"attributes":{"plot":{"id":"cfefe747-b40c-458b-950c-efa4148c1f6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"d4848ba3-019f-4b07-804f-86baa6e3b63a","type":"BasicTicker"}},"id":"82050e2f-201d-4a40-9ec9-22d35e5d9d2c","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a2507d07-61b5-4f75-8dcd-fe82d2cf7549","type":"Circle"},{"attributes":{"callback":null},"id":"87a7c006-a901-4551-aa09-cf1698fdb9ee","type":"DataRange1d"},{"attributes":{"booleans":[false,false,true,true,true]},"id":"e4fe338a-b0bf-4b69-8f08-efc587ed0786","type":"BooleanFilter"},{"attributes":{"source":{"id":"90bf8954-9116-4534-b8b5-cdb78e733445","type":"ColumnDataSource"}},"id":"f4797405-c806-467b-b5ae-f7fed3719a89","type":"CDSView"},{"attributes":{},"id":"8544384b-b791-4004-9f1f-2a266811e020","type":"LinearScale"},{"attributes":{},"id":"9d21b2b3-45f2-4849-b297-9529665b5760","type":"LinearScale"},{"attributes":{"below":[{"id":"abf379ee-6ade-4af0-9b4d-ff4ae1da1e18","type":"LinearAxis"}],"left":[{"id":"c2c74346-fe48-4161-9664-d65134db9ac8","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"abf379ee-6ade-4af0-9b4d-ff4ae1da1e18","type":"LinearAxis"},{"id":"82050e2f-201d-4a40-9ec9-22d35e5d9d2c","type":"Grid"},{"id":"c2c74346-fe48-4161-9664-d65134db9ac8","type":"LinearAxis"},{"id":"8a17da00-853b-48d3-928b-96d524df3bea","type":"Grid"},{"id":"7617918d-868c-4a02-adb2-dfca35f79c72","type":"BoxAnnotation"},{"id":"bf5348fc-bf6e-439a-8906-4b74a90b6c7e","type":"GlyphRenderer"}],"title":{"id":"b9513aca-4f92-4d40-ab6e-5fb6a26a730f","type":"Title"},"toolbar":{"id":"803a4d8f-5aa3-4bdd-9619-512bb4cba9ce","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c5ca0872-c6e1-4314-b744-856b086da2ad","type":"DataRange1d"},"x_scale":{"id":"2e416fdc-a1f0-4613-9c84-4d66cc22e9b5","type":"LinearScale"},"y_range":{"id":"87a7c006-a901-4551-aa09-cf1698fdb9ee","type":"DataRange1d"},"y_scale":{"id":"9d21b2b3-45f2-4849-b297-9529665b5760","type":"LinearScale"}},"id":"cfefe747-b40c-458b-950c-efa4148c1f6f","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"fda40863-4725-4b5c-90e2-b74db23281a3","type":"BasicTickFormatter"},"plot":{"id":"cfefe747-b40c-458b-950c-efa4148c1f6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"d4848ba3-019f-4b07-804f-86baa6e3b63a","type":"BasicTicker"}},"id":"abf379ee-6ade-4af0-9b4d-ff4ae1da1e18","type":"LinearAxis"},{"attributes":{},"id":"b78b9f84-58a3-4803-acd8-634c9fd771e5","type":"ResetTool"},{"attributes":{"dimension":1,"plot":{"id":"cfefe747-b40c-458b-950c-efa4148c1f6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"ab89b764-d0ef-487c-8867-ebfa558c060f","type":"BasicTicker"}},"id":"8a17da00-853b-48d3-928b-96d524df3bea","type":"Grid"},{"attributes":{},"id":"2e416fdc-a1f0-4613-9c84-4d66cc22e9b5","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"b9513aca-4f92-4d40-ab6e-5fb6a26a730f","type":"Title"},{"attributes":{"data_source":{"id":"90bf8954-9116-4534-b8b5-cdb78e733445","type":"ColumnDataSource"},"glyph":{"id":"e169d3aa-52f8-4d03-b8b4-ad9c8b87df8b","type":"Circle"},"hover_glyph":{"id":"12a99f3c-08c1-4288-9fb3-da7388381006","type":"Circle"},"muted_glyph":null,"nonselection_glyph":{"id":"a2507d07-61b5-4f75-8dcd-fe82d2cf7549","type":"Circle"},"selection_glyph":null,"view":{"id":"15af7e6f-4aee-4a7c-93f1-94968e2022f3","type":"CDSView"}},"id":"5b36b302-34d6-4e3e-b833-53f1a3c46ae9","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"3793d368-42ed-4df1-a334-97577b122656","type":"BasicTickFormatter"},"plot":{"id":"c66aa9dd-4462-4faf-bd75-b8af15471a6f","subtype":"Figure","type":"Plot"},"ticker":{"id":"34b9645e-6328-476f-9f39-a8558e634760","type":"BasicTicker"}},"id":"ec227bd9-6166-49f5-84b5-37d0d090655a","type":"LinearAxis"},{"attributes":{},"id":"ab89b764-d0ef-487c-8867-ebfa558c060f","type":"BasicTicker"},{"attributes":{"below":[{"id":"ec227bd9-6166-49f5-84b5-37d0d090655a","type":"LinearAxis"}],"left":[{"id":"864b4fc5-a274-42ea-8985-4f05f376b441","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"ec227bd9-6166-49f5-84b5-37d0d090655a","type":"LinearAxis"},{"id":"27e1d133-fc28-45d7-8e61-1b770d9adf64","type":"Grid"},{"id":"864b4fc5-a274-42ea-8985-4f05f376b441","type":"LinearAxis"},{"id":"bf83a696-3edb-4f44-93e8-250cc1ac0b10","type":"Grid"},{"id":"9fce4451-f695-4607-8471-55a1f6128d39","type":"BoxAnnotation"},{"id":"5b36b302-34d6-4e3e-b833-53f1a3c46ae9","type":"GlyphRenderer"}],"title":{"id":"9d75aecc-c0fe-4654-9167-2514af19f51d","type":"Title"},"toolbar":{"id":"8078b23d-13b8-4be5-af72-71da8564880e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"c5ca0872-c6e1-4314-b744-856b086da2ad","type":"DataRange1d"},"x_scale":{"id":"8544384b-b791-4004-9f1f-2a266811e020","type":"LinearScale"},"y_range":{"id":"87a7c006-a901-4551-aa09-cf1698fdb9ee","type":"DataRange1d"},"y_scale":{"id":"f9ede398-e16f-4e20-a0f9-88e457063c33","type":"LinearScale"}},"id":"c66aa9dd-4462-4faf-bd75-b8af15471a6f","subtype":"Figure","type":"Plot"}],"root_ids":["a13a2026-46f9-44e7-9862-c058cfde95f6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bc575c75-c62b-4528-a6ec-6d8484d08917","elementid":"4b1e5754-c231-4993-a576-bd05d7998f37","modelid":"a13a2026-46f9-44e7-9862-c058cfde95f6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
