(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a201e56d-a57d-43b8-8cde-c8f692743422");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a201e56d-a57d-43b8-8cde-c8f692743422' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"025788bd-5337-4339-bc9d-a935738eb437":{"roots":{"references":[{"attributes":{"callback":null,"overlay":{"id":"152078aa-6e3d-4479-8a8d-487bcc83791d","type":"BoxAnnotation"}},"id":"47810683-f1fb-44e9-b978-91934c3d71fe","type":"BoxSelectTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"152078aa-6e3d-4479-8a8d-487bcc83791d","type":"BoxAnnotation"},{"attributes":{"api_key":"MISSING_API_KEY","map_options":{"id":"9f333d0c-f228-4713-9421-48fce27eef39","type":"GMapOptions"},"renderers":[{"id":"1896fa37-5de5-4ced-b7c2-bdd7ef60a4b8","type":"GlyphRenderer"},{"id":"152078aa-6e3d-4479-8a8d-487bcc83791d","type":"BoxAnnotation"}],"title":{"id":"156cc879-c3fc-4ce2-bfc1-7fdb294cc35a","type":"Title"},"toolbar":{"id":"c3d44a7e-f6b4-494e-bc5e-83fb0a595531","type":"Toolbar"},"x_range":{"id":"73b900e7-b09a-4b89-85e1-f6a4b884f71a","type":"DataRange1d"},"x_scale":{"id":"d38e11a0-4631-41e8-a45b-095efb58a002","type":"LinearScale"},"y_range":{"id":"ebeddb1f-4033-4b70-9913-7d5c5a87fe9e","type":"DataRange1d"},"y_scale":{"id":"0342df64-1bf6-4418-a22e-f0a87879139c","type":"LinearScale"}},"id":"242c5bf6-fedd-4d62-9a6a-27eff2683362","type":"GMapPlot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9359052f-bedb-4c55-b3e0-9e3ac9201bce","type":"PanTool"},{"id":"b83e6d9c-3d72-40c2-931b-791e16375788","type":"WheelZoomTool"},{"id":"47810683-f1fb-44e9-b978-91934c3d71fe","type":"BoxSelectTool"}]},"id":"c3d44a7e-f6b4-494e-bc5e-83fb0a595531","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.8},"fill_color":{"value":"blue"},"line_color":{"value":null},"size":{"units":"screen","value":15},"x":{"field":"lon"},"y":{"field":"lat"}},"id":"61c8d4f7-12e5-4a32-8a1a-6d8bc5eec16b","type":"Circle"},{"attributes":{"data_source":{"id":"998b5ee4-244a-4cb7-b591-11b1fe892878","type":"ColumnDataSource"},"glyph":{"id":"61c8d4f7-12e5-4a32-8a1a-6d8bc5eec16b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"7623a53e-2211-4f20-8e37-8c136b8518df","type":"CDSView"}},"id":"1896fa37-5de5-4ced-b7c2-bdd7ef60a4b8","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Austin"},"id":"156cc879-c3fc-4ce2-bfc1-7fdb294cc35a","type":"Title"},{"attributes":{"callback":null},"id":"73b900e7-b09a-4b89-85e1-f6a4b884f71a","type":"DataRange1d"},{"attributes":{},"id":"b83e6d9c-3d72-40c2-931b-791e16375788","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["lat","lon"],"data":{"lat":[30.29,30.2,30.29],"lon":[-97.7,-97.74,-97.78]}},"id":"998b5ee4-244a-4cb7-b591-11b1fe892878","type":"ColumnDataSource"},{"attributes":{},"id":"d38e11a0-4631-41e8-a45b-095efb58a002","type":"LinearScale"},{"attributes":{"lat":30.29,"lng":-97.73,"zoom":11},"id":"9f333d0c-f228-4713-9421-48fce27eef39","type":"GMapOptions"},{"attributes":{},"id":"9359052f-bedb-4c55-b3e0-9e3ac9201bce","type":"PanTool"},{"attributes":{},"id":"0342df64-1bf6-4418-a22e-f0a87879139c","type":"LinearScale"},{"attributes":{"source":{"id":"998b5ee4-244a-4cb7-b591-11b1fe892878","type":"ColumnDataSource"}},"id":"7623a53e-2211-4f20-8e37-8c136b8518df","type":"CDSView"},{"attributes":{"callback":null},"id":"ebeddb1f-4033-4b70-9913-7d5c5a87fe9e","type":"DataRange1d"}],"root_ids":["242c5bf6-fedd-4d62-9a6a-27eff2683362"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"025788bd-5337-4339-bc9d-a935738eb437","elementid":"a201e56d-a57d-43b8-8cde-c8f692743422","modelid":"242c5bf6-fedd-4d62-9a6a-27eff2683362"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
