(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("83791d05-9e5d-4863-be73-550b8ddb3377");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '83791d05-9e5d-4863-be73-550b8ddb3377' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"457c1fb8-5d1a-4fc0-91a7-33140cfedf7f":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"1589e3d4-6b05-4722-9bd8-33c8cf79943b","type":"Toolbar"},{"attributes":{},"id":"bec8cc3e-ccd3-495a-8a12-6d421e851de5","type":"NodesOnly"},{"attributes":{"data_source":{"id":"18f28d65-5004-4e85-85dc-ed4d188b9df2","type":"ColumnDataSource"},"glyph":{"id":"5ce854de-2343-4c90-87b1-60fe1e008550","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"104f4e7f-5e8f-4756-9293-b466754b9e79","type":"CDSView"}},"id":"435249ce-ace4-4484-ad61-638af64f3176","type":"GlyphRenderer"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":0.1},"width":{"units":"data","value":0.2}},"id":"5ce854de-2343-4c90-87b1-60fe1e008550","type":"Oval"},{"attributes":{"data_source":{"id":"4ff2178d-16a5-488a-8d9b-bd019d0e3a93","type":"ColumnDataSource"},"glyph":{"id":"33e9018b-b17c-4866-a256-d8f10af9234d","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"88e2f68c-d614-4efe-9af3-ab17473face0","type":"CDSView"}},"id":"acd4ccd6-995c-4e75-9fe1-70b562a4bb53","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"c2d5a249-38dd-4db4-b4cd-8a655e0ccd8b","type":"BasicTickFormatter"},"plot":{"id":"4fd51039-7fa0-4757-8323-31ef456c3016","subtype":"Figure","type":"Plot"},"ticker":{"id":"c44bb0b6-12f4-4064-9265-27fa95a4c865","type":"BasicTicker"}},"id":"93fe75f7-17bb-40c3-96b9-fc34685cee1d","type":"LinearAxis"},{"attributes":{},"id":"63e01233-e322-4fea-a6c3-f0d446006303","type":"LinearScale"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"beebe0eb-c087-47ec-8daf-31787edd7b4f","type":"Range1d"},{"attributes":{"below":[{"id":"f352e661-ce07-40ab-9dcf-1fafc6c5dfca","type":"LinearAxis"}],"left":[{"id":"93fe75f7-17bb-40c3-96b9-fc34685cee1d","type":"LinearAxis"}],"renderers":[{"id":"f352e661-ce07-40ab-9dcf-1fafc6c5dfca","type":"LinearAxis"},{"id":"bffb227f-0044-4820-9dea-afd3e9e860af","type":"Grid"},{"id":"93fe75f7-17bb-40c3-96b9-fc34685cee1d","type":"LinearAxis"},{"id":"08d72e40-283c-47ee-97de-fff146be9077","type":"Grid"},{"id":"aa21af35-a5c8-4e6c-b9e1-20577566689d","type":"GraphRenderer"}],"title":{"id":"47cdd8f7-b3e3-40a3-b544-6cd0f520272f","type":"Title"},"toolbar":{"id":"1589e3d4-6b05-4722-9bd8-33c8cf79943b","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"6c8bd6fa-4aab-46e1-99f2-d4b6723e4c5c","type":"Range1d"},"x_scale":{"id":"14137ad2-5830-479b-ae42-1023ae383e8b","type":"LinearScale"},"y_range":{"id":"beebe0eb-c087-47ec-8daf-31787edd7b4f","type":"Range1d"},"y_scale":{"id":"63e01233-e322-4fea-a6c3-f0d446006303","type":"LinearScale"}},"id":"4fd51039-7fa0-4757-8323-31ef456c3016","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"56bfff8a-85da-43ab-8e27-bfe2c09eb5f8","type":"BasicTickFormatter"},"plot":{"id":"4fd51039-7fa0-4757-8323-31ef456c3016","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecc50c6c-5fda-4dcb-9074-b39eb4a683e4","type":"BasicTicker"}},"id":"f352e661-ce07-40ab-9dcf-1fafc6c5dfca","type":"LinearAxis"},{"attributes":{},"id":"56bfff8a-85da-43ab-8e27-bfe2c09eb5f8","type":"BasicTickFormatter"},{"attributes":{},"id":"c2d5a249-38dd-4db4-b4cd-8a655e0ccd8b","type":"BasicTickFormatter"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.7071067811865476,0.7071067811865475],"2":[6.123233995736766e-17,1.0],"3":[-0.7071067811865475,0.7071067811865476],"4":[-1.0,1.2246467991473532e-16],"5":[-0.7071067811865477,-0.7071067811865475],"6":[-1.8369701987210297e-16,-1.0],"7":[0.7071067811865475,-0.7071067811865477]}},"id":"eea4ccb5-7723-4db1-95c7-e2ecc60fdf20","type":"StaticLayoutProvider"},{"attributes":{},"id":"14137ad2-5830-479b-ae42-1023ae383e8b","type":"LinearScale"},{"attributes":{"source":{"id":"18f28d65-5004-4e85-85dc-ed4d188b9df2","type":"ColumnDataSource"}},"id":"104f4e7f-5e8f-4756-9293-b466754b9e79","type":"CDSView"},{"attributes":{"callback":null,"column_names":["index"],"data":{"fill_color":["#3288bd","#66c2a5","#abdda4","#e6f598","#fee08b","#fdae61","#f46d43","#d53e4f"],"index":[0,1,2,3,4,5,6,7]}},"id":"18f28d65-5004-4e85-85dc-ed4d188b9df2","type":"ColumnDataSource"},{"attributes":{},"id":"33e9018b-b17c-4866-a256-d8f10af9234d","type":"MultiLine"},{"attributes":{"edge_renderer":{"id":"acd4ccd6-995c-4e75-9fe1-70b562a4bb53","type":"GlyphRenderer"},"inspection_policy":{"id":"bec8cc3e-ccd3-495a-8a12-6d421e851de5","type":"NodesOnly"},"layout_provider":{"id":"eea4ccb5-7723-4db1-95c7-e2ecc60fdf20","type":"StaticLayoutProvider"},"node_renderer":{"id":"435249ce-ace4-4484-ad61-638af64f3176","type":"GlyphRenderer"},"selection_policy":{"id":"41e433a9-9d8c-410c-89ef-7684bdb78fb7","type":"NodesOnly"}},"id":"aa21af35-a5c8-4e6c-b9e1-20577566689d","type":"GraphRenderer"},{"attributes":{},"id":"41e433a9-9d8c-410c-89ef-7684bdb78fb7","type":"NodesOnly"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"6c8bd6fa-4aab-46e1-99f2-d4b6723e4c5c","type":"Range1d"},{"attributes":{"source":{"id":"4ff2178d-16a5-488a-8d9b-bd019d0e3a93","type":"ColumnDataSource"}},"id":"88e2f68c-d614-4efe-9af3-ab17473face0","type":"CDSView"},{"attributes":{"plot":{"id":"4fd51039-7fa0-4757-8323-31ef456c3016","subtype":"Figure","type":"Plot"},"ticker":{"id":"ecc50c6c-5fda-4dcb-9074-b39eb4a683e4","type":"BasicTicker"}},"id":"bffb227f-0044-4820-9dea-afd3e9e860af","type":"Grid"},{"attributes":{},"id":"c44bb0b6-12f4-4064-9265-27fa95a4c865","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[0,1,2,3,4,5,6,7],"start":[0,0,0,0,0,0,0,0]}},"id":"4ff2178d-16a5-488a-8d9b-bd019d0e3a93","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"4fd51039-7fa0-4757-8323-31ef456c3016","subtype":"Figure","type":"Plot"},"ticker":{"id":"c44bb0b6-12f4-4064-9265-27fa95a4c865","type":"BasicTicker"}},"id":"08d72e40-283c-47ee-97de-fff146be9077","type":"Grid"},{"attributes":{"plot":null,"text":"Graph Layout Demonstration"},"id":"47cdd8f7-b3e3-40a3-b544-6cd0f520272f","type":"Title"},{"attributes":{},"id":"ecc50c6c-5fda-4dcb-9074-b39eb4a683e4","type":"BasicTicker"}],"root_ids":["4fd51039-7fa0-4757-8323-31ef456c3016"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"457c1fb8-5d1a-4fc0-91a7-33140cfedf7f","elementid":"83791d05-9e5d-4863-be73-550b8ddb3377","modelid":"4fd51039-7fa0-4757-8323-31ef456c3016"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
