(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ec6dce7f-df76-4359-b253-bffa8ceb13ad");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ec6dce7f-df76-4359-b253-bffa8ceb13ad' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4a59c81f-2e61-4387-b803-951dd221142f":{"roots":{"references":[{"attributes":{"plot":{"id":"026e4b2a-fbfd-4bf1-9add-9be58ffbad55","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a6a819c-ba73-4361-b9e7-f524cf7da589","type":"BasicTicker"}},"id":"3c17fa28-a4ec-4395-92d0-ee5b16edfa15","type":"Grid"},{"attributes":{},"id":"4cd769e7-6262-4b49-b8bf-e1027eb617a0","type":"LinearScale"},{"attributes":{},"id":"cfc01303-0412-4028-8f2b-f91699e07811","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"71533f78-6395-4897-a3f1-8537c801ad78","type":"ColumnDataSource"},"glyph":{"id":"43571df0-4062-4e4b-8ea9-9eac013ff58c","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"f0fdaf6b-2966-4b1f-ab89-8049be7c1c9f","type":"CDSView"}},"id":"3be6b6cb-35eb-4c1c-a732-dd71e030842b","type":"GlyphRenderer"},{"attributes":{"plot":null,"text":"Networkx Integration Demonstration"},"id":"360a4c61-56bd-4a1d-b6b9-67d72c51c403","type":"Title"},{"attributes":{"data_source":{"id":"3247bd22-a814-4567-a2d9-33ca99f5906b","type":"ColumnDataSource"},"glyph":{"id":"e1b26a28-b519-4a3c-80a9-d89b174327f8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"664fe294-6d60-4dc7-8366-4bc2b8d461e7","type":"CDSView"}},"id":"8a3482f2-d9c1-42d5-a2c5-8e8eebca8ac3","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"b0e1c395-3b2a-45ff-a8b4-e8b711752759","type":"BasicTickFormatter"},"plot":{"id":"026e4b2a-fbfd-4bf1-9add-9be58ffbad55","subtype":"Figure","type":"Plot"},"ticker":{"id":"8621355c-4f43-4032-8294-423a6e00f383","type":"BasicTicker"}},"id":"d718faea-dd05-4501-90a8-86fb0e7b5263","type":"LinearAxis"},{"attributes":{},"id":"ad7c3b72-bbf9-43f9-8997-31c0a4dd95cb","type":"LinearScale"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"f8212f84-0390-4a24-b81f-82e4ecba24ab","type":"Range1d"},{"attributes":{"callback":null,"column_names":["index"],"data":{"index":[0,1,2,3,4,5,6,7,8,9,10,11,12,13,14,15,16,17,18,19,20,21,22,23,24,25,26,27,28,29,30,31,32,33]}},"id":"3247bd22-a814-4567-a2d9-33ca99f5906b","type":"ColumnDataSource"},{"attributes":{"source":{"id":"71533f78-6395-4897-a3f1-8537c801ad78","type":"ColumnDataSource"}},"id":"f0fdaf6b-2966-4b1f-ab89-8049be7c1c9f","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"a18afd93-8781-4181-9551-23bfa462b3d6","type":"Toolbar"},{"attributes":{},"id":"e1b26a28-b519-4a3c-80a9-d89b174327f8","type":"Circle"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"ff84890e-9cd7-43f6-8d5a-dadd98e95b74","type":"Range1d"},{"attributes":{"source":{"id":"3247bd22-a814-4567-a2d9-33ca99f5906b","type":"ColumnDataSource"}},"id":"664fe294-6d60-4dc7-8366-4bc2b8d461e7","type":"CDSView"},{"attributes":{"below":[{"id":"483757ac-f20c-4284-8641-7955e69cce8c","type":"LinearAxis"}],"left":[{"id":"d718faea-dd05-4501-90a8-86fb0e7b5263","type":"LinearAxis"}],"renderers":[{"id":"483757ac-f20c-4284-8641-7955e69cce8c","type":"LinearAxis"},{"id":"3c17fa28-a4ec-4395-92d0-ee5b16edfa15","type":"Grid"},{"id":"d718faea-dd05-4501-90a8-86fb0e7b5263","type":"LinearAxis"},{"id":"e23b018f-ea17-4678-89e8-7b661ab28f1c","type":"Grid"},{"id":"9255d59f-49a1-4744-9a94-81982adb69ee","type":"GraphRenderer"}],"title":{"id":"360a4c61-56bd-4a1d-b6b9-67d72c51c403","type":"Title"},"toolbar":{"id":"a18afd93-8781-4181-9551-23bfa462b3d6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"f8212f84-0390-4a24-b81f-82e4ecba24ab","type":"Range1d"},"x_scale":{"id":"ad7c3b72-bbf9-43f9-8997-31c0a4dd95cb","type":"LinearScale"},"y_range":{"id":"ff84890e-9cd7-43f6-8d5a-dadd98e95b74","type":"Range1d"},"y_scale":{"id":"4cd769e7-6262-4b49-b8bf-e1027eb617a0","type":"LinearScale"}},"id":"026e4b2a-fbfd-4bf1-9add-9be58ffbad55","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a11334d0-7888-4376-9036-cd5e94e9df4f","type":"NodesOnly"},{"attributes":{},"id":"43571df0-4062-4e4b-8ea9-9eac013ff58c","type":"MultiLine"},{"attributes":{"formatter":{"id":"cfc01303-0412-4028-8f2b-f91699e07811","type":"BasicTickFormatter"},"plot":{"id":"026e4b2a-fbfd-4bf1-9add-9be58ffbad55","subtype":"Figure","type":"Plot"},"ticker":{"id":"3a6a819c-ba73-4361-b9e7-f524cf7da589","type":"BasicTicker"}},"id":"483757ac-f20c-4284-8641-7955e69cce8c","type":"LinearAxis"},{"attributes":{"graph_layout":{"0":[-0.38792394397093033,-0.410829572469391],"1":[-0.25243969520078435,-0.28540762421031374],"10":[-0.4410958904323521,-0.9307696186457657],"11":[-0.7279019078742863,-0.8002001324957091],"12":[-0.9901498117784506,0.06919100639313558],"13":[-0.24965727151513695,0.020114409256256405],"14":[0.3963330342886331,0.8194967217657239],"15":[0.2063836090658262,0.865537869756744],"16":[-1.0,-0.2569409875147335],"17":[-0.8343238703027938,-0.15919741857112968],"18":[-0.16113924494458465,0.8296116943087548],"19":[0.1485476853627936,-0.448413248820116],"2":[0.10439744213828761,-0.022444024986268296],"20":[0.7922707713062995,0.14660933671354326],"21":[-0.12827013488043748,-1.0],"22":[0.025000711761690164,0.8623780694316854],"23":[0.7653145470914922,0.5173156490861968],"24":[1.0,-0.12425375498909996],"25":[0.975205828673537,0.09201376350640045],"26":[0.954628442009064,-0.24652270999336567],"27":[0.6520123462470493,0.17480247703738439],"28":[0.597858756077599,-0.38357190470426483],"29":[0.8418350188169674,0.33877042124710455],"3":[-0.5248640269248357,-0.12221636346233766],"30":[-0.20450472271493125,0.43892193001151303],"31":[0.4632477923853078,-0.12416326738446726],"32":[0.2960177678939617,0.48839048861461576],"33":[0.3447049111391596,0.2862651382962811],"4":[-0.5818734707919351,-0.8840060378729732],"5":[-0.8736674480634098,-0.5143555602567468],"6":[-0.8318864989769528,-0.6367386769519653],"7":[-0.16289758795970688,-0.5698330477926259],"8":[-0.11427534728942657,0.23247199374720107],"9":[0.5664387156833381,0.6646985844565272]}},"id":"379d4df1-8eed-4446-a205-09451ae0581a","type":"StaticLayoutProvider"},{"attributes":{"edge_renderer":{"id":"3be6b6cb-35eb-4c1c-a732-dd71e030842b","type":"GlyphRenderer"},"inspection_policy":{"id":"a11334d0-7888-4376-9036-cd5e94e9df4f","type":"NodesOnly"},"layout_provider":{"id":"379d4df1-8eed-4446-a205-09451ae0581a","type":"StaticLayoutProvider"},"node_renderer":{"id":"8a3482f2-d9c1-42d5-a2c5-8e8eebca8ac3","type":"GlyphRenderer"},"selection_policy":{"id":"26c5dc22-9343-4803-82e5-cd15b4830e28","type":"NodesOnly"}},"id":"9255d59f-49a1-4744-9a94-81982adb69ee","type":"GraphRenderer"},{"attributes":{},"id":"b0e1c395-3b2a-45ff-a8b4-e8b711752759","type":"BasicTickFormatter"},{"attributes":{},"id":"26c5dc22-9343-4803-82e5-cd15b4830e28","type":"NodesOnly"},{"attributes":{"dimension":1,"plot":{"id":"026e4b2a-fbfd-4bf1-9add-9be58ffbad55","subtype":"Figure","type":"Plot"},"ticker":{"id":"8621355c-4f43-4032-8294-423a6e00f383","type":"BasicTicker"}},"id":"e23b018f-ea17-4678-89e8-7b661ab28f1c","type":"Grid"},{"attributes":{},"id":"8621355c-4f43-4032-8294-423a6e00f383","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[1,2,3,4,5,6,7,8,10,11,12,13,17,19,21,31,2,3,7,13,17,19,21,30,3,32,7,8,9,13,27,28,7,12,13,10,6,16,10,6,16,32,30,33,33,33,32,33,32,33,32,33,33,32,33,32,33,32,25,27,29,33,25,27,31,31,33,29,33,33,31,32,33,33,32,33,32,33],"start":[0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,1,1,1,2,2,2,2,2,2,2,2,3,3,3,4,4,5,5,5,6,8,8,8,9,13,14,14,15,15,18,18,19,20,20,22,22,23,23,23,23,23,24,24,24,25,26,26,27,28,28,29,29,30,30,31,31,32]}},"id":"71533f78-6395-4897-a3f1-8537c801ad78","type":"ColumnDataSource"},{"attributes":{},"id":"3a6a819c-ba73-4361-b9e7-f524cf7da589","type":"BasicTicker"}],"root_ids":["026e4b2a-fbfd-4bf1-9add-9be58ffbad55"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4a59c81f-2e61-4387-b803-951dd221142f","elementid":"ec6dce7f-df76-4359-b253-bffa8ceb13ad","modelid":"026e4b2a-fbfd-4bf1-9add-9be58ffbad55"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
