(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ef900b9e-7402-4030-a000-7e3df4ff5d1f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ef900b9e-7402-4030-a000-7e3df4ff5d1f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"bea78938-91c9-41b7-8ccf-205bb5c86107":{"roots":{"references":[{"attributes":{"plot":{"id":"19650e46-0d85-40df-8e44-c686ebe8057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b2d5cc7-3c06-4f5d-a419-c02544f7cc05","type":"BasicTicker"}},"id":"c140a843-5fb9-451c-9107-68d9be663753","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"c27b0f56-1ae8-495e-bab6-f8a22372012c","type":"Line"},{"attributes":{"children":[{"id":"26c2affd-55fe-49c2-9878-fae0c2b4eeb0","type":"Slider"}]},"id":"9e247ff9-c8ee-46c6-872c-e7421974094f","type":"WidgetBox"},{"attributes":{},"id":"d32edd2d-003d-4606-adf2-441e4c9fa4de","type":"BasicTickFormatter"},{"attributes":{},"id":"2abb8749-f5de-4c3a-b50c-312ba9afc44f","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"19650e46-0d85-40df-8e44-c686ebe8057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"c7e9c8d4-6498-4916-82a0-6fe0783567ad","type":"BasicTicker"}},"id":"31210384-cfc7-4197-bca8-3afc1c38ab7b","type":"Grid"},{"attributes":{},"id":"0f7fd9e8-6a57-4584-ae4c-bf5b6f3228cf","type":"HelpTool"},{"attributes":{},"id":"f6b46562-2bac-4c88-9906-2574b15e1203","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"5479b765-e09f-4555-ba5e-0efa7ee27819","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"9e247ff9-c8ee-46c6-872c-e7421974094f","type":"WidgetBox"},{"id":"19650e46-0d85-40df-8e44-c686ebe8057b","subtype":"Figure","type":"Plot"}]},"id":"6e0488b1-edfb-4e25-a3d1-82835cb67d4c","type":"Column"},{"attributes":{},"id":"24bca42b-e2ef-4d3a-bff2-367ae517926f","type":"PanTool"},{"attributes":{"below":[{"id":"6b43b877-4391-4e6f-b3c5-7212080ebe44","type":"LinearAxis"}],"left":[{"id":"c237d1af-7dbd-402a-b407-37db92b332bd","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6b43b877-4391-4e6f-b3c5-7212080ebe44","type":"LinearAxis"},{"id":"c140a843-5fb9-451c-9107-68d9be663753","type":"Grid"},{"id":"c237d1af-7dbd-402a-b407-37db92b332bd","type":"LinearAxis"},{"id":"31210384-cfc7-4197-bca8-3afc1c38ab7b","type":"Grid"},{"id":"5479b765-e09f-4555-ba5e-0efa7ee27819","type":"BoxAnnotation"},{"id":"c3e64cfc-6a77-4750-9568-3d58aaaf309b","type":"GlyphRenderer"}],"title":{"id":"19b5ac3a-754a-4d37-951c-50965455882e","type":"Title"},"toolbar":{"id":"9c7d14af-bc5e-413c-a740-77bae1c593a2","type":"Toolbar"},"x_range":{"id":"4ebe05ea-830b-4d4e-8a2d-7376a523d3e3","type":"DataRange1d"},"x_scale":{"id":"5d34e7f6-7627-4b3e-87d0-0f32c996450e","type":"LinearScale"},"y_range":{"id":"bbbf8bd7-a88a-4eeb-9f0f-3fa416cf4c1d","type":"DataRange1d"},"y_scale":{"id":"f6b46562-2bac-4c88-9906-2574b15e1203","type":"LinearScale"}},"id":"19650e46-0d85-40df-8e44-c686ebe8057b","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"24bca42b-e2ef-4d3a-bff2-367ae517926f","type":"PanTool"},{"id":"68f6c617-23ea-48a5-90e3-e665e074761d","type":"WheelZoomTool"},{"id":"4afe9708-92e2-4ea8-a54b-d1f18668deca","type":"BoxZoomTool"},{"id":"2abb8749-f5de-4c3a-b50c-312ba9afc44f","type":"SaveTool"},{"id":"d3814b14-bc3c-454f-9f4e-25dba40ce59b","type":"ResetTool"},{"id":"0f7fd9e8-6a57-4584-ae4c-bf5b6f3228cf","type":"HelpTool"}]},"id":"9c7d14af-bc5e-413c-a740-77bae1c593a2","type":"Toolbar"},{"attributes":{},"id":"5d34e7f6-7627-4b3e-87d0-0f32c996450e","type":"LinearScale"},{"attributes":{"args":{"source":{"id":"9c07425c-a15c-4d43-a5ad-4aeb299088f3","type":"ColumnDataSource"}},"code":"\n        var data = source.data;\n        var f = cb_obj.value\n        x = data['x']\n        y = data['y']\n        for (i = 0; i < x.length; i++) {\n            y[i] = Math.pow(x[i], f)\n        }\n        source.change.emit();\n    "},"id":"c11becdf-a6af-4db8-9caa-ffcbf4b11e50","type":"CustomJS"},{"attributes":{"overlay":{"id":"5479b765-e09f-4555-ba5e-0efa7ee27819","type":"BoxAnnotation"}},"id":"4afe9708-92e2-4ea8-a54b-d1f18668deca","type":"BoxZoomTool"},{"attributes":{},"id":"c54e8054-7229-4080-9845-3a35c78183d9","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"c54e8054-7229-4080-9845-3a35c78183d9","type":"BasicTickFormatter"},"plot":{"id":"19650e46-0d85-40df-8e44-c686ebe8057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"6b2d5cc7-3c06-4f5d-a419-c02544f7cc05","type":"BasicTicker"}},"id":"6b43b877-4391-4e6f-b3c5-7212080ebe44","type":"LinearAxis"},{"attributes":{"data_source":{"id":"9c07425c-a15c-4d43-a5ad-4aeb299088f3","type":"ColumnDataSource"},"glyph":{"id":"b53a8fe8-753d-422b-bc7f-f25fee2e21bc","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c27b0f56-1ae8-495e-bab6-f8a22372012c","type":"Line"},"selection_glyph":null,"view":{"id":"31b5574c-ade0-476e-8455-a600d544cb8c","type":"CDSView"}},"id":"c3e64cfc-6a77-4750-9568-3d58aaaf309b","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995],"y":[0.0,0.005,0.01,0.015,0.02,0.025,0.03,0.035,0.04,0.045,0.05,0.055,0.06,0.065,0.07,0.075,0.08,0.085,0.09,0.095,0.1,0.105,0.11,0.115,0.12,0.125,0.13,0.135,0.14,0.145,0.15,0.155,0.16,0.165,0.17,0.17500000000000002,0.18,0.185,0.19,0.195,0.2,0.20500000000000002,0.21,0.215,0.22,0.225,0.23,0.23500000000000001,0.24,0.245,0.25,0.255,0.26,0.265,0.27,0.275,0.28,0.28500000000000003,0.29,0.295,0.3,0.305,0.31,0.315,0.32,0.325,0.33,0.335,0.34,0.34500000000000003,0.35000000000000003,0.355,0.36,0.365,0.37,0.375,0.38,0.385,0.39,0.395,0.4,0.405,0.41000000000000003,0.41500000000000004,0.42,0.425,0.43,0.435,0.44,0.445,0.45,0.455,0.46,0.465,0.47000000000000003,0.47500000000000003,0.48,0.485,0.49,0.495,0.5,0.505,0.51,0.515,0.52,0.525,0.53,0.535,0.54,0.545,0.55,0.555,0.56,0.5650000000000001,0.5700000000000001,0.5750000000000001,0.58,0.585,0.59,0.595,0.6,0.605,0.61,0.615,0.62,0.625,0.63,0.635,0.64,0.645,0.65,0.655,0.66,0.665,0.67,0.675,0.68,0.685,0.6900000000000001,0.6950000000000001,0.7000000000000001,0.705,0.71,0.715,0.72,0.725,0.73,0.735,0.74,0.745,0.75,0.755,0.76,0.765,0.77,0.775,0.78,0.785,0.79,0.795,0.8,0.805,0.81,0.8150000000000001,0.8200000000000001,0.8250000000000001,0.8300000000000001,0.835,0.84,0.845,0.85,0.855,0.86,0.865,0.87,0.875,0.88,0.885,0.89,0.895,0.9,0.905,0.91,0.915,0.92,0.925,0.93,0.935,0.9400000000000001,0.9450000000000001,0.9500000000000001,0.9550000000000001,0.96,0.965,0.97,0.975,0.98,0.985,0.99,0.995]}},"id":"9c07425c-a15c-4d43-a5ad-4aeb299088f3","type":"ColumnDataSource"},{"attributes":{},"id":"c7e9c8d4-6498-4916-82a0-6fe0783567ad","type":"BasicTicker"},{"attributes":{"line_alpha":{"value":0.6},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"b53a8fe8-753d-422b-bc7f-f25fee2e21bc","type":"Line"},{"attributes":{"callback":null},"id":"bbbf8bd7-a88a-4eeb-9f0f-3fa416cf4c1d","type":"DataRange1d"},{"attributes":{},"id":"6b2d5cc7-3c06-4f5d-a419-c02544f7cc05","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"19b5ac3a-754a-4d37-951c-50965455882e","type":"Title"},{"attributes":{"callback":null},"id":"4ebe05ea-830b-4d4e-8a2d-7376a523d3e3","type":"DataRange1d"},{"attributes":{"formatter":{"id":"d32edd2d-003d-4606-adf2-441e4c9fa4de","type":"BasicTickFormatter"},"plot":{"id":"19650e46-0d85-40df-8e44-c686ebe8057b","subtype":"Figure","type":"Plot"},"ticker":{"id":"c7e9c8d4-6498-4916-82a0-6fe0783567ad","type":"BasicTicker"}},"id":"c237d1af-7dbd-402a-b407-37db92b332bd","type":"LinearAxis"},{"attributes":{"source":{"id":"9c07425c-a15c-4d43-a5ad-4aeb299088f3","type":"ColumnDataSource"}},"id":"31b5574c-ade0-476e-8455-a600d544cb8c","type":"CDSView"},{"attributes":{},"id":"d3814b14-bc3c-454f-9f4e-25dba40ce59b","type":"ResetTool"},{"attributes":{"callback":{"id":"c11becdf-a6af-4db8-9caa-ffcbf4b11e50","type":"CustomJS"},"end":4,"start":0.1,"step":0.1,"title":"power","value":1},"id":"26c2affd-55fe-49c2-9878-fae0c2b4eeb0","type":"Slider"},{"attributes":{},"id":"68f6c617-23ea-48a5-90e3-e665e074761d","type":"WheelZoomTool"}],"root_ids":["6e0488b1-edfb-4e25-a3d1-82835cb67d4c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"bea78938-91c9-41b7-8ccf-205bb5c86107","elementid":"ef900b9e-7402-4030-a000-7e3df4ff5d1f","modelid":"6e0488b1-edfb-4e25-a3d1-82835cb67d4c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
