(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8c5ca57f-deb4-4e50-a2b2-6962d0577f52");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8c5ca57f-deb4-4e50-a2b2-6962d0577f52' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"afc78aa2-41da-48cc-b778-b048eba6b74f":{"roots":{"references":[{"attributes":{},"id":"b037f2a9-eb5a-4ef5-be38-39dbf857b6ac","type":"StringEditor"},{"attributes":{"callback":null,"column_names":["downloads","dates"],"data":{"dates":[1393632000000.0,1393718400000.0,1393804800000.0,1393891200000.0,1393977600000.0,1394064000000.0,1394150400000.0,1394236800000.0,1394323200000.0,1394409600000.0],"downloads":[31,91,54,82,5,15,80,44,11,77]}},"id":"0ee7319a-33db-47ef-8872-8de960a40ffd","type":"ColumnDataSource"},{"attributes":{},"id":"19deaafd-b6d2-49d2-9c5f-34719dbff6aa","type":"StringEditor"},{"attributes":{"columns":[{"id":"66c3f50d-af20-40be-b693-74a0565b588a","type":"TableColumn"},{"id":"92cc0aa0-d186-4d96-8ec1-a4c423d61e2b","type":"TableColumn"}],"height":280,"source":{"id":"0ee7319a-33db-47ef-8872-8de960a40ffd","type":"ColumnDataSource"},"view":{"id":"7b243823-1cf0-4744-902d-c00cff0ed0ea","type":"CDSView"},"width":400},"id":"7582034a-b68c-4819-a4e9-fa90f8ec54dc","type":"DataTable"},{"attributes":{},"id":"6763d392-4554-4610-b6bd-8d8f81fdf942","type":"StringFormatter"},{"attributes":{},"id":"e49fd0c6-24ae-4e99-9490-6b76874d1f25","type":"DateFormatter"},{"attributes":{"editor":{"id":"19deaafd-b6d2-49d2-9c5f-34719dbff6aa","type":"StringEditor"},"field":"dates","formatter":{"id":"e49fd0c6-24ae-4e99-9490-6b76874d1f25","type":"DateFormatter"},"title":"Date"},"id":"66c3f50d-af20-40be-b693-74a0565b588a","type":"TableColumn"},{"attributes":{"children":[{"id":"7582034a-b68c-4819-a4e9-fa90f8ec54dc","type":"DataTable"}]},"id":"8b08e4e5-565d-40fe-83a0-980bde20221b","type":"WidgetBox"},{"attributes":{"editor":{"id":"b037f2a9-eb5a-4ef5-be38-39dbf857b6ac","type":"StringEditor"},"field":"downloads","formatter":{"id":"6763d392-4554-4610-b6bd-8d8f81fdf942","type":"StringFormatter"},"title":"Downloads"},"id":"92cc0aa0-d186-4d96-8ec1-a4c423d61e2b","type":"TableColumn"},{"attributes":{"source":{"id":"0ee7319a-33db-47ef-8872-8de960a40ffd","type":"ColumnDataSource"}},"id":"7b243823-1cf0-4744-902d-c00cff0ed0ea","type":"CDSView"}],"root_ids":["8b08e4e5-565d-40fe-83a0-980bde20221b"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"afc78aa2-41da-48cc-b778-b048eba6b74f","elementid":"8c5ca57f-deb4-4e50-a2b2-6962d0577f52","modelid":"8b08e4e5-565d-40fe-83a0-980bde20221b"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
