(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("94c32fe5-bd61-4c1b-a4de-e2b79ca09021");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '94c32fe5-bd61-4c1b-a4de-e2b79ca09021' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f9822f8f-acb5-4ca0-ad01-79485765c072":{"roots":{"references":[{"attributes":{"source":{"id":"d405d0cf-f7c8-47bb-8e94-6731c00de110","type":"ColumnDataSource"}},"id":"384702aa-410a-4942-912e-c21c503524dc","type":"CDSView"},{"attributes":{},"id":"0f386f78-918e-43a4-89b8-eb4bf963675f","type":"HelpTool"},{"attributes":{"callback":null},"id":"269998cc-39a4-4b69-9b9b-ff2ee3f20995","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"958229f1-fe83-4bc0-8fbd-6164f158a7d4","type":"BoxAnnotation"},{"attributes":{},"id":"42c27b7e-2eb8-4419-84dc-2195f882dbe7","type":"ResetTool"},{"attributes":{"data_source":{"id":"7c349695-4c9d-4146-9c98-7654a2ae10c2","type":"ColumnDataSource"},"glyph":{"id":"d302f0bc-5b39-414a-854e-531c6321058e","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"07651684-80b0-4287-90f1-2d634e1f8791","type":"Square"},"selection_glyph":null,"view":{"id":"3ec4ed43-0a9d-41b9-8b96-c10915414277","type":"CDSView"}},"id":"262944a8-9f8e-4639-be76-605389317596","type":"GlyphRenderer"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"58d8e0ef-17d5-4478-8c09-831183960b46","type":"PanTool"},{"id":"dbac918a-5549-40c4-9b71-6e4a93c3ee66","type":"WheelZoomTool"},{"id":"ad69c476-b482-44e6-a7bf-eef7b16eabfd","type":"BoxZoomTool"},{"id":"58430ef1-93e4-4713-926b-2f5724b3923d","type":"SaveTool"},{"id":"42c27b7e-2eb8-4419-84dc-2195f882dbe7","type":"ResetTool"},{"id":"005374ec-eec3-4d99-80ab-364d5605917c","type":"HelpTool"},{"id":"7db5c232-9d96-4298-90c9-0527e3c6957c","type":"PanTool"},{"id":"998ebc18-14b4-4ff9-ad22-4405550bbd02","type":"WheelZoomTool"},{"id":"367dd7b8-f5ca-4fee-afc5-06342ffc7c91","type":"BoxZoomTool"},{"id":"b819bd42-3449-4e64-b3c9-baabc6f0179f","type":"SaveTool"},{"id":"24449765-c4c4-4d4b-aaae-b6960be9f6ec","type":"ResetTool"},{"id":"f2f1e170-26f4-42b5-9df1-070c7fcaea38","type":"HelpTool"},{"id":"c5dcdbfc-47d7-410f-90b8-938bcad187cd","type":"PanTool"},{"id":"b1473700-ff71-40ba-94b3-1a58eace166d","type":"WheelZoomTool"},{"id":"37055df9-9cee-44c7-afa5-05aaf453663d","type":"BoxZoomTool"},{"id":"73c79ea3-a01c-4ba2-bd58-84d415968fb4","type":"SaveTool"},{"id":"f22c3ee1-acf4-4517-aae3-b9af5d675d26","type":"ResetTool"},{"id":"0f386f78-918e-43a4-89b8-eb4bf963675f","type":"HelpTool"}]},"id":"4b9cfe52-77e3-47bf-bf66-29e67ba1bcb4","type":"ToolbarBox"},{"attributes":{},"id":"7db5c232-9d96-4298-90c9-0527e3c6957c","type":"PanTool"},{"attributes":{},"id":"f22c3ee1-acf4-4517-aae3-b9af5d675d26","type":"ResetTool"},{"attributes":{},"id":"7dd89ccd-0dc9-4712-ad3e-40f90e4d38ff","type":"BasicTickFormatter"},{"attributes":{"children":[{"id":"b4c8f83d-de3e-45b6-8e2b-c297dcab26fe","subtype":"Figure","type":"Plot"}]},"id":"922313ec-b691-4d8a-959a-4dc0483644d3","type":"Row"},{"attributes":{"plot":null,"text":""},"id":"1b57a546-bedd-4eb5-83b0-ed2bbaf0448e","type":"Title"},{"attributes":{},"id":"0ab33d55-a802-4a3c-b808-472ff76d4edc","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"1673b325-b0c5-488f-bce5-926775db84ff","type":"ColumnDataSource"}},"id":"897b0fd3-5c2d-4f72-ba4b-bf9c9d3c17a7","type":"CDSView"},{"attributes":{"data_source":{"id":"1673b325-b0c5-488f-bce5-926775db84ff","type":"ColumnDataSource"},"glyph":{"id":"fdd8f595-9e48-4fac-8590-b47067fa5650","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4fdaf09c-f6b0-4827-b2d6-8d3745e35a6c","type":"Triangle"},"selection_glyph":null,"view":{"id":"897b0fd3-5c2d-4f72-ba4b-bf9c9d3c17a7","type":"CDSView"}},"id":"0c17cb06-e16f-4302-bef9-fa4fbc733ce4","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"292ee01b-e892-450c-a100-9f1d8ad087b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"6bbaee82-65cc-47e7-93ef-c1be34dd0939","type":"BasicTicker"}},"id":"b61ebcdf-cc2b-4076-a7a0-3acec7dd3a25","type":"Grid"},{"attributes":{"callback":null},"id":"22a79117-91a6-4f50-8d21-5ed42c771d4a","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"275b644d-cbaa-454b-9592-7824cd1f74b6","type":"Title"},{"attributes":{},"id":"1d2e6acc-675c-4796-9a4b-b9f9e2ef0170","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fdd8f595-9e48-4fac-8590-b47067fa5650","type":"Triangle"},{"attributes":{},"id":"85f89f26-941b-463d-976e-32da9f03ffe6","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"692a138a-9bfc-4f6a-8e8b-a75328d7bc6a","type":"BoxAnnotation"}},"id":"367dd7b8-f5ca-4fee-afc5-06342ffc7c91","type":"BoxZoomTool"},{"attributes":{},"id":"998ebc18-14b4-4ff9-ad22-4405550bbd02","type":"WheelZoomTool"},{"attributes":{"data_source":{"id":"d405d0cf-f7c8-47bb-8e94-6731c00de110","type":"ColumnDataSource"},"glyph":{"id":"b00420bb-359e-40c7-b02a-985ad8443183","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3a766459-c362-4a29-a272-e0a69f03f53d","type":"Circle"},"selection_glyph":null,"view":{"id":"384702aa-410a-4942-912e-c21c503524dc","type":"CDSView"}},"id":"9d8fd6d7-dff6-4ee0-b010-0dcbf49fe2e9","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"d4b56ade-43d9-493e-8fbb-c3962f8b8a3f","type":"BoxAnnotation"}},"id":"ad69c476-b482-44e6-a7bf-eef7b16eabfd","type":"BoxZoomTool"},{"attributes":{"overlay":{"id":"958229f1-fe83-4bc0-8fbd-6164f158a7d4","type":"BoxAnnotation"}},"id":"37055df9-9cee-44c7-afa5-05aaf453663d","type":"BoxZoomTool"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d302f0bc-5b39-414a-854e-531c6321058e","type":"Square"},{"attributes":{"formatter":{"id":"0ab33d55-a802-4a3c-b808-472ff76d4edc","type":"BasicTickFormatter"},"plot":{"id":"15728c06-ed31-4dcd-bf88-037c91fbef10","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d2e6acc-675c-4796-9a4b-b9f9e2ef0170","type":"BasicTicker"}},"id":"24d72df1-395b-4724-b781-08441713e697","type":"LinearAxis"},{"attributes":{"plot":{"id":"15728c06-ed31-4dcd-bf88-037c91fbef10","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc464cd7-6adc-442c-a0c2-b287a8f71e34","type":"BasicTicker"}},"id":"31f25b91-4f90-46c5-8e1d-4f8c19163405","type":"Grid"},{"attributes":{},"id":"0e25bd37-afd9-4c03-a153-6608d4d6658d","type":"LinearScale"},{"attributes":{},"id":"d0e4d5e1-7d4a-4d66-b1dd-7d3b41bf4437","type":"LinearScale"},{"attributes":{},"id":"23e44599-3307-44d1-b722-66e4e17a3725","type":"LinearScale"},{"attributes":{"formatter":{"id":"5087cb07-7d5d-426e-992f-e24131fe37dc","type":"BasicTickFormatter"},"plot":{"id":"15728c06-ed31-4dcd-bf88-037c91fbef10","subtype":"Figure","type":"Plot"},"ticker":{"id":"fc464cd7-6adc-442c-a0c2-b287a8f71e34","type":"BasicTicker"}},"id":"fc813b06-80fe-4cbe-9a2a-9e04f4a2c006","type":"LinearAxis"},{"attributes":{},"id":"dbac918a-5549-40c4-9b71-6e4a93c3ee66","type":"WheelZoomTool"},{"attributes":{"children":[{"id":"6a288b7d-25b0-4b75-a8cc-76df8dd8764b","type":"Row"},{"id":"922313ec-b691-4d8a-959a-4dc0483644d3","type":"Row"}]},"id":"0affbc8c-4e29-4381-af13-c3fe4a01fe87","type":"Column"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d4b56ade-43d9-493e-8fbb-c3962f8b8a3f","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"9769fabe-e182-41e3-9ef8-ab89ee494dcc","type":"DataRange1d"},{"attributes":{},"id":"1ae9444e-129f-421a-b2c4-48c1d0d60cf7","type":"BasicTicker"},{"attributes":{},"id":"46dee8a4-5ce2-4c48-a121-93d853cb80cb","type":"BasicTickFormatter"},{"attributes":{},"id":"58430ef1-93e4-4713-926b-2f5724b3923d","type":"SaveTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7db5c232-9d96-4298-90c9-0527e3c6957c","type":"PanTool"},{"id":"998ebc18-14b4-4ff9-ad22-4405550bbd02","type":"WheelZoomTool"},{"id":"367dd7b8-f5ca-4fee-afc5-06342ffc7c91","type":"BoxZoomTool"},{"id":"b819bd42-3449-4e64-b3c9-baabc6f0179f","type":"SaveTool"},{"id":"24449765-c4c4-4d4b-aaae-b6960be9f6ec","type":"ResetTool"},{"id":"f2f1e170-26f4-42b5-9df1-070c7fcaea38","type":"HelpTool"}]},"id":"642cbb66-f817-4627-999c-f205075717dc","type":"Toolbar"},{"attributes":{},"id":"005374ec-eec3-4d99-80ab-364d5605917c","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"292ee01b-e892-450c-a100-9f1d8ad087b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"26f18f60-7ae9-4e74-9518-a47141759f4a","type":"BasicTicker"}},"id":"f9050aec-06bb-4251-b25f-76d2932cddc1","type":"Grid"},{"attributes":{"formatter":{"id":"09657d61-4d18-4e8d-a573-151c7723a50c","type":"BasicTickFormatter"},"plot":{"id":"b4c8f83d-de3e-45b6-8e2b-c297dcab26fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ae9444e-129f-421a-b2c4-48c1d0d60cf7","type":"BasicTicker"}},"id":"0576e932-61de-492d-b661-7e63bfca9b0e","type":"LinearAxis"},{"attributes":{},"id":"c5dcdbfc-47d7-410f-90b8-938bcad187cd","type":"PanTool"},{"attributes":{"below":[{"id":"2826fb71-a7f3-4f2b-8125-51a2e492f57e","type":"LinearAxis"}],"left":[{"id":"e5f88fc7-31e3-4959-90e2-50c90403ca1a","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"2826fb71-a7f3-4f2b-8125-51a2e492f57e","type":"LinearAxis"},{"id":"b61ebcdf-cc2b-4076-a7a0-3acec7dd3a25","type":"Grid"},{"id":"e5f88fc7-31e3-4959-90e2-50c90403ca1a","type":"LinearAxis"},{"id":"f9050aec-06bb-4251-b25f-76d2932cddc1","type":"Grid"},{"id":"692a138a-9bfc-4f6a-8e8b-a75328d7bc6a","type":"BoxAnnotation"},{"id":"0c17cb06-e16f-4302-bef9-fa4fbc733ce4","type":"GlyphRenderer"}],"title":{"id":"1b57a546-bedd-4eb5-83b0-ed2bbaf0448e","type":"Title"},"toolbar":{"id":"642cbb66-f817-4627-999c-f205075717dc","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9769fabe-e182-41e3-9ef8-ab89ee494dcc","type":"DataRange1d"},"x_scale":{"id":"0d0fedfc-9029-429d-9369-106d8e1700d6","type":"LinearScale"},"y_range":{"id":"9a105b05-4050-430c-8365-c32a4e9c975a","type":"DataRange1d"},"y_scale":{"id":"05e2081d-b81c-4833-a1bd-0ae8bdc92901","type":"LinearScale"}},"id":"292ee01b-e892-450c-a100-9f1d8ad087b5","subtype":"Figure","type":"Plot"},{"attributes":{"source":{"id":"7c349695-4c9d-4146-9c98-7654a2ae10c2","type":"ColumnDataSource"}},"id":"3ec4ed43-0a9d-41b9-8b96-c10915414277","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"b4c8f83d-de3e-45b6-8e2b-c297dcab26fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"05e6c93d-5744-453d-9b7f-3eefbe11d8d6","type":"BasicTicker"}},"id":"556b8357-7623-4469-91ef-68e4add5435a","type":"Grid"},{"attributes":{"below":[{"id":"0576e932-61de-492d-b661-7e63bfca9b0e","type":"LinearAxis"}],"left":[{"id":"f8de380e-cf94-4203-a062-cb54bfa61631","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"0576e932-61de-492d-b661-7e63bfca9b0e","type":"LinearAxis"},{"id":"7b524777-f6a9-4af6-a091-28105b90fa33","type":"Grid"},{"id":"f8de380e-cf94-4203-a062-cb54bfa61631","type":"LinearAxis"},{"id":"556b8357-7623-4469-91ef-68e4add5435a","type":"Grid"},{"id":"958229f1-fe83-4bc0-8fbd-6164f158a7d4","type":"BoxAnnotation"},{"id":"262944a8-9f8e-4639-be76-605389317596","type":"GlyphRenderer"}],"title":{"id":"116d1863-9f94-4801-9614-f1fd62b0df92","type":"Title"},"toolbar":{"id":"93374e45-bd9a-4503-bccd-b67ab1ed4413","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"da826f4c-b13f-4326-b66a-9c42aa88a798","type":"DataRange1d"},"x_scale":{"id":"06c8634e-26f9-4035-8bcd-7e103bbecf28","type":"LinearScale"},"y_range":{"id":"c2583220-9023-4c35-b7f0-1aa836e8197c","type":"DataRange1d"},"y_scale":{"id":"0e25bd37-afd9-4c03-a153-6608d4d6658d","type":"LinearScale"}},"id":"b4c8f83d-de3e-45b6-8e2b-c297dcab26fe","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"b4c8f83d-de3e-45b6-8e2b-c297dcab26fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"1ae9444e-129f-421a-b2c4-48c1d0d60cf7","type":"BasicTicker"}},"id":"7b524777-f6a9-4af6-a091-28105b90fa33","type":"Grid"},{"attributes":{},"id":"b819bd42-3449-4e64-b3c9-baabc6f0179f","type":"SaveTool"},{"attributes":{"formatter":{"id":"46dee8a4-5ce2-4c48-a121-93d853cb80cb","type":"BasicTickFormatter"},"plot":{"id":"b4c8f83d-de3e-45b6-8e2b-c297dcab26fe","subtype":"Figure","type":"Plot"},"ticker":{"id":"05e6c93d-5744-453d-9b7f-3eefbe11d8d6","type":"BasicTicker"}},"id":"f8de380e-cf94-4203-a062-cb54bfa61631","type":"LinearAxis"},{"attributes":{},"id":"73c79ea3-a01c-4ba2-bd58-84d415968fb4","type":"SaveTool"},{"attributes":{"callback":null},"id":"c2583220-9023-4c35-b7f0-1aa836e8197c","type":"DataRange1d"},{"attributes":{},"id":"05e2081d-b81c-4833-a1bd-0ae8bdc92901","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c5dcdbfc-47d7-410f-90b8-938bcad187cd","type":"PanTool"},{"id":"b1473700-ff71-40ba-94b3-1a58eace166d","type":"WheelZoomTool"},{"id":"37055df9-9cee-44c7-afa5-05aaf453663d","type":"BoxZoomTool"},{"id":"73c79ea3-a01c-4ba2-bd58-84d415968fb4","type":"SaveTool"},{"id":"f22c3ee1-acf4-4517-aae3-b9af5d675d26","type":"ResetTool"},{"id":"0f386f78-918e-43a4-89b8-eb4bf963675f","type":"HelpTool"}]},"id":"93374e45-bd9a-4503-bccd-b67ab1ed4413","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"3a766459-c362-4a29-a272-e0a69f03f53d","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"15728c06-ed31-4dcd-bf88-037c91fbef10","subtype":"Figure","type":"Plot"},"ticker":{"id":"1d2e6acc-675c-4796-9a4b-b9f9e2ef0170","type":"BasicTicker"}},"id":"14d4387d-85f1-4073-9080-b3ab34ad15f1","type":"Grid"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"b00420bb-359e-40c7-b02a-985ad8443183","type":"Circle"},{"attributes":{},"id":"6bbaee82-65cc-47e7-93ef-c1be34dd0939","type":"BasicTicker"},{"attributes":{"formatter":{"id":"7dd89ccd-0dc9-4712-ad3e-40f90e4d38ff","type":"BasicTickFormatter"},"plot":{"id":"292ee01b-e892-450c-a100-9f1d8ad087b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"6bbaee82-65cc-47e7-93ef-c1be34dd0939","type":"BasicTicker"}},"id":"2826fb71-a7f3-4f2b-8125-51a2e492f57e","type":"LinearAxis"},{"attributes":{},"id":"24449765-c4c4-4d4b-aaae-b6960be9f6ec","type":"ResetTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"d405d0cf-f7c8-47bb-8e94-6731c00de110","type":"ColumnDataSource"},{"attributes":{},"id":"fc464cd7-6adc-442c-a0c2-b287a8f71e34","type":"BasicTicker"},{"attributes":{},"id":"26f18f60-7ae9-4e74-9518-a47141759f4a","type":"BasicTicker"},{"attributes":{"below":[{"id":"fc813b06-80fe-4cbe-9a2a-9e04f4a2c006","type":"LinearAxis"}],"left":[{"id":"24d72df1-395b-4724-b781-08441713e697","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"fc813b06-80fe-4cbe-9a2a-9e04f4a2c006","type":"LinearAxis"},{"id":"31f25b91-4f90-46c5-8e1d-4f8c19163405","type":"Grid"},{"id":"24d72df1-395b-4724-b781-08441713e697","type":"LinearAxis"},{"id":"14d4387d-85f1-4073-9080-b3ab34ad15f1","type":"Grid"},{"id":"d4b56ade-43d9-493e-8fbb-c3962f8b8a3f","type":"BoxAnnotation"},{"id":"9d8fd6d7-dff6-4ee0-b010-0dcbf49fe2e9","type":"GlyphRenderer"}],"title":{"id":"275b644d-cbaa-454b-9592-7824cd1f74b6","type":"Title"},"toolbar":{"id":"e6c35151-192f-4e77-8cec-a169300dca1d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"22a79117-91a6-4f50-8d21-5ed42c771d4a","type":"DataRange1d"},"x_scale":{"id":"23e44599-3307-44d1-b722-66e4e17a3725","type":"LinearScale"},"y_range":{"id":"269998cc-39a4-4b69-9b9b-ff2ee3f20995","type":"DataRange1d"},"y_scale":{"id":"d0e4d5e1-7d4a-4d66-b1dd-7d3b41bf4437","type":"LinearScale"}},"id":"15728c06-ed31-4dcd-bf88-037c91fbef10","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"116d1863-9f94-4801-9614-f1fd62b0df92","type":"Title"},{"attributes":{},"id":"58d8e0ef-17d5-4478-8c09-831183960b46","type":"PanTool"},{"attributes":{},"id":"f2f1e170-26f4-42b5-9df1-070c7fcaea38","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"07651684-80b0-4287-90f1-2d634e1f8791","type":"Square"},{"attributes":{},"id":"b1473700-ff71-40ba-94b3-1a58eace166d","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"7c349695-4c9d-4146-9c98-7654a2ae10c2","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"85f89f26-941b-463d-976e-32da9f03ffe6","type":"BasicTickFormatter"},"plot":{"id":"292ee01b-e892-450c-a100-9f1d8ad087b5","subtype":"Figure","type":"Plot"},"ticker":{"id":"26f18f60-7ae9-4e74-9518-a47141759f4a","type":"BasicTicker"}},"id":"e5f88fc7-31e3-4959-90e2-50c90403ca1a","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"58d8e0ef-17d5-4478-8c09-831183960b46","type":"PanTool"},{"id":"dbac918a-5549-40c4-9b71-6e4a93c3ee66","type":"WheelZoomTool"},{"id":"ad69c476-b482-44e6-a7bf-eef7b16eabfd","type":"BoxZoomTool"},{"id":"58430ef1-93e4-4713-926b-2f5724b3923d","type":"SaveTool"},{"id":"42c27b7e-2eb8-4419-84dc-2195f882dbe7","type":"ResetTool"},{"id":"005374ec-eec3-4d99-80ab-364d5605917c","type":"HelpTool"}]},"id":"e6c35151-192f-4e77-8cec-a169300dca1d","type":"Toolbar"},{"attributes":{},"id":"09657d61-4d18-4e8d-a573-151c7723a50c","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"692a138a-9bfc-4f6a-8e8b-a75328d7bc6a","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"4b9cfe52-77e3-47bf-bf66-29e67ba1bcb4","type":"ToolbarBox"},{"id":"0affbc8c-4e29-4381-af13-c3fe4a01fe87","type":"Column"}]},"id":"a0071a01-ea8e-4fba-8b7e-dc16993b7a11","type":"Column"},{"attributes":{"children":[{"id":"15728c06-ed31-4dcd-bf88-037c91fbef10","subtype":"Figure","type":"Plot"},{"id":"292ee01b-e892-450c-a100-9f1d8ad087b5","subtype":"Figure","type":"Plot"}]},"id":"6a288b7d-25b0-4b75-a8cc-76df8dd8764b","type":"Row"},{"attributes":{},"id":"06c8634e-26f9-4035-8bcd-7e103bbecf28","type":"LinearScale"},{"attributes":{"callback":null},"id":"9a105b05-4050-430c-8365-c32a4e9c975a","type":"DataRange1d"},{"attributes":{"callback":null},"id":"da826f4c-b13f-4326-b66a-9c42aa88a798","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"4fdaf09c-f6b0-4827-b2d6-8d3745e35a6c","type":"Triangle"},{"attributes":{},"id":"5087cb07-7d5d-426e-992f-e24131fe37dc","type":"BasicTickFormatter"},{"attributes":{},"id":"05e6c93d-5744-453d-9b7f-3eefbe11d8d6","type":"BasicTicker"},{"attributes":{},"id":"0d0fedfc-9029-429d-9369-106d8e1700d6","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"1673b325-b0c5-488f-bce5-926775db84ff","type":"ColumnDataSource"}],"root_ids":["a0071a01-ea8e-4fba-8b7e-dc16993b7a11"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f9822f8f-acb5-4ca0-ad01-79485765c072","elementid":"94c32fe5-bd61-4c1b-a4de-e2b79ca09021","modelid":"a0071a01-ea8e-4fba-8b7e-dc16993b7a11"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
