(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("c78b4881-b270-4a06-8927-bea167679849");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'c78b4881-b270-4a06-8927-bea167679849' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9130b1d1-d4a7-44e2-861e-f753278042ac":{"roots":{"references":[{"attributes":{},"id":"9592a0ec-94b3-4bfc-8783-e1202d1483e6","type":"HelpTool"},{"attributes":{"overlay":{"id":"e110a822-90d2-4d30-9d19-9e9a763a5150","type":"BoxAnnotation"}},"id":"fed347ae-5ee0-4fd2-aa95-73f7ded4010a","type":"BoxZoomTool"},{"attributes":{},"id":"c4054502-8b3e-4606-a53d-e96c0e35f717","type":"LinearScale"},{"attributes":{"data_source":{"id":"53e0f90d-48ac-4798-8834-d35b7cdb3eb8","type":"ColumnDataSource"},"glyph":{"id":"0e8ba729-2e85-41e9-83b7-fc46f5fd1080","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"3c7ef832-8c85-45ac-933b-75547c8c60fa","type":"Circle"},"selection_glyph":null,"view":{"id":"0e4bf8c9-5fef-4e09-9391-c6fcfa6e8c64","type":"CDSView"}},"id":"34f0eb9c-8392-4ff4-9c1e-5e9e3935a0c2","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"cbd7abe5-57dd-4fa5-83e0-7fc7dc4b120e","type":"LinearAxis"}],"left":[{"id":"8078834a-7758-4d2f-bcd5-7705336993eb","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"cbd7abe5-57dd-4fa5-83e0-7fc7dc4b120e","type":"LinearAxis"},{"id":"a0c58154-8cc5-4f0a-b6fc-67b38adca4b1","type":"Grid"},{"id":"8078834a-7758-4d2f-bcd5-7705336993eb","type":"LinearAxis"},{"id":"1dc5c44e-bf33-41c1-99a0-8ce35177c190","type":"Grid"},{"id":"e110a822-90d2-4d30-9d19-9e9a763a5150","type":"BoxAnnotation"},{"id":"34f0eb9c-8392-4ff4-9c1e-5e9e3935a0c2","type":"GlyphRenderer"}],"title":{"id":"420b4d82-98d4-4e70-83b4-1bceaead4fd5","type":"Title"},"toolbar":{"id":"0601ab8a-154f-46b8-8408-1ed19568623f","type":"Toolbar"},"x_range":{"id":"c1347113-ba42-4908-8825-ca8c5c14766c","type":"DataRange1d"},"x_scale":{"id":"e8f76876-a2cd-45d3-b51c-c6d13af7dce4","type":"LinearScale"},"y_range":{"id":"09c638e0-5334-495f-a0a3-8ecbc3aa29b9","type":"DataRange1d"},"y_scale":{"id":"c4054502-8b3e-4606-a53d-e96c0e35f717","type":"LinearScale"}},"id":"e17d370f-e995-4b29-8292-feb5a70389b1","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"e78c4832-2763-4a17-8cf6-5716c2780391","type":"BasicTickFormatter"},"plot":{"id":"e17d370f-e995-4b29-8292-feb5a70389b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"a6eea9c8-5eac-4a6e-a637-21cfbb4224fb","type":"BasicTicker"}},"id":"cbd7abe5-57dd-4fa5-83e0-7fc7dc4b120e","type":"LinearAxis"},{"attributes":{"plot":{"id":"e17d370f-e995-4b29-8292-feb5a70389b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"a6eea9c8-5eac-4a6e-a637-21cfbb4224fb","type":"BasicTicker"}},"id":"a0c58154-8cc5-4f0a-b6fc-67b38adca4b1","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"e17d370f-e995-4b29-8292-feb5a70389b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"d406e7e9-d2f9-48c8-9eab-bcae16e0386d","type":"BasicTicker"}},"id":"1dc5c44e-bf33-41c1-99a0-8ce35177c190","type":"Grid"},{"attributes":{},"id":"d406e7e9-d2f9-48c8-9eab-bcae16e0386d","type":"BasicTicker"},{"attributes":{},"id":"c8a0fe32-1382-4aff-aef2-c0ce0f404d87","type":"SaveTool"},{"attributes":{"callback":null},"id":"c1347113-ba42-4908-8825-ca8c5c14766c","type":"DataRange1d"},{"attributes":{},"id":"a6eea9c8-5eac-4a6e-a637-21cfbb4224fb","type":"BasicTicker"},{"attributes":{},"id":"5a1340a7-6b03-4a5e-91ee-265cc22bacbc","type":"PanTool"},{"attributes":{},"id":"e8f76876-a2cd-45d3-b51c-c6d13af7dce4","type":"LinearScale"},{"attributes":{},"id":"e78c4832-2763-4a17-8cf6-5716c2780391","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"09c638e0-5334-495f-a0a3-8ecbc3aa29b9","type":"DataRange1d"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"navy"},"line_alpha":{"value":0.5},"line_color":{"value":"navy"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"0e8ba729-2e85-41e9-83b7-fc46f5fd1080","type":"Circle"},{"attributes":{"source":{"id":"53e0f90d-48ac-4798-8834-d35b7cdb3eb8","type":"ColumnDataSource"}},"id":"0e4bf8c9-5fef-4e09-9391-c6fcfa6e8c64","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e110a822-90d2-4d30-9d19-9e9a763a5150","type":"BoxAnnotation"},{"attributes":{},"id":"29e6627a-3fa8-4ff4-adfb-840b2d2c83c1","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"53e0f90d-48ac-4798-8834-d35b7cdb3eb8","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":20},"x":{"field":"x"},"y":{"field":"y"}},"id":"3c7ef832-8c85-45ac-933b-75547c8c60fa","type":"Circle"},{"attributes":{"formatter":{"id":"29e6627a-3fa8-4ff4-adfb-840b2d2c83c1","type":"BasicTickFormatter"},"plot":{"id":"e17d370f-e995-4b29-8292-feb5a70389b1","subtype":"Figure","type":"Plot"},"ticker":{"id":"d406e7e9-d2f9-48c8-9eab-bcae16e0386d","type":"BasicTicker"}},"id":"8078834a-7758-4d2f-bcd5-7705336993eb","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"420b4d82-98d4-4e70-83b4-1bceaead4fd5","type":"Title"},{"attributes":{},"id":"ae9d1aad-f5e0-4a54-ad83-681a4f183e1d","type":"ResetTool"},{"attributes":{},"id":"c95e5f21-2c10-4abf-a132-9fe415b8736f","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"5a1340a7-6b03-4a5e-91ee-265cc22bacbc","type":"PanTool"},{"id":"c95e5f21-2c10-4abf-a132-9fe415b8736f","type":"WheelZoomTool"},{"id":"fed347ae-5ee0-4fd2-aa95-73f7ded4010a","type":"BoxZoomTool"},{"id":"c8a0fe32-1382-4aff-aef2-c0ce0f404d87","type":"SaveTool"},{"id":"ae9d1aad-f5e0-4a54-ad83-681a4f183e1d","type":"ResetTool"},{"id":"9592a0ec-94b3-4bfc-8783-e1202d1483e6","type":"HelpTool"}]},"id":"0601ab8a-154f-46b8-8408-1ed19568623f","type":"Toolbar"}],"root_ids":["e17d370f-e995-4b29-8292-feb5a70389b1"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9130b1d1-d4a7-44e2-861e-f753278042ac","elementid":"c78b4881-b270-4a06-8927-bea167679849","modelid":"e17d370f-e995-4b29-8292-feb5a70389b1"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
