(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("d8cda37b-9c5f-4f1e-89d5-151bc725870b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'd8cda37b-9c5f-4f1e-89d5-151bc725870b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f1a54b2d-b745-4e19-bd60-fceffee343e9":{"roots":{"references":[{"attributes":{},"id":"d51c52df-3c89-4133-86c0-9cd657d646c5","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"6cc922d1-e34c-4124-9a3b-eb83ed00ce66","type":"Patches"},{"attributes":{"dimension":1,"plot":{"id":"c91355c6-f1ee-46b3-8e30-6cf56803f324","subtype":"Figure","type":"Plot"},"ticker":{"id":"68c7303a-53da-490e-ae70-4397a5652364","type":"BasicTicker"}},"id":"a5af21ae-e45d-4c0b-aa38-e1a0af61c8b5","type":"Grid"},{"attributes":{},"id":"abbe2c50-34d8-41c9-89c8-e8db48cdc325","type":"HelpTool"},{"attributes":{"callback":null},"id":"0c712952-1a2b-4a2a-836c-849be3d0fc1a","type":"DataRange1d"},{"attributes":{},"id":"806519ca-8304-43a8-bbda-d493694db258","type":"LinearScale"},{"attributes":{},"id":"0e9e0afd-01dd-4f19-8cea-edb6a69e92cd","type":"PanTool"},{"attributes":{},"id":"4cecfb1d-2823-4257-983c-ebbb85ba7fdc","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"1852887f-5888-4dea-856a-cc61af8b01b1","type":"BasicTickFormatter"},"plot":{"id":"c91355c6-f1ee-46b3-8e30-6cf56803f324","subtype":"Figure","type":"Plot"},"ticker":{"id":"73a52388-432d-4ddb-94ad-a5229bb0f132","type":"BasicTicker"}},"id":"ec3b6108-7eea-4dbf-abd7-5f247cb0c6f6","type":"LinearAxis"},{"attributes":{"callback":null},"id":"68fa5e16-74fa-4a85-bfa2-b2056d3dd830","type":"DataRange1d"},{"attributes":{"data_source":{"id":"d86b67d7-2b31-49b7-b20b-030e764ffa11","type":"ColumnDataSource"},"glyph":{"id":"1f7aa9ee-4aaf-4a55-8259-a0de241ac93c","type":"Patches"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"6cc922d1-e34c-4124-9a3b-eb83ed00ce66","type":"Patches"},"selection_glyph":null,"view":{"id":"738f70ae-1d7a-4a44-be0d-ea51b152174d","type":"CDSView"}},"id":"caf76337-6720-4b05-98de-211e14efb730","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["ys","xs","line_color","line_alpha","fill_alpha","fill_color"],"data":{"fill_alpha":[0.8,0.3],"fill_color":["firebrick","navy"],"line_alpha":[0.8,0.3],"line_color":["firebrick","navy"],"xs":[[1,3,2],[3,4,6,6]],"ys":[[2,1,4],[4,7,8,5]]}},"id":"d86b67d7-2b31-49b7-b20b-030e764ffa11","type":"ColumnDataSource"},{"attributes":{},"id":"73a52388-432d-4ddb-94ad-a5229bb0f132","type":"BasicTicker"},{"attributes":{},"id":"1852887f-5888-4dea-856a-cc61af8b01b1","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"field":"fill_alpha"},"fill_color":{"field":"fill_color"},"line_alpha":{"field":"line_alpha"},"line_color":{"field":"line_color"},"line_width":{"value":2},"xs":{"field":"xs"},"ys":{"field":"ys"}},"id":"1f7aa9ee-4aaf-4a55-8259-a0de241ac93c","type":"Patches"},{"attributes":{"plot":null,"text":""},"id":"ad9af5df-a829-40ba-b1aa-657fbc9dd91f","type":"Title"},{"attributes":{},"id":"13bb31f0-0937-432d-80fb-6b479f689d27","type":"LinearScale"},{"attributes":{},"id":"f1891308-33d7-4b5b-9713-265c1b009e96","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"c91355c6-f1ee-46b3-8e30-6cf56803f324","subtype":"Figure","type":"Plot"},"ticker":{"id":"73a52388-432d-4ddb-94ad-a5229bb0f132","type":"BasicTicker"}},"id":"9bc1da44-6dc1-48c2-b39a-6b070e6c58fd","type":"Grid"},{"attributes":{"source":{"id":"d86b67d7-2b31-49b7-b20b-030e764ffa11","type":"ColumnDataSource"}},"id":"738f70ae-1d7a-4a44-be0d-ea51b152174d","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"0e9e0afd-01dd-4f19-8cea-edb6a69e92cd","type":"PanTool"},{"id":"f1891308-33d7-4b5b-9713-265c1b009e96","type":"WheelZoomTool"},{"id":"3fd10f6d-3fed-47bb-aca1-b2d50730a04b","type":"BoxZoomTool"},{"id":"01648264-4eea-4ea2-8508-029211c39c17","type":"SaveTool"},{"id":"d51c52df-3c89-4133-86c0-9cd657d646c5","type":"ResetTool"},{"id":"abbe2c50-34d8-41c9-89c8-e8db48cdc325","type":"HelpTool"}]},"id":"fc6ab52c-0d48-4d8a-b78a-24d3abe0be92","type":"Toolbar"},{"attributes":{"overlay":{"id":"7a8393cc-3f9a-4e40-9811-2cfd38df5ca2","type":"BoxAnnotation"}},"id":"3fd10f6d-3fed-47bb-aca1-b2d50730a04b","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"ec3b6108-7eea-4dbf-abd7-5f247cb0c6f6","type":"LinearAxis"}],"left":[{"id":"da9e5f2f-b146-4921-9869-b8208d572a50","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ec3b6108-7eea-4dbf-abd7-5f247cb0c6f6","type":"LinearAxis"},{"id":"9bc1da44-6dc1-48c2-b39a-6b070e6c58fd","type":"Grid"},{"id":"da9e5f2f-b146-4921-9869-b8208d572a50","type":"LinearAxis"},{"id":"a5af21ae-e45d-4c0b-aa38-e1a0af61c8b5","type":"Grid"},{"id":"7a8393cc-3f9a-4e40-9811-2cfd38df5ca2","type":"BoxAnnotation"},{"id":"caf76337-6720-4b05-98de-211e14efb730","type":"GlyphRenderer"}],"title":{"id":"ad9af5df-a829-40ba-b1aa-657fbc9dd91f","type":"Title"},"toolbar":{"id":"fc6ab52c-0d48-4d8a-b78a-24d3abe0be92","type":"Toolbar"},"x_range":{"id":"0c712952-1a2b-4a2a-836c-849be3d0fc1a","type":"DataRange1d"},"x_scale":{"id":"806519ca-8304-43a8-bbda-d493694db258","type":"LinearScale"},"y_range":{"id":"68fa5e16-74fa-4a85-bfa2-b2056d3dd830","type":"DataRange1d"},"y_scale":{"id":"13bb31f0-0937-432d-80fb-6b479f689d27","type":"LinearScale"}},"id":"c91355c6-f1ee-46b3-8e30-6cf56803f324","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7a8393cc-3f9a-4e40-9811-2cfd38df5ca2","type":"BoxAnnotation"},{"attributes":{},"id":"68c7303a-53da-490e-ae70-4397a5652364","type":"BasicTicker"},{"attributes":{},"id":"01648264-4eea-4ea2-8508-029211c39c17","type":"SaveTool"},{"attributes":{"formatter":{"id":"4cecfb1d-2823-4257-983c-ebbb85ba7fdc","type":"BasicTickFormatter"},"plot":{"id":"c91355c6-f1ee-46b3-8e30-6cf56803f324","subtype":"Figure","type":"Plot"},"ticker":{"id":"68c7303a-53da-490e-ae70-4397a5652364","type":"BasicTicker"}},"id":"da9e5f2f-b146-4921-9869-b8208d572a50","type":"LinearAxis"}],"root_ids":["c91355c6-f1ee-46b3-8e30-6cf56803f324"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f1a54b2d-b745-4e19-bd60-fceffee343e9","elementid":"d8cda37b-9c5f-4f1e-89d5-151bc725870b","modelid":"c91355c6-f1ee-46b3-8e30-6cf56803f324"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
