(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b2177427-5a0a-459d-aa70-19b5cdd344bb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b2177427-5a0a-459d-aa70-19b5cdd344bb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"98a41494-7df3-472f-823a-28b2f85ae87f":{"roots":{"references":[{"attributes":{"below":[{"id":"0896f5b2-4c3c-45f7-9222-35dd512e8e3a","type":"LinearAxis"}],"left":[{"id":"5c7a7a73-825d-4d33-9f45-40346ac782d7","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0896f5b2-4c3c-45f7-9222-35dd512e8e3a","type":"LinearAxis"},{"id":"db87f9e3-ed28-4e50-9aba-db778b047068","type":"Grid"},{"id":"5c7a7a73-825d-4d33-9f45-40346ac782d7","type":"LinearAxis"},{"id":"c5c51191-4294-4ded-b586-9f2af2dc53ef","type":"Grid"},{"id":"cb66c828-b935-4bf8-9b77-368a1d2f330a","type":"BoxAnnotation"},{"id":"37c6410f-3409-4d1a-b2aa-608a29dda363","type":"GlyphRenderer"}],"title":{"id":"8b8971a3-4d29-45a5-bb96-51c586299bd8","type":"Title"},"toolbar":{"id":"01b44ad9-8000-497e-887c-642a400f7fe0","type":"Toolbar"},"x_range":{"id":"cd262b8d-9c54-4522-8743-d753a806517b","type":"DataRange1d"},"x_scale":{"id":"d81cd347-93ac-4101-8c6b-5214819f1736","type":"LinearScale"},"y_range":{"id":"38355ca7-6f59-4f8f-8a2a-0ce58a8c3156","type":"DataRange1d"},"y_scale":{"id":"78b3635b-84f3-4ce0-82cc-62d813f2bc27","type":"LinearScale"}},"id":"f7e38b44-82db-466f-bf76-be168549129e","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"4025979e-be44-466a-8e1c-161ec1ca345a","type":"BasicTicker"},{"attributes":{},"id":"b85532a8-1507-419e-b343-959deac3c9f8","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5,6],"y":[6,7,5,"NaN",7,3,6]}},"id":"95442062-f814-4f0a-8ea4-d0a40a68de0a","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"f7e38b44-82db-466f-bf76-be168549129e","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed73e717-df67-49c9-97d2-97bea5937a92","type":"BasicTicker"}},"id":"db87f9e3-ed28-4e50-9aba-db778b047068","type":"Grid"},{"attributes":{},"id":"ff01673a-693f-4dcb-84ec-ffe8d428ec30","type":"ResetTool"},{"attributes":{"formatter":{"id":"f4fa3093-4620-4c0d-8846-be4d1ecf237a","type":"BasicTickFormatter"},"plot":{"id":"f7e38b44-82db-466f-bf76-be168549129e","subtype":"Figure","type":"Plot"},"ticker":{"id":"4025979e-be44-466a-8e1c-161ec1ca345a","type":"BasicTicker"}},"id":"5c7a7a73-825d-4d33-9f45-40346ac782d7","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d40d8272-fdfd-428b-a0bf-4e5e53705134","type":"Patch"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d33f5e29-3a23-4bac-854f-e4ea6221cf81","type":"Patch"},{"attributes":{"overlay":{"id":"cb66c828-b935-4bf8-9b77-368a1d2f330a","type":"BoxAnnotation"}},"id":"6fc18393-701d-429a-a019-375af007b4a8","type":"BoxZoomTool"},{"attributes":{},"id":"15934553-3ebc-46bd-941c-972236cb985f","type":"SaveTool"},{"attributes":{"data_source":{"id":"95442062-f814-4f0a-8ea4-d0a40a68de0a","type":"ColumnDataSource"},"glyph":{"id":"d33f5e29-3a23-4bac-854f-e4ea6221cf81","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d40d8272-fdfd-428b-a0bf-4e5e53705134","type":"Patch"},"selection_glyph":null,"view":{"id":"dc7b47d1-3489-44ff-8692-c81636a134ff","type":"CDSView"}},"id":"37c6410f-3409-4d1a-b2aa-608a29dda363","type":"GlyphRenderer"},{"attributes":{},"id":"ece8f9ef-8575-4ec1-9be3-1bf83afe993c","type":"WheelZoomTool"},{"attributes":{"source":{"id":"95442062-f814-4f0a-8ea4-d0a40a68de0a","type":"ColumnDataSource"}},"id":"dc7b47d1-3489-44ff-8692-c81636a134ff","type":"CDSView"},{"attributes":{},"id":"ed73e717-df67-49c9-97d2-97bea5937a92","type":"BasicTicker"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"cb66c828-b935-4bf8-9b77-368a1d2f330a","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"38355ca7-6f59-4f8f-8a2a-0ce58a8c3156","type":"DataRange1d"},{"attributes":{},"id":"d81cd347-93ac-4101-8c6b-5214819f1736","type":"LinearScale"},{"attributes":{},"id":"4828ce71-8a78-4520-ae7e-8c340c8f2ee9","type":"PanTool"},{"attributes":{},"id":"f4fa3093-4620-4c0d-8846-be4d1ecf237a","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"f7e38b44-82db-466f-bf76-be168549129e","subtype":"Figure","type":"Plot"},"ticker":{"id":"4025979e-be44-466a-8e1c-161ec1ca345a","type":"BasicTicker"}},"id":"c5c51191-4294-4ded-b586-9f2af2dc53ef","type":"Grid"},{"attributes":{},"id":"df9f2739-b36b-4d65-81a9-2044ee51ed7a","type":"HelpTool"},{"attributes":{},"id":"78b3635b-84f3-4ce0-82cc-62d813f2bc27","type":"LinearScale"},{"attributes":{"formatter":{"id":"b85532a8-1507-419e-b343-959deac3c9f8","type":"BasicTickFormatter"},"plot":{"id":"f7e38b44-82db-466f-bf76-be168549129e","subtype":"Figure","type":"Plot"},"ticker":{"id":"ed73e717-df67-49c9-97d2-97bea5937a92","type":"BasicTicker"}},"id":"0896f5b2-4c3c-45f7-9222-35dd512e8e3a","type":"LinearAxis"},{"attributes":{"callback":null},"id":"cd262b8d-9c54-4522-8743-d753a806517b","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"4828ce71-8a78-4520-ae7e-8c340c8f2ee9","type":"PanTool"},{"id":"ece8f9ef-8575-4ec1-9be3-1bf83afe993c","type":"WheelZoomTool"},{"id":"6fc18393-701d-429a-a019-375af007b4a8","type":"BoxZoomTool"},{"id":"15934553-3ebc-46bd-941c-972236cb985f","type":"SaveTool"},{"id":"ff01673a-693f-4dcb-84ec-ffe8d428ec30","type":"ResetTool"},{"id":"df9f2739-b36b-4d65-81a9-2044ee51ed7a","type":"HelpTool"}]},"id":"01b44ad9-8000-497e-887c-642a400f7fe0","type":"Toolbar"},{"attributes":{"plot":null,"text":""},"id":"8b8971a3-4d29-45a5-bb96-51c586299bd8","type":"Title"}],"root_ids":["f7e38b44-82db-466f-bf76-be168549129e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"98a41494-7df3-472f-823a-28b2f85ae87f","elementid":"b2177427-5a0a-459d-aa70-19b5cdd344bb","modelid":"f7e38b44-82db-466f-bf76-be168549129e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
