(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ae89f3b4-d344-4a8b-b992-d92ffd5cff9a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ae89f3b4-d344-4a8b-b992-d92ffd5cff9a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"80c7cae7-3319-46bb-bad3-abd43bc5c600":{"roots":{"references":[{"attributes":{},"id":"49604873-50eb-44dc-9094-86da2e612d00","type":"WheelZoomTool"},{"attributes":{"source":{"id":"d208f16d-3659-437e-a1a7-6772624181fc","type":"ColumnDataSource"}},"id":"15929a5c-475a-4690-90b0-fb73da11d01f","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"5da4851e-cd05-4094-9809-6f89bdb82486","subtype":"Figure","type":"Plot"},"ticker":{"id":"25377837-f579-42ac-af0d-a0b12d98123e","type":"BasicTicker"}},"id":"d16e07f7-473d-4400-a138-35c14710b036","type":"Grid"},{"attributes":{},"id":"556f7625-58ea-44bd-978d-5b1bca8337e0","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["width","y","x"],"data":{"width":[0.2,0.3,0.1],"x":[1,2,3],"y":[1,2,3]}},"id":"d208f16d-3659-437e-a1a7-6772624181fc","type":"ColumnDataSource"},{"attributes":{"plot":{"id":"5da4851e-cd05-4094-9809-6f89bdb82486","subtype":"Figure","type":"Plot"},"ticker":{"id":"0494897d-ee6b-4dd0-902d-8406d9b0dbb1","type":"BasicTicker"}},"id":"d0d7f483-72ad-43ce-99bd-cb99492655f0","type":"Grid"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"0dda75e8-c2c8-424c-84bc-25faee5df59d","type":"BoxAnnotation"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"units":"data","value":0.3},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"30ac8d61-b436-4a4c-8c51-5e73b34ef682","type":"Ellipse"},{"attributes":{"angle":{"units":"rad","value":1.0471975511965976},"fill_color":{"value":"#CAB2D6"},"height":{"units":"data","value":0.3},"line_color":{"value":"#CAB2D6"},"width":{"field":"width","units":"data"},"x":{"field":"x"},"y":{"field":"y"}},"id":"012d6031-d4be-4419-af07-3a1624746c2d","type":"Ellipse"},{"attributes":{},"id":"0494897d-ee6b-4dd0-902d-8406d9b0dbb1","type":"BasicTicker"},{"attributes":{},"id":"2d6337b0-92e1-430d-add0-39bf8b49da0f","type":"SaveTool"},{"attributes":{},"id":"3ac57fc0-3e84-4553-b6a9-0df8602bbd4c","type":"LinearScale"},{"attributes":{},"id":"6118e372-8298-4b54-b810-66503c706637","type":"PanTool"},{"attributes":{},"id":"25377837-f579-42ac-af0d-a0b12d98123e","type":"BasicTicker"},{"attributes":{},"id":"7b503688-9669-4250-a8fb-ff820cb708a4","type":"ResetTool"},{"attributes":{"callback":null},"id":"69b250f6-fd11-43ae-9dca-bde199586a52","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"ada5881f-e535-4bb6-9e0d-b49e55921b3e","type":"Title"},{"attributes":{"below":[{"id":"7a66d840-9797-471f-bb2d-b088ad207609","type":"LinearAxis"}],"left":[{"id":"c8b744e5-2189-4a50-a3e3-6ce27cf8d5e0","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7a66d840-9797-471f-bb2d-b088ad207609","type":"LinearAxis"},{"id":"d0d7f483-72ad-43ce-99bd-cb99492655f0","type":"Grid"},{"id":"c8b744e5-2189-4a50-a3e3-6ce27cf8d5e0","type":"LinearAxis"},{"id":"d16e07f7-473d-4400-a138-35c14710b036","type":"Grid"},{"id":"0dda75e8-c2c8-424c-84bc-25faee5df59d","type":"BoxAnnotation"},{"id":"1227595f-83d1-4af7-804c-c0470dd77741","type":"GlyphRenderer"}],"title":{"id":"ada5881f-e535-4bb6-9e0d-b49e55921b3e","type":"Title"},"toolbar":{"id":"601799e5-fbed-41b1-a635-8b81778d21aa","type":"Toolbar"},"x_range":{"id":"752c526a-3a61-4fce-a45d-43549b184846","type":"DataRange1d"},"x_scale":{"id":"3ac57fc0-3e84-4553-b6a9-0df8602bbd4c","type":"LinearScale"},"y_range":{"id":"69b250f6-fd11-43ae-9dca-bde199586a52","type":"DataRange1d"},"y_scale":{"id":"8d5d8a50-865b-4cec-b923-2992dcca9ca3","type":"LinearScale"}},"id":"5da4851e-cd05-4094-9809-6f89bdb82486","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"556f7625-58ea-44bd-978d-5b1bca8337e0","type":"BasicTickFormatter"},"plot":{"id":"5da4851e-cd05-4094-9809-6f89bdb82486","subtype":"Figure","type":"Plot"},"ticker":{"id":"25377837-f579-42ac-af0d-a0b12d98123e","type":"BasicTicker"}},"id":"c8b744e5-2189-4a50-a3e3-6ce27cf8d5e0","type":"LinearAxis"},{"attributes":{},"id":"7b90acbf-4d38-4610-866e-3b063f1a615e","type":"BasicTickFormatter"},{"attributes":{},"id":"8d5d8a50-865b-4cec-b923-2992dcca9ca3","type":"LinearScale"},{"attributes":{"overlay":{"id":"0dda75e8-c2c8-424c-84bc-25faee5df59d","type":"BoxAnnotation"}},"id":"7713b81f-2e0a-404d-94b3-75ac7d1f49f7","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"752c526a-3a61-4fce-a45d-43549b184846","type":"DataRange1d"},{"attributes":{"data_source":{"id":"d208f16d-3659-437e-a1a7-6772624181fc","type":"ColumnDataSource"},"glyph":{"id":"012d6031-d4be-4419-af07-3a1624746c2d","type":"Ellipse"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"30ac8d61-b436-4a4c-8c51-5e73b34ef682","type":"Ellipse"},"selection_glyph":null,"view":{"id":"15929a5c-475a-4690-90b0-fb73da11d01f","type":"CDSView"}},"id":"1227595f-83d1-4af7-804c-c0470dd77741","type":"GlyphRenderer"},{"attributes":{},"id":"b2494463-990e-49d4-88a4-4b58c1138dea","type":"HelpTool"},{"attributes":{"formatter":{"id":"7b90acbf-4d38-4610-866e-3b063f1a615e","type":"BasicTickFormatter"},"plot":{"id":"5da4851e-cd05-4094-9809-6f89bdb82486","subtype":"Figure","type":"Plot"},"ticker":{"id":"0494897d-ee6b-4dd0-902d-8406d9b0dbb1","type":"BasicTicker"}},"id":"7a66d840-9797-471f-bb2d-b088ad207609","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6118e372-8298-4b54-b810-66503c706637","type":"PanTool"},{"id":"49604873-50eb-44dc-9094-86da2e612d00","type":"WheelZoomTool"},{"id":"7713b81f-2e0a-404d-94b3-75ac7d1f49f7","type":"BoxZoomTool"},{"id":"2d6337b0-92e1-430d-add0-39bf8b49da0f","type":"SaveTool"},{"id":"7b503688-9669-4250-a8fb-ff820cb708a4","type":"ResetTool"},{"id":"b2494463-990e-49d4-88a4-4b58c1138dea","type":"HelpTool"}]},"id":"601799e5-fbed-41b1-a635-8b81778d21aa","type":"Toolbar"}],"root_ids":["5da4851e-cd05-4094-9809-6f89bdb82486"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"80c7cae7-3319-46bb-bad3-abd43bc5c600","elementid":"ae89f3b4-d344-4a8b-b992-d92ffd5cff9a","modelid":"5da4851e-cd05-4094-9809-6f89bdb82486"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
