(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9204c65b-3299-4879-aa23-c9b9d5ef8bf2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9204c65b-3299-4879-aa23-c9b9d5ef8bf2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0c65ba2b-12c7-48b3-a31b-0adb241dcecb":{"roots":{"references":[{"attributes":{},"id":"1e5160cc-bfc7-453d-b3fb-8b90dcc616f7","type":"BasicTicker"},{"attributes":{"formatter":{"id":"b89a7cc2-756c-471c-9fca-264a7a46d8ca","type":"BasicTickFormatter"},"plot":{"id":"434aa33a-3409-4d76-b95e-b258cba55e82","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a422030-ff53-43d6-b9bc-7afcdb6d5d3b","type":"BasicTicker"}},"id":"54cc2784-e9f3-46a5-8e19-868e1d3a09e2","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"a8d693e1-6512-43d4-a595-7224a2f5aa5e","type":"Title"},{"attributes":{"source":{"id":"22a00b44-bad1-4af0-a7b4-5e9ca9bc3cee","type":"ColumnDataSource"}},"id":"14be1301-e9fc-4a36-9383-44854d5abe1c","type":"CDSView"},{"attributes":{"data_source":{"id":"22a00b44-bad1-4af0-a7b4-5e9ca9bc3cee","type":"ColumnDataSource"},"glyph":{"id":"4c2986b1-baca-477e-84e7-5f832e3b9311","type":"Segment"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5648e901-83b3-4da9-bd30-4b985fcd99f4","type":"Segment"},"selection_glyph":null,"view":{"id":"14be1301-e9fc-4a36-9383-44854d5abe1c","type":"CDSView"}},"id":"34a4b2af-33b7-4cd0-a58b-7e40c5596c2f","type":"GlyphRenderer"},{"attributes":{},"id":"bdcb26e3-4b20-4647-a57f-49f6ea40f04a","type":"SaveTool"},{"attributes":{"line_color":{"value":"#F4A582"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"4c2986b1-baca-477e-84e7-5f832e3b9311","type":"Segment"},{"attributes":{},"id":"8a422030-ff53-43d6-b9bc-7afcdb6d5d3b","type":"BasicTicker"},{"attributes":{},"id":"e2390080-032d-4f30-a5d7-9d0e22a315c9","type":"ResetTool"},{"attributes":{"formatter":{"id":"36c66eb3-cc91-466f-ad53-cccb317932ac","type":"BasicTickFormatter"},"plot":{"id":"434aa33a-3409-4d76-b95e-b258cba55e82","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e5160cc-bfc7-453d-b3fb-8b90dcc616f7","type":"BasicTicker"}},"id":"049729f8-c430-4873-8458-16d33e2e73f5","type":"LinearAxis"},{"attributes":{"callback":null,"column_names":["y1","y0","x0","x1"],"data":{"x0":[1,2,3],"x1":[1.2,2.4,3.1],"y0":[1,2,3],"y1":[1.2,2.5,3.7]}},"id":"22a00b44-bad1-4af0-a7b4-5e9ca9bc3cee","type":"ColumnDataSource"},{"attributes":{},"id":"abb20a30-cba3-4172-8224-2f8d09036408","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"6a5e4a9a-1d28-41f4-ad80-f2b463785e24","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"634bf4b3-7cb5-46a3-b3d5-d8c6d601e17f","type":"PanTool"},{"id":"abb20a30-cba3-4172-8224-2f8d09036408","type":"WheelZoomTool"},{"id":"6e022390-97fd-4f88-8ca7-184fd7b93af7","type":"BoxZoomTool"},{"id":"bdcb26e3-4b20-4647-a57f-49f6ea40f04a","type":"SaveTool"},{"id":"e2390080-032d-4f30-a5d7-9d0e22a315c9","type":"ResetTool"},{"id":"4a2491af-09f8-4045-870b-725e8f029329","type":"HelpTool"}]},"id":"c9ec7a50-223d-4dfc-b0dd-9cf7b9b918a1","type":"Toolbar"},{"attributes":{"below":[{"id":"54cc2784-e9f3-46a5-8e19-868e1d3a09e2","type":"LinearAxis"}],"left":[{"id":"049729f8-c430-4873-8458-16d33e2e73f5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"54cc2784-e9f3-46a5-8e19-868e1d3a09e2","type":"LinearAxis"},{"id":"91f7b1a9-a883-4658-92b9-fa925e2025a0","type":"Grid"},{"id":"049729f8-c430-4873-8458-16d33e2e73f5","type":"LinearAxis"},{"id":"7d84a0c7-b744-4341-acd8-313fc8c0845f","type":"Grid"},{"id":"6a5e4a9a-1d28-41f4-ad80-f2b463785e24","type":"BoxAnnotation"},{"id":"34a4b2af-33b7-4cd0-a58b-7e40c5596c2f","type":"GlyphRenderer"}],"title":{"id":"a8d693e1-6512-43d4-a595-7224a2f5aa5e","type":"Title"},"toolbar":{"id":"c9ec7a50-223d-4dfc-b0dd-9cf7b9b918a1","type":"Toolbar"},"x_range":{"id":"ea7f4b32-f50a-413b-b33e-a1ee558e2868","type":"DataRange1d"},"x_scale":{"id":"be9889d2-0823-45f5-9a2a-8f489789a560","type":"LinearScale"},"y_range":{"id":"51e2c557-448f-4806-a66c-4ace502e0974","type":"DataRange1d"},"y_scale":{"id":"3bf632fe-abb7-44ef-999b-8f6bafd14e89","type":"LinearScale"}},"id":"434aa33a-3409-4d76-b95e-b258cba55e82","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"plot":{"id":"434aa33a-3409-4d76-b95e-b258cba55e82","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e5160cc-bfc7-453d-b3fb-8b90dcc616f7","type":"BasicTicker"}},"id":"7d84a0c7-b744-4341-acd8-313fc8c0845f","type":"Grid"},{"attributes":{"overlay":{"id":"6a5e4a9a-1d28-41f4-ad80-f2b463785e24","type":"BoxAnnotation"}},"id":"6e022390-97fd-4f88-8ca7-184fd7b93af7","type":"BoxZoomTool"},{"attributes":{"plot":{"id":"434aa33a-3409-4d76-b95e-b258cba55e82","subtype":"Figure","type":"Plot"},"ticker":{"id":"8a422030-ff53-43d6-b9bc-7afcdb6d5d3b","type":"BasicTicker"}},"id":"91f7b1a9-a883-4658-92b9-fa925e2025a0","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x0":{"field":"x0"},"x1":{"field":"x1"},"y0":{"field":"y0"},"y1":{"field":"y1"}},"id":"5648e901-83b3-4da9-bd30-4b985fcd99f4","type":"Segment"},{"attributes":{},"id":"be9889d2-0823-45f5-9a2a-8f489789a560","type":"LinearScale"},{"attributes":{},"id":"634bf4b3-7cb5-46a3-b3d5-d8c6d601e17f","type":"PanTool"},{"attributes":{"callback":null},"id":"ea7f4b32-f50a-413b-b33e-a1ee558e2868","type":"DataRange1d"},{"attributes":{},"id":"4a2491af-09f8-4045-870b-725e8f029329","type":"HelpTool"},{"attributes":{},"id":"36c66eb3-cc91-466f-ad53-cccb317932ac","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"51e2c557-448f-4806-a66c-4ace502e0974","type":"DataRange1d"},{"attributes":{},"id":"3bf632fe-abb7-44ef-999b-8f6bafd14e89","type":"LinearScale"},{"attributes":{},"id":"b89a7cc2-756c-471c-9fca-264a7a46d8ca","type":"BasicTickFormatter"}],"root_ids":["434aa33a-3409-4d76-b95e-b258cba55e82"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0c65ba2b-12c7-48b3-a31b-0adb241dcecb","elementid":"9204c65b-3299-4879-aa23-c9b9d5ef8bf2","modelid":"434aa33a-3409-4d76-b95e-b258cba55e82"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
