(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2c217973-4723-4f71-a9a1-1e35bc1f17f6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2c217973-4723-4f71-a9a1-1e35bc1f17f6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"2cf85451-8662-4c49-a1ae-43d73a633bf2":{"roots":{"references":[{"attributes":{},"id":"0046663a-ee9d-45a3-a02e-0bf53419312d","type":"BasicTicker"},{"attributes":{"formatter":{"id":"349be9f4-c7e1-4739-962c-705651861aaf","type":"BasicTickFormatter"},"plot":{"id":"c3026318-9bae-4a3c-a169-adc76a3dc9ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"0046663a-ee9d-45a3-a02e-0bf53419312d","type":"BasicTicker"}},"id":"6846a9c4-6388-4ebc-a7e2-cc729ec31830","type":"LinearAxis"},{"attributes":{"below":[{"id":"6846a9c4-6388-4ebc-a7e2-cc729ec31830","type":"LinearAxis"}],"left":[{"id":"88d82ae1-c483-4600-bef6-b640571e81d5","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6846a9c4-6388-4ebc-a7e2-cc729ec31830","type":"LinearAxis"},{"id":"d8b0418c-1740-43d9-b259-36f95af79d8a","type":"Grid"},{"id":"88d82ae1-c483-4600-bef6-b640571e81d5","type":"LinearAxis"},{"id":"c01f6060-6b53-43a3-be85-6aef5cc272ab","type":"Grid"},{"id":"e5bbf638-d306-4cb9-bb2a-334011586e5c","type":"BoxAnnotation"},{"id":"93b2a1fa-c0af-4a47-a5fa-80388d3d0b65","type":"GlyphRenderer"}],"title":{"id":"510abca1-3140-462c-8147-bbe8d9957640","type":"Title"},"toolbar":{"id":"12e68295-c56f-4b8c-903e-5088480b9855","type":"Toolbar"},"x_range":{"id":"5ec364d7-f5fa-4bd8-8e91-6a2ae9480efa","type":"DataRange1d"},"x_scale":{"id":"b317b8c2-a5db-4b48-b7a6-f773b1a09234","type":"LinearScale"},"y_range":{"id":"c5591932-d0fc-436b-a40f-64a7f90d8c01","type":"DataRange1d"},"y_scale":{"id":"ebfe9d9e-c903-462f-a845-cb4754f64bf5","type":"LinearScale"}},"id":"c3026318-9bae-4a3c-a169-adc76a3dc9ef","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"2fdd1724-b1df-4cbd-b7e1-6dea912ffd48","type":"PanTool"},{"attributes":{"callback":null,"column_names":["angle","y","x"],"data":{"angle":[30,45,60],"x":[1,2,3],"y":[1,2,3]}},"id":"e61dc655-3cd0-4dd8-b5e1-552566fe41a6","type":"ColumnDataSource"},{"attributes":{"overlay":{"id":"e5bbf638-d306-4cb9-bb2a-334011586e5c","type":"BoxAnnotation"}},"id":"6bf1efd2-a56a-44d0-b60d-69bdc74c0369","type":"BoxZoomTool"},{"attributes":{},"id":"198468d8-938b-4953-87eb-fffbbb0e7395","type":"BasicTicker"},{"attributes":{},"id":"679f6f59-37aa-4c94-9a3d-6beb6872bff0","type":"WheelZoomTool"},{"attributes":{},"id":"349be9f4-c7e1-4739-962c-705651861aaf","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"c3026318-9bae-4a3c-a169-adc76a3dc9ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"0046663a-ee9d-45a3-a02e-0bf53419312d","type":"BasicTicker"}},"id":"d8b0418c-1740-43d9-b259-36f95af79d8a","type":"Grid"},{"attributes":{},"id":"4cba4307-50c6-435f-bb7c-32bb3b98b201","type":"ResetTool"},{"attributes":{},"id":"b317b8c2-a5db-4b48-b7a6-f773b1a09234","type":"LinearScale"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_color":{"value":"#FB8072"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"61506c52-416c-46cf-a2dd-5b7735323b59","type":"Ray"},{"attributes":{"angle":{"field":"angle","units":"deg"},"length":{"units":"data","value":45},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"e6afd366-3786-4323-a52c-d470e39284d1","type":"Ray"},{"attributes":{"source":{"id":"e61dc655-3cd0-4dd8-b5e1-552566fe41a6","type":"ColumnDataSource"}},"id":"7ecbb0c7-045c-4a5d-bef9-006cb639674f","type":"CDSView"},{"attributes":{},"id":"4b563c7b-7b55-4ca8-9440-a0d043344323","type":"SaveTool"},{"attributes":{"callback":null},"id":"5ec364d7-f5fa-4bd8-8e91-6a2ae9480efa","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e5bbf638-d306-4cb9-bb2a-334011586e5c","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"2fdd1724-b1df-4cbd-b7e1-6dea912ffd48","type":"PanTool"},{"id":"679f6f59-37aa-4c94-9a3d-6beb6872bff0","type":"WheelZoomTool"},{"id":"6bf1efd2-a56a-44d0-b60d-69bdc74c0369","type":"BoxZoomTool"},{"id":"4b563c7b-7b55-4ca8-9440-a0d043344323","type":"SaveTool"},{"id":"4cba4307-50c6-435f-bb7c-32bb3b98b201","type":"ResetTool"},{"id":"cb9f3dc0-c0c0-495c-8085-3cd070e2ca4b","type":"HelpTool"}]},"id":"12e68295-c56f-4b8c-903e-5088480b9855","type":"Toolbar"},{"attributes":{"formatter":{"id":"c429d260-73b4-43be-80ff-c6d18093b48b","type":"BasicTickFormatter"},"plot":{"id":"c3026318-9bae-4a3c-a169-adc76a3dc9ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"198468d8-938b-4953-87eb-fffbbb0e7395","type":"BasicTicker"}},"id":"88d82ae1-c483-4600-bef6-b640571e81d5","type":"LinearAxis"},{"attributes":{},"id":"c429d260-73b4-43be-80ff-c6d18093b48b","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"c5591932-d0fc-436b-a40f-64a7f90d8c01","type":"DataRange1d"},{"attributes":{},"id":"cb9f3dc0-c0c0-495c-8085-3cd070e2ca4b","type":"HelpTool"},{"attributes":{"dimension":1,"plot":{"id":"c3026318-9bae-4a3c-a169-adc76a3dc9ef","subtype":"Figure","type":"Plot"},"ticker":{"id":"198468d8-938b-4953-87eb-fffbbb0e7395","type":"BasicTicker"}},"id":"c01f6060-6b53-43a3-be85-6aef5cc272ab","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"510abca1-3140-462c-8147-bbe8d9957640","type":"Title"},{"attributes":{},"id":"ebfe9d9e-c903-462f-a845-cb4754f64bf5","type":"LinearScale"},{"attributes":{"data_source":{"id":"e61dc655-3cd0-4dd8-b5e1-552566fe41a6","type":"ColumnDataSource"},"glyph":{"id":"61506c52-416c-46cf-a2dd-5b7735323b59","type":"Ray"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e6afd366-3786-4323-a52c-d470e39284d1","type":"Ray"},"selection_glyph":null,"view":{"id":"7ecbb0c7-045c-4a5d-bef9-006cb639674f","type":"CDSView"}},"id":"93b2a1fa-c0af-4a47-a5fa-80388d3d0b65","type":"GlyphRenderer"}],"root_ids":["c3026318-9bae-4a3c-a169-adc76a3dc9ef"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"2cf85451-8662-4c49-a1ae-43d73a633bf2","elementid":"2c217973-4723-4f71-a9a1-1e35bc1f17f6","modelid":"c3026318-9bae-4a3c-a169-adc76a3dc9ef"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
