(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("852cfd54-4fe2-40d8-ac23-d898cde1dfc7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '852cfd54-4fe2-40d8-ac23-d898cde1dfc7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9a98fe11-1d50-4317-9c55-c204285013d0":{"roots":{"references":[{"attributes":{},"id":"0f3b99cb-a62f-4ff9-8cca-efb7f0463950","type":"BasicTickFormatter"},{"attributes":{},"id":"5a5a1268-30ea-4bb4-bfb2-bfac3a297397","type":"WheelZoomTool"},{"attributes":{},"id":"7298975f-76ab-44c3-9f44-ff59df767068","type":"BasicTicker"},{"attributes":{},"id":"2410866d-087e-4aae-94aa-ce8911b3b486","type":"BasicTicker"},{"attributes":{"below":[{"id":"19e93e9b-a10f-4579-a81c-e57e1be35400","type":"LinearAxis"}],"left":[{"id":"c2c1f87a-e380-47a3-811b-c07b461464a2","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"19e93e9b-a10f-4579-a81c-e57e1be35400","type":"LinearAxis"},{"id":"b4cbf4ed-a930-4a39-add9-ffaabc6ab765","type":"Grid"},{"id":"c2c1f87a-e380-47a3-811b-c07b461464a2","type":"LinearAxis"},{"id":"67fafe29-c8d5-4ed5-95d9-2262e325224f","type":"Grid"},{"id":"328417c4-e0e0-4cfb-b918-e0661977ca1d","type":"BoxAnnotation"},{"id":"95ae3ef2-d77e-48c3-971e-339c818af658","type":"GlyphRenderer"}],"title":{"id":"8a346727-4976-45b6-bd65-9d47651d53d9","type":"Title"},"toolbar":{"id":"2a1a3d1f-72f5-4eec-838d-6925ef008fbd","type":"Toolbar"},"x_range":{"id":"c935c1b9-9664-4c24-b016-e52c42d0e24b","type":"DataRange1d"},"x_scale":{"id":"6e0d3805-d491-40f0-baf5-59f91efe237b","type":"LinearScale"},"y_range":{"id":"78962891-cb83-4743-a3ba-2986d62d3fd9","type":"DataRange1d"},"y_scale":{"id":"83b7dc2f-9a19-4dea-bf9e-296ea7b47d6f","type":"LinearScale"}},"id":"20714f06-ff3f-4eab-a5c8-d331b7705a32","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"8a346727-4976-45b6-bd65-9d47651d53d9","type":"Title"},{"attributes":{"callback":null},"id":"78962891-cb83-4743-a3ba-2986d62d3fd9","type":"DataRange1d"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"firebrick"},"line_alpha":{"value":0.6},"line_color":{"value":"firebrick"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"0aaf7619-2f2a-4d5b-8e82-a252af0eb7d1","type":"Wedge"},{"attributes":{},"id":"bbeef373-23b3-403e-91eb-dae5fbd8319c","type":"PanTool"},{"attributes":{},"id":"6e0d3805-d491-40f0-baf5-59f91efe237b","type":"LinearScale"},{"attributes":{"direction":"clock","end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.2},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"b8a771b8-49c8-46df-b4ff-9f18639ba439","type":"Wedge"},{"attributes":{"formatter":{"id":"17ad9256-1143-434c-b629-815d75656dda","type":"BasicTickFormatter"},"plot":{"id":"20714f06-ff3f-4eab-a5c8-d331b7705a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"2410866d-087e-4aae-94aa-ce8911b3b486","type":"BasicTicker"}},"id":"19e93e9b-a10f-4579-a81c-e57e1be35400","type":"LinearAxis"},{"attributes":{},"id":"34bcdab1-090d-45b0-bbe6-bb7c10aef887","type":"SaveTool"},{"attributes":{"plot":{"id":"20714f06-ff3f-4eab-a5c8-d331b7705a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"2410866d-087e-4aae-94aa-ce8911b3b486","type":"BasicTicker"}},"id":"b4cbf4ed-a930-4a39-add9-ffaabc6ab765","type":"Grid"},{"attributes":{"formatter":{"id":"0f3b99cb-a62f-4ff9-8cca-efb7f0463950","type":"BasicTickFormatter"},"plot":{"id":"20714f06-ff3f-4eab-a5c8-d331b7705a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"7298975f-76ab-44c3-9f44-ff59df767068","type":"BasicTicker"}},"id":"c2c1f87a-e380-47a3-811b-c07b461464a2","type":"LinearAxis"},{"attributes":{},"id":"e8020033-e932-4b83-9467-57106b88f37c","type":"HelpTool"},{"attributes":{"source":{"id":"43bc049a-fbba-4396-9d67-5f749b50958f","type":"ColumnDataSource"}},"id":"6b98dd2f-5e43-4be2-b13d-34400ab8ce68","type":"CDSView"},{"attributes":{},"id":"db75d807-79e0-4bcb-81d6-59fd740866ee","type":"ResetTool"},{"attributes":{"data_source":{"id":"43bc049a-fbba-4396-9d67-5f749b50958f","type":"ColumnDataSource"},"glyph":{"id":"0aaf7619-2f2a-4d5b-8e82-a252af0eb7d1","type":"Wedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b8a771b8-49c8-46df-b4ff-9f18639ba439","type":"Wedge"},"selection_glyph":null,"view":{"id":"6b98dd2f-5e43-4be2-b13d-34400ab8ce68","type":"CDSView"}},"id":"95ae3ef2-d77e-48c3-971e-339c818af658","type":"GlyphRenderer"},{"attributes":{},"id":"17ad9256-1143-434c-b629-815d75656dda","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"328417c4-e0e0-4cfb-b918-e0661977ca1d","type":"BoxAnnotation"}},"id":"fba74756-b73c-40d8-8f57-15e3e4f40f80","type":"BoxZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"20714f06-ff3f-4eab-a5c8-d331b7705a32","subtype":"Figure","type":"Plot"},"ticker":{"id":"7298975f-76ab-44c3-9f44-ff59df767068","type":"BasicTicker"}},"id":"67fafe29-c8d5-4ed5-95d9-2262e325224f","type":"Grid"},{"attributes":{},"id":"83b7dc2f-9a19-4dea-bf9e-296ea7b47d6f","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"43bc049a-fbba-4396-9d67-5f749b50958f","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bbeef373-23b3-403e-91eb-dae5fbd8319c","type":"PanTool"},{"id":"5a5a1268-30ea-4bb4-bfb2-bfac3a297397","type":"WheelZoomTool"},{"id":"fba74756-b73c-40d8-8f57-15e3e4f40f80","type":"BoxZoomTool"},{"id":"34bcdab1-090d-45b0-bbe6-bb7c10aef887","type":"SaveTool"},{"id":"db75d807-79e0-4bcb-81d6-59fd740866ee","type":"ResetTool"},{"id":"e8020033-e932-4b83-9467-57106b88f37c","type":"HelpTool"}]},"id":"2a1a3d1f-72f5-4eec-838d-6925ef008fbd","type":"Toolbar"},{"attributes":{"callback":null},"id":"c935c1b9-9664-4c24-b016-e52c42d0e24b","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"328417c4-e0e0-4cfb-b918-e0661977ca1d","type":"BoxAnnotation"}],"root_ids":["20714f06-ff3f-4eab-a5c8-d331b7705a32"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9a98fe11-1d50-4317-9c55-c204285013d0","elementid":"852cfd54-4fe2-40d8-ac23-d898cde1dfc7","modelid":"20714f06-ff3f-4eab-a5c8-d331b7705a32"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
