(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("e9959a6c-51af-4044-9acd-80fa4a97cbcf");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'e9959a6c-51af-4044-9acd-80fa4a97cbcf' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"8212f205-28e0-46bd-a5f8-8a0bd09ac175":{"roots":{"references":[{"attributes":{"below":[{"id":"ad11f5aa-d998-454c-9597-ac01ae7b74c7","type":"LinearAxis"}],"left":[{"id":"6ac00d63-06a6-4d24-aa2f-b2373b75c87b","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"ad11f5aa-d998-454c-9597-ac01ae7b74c7","type":"LinearAxis"},{"id":"fde776d2-89ae-44c8-b88d-0f814c4b23c6","type":"Grid"},{"id":"6ac00d63-06a6-4d24-aa2f-b2373b75c87b","type":"LinearAxis"},{"id":"da8326bc-246c-452b-bd22-1dfffb907ec8","type":"Grid"},{"id":"7602f323-b779-4f6d-bbfb-852afc0e99d8","type":"BoxAnnotation"},{"id":"34ce17fe-eebc-4506-8b3e-c51a80b97dcc","type":"GlyphRenderer"}],"title":{"id":"2d42f9de-3d4b-46a6-a917-f30e05691851","type":"Title"},"toolbar":{"id":"e67d076f-cd15-48a4-8599-756fc66a7702","type":"Toolbar"},"x_range":{"id":"ddb2ba6a-21e7-43a5-91ac-996494fbc48f","type":"DataRange1d"},"x_scale":{"id":"fd3f2895-dc14-4a2e-8c58-1e3b85407e7f","type":"LinearScale"},"y_range":{"id":"3772885f-d5c9-4f13-9448-9fb3957a80e8","type":"DataRange1d"},"y_scale":{"id":"c94e0d71-7748-4661-b86a-2ae570422298","type":"LinearScale"}},"id":"476e1ab9-93d4-4880-a95d-c7f106bd7f85","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"11c7ad6a-4ccf-418d-a724-15bb14785864","type":"BasicTickFormatter"},{"attributes":{},"id":"fd3f2895-dc14-4a2e-8c58-1e3b85407e7f","type":"LinearScale"},{"attributes":{"plot":{"id":"476e1ab9-93d4-4880-a95d-c7f106bd7f85","subtype":"Figure","type":"Plot"},"ticker":{"id":"b1e3b2fb-407e-40b2-bc9e-012da16d6bad","type":"BasicTicker"}},"id":"fde776d2-89ae-44c8-b88d-0f814c4b23c6","type":"Grid"},{"attributes":{},"id":"f6b2861f-41b0-417d-a2b2-01e23569bcc4","type":"BasicTickFormatter"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"35f2183f-ebe4-45d0-860f-343009dd4bbc","type":"AnnularWedge"},{"attributes":{"plot":null,"text":""},"id":"2d42f9de-3d4b-46a6-a917-f30e05691851","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7602f323-b779-4f6d-bbfb-852afc0e99d8","type":"BoxAnnotation"},{"attributes":{},"id":"52adf5b0-24c9-486e-9ec1-77f6f8e7b41c","type":"BasicTicker"},{"attributes":{"formatter":{"id":"f6b2861f-41b0-417d-a2b2-01e23569bcc4","type":"BasicTickFormatter"},"plot":{"id":"476e1ab9-93d4-4880-a95d-c7f106bd7f85","subtype":"Figure","type":"Plot"},"ticker":{"id":"b1e3b2fb-407e-40b2-bc9e-012da16d6bad","type":"BasicTicker"}},"id":"ad11f5aa-d998-454c-9597-ac01ae7b74c7","type":"LinearAxis"},{"attributes":{"end_angle":{"units":"rad","value":4.8},"fill_alpha":{"value":0.6},"fill_color":{"value":"green"},"inner_radius":{"units":"data","value":0.1},"line_alpha":{"value":0.6},"line_color":{"value":"green"},"outer_radius":{"units":"data","value":0.25},"start_angle":{"units":"rad","value":0.4},"x":{"field":"x"},"y":{"field":"y"}},"id":"14fd00f4-7412-409c-b89a-b90c4211b214","type":"AnnularWedge"},{"attributes":{"callback":null},"id":"ddb2ba6a-21e7-43a5-91ac-996494fbc48f","type":"DataRange1d"},{"attributes":{"overlay":{"id":"7602f323-b779-4f6d-bbfb-852afc0e99d8","type":"BoxAnnotation"}},"id":"59453419-c6c4-450d-88f7-1d89233f801d","type":"BoxZoomTool"},{"attributes":{"source":{"id":"630df486-c5fd-4154-aee1-cbeede428e0c","type":"ColumnDataSource"}},"id":"2086df58-75dd-446d-81ee-484d0acde97e","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"476e1ab9-93d4-4880-a95d-c7f106bd7f85","subtype":"Figure","type":"Plot"},"ticker":{"id":"52adf5b0-24c9-486e-9ec1-77f6f8e7b41c","type":"BasicTicker"}},"id":"da8326bc-246c-452b-bd22-1dfffb907ec8","type":"Grid"},{"attributes":{},"id":"c94e0d71-7748-4661-b86a-2ae570422298","type":"LinearScale"},{"attributes":{"formatter":{"id":"11c7ad6a-4ccf-418d-a724-15bb14785864","type":"BasicTickFormatter"},"plot":{"id":"476e1ab9-93d4-4880-a95d-c7f106bd7f85","subtype":"Figure","type":"Plot"},"ticker":{"id":"52adf5b0-24c9-486e-9ec1-77f6f8e7b41c","type":"BasicTicker"}},"id":"6ac00d63-06a6-4d24-aa2f-b2373b75c87b","type":"LinearAxis"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"87fc6d59-0718-4483-bab9-949d9001890a","type":"PanTool"},{"id":"601dc9a5-fe40-4004-86aa-399fd739e744","type":"WheelZoomTool"},{"id":"59453419-c6c4-450d-88f7-1d89233f801d","type":"BoxZoomTool"},{"id":"51ad6eca-84b0-46eb-9e9d-1435279f8fb2","type":"SaveTool"},{"id":"0e84a6af-4bd7-491b-9bc1-2f8a50b61e91","type":"ResetTool"},{"id":"32d73053-92f0-4bf6-8e2f-c3326eee8e5f","type":"HelpTool"}]},"id":"e67d076f-cd15-48a4-8599-756fc66a7702","type":"Toolbar"},{"attributes":{"callback":null},"id":"3772885f-d5c9-4f13-9448-9fb3957a80e8","type":"DataRange1d"},{"attributes":{},"id":"0e84a6af-4bd7-491b-9bc1-2f8a50b61e91","type":"ResetTool"},{"attributes":{},"id":"601dc9a5-fe40-4004-86aa-399fd739e744","type":"WheelZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3],"y":[1,2,3]}},"id":"630df486-c5fd-4154-aee1-cbeede428e0c","type":"ColumnDataSource"},{"attributes":{"data_source":{"id":"630df486-c5fd-4154-aee1-cbeede428e0c","type":"ColumnDataSource"},"glyph":{"id":"14fd00f4-7412-409c-b89a-b90c4211b214","type":"AnnularWedge"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"35f2183f-ebe4-45d0-860f-343009dd4bbc","type":"AnnularWedge"},"selection_glyph":null,"view":{"id":"2086df58-75dd-446d-81ee-484d0acde97e","type":"CDSView"}},"id":"34ce17fe-eebc-4506-8b3e-c51a80b97dcc","type":"GlyphRenderer"},{"attributes":{},"id":"87fc6d59-0718-4483-bab9-949d9001890a","type":"PanTool"},{"attributes":{},"id":"51ad6eca-84b0-46eb-9e9d-1435279f8fb2","type":"SaveTool"},{"attributes":{},"id":"b1e3b2fb-407e-40b2-bc9e-012da16d6bad","type":"BasicTicker"},{"attributes":{},"id":"32d73053-92f0-4bf6-8e2f-c3326eee8e5f","type":"HelpTool"}],"root_ids":["476e1ab9-93d4-4880-a95d-c7f106bd7f85"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"8212f205-28e0-46bd-a5f8-8a0bd09ac175","elementid":"e9959a6c-51af-4044-9acd-80fa4a97cbcf","modelid":"476e1ab9-93d4-4880-a95d-c7f106bd7f85"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
