(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("44329aa5-00fa-4905-9068-99663cef7e8d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '44329aa5-00fa-4905-9068-99663cef7e8d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"9076f43e-4928-41d2-84b9-9970ff56e0f0":{"roots":{"references":[{"attributes":{"formatter":{"id":"baaad3e6-fd45-4202-a5f5-14dc371c59d3","type":"BasicTickFormatter"},"plot":{"id":"54b9845b-97b3-44ed-bd20-d28b700872b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a3716ce-43f5-4982-9795-50dbd88db0b0","type":"BasicTicker"}},"id":"1a1bb480-bd21-47e7-b601-699b00ec6455","type":"LinearAxis"},{"attributes":{},"id":"baaad3e6-fd45-4202-a5f5-14dc371c59d3","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"f1a64f39-81cc-427f-97f1-249c15529abe","type":"ColumnDataSource"}},"id":"6ca63c5d-31cc-4c33-a12e-6e13c9cecd74","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"598ac7e4-26ff-4ff6-b358-9aa1e2949f37","type":"Line"},{"attributes":{"dimension":1,"plot":{"id":"54b9845b-97b3-44ed-bd20-d28b700872b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"1a3716ce-43f5-4982-9795-50dbd88db0b0","type":"BasicTicker"}},"id":"a6cee4da-1970-44f9-b758-cea673f841d6","type":"Grid"},{"attributes":{},"id":"89120e83-c34e-4e60-9c76-4c9087db98c4","type":"PanTool"},{"attributes":{},"id":"1a3716ce-43f5-4982-9795-50dbd88db0b0","type":"BasicTicker"},{"attributes":{},"id":"ef3d03c1-6892-453a-81f7-d0e04f1e2ff0","type":"HelpTool"},{"attributes":{"below":[{"id":"d042ae86-3581-4487-adc5-614583e149f7","type":"LinearAxis"}],"left":[{"id":"1a1bb480-bd21-47e7-b601-699b00ec6455","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"d042ae86-3581-4487-adc5-614583e149f7","type":"LinearAxis"},{"id":"61f038cc-9610-494a-bdf4-61c1ad8547f8","type":"Grid"},{"id":"1a1bb480-bd21-47e7-b601-699b00ec6455","type":"LinearAxis"},{"id":"a6cee4da-1970-44f9-b758-cea673f841d6","type":"Grid"},{"id":"c0ddf0e3-0db5-40cf-ab0d-aad8c21fe220","type":"BoxAnnotation"},{"id":"4b01e5d7-365c-434b-b8da-e607ac749971","type":"GlyphRenderer"}],"title":{"id":"8242129f-bc41-48b3-b65c-0c6c1ce7b9cf","type":"Title"},"toolbar":{"id":"d919ea4a-65d3-4a12-983f-5a7bf9b991d0","type":"Toolbar"},"x_range":{"id":"29868e5c-a4d7-44ea-8271-e1d6d4b964cd","type":"DataRange1d"},"x_scale":{"id":"4697bff4-083e-4c67-a5c5-931c04f6741e","type":"LinearScale"},"y_range":{"id":"c0e7e706-a09e-4cfa-ab56-0b597896a08d","type":"DataRange1d"},"y_scale":{"id":"22b594ec-8880-477d-9d7b-d9da5fdc78c5","type":"LinearScale"}},"id":"54b9845b-97b3-44ed-bd20-d28b700872b8","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"8242129f-bc41-48b3-b65c-0c6c1ce7b9cf","type":"Title"},{"attributes":{"formatter":{"id":"081c34dc-dc9f-4649-881e-34bf01be394b","type":"BasicTickFormatter"},"plot":{"id":"54b9845b-97b3-44ed-bd20-d28b700872b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"b08bf331-9401-469f-a389-5a836fecd938","type":"BasicTicker"}},"id":"d042ae86-3581-4487-adc5-614583e149f7","type":"LinearAxis"},{"attributes":{"plot":{"id":"54b9845b-97b3-44ed-bd20-d28b700872b8","subtype":"Figure","type":"Plot"},"ticker":{"id":"b08bf331-9401-469f-a389-5a836fecd938","type":"BasicTicker"}},"id":"61f038cc-9610-494a-bdf4-61c1ad8547f8","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,2,4,5]}},"id":"f1a64f39-81cc-427f-97f1-249c15529abe","type":"ColumnDataSource"},{"attributes":{},"id":"b08bf331-9401-469f-a389-5a836fecd938","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"89120e83-c34e-4e60-9c76-4c9087db98c4","type":"PanTool"},{"id":"6f7155fe-9f25-442d-baa1-4a82bdddef3c","type":"WheelZoomTool"},{"id":"e0b48ca9-1166-4d64-9796-b613cb33a6f4","type":"BoxZoomTool"},{"id":"0894a79c-3f35-49f0-8de1-dbe52860dd84","type":"SaveTool"},{"id":"c5b762ad-5d94-404f-8771-265962e5b98f","type":"ResetTool"},{"id":"ef3d03c1-6892-453a-81f7-d0e04f1e2ff0","type":"HelpTool"}]},"id":"d919ea4a-65d3-4a12-983f-5a7bf9b991d0","type":"Toolbar"},{"attributes":{"callback":null},"id":"c0e7e706-a09e-4cfa-ab56-0b597896a08d","type":"DataRange1d"},{"attributes":{},"id":"0894a79c-3f35-49f0-8de1-dbe52860dd84","type":"SaveTool"},{"attributes":{"callback":null},"id":"29868e5c-a4d7-44ea-8271-e1d6d4b964cd","type":"DataRange1d"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"67b3a883-9e6d-4323-a291-766deef756cb","type":"Line"},{"attributes":{},"id":"c5b762ad-5d94-404f-8771-265962e5b98f","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c0ddf0e3-0db5-40cf-ab0d-aad8c21fe220","type":"BoxAnnotation"},{"attributes":{},"id":"4697bff4-083e-4c67-a5c5-931c04f6741e","type":"LinearScale"},{"attributes":{"data_source":{"id":"f1a64f39-81cc-427f-97f1-249c15529abe","type":"ColumnDataSource"},"glyph":{"id":"67b3a883-9e6d-4323-a291-766deef756cb","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"598ac7e4-26ff-4ff6-b358-9aa1e2949f37","type":"Line"},"selection_glyph":null,"view":{"id":"6ca63c5d-31cc-4c33-a12e-6e13c9cecd74","type":"CDSView"}},"id":"4b01e5d7-365c-434b-b8da-e607ac749971","type":"GlyphRenderer"},{"attributes":{},"id":"081c34dc-dc9f-4649-881e-34bf01be394b","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"c0ddf0e3-0db5-40cf-ab0d-aad8c21fe220","type":"BoxAnnotation"}},"id":"e0b48ca9-1166-4d64-9796-b613cb33a6f4","type":"BoxZoomTool"},{"attributes":{},"id":"6f7155fe-9f25-442d-baa1-4a82bdddef3c","type":"WheelZoomTool"},{"attributes":{},"id":"22b594ec-8880-477d-9d7b-d9da5fdc78c5","type":"LinearScale"}],"root_ids":["54b9845b-97b3-44ed-bd20-d28b700872b8"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"9076f43e-4928-41d2-84b9-9970ff56e0f0","elementid":"44329aa5-00fa-4905-9068-99663cef7e8d","modelid":"54b9845b-97b3-44ed-bd20-d28b700872b8"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
