(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("8935b4fb-9303-40c5-a94c-c59f71824062");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '8935b4fb-9303-40c5-a94c-c59f71824062' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c4cef909-f359-45b5-8680-0cfda0fe5e10":{"roots":{"references":[{"attributes":{"formatter":{"id":"72ac4d2e-9352-43d0-b4d4-032db285b905","type":"LogTickFormatter"},"plot":{"id":"e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a039c91-a56b-4384-b59f-289bb29c7f81","type":"LogTicker"}},"id":"2f3732de-9c64-431d-8f69-419cc5d77739","type":"LogAxis"},{"attributes":{"ticker":null},"id":"72ac4d2e-9352-43d0-b4d4-032db285b905","type":"LogTickFormatter"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"5958792b-2f0d-4ad8-9395-9a4066076da9","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993","subtype":"Figure","type":"Plot"},"ticker":{"id":"9a039c91-a56b-4384-b59f-289bb29c7f81","type":"LogTicker"}},"id":"a095caaf-1ed6-41f7-b7cd-d6cd82b9a141","type":"Grid"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"91d97861-5980-49e4-97e3-7d7bf5446776","type":"Line"},{"attributes":{"callback":null},"id":"f85b08c1-f0ac-43f4-9c60-e1966f456240","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"709dffb8-baac-4037-bb15-3059b74243c9","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"f01f78d3-16e6-4873-9c8a-24a8f120664d","type":"Circle"},{"attributes":{"overlay":{"id":"8e8ca0d2-78aa-4c33-9b45-dde2428ee69f","type":"BoxAnnotation"}},"id":"42a92335-28dc-4575-afad-003970a61941","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"3b7e987d-f664-4124-b0f3-24b9352eafe2","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"957ff983-8bd4-45e3-86bd-8817f74fb16b","type":"PanTool"},{"id":"0886793e-c1fa-4989-a247-38201f598914","type":"WheelZoomTool"},{"id":"42a92335-28dc-4575-afad-003970a61941","type":"BoxZoomTool"},{"id":"bc55560b-d2a0-4713-b9b2-28856fb88470","type":"SaveTool"},{"id":"de716b41-9574-4502-a783-4a62c5a7c984","type":"ResetTool"},{"id":"0bc99be4-2e22-4f4d-9806-e6cbda7e8326","type":"HelpTool"}]},"id":"5fd4fd60-b6cb-41cc-87e4-7ae9a7d91d08","type":"Toolbar"},{"attributes":{"callback":null},"id":"914bd49d-4cae-4d68-b511-1656c806bba3","type":"DataRange1d"},{"attributes":{},"id":"0886793e-c1fa-4989-a247-38201f598914","type":"WheelZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"8e8ca0d2-78aa-4c33-9b45-dde2428ee69f","type":"BoxAnnotation"},{"attributes":{},"id":"bc55560b-d2a0-4713-b9b2-28856fb88470","type":"SaveTool"},{"attributes":{"data_source":{"id":"709dffb8-baac-4037-bb15-3059b74243c9","type":"ColumnDataSource"},"glyph":{"id":"267a114f-6842-4bff-b41a-956932eed03c","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"91d97861-5980-49e4-97e3-7d7bf5446776","type":"Line"},"selection_glyph":null,"view":{"id":"167cf65d-206f-46b8-a79c-6a6676ca42a5","type":"CDSView"}},"id":"06d4c751-a591-47b5-b6db-f98d80a6c58d","type":"GlyphRenderer"},{"attributes":{"source":{"id":"709dffb8-baac-4037-bb15-3059b74243c9","type":"ColumnDataSource"}},"id":"167cf65d-206f-46b8-a79c-6a6676ca42a5","type":"CDSView"},{"attributes":{},"id":"de716b41-9574-4502-a783-4a62c5a7c984","type":"ResetTool"},{"attributes":{},"id":"d32a4ce2-64a4-4d5b-8c37-e44ad41f79f0","type":"LinearScale"},{"attributes":{"formatter":{"id":"27e66dd6-7440-4247-b50d-64ba3a268b6f","type":"BasicTickFormatter"},"plot":{"id":"e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993","subtype":"Figure","type":"Plot"},"ticker":{"id":"287d87f1-70a6-4238-8ba6-cf8bc081f02a","type":"BasicTicker"}},"id":"3c877976-6b3f-4e1d-a2c8-b2cac61f13bf","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"1fa8e4fe-e8ac-4ae1-a011-3abec81bb4fa","type":"Title"},{"attributes":{"below":[{"id":"3c877976-6b3f-4e1d-a2c8-b2cac61f13bf","type":"LinearAxis"}],"left":[{"id":"2f3732de-9c64-431d-8f69-419cc5d77739","type":"LogAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3c877976-6b3f-4e1d-a2c8-b2cac61f13bf","type":"LinearAxis"},{"id":"aef1a1b4-5990-482e-82fc-f515c1bd92eb","type":"Grid"},{"id":"2f3732de-9c64-431d-8f69-419cc5d77739","type":"LogAxis"},{"id":"a095caaf-1ed6-41f7-b7cd-d6cd82b9a141","type":"Grid"},{"id":"8e8ca0d2-78aa-4c33-9b45-dde2428ee69f","type":"BoxAnnotation"},{"id":"06d4c751-a591-47b5-b6db-f98d80a6c58d","type":"GlyphRenderer"},{"id":"4d0a5a8a-a272-4307-9c86-dc7dfbb2efad","type":"GlyphRenderer"}],"title":{"id":"1fa8e4fe-e8ac-4ae1-a011-3abec81bb4fa","type":"Title"},"toolbar":{"id":"5fd4fd60-b6cb-41cc-87e4-7ae9a7d91d08","type":"Toolbar"},"x_range":{"id":"f85b08c1-f0ac-43f4-9c60-e1966f456240","type":"DataRange1d"},"x_scale":{"id":"d32a4ce2-64a4-4d5b-8c37-e44ad41f79f0","type":"LinearScale"},"y_range":{"id":"914bd49d-4cae-4d68-b511-1656c806bba3","type":"DataRange1d"},"y_scale":{"id":"19416031-c398-4a84-a96a-6de48bb9240b","type":"LogScale"}},"id":"e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993","subtype":"Figure","type":"Plot"},{"attributes":{"plot":{"id":"e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993","subtype":"Figure","type":"Plot"},"ticker":{"id":"287d87f1-70a6-4238-8ba6-cf8bc081f02a","type":"BasicTicker"}},"id":"aef1a1b4-5990-482e-82fc-f515c1bd92eb","type":"Grid"},{"attributes":{"data_source":{"id":"3b7e987d-f664-4124-b0f3-24b9352eafe2","type":"ColumnDataSource"},"glyph":{"id":"5958792b-2f0d-4ad8-9395-9a4066076da9","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f01f78d3-16e6-4873-9c8a-24a8f120664d","type":"Circle"},"selection_glyph":null,"view":{"id":"37736b53-72ae-4915-bbb1-23cd4b97664a","type":"CDSView"}},"id":"4d0a5a8a-a272-4307-9c86-dc7dfbb2efad","type":"GlyphRenderer"},{"attributes":{},"id":"0bc99be4-2e22-4f4d-9806-e6cbda7e8326","type":"HelpTool"},{"attributes":{},"id":"957ff983-8bd4-45e3-86bd-8817f74fb16b","type":"PanTool"},{"attributes":{},"id":"19416031-c398-4a84-a96a-6de48bb9240b","type":"LogScale"},{"attributes":{"num_minor_ticks":10},"id":"9a039c91-a56b-4384-b59f-289bb29c7f81","type":"LogTicker"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"267a114f-6842-4bff-b41a-956932eed03c","type":"Line"},{"attributes":{},"id":"287d87f1-70a6-4238-8ba6-cf8bc081f02a","type":"BasicTicker"},{"attributes":{"source":{"id":"3b7e987d-f664-4124-b0f3-24b9352eafe2","type":"ColumnDataSource"}},"id":"37736b53-72ae-4915-bbb1-23cd4b97664a","type":"CDSView"},{"attributes":{},"id":"27e66dd6-7440-4247-b50d-64ba3a268b6f","type":"BasicTickFormatter"}],"root_ids":["e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c4cef909-f359-45b5-8680-0cfda0fe5e10","elementid":"8935b4fb-9303-40c5-a94c-c59f71824062","modelid":"e34b03c0-8ebb-4ab8-b64e-c75bf0b1d993"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
