(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("08abfe66-3944-4621-b657-9b6b4a11389f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '08abfe66-3944-4621-b657-9b6b4a11389f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"33a3df45-e080-408b-8bb2-210dec5c6770":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"2e7b973b-ebb1-42ce-bc2e-8ebf79adeba4","type":"Title"},{"attributes":{"data_source":{"id":"42e4557d-7b20-401b-bef0-a54d7bd00c61","type":"ColumnDataSource"},"glyph":{"id":"06df3172-f2f0-4cdb-9f9f-376342b126bb","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d1bcaa95-778d-453d-99f3-d99da8622769","type":"Line"},"selection_glyph":null,"view":{"id":"5cdafa31-7e21-4183-929f-2e06469324d3","type":"CDSView"}},"id":"8d9882ef-6d3b-4d07-b718-8c394b1d2fd6","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"69afe3fa-0e2b-42cb-a407-61c39614e190","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,"NaN",4,5],"y":[6,7,2,4,4,5]}},"id":"42e4557d-7b20-401b-bef0-a54d7bd00c61","type":"ColumnDataSource"},{"attributes":{},"id":"df3b4180-cf78-4e57-af38-a94820906f07","type":"LinearScale"},{"attributes":{},"id":"e5390d67-2e02-448d-a90c-7e296f1b9f56","type":"ResetTool"},{"attributes":{},"id":"c2883c2b-4756-4562-8bae-6c75b1020cad","type":"PanTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"c9716650-7b47-4ba8-8f2e-1dc6494ebcce","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"0ae02671-740d-4d37-9251-251b792f3be3","subtype":"Figure","type":"Plot"},"ticker":{"id":"808090b5-590c-411b-84d3-d49ac9af9613","type":"BasicTicker"}},"id":"b56cf4d1-f48d-40fe-b3ec-0493cdf55391","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"0ae02671-740d-4d37-9251-251b792f3be3","subtype":"Figure","type":"Plot"},"ticker":{"id":"a1271c4a-2bea-4305-8f3d-44bc7d4471b6","type":"BasicTicker"}},"id":"50bc5f0e-398a-4b6d-b892-411daf28d65c","type":"Grid"},{"attributes":{},"id":"b47f1122-a1fb-4ed0-8957-1d57bc40ad2e","type":"BasicTickFormatter"},{"attributes":{},"id":"cb60a275-c819-499b-a5b2-5b39e3ee3eee","type":"HelpTool"},{"attributes":{"formatter":{"id":"f327dbcd-ebc0-4ee6-a36c-1698f3b71547","type":"BasicTickFormatter"},"plot":{"id":"0ae02671-740d-4d37-9251-251b792f3be3","subtype":"Figure","type":"Plot"},"ticker":{"id":"a1271c4a-2bea-4305-8f3d-44bc7d4471b6","type":"BasicTicker"}},"id":"9289493c-0948-42c5-9e47-28681ee7b926","type":"LinearAxis"},{"attributes":{},"id":"808090b5-590c-411b-84d3-d49ac9af9613","type":"BasicTicker"},{"attributes":{"below":[{"id":"fc90bc26-2f05-4652-8505-eec7e1ae03bf","type":"LinearAxis"}],"left":[{"id":"9289493c-0948-42c5-9e47-28681ee7b926","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"fc90bc26-2f05-4652-8505-eec7e1ae03bf","type":"LinearAxis"},{"id":"b56cf4d1-f48d-40fe-b3ec-0493cdf55391","type":"Grid"},{"id":"9289493c-0948-42c5-9e47-28681ee7b926","type":"LinearAxis"},{"id":"50bc5f0e-398a-4b6d-b892-411daf28d65c","type":"Grid"},{"id":"c9716650-7b47-4ba8-8f2e-1dc6494ebcce","type":"BoxAnnotation"},{"id":"8d9882ef-6d3b-4d07-b718-8c394b1d2fd6","type":"GlyphRenderer"}],"title":{"id":"2e7b973b-ebb1-42ce-bc2e-8ebf79adeba4","type":"Title"},"toolbar":{"id":"55c4ed48-ed59-4a12-8681-3cf0642bac13","type":"Toolbar"},"x_range":{"id":"69afe3fa-0e2b-42cb-a407-61c39614e190","type":"DataRange1d"},"x_scale":{"id":"f3251973-9e25-4175-9654-f3c844887263","type":"LinearScale"},"y_range":{"id":"88482cb1-681b-44bf-a7a7-bd75408b98b3","type":"DataRange1d"},"y_scale":{"id":"df3b4180-cf78-4e57-af38-a94820906f07","type":"LinearScale"}},"id":"0ae02671-740d-4d37-9251-251b792f3be3","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"a1271c4a-2bea-4305-8f3d-44bc7d4471b6","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"c2883c2b-4756-4562-8bae-6c75b1020cad","type":"PanTool"},{"id":"2ed40baf-47c0-4948-ad71-b4f9d65ad759","type":"WheelZoomTool"},{"id":"890003e1-de09-488c-8f8d-c6b1a09fdaca","type":"BoxZoomTool"},{"id":"9dec0f9f-1662-46d4-bf62-57f63b8a3f6e","type":"SaveTool"},{"id":"e5390d67-2e02-448d-a90c-7e296f1b9f56","type":"ResetTool"},{"id":"cb60a275-c819-499b-a5b2-5b39e3ee3eee","type":"HelpTool"}]},"id":"55c4ed48-ed59-4a12-8681-3cf0642bac13","type":"Toolbar"},{"attributes":{},"id":"2ed40baf-47c0-4948-ad71-b4f9d65ad759","type":"WheelZoomTool"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"06df3172-f2f0-4cdb-9f9f-376342b126bb","type":"Line"},{"attributes":{"formatter":{"id":"b47f1122-a1fb-4ed0-8957-1d57bc40ad2e","type":"BasicTickFormatter"},"plot":{"id":"0ae02671-740d-4d37-9251-251b792f3be3","subtype":"Figure","type":"Plot"},"ticker":{"id":"808090b5-590c-411b-84d3-d49ac9af9613","type":"BasicTicker"}},"id":"fc90bc26-2f05-4652-8505-eec7e1ae03bf","type":"LinearAxis"},{"attributes":{"callback":null},"id":"88482cb1-681b-44bf-a7a7-bd75408b98b3","type":"DataRange1d"},{"attributes":{"overlay":{"id":"c9716650-7b47-4ba8-8f2e-1dc6494ebcce","type":"BoxAnnotation"}},"id":"890003e1-de09-488c-8f8d-c6b1a09fdaca","type":"BoxZoomTool"},{"attributes":{},"id":"9dec0f9f-1662-46d4-bf62-57f63b8a3f6e","type":"SaveTool"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"d1bcaa95-778d-453d-99f3-d99da8622769","type":"Line"},{"attributes":{},"id":"f327dbcd-ebc0-4ee6-a36c-1698f3b71547","type":"BasicTickFormatter"},{"attributes":{},"id":"f3251973-9e25-4175-9654-f3c844887263","type":"LinearScale"},{"attributes":{"source":{"id":"42e4557d-7b20-401b-bef0-a54d7bd00c61","type":"ColumnDataSource"}},"id":"5cdafa31-7e21-4183-929f-2e06469324d3","type":"CDSView"}],"root_ids":["0ae02671-740d-4d37-9251-251b792f3be3"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"33a3df45-e080-408b-8bb2-210dec5c6770","elementid":"08abfe66-3944-4621-b657-9b6b4a11389f","modelid":"0ae02671-740d-4d37-9251-251b792f3be3"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
