(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f17aabba-692a-4002-b3e3-fa07a29ba859");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f17aabba-692a-4002-b3e3-fa07a29ba859' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"e3962925-e2d6-4100-8c39-8f4636ec23b6":{"roots":{"references":[{"attributes":{},"id":"bac25c24-3af6-4dd0-a7d3-d113b4af9f3c","type":"BasicTicker"},{"attributes":{},"id":"a004bfe8-db46-4de0-8219-e77896177f21","type":"ResetTool"},{"attributes":{"source":{"id":"8a4025c2-36df-4820-ab0d-af73c2d5731a","type":"ColumnDataSource"}},"id":"88c75272-11b9-4139-a646-46d155f3756a","type":"CDSView"},{"attributes":{},"id":"bbaeb884-8b91-4bf4-99ba-72be72c4ab20","type":"PanTool"},{"attributes":{"below":[{"id":"62a34ecf-a2fd-43ca-9e1d-a6d86c55cd7a","type":"LinearAxis"}],"left":[{"id":"10be6610-ba9c-4723-95fe-ba226c18d4c3","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"62a34ecf-a2fd-43ca-9e1d-a6d86c55cd7a","type":"LinearAxis"},{"id":"5d813213-7d71-4a8f-a346-af9dc3c9c931","type":"Grid"},{"id":"10be6610-ba9c-4723-95fe-ba226c18d4c3","type":"LinearAxis"},{"id":"92746dfb-3051-43a0-b157-799bb3814787","type":"Grid"},{"id":"37c3d0bf-87fa-4ace-bd70-dae09b4376d4","type":"BoxAnnotation"},{"id":"3946308e-114a-403b-8945-e9c17cb62005","type":"GlyphRenderer"}],"title":{"id":"49a36622-8f76-41a2-98c9-c629d96874d4","type":"Title"},"toolbar":{"id":"5966fad0-7fd5-4098-8903-8b2e50489f8a","type":"Toolbar"},"x_range":{"id":"5f4ea61b-4d1c-4aff-bfe0-7ee0267ce5b5","type":"DataRange1d"},"x_scale":{"id":"155b549e-35fe-4598-ae98-17dbdd690e1c","type":"LinearScale"},"y_range":{"id":"7b84c4e6-a255-4f58-bdbd-ce854db60088","type":"DataRange1d"},"y_scale":{"id":"59ad4ad5-602e-4d15-acb6-decbd135b0cc","type":"LinearScale"}},"id":"012df40d-619f-4a1a-a8ab-fcd7ff72b1d6","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"59ad4ad5-602e-4d15-acb6-decbd135b0cc","type":"LinearScale"},{"attributes":{},"id":"87a8951e-a197-4957-b4fa-2dcd8eac5bd0","type":"BasicTicker"},{"attributes":{},"id":"ec3b4aab-4752-4050-8184-d562edd07926","type":"HelpTool"},{"attributes":{"data_source":{"id":"8a4025c2-36df-4820-ab0d-af73c2d5731a","type":"ColumnDataSource"},"glyph":{"id":"c46340aa-4987-45ba-8694-33420174d97f","type":"HBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c7b1de2e-fdfd-4c8a-be19-108b40e2bb2d","type":"HBar"},"selection_glyph":null,"view":{"id":"88c75272-11b9-4139-a646-46d155f3756a","type":"CDSView"}},"id":"3946308e-114a-403b-8945-e9c17cb62005","type":"GlyphRenderer"},{"attributes":{"overlay":{"id":"37c3d0bf-87fa-4ace-bd70-dae09b4376d4","type":"BoxAnnotation"}},"id":"b387491e-0ed7-4d77-9420-96e68700ad8f","type":"BoxZoomTool"},{"attributes":{},"id":"e92ffc9f-37be-4251-b889-b4c0aa1d4066","type":"SaveTool"},{"attributes":{"fill_color":{"value":"navy"},"height":{"value":0.5},"line_color":{"value":"navy"},"right":{"field":"right"},"y":{"field":"y"}},"id":"c46340aa-4987-45ba-8694-33420174d97f","type":"HBar"},{"attributes":{"formatter":{"id":"33d84a43-5ffc-4028-b3a2-467cd69ef5fb","type":"BasicTickFormatter"},"plot":{"id":"012df40d-619f-4a1a-a8ab-fcd7ff72b1d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"87a8951e-a197-4957-b4fa-2dcd8eac5bd0","type":"BasicTicker"}},"id":"10be6610-ba9c-4723-95fe-ba226c18d4c3","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"height":{"value":0.5},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"right":{"field":"right"},"y":{"field":"y"}},"id":"c7b1de2e-fdfd-4c8a-be19-108b40e2bb2d","type":"HBar"},{"attributes":{},"id":"33d84a43-5ffc-4028-b3a2-467cd69ef5fb","type":"BasicTickFormatter"},{"attributes":{},"id":"155b549e-35fe-4598-ae98-17dbdd690e1c","type":"LinearScale"},{"attributes":{"callback":null},"id":"5f4ea61b-4d1c-4aff-bfe0-7ee0267ce5b5","type":"DataRange1d"},{"attributes":{"callback":null},"id":"7b84c4e6-a255-4f58-bdbd-ce854db60088","type":"DataRange1d"},{"attributes":{},"id":"32fd8245-0f85-46b7-a830-268ee3214493","type":"BasicTickFormatter"},{"attributes":{},"id":"dae5f913-0cab-47ea-a48b-78215655c964","type":"WheelZoomTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"bbaeb884-8b91-4bf4-99ba-72be72c4ab20","type":"PanTool"},{"id":"dae5f913-0cab-47ea-a48b-78215655c964","type":"WheelZoomTool"},{"id":"b387491e-0ed7-4d77-9420-96e68700ad8f","type":"BoxZoomTool"},{"id":"e92ffc9f-37be-4251-b889-b4c0aa1d4066","type":"SaveTool"},{"id":"a004bfe8-db46-4de0-8219-e77896177f21","type":"ResetTool"},{"id":"ec3b4aab-4752-4050-8184-d562edd07926","type":"HelpTool"}]},"id":"5966fad0-7fd5-4098-8903-8b2e50489f8a","type":"Toolbar"},{"attributes":{"dimension":1,"plot":{"id":"012df40d-619f-4a1a-a8ab-fcd7ff72b1d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"87a8951e-a197-4957-b4fa-2dcd8eac5bd0","type":"BasicTicker"}},"id":"92746dfb-3051-43a0-b157-799bb3814787","type":"Grid"},{"attributes":{"callback":null,"column_names":["y","right"],"data":{"right":[1.2,2.5,3.7],"y":[1,2,3]}},"id":"8a4025c2-36df-4820-ab0d-af73c2d5731a","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"32fd8245-0f85-46b7-a830-268ee3214493","type":"BasicTickFormatter"},"plot":{"id":"012df40d-619f-4a1a-a8ab-fcd7ff72b1d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"bac25c24-3af6-4dd0-a7d3-d113b4af9f3c","type":"BasicTicker"}},"id":"62a34ecf-a2fd-43ca-9e1d-a6d86c55cd7a","type":"LinearAxis"},{"attributes":{"plot":{"id":"012df40d-619f-4a1a-a8ab-fcd7ff72b1d6","subtype":"Figure","type":"Plot"},"ticker":{"id":"bac25c24-3af6-4dd0-a7d3-d113b4af9f3c","type":"BasicTicker"}},"id":"5d813213-7d71-4a8f-a346-af9dc3c9c931","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"49a36622-8f76-41a2-98c9-c629d96874d4","type":"Title"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"37c3d0bf-87fa-4ace-bd70-dae09b4376d4","type":"BoxAnnotation"}],"root_ids":["012df40d-619f-4a1a-a8ab-fcd7ff72b1d6"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"e3962925-e2d6-4100-8c39-8f4636ec23b6","elementid":"f17aabba-692a-4002-b3e3-fa07a29ba859","modelid":"012df40d-619f-4a1a-a8ab-fcd7ff72b1d6"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
