(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("08dfee73-cddb-4d92-9366-5ced72d91992");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '08dfee73-cddb-4d92-9366-5ced72d91992' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"0fe46392-98a8-4e2c-a0a6-6ae2b4c9d150":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"4201bf0f-8b67-4c34-ba3c-a7491dc3b082","type":"Patch"},{"attributes":{"dimension":1,"plot":{"id":"1a582f52-a55c-4e30-a12b-9b569f6ead06","subtype":"Figure","type":"Plot"},"ticker":{"id":"399c3f7b-56d0-4858-a47f-8b2b7f4ec33c","type":"BasicTicker"}},"id":"b5f93661-2e22-4663-abd5-1162c19787fe","type":"Grid"},{"attributes":{},"id":"0890e394-44e3-4a7a-affa-070692ac6e8d","type":"HelpTool"},{"attributes":{"formatter":{"id":"21d20843-84b4-4c0d-b451-7e2c708cb0dd","type":"BasicTickFormatter"},"plot":{"id":"1a582f52-a55c-4e30-a12b-9b569f6ead06","subtype":"Figure","type":"Plot"},"ticker":{"id":"399c3f7b-56d0-4858-a47f-8b2b7f4ec33c","type":"BasicTicker"}},"id":"054732fc-3e16-4112-9426-d6f6200bc0e8","type":"LinearAxis"},{"attributes":{},"id":"c9e0d1d3-0b48-4a7b-a4b1-03e15d2c59d5","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[6,7,8,7,3]}},"id":"730d2d15-534d-45b2-bf90-a194b61349f5","type":"ColumnDataSource"},{"attributes":{},"id":"7736c704-0abf-4149-953a-2213bf94e8f0","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":2},"x":{"field":"x"},"y":{"field":"y"}},"id":"cd8b093a-013d-4114-95b9-ff6df633d987","type":"Patch"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"7736c704-0abf-4149-953a-2213bf94e8f0","type":"PanTool"},{"id":"c7465651-c9e3-4a9f-8922-dffc122f975c","type":"WheelZoomTool"},{"id":"856714d0-fd49-4b37-bccc-34958f1dcd47","type":"BoxZoomTool"},{"id":"c9e0d1d3-0b48-4a7b-a4b1-03e15d2c59d5","type":"SaveTool"},{"id":"7ddd3d6d-7050-436e-b593-32f1473afa80","type":"ResetTool"},{"id":"0890e394-44e3-4a7a-affa-070692ac6e8d","type":"HelpTool"}]},"id":"0f0ac8f3-c33b-40bf-b5fe-eb7dc7796e66","type":"Toolbar"},{"attributes":{},"id":"399c3f7b-56d0-4858-a47f-8b2b7f4ec33c","type":"BasicTicker"},{"attributes":{},"id":"7ddd3d6d-7050-436e-b593-32f1473afa80","type":"ResetTool"},{"attributes":{},"id":"21d20843-84b4-4c0d-b451-7e2c708cb0dd","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"f8d2f97a-20be-423d-a3a0-806207473825","type":"DataRange1d"},{"attributes":{"overlay":{"id":"b55374c1-65c3-4fcf-ad39-64ee9968d704","type":"BoxAnnotation"}},"id":"856714d0-fd49-4b37-bccc-34958f1dcd47","type":"BoxZoomTool"},{"attributes":{},"id":"c7465651-c9e3-4a9f-8922-dffc122f975c","type":"WheelZoomTool"},{"attributes":{},"id":"a89da908-432e-4950-bb2a-b25e57f1b5ca","type":"BasicTicker"},{"attributes":{"data_source":{"id":"730d2d15-534d-45b2-bf90-a194b61349f5","type":"ColumnDataSource"},"glyph":{"id":"4201bf0f-8b67-4c34-ba3c-a7491dc3b082","type":"Patch"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cd8b093a-013d-4114-95b9-ff6df633d987","type":"Patch"},"selection_glyph":null,"view":{"id":"dad83d93-85c1-41e4-b36d-63dd027df87b","type":"CDSView"}},"id":"afce72f5-88dd-4c06-aae2-5d58a3d26add","type":"GlyphRenderer"},{"attributes":{},"id":"0e330596-3694-4d1c-8d28-b0e0d26666c5","type":"LinearScale"},{"attributes":{"plot":{"id":"1a582f52-a55c-4e30-a12b-9b569f6ead06","subtype":"Figure","type":"Plot"},"ticker":{"id":"a89da908-432e-4950-bb2a-b25e57f1b5ca","type":"BasicTicker"}},"id":"5da6b233-dff5-4126-9a64-b8fd081bf3b9","type":"Grid"},{"attributes":{"callback":null},"id":"207379ba-116b-4fc5-9b7f-42056e7959d9","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"b55374c1-65c3-4fcf-ad39-64ee9968d704","type":"BoxAnnotation"},{"attributes":{},"id":"59b706d9-3c52-4704-a65a-addef79211bf","type":"LinearScale"},{"attributes":{"source":{"id":"730d2d15-534d-45b2-bf90-a194b61349f5","type":"ColumnDataSource"}},"id":"dad83d93-85c1-41e4-b36d-63dd027df87b","type":"CDSView"},{"attributes":{},"id":"799ea98b-1276-49cf-b15b-6a4b03bccc2b","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"4b23db02-a326-4825-bd2f-a701212da863","type":"Title"},{"attributes":{"formatter":{"id":"799ea98b-1276-49cf-b15b-6a4b03bccc2b","type":"BasicTickFormatter"},"plot":{"id":"1a582f52-a55c-4e30-a12b-9b569f6ead06","subtype":"Figure","type":"Plot"},"ticker":{"id":"a89da908-432e-4950-bb2a-b25e57f1b5ca","type":"BasicTicker"}},"id":"2f1009ca-8f5b-4e47-afa9-49f756b28161","type":"LinearAxis"},{"attributes":{"below":[{"id":"2f1009ca-8f5b-4e47-afa9-49f756b28161","type":"LinearAxis"}],"left":[{"id":"054732fc-3e16-4112-9426-d6f6200bc0e8","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"2f1009ca-8f5b-4e47-afa9-49f756b28161","type":"LinearAxis"},{"id":"5da6b233-dff5-4126-9a64-b8fd081bf3b9","type":"Grid"},{"id":"054732fc-3e16-4112-9426-d6f6200bc0e8","type":"LinearAxis"},{"id":"b5f93661-2e22-4663-abd5-1162c19787fe","type":"Grid"},{"id":"b55374c1-65c3-4fcf-ad39-64ee9968d704","type":"BoxAnnotation"},{"id":"afce72f5-88dd-4c06-aae2-5d58a3d26add","type":"GlyphRenderer"}],"title":{"id":"4b23db02-a326-4825-bd2f-a701212da863","type":"Title"},"toolbar":{"id":"0f0ac8f3-c33b-40bf-b5fe-eb7dc7796e66","type":"Toolbar"},"x_range":{"id":"207379ba-116b-4fc5-9b7f-42056e7959d9","type":"DataRange1d"},"x_scale":{"id":"59b706d9-3c52-4704-a65a-addef79211bf","type":"LinearScale"},"y_range":{"id":"f8d2f97a-20be-423d-a3a0-806207473825","type":"DataRange1d"},"y_scale":{"id":"0e330596-3694-4d1c-8d28-b0e0d26666c5","type":"LinearScale"}},"id":"1a582f52-a55c-4e30-a12b-9b569f6ead06","subtype":"Figure","type":"Plot"}],"root_ids":["1a582f52-a55c-4e30-a12b-9b569f6ead06"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"0fe46392-98a8-4e2c-a0a6-6ae2b4c9d150","elementid":"08dfee73-cddb-4d92-9366-5ced72d91992","modelid":"1a582f52-a55c-4e30-a12b-9b569f6ead06"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
