(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("38e42590-d91f-4064-8cac-4945ecf0904b");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '38e42590-d91f-4064-8cac-4945ecf0904b' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"48fcaccc-3c11-4b2a-b297-eb1b4f1eebf2":{"roots":{"references":[{"attributes":{"source":{"id":"40643534-d25e-446a-8229-fe31eca9135a","type":"ColumnDataSource"}},"id":"baf03ede-d26e-428b-8cf9-40f78062a6ec","type":"CDSView"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"b919dfbc-59ad-4462-a7d8-514f3a322479","type":"Line"},{"attributes":{"source":{"id":"d0f7b033-dd04-448c-8134-133613a4587c","type":"ColumnDataSource"}},"id":"cb45a629-8e35-4b56-b53e-36d1b259332e","type":"CDSView"},{"attributes":{},"id":"f402d821-ba74-4995-8791-89ff1718a7ff","type":"LogScale"},{"attributes":{"plot":null,"text":"log axis example"},"id":"6b0146ce-bb95-4190-8ded-298d9a45487c","type":"Title"},{"attributes":{"ticker":null},"id":"dc276729-fe43-4b96-a4ac-34bdbab8f292","type":"LogTickFormatter"},{"attributes":{"data_source":{"id":"40643534-d25e-446a-8229-fe31eca9135a","type":"ColumnDataSource"},"glyph":{"id":"c30a8982-95eb-462b-b4de-c6f5a7970aa6","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"4afb6223-3c50-4d6d-b8bd-c4615339fb57","type":"Line"},"selection_glyph":null,"view":{"id":"baf03ede-d26e-428b-8cf9-40f78062a6ec","type":"CDSView"}},"id":"c657a1f8-47de-43be-b3fa-73f4badc0500","type":"GlyphRenderer"},{"attributes":{"source":{"id":"e8332156-d01f-4907-9ab7-c1c16b6813e8","type":"ColumnDataSource"}},"id":"6ca0d3e1-a6ad-44bf-ba77-ad1d7a7c8f4a","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"678e4304-ddcb-458c-8b08-d395e36f6616","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"95f38eaf-ab16-4a70-a850-74449411e14e","type":"Circle"},{"attributes":{},"id":"27bb34c0-3cae-45d0-8334-6530a107b9a2","type":"PanTool"},{"attributes":{"axis_label":"particles","formatter":{"id":"dc276729-fe43-4b96-a4ac-34bdbab8f292","type":"LogTickFormatter"},"plot":{"id":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d621a72-f6bd-474c-80b2-b27c40ed986d","type":"LogTicker"}},"id":"c3473df3-f5db-4095-8445-5322c0c05a2c","type":"LogAxis"},{"attributes":{"source":{"id":"695f7e88-e01d-4e08-8e1c-f68447b55c48","type":"ColumnDataSource"}},"id":"a7ed0d89-490e-4075-9fdf-24ade6010cb4","type":"CDSView"},{"attributes":{"callback":null,"end":100000000000,"start":0.001},"id":"b246550d-406f-4abc-a33e-cc4613f06853","type":"Range1d"},{"attributes":{},"id":"e0c1a565-4192-4a0d-94d4-2be82c2ee8a9","type":"SaveTool"},{"attributes":{"num_minor_ticks":10},"id":"8d621a72-f6bd-474c-80b2-b27c40ed986d","type":"LogTicker"},{"attributes":{},"id":"f81a3613-bac2-4b47-8f32-5deed5cf007d","type":"BasicTicker"},{"attributes":{"label":{"value":"y=10^x^2"},"renderers":[{"id":"c657a1f8-47de-43be-b3fa-73f4badc0500","type":"GlyphRenderer"}]},"id":"b7481039-987a-4db8-a55c-c6c89e5b048f","type":"LegendItem"},{"attributes":{"label":{"value":"y=10^x"},"renderers":[{"id":"71175713-54ae-496a-acee-46a3401a266a","type":"GlyphRenderer"},{"id":"70cce723-3ddc-469a-a60f-d8c7baa7a875","type":"GlyphRenderer"}]},"id":"67e21273-8e50-44d4-afa5-1eae38f79dae","type":"LegendItem"},{"attributes":{"line_color":{"value":"#1f77b4"},"line_width":{"value":3},"x":{"field":"x"},"y":{"field":"y"}},"id":"2ab6f024-875d-439b-808a-241b1ddb5160","type":"Line"},{"attributes":{"overlay":{"id":"d792528f-582e-41f5-83b4-b14eb335e77d","type":"BoxAnnotation"}},"id":"ce13ae34-5607-4e11-9028-377bf43f6271","type":"BoxZoomTool"},{"attributes":{"line_color":{"value":"orange"},"line_dash":[4,4],"x":{"field":"x"},"y":{"field":"y"}},"id":"c30a8982-95eb-462b-b4de-c6f5a7970aa6","type":"Line"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"d0f7b033-dd04-448c-8134-133613a4587c","type":"ColumnDataSource"},{"attributes":{"dimension":1,"plot":{"id":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20","subtype":"Figure","type":"Plot"},"ticker":{"id":"8d621a72-f6bd-474c-80b2-b27c40ed986d","type":"LogTicker"}},"id":"cb67d2f2-c34c-4d6b-9f1a-0e8384f40dcb","type":"Grid"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.023292992280754,1.7782794100389228,10.0,177.82794100389228,10000.0,1778279.410038923,1000000000.0]}},"id":"40643534-d25e-446a-8229-fe31eca9135a","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.1,0.5,1.0,1.5,2.0,2.5,3.0]}},"id":"85e6dc89-3cb3-41ef-93df-2b8c19e709f1","type":"ColumnDataSource"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"line_dash":[4,4],"x":{"field":"x"},"y":{"field":"y"}},"id":"4afb6223-3c50-4d6d-b8bd-c4615339fb57","type":"Line"},{"attributes":{"data_source":{"id":"695f7e88-e01d-4e08-8e1c-f68447b55c48","type":"ColumnDataSource"},"glyph":{"id":"f224e38e-6028-4e96-a0d2-86c5a4176990","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"29da4861-8fda-4505-aac2-6352f95fedb3","type":"Line"},"selection_glyph":null,"view":{"id":"a7ed0d89-490e-4075-9fdf-24ade6010cb4","type":"CDSView"}},"id":"71175713-54ae-496a-acee-46a3401a266a","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"red"},"line_color":{"value":"red"},"size":{"units":"screen","value":6},"x":{"field":"x"},"y":{"field":"y"}},"id":"3f7d6c18-e44f-46bf-93c7-5cd2cddc996f","type":"Circle"},{"attributes":{"data_source":{"id":"e8332156-d01f-4907-9ab7-c1c16b6813e8","type":"ColumnDataSource"},"glyph":{"id":"2ab6f024-875d-439b-808a-241b1ddb5160","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"b919dfbc-59ad-4462-a7d8-514f3a322479","type":"Line"},"selection_glyph":null,"view":{"id":"6ca0d3e1-a6ad-44bf-ba77-ad1d7a7c8f4a","type":"CDSView"}},"id":"75265a91-e8e2-4b1a-b6da-e4f5156ea9aa","type":"GlyphRenderer"},{"attributes":{"items":[{"id":"9b7cdf33-0cf1-458e-a63d-b9bdc93d3d22","type":"LegendItem"},{"id":"d88fbf09-d180-443f-8161-9ff4debfd75e","type":"LegendItem"},{"id":"67e21273-8e50-44d4-afa5-1eae38f79dae","type":"LegendItem"},{"id":"b7481039-987a-4db8-a55c-c6c89e5b048f","type":"LegendItem"}],"plot":{"id":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20","subtype":"Figure","type":"Plot"}},"id":"ead72e85-bce1-4a6b-8a8b-60827c1ba8eb","type":"Legend"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[1.2589254117941673,3.1622776601683795,10.0,31.622776601683793,100.0,316.22776601683796,1000.0]}},"id":"695f7e88-e01d-4e08-8e1c-f68447b55c48","type":"ColumnDataSource"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"27bb34c0-3cae-45d0-8334-6530a107b9a2","type":"PanTool"},{"id":"ce13ae34-5607-4e11-9028-377bf43f6271","type":"BoxZoomTool"},{"id":"03b3ba38-1b2d-404f-9154-c63e5a02280a","type":"ResetTool"},{"id":"e0c1a565-4192-4a0d-94d4-2be82c2ee8a9","type":"SaveTool"}]},"id":"50464401-ceab-4a44-a483-bed1dd473180","type":"Toolbar"},{"attributes":{"plot":{"id":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20","subtype":"Figure","type":"Plot"},"ticker":{"id":"f81a3613-bac2-4b47-8f32-5deed5cf007d","type":"BasicTicker"}},"id":"2869a3ec-91eb-401a-8821-08c4a1e16d84","type":"Grid"},{"attributes":{"axis_label":"sections","formatter":{"id":"5f7ae014-997a-4f8f-a027-1366fd51dfd5","type":"BasicTickFormatter"},"plot":{"id":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20","subtype":"Figure","type":"Plot"},"ticker":{"id":"f81a3613-bac2-4b47-8f32-5deed5cf007d","type":"BasicTicker"}},"id":"0dfa6e18-3c82-4df9-b3f9-ce0d202981e7","type":"LinearAxis"},{"attributes":{"source":{"id":"7eb39472-f6d7-47e7-b440-11939e7c568e","type":"ColumnDataSource"}},"id":"f4aca931-a455-4bb5-bcb7-6ef253179a3b","type":"CDSView"},{"attributes":{"fill_color":{"value":"white"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":8},"x":{"field":"x"},"y":{"field":"y"}},"id":"8946754d-3a24-4bd9-bd67-1bc0af5cd7a5","type":"Circle"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"aba79b36-d3be-46e3-9343-38957d906182","type":"Line"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"d792528f-582e-41f5-83b4-b14eb335e77d","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.1,0.5,1.0,1.5,2.0,2.5,3.0]}},"id":"7eb39472-f6d7-47e7-b440-11939e7c568e","type":"ColumnDataSource"},{"attributes":{},"id":"eabb27fd-fd10-484e-9c3c-a235fb7499cb","type":"LinearScale"},{"attributes":{"below":[{"id":"0dfa6e18-3c82-4df9-b3f9-ce0d202981e7","type":"LinearAxis"}],"left":[{"id":"c3473df3-f5db-4095-8445-5322c0c05a2c","type":"LogAxis"}],"renderers":[{"id":"0dfa6e18-3c82-4df9-b3f9-ce0d202981e7","type":"LinearAxis"},{"id":"2869a3ec-91eb-401a-8821-08c4a1e16d84","type":"Grid"},{"id":"c3473df3-f5db-4095-8445-5322c0c05a2c","type":"LogAxis"},{"id":"cb67d2f2-c34c-4d6b-9f1a-0e8384f40dcb","type":"Grid"},{"id":"d792528f-582e-41f5-83b4-b14eb335e77d","type":"BoxAnnotation"},{"id":"ead72e85-bce1-4a6b-8a8b-60827c1ba8eb","type":"Legend"},{"id":"6d9b2071-ea63-4440-a991-3d8cc4d36146","type":"GlyphRenderer"},{"id":"403f569a-b5ac-4277-b5bb-2141bb9b6c93","type":"GlyphRenderer"},{"id":"75265a91-e8e2-4b1a-b6da-e4f5156ea9aa","type":"GlyphRenderer"},{"id":"71175713-54ae-496a-acee-46a3401a266a","type":"GlyphRenderer"},{"id":"70cce723-3ddc-469a-a60f-d8c7baa7a875","type":"GlyphRenderer"},{"id":"c657a1f8-47de-43be-b3fa-73f4badc0500","type":"GlyphRenderer"}],"title":{"id":"6b0146ce-bb95-4190-8ded-298d9a45487c","type":"Title"},"toolbar":{"id":"50464401-ceab-4a44-a483-bed1dd473180","type":"Toolbar"},"x_range":{"id":"694b57d0-b9ce-4430-b137-d4395254c171","type":"DataRange1d"},"x_scale":{"id":"eabb27fd-fd10-484e-9c3c-a235fb7499cb","type":"LinearScale"},"y_range":{"id":"b246550d-406f-4abc-a33e-cc4613f06853","type":"Range1d"},"y_scale":{"id":"f402d821-ba74-4995-8791-89ff1718a7ff","type":"LogScale"}},"id":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[0.1,0.5,1.0,1.5,2.0,2.5,3.0],"y":[0.010000000000000002,0.25,1.0,2.25,4.0,6.25,9.0]}},"id":"e8332156-d01f-4907-9ab7-c1c16b6813e8","type":"ColumnDataSource"},{"attributes":{"source":{"id":"85e6dc89-3cb3-41ef-93df-2b8c19e709f1","type":"ColumnDataSource"}},"id":"3cdb9aec-b1e2-4b13-8b59-0acbc2cd3c10","type":"CDSView"},{"attributes":{"line_color":{"value":"red"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f224e38e-6028-4e96-a0d2-86c5a4176990","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"29da4861-8fda-4505-aac2-6352f95fedb3","type":"Line"},{"attributes":{},"id":"03b3ba38-1b2d-404f-9154-c63e5a02280a","type":"ResetTool"},{"attributes":{"data_source":{"id":"7eb39472-f6d7-47e7-b440-11939e7c568e","type":"ColumnDataSource"},"glyph":{"id":"8946754d-3a24-4bd9-bd67-1bc0af5cd7a5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"95f38eaf-ab16-4a70-a850-74449411e14e","type":"Circle"},"selection_glyph":null,"view":{"id":"f4aca931-a455-4bb5-bcb7-6ef253179a3b","type":"CDSView"}},"id":"403f569a-b5ac-4277-b5bb-2141bb9b6c93","type":"GlyphRenderer"},{"attributes":{"data_source":{"id":"85e6dc89-3cb3-41ef-93df-2b8c19e709f1","type":"ColumnDataSource"},"glyph":{"id":"09b86680-ce57-457b-91d4-821ddcc3664b","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"aba79b36-d3be-46e3-9343-38957d906182","type":"Line"},"selection_glyph":null,"view":{"id":"3cdb9aec-b1e2-4b13-8b59-0acbc2cd3c10","type":"CDSView"}},"id":"6d9b2071-ea63-4440-a991-3d8cc4d36146","type":"GlyphRenderer"},{"attributes":{"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"09b86680-ce57-457b-91d4-821ddcc3664b","type":"Line"},{"attributes":{},"id":"5f7ae014-997a-4f8f-a027-1366fd51dfd5","type":"BasicTickFormatter"},{"attributes":{"label":{"value":"y=x"},"renderers":[{"id":"6d9b2071-ea63-4440-a991-3d8cc4d36146","type":"GlyphRenderer"},{"id":"403f569a-b5ac-4277-b5bb-2141bb9b6c93","type":"GlyphRenderer"}]},"id":"9b7cdf33-0cf1-458e-a63d-b9bdc93d3d22","type":"LegendItem"},{"attributes":{"callback":null},"id":"694b57d0-b9ce-4430-b137-d4395254c171","type":"DataRange1d"},{"attributes":{"label":{"value":"y=x^2"},"renderers":[{"id":"75265a91-e8e2-4b1a-b6da-e4f5156ea9aa","type":"GlyphRenderer"}]},"id":"d88fbf09-d180-443f-8161-9ff4debfd75e","type":"LegendItem"},{"attributes":{"data_source":{"id":"d0f7b033-dd04-448c-8134-133613a4587c","type":"ColumnDataSource"},"glyph":{"id":"3f7d6c18-e44f-46bf-93c7-5cd2cddc996f","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"678e4304-ddcb-458c-8b08-d395e36f6616","type":"Circle"},"selection_glyph":null,"view":{"id":"cb45a629-8e35-4b56-b53e-36d1b259332e","type":"CDSView"}},"id":"70cce723-3ddc-469a-a60f-d8c7baa7a875","type":"GlyphRenderer"}],"root_ids":["b41e27bc-a2d3-48e0-b9f7-2545ef842c20"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"48fcaccc-3c11-4b2a-b297-eb1b4f1eebf2","elementid":"38e42590-d91f-4064-8cac-4945ecf0904b","modelid":"b41e27bc-a2d3-48e0-b9f7-2545ef842c20"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
