(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("3ae02964-68b0-4006-b7e5-8fd804052427");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '3ae02964-68b0-4006-b7e5-8fd804052427' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a09e6b1d-2702-491e-8a7a-4efd03ec79ab":{"roots":{"references":[{"attributes":{"plot":null,"text":""},"id":"c8bd0538-4d39-49eb-a5e7-91b2a1f89439","type":"Title"},{"attributes":{"formatter":{"id":"a4ff633d-650f-4684-aebe-29e08ccb3dc9","type":"BasicTickFormatter"},"plot":{"id":"c13ccd28-8cf9-437e-a1aa-bb26c3648a6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"0276c429-3714-47de-85af-3e18ce76ea31","type":"BasicTicker"}},"id":"5fe3c94d-e5af-4665-8210-ee27570a9072","type":"LinearAxis"},{"attributes":{"line_color":{"value":"pink"},"x":{"field":"x"},"y":{"field":"y"}},"id":"ac106b37-16a1-42f4-97f8-c210683a0f75","type":"Line"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[1,2,1]}},"id":"df50e606-dce4-4dc9-b337-4fcb55fe6ee9","type":"ColumnDataSource"},{"attributes":{},"id":"72744183-020e-4d5f-bff4-42db928e295c","type":"BasicTicker"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"0487e384-3ba5-49e7-83c6-44359bfb3775","type":"Toolbar"},{"attributes":{},"id":"0b2f2f9b-91ef-49f7-a1e1-288ad8ebd5a2","type":"BasicTickFormatter"},{"attributes":{},"id":"73d41065-feda-4c5f-93e4-e9ec119caafd","type":"LinearScale"},{"attributes":{},"id":"a4ff633d-650f-4684-aebe-29e08ccb3dc9","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"66c8a488-5f08-44d8-9e0a-995c98303844","type":"DataRange1d"},{"attributes":{"data_source":{"id":"981ffad7-635e-4d48-a7ef-ecb8ca02bf26","type":"ColumnDataSource"},"glyph":{"id":"ac106b37-16a1-42f4-97f8-c210683a0f75","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f2b4da65-58ac-4a08-b5c3-cd0f71f88cb9","type":"Line"},"selection_glyph":null,"view":{"id":"f0eea546-6e50-4028-91d8-f85906f456ef","type":"CDSView"},"visible":false},"id":"5bf90360-8deb-4054-8b96-4bc045a31eec","type":"GlyphRenderer"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"7be5f5c4-45d8-456a-8311-e447476afcb5","type":"Line"},{"attributes":{"source":{"id":"981ffad7-635e-4d48-a7ef-ecb8ca02bf26","type":"ColumnDataSource"}},"id":"f0eea546-6e50-4028-91d8-f85906f456ef","type":"CDSView"},{"attributes":{},"id":"0276c429-3714-47de-85af-3e18ce76ea31","type":"BasicTicker"},{"attributes":{"source":{"id":"df50e606-dce4-4dc9-b337-4fcb55fe6ee9","type":"ColumnDataSource"}},"id":"8de535dd-ca98-4161-8fec-564608e00922","type":"CDSView"},{"attributes":{},"id":"51d88ac2-e17a-4429-930b-18165c005821","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[1,2,3],"y":[2,1,2]}},"id":"981ffad7-635e-4d48-a7ef-ecb8ca02bf26","type":"ColumnDataSource"},{"attributes":{"line_color":{"value":"blue"},"x":{"field":"x"},"y":{"field":"y"}},"id":"14aab356-84e6-439f-99ac-7c84b47b3a46","type":"Line"},{"attributes":{"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"x":{"field":"x"},"y":{"field":"y"}},"id":"f2b4da65-58ac-4a08-b5c3-cd0f71f88cb9","type":"Line"},{"attributes":{"below":[{"id":"417e1fd6-a4ed-4743-91ab-e6c3841492d6","type":"LinearAxis"}],"left":[{"id":"5fe3c94d-e5af-4665-8210-ee27570a9072","type":"LinearAxis"}],"plot_height":200,"plot_width":500,"renderers":[{"id":"417e1fd6-a4ed-4743-91ab-e6c3841492d6","type":"LinearAxis"},{"id":"8364383e-c570-41c3-9cf0-647fd5d1f3c3","type":"Grid"},{"id":"5fe3c94d-e5af-4665-8210-ee27570a9072","type":"LinearAxis"},{"id":"1ab12efc-d497-4efc-89ee-6ff931fa182c","type":"Grid"},{"id":"746c66f2-eda3-4011-8460-03105a1dcf18","type":"GlyphRenderer"},{"id":"5bf90360-8deb-4054-8b96-4bc045a31eec","type":"GlyphRenderer"}],"title":{"id":"c8bd0538-4d39-49eb-a5e7-91b2a1f89439","type":"Title"},"toolbar":{"id":"0487e384-3ba5-49e7-83c6-44359bfb3775","type":"Toolbar"},"x_range":{"id":"66c8a488-5f08-44d8-9e0a-995c98303844","type":"DataRange1d"},"x_scale":{"id":"73d41065-feda-4c5f-93e4-e9ec119caafd","type":"LinearScale"},"y_range":{"id":"da5503e6-97df-4f1a-a09e-5f3ba783b12c","type":"DataRange1d"},"y_scale":{"id":"51d88ac2-e17a-4429-930b-18165c005821","type":"LinearScale"}},"id":"c13ccd28-8cf9-437e-a1aa-bb26c3648a6e","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"df50e606-dce4-4dc9-b337-4fcb55fe6ee9","type":"ColumnDataSource"},"glyph":{"id":"14aab356-84e6-439f-99ac-7c84b47b3a46","type":"Line"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"7be5f5c4-45d8-456a-8311-e447476afcb5","type":"Line"},"selection_glyph":null,"view":{"id":"8de535dd-ca98-4161-8fec-564608e00922","type":"CDSView"}},"id":"746c66f2-eda3-4011-8460-03105a1dcf18","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"da5503e6-97df-4f1a-a09e-5f3ba783b12c","type":"DataRange1d"},{"attributes":{"formatter":{"id":"0b2f2f9b-91ef-49f7-a1e1-288ad8ebd5a2","type":"BasicTickFormatter"},"plot":{"id":"c13ccd28-8cf9-437e-a1aa-bb26c3648a6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"72744183-020e-4d5f-bff4-42db928e295c","type":"BasicTicker"},"visible":false},"id":"417e1fd6-a4ed-4743-91ab-e6c3841492d6","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"c13ccd28-8cf9-437e-a1aa-bb26c3648a6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"0276c429-3714-47de-85af-3e18ce76ea31","type":"BasicTicker"}},"id":"1ab12efc-d497-4efc-89ee-6ff931fa182c","type":"Grid"},{"attributes":{"plot":{"id":"c13ccd28-8cf9-437e-a1aa-bb26c3648a6e","subtype":"Figure","type":"Plot"},"ticker":{"id":"72744183-020e-4d5f-bff4-42db928e295c","type":"BasicTicker"},"visible":false},"id":"8364383e-c570-41c3-9cf0-647fd5d1f3c3","type":"Grid"}],"root_ids":["c13ccd28-8cf9-437e-a1aa-bb26c3648a6e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a09e6b1d-2702-491e-8a7a-4efd03ec79ab","elementid":"3ae02964-68b0-4006-b7e5-8fd804052427","modelid":"c13ccd28-8cf9-437e-a1aa-bb26c3648a6e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
