(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("57f57f86-3d2a-44fe-97d6-cceef71d5c97");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '57f57f86-3d2a-44fe-97d6-cceef71d5c97' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a6684cd7-b2c6-42f3-b409-ebd4307d017e":{"roots":{"references":[{"attributes":{"below":[{"id":"eb2295e8-fe11-414a-86dd-fff6e0c02888","type":"LinearAxis"}],"left":[{"id":"3ea50123-46c7-4c30-adfa-9e8a01885e02","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"eb2295e8-fe11-414a-86dd-fff6e0c02888","type":"LinearAxis"},{"id":"10e7a676-ffe1-477a-8c08-a4a3ecdd9e51","type":"Grid"},{"id":"3ea50123-46c7-4c30-adfa-9e8a01885e02","type":"LinearAxis"},{"id":"c0ff4a2c-72d9-421d-b8a8-2eb542cd9d4d","type":"Grid"},{"id":"fb3ae8fe-a0a4-4536-acb9-1f098170900c","type":"GlyphRenderer"}],"title":{"id":"db0191f3-0447-4b4f-8530-0ee6d427de3d","type":"Title"},"toolbar":{"id":"5de92426-c3d3-440e-a752-6225ac08314f","type":"Toolbar"},"x_range":{"id":"a5c8fad4-72fb-40d7-8e4f-a582afaa07ac","type":"DataRange1d"},"x_scale":{"id":"ef81eef5-3c51-4f0c-8b4a-d9fd2399412e","type":"LinearScale"},"y_range":{"id":"e2cf0644-778a-4b19-8fa4-24c9ae2019cf","type":"DataRange1d"},"y_scale":{"id":"aee3e581-3a4f-483d-8b7f-7f9abe52b25e","type":"LinearScale"}},"id":"4b9762bd-191b-47cb-a3bd-33b595747945","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6fc0be3c-079f-4e39-85a0-aabb0a41bb6f","type":"TapTool"}]},"id":"5de92426-c3d3-440e-a752-6225ac08314f","type":"Toolbar"},{"attributes":{},"id":"f1ab1cfe-839c-4229-8037-c8426603470c","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"4b9762bd-191b-47cb-a3bd-33b595747945","subtype":"Figure","type":"Plot"},"ticker":{"id":"05802b25-1d7f-436b-b355-659a9ff10b59","type":"BasicTicker"}},"id":"c0ff4a2c-72d9-421d-b8a8-2eb542cd9d4d","type":"Grid"},{"attributes":{},"id":"ef81eef5-3c51-4f0c-8b4a-d9fd2399412e","type":"LinearScale"},{"attributes":{"fill_color":{"value":"firebrick"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"5da6957d-9804-4503-95db-f809fcf9d66a","type":"Circle"},{"attributes":{},"id":"05802b25-1d7f-436b-b355-659a9ff10b59","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"af51e108-b504-4853-b214-1cd0e2c3957a","type":"ColumnDataSource"},{"attributes":{},"id":"e3783ae6-1d60-4190-9242-4261fe97f7bb","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"a5c8fad4-72fb-40d7-8e4f-a582afaa07ac","type":"DataRange1d"},{"attributes":{"formatter":{"id":"f25bec64-839b-4528-a5df-886d5e101581","type":"BasicTickFormatter"},"plot":{"id":"4b9762bd-191b-47cb-a3bd-33b595747945","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1ab1cfe-839c-4229-8037-c8426603470c","type":"BasicTicker"}},"id":"eb2295e8-fe11-414a-86dd-fff6e0c02888","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.2},"fill_color":{"value":"blue"},"line_color":{"value":"firebrick"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"0ad999e9-6022-4418-ad60-8619d7ef6701","type":"Circle"},{"attributes":{"data_source":{"id":"af51e108-b504-4853-b214-1cd0e2c3957a","type":"ColumnDataSource"},"glyph":{"id":"f57940ef-af9b-47e6-b102-941b2a0dba5a","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"0ad999e9-6022-4418-ad60-8619d7ef6701","type":"Circle"},"selection_glyph":{"id":"5da6957d-9804-4503-95db-f809fcf9d66a","type":"Circle"},"view":{"id":"524cb88f-ac7d-47d5-95d5-26bfe5fe2fec","type":"CDSView"}},"id":"fb3ae8fe-a0a4-4536-acb9-1f098170900c","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"e3783ae6-1d60-4190-9242-4261fe97f7bb","type":"BasicTickFormatter"},"plot":{"id":"4b9762bd-191b-47cb-a3bd-33b595747945","subtype":"Figure","type":"Plot"},"ticker":{"id":"05802b25-1d7f-436b-b355-659a9ff10b59","type":"BasicTicker"}},"id":"3ea50123-46c7-4c30-adfa-9e8a01885e02","type":"LinearAxis"},{"attributes":{"callback":null},"id":"e2cf0644-778a-4b19-8fa4-24c9ae2019cf","type":"DataRange1d"},{"attributes":{"plot":null,"text":"Select a circle"},"id":"db0191f3-0447-4b4f-8530-0ee6d427de3d","type":"Title"},{"attributes":{},"id":"f25bec64-839b-4528-a5df-886d5e101581","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"af51e108-b504-4853-b214-1cd0e2c3957a","type":"ColumnDataSource"}},"id":"524cb88f-ac7d-47d5-95d5-26bfe5fe2fec","type":"CDSView"},{"attributes":{"plot":{"id":"4b9762bd-191b-47cb-a3bd-33b595747945","subtype":"Figure","type":"Plot"},"ticker":{"id":"f1ab1cfe-839c-4229-8037-c8426603470c","type":"BasicTicker"}},"id":"10e7a676-ffe1-477a-8c08-a4a3ecdd9e51","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":50},"x":{"field":"x"},"y":{"field":"y"}},"id":"f57940ef-af9b-47e6-b102-941b2a0dba5a","type":"Circle"},{"attributes":{"callback":null},"id":"6fc0be3c-079f-4e39-85a0-aabb0a41bb6f","type":"TapTool"},{"attributes":{},"id":"aee3e581-3a4f-483d-8b7f-7f9abe52b25e","type":"LinearScale"}],"root_ids":["4b9762bd-191b-47cb-a3bd-33b595747945"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a6684cd7-b2c6-42f3-b409-ebd4307d017e","elementid":"57f57f86-3d2a-44fe-97d6-cceef71d5c97","modelid":"4b9762bd-191b-47cb-a3bd-33b595747945"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
