(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ec0de2b8-4043-4d13-84e0-579f55a75d89");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ec0de2b8-4043-4d13-84e0-579f55a75d89' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"77a2c36b-da41-4487-95a7-ad1eb1319aad":{"roots":{"references":[{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"e27bc45d-15c0-4a4b-a845-1b49ba143d3a","type":"BoxAnnotation"},{"attributes":{"dimension":1,"plot":{"id":"355a8e07-9d75-4d08-b62a-a2aa8d5685bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"78f1d799-bd1c-4506-a31a-29641d9b23f3","type":"BasicTicker"}},"id":"921357da-baad-4ccc-9469-aa63ab8dcb1f","type":"Grid"},{"attributes":{},"id":"d2529947-1974-4383-aec4-223604027c38","type":"HelpTool"},{"attributes":{"axis_label":"Lot Number","axis_label_standoff":30,"axis_label_text_color":{"value":"#aa6666"},"formatter":{"id":"6bfebda6-3172-401e-9399-6f0cbe740422","type":"BasicTickFormatter"},"plot":{"id":"355a8e07-9d75-4d08-b62a-a2aa8d5685bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"db807c41-f74e-4c23-bbbb-e08b6ee57247","type":"BasicTicker"}},"id":"3dc0b358-2bd5-4e1e-90ba-8a08990717e3","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f64142bc-121d-452d-9862-dde88f5a277b","type":"Circle"},{"attributes":{"data_source":{"id":"b73b7812-a588-4cd8-a038-9f0c1c682af5","type":"ColumnDataSource"},"glyph":{"id":"8ae52526-d542-4110-9144-e8f8825f7cb2","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"f64142bc-121d-452d-9862-dde88f5a277b","type":"Circle"},"selection_glyph":null,"view":{"id":"811d594f-11f9-4b17-a7f5-0328d2d98c15","type":"CDSView"}},"id":"da061f49-127e-4e62-9401-0710fcdea837","type":"GlyphRenderer"},{"attributes":{"below":[{"id":"3dc0b358-2bd5-4e1e-90ba-8a08990717e3","type":"LinearAxis"}],"left":[{"id":"b04a7ae5-2d93-4785-b76c-d4bc7c9753fb","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"3dc0b358-2bd5-4e1e-90ba-8a08990717e3","type":"LinearAxis"},{"id":"c9d64321-61d8-4db6-865c-7ee1f5c64f18","type":"Grid"},{"id":"b04a7ae5-2d93-4785-b76c-d4bc7c9753fb","type":"LinearAxis"},{"id":"921357da-baad-4ccc-9469-aa63ab8dcb1f","type":"Grid"},{"id":"e27bc45d-15c0-4a4b-a845-1b49ba143d3a","type":"BoxAnnotation"},{"id":"da061f49-127e-4e62-9401-0710fcdea837","type":"GlyphRenderer"}],"title":{"id":"aa5b571c-579a-46bb-9205-fc1838a8b788","type":"Title"},"toolbar":{"id":"c280b48b-3562-493a-a217-00cbacee927d","type":"Toolbar"},"x_range":{"id":"a2d6d42a-9241-445a-805d-1de32a2cd75b","type":"DataRange1d"},"x_scale":{"id":"827ab176-288c-4c16-918b-5fae4b58a543","type":"LinearScale"},"y_range":{"id":"1c7e90f9-7e07-4c2a-a16f-660fd8f9e0a9","type":"DataRange1d"},"y_scale":{"id":"6e101b32-b28f-4c99-9ab8-a5b3f68dab14","type":"LinearScale"}},"id":"355a8e07-9d75-4d08-b62a-a2aa8d5685bc","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"6bfebda6-3172-401e-9399-6f0cbe740422","type":"BasicTickFormatter"},{"attributes":{},"id":"c18197f0-f987-4553-b3b9-fd5eb581fdaf","type":"ResetTool"},{"attributes":{"plot":{"id":"355a8e07-9d75-4d08-b62a-a2aa8d5685bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"db807c41-f74e-4c23-bbbb-e08b6ee57247","type":"BasicTicker"}},"id":"c9d64321-61d8-4db6-865c-7ee1f5c64f18","type":"Grid"},{"attributes":{"plot":null,"text":""},"id":"aa5b571c-579a-46bb-9205-fc1838a8b788","type":"Title"},{"attributes":{},"id":"db807c41-f74e-4c23-bbbb-e08b6ee57247","type":"BasicTicker"},{"attributes":{},"id":"57f15779-43b7-4bac-aab6-561a993d1f3a","type":"SaveTool"},{"attributes":{},"id":"32bb84c6-d721-4991-8cad-9d7926d09e56","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8ae52526-d542-4110-9144-e8f8825f7cb2","type":"Circle"},{"attributes":{"callback":null},"id":"a2d6d42a-9241-445a-805d-1de32a2cd75b","type":"DataRange1d"},{"attributes":{"axis_label":"Bin Count","formatter":{"id":"3c255ced-ddf0-406e-a279-dac5c4508d43","type":"BasicTickFormatter"},"plot":{"id":"355a8e07-9d75-4d08-b62a-a2aa8d5685bc","subtype":"Figure","type":"Plot"},"ticker":{"id":"78f1d799-bd1c-4506-a31a-29641d9b23f3","type":"BasicTicker"}},"id":"b04a7ae5-2d93-4785-b76c-d4bc7c9753fb","type":"LinearAxis"},{"attributes":{"callback":null},"id":"1c7e90f9-7e07-4c2a-a16f-660fd8f9e0a9","type":"DataRange1d"},{"attributes":{"source":{"id":"b73b7812-a588-4cd8-a038-9f0c1c682af5","type":"ColumnDataSource"}},"id":"811d594f-11f9-4b17-a7f5-0328d2d98c15","type":"CDSView"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b73b7812-a588-4cd8-a038-9f0c1c682af5","type":"ColumnDataSource"},{"attributes":{},"id":"6e101b32-b28f-4c99-9ab8-a5b3f68dab14","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"835417fd-e0b6-4ee7-a0e1-d65856f2f4ae","type":"PanTool"},{"id":"32bb84c6-d721-4991-8cad-9d7926d09e56","type":"WheelZoomTool"},{"id":"ae3c6443-9ff2-4e18-9aff-6df56a53da3e","type":"BoxZoomTool"},{"id":"57f15779-43b7-4bac-aab6-561a993d1f3a","type":"SaveTool"},{"id":"c18197f0-f987-4553-b3b9-fd5eb581fdaf","type":"ResetTool"},{"id":"d2529947-1974-4383-aec4-223604027c38","type":"HelpTool"}]},"id":"c280b48b-3562-493a-a217-00cbacee927d","type":"Toolbar"},{"attributes":{},"id":"827ab176-288c-4c16-918b-5fae4b58a543","type":"LinearScale"},{"attributes":{},"id":"3c255ced-ddf0-406e-a279-dac5c4508d43","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"e27bc45d-15c0-4a4b-a845-1b49ba143d3a","type":"BoxAnnotation"}},"id":"ae3c6443-9ff2-4e18-9aff-6df56a53da3e","type":"BoxZoomTool"},{"attributes":{},"id":"835417fd-e0b6-4ee7-a0e1-d65856f2f4ae","type":"PanTool"},{"attributes":{},"id":"78f1d799-bd1c-4506-a31a-29641d9b23f3","type":"BasicTicker"}],"root_ids":["355a8e07-9d75-4d08-b62a-a2aa8d5685bc"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"77a2c36b-da41-4487-95a7-ad1eb1319aad","elementid":"ec0de2b8-4043-4d13-84e0-579f55a75d89","modelid":"355a8e07-9d75-4d08-b62a-a2aa8d5685bc"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
