(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("bd15e1a9-5ad9-4c70-947b-d0c2c077521d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'bd15e1a9-5ad9-4c70-947b-d0c2c077521d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"c18e7d8e-764f-4ba7-a267-fe56fb3cce42":{"roots":{"references":[{"attributes":{},"id":"4ba7c942-5827-4ded-9f02-7c0729403aa9","type":"BasicTickFormatter"},{"attributes":{"overlay":{"id":"7d468ecf-6706-4e51-abc0-fa2499ab1c10","type":"BoxAnnotation"}},"id":"783967c8-d35e-4a9d-9f38-d0b20f4fd033","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"9080cb83-8705-4faa-8b79-fa598daa463b","type":"Circle"},{"attributes":{"dimension":1,"plot":{"id":"4a920a26-03bb-4674-ae5d-dd1d474fe77a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8543ecf1-7d22-4d3e-a60e-2026a602b771","type":"BasicTicker"}},"id":"43e98f71-d4fd-4a13-86ef-ff8f60db8b21","type":"Grid"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"73e5324d-01b4-412c-b5a9-e9989e8bd9f8","type":"PanTool"},{"id":"9b6489d9-3029-4b55-8c25-b903b19addaf","type":"WheelZoomTool"},{"id":"783967c8-d35e-4a9d-9f38-d0b20f4fd033","type":"BoxZoomTool"},{"id":"3ffe46ec-54e1-4fd4-938c-272d26221557","type":"SaveTool"},{"id":"22df4255-f90d-4682-a94e-437bfb866a29","type":"ResetTool"},{"id":"c69d3674-8b2d-4e9c-848d-93c8208c805c","type":"HelpTool"}]},"id":"578cdb1b-fd0c-47f5-93db-3a0518c46d3b","type":"Toolbar"},{"attributes":{"formatter":{"id":"4ba7c942-5827-4ded-9f02-7c0729403aa9","type":"BasicTickFormatter"},"plot":{"id":"4a920a26-03bb-4674-ae5d-dd1d474fe77a","subtype":"Figure","type":"Plot"},"ticker":{"id":"8543ecf1-7d22-4d3e-a60e-2026a602b771","type":"BasicTicker"}},"id":"556a3bd5-89d5-4bae-8acc-2ce996d4d607","type":"LinearAxis"},{"attributes":{},"id":"e2d424b4-c9d5-46d6-b5c1-e22495478a7d","type":"BasicTicker"},{"attributes":{},"id":"60e36e01-c712-4f90-9fd4-78bd51ae290a","type":"LinearScale"},{"attributes":{"bounds":[2,4],"formatter":{"id":"99506729-0655-4a1d-97bb-7cf65b9a271b","type":"BasicTickFormatter"},"plot":{"id":"4a920a26-03bb-4674-ae5d-dd1d474fe77a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e2d424b4-c9d5-46d6-b5c1-e22495478a7d","type":"BasicTicker"}},"id":"b1f8e8a3-47a2-4cb1-9819-83211d8ab8ef","type":"LinearAxis"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a056e136-8b7b-488e-818c-9b01afefe0e1","type":"Circle"},{"attributes":{},"id":"99506729-0655-4a1d-97bb-7cf65b9a271b","type":"BasicTickFormatter"},{"attributes":{"plot":{"id":"4a920a26-03bb-4674-ae5d-dd1d474fe77a","subtype":"Figure","type":"Plot"},"ticker":{"id":"e2d424b4-c9d5-46d6-b5c1-e22495478a7d","type":"BasicTicker"}},"id":"f4933af9-8b5c-4a25-a0e4-edb08a054832","type":"Grid"},{"attributes":{"source":{"id":"e4d4fbda-63a1-4a49-9c57-b32302e563b6","type":"ColumnDataSource"}},"id":"215385d2-44d6-45a6-bd04-83c5cdcb0682","type":"CDSView"},{"attributes":{"data_source":{"id":"e4d4fbda-63a1-4a49-9c57-b32302e563b6","type":"ColumnDataSource"},"glyph":{"id":"a056e136-8b7b-488e-818c-9b01afefe0e1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"9080cb83-8705-4faa-8b79-fa598daa463b","type":"Circle"},"selection_glyph":null,"view":{"id":"215385d2-44d6-45a6-bd04-83c5cdcb0682","type":"CDSView"}},"id":"07ecd07c-8100-4d30-aca9-59b8252bf180","type":"GlyphRenderer"},{"attributes":{"callback":null},"id":"48c7f338-2d91-4d45-b23c-4cb66287e21b","type":"DataRange1d"},{"attributes":{},"id":"42722231-9ba4-47a4-89f6-26ff2012f793","type":"LinearScale"},{"attributes":{},"id":"c69d3674-8b2d-4e9c-848d-93c8208c805c","type":"HelpTool"},{"attributes":{},"id":"8543ecf1-7d22-4d3e-a60e-2026a602b771","type":"BasicTicker"},{"attributes":{},"id":"9b6489d9-3029-4b55-8c25-b903b19addaf","type":"WheelZoomTool"},{"attributes":{},"id":"22df4255-f90d-4682-a94e-437bfb866a29","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"7d468ecf-6706-4e51-abc0-fa2499ab1c10","type":"BoxAnnotation"},{"attributes":{},"id":"3ffe46ec-54e1-4fd4-938c-272d26221557","type":"SaveTool"},{"attributes":{"below":[{"id":"b1f8e8a3-47a2-4cb1-9819-83211d8ab8ef","type":"LinearAxis"}],"left":[{"id":"556a3bd5-89d5-4bae-8acc-2ce996d4d607","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b1f8e8a3-47a2-4cb1-9819-83211d8ab8ef","type":"LinearAxis"},{"id":"f4933af9-8b5c-4a25-a0e4-edb08a054832","type":"Grid"},{"id":"556a3bd5-89d5-4bae-8acc-2ce996d4d607","type":"LinearAxis"},{"id":"43e98f71-d4fd-4a13-86ef-ff8f60db8b21","type":"Grid"},{"id":"7d468ecf-6706-4e51-abc0-fa2499ab1c10","type":"BoxAnnotation"},{"id":"07ecd07c-8100-4d30-aca9-59b8252bf180","type":"GlyphRenderer"}],"title":{"id":"d58c195a-1249-4003-b9e7-da36774f18ee","type":"Title"},"toolbar":{"id":"578cdb1b-fd0c-47f5-93db-3a0518c46d3b","type":"Toolbar"},"x_range":{"id":"3a051238-c7dd-4fd1-8362-30f13ce8987f","type":"DataRange1d"},"x_scale":{"id":"42722231-9ba4-47a4-89f6-26ff2012f793","type":"LinearScale"},"y_range":{"id":"48c7f338-2d91-4d45-b23c-4cb66287e21b","type":"DataRange1d"},"y_scale":{"id":"60e36e01-c712-4f90-9fd4-78bd51ae290a","type":"LinearScale"}},"id":"4a920a26-03bb-4674-ae5d-dd1d474fe77a","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"3a051238-c7dd-4fd1-8362-30f13ce8987f","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e4d4fbda-63a1-4a49-9c57-b32302e563b6","type":"ColumnDataSource"},{"attributes":{},"id":"73e5324d-01b4-412c-b5a9-e9989e8bd9f8","type":"PanTool"},{"attributes":{"plot":null,"text":""},"id":"d58c195a-1249-4003-b9e7-da36774f18ee","type":"Title"}],"root_ids":["4a920a26-03bb-4674-ae5d-dd1d474fe77a"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"c18e7d8e-764f-4ba7-a267-fe56fb3cce42","elementid":"bd15e1a9-5ad9-4c70-947b-d0c2c077521d","modelid":"4a920a26-03bb-4674-ae5d-dd1d474fe77a"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
