(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("0f2d88a8-291e-49c9-97bd-67b46b7b61f6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '0f2d88a8-291e-49c9-97bd-67b46b7b61f6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1d666872-f0c1-4a40-aec6-0f7624b1a712":{"roots":{"references":[{"attributes":{},"id":"428e6d8a-bdd1-4b01-9430-4e748e483b15","type":"BasicTicker"},{"attributes":{},"id":"c71da1cb-7143-44a5-a929-f6f6a0f4c6b3","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"258bd278-9376-414b-9baa-8d8efed0059b","type":"BoxAnnotation"}},"id":"a8f6c03f-aef0-47b2-97f0-d081cd631b3d","type":"BoxZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"55743d58-9e45-42ae-894d-ab1962270db5","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"9ef3571f-135c-49ac-adb9-dd90d89f7e5e","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"376e164c-8fbb-465f-9c4e-2fa090c24889","type":"BasicTickFormatter"},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":null},"minor_tick_out":8,"plot":{"id":"9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"428e6d8a-bdd1-4b01-9430-4e748e483b15","type":"BasicTicker"}},"id":"89724072-f781-4305-97d6-ce9d93eb4d3e","type":"LinearAxis"},{"attributes":{"callback":null},"id":"038f969d-37c0-454c-8726-839c2fa1c874","type":"DataRange1d"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"258bd278-9376-414b-9baa-8d8efed0059b","type":"BoxAnnotation"},{"attributes":{},"id":"c65ea3b5-ab9b-4f2e-8a30-2630c7e8c00d","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"0664159b-7e50-4dd7-a88c-f3f6e5512480","type":"LinearAxis"}],"left":[{"id":"89724072-f781-4305-97d6-ce9d93eb4d3e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"0664159b-7e50-4dd7-a88c-f3f6e5512480","type":"LinearAxis"},{"id":"c9b16871-4dbb-4f88-a882-b3268de8528c","type":"Grid"},{"id":"89724072-f781-4305-97d6-ce9d93eb4d3e","type":"LinearAxis"},{"id":"102811e4-18e0-4fd2-8c34-566f80dbab13","type":"Grid"},{"id":"258bd278-9376-414b-9baa-8d8efed0059b","type":"BoxAnnotation"},{"id":"d48499bb-34cc-4999-8320-22f57c55bf24","type":"GlyphRenderer"}],"title":{"id":"11806a83-451b-46de-9258-1bd1f5e8c214","type":"Title"},"toolbar":{"id":"06673fce-98bb-4ed9-8c3d-bbdcb81ccd79","type":"Toolbar"},"x_range":{"id":"95c04f11-c8d1-448a-a6ea-61a6d4142a00","type":"DataRange1d"},"x_scale":{"id":"7c48057b-c6c3-4b31-af12-fface03e6f18","type":"LinearScale"},"y_range":{"id":"038f969d-37c0-454c-8726-839c2fa1c874","type":"DataRange1d"},"y_scale":{"id":"b8ce02b4-be6e-448d-8f97-9e747c521721","type":"LinearScale"}},"id":"9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf","subtype":"Figure","type":"Plot"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"257e5a60-45b0-411a-ab9e-6713869eb056","type":"Circle"},{"attributes":{},"id":"b8ce02b4-be6e-448d-8f97-9e747c521721","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"428e6d8a-bdd1-4b01-9430-4e748e483b15","type":"BasicTicker"}},"id":"102811e4-18e0-4fd2-8c34-566f80dbab13","type":"Grid"},{"attributes":{"formatter":{"id":"c65ea3b5-ab9b-4f2e-8a30-2630c7e8c00d","type":"BasicTickFormatter"},"major_tick_line_color":{"value":"firebrick"},"major_tick_line_width":{"value":3},"major_tick_out":10,"minor_tick_in":-3,"minor_tick_line_color":{"value":"orange"},"minor_tick_out":8,"plot":{"id":"9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"987cd375-6d7d-44f2-b240-dc6884656670","type":"BasicTicker"}},"id":"0664159b-7e50-4dd7-a88c-f3f6e5512480","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"11806a83-451b-46de-9258-1bd1f5e8c214","type":"Title"},{"attributes":{"data_source":{"id":"9ef3571f-135c-49ac-adb9-dd90d89f7e5e","type":"ColumnDataSource"},"glyph":{"id":"55743d58-9e45-42ae-894d-ab1962270db5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"257e5a60-45b0-411a-ab9e-6713869eb056","type":"Circle"},"selection_glyph":null,"view":{"id":"de0530a9-f67a-4b46-92a5-e7ecd8679227","type":"CDSView"}},"id":"d48499bb-34cc-4999-8320-22f57c55bf24","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"49f6249e-7607-4a04-8319-6be7a9c1f357","type":"PanTool"},{"id":"c71da1cb-7143-44a5-a929-f6f6a0f4c6b3","type":"WheelZoomTool"},{"id":"a8f6c03f-aef0-47b2-97f0-d081cd631b3d","type":"BoxZoomTool"},{"id":"db16f7d0-a982-4db2-ab4a-e494838d5da6","type":"SaveTool"},{"id":"eb72fb00-7f2d-4a3e-a7f8-3610f25c1389","type":"ResetTool"},{"id":"8ae81eaf-bd8f-449a-80a1-3328f12c4066","type":"HelpTool"}]},"id":"06673fce-98bb-4ed9-8c3d-bbdcb81ccd79","type":"Toolbar"},{"attributes":{},"id":"376e164c-8fbb-465f-9c4e-2fa090c24889","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"9ef3571f-135c-49ac-adb9-dd90d89f7e5e","type":"ColumnDataSource"}},"id":"de0530a9-f67a-4b46-92a5-e7ecd8679227","type":"CDSView"},{"attributes":{"plot":{"id":"9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf","subtype":"Figure","type":"Plot"},"ticker":{"id":"987cd375-6d7d-44f2-b240-dc6884656670","type":"BasicTicker"}},"id":"c9b16871-4dbb-4f88-a882-b3268de8528c","type":"Grid"},{"attributes":{},"id":"db16f7d0-a982-4db2-ab4a-e494838d5da6","type":"SaveTool"},{"attributes":{"callback":null},"id":"95c04f11-c8d1-448a-a6ea-61a6d4142a00","type":"DataRange1d"},{"attributes":{},"id":"8ae81eaf-bd8f-449a-80a1-3328f12c4066","type":"HelpTool"},{"attributes":{},"id":"7c48057b-c6c3-4b31-af12-fface03e6f18","type":"LinearScale"},{"attributes":{},"id":"987cd375-6d7d-44f2-b240-dc6884656670","type":"BasicTicker"},{"attributes":{},"id":"eb72fb00-7f2d-4a3e-a7f8-3610f25c1389","type":"ResetTool"},{"attributes":{},"id":"49f6249e-7607-4a04-8319-6be7a9c1f357","type":"PanTool"}],"root_ids":["9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1d666872-f0c1-4a40-aec6-0f7624b1a712","elementid":"0f2d88a8-291e-49c9-97bd-67b46b7b61f6","modelid":"9fe19aa5-698d-4342-bcf6-dd6e4ed7dcdf"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
