(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a5a041ff-2429-422f-a90f-4fc9fcd7997d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a5a041ff-2429-422f-a90f-4fc9fcd7997d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"3f122012-c924-4ed1-9bfe-ca3993659a19":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"3db5c479-df77-4384-a916-1712f7da1182","type":"PanTool"},{"id":"f6f3930f-181a-4c08-9922-6d026729b522","type":"WheelZoomTool"},{"id":"f6085e52-6200-4730-a65b-b4781497dd47","type":"BoxZoomTool"},{"id":"52386fff-f427-4dee-a0d4-0dbca58cc229","type":"SaveTool"},{"id":"26e47882-7aa2-4f8c-9846-6e2fc459e4c5","type":"ResetTool"},{"id":"63be8420-31e4-4645-ab83-213eab881e30","type":"HelpTool"}]},"id":"92e671ac-1b35-4517-8fad-8f8f302fdcef","type":"Toolbar"},{"attributes":{},"id":"c4058e41-cde6-4afa-a4c2-5fbd0684b474","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"84d8b739-a421-4e38-8c00-781ea9c7d0a9","type":"ColumnDataSource"},{"attributes":{"below":[{"id":"b0267758-478e-4c2a-8955-36ffd4289ab3","type":"LinearAxis"}],"left":[{"id":"3a2fece8-233b-43e6-9d9c-74c228de6404","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b0267758-478e-4c2a-8955-36ffd4289ab3","type":"LinearAxis"},{"id":"f42c0e6b-cba0-4028-b100-80f99a4c0763","type":"Grid"},{"id":"3a2fece8-233b-43e6-9d9c-74c228de6404","type":"LinearAxis"},{"id":"88a4e1f3-fefc-494f-b64a-9b6940a750f8","type":"Grid"},{"id":"f368aee7-a245-4622-8ab4-7c97577e49e3","type":"BoxAnnotation"},{"id":"2a234df8-9225-4c21-8941-9c4912285c6a","type":"GlyphRenderer"}],"title":{"id":"de939ad3-5863-411e-979c-5a3ecf418585","type":"Title"},"toolbar":{"id":"92e671ac-1b35-4517-8fad-8f8f302fdcef","type":"Toolbar"},"x_range":{"id":"a2a9f9c6-c6d7-43d4-8eb1-9cae0253eb99","type":"DataRange1d"},"x_scale":{"id":"bb153fce-ff64-479a-9e41-cdf32c78c930","type":"LinearScale"},"y_range":{"id":"040c9918-45af-4f6e-b0e2-0f4f462b5209","type":"DataRange1d"},"y_scale":{"id":"c4058e41-cde6-4afa-a4c2-5fbd0684b474","type":"LinearScale"}},"id":"36699798-3939-40d3-a681-f6d9d6b2a0c2","subtype":"Figure","type":"Plot"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f368aee7-a245-4622-8ab4-7c97577e49e3","type":"BoxAnnotation"},{"attributes":{"overlay":{"id":"f368aee7-a245-4622-8ab4-7c97577e49e3","type":"BoxAnnotation"}},"id":"f6085e52-6200-4730-a65b-b4781497dd47","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"a2a9f9c6-c6d7-43d4-8eb1-9cae0253eb99","type":"DataRange1d"},{"attributes":{},"id":"52386fff-f427-4dee-a0d4-0dbca58cc229","type":"SaveTool"},{"attributes":{},"id":"f6f3930f-181a-4c08-9922-6d026729b522","type":"WheelZoomTool"},{"attributes":{"plot":{"id":"36699798-3939-40d3-a681-f6d9d6b2a0c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"d6d12315-34e5-407e-bb1f-62b51c66256d","type":"BasicTicker"}},"id":"f42c0e6b-cba0-4028-b100-80f99a4c0763","type":"Grid"},{"attributes":{"callback":null},"id":"040c9918-45af-4f6e-b0e2-0f4f462b5209","type":"DataRange1d"},{"attributes":{},"id":"26e47882-7aa2-4f8c-9846-6e2fc459e4c5","type":"ResetTool"},{"attributes":{},"id":"d6d12315-34e5-407e-bb1f-62b51c66256d","type":"BasicTicker"},{"attributes":{"source":{"id":"84d8b739-a421-4e38-8c00-781ea9c7d0a9","type":"ColumnDataSource"}},"id":"8086e537-be04-4e54-a80c-faf51fc431bb","type":"CDSView"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"12b6183d-6770-4331-8e25-384ab50811a5","type":"Circle"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"78e7fe8a-174f-4527-9324-5458551dc6b4","type":"Circle"},{"attributes":{"formatter":{"id":"17afe1b3-0411-4700-9282-fcb8dfe23e6e","type":"NumeralTickFormatter"},"plot":{"id":"36699798-3939-40d3-a681-f6d9d6b2a0c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"d6d12315-34e5-407e-bb1f-62b51c66256d","type":"BasicTicker"}},"id":"b0267758-478e-4c2a-8955-36ffd4289ab3","type":"LinearAxis"},{"attributes":{},"id":"63be8420-31e4-4645-ab83-213eab881e30","type":"HelpTool"},{"attributes":{"formatter":{"id":"189ac020-598b-4716-a0c5-b8a6cd094faf","type":"NumeralTickFormatter"},"plot":{"id":"36699798-3939-40d3-a681-f6d9d6b2a0c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a3a2dc2-2071-4161-89ed-707970003dbb","type":"BasicTicker"}},"id":"3a2fece8-233b-43e6-9d9c-74c228de6404","type":"LinearAxis"},{"attributes":{"dimension":1,"plot":{"id":"36699798-3939-40d3-a681-f6d9d6b2a0c2","subtype":"Figure","type":"Plot"},"ticker":{"id":"6a3a2dc2-2071-4161-89ed-707970003dbb","type":"BasicTicker"}},"id":"88a4e1f3-fefc-494f-b64a-9b6940a750f8","type":"Grid"},{"attributes":{},"id":"bb153fce-ff64-479a-9e41-cdf32c78c930","type":"LinearScale"},{"attributes":{},"id":"6a3a2dc2-2071-4161-89ed-707970003dbb","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"de939ad3-5863-411e-979c-5a3ecf418585","type":"Title"},{"attributes":{"data_source":{"id":"84d8b739-a421-4e38-8c00-781ea9c7d0a9","type":"ColumnDataSource"},"glyph":{"id":"12b6183d-6770-4331-8e25-384ab50811a5","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"78e7fe8a-174f-4527-9324-5458551dc6b4","type":"Circle"},"selection_glyph":null,"view":{"id":"8086e537-be04-4e54-a80c-faf51fc431bb","type":"CDSView"}},"id":"2a234df8-9225-4c21-8941-9c4912285c6a","type":"GlyphRenderer"},{"attributes":{},"id":"3db5c479-df77-4384-a916-1712f7da1182","type":"PanTool"},{"attributes":{"format":"$0.00"},"id":"189ac020-598b-4716-a0c5-b8a6cd094faf","type":"NumeralTickFormatter"},{"attributes":{"format":"0.0%"},"id":"17afe1b3-0411-4700-9282-fcb8dfe23e6e","type":"NumeralTickFormatter"}],"root_ids":["36699798-3939-40d3-a681-f6d9d6b2a0c2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"3f122012-c924-4ed1-9bfe-ca3993659a19","elementid":"a5a041ff-2429-422f-a90f-4fc9fcd7997d","modelid":"36699798-3939-40d3-a681-f6d9d6b2a0c2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
