(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("fcab14b3-6875-4155-b8bf-bed84a262d9e");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'fcab14b3-6875-4155-b8bf-bed84a262d9e' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"246b84f1-e6f4-4772-baec-480dc609718b":{"roots":{"references":[{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f9a3c06c-5dba-451c-b0bd-49c363dc8a11","type":"Circle"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"521b5482-97f3-44df-b3a2-b208df054407","type":"PanTool"},{"id":"557f2492-2a71-4aa2-a9eb-c9431c150d75","type":"WheelZoomTool"},{"id":"51437a1a-ad8b-4b13-b684-85bcf017c19c","type":"BoxZoomTool"},{"id":"ce13bbb6-6932-43c6-bceb-92f18a6d9e01","type":"SaveTool"},{"id":"5c1b718c-b3f1-4b01-87ae-157ff1accff2","type":"ResetTool"},{"id":"3a995284-957f-4400-9559-6b6262a172b6","type":"HelpTool"}]},"id":"1dea54d5-15f5-433f-b882-ae5de4f438d8","type":"Toolbar"},{"attributes":{},"id":"521b5482-97f3-44df-b3a2-b208df054407","type":"PanTool"},{"attributes":{"format":"%5.3f mu"},"id":"73438af2-f4f0-4b14-9f48-bcc6541976ba","type":"PrintfTickFormatter"},{"attributes":{},"id":"c4638de2-8f1b-4d57-af50-a3edd85259bb","type":"BasicTicker"},{"attributes":{},"id":"557f2492-2a71-4aa2-a9eb-c9431c150d75","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"f248a41b-b711-44f8-ba2f-10151a6834e2","type":"BoxAnnotation"}},"id":"51437a1a-ad8b-4b13-b684-85bcf017c19c","type":"BoxZoomTool"},{"attributes":{},"id":"3a995284-957f-4400-9559-6b6262a172b6","type":"HelpTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"fd2ad8ce-cd4f-41cf-87f0-50b66323ec7c","type":"Circle"},{"attributes":{"callback":null},"id":"f890b497-3f7b-45e1-bae8-e9fee155b5df","type":"DataRange1d"},{"attributes":{},"id":"e9d48165-bcef-494e-a9a6-5e8db9ce469c","type":"LinearScale"},{"attributes":{},"id":"5c1b718c-b3f1-4b01-87ae-157ff1accff2","type":"ResetTool"},{"attributes":{"callback":null},"id":"7fc42bf0-43af-4634-af7a-d68da767349d","type":"DataRange1d"},{"attributes":{"plot":{"id":"10f5543b-6873-474e-bf0f-408b22134dea","subtype":"Figure","type":"Plot"},"ticker":{"id":"debabb74-cfcf-4d98-96ce-efb9789fb6e8","type":"BasicTicker"}},"id":"067b8e58-0c2a-46e5-85ee-2d716dc3e282","type":"Grid"},{"attributes":{"data_source":{"id":"e522d64a-71ec-4228-9dd3-3414718715e0","type":"ColumnDataSource"},"glyph":{"id":"f9a3c06c-5dba-451c-b0bd-49c363dc8a11","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"fd2ad8ce-cd4f-41cf-87f0-50b66323ec7c","type":"Circle"},"selection_glyph":null,"view":{"id":"5cc34aad-2ab7-4e0d-973d-ee8c93facf54","type":"CDSView"}},"id":"25444042-0da5-485a-9a64-2ea240f3a488","type":"GlyphRenderer"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e522d64a-71ec-4228-9dd3-3414718715e0","type":"ColumnDataSource"},{"attributes":{"source":{"id":"e522d64a-71ec-4228-9dd3-3414718715e0","type":"ColumnDataSource"}},"id":"5cc34aad-2ab7-4e0d-973d-ee8c93facf54","type":"CDSView"},{"attributes":{"below":[{"id":"b97c28ad-686f-419c-8488-68df10356184","type":"LinearAxis"}],"left":[{"id":"d509002b-bf4b-40dc-b8ab-6c72b6ff7014","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"b97c28ad-686f-419c-8488-68df10356184","type":"LinearAxis"},{"id":"067b8e58-0c2a-46e5-85ee-2d716dc3e282","type":"Grid"},{"id":"d509002b-bf4b-40dc-b8ab-6c72b6ff7014","type":"LinearAxis"},{"id":"14c97866-6521-4405-8439-e12698a8a337","type":"Grid"},{"id":"f248a41b-b711-44f8-ba2f-10151a6834e2","type":"BoxAnnotation"},{"id":"25444042-0da5-485a-9a64-2ea240f3a488","type":"GlyphRenderer"}],"title":{"id":"a610afe1-5dc2-4662-a570-2114604ac4e2","type":"Title"},"toolbar":{"id":"1dea54d5-15f5-433f-b882-ae5de4f438d8","type":"Toolbar"},"x_range":{"id":"f890b497-3f7b-45e1-bae8-e9fee155b5df","type":"DataRange1d"},"x_scale":{"id":"834335f8-c3e8-469f-b644-f7a164dbaca7","type":"LinearScale"},"y_range":{"id":"7fc42bf0-43af-4634-af7a-d68da767349d","type":"DataRange1d"},"y_scale":{"id":"e9d48165-bcef-494e-a9a6-5e8db9ce469c","type":"LinearScale"}},"id":"10f5543b-6873-474e-bf0f-408b22134dea","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"727be3f6-801e-435d-9f8d-765c950420fb","type":"PrintfTickFormatter"},"plot":{"id":"10f5543b-6873-474e-bf0f-408b22134dea","subtype":"Figure","type":"Plot"},"ticker":{"id":"debabb74-cfcf-4d98-96ce-efb9789fb6e8","type":"BasicTicker"}},"id":"b97c28ad-686f-419c-8488-68df10356184","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"a610afe1-5dc2-4662-a570-2114604ac4e2","type":"Title"},{"attributes":{},"id":"debabb74-cfcf-4d98-96ce-efb9789fb6e8","type":"BasicTicker"},{"attributes":{"formatter":{"id":"73438af2-f4f0-4b14-9f48-bcc6541976ba","type":"PrintfTickFormatter"},"plot":{"id":"10f5543b-6873-474e-bf0f-408b22134dea","subtype":"Figure","type":"Plot"},"ticker":{"id":"c4638de2-8f1b-4d57-af50-a3edd85259bb","type":"BasicTicker"}},"id":"d509002b-bf4b-40dc-b8ab-6c72b6ff7014","type":"LinearAxis"},{"attributes":{},"id":"ce13bbb6-6932-43c6-bceb-92f18a6d9e01","type":"SaveTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f248a41b-b711-44f8-ba2f-10151a6834e2","type":"BoxAnnotation"},{"attributes":{},"id":"834335f8-c3e8-469f-b644-f7a164dbaca7","type":"LinearScale"},{"attributes":{"format":"%4.1e"},"id":"727be3f6-801e-435d-9f8d-765c950420fb","type":"PrintfTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"10f5543b-6873-474e-bf0f-408b22134dea","subtype":"Figure","type":"Plot"},"ticker":{"id":"c4638de2-8f1b-4d57-af50-a3edd85259bb","type":"BasicTicker"}},"id":"14c97866-6521-4405-8439-e12698a8a337","type":"Grid"}],"root_ids":["10f5543b-6873-474e-bf0f-408b22134dea"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"246b84f1-e6f4-4772-baec-480dc609718b","elementid":"fcab14b3-6875-4155-b8bf-bed84a262d9e","modelid":"10f5543b-6873-474e-bf0f-408b22134dea"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
