(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("9afdd486-d0c4-4b58-ae1d-3b85cb1bb8a2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '9afdd486-d0c4-4b58-ae1d-3b85cb1bb8a2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"d9cd1700-9c73-45c0-b58e-5f3a7d9541c2":{"roots":{"references":[{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"802bec89-2d0b-46a1-932f-803238b9444e","type":"PanTool"},{"id":"5ae23022-c100-43d2-bf39-4bd44e7a1856","type":"WheelZoomTool"},{"id":"4f74ce24-55ec-4ac9-bca6-7d53947c9819","type":"BoxZoomTool"},{"id":"b576ef83-aea7-4b85-8417-16a8b0b10a79","type":"SaveTool"},{"id":"213e6b9f-03c6-4bf0-96a9-9cbeffc4cf57","type":"ResetTool"},{"id":"b43f7886-bacc-4e8a-8b31-6ce8e51b82a4","type":"HelpTool"}]},"id":"9cb94c44-40e9-4923-845b-ad85fa5c554b","type":"Toolbar"},{"attributes":{"formatter":{"id":"20a01f3c-9e18-48be-8d8c-e2b86bbc0808","type":"BasicTickFormatter"},"major_label_orientation":"vertical","plot":{"id":"d044daa4-8c00-442c-ae04-3b7001b3652c","subtype":"Figure","type":"Plot"},"ticker":{"id":"be1e226f-70dd-489e-8ab8-3c184d17a14f","type":"BasicTicker"}},"id":"a0699176-c63b-42b8-8148-17391adcc821","type":"LinearAxis"},{"attributes":{"data_source":{"id":"6e0c4d6e-511a-447c-ab0d-85638c43e65c","type":"ColumnDataSource"},"glyph":{"id":"8270a24e-13c1-4060-9a44-0b9ac84a958c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"1c3df00b-2d89-4f49-9874-975690373bea","type":"Circle"},"selection_glyph":null,"view":{"id":"ff6a8a36-2c3b-470f-b4d5-9646bbd2ef97","type":"CDSView"}},"id":"f1c986c3-8808-4ef8-a97b-a82f1914cb77","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"d044daa4-8c00-442c-ae04-3b7001b3652c","subtype":"Figure","type":"Plot"},"ticker":{"id":"ff77fdc6-ccc3-48c7-92d3-2c79ae36c757","type":"BasicTicker"}},"id":"dbb1dcd9-493f-41a8-a3e9-9abf0661d796","type":"Grid"},{"attributes":{},"id":"ff77fdc6-ccc3-48c7-92d3-2c79ae36c757","type":"BasicTicker"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"6e0c4d6e-511a-447c-ab0d-85638c43e65c","type":"ColumnDataSource"},{"attributes":{"source":{"id":"6e0c4d6e-511a-447c-ab0d-85638c43e65c","type":"ColumnDataSource"}},"id":"ff6a8a36-2c3b-470f-b4d5-9646bbd2ef97","type":"CDSView"},{"attributes":{},"id":"20a01f3c-9e18-48be-8d8c-e2b86bbc0808","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"e3f2a943-144e-42c7-b6de-e1afe9f16aef","type":"BasicTickFormatter"},"major_label_orientation":0.7853981633974483,"plot":{"id":"d044daa4-8c00-442c-ae04-3b7001b3652c","subtype":"Figure","type":"Plot"},"ticker":{"id":"ff77fdc6-ccc3-48c7-92d3-2c79ae36c757","type":"BasicTicker"}},"id":"6ee8e63f-265f-444b-b557-873205b94443","type":"LinearAxis"},{"attributes":{},"id":"b576ef83-aea7-4b85-8417-16a8b0b10a79","type":"SaveTool"},{"attributes":{"dimension":1,"plot":{"id":"d044daa4-8c00-442c-ae04-3b7001b3652c","subtype":"Figure","type":"Plot"},"ticker":{"id":"be1e226f-70dd-489e-8ab8-3c184d17a14f","type":"BasicTicker"}},"id":"c9712cbc-d442-4cff-90cc-1b68b82e0767","type":"Grid"},{"attributes":{},"id":"b43f7886-bacc-4e8a-8b31-6ce8e51b82a4","type":"HelpTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"66ca4d35-330f-4140-9253-9af6ea707c14","type":"BoxAnnotation"},{"attributes":{"callback":null},"id":"18db424e-8a97-47ca-854d-720ec1f121cb","type":"DataRange1d"},{"attributes":{},"id":"f532e14f-7cba-40ab-a1fb-2a27631392df","type":"LinearScale"},{"attributes":{"callback":null},"id":"aa217444-5d80-4947-adaa-952bbcc67ef3","type":"DataRange1d"},{"attributes":{},"id":"213e6b9f-03c6-4bf0-96a9-9cbeffc4cf57","type":"ResetTool"},{"attributes":{"overlay":{"id":"66ca4d35-330f-4140-9253-9af6ea707c14","type":"BoxAnnotation"}},"id":"4f74ce24-55ec-4ac9-bca6-7d53947c9819","type":"BoxZoomTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"1c3df00b-2d89-4f49-9874-975690373bea","type":"Circle"},{"attributes":{},"id":"be1e226f-70dd-489e-8ab8-3c184d17a14f","type":"BasicTicker"},{"attributes":{},"id":"802bec89-2d0b-46a1-932f-803238b9444e","type":"PanTool"},{"attributes":{},"id":"5ae23022-c100-43d2-bf39-4bd44e7a1856","type":"WheelZoomTool"},{"attributes":{"below":[{"id":"6ee8e63f-265f-444b-b557-873205b94443","type":"LinearAxis"}],"left":[{"id":"a0699176-c63b-42b8-8148-17391adcc821","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"6ee8e63f-265f-444b-b557-873205b94443","type":"LinearAxis"},{"id":"dbb1dcd9-493f-41a8-a3e9-9abf0661d796","type":"Grid"},{"id":"a0699176-c63b-42b8-8148-17391adcc821","type":"LinearAxis"},{"id":"c9712cbc-d442-4cff-90cc-1b68b82e0767","type":"Grid"},{"id":"66ca4d35-330f-4140-9253-9af6ea707c14","type":"BoxAnnotation"},{"id":"f1c986c3-8808-4ef8-a97b-a82f1914cb77","type":"GlyphRenderer"}],"title":{"id":"c7ce5b86-513f-4a8e-85de-2acbe11997cd","type":"Title"},"toolbar":{"id":"9cb94c44-40e9-4923-845b-ad85fa5c554b","type":"Toolbar"},"x_range":{"id":"aa217444-5d80-4947-adaa-952bbcc67ef3","type":"DataRange1d"},"x_scale":{"id":"f532e14f-7cba-40ab-a1fb-2a27631392df","type":"LinearScale"},"y_range":{"id":"18db424e-8a97-47ca-854d-720ec1f121cb","type":"DataRange1d"},"y_scale":{"id":"2fb898ed-8286-46be-bda0-d0742caa9b69","type":"LinearScale"}},"id":"d044daa4-8c00-442c-ae04-3b7001b3652c","subtype":"Figure","type":"Plot"},{"attributes":{"plot":null,"text":""},"id":"c7ce5b86-513f-4a8e-85de-2acbe11997cd","type":"Title"},{"attributes":{},"id":"2fb898ed-8286-46be-bda0-d0742caa9b69","type":"LinearScale"},{"attributes":{},"id":"e3f2a943-144e-42c7-b6de-e1afe9f16aef","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8270a24e-13c1-4060-9a44-0b9ac84a958c","type":"Circle"}],"root_ids":["d044daa4-8c00-442c-ae04-3b7001b3652c"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"d9cd1700-9c73-45c0-b58e-5f3a7d9541c2","elementid":"9afdd486-d0c4-4b58-ae1d-3b85cb1bb8a2","modelid":"d044daa4-8c00-442c-ae04-3b7001b3652c"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
