(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("4ec02545-e06b-4823-8ddb-6f0fbbb1a1b2");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '4ec02545-e06b-4823-8ddb-6f0fbbb1a1b2' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f705dfc0-dd60-4835-b082-23cb814a4ac6":{"roots":{"references":[{"attributes":{},"id":"9958f602-d551-4d3f-80d0-66dcad70eabe","type":"PanTool"},{"attributes":{},"id":"a0b7d287-9c84-49b0-85b3-9d2462959d49","type":"BasicTicker"},{"attributes":{"overlay":{"id":"640559d0-6fc1-4ceb-8687-17ca0d196aad","type":"BoxAnnotation"}},"id":"1f89158d-87c9-4048-9adf-9a60e2b1b59b","type":"BoxZoomTool"},{"attributes":{"below":[{"id":"455b1648-69cb-48de-8809-551142ed0d1a","type":"LinearAxis"}],"left":[{"id":"e55724c8-1000-4196-b88c-f9b616b2be2e","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"455b1648-69cb-48de-8809-551142ed0d1a","type":"LinearAxis"},{"id":"8d33d072-2644-4836-a4bd-b3ecf9c467bc","type":"Grid"},{"id":"e55724c8-1000-4196-b88c-f9b616b2be2e","type":"LinearAxis"},{"id":"7d7d682a-c7f2-4987-afd4-dc661ad16494","type":"Grid"},{"id":"640559d0-6fc1-4ceb-8687-17ca0d196aad","type":"BoxAnnotation"},{"id":"cebed486-b0e1-4960-b28c-358e67bbba12","type":"GlyphRenderer"}],"title":{"id":"b5535ac6-5314-4a8d-b2b3-d57088a0365b","type":"Title"},"toolbar":{"id":"6cdc8fb2-72ff-4127-b8c8-306c02bb9b83","type":"Toolbar"},"x_range":{"id":"3d2b37ab-520e-46ac-a5bf-1b23f7b28b02","type":"DataRange1d"},"x_scale":{"id":"14004f51-8550-4340-935f-36ce1079067a","type":"LinearScale"},"y_range":{"id":"4d8284ef-24f0-41ed-91f9-916aadcb55b4","type":"DataRange1d"},"y_scale":{"id":"4e6b08be-2701-45e8-8fda-028313bd66ab","type":"LinearScale"}},"id":"7a890c96-4d4b-4b68-af67-46b81ef19914","subtype":"Figure","type":"Plot"},{"attributes":{"dimension":1,"grid_line_alpha":{"value":0.5},"grid_line_dash":[6,4],"plot":{"id":"7a890c96-4d4b-4b68-af67-46b81ef19914","subtype":"Figure","type":"Plot"},"ticker":{"id":"fda3902b-cd22-48b8-953b-6bd2fe7eb881","type":"BasicTicker"}},"id":"7d7d682a-c7f2-4987-afd4-dc661ad16494","type":"Grid"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e93e599-7fda-41ff-899f-fa8d9113f887","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"daf4e03b-64ec-4721-9232-d93751fb0c97","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"33521389-c2a1-46fa-9b47-74e75215cad8","type":"BasicTickFormatter"},"plot":{"id":"7a890c96-4d4b-4b68-af67-46b81ef19914","subtype":"Figure","type":"Plot"},"ticker":{"id":"fda3902b-cd22-48b8-953b-6bd2fe7eb881","type":"BasicTicker"}},"id":"e55724c8-1000-4196-b88c-f9b616b2be2e","type":"LinearAxis"},{"attributes":{"data_source":{"id":"daf4e03b-64ec-4721-9232-d93751fb0c97","type":"ColumnDataSource"},"glyph":{"id":"8394411e-bc23-4891-891b-54b437f74fc1","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e93e599-7fda-41ff-899f-fa8d9113f887","type":"Circle"},"selection_glyph":null,"view":{"id":"efb5279d-ca4c-49f4-9445-07f7dc553077","type":"CDSView"}},"id":"cebed486-b0e1-4960-b28c-358e67bbba12","type":"GlyphRenderer"},{"attributes":{},"id":"fda3902b-cd22-48b8-953b-6bd2fe7eb881","type":"BasicTicker"},{"attributes":{},"id":"4e6b08be-2701-45e8-8fda-028313bd66ab","type":"LinearScale"},{"attributes":{"plot":null,"text":""},"id":"b5535ac6-5314-4a8d-b2b3-d57088a0365b","type":"Title"},{"attributes":{},"id":"14004f51-8550-4340-935f-36ce1079067a","type":"LinearScale"},{"attributes":{},"id":"93fc467f-5c93-4213-8865-dc801b686712","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9958f602-d551-4d3f-80d0-66dcad70eabe","type":"PanTool"},{"id":"f930d395-9aa1-4e6f-b96c-1fa7e7b36965","type":"WheelZoomTool"},{"id":"1f89158d-87c9-4048-9adf-9a60e2b1b59b","type":"BoxZoomTool"},{"id":"38319db0-0df8-478e-b5df-91a90ee6af58","type":"SaveTool"},{"id":"99572be6-c350-41cf-b33a-e7f35332f4c8","type":"ResetTool"},{"id":"700eb4a7-b0b2-4162-a2aa-8ac0a0f7ede0","type":"HelpTool"}]},"id":"6cdc8fb2-72ff-4127-b8c8-306c02bb9b83","type":"Toolbar"},{"attributes":{},"id":"33521389-c2a1-46fa-9b47-74e75215cad8","type":"BasicTickFormatter"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8394411e-bc23-4891-891b-54b437f74fc1","type":"Circle"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"640559d0-6fc1-4ceb-8687-17ca0d196aad","type":"BoxAnnotation"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"7a890c96-4d4b-4b68-af67-46b81ef19914","subtype":"Figure","type":"Plot"},"ticker":{"id":"a0b7d287-9c84-49b0-85b3-9d2462959d49","type":"BasicTicker"}},"id":"8d33d072-2644-4836-a4bd-b3ecf9c467bc","type":"Grid"},{"attributes":{},"id":"f930d395-9aa1-4e6f-b96c-1fa7e7b36965","type":"WheelZoomTool"},{"attributes":{},"id":"99572be6-c350-41cf-b33a-e7f35332f4c8","type":"ResetTool"},{"attributes":{"formatter":{"id":"93fc467f-5c93-4213-8865-dc801b686712","type":"BasicTickFormatter"},"plot":{"id":"7a890c96-4d4b-4b68-af67-46b81ef19914","subtype":"Figure","type":"Plot"},"ticker":{"id":"a0b7d287-9c84-49b0-85b3-9d2462959d49","type":"BasicTicker"}},"id":"455b1648-69cb-48de-8809-551142ed0d1a","type":"LinearAxis"},{"attributes":{"source":{"id":"daf4e03b-64ec-4721-9232-d93751fb0c97","type":"ColumnDataSource"}},"id":"efb5279d-ca4c-49f4-9445-07f7dc553077","type":"CDSView"},{"attributes":{},"id":"700eb4a7-b0b2-4162-a2aa-8ac0a0f7ede0","type":"HelpTool"},{"attributes":{},"id":"38319db0-0df8-478e-b5df-91a90ee6af58","type":"SaveTool"},{"attributes":{"callback":null},"id":"3d2b37ab-520e-46ac-a5bf-1b23f7b28b02","type":"DataRange1d"},{"attributes":{"callback":null},"id":"4d8284ef-24f0-41ed-91f9-916aadcb55b4","type":"DataRange1d"}],"root_ids":["7a890c96-4d4b-4b68-af67-46b81ef19914"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f705dfc0-dd60-4835-b082-23cb814a4ac6","elementid":"4ec02545-e06b-4823-8ddb-6f0fbbb1a1b2","modelid":"7a890c96-4d4b-4b68-af67-46b81ef19914"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
