(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("ceab25ec-4247-4215-befb-35c5c0ff4e6a");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'ceab25ec-4247-4215-befb-35c5c0ff4e6a' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a5dc3608-5142-473e-b5e3-f8315ee6a8c7":{"roots":{"references":[{"attributes":{},"id":"7ace12da-a9c8-4422-86ef-97aaacaa746f","type":"BasicTicker"},{"attributes":{"formatter":{"id":"4af6834f-9032-4b6b-ba70-3a00e69412af","type":"BasicTickFormatter"},"plot":{"id":"15397743-567f-41b9-9df7-92f6890c19dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ace12da-a9c8-4422-86ef-97aaacaa746f","type":"BasicTicker"}},"id":"9c69f142-47cd-4e53-9bff-82b770f84382","type":"LinearAxis"},{"attributes":{"overlay":{"id":"49a37539-2ffd-4ff9-b590-f891052bd12e","type":"BoxAnnotation"}},"id":"2ba2aaf7-d051-4b80-8686-81b3eb22491c","type":"BoxZoomTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"49a37539-2ffd-4ff9-b590-f891052bd12e","type":"BoxAnnotation"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"03b1f51d-df8d-4138-b533-32202bae09a9","type":"ColumnDataSource"},{"attributes":{},"id":"4af6834f-9032-4b6b-ba70-3a00e69412af","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"03b1f51d-df8d-4138-b533-32202bae09a9","type":"ColumnDataSource"},"glyph":{"id":"90167b26-1210-4c85-b72e-5c0241ddcfc6","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"50930b5b-f59e-4bf9-a868-b11cdf837721","type":"Circle"},"selection_glyph":null,"view":{"id":"828b4d83-a272-4197-9416-13cf49ed3cb6","type":"CDSView"}},"id":"4496e608-409f-4bab-983a-1a94affd3e2b","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"02676058-5e43-46dd-a1e2-19737f59a8dd","type":"PanTool"},{"id":"742de8dc-204a-4851-b82e-7f0e0f35f6f2","type":"WheelZoomTool"},{"id":"2ba2aaf7-d051-4b80-8686-81b3eb22491c","type":"BoxZoomTool"},{"id":"0dd2485e-4dfa-4036-b22a-8916757d2c43","type":"SaveTool"},{"id":"f7e88b2a-e17e-4e94-887f-6ba703e2ce8b","type":"ResetTool"},{"id":"87848a3c-2b71-47e6-b5b9-d4dd6e1369f5","type":"HelpTool"}]},"id":"7b23b543-405c-478f-9d16-c5c0d2d60ddf","type":"Toolbar"},{"attributes":{},"id":"06dc573b-b334-489d-a427-81c57d461f87","type":"BasicTicker"},{"attributes":{"plot":null,"text":""},"id":"5432e2a9-58fe-4838-b376-62eb81a4103a","type":"Title"},{"attributes":{"below":[{"id":"f1ade96f-d6e4-4b9c-ba2a-e028abf71dff","type":"LinearAxis"}],"left":[{"id":"9c69f142-47cd-4e53-9bff-82b770f84382","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f1ade96f-d6e4-4b9c-ba2a-e028abf71dff","type":"LinearAxis"},{"id":"651635a5-d6d7-47ed-949b-916b6078c23a","type":"Grid"},{"id":"9c69f142-47cd-4e53-9bff-82b770f84382","type":"LinearAxis"},{"id":"faf7cc6b-f7b4-400b-afcf-0c98e45b6e88","type":"Grid"},{"id":"49a37539-2ffd-4ff9-b590-f891052bd12e","type":"BoxAnnotation"},{"id":"4496e608-409f-4bab-983a-1a94affd3e2b","type":"GlyphRenderer"}],"title":{"id":"5432e2a9-58fe-4838-b376-62eb81a4103a","type":"Title"},"toolbar":{"id":"7b23b543-405c-478f-9d16-c5c0d2d60ddf","type":"Toolbar"},"x_range":{"id":"ab84e3b7-aa8b-4cef-9230-3a634010f5ab","type":"DataRange1d"},"x_scale":{"id":"c24db230-4f19-46ac-bfe6-7043782d5817","type":"LinearScale"},"y_range":{"id":"0b6a1c43-3604-4c18-a7b3-b7456d68cfc9","type":"DataRange1d"},"y_scale":{"id":"50bb95f2-b734-43ad-a3c0-9b7dcc5acaf2","type":"LinearScale"}},"id":"15397743-567f-41b9-9df7-92f6890c19dd","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"02676058-5e43-46dd-a1e2-19737f59a8dd","type":"PanTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"50930b5b-f59e-4bf9-a868-b11cdf837721","type":"Circle"},{"attributes":{"formatter":{"id":"ef5183c4-9e51-4e03-b85e-32626c92ac05","type":"BasicTickFormatter"},"plot":{"id":"15397743-567f-41b9-9df7-92f6890c19dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"06dc573b-b334-489d-a427-81c57d461f87","type":"BasicTicker"}},"id":"f1ade96f-d6e4-4b9c-ba2a-e028abf71dff","type":"LinearAxis"},{"attributes":{},"id":"742de8dc-204a-4851-b82e-7f0e0f35f6f2","type":"WheelZoomTool"},{"attributes":{},"id":"87848a3c-2b71-47e6-b5b9-d4dd6e1369f5","type":"HelpTool"},{"attributes":{"callback":null},"id":"ab84e3b7-aa8b-4cef-9230-3a634010f5ab","type":"DataRange1d"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"90167b26-1210-4c85-b72e-5c0241ddcfc6","type":"Circle"},{"attributes":{},"id":"ef5183c4-9e51-4e03-b85e-32626c92ac05","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"minor_grid_line_alpha":{"value":0.1},"minor_grid_line_color":{"value":"navy"},"plot":{"id":"15397743-567f-41b9-9df7-92f6890c19dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"7ace12da-a9c8-4422-86ef-97aaacaa746f","type":"BasicTicker"}},"id":"faf7cc6b-f7b4-400b-afcf-0c98e45b6e88","type":"Grid"},{"attributes":{"plot":{"id":"15397743-567f-41b9-9df7-92f6890c19dd","subtype":"Figure","type":"Plot"},"ticker":{"id":"06dc573b-b334-489d-a427-81c57d461f87","type":"BasicTicker"}},"id":"651635a5-d6d7-47ed-949b-916b6078c23a","type":"Grid"},{"attributes":{},"id":"0dd2485e-4dfa-4036-b22a-8916757d2c43","type":"SaveTool"},{"attributes":{},"id":"c24db230-4f19-46ac-bfe6-7043782d5817","type":"LinearScale"},{"attributes":{},"id":"f7e88b2a-e17e-4e94-887f-6ba703e2ce8b","type":"ResetTool"},{"attributes":{"source":{"id":"03b1f51d-df8d-4138-b533-32202bae09a9","type":"ColumnDataSource"}},"id":"828b4d83-a272-4197-9416-13cf49ed3cb6","type":"CDSView"},{"attributes":{},"id":"50bb95f2-b734-43ad-a3c0-9b7dcc5acaf2","type":"LinearScale"},{"attributes":{"callback":null},"id":"0b6a1c43-3604-4c18-a7b3-b7456d68cfc9","type":"DataRange1d"}],"root_ids":["15397743-567f-41b9-9df7-92f6890c19dd"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a5dc3608-5142-473e-b5e3-f8315ee6a8c7","elementid":"ceab25ec-4247-4215-befb-35c5c0ff4e6a","modelid":"15397743-567f-41b9-9df7-92f6890c19dd"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
