(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("15d2d94d-e9a5-4788-9df9-54618b158bbb");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '15d2d94d-e9a5-4788-9df9-54618b158bbb' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a6fc801b-323c-409b-9a98-92ce18b6c613":{"roots":{"references":[{"attributes":{"bounds":[2,4],"dimension":1,"plot":{"id":"796d4b79-9621-496e-897f-9b20ac54a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"8af9c2a6-22b3-406a-8226-cdb5ff57e874","type":"BasicTicker"}},"id":"678849e9-f63a-4b14-bd06-3c8b3123298b","type":"Grid"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f6a7a68f-1570-4900-a54a-edac24770b55","type":"Circle"},{"attributes":{},"id":"54f46bd0-ef79-4395-ba9c-0b280c4e41ae","type":"PanTool"},{"attributes":{},"id":"fcdfcad2-da03-4c69-8b22-78c3e3b86ead","type":"SaveTool"},{"attributes":{},"id":"0ccf606d-b65b-436e-82a1-3c0bee1ad418","type":"LinearScale"},{"attributes":{},"id":"5a161bf8-4582-47c1-a8f2-6c56c6623657","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"e9e2cbf7-4d21-4cb4-bf98-eac8b2f2b3a2","type":"ColumnDataSource"},{"attributes":{"bounds":[2,4],"plot":{"id":"796d4b79-9621-496e-897f-9b20ac54a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d16cfce-3d80-4f76-a555-f1ae66debf0a","type":"BasicTicker"}},"id":"bc4cf019-9ea3-4278-a36a-fc01ba2f48b8","type":"Grid"},{"attributes":{"overlay":{"id":"f7a8e9bc-3ea5-4e8c-8e87-3fa77418b941","type":"BoxAnnotation"}},"id":"ee9d485e-209b-43b3-b254-4cf4b5e7d0f4","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"813ee1f5-99ea-4cc6-96c6-64c198a937a4","type":"BasicTickFormatter"},"plot":{"id":"796d4b79-9621-496e-897f-9b20ac54a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"6d16cfce-3d80-4f76-a555-f1ae66debf0a","type":"BasicTicker"}},"id":"7961d085-d0dd-4eb6-924e-ca754b487133","type":"LinearAxis"},{"attributes":{"plot":null,"text":""},"id":"deb55d02-b0c7-4680-a72b-1caf86f8a18f","type":"Title"},{"attributes":{},"id":"718adc91-49fd-40c0-bd81-12171ab16ea3","type":"WheelZoomTool"},{"attributes":{"callback":null},"id":"d4fb963b-4098-4bdb-a907-a8b110637448","type":"DataRange1d"},{"attributes":{},"id":"a9545919-944e-4e86-9fed-92b98184d450","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"7961d085-d0dd-4eb6-924e-ca754b487133","type":"LinearAxis"}],"left":[{"id":"8a1b57bf-4a27-4949-8704-40459813fa92","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"7961d085-d0dd-4eb6-924e-ca754b487133","type":"LinearAxis"},{"id":"bc4cf019-9ea3-4278-a36a-fc01ba2f48b8","type":"Grid"},{"id":"8a1b57bf-4a27-4949-8704-40459813fa92","type":"LinearAxis"},{"id":"678849e9-f63a-4b14-bd06-3c8b3123298b","type":"Grid"},{"id":"f7a8e9bc-3ea5-4e8c-8e87-3fa77418b941","type":"BoxAnnotation"},{"id":"2bc21a47-f146-4507-b93f-2a5c69708896","type":"GlyphRenderer"}],"title":{"id":"deb55d02-b0c7-4680-a72b-1caf86f8a18f","type":"Title"},"toolbar":{"id":"7b05a3a2-ea2d-4ce1-91ef-34d49506badb","type":"Toolbar"},"x_range":{"id":"0ae89c23-6da3-4a5a-84b3-c964868bff21","type":"DataRange1d"},"x_scale":{"id":"0ccf606d-b65b-436e-82a1-3c0bee1ad418","type":"LinearScale"},"y_range":{"id":"d4fb963b-4098-4bdb-a907-a8b110637448","type":"DataRange1d"},"y_scale":{"id":"5a161bf8-4582-47c1-a8f2-6c56c6623657","type":"LinearScale"}},"id":"796d4b79-9621-496e-897f-9b20ac54a635","subtype":"Figure","type":"Plot"},{"attributes":{"callback":null},"id":"0ae89c23-6da3-4a5a-84b3-c964868bff21","type":"DataRange1d"},{"attributes":{"source":{"id":"e9e2cbf7-4d21-4cb4-bf98-eac8b2f2b3a2","type":"ColumnDataSource"}},"id":"02e9ca78-a30e-4596-94a8-cd2608000c83","type":"CDSView"},{"attributes":{"data_source":{"id":"e9e2cbf7-4d21-4cb4-bf98-eac8b2f2b3a2","type":"ColumnDataSource"},"glyph":{"id":"f6a7a68f-1570-4900-a54a-edac24770b55","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a09e086c-0632-421a-ba52-678c52ce9c10","type":"Circle"},"selection_glyph":null,"view":{"id":"02e9ca78-a30e-4596-94a8-cd2608000c83","type":"CDSView"}},"id":"2bc21a47-f146-4507-b93f-2a5c69708896","type":"GlyphRenderer"},{"attributes":{},"id":"813ee1f5-99ea-4cc6-96c6-64c198a937a4","type":"BasicTickFormatter"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f7a8e9bc-3ea5-4e8c-8e87-3fa77418b941","type":"BoxAnnotation"},{"attributes":{},"id":"8af9c2a6-22b3-406a-8226-cdb5ff57e874","type":"BasicTicker"},{"attributes":{},"id":"6d16cfce-3d80-4f76-a555-f1ae66debf0a","type":"BasicTicker"},{"attributes":{},"id":"2c6511e2-b50c-470e-ab24-40ad46142f12","type":"HelpTool"},{"attributes":{},"id":"c2496af4-f3c2-4502-b928-3b067c0decd6","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"54f46bd0-ef79-4395-ba9c-0b280c4e41ae","type":"PanTool"},{"id":"718adc91-49fd-40c0-bd81-12171ab16ea3","type":"WheelZoomTool"},{"id":"ee9d485e-209b-43b3-b254-4cf4b5e7d0f4","type":"BoxZoomTool"},{"id":"fcdfcad2-da03-4c69-8b22-78c3e3b86ead","type":"SaveTool"},{"id":"c2496af4-f3c2-4502-b928-3b067c0decd6","type":"ResetTool"},{"id":"2c6511e2-b50c-470e-ab24-40ad46142f12","type":"HelpTool"}]},"id":"7b05a3a2-ea2d-4ce1-91ef-34d49506badb","type":"Toolbar"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a09e086c-0632-421a-ba52-678c52ce9c10","type":"Circle"},{"attributes":{"formatter":{"id":"a9545919-944e-4e86-9fed-92b98184d450","type":"BasicTickFormatter"},"plot":{"id":"796d4b79-9621-496e-897f-9b20ac54a635","subtype":"Figure","type":"Plot"},"ticker":{"id":"8af9c2a6-22b3-406a-8226-cdb5ff57e874","type":"BasicTicker"}},"id":"8a1b57bf-4a27-4949-8704-40459813fa92","type":"LinearAxis"}],"root_ids":["796d4b79-9621-496e-897f-9b20ac54a635"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a6fc801b-323c-409b-9a98-92ce18b6c613","elementid":"15d2d94d-e9a5-4788-9df9-54618b158bbb","modelid":"796d4b79-9621-496e-897f-9b20ac54a635"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
