(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("a74ce0f7-a5a8-4ccd-8a6d-f689c9b61fa7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'a74ce0f7-a5a8-4ccd-8a6d-f689c9b61fa7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"236dc759-14a2-40b3-bf60-39798b051403":{"roots":{"references":[{"attributes":{"callback":null},"id":"0e9a26fd-1f56-47e3-8c83-d55da078e864","type":"DataRange1d"},{"attributes":{},"id":"778e00cf-e1df-451c-ac8a-02ee91a6ac29","type":"HelpTool"},{"attributes":{},"id":"fbb0ae1e-5cd1-4aac-a7a4-58a03aa4abc8","type":"LinearScale"},{"attributes":{},"id":"61924516-8c8c-4839-931e-109057508905","type":"LinearScale"},{"attributes":{"below":[{"id":"f865d2ca-dfe5-46fa-9716-f8e909912e16","type":"LinearAxis"}],"left":[{"id":"df0e793c-ea09-46d5-aec6-0ff91dd94a95","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"f865d2ca-dfe5-46fa-9716-f8e909912e16","type":"LinearAxis"},{"id":"06412946-76bc-4b01-a33c-30a4262a63be","type":"Grid"},{"id":"df0e793c-ea09-46d5-aec6-0ff91dd94a95","type":"LinearAxis"},{"id":"ee9d89b0-0713-4653-98ca-19f81f64208e","type":"Grid"},{"id":"f309aed0-8dc8-4c4f-9de9-dcfd865445b3","type":"BoxAnnotation"},{"id":"cc905f8f-85b7-427f-9701-7f4261bd5fe6","type":"GlyphRenderer"}],"title":{"id":"257bff1d-218f-47b7-8622-f587bc607305","type":"Title"},"toolbar":{"id":"9c41bcf2-7d23-45f6-b5ca-61ec08c4aeee","type":"Toolbar"},"x_range":{"id":"41e42e24-bb5c-40bc-af8c-214d36ffb3d8","type":"DataRange1d"},"x_scale":{"id":"61924516-8c8c-4839-931e-109057508905","type":"LinearScale"},"y_range":{"id":"0e9a26fd-1f56-47e3-8c83-d55da078e864","type":"DataRange1d"},"y_scale":{"id":"fbb0ae1e-5cd1-4aac-a7a4-58a03aa4abc8","type":"LinearScale"}},"id":"377c3bfb-a15c-4f15-a798-4468698c2ef4","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c2d5bdbb-2200-4f06-a362-05734796e9c7","type":"ResetTool"},{"attributes":{},"id":"684ac190-3d8b-41cd-8d02-faea628f4381","type":"PanTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"df89f0f1-6593-4368-8323-4bc1bb8a2da8","type":"Circle"},{"attributes":{"plot":{"id":"377c3bfb-a15c-4f15-a798-4468698c2ef4","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f0b1cfd-d4f6-4cb0-984d-83f5f8596792","type":"BasicTicker"}},"id":"06412946-76bc-4b01-a33c-30a4262a63be","type":"Grid"},{"attributes":{"plot":null,"text":"Some Title","text_color":{"value":"olive"},"text_font":"times","text_font_style":"italic"},"id":"257bff1d-218f-47b7-8622-f587bc607305","type":"Title"},{"attributes":{},"id":"dda9c8e5-0905-4fc1-a6f2-e9dbfce359bd","type":"BasicTickFormatter"},{"attributes":{"callback":null},"id":"41e42e24-bb5c-40bc-af8c-214d36ffb3d8","type":"DataRange1d"},{"attributes":{"formatter":{"id":"dda9c8e5-0905-4fc1-a6f2-e9dbfce359bd","type":"BasicTickFormatter"},"plot":{"id":"377c3bfb-a15c-4f15-a798-4468698c2ef4","subtype":"Figure","type":"Plot"},"ticker":{"id":"6f0b1cfd-d4f6-4cb0-984d-83f5f8596792","type":"BasicTicker"}},"id":"f865d2ca-dfe5-46fa-9716-f8e909912e16","type":"LinearAxis"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f309aed0-8dc8-4c4f-9de9-dcfd865445b3","type":"BoxAnnotation"},{"attributes":{},"id":"6f0b1cfd-d4f6-4cb0-984d-83f5f8596792","type":"BasicTicker"},{"attributes":{},"id":"5ccb02aa-1089-4265-a6a5-cd565b220900","type":"WheelZoomTool"},{"attributes":{"dimension":1,"plot":{"id":"377c3bfb-a15c-4f15-a798-4468698c2ef4","subtype":"Figure","type":"Plot"},"ticker":{"id":"b143fc91-2f60-4c8a-b791-3999388b523f","type":"BasicTicker"}},"id":"ee9d89b0-0713-4653-98ca-19f81f64208e","type":"Grid"},{"attributes":{},"id":"b143fc91-2f60-4c8a-b791-3999388b523f","type":"BasicTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"2e412246-1bad-4855-89f9-4e7fd2c892eb","type":"Circle"},{"attributes":{"data_source":{"id":"b544670f-a9d9-4eaf-ba01-4dfb35175cd5","type":"ColumnDataSource"},"glyph":{"id":"df89f0f1-6593-4368-8323-4bc1bb8a2da8","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"2e412246-1bad-4855-89f9-4e7fd2c892eb","type":"Circle"},"selection_glyph":null,"view":{"id":"23fb9cdb-59af-4bb8-9b7d-f3233b38e368","type":"CDSView"}},"id":"cc905f8f-85b7-427f-9701-7f4261bd5fe6","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"684ac190-3d8b-41cd-8d02-faea628f4381","type":"PanTool"},{"id":"5ccb02aa-1089-4265-a6a5-cd565b220900","type":"WheelZoomTool"},{"id":"9504a9eb-b5cd-4aeb-88f8-cd49fc29a9e4","type":"BoxZoomTool"},{"id":"7129b92f-b7a9-4346-863a-e8ffeff1d647","type":"SaveTool"},{"id":"c2d5bdbb-2200-4f06-a362-05734796e9c7","type":"ResetTool"},{"id":"778e00cf-e1df-451c-ac8a-02ee91a6ac29","type":"HelpTool"}]},"id":"9c41bcf2-7d23-45f6-b5ca-61ec08c4aeee","type":"Toolbar"},{"attributes":{},"id":"4b786884-57b5-46d5-9cec-23c1f8b52006","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"b544670f-a9d9-4eaf-ba01-4dfb35175cd5","type":"ColumnDataSource"}},"id":"23fb9cdb-59af-4bb8-9b7d-f3233b38e368","type":"CDSView"},{"attributes":{},"id":"7129b92f-b7a9-4346-863a-e8ffeff1d647","type":"SaveTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"b544670f-a9d9-4eaf-ba01-4dfb35175cd5","type":"ColumnDataSource"},{"attributes":{"formatter":{"id":"4b786884-57b5-46d5-9cec-23c1f8b52006","type":"BasicTickFormatter"},"plot":{"id":"377c3bfb-a15c-4f15-a798-4468698c2ef4","subtype":"Figure","type":"Plot"},"ticker":{"id":"b143fc91-2f60-4c8a-b791-3999388b523f","type":"BasicTicker"}},"id":"df0e793c-ea09-46d5-aec6-0ff91dd94a95","type":"LinearAxis"},{"attributes":{"overlay":{"id":"f309aed0-8dc8-4c4f-9de9-dcfd865445b3","type":"BoxAnnotation"}},"id":"9504a9eb-b5cd-4aeb-88f8-cd49fc29a9e4","type":"BoxZoomTool"}],"root_ids":["377c3bfb-a15c-4f15-a798-4468698c2ef4"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"236dc759-14a2-40b3-bf60-39798b051403","elementid":"a74ce0f7-a5a8-4ccd-8a6d-f689c9b61fa7","modelid":"377c3bfb-a15c-4f15-a798-4468698c2ef4"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
