(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("103c9721-a643-416b-9a1e-a6795c40755d");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '103c9721-a643-416b-9a1e-a6795c40755d' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"4a5e267b-7e3a-471c-92c0-817ccc0811ef":{"roots":{"references":[{"attributes":{},"id":"e2d868ce-e0ca-4b33-8f52-06a81f00e0f2","type":"SaveTool"},{"attributes":{"callback":null},"id":"c343e5d2-fa28-4700-aabd-6dc6957a7c72","type":"DataRange1d"},{"attributes":{"plot":null,"text":""},"id":"34ed04bb-d3ab-4dc1-a7eb-d6e26e269085","type":"Title"},{"attributes":{"plot":{"id":"2b329933-af19-48a3-87ce-90a7d3946658","subtype":"Figure","type":"Plot"},"ticker":{"id":"1c34b26b-6c25-4525-a424-a9f93d0442c9","type":"BasicTicker"}},"id":"e2755635-cfe3-4dad-9d17-1b1d3e3b8900","type":"Grid"},{"attributes":{"source":{"id":"d6bcb367-19cc-4b0b-80e4-96ebceb395e0","type":"ColumnDataSource"}},"id":"e9ec7708-24af-4f44-8382-038bba58647b","type":"CDSView"},{"attributes":{},"id":"1d75ef65-bf12-4182-9302-e3c4d9c3d0b6","type":"WheelZoomTool"},{"attributes":{"formatter":{"id":"798f5523-5eb1-4453-82ab-93901ad21d48","type":"BasicTickFormatter"},"plot":{"id":"2b329933-af19-48a3-87ce-90a7d3946658","subtype":"Figure","type":"Plot"},"ticker":{"id":"1c34b26b-6c25-4525-a424-a9f93d0442c9","type":"BasicTicker"}},"id":"6ec50fa6-1d1c-4628-b673-78f2464c8451","type":"LinearAxis"},{"attributes":{},"id":"4cdbcbeb-d932-4ef5-bcd8-5e3bead38099","type":"BasicTicker"},{"attributes":{},"id":"04cdc324-8bf9-499a-825f-2b6c35c68dba","type":"PanTool"},{"attributes":{"below":[{"id":"6ec50fa6-1d1c-4628-b673-78f2464c8451","type":"LinearAxis"}],"border_fill_color":{"value":"whitesmoke"},"left":[{"id":"f9cb64c3-ac73-4d55-9bfd-d2ab1348dc53","type":"LinearAxis"}],"min_border_left":80,"plot_height":400,"plot_width":400,"renderers":[{"id":"6ec50fa6-1d1c-4628-b673-78f2464c8451","type":"LinearAxis"},{"id":"e2755635-cfe3-4dad-9d17-1b1d3e3b8900","type":"Grid"},{"id":"f9cb64c3-ac73-4d55-9bfd-d2ab1348dc53","type":"LinearAxis"},{"id":"cd496436-d7c3-4385-bedc-42efa1e34cac","type":"Grid"},{"id":"f6a8609e-2e7f-448a-b06b-d2ea05e2f4b0","type":"BoxAnnotation"},{"id":"7c6c083c-8783-49ec-816c-7f74c6dac346","type":"GlyphRenderer"}],"title":{"id":"34ed04bb-d3ab-4dc1-a7eb-d6e26e269085","type":"Title"},"toolbar":{"id":"049be888-bfcb-456b-838e-515f28a38500","type":"Toolbar"},"x_range":{"id":"c343e5d2-fa28-4700-aabd-6dc6957a7c72","type":"DataRange1d"},"x_scale":{"id":"d618f4b7-521a-4f84-bc3e-08752ab9f6d4","type":"LinearScale"},"y_range":{"id":"f66708b4-d5ef-4627-9ced-c98aadaf0874","type":"DataRange1d"},"y_scale":{"id":"4aeaf7ea-b79c-4a34-a5a5-2b193f228313","type":"LinearScale"}},"id":"2b329933-af19-48a3-87ce-90a7d3946658","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"d618f4b7-521a-4f84-bc3e-08752ab9f6d4","type":"LinearScale"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8824ed63-ab80-4cae-95ca-321bdb3dc9a0","type":"Circle"},{"attributes":{},"id":"c7299775-fce4-4b77-a8a1-216681220325","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"e3fe7897-509d-4bf3-bcdb-9c97899e1740","type":"Circle"},{"attributes":{},"id":"886a5553-98dd-409f-99e6-a873f3aded67","type":"BasicTickFormatter"},{"attributes":{"dimension":1,"plot":{"id":"2b329933-af19-48a3-87ce-90a7d3946658","subtype":"Figure","type":"Plot"},"ticker":{"id":"4cdbcbeb-d932-4ef5-bcd8-5e3bead38099","type":"BasicTicker"}},"id":"cd496436-d7c3-4385-bedc-42efa1e34cac","type":"Grid"},{"attributes":{},"id":"42bd3926-dacc-4f87-8395-92191f2b58f0","type":"HelpTool"},{"attributes":{"data_source":{"id":"d6bcb367-19cc-4b0b-80e4-96ebceb395e0","type":"ColumnDataSource"},"glyph":{"id":"8824ed63-ab80-4cae-95ca-321bdb3dc9a0","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"e3fe7897-509d-4bf3-bcdb-9c97899e1740","type":"Circle"},"selection_glyph":null,"view":{"id":"e9ec7708-24af-4f44-8382-038bba58647b","type":"CDSView"}},"id":"7c6c083c-8783-49ec-816c-7f74c6dac346","type":"GlyphRenderer"},{"attributes":{},"id":"798f5523-5eb1-4453-82ab-93901ad21d48","type":"BasicTickFormatter"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"d6bcb367-19cc-4b0b-80e4-96ebceb395e0","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"f6a8609e-2e7f-448a-b06b-d2ea05e2f4b0","type":"BoxAnnotation"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"04cdc324-8bf9-499a-825f-2b6c35c68dba","type":"PanTool"},{"id":"1d75ef65-bf12-4182-9302-e3c4d9c3d0b6","type":"WheelZoomTool"},{"id":"482d2717-e574-4048-8443-dc88203a47a3","type":"BoxZoomTool"},{"id":"e2d868ce-e0ca-4b33-8f52-06a81f00e0f2","type":"SaveTool"},{"id":"c7299775-fce4-4b77-a8a1-216681220325","type":"ResetTool"},{"id":"42bd3926-dacc-4f87-8395-92191f2b58f0","type":"HelpTool"}]},"id":"049be888-bfcb-456b-838e-515f28a38500","type":"Toolbar"},{"attributes":{},"id":"4aeaf7ea-b79c-4a34-a5a5-2b193f228313","type":"LinearScale"},{"attributes":{"formatter":{"id":"886a5553-98dd-409f-99e6-a873f3aded67","type":"BasicTickFormatter"},"plot":{"id":"2b329933-af19-48a3-87ce-90a7d3946658","subtype":"Figure","type":"Plot"},"ticker":{"id":"4cdbcbeb-d932-4ef5-bcd8-5e3bead38099","type":"BasicTicker"}},"id":"f9cb64c3-ac73-4d55-9bfd-d2ab1348dc53","type":"LinearAxis"},{"attributes":{},"id":"1c34b26b-6c25-4525-a424-a9f93d0442c9","type":"BasicTicker"},{"attributes":{"callback":null},"id":"f66708b4-d5ef-4627-9ced-c98aadaf0874","type":"DataRange1d"},{"attributes":{"overlay":{"id":"f6a8609e-2e7f-448a-b06b-d2ea05e2f4b0","type":"BoxAnnotation"}},"id":"482d2717-e574-4048-8443-dc88203a47a3","type":"BoxZoomTool"}],"root_ids":["2b329933-af19-48a3-87ce-90a7d3946658"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"4a5e267b-7e3a-471c-92c0-817ccc0811ef","elementid":"103c9721-a643-416b-9a1e-a6795c40755d","modelid":"2b329933-af19-48a3-87ce-90a7d3946658"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
