(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("2bc25192-6a1e-4c7d-b684-0fba2c47a6d1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '2bc25192-6a1e-4c7d-b684-0fba2c47a6d1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"1b9b2d0c-0f5d-4144-9572-7e60d8ae6f25":{"roots":{"references":[{"attributes":{},"id":"a798deea-f776-479d-9569-c9d3e58b62c0","type":"BasicTickFormatter"},{"attributes":{"plot":null,"text":""},"id":"a68f36bf-c232-4fb1-a8f7-4951a6ae832f","type":"Title"},{"attributes":{},"id":"127d5306-67c6-4975-9c94-085cc02d19e3","type":"LinearScale"},{"attributes":{"callback":null},"id":"d460ac77-46b4-42e6-9c07-75652fa90d9a","type":"DataRange1d"},{"attributes":{},"id":"af797af6-59d5-4a0b-910f-bea5c903d0b6","type":"HelpTool"},{"attributes":{},"id":"bd34379f-1a67-40fe-8305-a93f5d5734cc","type":"ResetTool"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"a59b0b17-aa5f-435d-a693-cb59b960fc32","type":"Circle"},{"attributes":{"data_source":{"id":"293624b4-88a5-43f6-87ea-9dc3b058593f","type":"ColumnDataSource"},"glyph":{"id":"f49ec449-1729-4ec5-8195-3864610f9793","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"a59b0b17-aa5f-435d-a693-cb59b960fc32","type":"Circle"},"selection_glyph":null,"view":{"id":"43c59006-7098-4c16-ad34-09017263dd03","type":"CDSView"}},"id":"66bc6911-b870-4ec6-ac82-dd5152d1bceb","type":"GlyphRenderer"},{"attributes":{"dimension":1,"plot":{"id":"6d0b351c-ee39-42c8-8725-f5d3539839b2","subtype":"Figure","type":"Plot"},"ticker":{"id":"04381778-abff-4259-a278-55fd5910c8b1","type":"BasicTicker"}},"id":"9b1f2295-ba18-41f9-af8c-2b4a38a44def","type":"Grid"},{"attributes":{},"id":"4a6086d8-ce86-4ed0-9681-22e93ee8c534","type":"SaveTool"},{"attributes":{"plot":{"id":"6d0b351c-ee39-42c8-8725-f5d3539839b2","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f7f9396-10f2-4448-95f3-1705380c56da","type":"BasicTicker"}},"id":"cc399633-77b0-40e6-be95-ac4ce6e9f653","type":"Grid"},{"attributes":{},"id":"6a1c40a8-9c60-41b5-a43f-4542e2f5d519","type":"BasicTickFormatter"},{"attributes":{"below":[{"id":"da89739c-8eaa-4b21-8041-6736b246a831","type":"LinearAxis"}],"left":[{"id":"a4b4b2dc-2b06-4283-9dea-dc961b0e3641","type":"LinearAxis"}],"outline_line_alpha":{"value":0.3},"outline_line_color":{"value":"navy"},"outline_line_width":{"value":7},"plot_height":400,"plot_width":400,"renderers":[{"id":"da89739c-8eaa-4b21-8041-6736b246a831","type":"LinearAxis"},{"id":"cc399633-77b0-40e6-be95-ac4ce6e9f653","type":"Grid"},{"id":"a4b4b2dc-2b06-4283-9dea-dc961b0e3641","type":"LinearAxis"},{"id":"9b1f2295-ba18-41f9-af8c-2b4a38a44def","type":"Grid"},{"id":"13661a91-02d2-43e3-804f-f63468646701","type":"BoxAnnotation"},{"id":"66bc6911-b870-4ec6-ac82-dd5152d1bceb","type":"GlyphRenderer"}],"title":{"id":"a68f36bf-c232-4fb1-a8f7-4951a6ae832f","type":"Title"},"toolbar":{"id":"89f0d2a1-8d48-487a-b534-083aa13fea21","type":"Toolbar"},"x_range":{"id":"098994f6-1011-4b7c-9ef8-d4a8b8129da8","type":"DataRange1d"},"x_scale":{"id":"127d5306-67c6-4975-9c94-085cc02d19e3","type":"LinearScale"},"y_range":{"id":"d460ac77-46b4-42e6-9c07-75652fa90d9a","type":"DataRange1d"},"y_scale":{"id":"baf1f336-bbe0-481d-801d-4e38feae5551","type":"LinearScale"}},"id":"6d0b351c-ee39-42c8-8725-f5d3539839b2","subtype":"Figure","type":"Plot"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"9641fad7-d83f-4cca-b574-7b44d1563945","type":"PanTool"},{"id":"1a302a21-b6b7-4b7a-96d4-274bd9b1be5c","type":"WheelZoomTool"},{"id":"88f1d5e0-f26c-4cbb-9586-1edd89f060fb","type":"BoxZoomTool"},{"id":"4a6086d8-ce86-4ed0-9681-22e93ee8c534","type":"SaveTool"},{"id":"bd34379f-1a67-40fe-8305-a93f5d5734cc","type":"ResetTool"},{"id":"af797af6-59d5-4a0b-910f-bea5c903d0b6","type":"HelpTool"}]},"id":"89f0d2a1-8d48-487a-b534-083aa13fea21","type":"Toolbar"},{"attributes":{"callback":null},"id":"098994f6-1011-4b7c-9ef8-d4a8b8129da8","type":"DataRange1d"},{"attributes":{},"id":"9641fad7-d83f-4cca-b574-7b44d1563945","type":"PanTool"},{"attributes":{},"id":"1a302a21-b6b7-4b7a-96d4-274bd9b1be5c","type":"WheelZoomTool"},{"attributes":{"overlay":{"id":"13661a91-02d2-43e3-804f-f63468646701","type":"BoxAnnotation"}},"id":"88f1d5e0-f26c-4cbb-9586-1edd89f060fb","type":"BoxZoomTool"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"293624b4-88a5-43f6-87ea-9dc3b058593f","type":"ColumnDataSource"},{"attributes":{},"id":"3f7f9396-10f2-4448-95f3-1705380c56da","type":"BasicTicker"},{"attributes":{"formatter":{"id":"6a1c40a8-9c60-41b5-a43f-4542e2f5d519","type":"BasicTickFormatter"},"plot":{"id":"6d0b351c-ee39-42c8-8725-f5d3539839b2","subtype":"Figure","type":"Plot"},"ticker":{"id":"3f7f9396-10f2-4448-95f3-1705380c56da","type":"BasicTicker"}},"id":"da89739c-8eaa-4b21-8041-6736b246a831","type":"LinearAxis"},{"attributes":{},"id":"baf1f336-bbe0-481d-801d-4e38feae5551","type":"LinearScale"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"13661a91-02d2-43e3-804f-f63468646701","type":"BoxAnnotation"},{"attributes":{"source":{"id":"293624b4-88a5-43f6-87ea-9dc3b058593f","type":"ColumnDataSource"}},"id":"43c59006-7098-4c16-ad34-09017263dd03","type":"CDSView"},{"attributes":{"formatter":{"id":"a798deea-f776-479d-9569-c9d3e58b62c0","type":"BasicTickFormatter"},"plot":{"id":"6d0b351c-ee39-42c8-8725-f5d3539839b2","subtype":"Figure","type":"Plot"},"ticker":{"id":"04381778-abff-4259-a278-55fd5910c8b1","type":"BasicTicker"}},"id":"a4b4b2dc-2b06-4283-9dea-dc961b0e3641","type":"LinearAxis"},{"attributes":{},"id":"04381778-abff-4259-a278-55fd5910c8b1","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"f49ec449-1729-4ec5-8195-3864610f9793","type":"Circle"}],"root_ids":["6d0b351c-ee39-42c8-8725-f5d3539839b2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"1b9b2d0c-0f5d-4144-9572-7e60d8ae6f25","elementid":"2bc25192-6a1e-4c7d-b684-0fba2c47a6d1","modelid":"6d0b351c-ee39-42c8-8725-f5d3539839b2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
