(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("56553ad8-6b5f-4b83-873c-f979b3eef737");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '56553ad8-6b5f-4b83-873c-f979b3eef737' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a3135a10-749b-418e-b42f-e9226333223d":{"roots":{"references":[{"attributes":{"callback":null},"id":"cb3381f5-05ff-488b-8568-f3afd8ab3173","type":"DataRange1d"},{"attributes":{"below":[{"id":"beb9fd44-a617-46bc-be20-92c639059f7e","type":"LinearAxis"}],"left":[{"id":"4d3287cc-1d26-4b84-9410-fdab32b3815a","type":"LinearAxis"}],"plot_height":400,"plot_width":400,"renderers":[{"id":"beb9fd44-a617-46bc-be20-92c639059f7e","type":"LinearAxis"},{"id":"d79d4017-2b3b-447d-a72b-47560a8fe9d2","type":"Grid"},{"id":"4d3287cc-1d26-4b84-9410-fdab32b3815a","type":"LinearAxis"},{"id":"032b30aa-a804-4fa8-912f-951921afe4ba","type":"Grid"},{"id":"208f0e9f-cb97-4189-93e2-67cbb1ddb783","type":"BoxAnnotation"},{"id":"ba3fc92f-2bf0-4df2-8014-b2c103d95f05","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"de50ea57-e875-4038-b621-ad0b458ea59a","type":"Toolbar"},"toolbar_location":"below","toolbar_sticky":false,"x_range":{"id":"8c6910be-2fdd-4dd1-9ef2-2d3f84a5c7c2","type":"DataRange1d"},"x_scale":{"id":"4c4a6755-8c68-4788-ae1d-d2e7981bf5ab","type":"LinearScale"},"y_range":{"id":"cb3381f5-05ff-488b-8568-f3afd8ab3173","type":"DataRange1d"},"y_scale":{"id":"cc099256-2f3d-44d6-bb25-00c3037e5646","type":"LinearScale"}},"id":"80ea6cc9-86ff-4e59-94b7-ac0eebb7145e","subtype":"Figure","type":"Plot"},{"attributes":{"formatter":{"id":"dc09ef39-7868-4341-82da-b47795bcf3c3","type":"BasicTickFormatter"},"plot":{"id":"80ea6cc9-86ff-4e59-94b7-ac0eebb7145e","subtype":"Figure","type":"Plot"},"ticker":{"id":"d78307e6-e07e-4bb8-bf02-bea5aa223899","type":"BasicTicker"}},"id":"4d3287cc-1d26-4b84-9410-fdab32b3815a","type":"LinearAxis"},{"attributes":{},"id":"dc09ef39-7868-4341-82da-b47795bcf3c3","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"bea36bab-fdab-472b-ade0-38565ea8b5ed","type":"Circle"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2,3,4,5],"y":[2,5,8,2,7]}},"id":"3420a798-2807-48f9-8471-be16c0812f39","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"8c6910be-2fdd-4dd1-9ef2-2d3f84a5c7c2","type":"DataRange1d"},{"attributes":{"source":{"id":"3420a798-2807-48f9-8471-be16c0812f39","type":"ColumnDataSource"}},"id":"85876f88-d910-4436-a4b7-73b792266f44","type":"CDSView"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"208f0e9f-cb97-4189-93e2-67cbb1ddb783","type":"BoxAnnotation"},{"attributes":{"plot":{"id":"80ea6cc9-86ff-4e59-94b7-ac0eebb7145e","subtype":"Figure","type":"Plot"},"ticker":{"id":"87d4fcda-97c8-4eb5-9dd9-a745c43b6a88","type":"BasicTicker"}},"id":"d79d4017-2b3b-447d-a72b-47560a8fe9d2","type":"Grid"},{"attributes":{},"id":"cc099256-2f3d-44d6-bb25-00c3037e5646","type":"LinearScale"},{"attributes":{},"id":"9a7f01e1-6036-4c40-abe8-ee5fcf2e2290","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"3420a798-2807-48f9-8471-be16c0812f39","type":"ColumnDataSource"},"glyph":{"id":"ee6ae9d0-252f-4fa3-bee5-ad2ad4005924","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"bea36bab-fdab-472b-ade0-38565ea8b5ed","type":"Circle"},"selection_glyph":null,"view":{"id":"85876f88-d910-4436-a4b7-73b792266f44","type":"CDSView"}},"id":"ba3fc92f-2bf0-4df2-8014-b2c103d95f05","type":"GlyphRenderer"},{"attributes":{},"id":"87d4fcda-97c8-4eb5-9dd9-a745c43b6a88","type":"BasicTicker"},{"attributes":{},"id":"3227648f-3a2e-49bb-9272-3d51a20aa3f9","type":"WheelZoomTool"},{"attributes":{"fill_color":{"value":"#1f77b4"},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"ee6ae9d0-252f-4fa3-bee5-ad2ad4005924","type":"Circle"},{"attributes":{},"id":"c4d9ed64-1f60-4863-a079-90a4849744ee","type":"ResetTool"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"b9e6f8fa-e126-4943-bca2-ac20a985f54d","type":"PanTool"},{"id":"3227648f-3a2e-49bb-9272-3d51a20aa3f9","type":"WheelZoomTool"},{"id":"8291686c-5434-4789-931a-9e949cf32904","type":"BoxZoomTool"},{"id":"10fe2ab7-1414-41d9-8a0c-0cdbe1f96343","type":"SaveTool"},{"id":"c4d9ed64-1f60-4863-a079-90a4849744ee","type":"ResetTool"},{"id":"e951b9ea-67b6-4638-8cfb-5f66b5c5cd3e","type":"HelpTool"}]},"id":"de50ea57-e875-4038-b621-ad0b458ea59a","type":"Toolbar"},{"attributes":{},"id":"10fe2ab7-1414-41d9-8a0c-0cdbe1f96343","type":"SaveTool"},{"attributes":{},"id":"4c4a6755-8c68-4788-ae1d-d2e7981bf5ab","type":"LinearScale"},{"attributes":{"dimension":1,"plot":{"id":"80ea6cc9-86ff-4e59-94b7-ac0eebb7145e","subtype":"Figure","type":"Plot"},"ticker":{"id":"d78307e6-e07e-4bb8-bf02-bea5aa223899","type":"BasicTicker"}},"id":"032b30aa-a804-4fa8-912f-951921afe4ba","type":"Grid"},{"attributes":{"overlay":{"id":"208f0e9f-cb97-4189-93e2-67cbb1ddb783","type":"BoxAnnotation"}},"id":"8291686c-5434-4789-931a-9e949cf32904","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"9a7f01e1-6036-4c40-abe8-ee5fcf2e2290","type":"BasicTickFormatter"},"plot":{"id":"80ea6cc9-86ff-4e59-94b7-ac0eebb7145e","subtype":"Figure","type":"Plot"},"ticker":{"id":"87d4fcda-97c8-4eb5-9dd9-a745c43b6a88","type":"BasicTicker"}},"id":"beb9fd44-a617-46bc-be20-92c639059f7e","type":"LinearAxis"},{"attributes":{},"id":"d78307e6-e07e-4bb8-bf02-bea5aa223899","type":"BasicTicker"},{"attributes":{},"id":"b9e6f8fa-e126-4943-bca2-ac20a985f54d","type":"PanTool"},{"attributes":{},"id":"e951b9ea-67b6-4638-8cfb-5f66b5c5cd3e","type":"HelpTool"}],"root_ids":["80ea6cc9-86ff-4e59-94b7-ac0eebb7145e"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a3135a10-749b-418e-b42f-e9226333223d","elementid":"56553ad8-6b5f-4b83-873c-f979b3eef737","modelid":"80ea6cc9-86ff-4e59-94b7-ac0eebb7145e"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
