(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("39d01c14-8259-4230-9bdc-3627df2a66c6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '39d01c14-8259-4230-9bdc-3627df2a66c6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b8d9ce60-24ab-4a72-8d45-8d60c7a6df83":{"roots":{"references":[{"attributes":{},"id":"1cafc105-bc7b-47a5-9cd0-7686cb965019","type":"BasicTickFormatter"},{"attributes":{"data_source":{"id":"1e225890-79e1-4bc1-bc6d-3bf448927163","type":"ColumnDataSource"},"glyph":{"id":"460bf553-74ff-42f9-afde-a3bf439d537c","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"11edaf12-423b-44d6-a7c1-01e2b83cb015","type":"Circle"},"selection_glyph":null,"view":{"id":"9c005cfd-7f42-49c9-8ab9-aa7c3ae20175","type":"CDSView"}},"id":"4734ab18-83fe-4003-8e71-2346ae01d906","type":"GlyphRenderer"},{"attributes":{},"id":"7ec34ff3-b56a-4c3a-8b05-e5938c348de6","type":"LinearScale"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"69762a09-9ff1-4f0c-b9b6-650ca668148a","type":"PanTool"},{"id":"59f8c1c7-c9b8-4d43-b2af-828fcbda5e91","type":"ResetTool"},{"id":"289db97c-e715-4fe6-b7bd-84cc7db09676","type":"SaveTool"}]},"id":"a26ee0d9-60ec-4740-9c09-7a3a447a260c","type":"Toolbar"},{"attributes":{},"id":"1e5bfa05-fbda-4ebf-9ee5-7f25ec147788","type":"BasicTicker"},{"attributes":{},"id":"a73ed3b1-f463-45ec-a39e-785ef949e142","type":"BasicTickFormatter"},{"attributes":{"source":{"id":"1e225890-79e1-4bc1-bc6d-3bf448927163","type":"ColumnDataSource"}},"id":"9c005cfd-7f42-49c9-8ab9-aa7c3ae20175","type":"CDSView"},{"attributes":{},"id":"49ac42e8-5e52-440f-bc0d-8e91fec8c90b","type":"BasicTicker"},{"attributes":{"formatter":{"id":"a73ed3b1-f463-45ec-a39e-785ef949e142","type":"BasicTickFormatter"},"plot":{"id":"f0e3c6d0-96b1-497e-8e39-7b3e2c89c303","subtype":"Figure","type":"Plot"},"ticker":{"id":"49ac42e8-5e52-440f-bc0d-8e91fec8c90b","type":"BasicTicker"}},"id":"75735d49-3375-47b4-b3eb-3951ecc24267","type":"LinearAxis"},{"attributes":{"callback":null},"id":"09d0f395-c301-44f6-92c5-ea6c2a3e19ec","type":"DataRange1d"},{"attributes":{"callback":null},"id":"5fda8e56-2210-4e76-8f70-4e2f400498f3","type":"DataRange1d"},{"attributes":{"callback":null,"column_names":["y","x"],"data":{"x":[1,2.5,3,2],"y":[2,3,1,1.5]}},"id":"1e225890-79e1-4bc1-bc6d-3bf448927163","type":"ColumnDataSource"},{"attributes":{"fill_alpha":{"value":0.5},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.5},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"460bf553-74ff-42f9-afde-a3bf439d537c","type":"Circle"},{"attributes":{},"id":"69762a09-9ff1-4f0c-b9b6-650ca668148a","type":"PanTool"},{"attributes":{"below":[{"id":"8fa3109b-acde-4adb-8762-35dd1d4fa7f8","type":"LinearAxis"}],"left":[{"id":"75735d49-3375-47b4-b3eb-3951ecc24267","type":"LinearAxis"}],"plot_height":300,"plot_width":300,"renderers":[{"id":"8fa3109b-acde-4adb-8762-35dd1d4fa7f8","type":"LinearAxis"},{"id":"b860d217-e530-424b-9022-9a00a3f8b3e8","type":"Grid"},{"id":"75735d49-3375-47b4-b3eb-3951ecc24267","type":"LinearAxis"},{"id":"a920bd8e-f62c-41e5-ab82-35273634879a","type":"Grid"},{"id":"4734ab18-83fe-4003-8e71-2346ae01d906","type":"GlyphRenderer"}],"title":{"id":"2b058f61-1000-4fc4-b489-24bf7dacdd85","type":"Title"},"toolbar":{"id":"a26ee0d9-60ec-4740-9c09-7a3a447a260c","type":"Toolbar"},"x_range":{"id":"5fda8e56-2210-4e76-8f70-4e2f400498f3","type":"DataRange1d"},"x_scale":{"id":"67b0a90b-2548-4943-8201-4a974d3123d0","type":"LinearScale"},"y_range":{"id":"09d0f395-c301-44f6-92c5-ea6c2a3e19ec","type":"DataRange1d"},"y_scale":{"id":"7ec34ff3-b56a-4c3a-8b05-e5938c348de6","type":"LinearScale"}},"id":"f0e3c6d0-96b1-497e-8e39-7b3e2c89c303","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"289db97c-e715-4fe6-b7bd-84cc7db09676","type":"SaveTool"},{"attributes":{"plot":{"id":"f0e3c6d0-96b1-497e-8e39-7b3e2c89c303","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e5bfa05-fbda-4ebf-9ee5-7f25ec147788","type":"BasicTicker"}},"id":"b860d217-e530-424b-9022-9a00a3f8b3e8","type":"Grid"},{"attributes":{"dimension":1,"plot":{"id":"f0e3c6d0-96b1-497e-8e39-7b3e2c89c303","subtype":"Figure","type":"Plot"},"ticker":{"id":"49ac42e8-5e52-440f-bc0d-8e91fec8c90b","type":"BasicTicker"}},"id":"a920bd8e-f62c-41e5-ab82-35273634879a","type":"Grid"},{"attributes":{},"id":"67b0a90b-2548-4943-8201-4a974d3123d0","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"radius":{"units":"data","value":0.3},"x":{"field":"x"},"y":{"field":"y"}},"id":"11edaf12-423b-44d6-a7c1-01e2b83cb015","type":"Circle"},{"attributes":{"plot":null,"text":""},"id":"2b058f61-1000-4fc4-b489-24bf7dacdd85","type":"Title"},{"attributes":{"formatter":{"id":"1cafc105-bc7b-47a5-9cd0-7686cb965019","type":"BasicTickFormatter"},"plot":{"id":"f0e3c6d0-96b1-497e-8e39-7b3e2c89c303","subtype":"Figure","type":"Plot"},"ticker":{"id":"1e5bfa05-fbda-4ebf-9ee5-7f25ec147788","type":"BasicTicker"}},"id":"8fa3109b-acde-4adb-8762-35dd1d4fa7f8","type":"LinearAxis"},{"attributes":{},"id":"59f8c1c7-c9b8-4d43-b2af-828fcbda5e91","type":"ResetTool"}],"root_ids":["f0e3c6d0-96b1-497e-8e39-7b3e2c89c303"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b8d9ce60-24ab-4a72-8d45-8d60c7a6df83","elementid":"39d01c14-8259-4230-9bdc-3627df2a66c6","modelid":"f0e3c6d0-96b1-497e-8e39-7b3e2c89c303"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
