(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("edd60276-6765-4ca3-af82-17e6d60aaa8f");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'edd60276-6765-4ca3-af82-17e6d60aaa8f' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"22502eee-f46d-4218-96bb-d45a8b68c5f0":{"roots":{"references":[{"attributes":{"children":[{"id":"914f7a2b-8c3c-4306-b169-346d4cd608fd","type":"DataTable"}]},"id":"9a7db609-7d5f-44b3-a3a6-f1f833f54b06","type":"WidgetBox"},{"attributes":{},"id":"ca94e18d-7260-4c6b-9032-fb5e4ef87e41","type":"StringEditor"},{"attributes":{"callback":null,"column_names":["downloads","dates"],"data":{"dates":[1393632000000.0,1393718400000.0,1393804800000.0,1393891200000.0,1393977600000.0,1394064000000.0,1394150400000.0,1394236800000.0,1394323200000.0,1394409600000.0],"downloads":[51,8,86,29,82,73,59,99,27,93]}},"id":"399ca976-ac86-4118-9fdc-c84b74bf548c","type":"ColumnDataSource"},{"attributes":{"source":{"id":"399ca976-ac86-4118-9fdc-c84b74bf548c","type":"ColumnDataSource"}},"id":"669a51d7-ffbc-42e8-862f-658860b860d1","type":"CDSView"},{"attributes":{"editor":{"id":"ca94e18d-7260-4c6b-9032-fb5e4ef87e41","type":"StringEditor"},"field":"dates","formatter":{"id":"15749298-93d3-49b2-b25a-66479b8aa4b5","type":"DateFormatter"},"title":"Date"},"id":"c3dd02b0-0581-4c8e-a611-420ec3f9a6bd","type":"TableColumn"},{"attributes":{"editor":{"id":"d1b59205-88b1-4246-8ef9-98a5c37ea0dd","type":"StringEditor"},"field":"downloads","formatter":{"id":"d18b9afc-ffce-4b2f-afe1-397ebc06c90c","type":"StringFormatter"},"title":"Downloads"},"id":"150b0450-11c1-482b-8caf-b4be19f6b294","type":"TableColumn"},{"attributes":{"columns":[{"id":"c3dd02b0-0581-4c8e-a611-420ec3f9a6bd","type":"TableColumn"},{"id":"150b0450-11c1-482b-8caf-b4be19f6b294","type":"TableColumn"}],"height":280,"source":{"id":"399ca976-ac86-4118-9fdc-c84b74bf548c","type":"ColumnDataSource"},"view":{"id":"669a51d7-ffbc-42e8-862f-658860b860d1","type":"CDSView"},"width":400},"id":"914f7a2b-8c3c-4306-b169-346d4cd608fd","type":"DataTable"},{"attributes":{},"id":"15749298-93d3-49b2-b25a-66479b8aa4b5","type":"DateFormatter"},{"attributes":{},"id":"d1b59205-88b1-4246-8ef9-98a5c37ea0dd","type":"StringEditor"},{"attributes":{},"id":"d18b9afc-ffce-4b2f-afe1-397ebc06c90c","type":"StringFormatter"}],"root_ids":["9a7db609-7d5f-44b3-a3a6-f1f833f54b06"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"22502eee-f46d-4218-96bb-d45a8b68c5f0","elementid":"edd60276-6765-4ca3-af82-17e6d60aaa8f","modelid":"9a7db609-7d5f-44b3-a3a6-f1f833f54b06"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
