(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("b03456b8-737b-4417-8439-a3c07b58c4f1");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'b03456b8-737b-4417-8439-a3c07b58c4f1' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"756a8d1f-0745-498f-b172-0cafeedb6ef8":{"roots":{"references":[{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"149c873f-ba0d-4846-b42f-d570c7147141","type":"Range1d"},{"attributes":{},"id":"6072061d-8207-4b71-9848-515d6a86d279","type":"NodesOnly"},{"attributes":{},"id":"585f8e38-6eda-45f6-9223-ea9b0cd159b3","type":"LinearScale"},{"attributes":{"below":[{"id":"416696ea-7b20-4a52-b064-dae15bb931d3","type":"LinearAxis"}],"left":[{"id":"43788fc9-3c77-4171-bba0-d60155bf7a97","type":"LinearAxis"}],"renderers":[{"id":"416696ea-7b20-4a52-b064-dae15bb931d3","type":"LinearAxis"},{"id":"ea3cfd0f-3c96-4b5b-a513-e72ee71c8424","type":"Grid"},{"id":"43788fc9-3c77-4171-bba0-d60155bf7a97","type":"LinearAxis"},{"id":"1ed84b9e-fb75-4d64-b842-06209241cf13","type":"Grid"},{"id":"2de478d3-250f-48df-ac82-786d261dfe4e","type":"GraphRenderer"}],"title":{"id":"88362ff6-d23d-4fff-8e04-7d31a88b116c","type":"Title"},"toolbar":{"id":"cc4e893a-9818-4b95-8b62-243d2170e30e","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"149c873f-ba0d-4846-b42f-d570c7147141","type":"Range1d"},"x_scale":{"id":"585f8e38-6eda-45f6-9223-ea9b0cd159b3","type":"LinearScale"},"y_range":{"id":"b1038ea9-34c1-43a2-a9a7-d976dfbfbda2","type":"Range1d"},"y_scale":{"id":"a69fec6a-62b2-4cfd-8df8-0b43ef9e1c6f","type":"LinearScale"}},"id":"ce8a5756-540b-4a7f-934e-67de9ea5f575","subtype":"Figure","type":"Plot"},{"attributes":{"data_source":{"id":"191e6103-7eac-45f3-9fe4-958dd0ccf3aa","type":"ColumnDataSource"},"glyph":{"id":"98f96b39-c9ce-45e1-93c4-85f60e630321","type":"Oval"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"db243e24-8b6e-4e35-8910-9fc9273b321d","type":"CDSView"}},"id":"7a9d24b8-195d-464c-8a9e-40cb4ca5adc3","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"ce8a5756-540b-4a7f-934e-67de9ea5f575","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce2ef028-7a63-40bf-b559-b06a2a39e05e","type":"BasicTicker"}},"id":"ea3cfd0f-3c96-4b5b-a513-e72ee71c8424","type":"Grid"},{"attributes":{"callback":null,"column_names":["index"],"data":{"fill_color":["#3288bd","#66c2a5","#abdda4","#e6f598","#fee08b","#fdae61","#f46d43","#d53e4f"],"index":[0,1,2,3,4,5,6,7]}},"id":"191e6103-7eac-45f3-9fe4-958dd0ccf3aa","type":"ColumnDataSource"},{"attributes":{},"id":"e681b6f8-c37b-4830-b7f8-226d41c0f884","type":"BasicTicker"},{"attributes":{"callback":null,"end":1.1,"start":-1.1},"id":"b1038ea9-34c1-43a2-a9a7-d976dfbfbda2","type":"Range1d"},{"attributes":{"callback":null,"column_names":["start","end"],"data":{"end":[0,1,2,3,4,5,6,7],"start":[0,0,0,0,0,0,0,0]}},"id":"dcc0cdd3-8f0b-4406-9421-951910f306e0","type":"ColumnDataSource"},{"attributes":{},"id":"e1e50449-ee62-414d-80e5-cfe6185783b3","type":"MultiLine"},{"attributes":{"data_source":{"id":"dcc0cdd3-8f0b-4406-9421-951910f306e0","type":"ColumnDataSource"},"glyph":{"id":"e1e50449-ee62-414d-80e5-cfe6185783b3","type":"MultiLine"},"hover_glyph":null,"muted_glyph":null,"view":{"id":"e0901454-8af6-4ef2-9592-02a4dfd9028d","type":"CDSView"}},"id":"585b985f-7765-4d19-be7b-38ebefe386d2","type":"GlyphRenderer"},{"attributes":{"source":{"id":"191e6103-7eac-45f3-9fe4-958dd0ccf3aa","type":"ColumnDataSource"}},"id":"db243e24-8b6e-4e35-8910-9fc9273b321d","type":"CDSView"},{"attributes":{},"id":"a69fec6a-62b2-4cfd-8df8-0b43ef9e1c6f","type":"LinearScale"},{"attributes":{"fill_color":{"field":"fill_color"},"height":{"units":"data","value":0.1},"width":{"units":"data","value":0.2}},"id":"98f96b39-c9ce-45e1-93c4-85f60e630321","type":"Oval"},{"attributes":{"source":{"id":"dcc0cdd3-8f0b-4406-9421-951910f306e0","type":"ColumnDataSource"}},"id":"e0901454-8af6-4ef2-9592-02a4dfd9028d","type":"CDSView"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"cc4e893a-9818-4b95-8b62-243d2170e30e","type":"Toolbar"},{"attributes":{"graph_layout":{"0":[1.0,0.0],"1":[0.7071067811865476,0.7071067811865475],"2":[6.123233995736766e-17,1.0],"3":[-0.7071067811865475,0.7071067811865476],"4":[-1.0,1.2246467991473532e-16],"5":[-0.7071067811865477,-0.7071067811865475],"6":[-1.8369701987210297e-16,-1.0],"7":[0.7071067811865475,-0.7071067811865477]}},"id":"4c07b70f-1b7a-48bd-9e0a-5a4bfbaa6fbb","type":"StaticLayoutProvider"},{"attributes":{"plot":null,"text":"Graph Layout Demonstration"},"id":"88362ff6-d23d-4fff-8e04-7d31a88b116c","type":"Title"},{"attributes":{"dimension":1,"plot":{"id":"ce8a5756-540b-4a7f-934e-67de9ea5f575","subtype":"Figure","type":"Plot"},"ticker":{"id":"e681b6f8-c37b-4830-b7f8-226d41c0f884","type":"BasicTicker"}},"id":"1ed84b9e-fb75-4d64-b842-06209241cf13","type":"Grid"},{"attributes":{},"id":"7715ac63-155f-489d-9d9e-50ab6ba9294c","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"672a3477-3791-4d29-96a4-1f48aea50f2c","type":"BasicTickFormatter"},"plot":{"id":"ce8a5756-540b-4a7f-934e-67de9ea5f575","subtype":"Figure","type":"Plot"},"ticker":{"id":"ce2ef028-7a63-40bf-b559-b06a2a39e05e","type":"BasicTicker"}},"id":"416696ea-7b20-4a52-b064-dae15bb931d3","type":"LinearAxis"},{"attributes":{},"id":"672a3477-3791-4d29-96a4-1f48aea50f2c","type":"BasicTickFormatter"},{"attributes":{},"id":"ce2ef028-7a63-40bf-b559-b06a2a39e05e","type":"BasicTicker"},{"attributes":{"edge_renderer":{"id":"585b985f-7765-4d19-be7b-38ebefe386d2","type":"GlyphRenderer"},"inspection_policy":{"id":"6cd75c96-ec12-4639-a8c9-5c26f2982307","type":"NodesOnly"},"layout_provider":{"id":"4c07b70f-1b7a-48bd-9e0a-5a4bfbaa6fbb","type":"StaticLayoutProvider"},"node_renderer":{"id":"7a9d24b8-195d-464c-8a9e-40cb4ca5adc3","type":"GlyphRenderer"},"selection_policy":{"id":"6072061d-8207-4b71-9848-515d6a86d279","type":"NodesOnly"}},"id":"2de478d3-250f-48df-ac82-786d261dfe4e","type":"GraphRenderer"},{"attributes":{"formatter":{"id":"7715ac63-155f-489d-9d9e-50ab6ba9294c","type":"BasicTickFormatter"},"plot":{"id":"ce8a5756-540b-4a7f-934e-67de9ea5f575","subtype":"Figure","type":"Plot"},"ticker":{"id":"e681b6f8-c37b-4830-b7f8-226d41c0f884","type":"BasicTicker"}},"id":"43788fc9-3c77-4171-bba0-d60155bf7a97","type":"LinearAxis"},{"attributes":{},"id":"6cd75c96-ec12-4639-a8c9-5c26f2982307","type":"NodesOnly"}],"root_ids":["ce8a5756-540b-4a7f-934e-67de9ea5f575"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"756a8d1f-0745-498f-b172-0cafeedb6ef8","elementid":"b03456b8-737b-4417-8439-a3c07b58c4f1","modelid":"ce8a5756-540b-4a7f-934e-67de9ea5f575"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
