(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5133f61f-f2da-41fa-8c1c-91b7a907b6b6");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5133f61f-f2da-41fa-8c1c-91b7a907b6b6' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"b9f70f24-f64b-49ec-938a-123f667191cd":{"roots":{"references":[{"attributes":{},"id":"72b2966f-4d77-4ce9-be4a-7a58900d344c","type":"BasicTickFormatter"},{"attributes":{},"id":"0649822e-8075-40cd-aff6-0dd586e8c304","type":"SaveTool"},{"attributes":{"callback":null},"id":"dfa4e65e-63fe-4d55-92d0-ba32d08955f2","type":"DataRange1d"},{"attributes":{"data_source":{"id":"512d14c7-c266-476d-a580-a01b07a14643","type":"ColumnDataSource"},"glyph":{"id":"195a5134-8a53-4cf2-a4a1-52d45cdf086b","type":"Circle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"88a1497d-90eb-4d7a-bcf1-e80acb4361ff","type":"Circle"},"selection_glyph":null,"view":{"id":"1cf7acdd-5f9f-4d22-b426-e68bdb7f2d4d","type":"CDSView"}},"id":"4511599c-de72-47f5-94e2-f04a82e70fb7","type":"GlyphRenderer"},{"attributes":{"formatter":{"id":"fd96847b-c657-4307-95b4-c664de54e0a0","type":"BasicTickFormatter"},"plot":{"id":"2e828dfe-2ff2-435d-a323-6810b0698873","subtype":"Figure","type":"Plot"},"ticker":{"id":"c873bfc3-3bd5-40f9-988c-df2bb0cd50fb","type":"BasicTicker"}},"id":"8a54892a-6c31-41d6-ad10-805f6957e27c","type":"LinearAxis"},{"attributes":{},"id":"4841d73b-db9d-4ce8-9c3d-4a48bd71e838","type":"BasicTicker"},{"attributes":{"dimension":1,"plot":{"id":"66a0b22c-dd9d-48bd-a1dc-a256ecf29f73","subtype":"Figure","type":"Plot"},"ticker":{"id":"40ee0348-85b6-49dd-8b68-d9676f1d2d93","type":"BasicTicker"}},"id":"b77df7e2-f47b-4b4c-b5d8-16ef5b2fb146","type":"Grid"},{"attributes":{},"id":"16b0f430-c72b-4665-a737-2e84119ef417","type":"LinearScale"},{"attributes":{},"id":"361bad77-374a-4b8c-b4c5-ba8dd7e26623","type":"WheelZoomTool"},{"attributes":{},"id":"4773989b-aa13-41ab-8685-3de1f66e5fa4","type":"ResetTool"},{"attributes":{},"id":"c25efc4e-b580-49de-8525-7ab334aaf574","type":"SaveTool"},{"attributes":{},"id":"c79bb02a-0aa6-4d50-83dd-0f156e8f9881","type":"BasicTicker"},{"attributes":{},"id":"d0dd07c7-3855-4c94-b7e7-b6a6461aafa4","type":"BasicTicker"},{"attributes":{"callback":null},"id":"fc1861f9-81ce-436e-b935-34822e37e4f9","type":"DataRange1d"},{"attributes":{},"id":"b04dc5a8-e0d8-4fe0-b767-14626d7adddc","type":"BasicTickFormatter"},{"attributes":{},"id":"aac62ded-44ac-483a-8e90-5fd507d863d3","type":"ResetTool"},{"attributes":{},"id":"acc221a2-f261-4d1e-be7f-2ea44af99737","type":"PanTool"},{"attributes":{"dimension":1,"plot":{"id":"2e828dfe-2ff2-435d-a323-6810b0698873","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0dd07c7-3855-4c94-b7e7-b6a6461aafa4","type":"BasicTicker"}},"id":"ea2f9aba-1848-45d7-830b-ff49972d8ff5","type":"Grid"},{"attributes":{},"id":"082375a4-05a7-4dea-8bfe-8a1d46f0c753","type":"LinearScale"},{"attributes":{"callback":null},"id":"bc8a7dc3-e576-4044-b078-3165316f2184","type":"DataRange1d"},{"attributes":{"overlay":{"id":"20458988-f142-4c7f-99a5-4266f2e264a7","type":"BoxAnnotation"}},"id":"e5f4dc29-c7e1-42c7-8a4a-bdeb079ec3f8","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"b04dc5a8-e0d8-4fe0-b767-14626d7adddc","type":"BasicTickFormatter"},"plot":{"id":"a4826bdd-7e0f-440c-a876-8b842ff1d743","subtype":"Figure","type":"Plot"},"ticker":{"id":"f336f865-89d3-4a57-b14d-e29d3af44f0c","type":"BasicTicker"}},"id":"c700aae4-7f19-40f4-9070-f66ffc44f8b6","type":"LinearAxis"},{"attributes":{"height":250,"width":250},"id":"954f29ce-6616-4d12-8233-9e27f4406844","type":"Spacer"},{"attributes":{},"id":"0a204fbc-d753-4ec0-992c-20c4ed01b15c","type":"LinearScale"},{"attributes":{},"id":"f336f865-89d3-4a57-b14d-e29d3af44f0c","type":"BasicTicker"},{"attributes":{"overlay":{"id":"042b047d-13d9-404c-b888-d6940c51b237","type":"BoxAnnotation"}},"id":"a3629adc-8205-4075-b98f-cfff34d7d1f1","type":"BoxZoomTool"},{"attributes":{"formatter":{"id":"9425a59e-8228-48ed-870f-5df334df1c14","type":"BasicTickFormatter"},"plot":{"id":"66a0b22c-dd9d-48bd-a1dc-a256ecf29f73","subtype":"Figure","type":"Plot"},"ticker":{"id":"40ee0348-85b6-49dd-8b68-d9676f1d2d93","type":"BasicTicker"}},"id":"584bb2e9-5bec-464b-85e0-807a527fdc6b","type":"LinearAxis"},{"attributes":{"children":[{"id":"954f29ce-6616-4d12-8233-9e27f4406844","type":"Spacer"},{"id":"66a0b22c-dd9d-48bd-a1dc-a256ecf29f73","subtype":"Figure","type":"Plot"}]},"id":"c0a62d5e-e6af-450a-982c-857852ad3c2b","type":"Row"},{"attributes":{"below":[{"id":"c700aae4-7f19-40f4-9070-f66ffc44f8b6","type":"LinearAxis"}],"left":[{"id":"2ec02bde-733e-4536-8ba3-b564c490e790","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"c700aae4-7f19-40f4-9070-f66ffc44f8b6","type":"LinearAxis"},{"id":"3c02ac64-dfdc-4a85-94f6-ce55e9ec5125","type":"Grid"},{"id":"2ec02bde-733e-4536-8ba3-b564c490e790","type":"LinearAxis"},{"id":"4d8879b4-ca90-4174-ac36-41076ec7e6d6","type":"Grid"},{"id":"042b047d-13d9-404c-b888-d6940c51b237","type":"BoxAnnotation"},{"id":"4511599c-de72-47f5-94e2-f04a82e70fb7","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"2d998d5b-65cd-4acd-ac00-5d7c4ab5ae0d","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"9bdd66fe-48ae-47fb-8505-b32e90736b7f","type":"DataRange1d"},"x_scale":{"id":"ccb2a1c6-fbaf-4c0a-8f77-f20c2957edae","type":"LinearScale"},"y_range":{"id":"efe8d4be-3771-4083-b633-565f17f442b1","type":"DataRange1d"},"y_scale":{"id":"082375a4-05a7-4dea-8bfe-8a1d46f0c753","type":"LinearScale"}},"id":"a4826bdd-7e0f-440c-a876-8b842ff1d743","subtype":"Figure","type":"Plot"},{"attributes":{"overlay":{"id":"40f3ebbb-678c-4e91-b80c-72af7bb540e8","type":"BoxAnnotation"}},"id":"298f1e58-a43b-4ca6-8e65-ae1e9d3ff550","type":"BoxZoomTool"},{"attributes":{"callback":null},"id":"efe8d4be-3771-4083-b633-565f17f442b1","type":"DataRange1d"},{"attributes":{},"id":"9425a59e-8228-48ed-870f-5df334df1c14","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"d0b6053e-e6ec-4848-83e6-34cc9ccdcad5","type":"Square"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"846b06bc-8cc6-4f14-8a50-d88b22c23eca","type":"PanTool"},{"id":"c39603ee-1a61-4793-b9fb-1298aa414475","type":"WheelZoomTool"},{"id":"e5f4dc29-c7e1-42c7-8a4a-bdeb079ec3f8","type":"BoxZoomTool"},{"id":"0649822e-8075-40cd-aff6-0dd586e8c304","type":"SaveTool"},{"id":"4773989b-aa13-41ab-8685-3de1f66e5fa4","type":"ResetTool"},{"id":"ce63b833-f895-42f1-9013-332443a16b22","type":"HelpTool"}]},"id":"d4e79580-5cd4-4a3e-b379-d450eda88ff6","type":"Toolbar"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"40f3ebbb-678c-4e91-b80c-72af7bb540e8","type":"BoxAnnotation"},{"attributes":{},"id":"ce76007e-7442-44ca-b47c-759622877ebb","type":"ResetTool"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"20458988-f142-4c7f-99a5-4266f2e264a7","type":"BoxAnnotation"},{"attributes":{"data_source":{"id":"7a34cea8-addb-4282-880b-fe4eb97519d5","type":"ColumnDataSource"},"glyph":{"id":"88520340-1d77-4326-b047-84707370ebf3","type":"Triangle"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"73a8f023-c98e-42ba-b241-0ca68bab2587","type":"Triangle"},"selection_glyph":null,"view":{"id":"aad9cdc8-6a74-42b0-9357-ac18931ff791","type":"CDSView"}},"id":"182d275a-f635-4f92-8017-5fb2c022c9d3","type":"GlyphRenderer"},{"attributes":{},"id":"69d030ab-f376-4128-90e2-ef7f5fd23487","type":"LinearScale"},{"attributes":{"source":{"id":"6dcf259f-83ce-4643-88b1-1f6cb5191310","type":"ColumnDataSource"}},"id":"e161cae0-ee92-4078-b48f-599b83f4fac4","type":"CDSView"},{"attributes":{},"id":"78a8543d-615e-49d6-a409-b4b3beffffd4","type":"SaveTool"},{"attributes":{"plot":{"id":"a4826bdd-7e0f-440c-a876-8b842ff1d743","subtype":"Figure","type":"Plot"},"ticker":{"id":"f336f865-89d3-4a57-b14d-e29d3af44f0c","type":"BasicTicker"}},"id":"3c02ac64-dfdc-4a85-94f6-ce55e9ec5125","type":"Grid"},{"attributes":{},"id":"fd96847b-c657-4307-95b4-c664de54e0a0","type":"BasicTickFormatter"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"6b55906a-5a74-42e5-b471-7cb613b094b1","type":"PanTool"},{"id":"47a5acb4-c69c-4361-9a77-5edf85c5b823","type":"WheelZoomTool"},{"id":"298f1e58-a43b-4ca6-8e65-ae1e9d3ff550","type":"BoxZoomTool"},{"id":"78a8543d-615e-49d6-a409-b4b3beffffd4","type":"SaveTool"},{"id":"ce76007e-7442-44ca-b47c-759622877ebb","type":"ResetTool"},{"id":"12040e60-6fa4-479f-9c4b-d0e8687976e3","type":"HelpTool"}]},"id":"c71e9d6f-e62c-4345-a2bc-efaeaacd7245","type":"Toolbar"},{"attributes":{},"id":"ce63b833-f895-42f1-9013-332443a16b22","type":"HelpTool"},{"attributes":{},"id":"525187d1-77d6-45aa-9fc7-6e09fe3a6093","type":"HelpTool"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[5,4,3,2,1,0,1,2,3,4,5]}},"id":"6dcf259f-83ce-4643-88b1-1f6cb5191310","type":"ColumnDataSource"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[0,1,2,3,4,5,6,7,8,9,10]}},"id":"512d14c7-c266-476d-a580-a01b07a14643","type":"ColumnDataSource"},{"attributes":{"callback":null},"id":"9bdd66fe-48ae-47fb-8505-b32e90736b7f","type":"DataRange1d"},{"attributes":{},"id":"5a1063ff-3839-424d-b13d-6bea5805aee2","type":"BasicTickFormatter"},{"attributes":{"formatter":{"id":"72b2966f-4d77-4ce9-be4a-7a58900d344c","type":"BasicTickFormatter"},"plot":{"id":"66a0b22c-dd9d-48bd-a1dc-a256ecf29f73","subtype":"Figure","type":"Plot"},"ticker":{"id":"4841d73b-db9d-4ce8-9c3d-4a48bd71e838","type":"BasicTicker"}},"id":"60a1dbb6-9643-4e2a-9604-6f803a5c5e6e","type":"LinearAxis"},{"attributes":{"formatter":{"id":"a183c7d0-7251-4012-ad0e-b4dc9cacaedb","type":"BasicTickFormatter"},"plot":{"id":"a4826bdd-7e0f-440c-a876-8b842ff1d743","subtype":"Figure","type":"Plot"},"ticker":{"id":"c79bb02a-0aa6-4d50-83dd-0f156e8f9881","type":"BasicTicker"}},"id":"2ec02bde-733e-4536-8ba3-b564c490e790","type":"LinearAxis"},{"attributes":{"source":{"id":"7a34cea8-addb-4282-880b-fe4eb97519d5","type":"ColumnDataSource"}},"id":"aad9cdc8-6a74-42b0-9357-ac18931ff791","type":"CDSView"},{"attributes":{},"id":"846b06bc-8cc6-4f14-8a50-d88b22c23eca","type":"PanTool"},{"attributes":{"fill_color":{"value":"#FDE724"},"line_color":{"value":"#FDE724"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"8126ad1c-e9e5-42cd-91bf-3db1de3cf03f","type":"Square"},{"attributes":{},"id":"0a04f21d-39a5-40ee-a6a3-0ed36289dcbe","type":"LinearScale"},{"attributes":{},"id":"12040e60-6fa4-479f-9c4b-d0e8687976e3","type":"HelpTool"},{"attributes":{},"id":"a183c7d0-7251-4012-ad0e-b4dc9cacaedb","type":"BasicTickFormatter"},{"attributes":{},"id":"ccb2a1c6-fbaf-4c0a-8f77-f20c2957edae","type":"LinearScale"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"73a8f023-c98e-42ba-b241-0ca68bab2587","type":"Triangle"},{"attributes":{},"id":"6b55906a-5a74-42e5-b471-7cb613b094b1","type":"PanTool"},{"attributes":{"fill_color":{"value":"#440154"},"line_color":{"value":"#440154"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"195a5134-8a53-4cf2-a4a1-52d45cdf086b","type":"Circle"},{"attributes":{"plot":{"id":"66a0b22c-dd9d-48bd-a1dc-a256ecf29f73","subtype":"Figure","type":"Plot"},"ticker":{"id":"4841d73b-db9d-4ce8-9c3d-4a48bd71e838","type":"BasicTicker"}},"id":"d53915ed-c8a4-402f-b513-917a36526cc3","type":"Grid"},{"attributes":{"children":[{"id":"a4826bdd-7e0f-440c-a876-8b842ff1d743","subtype":"Figure","type":"Plot"},{"id":"2e828dfe-2ff2-435d-a323-6810b0698873","subtype":"Figure","type":"Plot"}]},"id":"a4653443-7939-44d0-b70c-cc07e68541a2","type":"Row"},{"attributes":{"below":[{"id":"8a54892a-6c31-41d6-ad10-805f6957e27c","type":"LinearAxis"}],"left":[{"id":"fad19126-6e2d-45e0-909c-9e33aced888b","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"8a54892a-6c31-41d6-ad10-805f6957e27c","type":"LinearAxis"},{"id":"fc991663-bec2-467e-a91d-d7934792a337","type":"Grid"},{"id":"fad19126-6e2d-45e0-909c-9e33aced888b","type":"LinearAxis"},{"id":"ea2f9aba-1848-45d7-830b-ff49972d8ff5","type":"Grid"},{"id":"40f3ebbb-678c-4e91-b80c-72af7bb540e8","type":"BoxAnnotation"},{"id":"182d275a-f635-4f92-8017-5fb2c022c9d3","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"c71e9d6f-e62c-4345-a2bc-efaeaacd7245","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"01e275da-562a-42da-90d9-b1ecdac55549","type":"DataRange1d"},"x_scale":{"id":"0a04f21d-39a5-40ee-a6a3-0ed36289dcbe","type":"LinearScale"},"y_range":{"id":"dfa4e65e-63fe-4d55-92d0-ba32d08955f2","type":"DataRange1d"},"y_scale":{"id":"0a204fbc-d753-4ec0-992c-20c4ed01b15c","type":"LinearScale"}},"id":"2e828dfe-2ff2-435d-a323-6810b0698873","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"c39603ee-1a61-4793-b9fb-1298aa414475","type":"WheelZoomTool"},{"attributes":{},"id":"40ee0348-85b6-49dd-8b68-d9676f1d2d93","type":"BasicTicker"},{"attributes":{"fill_color":{"value":"#208F8C"},"line_color":{"value":"#208F8C"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"88520340-1d77-4326-b047-84707370ebf3","type":"Triangle"},{"attributes":{"formatter":{"id":"5a1063ff-3839-424d-b13d-6bea5805aee2","type":"BasicTickFormatter"},"plot":{"id":"2e828dfe-2ff2-435d-a323-6810b0698873","subtype":"Figure","type":"Plot"},"ticker":{"id":"d0dd07c7-3855-4c94-b7e7-b6a6461aafa4","type":"BasicTicker"}},"id":"fad19126-6e2d-45e0-909c-9e33aced888b","type":"LinearAxis"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"size":{"units":"screen","value":10},"x":{"field":"x"},"y":{"field":"y"}},"id":"88a1497d-90eb-4d7a-bcf1-e80acb4361ff","type":"Circle"},{"attributes":{"callback":null},"id":"01e275da-562a-42da-90d9-b1ecdac55549","type":"DataRange1d"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto","tools":[{"id":"acc221a2-f261-4d1e-be7f-2ea44af99737","type":"PanTool"},{"id":"361bad77-374a-4b8c-b4c5-ba8dd7e26623","type":"WheelZoomTool"},{"id":"a3629adc-8205-4075-b98f-cfff34d7d1f1","type":"BoxZoomTool"},{"id":"c25efc4e-b580-49de-8525-7ab334aaf574","type":"SaveTool"},{"id":"aac62ded-44ac-483a-8e90-5fd507d863d3","type":"ResetTool"},{"id":"525187d1-77d6-45aa-9fc7-6e09fe3a6093","type":"HelpTool"}]},"id":"2d998d5b-65cd-4acd-ac00-5d7c4ab5ae0d","type":"Toolbar"},{"attributes":{"callback":null,"column_names":["x","y"],"data":{"x":[0,1,2,3,4,5,6,7,8,9,10],"y":[10,9,8,7,6,5,4,3,2,1,0]}},"id":"7a34cea8-addb-4282-880b-fe4eb97519d5","type":"ColumnDataSource"},{"attributes":{"bottom_units":"screen","fill_alpha":{"value":0.5},"fill_color":{"value":"lightgrey"},"left_units":"screen","level":"overlay","line_alpha":{"value":1.0},"line_color":{"value":"black"},"line_dash":[4,4],"line_width":{"value":2},"plot":null,"render_mode":"css","right_units":"screen","top_units":"screen"},"id":"042b047d-13d9-404c-b888-d6940c51b237","type":"BoxAnnotation"},{"attributes":{"children":[{"id":"57575bf8-4906-45c2-8ad7-d6c03c9fd7b5","type":"ToolbarBox"},{"id":"1f27a338-218d-4b22-8c69-b99f20de3fb3","type":"Column"}]},"id":"029c2e40-dcd5-4c8c-a080-2503c2d5fde2","type":"Column"},{"attributes":{},"id":"c873bfc3-3bd5-40f9-988c-df2bb0cd50fb","type":"BasicTicker"},{"attributes":{"below":[{"id":"60a1dbb6-9643-4e2a-9604-6f803a5c5e6e","type":"LinearAxis"}],"left":[{"id":"584bb2e9-5bec-464b-85e0-807a527fdc6b","type":"LinearAxis"}],"plot_height":250,"plot_width":250,"renderers":[{"id":"60a1dbb6-9643-4e2a-9604-6f803a5c5e6e","type":"LinearAxis"},{"id":"d53915ed-c8a4-402f-b513-917a36526cc3","type":"Grid"},{"id":"584bb2e9-5bec-464b-85e0-807a527fdc6b","type":"LinearAxis"},{"id":"b77df7e2-f47b-4b4c-b5d8-16ef5b2fb146","type":"Grid"},{"id":"20458988-f142-4c7f-99a5-4266f2e264a7","type":"BoxAnnotation"},{"id":"8e56eefc-e0aa-4b4c-af2a-0d89af243b0b","type":"GlyphRenderer"}],"title":null,"toolbar":{"id":"d4e79580-5cd4-4a3e-b379-d450eda88ff6","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"fc1861f9-81ce-436e-b935-34822e37e4f9","type":"DataRange1d"},"x_scale":{"id":"16b0f430-c72b-4665-a737-2e84119ef417","type":"LinearScale"},"y_range":{"id":"bc8a7dc3-e576-4044-b078-3165316f2184","type":"DataRange1d"},"y_scale":{"id":"69d030ab-f376-4128-90e2-ef7f5fd23487","type":"LinearScale"}},"id":"66a0b22c-dd9d-48bd-a1dc-a256ecf29f73","subtype":"Figure","type":"Plot"},{"attributes":{"children":[{"id":"a4653443-7939-44d0-b70c-cc07e68541a2","type":"Row"},{"id":"c0a62d5e-e6af-450a-982c-857852ad3c2b","type":"Row"}]},"id":"1f27a338-218d-4b22-8c69-b99f20de3fb3","type":"Column"},{"attributes":{"sizing_mode":"scale_width","toolbar_location":"above","tools":[{"id":"acc221a2-f261-4d1e-be7f-2ea44af99737","type":"PanTool"},{"id":"361bad77-374a-4b8c-b4c5-ba8dd7e26623","type":"WheelZoomTool"},{"id":"a3629adc-8205-4075-b98f-cfff34d7d1f1","type":"BoxZoomTool"},{"id":"c25efc4e-b580-49de-8525-7ab334aaf574","type":"SaveTool"},{"id":"aac62ded-44ac-483a-8e90-5fd507d863d3","type":"ResetTool"},{"id":"525187d1-77d6-45aa-9fc7-6e09fe3a6093","type":"HelpTool"},{"id":"6b55906a-5a74-42e5-b471-7cb613b094b1","type":"PanTool"},{"id":"47a5acb4-c69c-4361-9a77-5edf85c5b823","type":"WheelZoomTool"},{"id":"298f1e58-a43b-4ca6-8e65-ae1e9d3ff550","type":"BoxZoomTool"},{"id":"78a8543d-615e-49d6-a409-b4b3beffffd4","type":"SaveTool"},{"id":"ce76007e-7442-44ca-b47c-759622877ebb","type":"ResetTool"},{"id":"12040e60-6fa4-479f-9c4b-d0e8687976e3","type":"HelpTool"},{"id":"846b06bc-8cc6-4f14-8a50-d88b22c23eca","type":"PanTool"},{"id":"c39603ee-1a61-4793-b9fb-1298aa414475","type":"WheelZoomTool"},{"id":"e5f4dc29-c7e1-42c7-8a4a-bdeb079ec3f8","type":"BoxZoomTool"},{"id":"0649822e-8075-40cd-aff6-0dd586e8c304","type":"SaveTool"},{"id":"4773989b-aa13-41ab-8685-3de1f66e5fa4","type":"ResetTool"},{"id":"ce63b833-f895-42f1-9013-332443a16b22","type":"HelpTool"}]},"id":"57575bf8-4906-45c2-8ad7-d6c03c9fd7b5","type":"ToolbarBox"},{"attributes":{"dimension":1,"plot":{"id":"a4826bdd-7e0f-440c-a876-8b842ff1d743","subtype":"Figure","type":"Plot"},"ticker":{"id":"c79bb02a-0aa6-4d50-83dd-0f156e8f9881","type":"BasicTicker"}},"id":"4d8879b4-ca90-4174-ac36-41076ec7e6d6","type":"Grid"},{"attributes":{},"id":"47a5acb4-c69c-4361-9a77-5edf85c5b823","type":"WheelZoomTool"},{"attributes":{"source":{"id":"512d14c7-c266-476d-a580-a01b07a14643","type":"ColumnDataSource"}},"id":"1cf7acdd-5f9f-4d22-b426-e68bdb7f2d4d","type":"CDSView"},{"attributes":{"data_source":{"id":"6dcf259f-83ce-4643-88b1-1f6cb5191310","type":"ColumnDataSource"},"glyph":{"id":"8126ad1c-e9e5-42cd-91bf-3db1de3cf03f","type":"Square"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"d0b6053e-e6ec-4848-83e6-34cc9ccdcad5","type":"Square"},"selection_glyph":null,"view":{"id":"e161cae0-ee92-4078-b48f-599b83f4fac4","type":"CDSView"}},"id":"8e56eefc-e0aa-4b4c-af2a-0d89af243b0b","type":"GlyphRenderer"},{"attributes":{"plot":{"id":"2e828dfe-2ff2-435d-a323-6810b0698873","subtype":"Figure","type":"Plot"},"ticker":{"id":"c873bfc3-3bd5-40f9-988c-df2bb0cd50fb","type":"BasicTicker"}},"id":"fc991663-bec2-467e-a91d-d7934792a337","type":"Grid"}],"root_ids":["029c2e40-dcd5-4c8c-a080-2503c2d5fde2"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"b9f70f24-f64b-49ec-938a-123f667191cd","elementid":"5133f61f-f2da-41fa-8c1c-91b7a907b6b6","modelid":"029c2e40-dcd5-4c8c-a080-2503c2d5fde2"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
