(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("5b7961c2-50ea-4259-a976-a6c50e1a8e15");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid '5b7961c2-50ea-4259-a976-a6c50e1a8e15' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"f4bdbc2e-5db8-4dad-a937-b374d3e1aaef":{"roots":{"references":[{"attributes":{"end":2,"factors":["2015","2016","2017"],"palette":["#c9d9d3","#718dbf","#e84d60"],"start":1},"id":"8e25efed-19ed-454e-99f9-578985af4dbc","type":"CategoricalColorMapper"},{"attributes":{"callback":null,"factors":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]],"range_padding":0.1},"id":"3f8ed6a9-4283-4c87-a817-6ebd45b15b32","type":"FactorRange"},{"attributes":{},"id":"bc017ac5-dba3-4f0a-8783-4133f10b2000","type":"LinearScale"},{"attributes":{"callback":null,"column_names":["x","counts"],"data":{"counts":[2,5,3,1,3,2,4,3,4,3,2,4,2,4,5,4,6,3],"x":[["Apples","2015"],["Apples","2016"],["Apples","2017"],["Pears","2015"],["Pears","2016"],["Pears","2017"],["Nectarines","2015"],["Nectarines","2016"],["Nectarines","2017"],["Plums","2015"],["Plums","2016"],["Plums","2017"],["Grapes","2015"],["Grapes","2016"],["Grapes","2017"],["Strawberries","2015"],["Strawberries","2016"],["Strawberries","2017"]]}},"id":"b92cec3a-3b24-4645-a279-447af8775669","type":"ColumnDataSource"},{"attributes":{},"id":"642f26e8-9281-48ca-b529-eadf94f95ddd","type":"CategoricalScale"},{"attributes":{"formatter":{"id":"8dd675f0-a7f5-406f-8f52-91d71e494533","type":"CategoricalTickFormatter"},"major_label_orientation":1,"plot":{"id":"9e3ebb24-302a-4828-9448-5be16d18272d","subtype":"Figure","type":"Plot"},"ticker":{"id":"deb2ae09-ed70-4cfd-866d-fe8a68e5f7fe","type":"CategoricalTicker"}},"id":"43422807-6a86-4bcd-8ef4-5e7c7bf018e4","type":"CategoricalAxis"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"7a579dbf-26e8-42e7-9cc0-5321ec5339b5","type":"Title"},{"attributes":{"below":[{"id":"43422807-6a86-4bcd-8ef4-5e7c7bf018e4","type":"CategoricalAxis"}],"left":[{"id":"7d5b2d7c-d7c2-4126-ac9b-bbe2349e0abc","type":"LinearAxis"}],"plot_height":350,"renderers":[{"id":"43422807-6a86-4bcd-8ef4-5e7c7bf018e4","type":"CategoricalAxis"},{"id":"07b4532a-3deb-4ab6-8dd0-4030bce6cd0e","type":"Grid"},{"id":"7d5b2d7c-d7c2-4126-ac9b-bbe2349e0abc","type":"LinearAxis"},{"id":"eda00629-2af3-4a86-925f-525e43d28e40","type":"Grid"},{"id":"fd9d5e48-42b0-4970-973f-61bebce4ec54","type":"GlyphRenderer"}],"title":{"id":"7a579dbf-26e8-42e7-9cc0-5321ec5339b5","type":"Title"},"toolbar":{"id":"bda5a808-1367-41ef-9cdf-0aaa57772044","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"3f8ed6a9-4283-4c87-a817-6ebd45b15b32","type":"FactorRange"},"x_scale":{"id":"642f26e8-9281-48ca-b529-eadf94f95ddd","type":"CategoricalScale"},"y_range":{"id":"674a134f-b825-4954-a1a7-5098fc31019f","type":"DataRange1d"},"y_scale":{"id":"bc017ac5-dba3-4f0a-8783-4133f10b2000","type":"LinearScale"}},"id":"9e3ebb24-302a-4828-9448-5be16d18272d","subtype":"Figure","type":"Plot"},{"attributes":{},"id":"8dd675f0-a7f5-406f-8f52-91d71e494533","type":"CategoricalTickFormatter"},{"attributes":{},"id":"deb2ae09-ed70-4cfd-866d-fe8a68e5f7fe","type":"CategoricalTicker"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"cf3b876c-c24a-418c-b914-3867bb430eee","type":"VBar"},{"attributes":{"data_source":{"id":"b92cec3a-3b24-4645-a279-447af8775669","type":"ColumnDataSource"},"glyph":{"id":"2482bd39-fc8c-4b96-aeb1-f17164fbb69d","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"cf3b876c-c24a-418c-b914-3867bb430eee","type":"VBar"},"selection_glyph":null,"view":{"id":"a82061ba-4d40-4335-a2c3-951b51dd7cd8","type":"CDSView"}},"id":"fd9d5e48-42b0-4970-973f-61bebce4ec54","type":"GlyphRenderer"},{"attributes":{},"id":"dd615f53-4e51-4ff3-86b8-6335d875721e","type":"BasicTicker"},{"attributes":{"formatter":{"id":"eba00d4d-e9b8-4666-b530-f10dc328197c","type":"BasicTickFormatter"},"plot":{"id":"9e3ebb24-302a-4828-9448-5be16d18272d","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd615f53-4e51-4ff3-86b8-6335d875721e","type":"BasicTicker"}},"id":"7d5b2d7c-d7c2-4126-ac9b-bbe2349e0abc","type":"LinearAxis"},{"attributes":{},"id":"eba00d4d-e9b8-4666-b530-f10dc328197c","type":"BasicTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"9e3ebb24-302a-4828-9448-5be16d18272d","subtype":"Figure","type":"Plot"},"ticker":{"id":"deb2ae09-ed70-4cfd-866d-fe8a68e5f7fe","type":"CategoricalTicker"}},"id":"07b4532a-3deb-4ab6-8dd0-4030bce6cd0e","type":"Grid"},{"attributes":{"callback":null,"start":0},"id":"674a134f-b825-4954-a1a7-5098fc31019f","type":"DataRange1d"},{"attributes":{"source":{"id":"b92cec3a-3b24-4645-a279-447af8775669","type":"ColumnDataSource"}},"id":"a82061ba-4d40-4335-a2c3-951b51dd7cd8","type":"CDSView"},{"attributes":{"dimension":1,"plot":{"id":"9e3ebb24-302a-4828-9448-5be16d18272d","subtype":"Figure","type":"Plot"},"ticker":{"id":"dd615f53-4e51-4ff3-86b8-6335d875721e","type":"BasicTicker"}},"id":"eda00629-2af3-4a86-925f-525e43d28e40","type":"Grid"},{"attributes":{"fill_color":{"field":"x","transform":{"id":"8e25efed-19ed-454e-99f9-578985af4dbc","type":"CategoricalColorMapper"}},"line_color":{"value":"white"},"top":{"field":"counts"},"width":{"value":0.9},"x":{"field":"x"}},"id":"2482bd39-fc8c-4b96-aeb1-f17164fbb69d","type":"VBar"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"bda5a808-1367-41ef-9cdf-0aaa57772044","type":"Toolbar"}],"root_ids":["9e3ebb24-302a-4828-9448-5be16d18272d"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"f4bdbc2e-5db8-4dad-a937-b374d3e1aaef","elementid":"5b7961c2-50ea-4259-a976-a6c50e1a8e15","modelid":"9e3ebb24-302a-4828-9448-5be16d18272d"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
