(function() {
  var fn = function() {
    
    (function(root) {
      function now() {
        return new Date();
      }
    
      var force = false;
    
      if (typeof (root._bokeh_onload_callbacks) === "undefined" || force === true) {
        root._bokeh_onload_callbacks = [];
        root._bokeh_is_loading = undefined;
      }
    
      
      
    
      
      
    
      function run_callbacks() {
        try {
          root._bokeh_onload_callbacks.forEach(function(callback) { callback() });
        }
        finally {
          delete root._bokeh_onload_callbacks
        }
        console.info("Bokeh: all callbacks have finished");
      }
    
      function load_libs(js_urls, callback) {
        root._bokeh_onload_callbacks.push(callback);
        if (root._bokeh_is_loading > 0) {
          console.log("Bokeh: BokehJS is being loaded, scheduling callback at", now());
          return null;
        }
        if (js_urls == null || js_urls.length === 0) {
          run_callbacks();
          return null;
        }
        console.log("Bokeh: BokehJS not loaded, scheduling load and callback at", now());
        root._bokeh_is_loading = js_urls.length;
        for (var i = 0; i < js_urls.length; i++) {
          var url = js_urls[i];
          var s = document.createElement('script');
          s.src = url;
          s.async = false;
          s.onreadystatechange = s.onload = function() {
            root._bokeh_is_loading--;
            if (root._bokeh_is_loading === 0) {
              console.log("Bokeh: all BokehJS libraries loaded");
              run_callbacks()
            }
          };
          s.onerror = function() {
            console.warn("failed to load library " + url);
          };
          console.log("Bokeh: injecting script tag for BokehJS library: ", url);
          document.getElementsByTagName("head")[0].appendChild(s);
        }
      };var element = document.getElementById("f10250f6-ae55-42e2-84b6-4feadd3709c7");
      if (element == null) {
        console.log("Bokeh: ERROR: autoload.js configured with elementid 'f10250f6-ae55-42e2-84b6-4feadd3709c7' but no matching script tag was found. ")
        return false;
      }
    
      var js_urls = ["https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.js", "https://cdn.pydata.org/bokeh/release/bokeh-gl-0.12.9.min.js"];
    
      var inline_js = [
        function(Bokeh) {
          Bokeh.set_log_level("info");
        },
        
        function(Bokeh) {
          
        },
        
        function(Bokeh) {
          (function() {
            var fn = function() {
              Bokeh.safely(function() {
                (function(root) {
                  function embed_document(root) {
                    var docs_json = {"a0d4a4cf-8079-4fcf-bc41-d36d0af37aa9":{"roots":{"references":[{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"ba1b8af1-24c7-4412-ac06-5346b8aca533","type":"Dodge"}}},"id":"ddd9f5ef-2b52-4e01-896c-1e56bdf696d9","type":"VBar"},{"attributes":{},"id":"3bb7ec9b-efe5-4813-883d-f6678d1825aa","type":"CategoricalScale"},{"attributes":{"label":{"value":"2016"},"renderers":[{"id":"d6b27887-6b6a-4fe0-9cbc-21d17d5eda77","type":"GlyphRenderer"}]},"id":"995fd681-f4b7-4a3c-86ab-6578a12948b9","type":"LegendItem"},{"attributes":{"items":[{"id":"52e81847-a67c-415a-96ad-34e348deef58","type":"LegendItem"},{"id":"995fd681-f4b7-4a3c-86ab-6578a12948b9","type":"LegendItem"},{"id":"f817d767-b07c-4bca-ae86-6521f52470ae","type":"LegendItem"}],"location":"top_left","orientation":"horizontal","plot":{"id":"951020df-4292-41a0-b3a2-7277c6f026eb","subtype":"Figure","type":"Plot"}},"id":"a3de45cb-c5a4-48bb-9004-179c37181de7","type":"Legend"},{"attributes":{"source":{"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"}},"id":"0a9b2465-be91-43c5-9e2d-fb519d0fd03d","type":"CDSView"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"9435598d-88b0-49f2-9111-0ff32055aed4","type":"Dodge"}}},"id":"5279d9d1-b359-47af-9316-303b78d470bd","type":"VBar"},{"attributes":{"dimension":1,"plot":{"id":"951020df-4292-41a0-b3a2-7277c6f026eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"f22c0fda-0e04-45b8-a412-52c82c0cde61","type":"BasicTicker"}},"id":"4eda646f-7150-49bd-a5eb-ecc17cf84159","type":"Grid"},{"attributes":{},"id":"bc185f50-b2cd-4e6b-b0a8-ec46596db381","type":"BasicTickFormatter"},{"attributes":{"fill_alpha":{"value":0.1},"fill_color":{"value":"#1f77b4"},"line_alpha":{"value":0.1},"line_color":{"value":"#1f77b4"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"c871fbff-b5f3-4c2b-a229-ea644bc884bf","type":"Dodge"}}},"id":"c0560ba6-c203-406f-a463-232eb52e596a","type":"VBar"},{"attributes":{},"id":"c96e7883-6a3f-42f1-8590-65a9892d4f28","type":"CategoricalTickFormatter"},{"attributes":{"grid_line_color":{"value":null},"plot":{"id":"951020df-4292-41a0-b3a2-7277c6f026eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"81fc7f62-c0ae-41c5-8b72-41249093ed95","type":"CategoricalTicker"}},"id":"665dcbcd-40ed-4d23-822f-3710cc19a681","type":"Grid"},{"attributes":{"callback":null,"end":10},"id":"f5eebbf5-f157-4d5b-b8bd-72194ef01bdf","type":"Range1d"},{"attributes":{"data_source":{"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"},"glyph":{"id":"a7354570-67d9-4559-910b-7ce70b3b1706","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"c0560ba6-c203-406f-a463-232eb52e596a","type":"VBar"},"selection_glyph":null,"view":{"id":"2d14d0b5-ca68-43f7-8736-98f8de266c4d","type":"CDSView"}},"id":"d6b27887-6b6a-4fe0-9cbc-21d17d5eda77","type":"GlyphRenderer"},{"attributes":{"label":{"value":"2017"},"renderers":[{"id":"23e730bc-710a-4132-adfc-02c5a4d376a7","type":"GlyphRenderer"}]},"id":"f817d767-b07c-4bca-ae86-6521f52470ae","type":"LegendItem"},{"attributes":{"range":{"id":"bb6b6cc8-105d-40e5-b40f-ef52e08b2de4","type":"FactorRange"}},"id":"c871fbff-b5f3-4c2b-a229-ea644bc884bf","type":"Dodge"},{"attributes":{"callback":null,"column_names":["2015","2017","2016","fruits"],"data":{"2015":[2,1,4,3,2,4],"2016":[5,3,3,2,4,6],"2017":[3,2,4,4,5,3],"fruits":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"]}},"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"},{"attributes":{"fill_color":{"value":"#c9d9d3"},"line_color":{"value":"#c9d9d3"},"top":{"field":"2015"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"9435598d-88b0-49f2-9111-0ff32055aed4","type":"Dodge"}}},"id":"8605193c-8e25-4c53-81b0-2e51fc951aa5","type":"VBar"},{"attributes":{"range":{"id":"bb6b6cc8-105d-40e5-b40f-ef52e08b2de4","type":"FactorRange"},"value":-0.25},"id":"9435598d-88b0-49f2-9111-0ff32055aed4","type":"Dodge"},{"attributes":{"fill_color":{"value":"#e84d60"},"line_color":{"value":"#e84d60"},"top":{"field":"2017"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"ba1b8af1-24c7-4412-ac06-5346b8aca533","type":"Dodge"}}},"id":"c4827b07-2bfd-45fd-b209-330f21e2c105","type":"VBar"},{"attributes":{"plot":null,"text":"Fruit Counts by Year"},"id":"427aa016-1b4b-44b2-8930-4aff153518e9","type":"Title"},{"attributes":{"data_source":{"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"},"glyph":{"id":"8605193c-8e25-4c53-81b0-2e51fc951aa5","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"5279d9d1-b359-47af-9316-303b78d470bd","type":"VBar"},"selection_glyph":null,"view":{"id":"fd7ff6fe-b370-442f-91cc-57ca99db3323","type":"CDSView"}},"id":"76c0ff51-07c7-480c-b78c-6610664e400f","type":"GlyphRenderer"},{"attributes":{"active_drag":"auto","active_inspect":"auto","active_scroll":"auto","active_tap":"auto"},"id":"5299f7da-1cde-49c1-a58b-012b8d4b03c0","type":"Toolbar"},{"attributes":{},"id":"96a006c7-ee7d-4ed9-b1b9-a7066220178f","type":"LinearScale"},{"attributes":{"callback":null,"factors":["Apples","Pears","Nectarines","Plums","Grapes","Strawberries"],"range_padding":0.1},"id":"bb6b6cc8-105d-40e5-b40f-ef52e08b2de4","type":"FactorRange"},{"attributes":{"source":{"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"}},"id":"2d14d0b5-ca68-43f7-8736-98f8de266c4d","type":"CDSView"},{"attributes":{"data_source":{"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"},"glyph":{"id":"c4827b07-2bfd-45fd-b209-330f21e2c105","type":"VBar"},"hover_glyph":null,"muted_glyph":null,"nonselection_glyph":{"id":"ddd9f5ef-2b52-4e01-896c-1e56bdf696d9","type":"VBar"},"selection_glyph":null,"view":{"id":"0a9b2465-be91-43c5-9e2d-fb519d0fd03d","type":"CDSView"}},"id":"23e730bc-710a-4132-adfc-02c5a4d376a7","type":"GlyphRenderer"},{"attributes":{"fill_color":{"value":"#718dbf"},"line_color":{"value":"#718dbf"},"top":{"field":"2016"},"width":{"value":0.2},"x":{"field":"fruits","transform":{"id":"c871fbff-b5f3-4c2b-a229-ea644bc884bf","type":"Dodge"}}},"id":"a7354570-67d9-4559-910b-7ce70b3b1706","type":"VBar"},{"attributes":{},"id":"f22c0fda-0e04-45b8-a412-52c82c0cde61","type":"BasicTicker"},{"attributes":{"range":{"id":"bb6b6cc8-105d-40e5-b40f-ef52e08b2de4","type":"FactorRange"},"value":0.25},"id":"ba1b8af1-24c7-4412-ac06-5346b8aca533","type":"Dodge"},{"attributes":{"formatter":{"id":"c96e7883-6a3f-42f1-8590-65a9892d4f28","type":"CategoricalTickFormatter"},"plot":{"id":"951020df-4292-41a0-b3a2-7277c6f026eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"81fc7f62-c0ae-41c5-8b72-41249093ed95","type":"CategoricalTicker"}},"id":"66c7710f-2eb2-4944-8a2c-01a58bd6c095","type":"CategoricalAxis"},{"attributes":{"label":{"value":"2015"},"renderers":[{"id":"76c0ff51-07c7-480c-b78c-6610664e400f","type":"GlyphRenderer"}]},"id":"52e81847-a67c-415a-96ad-34e348deef58","type":"LegendItem"},{"attributes":{},"id":"81fc7f62-c0ae-41c5-8b72-41249093ed95","type":"CategoricalTicker"},{"attributes":{"source":{"id":"27d0d46b-362d-494d-bfaa-7830e7ec2b77","type":"ColumnDataSource"}},"id":"fd7ff6fe-b370-442f-91cc-57ca99db3323","type":"CDSView"},{"attributes":{"formatter":{"id":"bc185f50-b2cd-4e6b-b0a8-ec46596db381","type":"BasicTickFormatter"},"plot":{"id":"951020df-4292-41a0-b3a2-7277c6f026eb","subtype":"Figure","type":"Plot"},"ticker":{"id":"f22c0fda-0e04-45b8-a412-52c82c0cde61","type":"BasicTicker"}},"id":"3b4f4a86-222b-4091-88b4-f22363353b36","type":"LinearAxis"},{"attributes":{"below":[{"id":"66c7710f-2eb2-4944-8a2c-01a58bd6c095","type":"CategoricalAxis"}],"left":[{"id":"3b4f4a86-222b-4091-88b4-f22363353b36","type":"LinearAxis"}],"plot_height":250,"renderers":[{"id":"66c7710f-2eb2-4944-8a2c-01a58bd6c095","type":"CategoricalAxis"},{"id":"665dcbcd-40ed-4d23-822f-3710cc19a681","type":"Grid"},{"id":"3b4f4a86-222b-4091-88b4-f22363353b36","type":"LinearAxis"},{"id":"4eda646f-7150-49bd-a5eb-ecc17cf84159","type":"Grid"},{"id":"a3de45cb-c5a4-48bb-9004-179c37181de7","type":"Legend"},{"id":"76c0ff51-07c7-480c-b78c-6610664e400f","type":"GlyphRenderer"},{"id":"d6b27887-6b6a-4fe0-9cbc-21d17d5eda77","type":"GlyphRenderer"},{"id":"23e730bc-710a-4132-adfc-02c5a4d376a7","type":"GlyphRenderer"}],"title":{"id":"427aa016-1b4b-44b2-8930-4aff153518e9","type":"Title"},"toolbar":{"id":"5299f7da-1cde-49c1-a58b-012b8d4b03c0","type":"Toolbar"},"toolbar_location":null,"x_range":{"id":"bb6b6cc8-105d-40e5-b40f-ef52e08b2de4","type":"FactorRange"},"x_scale":{"id":"3bb7ec9b-efe5-4813-883d-f6678d1825aa","type":"CategoricalScale"},"y_range":{"id":"f5eebbf5-f157-4d5b-b8bd-72194ef01bdf","type":"Range1d"},"y_scale":{"id":"96a006c7-ee7d-4ed9-b1b9-a7066220178f","type":"LinearScale"}},"id":"951020df-4292-41a0-b3a2-7277c6f026eb","subtype":"Figure","type":"Plot"}],"root_ids":["951020df-4292-41a0-b3a2-7277c6f026eb"]},"title":"Bokeh Application","version":"0.12.9"}};
                    var render_items = [{"docid":"a0d4a4cf-8079-4fcf-bc41-d36d0af37aa9","elementid":"f10250f6-ae55-42e2-84b6-4feadd3709c7","modelid":"951020df-4292-41a0-b3a2-7277c6f026eb"}];
                
                    root.Bokeh.embed.embed_items(docs_json, render_items);
                  }
                
                  if (root.Bokeh !== undefined) {
                    embed_document(root);
                  } else {
                    var attempts = 0;
                    var timer = setInterval(function(root) {
                      if (root.Bokeh !== undefined) {
                        embed_document(root);
                        clearInterval(timer);
                      }
                      attempts++;
                      if (attempts > 100) {
                        console.log("Bokeh: ERROR: Unable to embed document because BokehJS library is missing")
                        clearInterval(timer);
                      }
                    }, 10, root)
                  }
                })(window);
              });
            };
            if (document.readyState != "loading") fn();
            else document.addEventListener("DOMContentLoaded", fn);
          })();
        },
        function(Bokeh) {
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-widgets-0.12.9.min.css");
          console.log("Bokeh: injecting CSS: https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
          Bokeh.embed.inject_css("https://cdn.pydata.org/bokeh/release/bokeh-tables-0.12.9.min.css");
        }
      ];
    
      function run_inline_js() {
        
        for (var i = 0; i < inline_js.length; i++) {
          inline_js[i].call(root, root.Bokeh);
        }
        
      }
    
      if (root._bokeh_is_loading === 0) {
        console.log("Bokeh: BokehJS loaded, going straight to plotting");
        run_inline_js();
      } else {
        load_libs(js_urls, function() {
          console.log("Bokeh: BokehJS plotting callback run at", now());
          run_inline_js();
        });
      }
    }(window));
  };
  if (document.readyState != "loading") fn();
  else document.addEventListener("DOMContentLoaded", fn);
})();
